
package QST;


# ====================
# QST is licensed under the GNU GPL v2
# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED.  IN NO EVENT SHALL QST Online LTD. OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE.
# ====================
#
# version 3.09.06    English
#
#  In memory of Patricia Herchek. R.I.P. November 29, 1954 - July 21, 2020.
#
#            Requiescat in pace ...
#            domit in pace
#  
#############################################################

use File::Path qw(rmtree);
use MIME::Base64;

# Debug database. Only uncomment if there are database issues on linux
#$Apache::DBI::DEBUG = 2;


######################
#
# declare some global variables
#
##################
my %USER =();
my $u_type;
my $u_id;
my $org_id;
my $ids;
my $user;
my $database;
my $account_type;
my $qst_attempts;
my $xtra_attempts;
my $account_select;
my $lock = 3;
my $account_lock = 0;
my $dis = 1;

# MySQL
my $dbh = DBI->connect("DBI:mysql:database=qst;host=localhost","qst", "Qst#captain2",{RaiseError => 0,PrintError => 1,AutoCommit => 1});

# Mac 
my $upload_directory ="/opt/homebrew/var/www/qst/schools/qst_files/";
my $upload_directory_photos ="/opt/homebrew/var/www/qst/schools/qst_files/photos/";
my $export_directory ="/opt/homebrew/var/www/qst/schools/qst_files/";
my $directory_path ="/schools/qst_files/photos/";
my $directory_photos_in ="/opt/homebrew/var/www/photos"; # The directory you have placed the photos into

my $max_upload_size = 30000000; # for images maximum is 16M - mediumblob
my $max_import_image_upload_size = 5000000; # because they are base 64 encoded
my $max_import_pdf_upload_size = 5000000;
my $max_photo_upload_size = 100000; # UPLOADING USERS PHOTOS
my $max_answer_length_import = 5000; # IMPORTING QUESTIONS
my $max_question_length_import = 10000; # IMPORTING QUESTIONS
my $max_image_name = 51; # IMPORTING QUESTIONS
my $max_descrip = 71; # IMPORTING QUESTIONS Matching Questions
my $admin_max_upload_size = 10000000; # maximum is 16M - mediumblob
my $display_upload_size = "5 MB ";
my $display_photo_upload_size = "100 Kb "; 
my $com_upload_of_students = 5000;
my $com_max_students = 500;
my $max_question_size = 5000;
my $p_ans_length = 5000;
my $max_advanced_answer = 5000;
my $time_out = 12000; # 120 min. time out
my $mode;


my $mc_num = 15; #max number of mc answers
my $ma_num = 15; #max number of ma answers
my $mx_num = 12; #max number of mx answers

my @f_ile = ("quizzes","tests","surveys");
my @lalpha_bet = ("a","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o");
my @alpha_bet = ("A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z");

my $image1 = "<TABLE width=\"100%\" STYLE=\"border-radius:6px\;\" border=\"0\"><TR><TD style=\"vertical-align:bottom\;\">&nbsp\;&nbsp\;<img src=\"/schools/arrow.gif\"><font size=\"+1\"><b> ";
my $image2 = "<img src=\"/schools/information1.png\"><P>";
my $image3 = "<img src=\"/schools/preview.gif\" border=\"0\">";
my $image4 = "<img src=\"/schools/3blk2.jpg\" border=\"0\" style=\"vertical-align: middle\; padding-bottom: 2px\" data-toggle=\"tooltip\" title=\" More \">";
my $image5 = "<img src=\"/schools/solidcircle.jpg\" border=\"0\" style=\"vertical-align: middle\; padding-bottom: 2px\" data-toggle=\"tooltip\" title=\" Less \">";
my $image6 = "<img src=\"/schools/courses.gif\" border=\"0\">";
my $image7 = "<img src=\"/schools/delete_x.png\" border=\"0\">";
my $image8 = "<img src=\"/schools/smallpen.gif\" border=\"0\">";
my $image9 = "<img src=\"/schools/delete_clear.gif\" border=\"0\">";
my $image10 = "<img src=\"/schools/q_file.gif\" border=\"0\">";
my $image11 = "<img src=\"/schools/blank1.gif\" border=\"0\">";
my $image12 = "<img src=\"/schools/arrow_down.gif\" align=\"middle\" border=\"0\"><B> ";
my $image13 = "<img src=\"/schools/q_file.gif\" border=\"0\">";
my $image14 = "<img src=\"/schools/q_file2.gif\" border=\"0\">";
my $image15 = "<img src=\"/schools/check.gif\" onMouseover=\"alt=\'Contains Question Groups\'\" border=\"0\">";
my $image16 = "<img src=\"/schools/red_pin.gif\" border=\"0\">";
my $image17 = "<img src=\"/schools/empty_ans.gif\" border=\"0\">";
my $image18 = "<img src=\"/schools/x.gif\" border=\"0\">";
my $image19 = "<img src=\"/schools/check.gif\" border=\"0\">";
my $image20 = "<img src=\"\/schools\/preview.gif\" border=\"0\">";
my $image21 = "<img src=\"\/schools\/big_check.jpg\" border=\"0\">";
my $image22 = "<img src=\"/branch.png\" border=\"0\">";
my $image23 = "<img src=\"/schools/refresh.png\" border=\"0\">";
my $image24 = "<img src=\"/schools/download.jpg\" border=\"0\">";
my $image25 = "<img src=\"/schools/create.png\" border=\"0\">";
my $image26 = "<TABLE width=\"100%\" STYLE=\"border-radius:6px\;\" border=\"0\"><TR><TD style=\"padding-top: 6px\;\">&nbsp\;&nbsp\;&nbsp\;<img src=\"/schools/change.png\" ><font size=\"+1\"><b>";
my $image27 = "<img src=\"/schools/add_user.png\" border=\"0\">";
my $image28 = "<img src=\"/schools/upload.png\" border=\"0\">";
my $image29 = "<img src=\"/schools/person_icon.png\" border=\"0\">";
my $image30 = "<img src=\"/schools/color_insert.png\" border=\"0\" alt=\"Add Image\">";
my $image31 = "<img src=\"/schools/add_class.jpg\" border=\"0\">";
my $image34 = "<img src=\"/schools/r_arrow1.png\" border=\"0\">";
my $image35 = "<img src=\"/schools/blue_white_plus.jpg\" border=\"0\" style=\"vertical-align: middle\; padding-top: 3px\; padding-bottom: 3px\">";
my $image36 = "<img src=\"/schools/new_minus_white.jpg\" border=\"0\" style=\"vertical-align: middle\; padding-top: 3px\; padding-bottom: 3px\">";
my $image37 = "<img src = \"/schools/x-icon.png\" border=\"0\" style=\"padding-top: 5px\;\">";
my $blue_box = "<TABLE width=\"100%\" STYLE=\"background-color: blue\; background-image: linear-gradient(blue, indigo)\; border-radius:6px\;\"  border=\"0\"><TR><TD>&nbsp\;&nbsp\'&nbsp\;<b> ";
my $black_box = "<TABLE width=\"100%\" STYLE=\"background-color: black\; background-image: linear-gradient(black, black)\; border-radius:6px\;\"  border=\"0\"><TR><TD>&nbsp\;&nbsp\'&nbsp\;<b> ";
my $style = "STYLE=\"background-color: blue\; background-image: linear-gradient(blue,black)\;\"";
my $style1 = "STYLE=\"background-color: blue\; background-image: linear-gradient(blue,black)\;";
my $action_bar = "STYLE=\"background-color: blue\; background-image: linear-gradient(blue,black)\; border-radius:6px\;\""; # blue, indigo
my $page_top = "<BR><TABLE width=\"100%\" $style1 border-radius:6px\;\"  border=\"0\"><TD style=\" padding-top: 5px\; padding-bottom: 5px\;\">&nbsp\;&nbsp\&nbsp\;<font face=\"\" color=\"white\"><b> ";
my $page_top1 = "<TABLE width=\"100%\" $style1 border-radius:6px\;\"  border=\"0\"><TD style=\" padding-top: 13px\; padding-bottom: 13px\;\">&nbsp\;&nbsp\&nbsp\;<font face=\"\" color=\"white\"><b> ";


my %LANGUAGE = ();
my $set_language = 1; # English

####### English              #####################################################################
# Phrases

$LANGUAGE{1}{1} = "<B>Click on $image4 to view folder and questions under it.<P>Click on a folder name to view options.<P>Click on a question to view options.</B><P>";
$LANGUAGE{1}{2} = "<B>Click on $image4 to view folders and quizzes/tests under it.<P>Click on a folder name to view options.<P>Click on a quiz/test name to view options.</B>";
$LANGUAGE{1}{3} = "<B>Click on $image4 to view folders and surveys under it.<P>Click on a folder name to view options.<P>Click on a survey name to view options.</B>";
$LANGUAGE{1}{4} = "<B>Click on $image4 to view folders and questions under it.<P>Folders and questions created here will be displayed for users under Question Bank.<P>Click on a folder name to view options.<P>Click on a question to view options.</B><P>\n";
$LANGUAGE{1}{5} = "<B>Click on $image4 or class name to view students under it<P>Click on QST/<font color=\"\#77787b\">Assignment</font> number for options<P><font color=\"\#ff0000\">actual mark</font>\/weighted mark<P><font color=\"blue\">+ </font>Contains questions to be marked<P><font color=\"green\">* </font>Bonus marks<P><font color=\"blue\">? </font>Branching QST completed<P><font color=\"brown\">IP </font> &nbsp\;In Progress<P><font color=\"red\">A </font> &nbsp\;Attempted - times<P><sup>S </sup>&nbsp\; Survey</B>";
$LANGUAGE{1}{6} = "<B>Click on $image4 to view folders and files under it.<P>Click on a folder name to view options.<P>Click on a file to view options.<P><font color=\"red\"> - caution </font> you may be deleting files used in quizzes, surveys or tests.</B><P>";
$LANGUAGE{1}{7} = "<B>Click on $image4 to view folders and files under it.</B><P><B>Click on a folder name to view options.<P>Click on a file to view options.<P>Folders and files here will be displayed to all question bank admins in your organization.<P><font color=\"red\"> - caution </font> you may be deleting files used in quizzes, surveys or tests.</B><P>";
$LANGUAGE{1}{8} = "Click on QST/Assignment number for options";
$LANGUAGE{1}{9} = "Copy the contents in the box below <BR>and paste into your text editor.<BR> Save as gradebook.csv .<BR> Import into your spread sheet program.";
$LANGUAGE{1}{10} = "If using images or pdf's in your questions or answers, click on Files, then click on QST Files and create a folder to upload them to.";
$LANGUAGE{1}{11} = "To begin, click on <B>Question Bank</B>, then open the Questions Bank folder.";
$LANGUAGE{1}{12} = "TIP - Create folders under Questions Bank, so that it is easier to group your organizations questions.";
$LANGUAGE{1}{13} = "Click on a folder name and select Create Question.";
$LANGUAGE{1}{13} = "Only QST, Word XML, Moodle XML or QTI 2 Formats. 30 MB Max";
$LANGUAGE{1}{14} = "Change the admin password!!<BR> Click on Server Administration, then Head Administrator.";
$LANGUAGE{1}{15} = "Create an Organization  (the name may be changed at anytime).";
$LANGUAGE{1}{16} = "Click on  Organizations to  add users and classes to it (or upload a file of users and classes).";
$LANGUAGE{1}{17} = "The upload file must have a .txt extension.";
$LANGUAGE{1}{18} = "Format of upload file: <BR>type,student_id,first name,last name,username,password,class id,class name";
$LANGUAGE{1}{19} = "You can create separate Administrator(s) for each organization.";
$LANGUAGE{1}{20} = "Click <B STYLE=\"cursor: pointer\" OnClick=\"Show_Manual()\">here</B> to view QST Admin Manual";
$LANGUAGE{1}{21} = "Click on Server Administration, then Head Administrator.";
$LANGUAGE{1}{22} = "You can also create additional Administrator(s).";
$LANGUAGE{1}{23} = "Create an Organization (the name may be changed at anytime).";
$LANGUAGE{1}{24} = "After the organization is created, add users and classes to it (or upload a file of users and classes).";
$LANGUAGE{1}{25} = "type,student_id,first name,last name,username,password,class id,class name";
$LANGUAGE{1}{26} = "The first character is type. 3 is student, 2 is instructor.";
$LANGUAGE{1}{27} = "Click on $image4 to view folders and files under it.";
$LANGUAGE{1}{28} = ' enter MathML tags or wrap TeX in \$...\$ or \$\$...\$\$ delimiters (or (...) and [...]), and AsciiMath in `...` delimiters. The text you enter is HTML, you can include tags, but then you have to be careful how you use <, &, and other HTML special characters - surrounding them by spaces should be sufficient.';
$LANGUAGE{1}{29} = '"January","February","March","April","May","June","July","August","September","October","November","December"';
$LANGUAGE{1}{30} = " has student marks associated with it and cannot be deleted. To be able to delete this ";
$LANGUAGE{1}{31} = " go into Students\/View Students By Class, this class, choose the Assignment, and Delete all marks for the Assignment.";
$LANGUAGE{1}{32} = "If you change a user or add or remove a class from them, refresh the left side page";
$LANGUAGE{1}{33} = "Copy the contents in the box below <BR>and paste into your text editor.<BR> Save as gradebook.json.";

$LANGUAGE{1}{instructors_info} ="<TABLE class=\"table2\" bgcolor=\"white\" >
	<tr><TD width=20></TD><TD bgcolor=\"white\"></TD><TD bgcolor=\"white\"></TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\"> Click <B style=\"cursor:pointer\" OnClick=\"Show_Manual()\">here</B> to view User Manual </TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\">* If using images or pdf's in your questions or answers, click on files, then click on Files to upload them.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">1. </TD><TD bgcolor=\"white\" valign=\"top\"> To begin, click on <B>questions</B>, then open the Questions folder.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">2. </TD><TD bgcolor=\"white\" valign=\"top\"> Click on a folder name (or create a new folder) and select Create question.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\" >* TIP - Create folders under Questions, so that it is easier to group your questions.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">3. </TD><TD bgcolor=\"white\" valign=\"top\" >Once you have created some questions, click on <B>quizzes/tests</B>.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">4. </TD><TD bgcolor=\"white\" valign=\"top\" >Click on Quizzes/Tests and select Create Quiz/Test.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\">* TIP - Create folders under Quizzes/Tests, to group your Quizzes/Tests together. </TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">5. </TD><TD bgcolor=\"white\" valign=\"top\">The questions you created will be under Add Questions from bank. </TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">6. </TD><TD bgcolor=\"white\" valign=\"top\">Select your question and click Add questions. </TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\">* If you reorder the questions, click Save Changes.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\">* Click on a question to Branch it. Short Answer, Paragraph and Multiple Answer questions cannot be branched, nor included in branching QST\'s.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">7. </TD><TD bgcolor=\"white\" valign=\"top\">The QST is made. </TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">8. </TD><TD bgcolor=\"white\" valign=\"top\">Click on <B>quizzes/tests</B>, find the Quiz/Test you created, click on the name and select Copy.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">9. </TD><TD bgcolor=\"white\" valign=\"top\">Click on My Classes (below Quizzes/Tests), then click on the class you created and select Paste.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">10. </TD><TD bgcolor=\"white\" valign=\"top\">Click on the Quiz/Test you just Pasted in, and select Post.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">11. </TD><TD bgcolor=\"white\" valign=\"top\">Select the options you would like, and then click Post It.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">12. </TD><TD bgcolor=\"white\" valign=\"top\">Your students can now Log In and take the Quiz/Test.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> *</TD><TD bgcolor=\"white\" valign=\"top\">In the <B>GradeBook</B>, your classes will show. Under your classes will be your students.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> *</TD><TD bgcolor=\"white\" valign=\"top\">In the <B>GradeBook</B>, on the line QST/Assignments will be your posted QST\'s. Click on a number.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> *</TD><TD bgcolor=\"white\" valign=\"top\">In the GradeBook you can also create Assignments for the students and set weights for each QST and Assignment</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> *</TD><TD bgcolor=\"white\" valign=\"top\" >Questions created building your QST will go under the Default folder.</TD></TR>
        <tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> *</TD><TD bgcolor=\"white\" valign=\"top\" >Click <B STYLE=\"cursor: pointer\" onClick=\"Show_Format(2)\">here </B> to see the format for importing questions from Word.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\"></TD><TD bgcolor=\"white\"><font color=\"white\"> Show Instructions</font></TD></TR>
	</td></TR></TABLE>";

$LANGUAGE{1}{Add} = "Add";
$LANGUAGE{1}{Addnewquestion} = "Add new question";
$LANGUAGE{1}{Addnewquestions} = "Add new questions";
$LANGUAGE{1}{AddBranch} = "Add Branch";
$LANGUAGE{1}{AddAdministrator} = "Add Administrator";
$LANGUAGE{1}{Addquestionsfrombank} = "Add questions from bank";
$LANGUAGE{1}{Addthequestions} = "Add the questions";
$LANGUAGE{1}{Addquestionsasgroup} = "Add questions as group";
$LANGUAGE{1}{Addanotherrow} = "Add another row.";
$LANGUAGE{1}{AddClass} = "Add Class";
$LANGUAGE{1}{AddClasstoUser} = "Add Class to User";
$LANGUAGE{1}{Advanced} = "Advanced";
$LANGUAGE{1}{All} = "All";
$LANGUAGE{1}{Alphabet} = "Alphabet";
$LANGUAGE{1}{Alphanumeric} = "Alphanumeric";
$LANGUAGE{1}{Arequiredfieldwasnotentered} = "A required field was not entered.";
$LANGUAGE{1}{Amarksvaluewasnotentered} = "A marks value was not entered.";
$LANGUAGE{1}{ActualSize} = "Actual Size";
$LANGUAGE{1}{Assignment} = "Assignment";
$LANGUAGE{1}{AssignmentName} = "Assignment Name";
$LANGUAGE{1}{Ananswertypewasnotselected} = "An answer type was not selected.";
$LANGUAGE{1}{Answered} = "Answered";
$LANGUAGE{1}{Averages} = "Averages";
$LANGUAGE{1}{AnswerSheet} = "Answer Sheet";
$LANGUAGE{1}{Availability} = "Availability";
$LANGUAGE{1}{Always} = "Always";
$LANGUAGE{1}{Attempts} = "Attempts";
$LANGUAGE{1}{Amarkwasnotentered} = "A mark was not entered.";
$LANGUAGE{1}{Abonusmarkwasnotentered} = "A bonus mark was not entered.";
$LANGUAGE{1}{Acorrectanswerwasnotchosen} = "A correct answer was not chosen.";
$LANGUAGE{1}{Adescriptionwasnotentered} = "A description was not entered.";
$LANGUAGE{1}{Aquestionwasnotentered} = "A question was not entered.";
$LANGUAGE{1}{Adescriptionquestionimagevideooraudiowasnotentered} = "A description, question, image, video or audio was not entered.";
$LANGUAGE{1}{AudioLink} = "Audio Link";
$LANGUAGE{1}{Advancedequationeditor} = "Advanced equation editor";
$LANGUAGE{1}{AndorInsertImageorVideoAudioLink} = "And/or Insert Image or PDF or Video/Audio Link.";
$LANGUAGE{1}{andallstudentsinstructorsclassesfilestestssurveysandquizzesunderit} = "and all students, instructors, classes, files, tests, surveys and quizzes under it\?";
$LANGUAGE{1}{Anamewasnotentered} = "A name was not entered.";
$LANGUAGE{1}{Arequiredfieldwasnotentered} = "A required field was not entered.";
$LANGUAGE{1}{andallfoldersandquestionsunderitContinue} = "and all folders and questions under it. Continue?";
$LANGUAGE{1}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer} = "Answers are submitted when you select the answer or click Save Answer.";
$LANGUAGE{1}{AfteryouhaveansweredthequestionsintheQSTclickontheSubmitbuttontosubmittheQST} = "After you have answered the questions in the QST, click on the Submit button to submit the QST.";
$LANGUAGE{1}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer} = "Answers are submitted when you select the answer or click Save Answer.";
$LANGUAGE{1}{Answersaresubmittedwhenyouselecttheanswer} = "Answers are submitted when you select the answer.";
$LANGUAGE{1}{April} = "April";
$LANGUAGE{1}{August} = "August";
$LANGUAGE{1}{Anamewasnotentered} = "A name was not entered.";
$LANGUAGE{1}{AddPhoto} = "Add photo";
$LANGUAGE{1}{Answerchoicetobig} = "Answer choice to big";
$LANGUAGE{1}{Answervaluetobig} = "Answer value to big.";
$LANGUAGE{1}{AddTimeTo} = "Add time to ";
$LANGUAGE{1}{AddTime} = "Add time";
$LANGUAGE{1}{AdTime} = " + Time";
$LANGUAGE{1}{Addmoretimeto} = "Add more time to ";
$LANGUAGE{1}{Answerimportuploadsize} = "Answer too big. Larger then $max_answer_length_import bytes ";
$LANGUAGE{1}{Ascommaseparatedvariables} = "As comma separated variables";
$LANGUAGE{1}{Asjavascriptobjectnotation} = "As javascript object notation";
$LANGUAGE{1}{Aquiztestwasnotchosentocopy} = "A quiz\/test was not chosen to copy.";
$LANGUAGE{1}{andallcontentsunderit} = "and all contents under it";
$LANGUAGE{1}{Ananswertypewasnotchosen} = "An answer type was not chosen.";
$LANGUAGE{1}{Ananswerorfilewasnotenteredineachofthefirst3rows} = "An answer or file was not entered in each of the first 3 rows.";
$LANGUAGE{1}{Assignment} = "Assignment";
$LANGUAGE{1}{AUsernameorpasswordwasnotentered} = "A User name or password was not entered.";
$LANGUAGE{1}{Administrator} = "Administrator";
$LANGUAGE{1}{Agree} = "Agree";
$LANGUAGE{1}{AgreeDisagree} = "Agree/Disagree";
$LANGUAGE{1}{Arrow} = "Arrow";
$LANGUAGE{1}{Afiledescripwasnotentered} = "A file description was not entered.";

$LANGUAGE{1}{Basic} = "Basic";
$LANGUAGE{1}{Bonus} = "Bonus";
$LANGUAGE{1}{Branch} = "Branch";
$LANGUAGE{1}{BankFiles} = "Bank Files";
$LANGUAGE{1}{BranchAnswer} = "Branch Answer";
$LANGUAGE{1}{Branchingquestions} = "Branching questions";
$LANGUAGE{1}{byfirstletterinname} = "by first letter in name";
$LANGUAGE{1}{byfirstletterinlastname} = "by first letter in last name";
$LANGUAGE{1}{Bulkuploadphotos} = "Bulk upload photos";
$LANGUAGE{1}{Bulkphotos} = "Bulk photos";
$LANGUAGE{1}{beforetheycanaccessthisQST} = "before they can access this QST.";

$LANGUAGE{1}{Cancel} = "Cancel";
$LANGUAGE{1}{Classes} = "Classes";
$LANGUAGE{1}{Class} = "Class";
$LANGUAGE{1}{Clickonserveradmin} = "Click on Server Administrators or a person for options.";
$LANGUAGE{1}{Clickonaperson} = "Click on a person for options.";
$LANGUAGE{1}{Close} = "Close";
$LANGUAGE{1}{ChangeUser} = "Change User";
$LANGUAGE{1}{ChangeClass} = "Change Class";
$LANGUAGE{1}{Create} = "Create";
$LANGUAGE{1}{CreateFolder} = "Create Folder";
$LANGUAGE{1}{Createafolder} = "Create a folder";
$LANGUAGE{1}{CreateQuizTest} = "Create Quiz/Test";
$LANGUAGE{1}{Createquestion} = "Create question";
$LANGUAGE{1}{Change} = "Change ";
$LANGUAGE{1}{Collapsebranch} = "Collapse branch";
$LANGUAGE{1}{ChangeaQuestion} = "Change a Question";
$LANGUAGE{1}{CreateaQuestion} = "Create a Question";
$LANGUAGE{1}{ChangeanAdministrator} = "Change an Administrator";
$LANGUAGE{1}{ChangeanAdminPassword} = "Change Admin Password";
$LANGUAGE{1}{ChangeAssignmentMarks} = "Change Assignment Marks";
$LANGUAGE{1}{Continue} = "Continue";
$LANGUAGE{1}{Copy} = "Copy";
$LANGUAGE{1}{ChangeAssignmentMarksValue} = "Change Assignment Marks Value";
$LANGUAGE{1}{ChangeWeight} = "Change Weight";
$LANGUAGE{1}{CreateaSurveyQuestion} = "Create a Survey Question";
$LANGUAGE{1}{ChangeaSurveyQuestion} = "Change a Survey Question";
$LANGUAGE{1}{ChangeBonus} = "Change Bonus";
$LANGUAGE{1}{CreateClass} = "Create Class";
$LANGUAGE{1}{Cut} = "Cut";
$LANGUAGE{1}{ChangePasswordto} = "Change Password to";
$LANGUAGE{1}{Correct} = "Correct";
$LANGUAGE{1}{correct} = "correct";
$LANGUAGE{1}{ChangeMark} = "Change Mark";
$LANGUAGE{1}{CorrectAnswer} = "Correct Answer";
$LANGUAGE{1}{ClicktheSubmitQSTbuttontoseeyourresults} = "Click the Submit QST button to see your results.";
$LANGUAGE{1}{Columns} = "Columns";
$LANGUAGE{1}{ClicktoseeWordXMLformat} = "Click to see Word XML format";
$LANGUAGE{1}{ClicktoseeMoodlequestiontypes} = "Click to see Moodle question types";
$LANGUAGE{1}{ClicktoseeQTIquestiontypes} = "Click to see QTI question types";
$LANGUAGE{1}{CreateOrganization} = "Create Organization";
$LANGUAGE{1}{ClickonQSTtocreateanORGANIZATIONunderit} = "Click on QST to create an ORGANIZATION under it.";
$LANGUAGE{1}{Clickontoviewcontentsunderit} = "Click on $image4 to view contents under it.";
$LANGUAGE{1}{CreateUser} = "Create User";
$LANGUAGE{1}{Classidsmax20characters} = "Class id max. 20 characters.";
$LANGUAGE{1}{Classnamesmax80characters} = "Class names max. 80 characters.";
$LANGUAGE{1}{Clickortomovetopreviousornextquestion} = "Click  <  or  >  to move to previous or next question.";
$LANGUAGE{1}{ClickSubmitQSTwhenyouaredone} = "Click Submit QST when you are done.";
$LANGUAGE{1}{Clicktogotothenextquestion} = "Click  >  to go to the next question.";
$LANGUAGE{1}{Clicktoseetheanswerormovetothenextquestion} = "Click  >  to see the answer or move to the next question.";
$LANGUAGE{1}{Clicktomovetothenextquestion} = "Click  >  to move to the next question.";
$LANGUAGE{1}{Clickonquizsurveytestnameforoptions} = "Click on quiz/survey/test name for options.";
$LANGUAGE{1}{Clickonanumbertojumptothatquestion} = "Click on a number to jump to that question.";
$LANGUAGE{1}{ChangeAssignmentMark} = "Change Assignment Mark";
$LANGUAGE{1}{CreateAssignment} = "Create Assignment";
$LANGUAGE{1}{Classidnospacesallowed} = "Class id no spaces allowed.";
$LANGUAGE{1}{Classid} = "Class id";
$LANGUAGE{1}{ClassNamealreadythere} = "Class Name already there.";
$LANGUAGE{1}{ClassIDalreadythere} = "Class ID already there";
$LANGUAGE{1}{classeswerecreated} = "classes were created.";
$LANGUAGE{1}{Correctresponseidentifiertobig} = "Correct response identifier to big.";
$LANGUAGE{1}{Choiceslargerthan70characters} = "Choices larger than 70 characters.";
$LANGUAGE{1}{ClickCloseafteryourfileisdownloaded} = "Click Close after your file is downloaded.";
$LANGUAGE{1}{CompleteName} = "Complete name";
$LANGUAGE{1}{canalreadyloginto} = "can already log into "; 
$LANGUAGE{1}{canloginto} = "can continue ";
$LANGUAGE{1}{CopyandPastetheinfobelowintoyourspreadsheetprogramandsaveasqstcsv} = "Copy the contents of the box below and paste into your text editor and save as qst_details.csv";
$LANGUAGE{1}{CopyandPastetheinfobelowintoyourtexteditorandsaveasgradebookcsv} = "Copy the contents of the box below and paste into your text editor and save as gradebook.csv";
$LANGUAGE{1}{Clickontoviewfoldersandfilesunderit} = "Click on $image4 to view folders and files under it.";
$LANGUAGE{1}{Copyandpasteintoanswers} = "Copy and paste into answers";
$LANGUAGE{1}{Copyandpasteintoanswerssurroundedby} = "Copy and paste into answers surrounded by \$\$";
$LANGUAGE{1}{Copyandpasteintoanswerssurroundedbycode} = "Copy and paste into answers surrounded by <code>'</code>";
$LANGUAGE{1}{ChangeFileDescrip} = "Change File Description";

$LANGUAGE{1}{Default} = "Default";
$LANGUAGE{1}{DeleteQuestions} = "Delete Questions";
$LANGUAGE{1}{Delete} = "Delete";
$LANGUAGE{1}{Deletequestions} = "Delete questions";
$LANGUAGE{1}{DeleteAdministrator} = "Delete Administrator";
$LANGUAGE{1}{Deletetheclasses} = "Delete the classes";
$LANGUAGE{1}{Deletefromclass} = "Delete from class";
$LANGUAGE{1}{Description} = "Description";
$LANGUAGE{1}{Display} = "Display";
$LANGUAGE{1}{DownloadGradeBook} = "Download GradeBook";
$LANGUAGE{1}{DeleteBranch} = "Delete Branch";
$LANGUAGE{1}{Delivery} = "Delivery";
$LANGUAGE{1}{Duration} = "Duration";
$LANGUAGE{1}{DeletethisfolderandallfoldersandfilesunderitContinue} = "Delete this folder and all folders and files under it. Continue?";
$LANGUAGE{1}{DeleteOrganization} = "Delete Organization";
$LANGUAGE{1}{DeleteClassfromUser} = "Delete Class from User";
$LANGUAGE{1}{DeleteClass} = "Delete Class";
$LANGUAGE{1}{DeleteUser} = "Delete User";
$LANGUAGE{1}{Deletefolder} = "Delete folder";
$LANGUAGE{1}{Deletethisquestion} = "Delete this question?";
$LANGUAGE{1}{Deleteallstudentsmarksandaccess} = "Delete all students marks and access?";
$LANGUAGE{1}{December} = "December";
$LANGUAGE{1}{DeletePhoto} = "Delete Photo";
$LANGUAGE{1}{Dontimportfileuploadquestions} = "Don't import file upload questions.";
$LANGUAGE{1}{Dontimportsliderquestions} = "Don't import slider questions.";
$LANGUAGE{1}{DontimportgapMatchquestions} = "Don't import gapMatch questions.";
$LANGUAGE{1}{Dontimporthotspotquestions} = "Don't import hot spot questions.";
$LANGUAGE{1}{Dontimportinlinechoicequestions} = "Don't import inline choice questions.";
$LANGUAGE{1}{Dontimportdrawinginteractionquestions} = "Don't import drawing interaction questions.";
$LANGUAGE{1}{Dontimporttextentryinteractionquestions} = "Don't import text entry interaction questions.";
$LANGUAGE{1}{Dontimporttemplatequestions} = "Don't import template questions.";
$LANGUAGE{1}{Dontimportorderedquestions} = "Don't import ordered questions.";
$LANGUAGE{1}{Downloadthefile} = "Download the file";
$LANGUAGE{1}{DownloadDetails} = "Download Details";
$LANGUAGE{1}{Disagree} = "Disagree";

$LANGUAGE{1}{Exportquestions} = "Export questions";
$LANGUAGE{1}{Eachquestionisworth} = "Each question is worth";
$LANGUAGE{1}{Equation} = "Equation";
$LANGUAGE{1}{Export} = "Export";
$LANGUAGE{1}{Enteryourquestionhere} = "Enter your question here.";
$LANGUAGE{1}{Eithersomeinputwastoolongpasswordsdonotmatchoramandatoryfieldwasnotfilled} = "Either some input was too long, passwords do not match or a mandatory field was not filled";
$LANGUAGE{1}{Enterthe} = "Enter the";
$LANGUAGE{1}{Enterananswerhere} = "Enter an answer here.";
$LANGUAGE{1}{Entertexthere} = "Enter text here.";
$LANGUAGE{1}{Entermatchingtexthere} = "Enter matching text here.";

$LANGUAGE{1}{Focus} = "Focus";
$LANGUAGE{1}{files} = "files";
$LANGUAGE{1}{Files} = "Files";
$LANGUAGE{1}{Firstname} = "First Name";
$LANGUAGE{1}{False} = "False";
$LANGUAGE{1}{File} = "File";
$LANGUAGE{1}{Foldertoplaceunder} = "Folder to place under";
$LANGUAGE{1}{Fileofusersandclasses} = "File of users and classes";
$LANGUAGE{1}{ForsecuritythisfileisparsedinmemoryontheserverAllpasswordsareencrypted} = "For security this file is parsed in memory on the server.<BR>*All passwords are encrypted.";
$LANGUAGE{1}{Formatoffile} = "Format of file:";
$LANGUAGE{1}{February} = "February";
$LANGUAGE{1}{Filecontents} = "File contents";
$LANGUAGE{1}{ForcompletedetailsreadQSTAdminManual} = "For complete details read QST Admin Manual.";
$LANGUAGE{1}{Filenamingconvention} = "File naming convention:  &nbsp\;";
$LANGUAGE{1}{For} = "for";
$LANGUAGE{1}{Firstandlastnamesonly40characters} = "First and last names only 40 characters.";
$LANGUAGE{1}{Format} = "Format";
$LANGUAGE{1}{Filedescrip} = "Description";

$LANGUAGE{1}{gradebooks} = "gradebooks";
$LANGUAGE{1}{GradeBook} = "GradeBook";
$LANGUAGE{1}{GradeBooks} = "GradeBooks";
$LANGUAGE{1}{Grade} = "Grade";
$LANGUAGE{1}{GreekandFunction} = "Greek and Function";

$LANGUAGE{1}{hasnotbeencreatedyet} = " has not been created yet.";
$LANGUAGE{1}{HidePreview} = "Hide Preview";
$LANGUAGE{1}{Hide} = "<font color=\"red\" data-toggle=\"tooltip\" title=\" Hide \">X</font>";
$LANGUAGE{1}{hasnotstarted} = "has not started ";
$LANGUAGE{1}{hasalreadybeenstartedbystudentsandcannotbechanged} = "has already been started by students and cannot be changed.";

$LANGUAGE{1}{Instructions} = "Instructions";
$LANGUAGE{1}{Importquestions} = "Import questions";
$LANGUAGE{1}{Insertimage} = "Insert image";
$LANGUAGE{1}{ImportQuestions} = "Import Questions";
$LANGUAGE{1}{Institutionid} = "Institution id";
$LANGUAGE{1}{ID} = "ID";
$LANGUAGE{1}{Institute} = "Institute";
$LANGUAGE{1}{Incorrect} = "Incorrect";
$LANGUAGE{1}{incorrect} = "incorrect";
$LANGUAGE{1}{IncorrectAnswers} = "Incorrect Answers";
$LANGUAGE{1}{Import} = "Import";
$LANGUAGE{1}{Instructor} = "Instructor";
$LANGUAGE{1}{Ifnostudentidsetitto0} = "If no student id set it to 0.";
$LANGUAGE{1}{Studentidsmax10digits} = "Student ids max.10 digits.";
$LANGUAGE{1}{IfusingLDAPsetpasswordto0} = "If using LDAP set password to 0.";
$LANGUAGE{1}{Instituteidcanonlybenumbers} = "Institute id can only be numbers.";
$LANGUAGE{1}{ImportMoodleQuestions} = "Import Moodle XML Questions";
$LANGUAGE{1}{ImportQTIQuestions} = "Import QTI Questions";
$LANGUAGE{1}{Imagetoobig} = "Image too big. Larger than $max_import_image_upload_size bytes";
$LANGUAGE{1}{Imagesinquestionsandanswerswillbeimported} = "Images in questions and answers will be imported";
$LANGUAGE{1}{InsertPDF} = "Insert PDF";
$LANGUAGE{1}{ifmultipleattempts} ="if multiple attempts records highest mark only if all questions are T/F, Y/N, multiple choice, multiple answer, or matchxng, otherwise records last attempt.";

$LANGUAGE{1}{January} = "January";
$LANGUAGE{1}{June} = "June";
$LANGUAGE{1}{July} = "July";

$LANGUAGE{1}{LastName} = "Last Name";
$LANGUAGE{1}{Link} = "Link";
$LANGUAGE{1}{Logout} = "Log Out";
$LANGUAGE{1}{Login} = "Log In";
$LANGUAGE{1}{lengthofeitherinstitutionidfirstnamelastnameusernamepasswordclassidorclassnameistoolong} = "length of either institution id, first name, last name, username, password, class id or class name is too long";
$LANGUAGE{1}{Logic} = "Logic";

$LANGUAGE{1}{marks} = "marks.";
$LANGUAGE{1}{Marks} = "Marks";
$LANGUAGE{1}{MiddleInitial} = "Middle Initial";
$LANGUAGE{1}{MyClasses} = "My Classes";
$LANGUAGE{1}{MultipleChoice} = "Multiple Choice";
$LANGUAGE{1}{MultipleAnswer} = "Multiple Answer";
$LANGUAGE{1}{MatchXng} = "MatchXng";
$LANGUAGE{1}{Max80characters} = "Max. 80 characters";
$LANGUAGE{1}{Max20characters} = "Max. 20 characters";
$LANGUAGE{1}{Max50characters} = "Max. 50 characters";
$LANGUAGE{1}{MyQuestions} = "My Questions";
$LANGUAGE{1}{MYQSTFiles} = "My QST Files";
$LANGUAGE{1}{Mark} = "Mark";
$LANGUAGE{1}{minutes} = "minutes";
$LANGUAGE{1}{Marked} = "Marked";
$LANGUAGE{1}{ModalNoresize} = "Modal - No resize";
$LANGUAGE{1}{maxOnlygifjpegandpngfiles} = "max. <BR>Only .gif, .jpeg, .png and .pdf files";
$LANGUAGE{1}{MBmaxOnlytxtfiles} = "MB max. Only .txt files";
$LANGUAGE{1}{March} = "March";
$LANGUAGE{1}{May} = "May";
$LANGUAGE{1}{missingacolumn} = "mising a column";
$LANGUAGE{1}{Missinganswers} = "Missing answers.";
$LANGUAGE{1}{Matchingmayonlybetext} = "Matching may only be text.";
$LANGUAGE{1}{Minutesaddedto} = "minutes added to";
$LANGUAGE{1}{MoodleXML} = "Moodle XML";
$LANGUAGE{1}{Math} = "Math";

$LANGUAGE{1}{Nofileselected} = "No file selected.";
$LANGUAGE{1}{Notenoughfilespace} = "Not enough file space available.";
$LANGUAGE{1}{Newpassword} = "New Password";
$LANGUAGE{1}{Newpasswordagain} = "New Password again";
$LANGUAGE{1}{Noquestionswereselected} = "No questions were selected.";
$LANGUAGE{1}{Name} = "Name";
$LANGUAGE{1}{No} = "No";
$LANGUAGE{1}{NumbertoMark} = "Number to Mark";
$LANGUAGE{1}{NoAnswer} = "No Answer";
$LANGUAGE{1}{Notmarked} = "Not marked.";
$LANGUAGE{1}{Noquestionshavebeenaddedyet} = "No questions have been added yet.";
$LANGUAGE{1}{Nostudentswerechosen} = "No students were chosen.";
$LANGUAGE{1}{NewWindowResizeable} = "New Window - Resizeable";
$LANGUAGE{1}{Noquestionswereuploaded} = "No questions were uploaded.";
$LANGUAGE{1}{Noquestionsavailable} = "No questions available.";
$LANGUAGE{1}{NoAnswers} = "No Answers";
$LANGUAGE{1}{Nothingpostedortherearenotanyattemptsleft} = "Nothing posted or there are not any attempts left.";
$LANGUAGE{1}{Numeric} = "Numeric";
$LANGUAGE{1}{Next} = "Next";
$LANGUAGE{1}{November} = "November";
$LANGUAGE{1}{NOTenoughcolumns} = "NOT enough columns";
$LANGUAGE{1}{nosemicolonallowed} = "No <B>\;</B> allowed anywhere";
$LANGUAGE{1}{Namealreadythere} = "Name already there.";
$LANGUAGE{1}{nameandselectanoptionfromabove} = "name and select an option from above.";
$LANGUAGE{1}{Notanimagefile} = "Not an image file";
$LANGUAGE{1}{Notapdffile} = "Not a .pdf file";
$LANGUAGE{1}{Nodescriptionisavailable} = "No description is available.";
$LANGUAGE{1}{NotallowedtoresumethisQST} = "Not allowed to resume this QST.";
$LANGUAGE{1}{Notinclass} = "Not in class.";
$LANGUAGE{1}{Neutral} = "Neutral";

$LANGUAGE{1}{Organization} = "Organization";
$LANGUAGE{1}{OrganizationAdmin} = "Organization Admin";
$LANGUAGE{1}{Organizations} = "Organizations";
$LANGUAGE{1}{OnlyQSTWordXMLMoodleorQTIFormatssupported30MBMax} = "Only the formats below. 30 MB Max.";
$LANGUAGE{1}{Oncethequizsurveytestisbegunitcountsasanattempt} = "Once the quiz/survey/test is begun, it counts as an attempt.";
$LANGUAGE{1}{October} = "October";
$LANGUAGE{1}{Onlycertainmoodlequestions} = "Only multiple choice, matching, true/false, short answer and essay questions may be imported.";
$LANGUAGE{1}{Onlycertainqtiquestions} = "Only multiple choice, matching, true/false, short answer and essay questions may be imported.";
$LANGUAGE{1}{Onlygifjpegandpngfiles} = "max. <BR>Only .gif, .jpeg, and .png files";

$LANGUAGE{1}{Password} = "Password";
$LANGUAGE{1}{Passwordagain} = "Password Again";
$LANGUAGE{1}{Paragraph} = "Paragraph";
$LANGUAGE{1}{Preview} = "Preview";
$LANGUAGE{1}{PreviewQuestion} = "Preview Question";
$LANGUAGE{1}{PreviewEquation} = "Preview Equation";
$LANGUAGE{1}{Paste} = "Paste";
$LANGUAGE{1}{Pasteabove} = "Paste above";
$LANGUAGE{1}{Pastebelow} = "Paste below";
$LANGUAGE{1}{Print} = "Print";
$LANGUAGE{1}{Post} = "Post";
$LANGUAGE{1}{PaperAllQuestions} = "Paper - All Questions";
$LANGUAGE{1}{Postit} = "Post it";
$LANGUAGE{1}{Partialmark} = "Partial mark";
$LANGUAGE{1}{partialmark} = "partial mark";
$LANGUAGE{1}{Passwordsmax20characters} = "Passwords max. 20 characters.";
$LANGUAGE{1}{Previous} = "Previous";
$LANGUAGE{1}{Passwordhasnonalphnumericcharactersinit} = "Password has non alphnumeric characters in it.";
$LANGUAGE{1}{Passwordsnotmatching} = "Passwords not matching.";
$LANGUAGE{1}{PDF} = "PDF";
$LANGUAGE{1}{Perfile} = "per file";
$LANGUAGE{1}{Partialmarks} = "Partial marks";

$LANGUAGE{1}{quizzestests} = "quizzes/tests";
$LANGUAGE{1}{QuizzesTests} = "Quizzes/Tests";
$LANGUAGE{1}{questions} = "questions";
$LANGUAGE{1}{qbank_admin} = "Question Bank Admin";
$LANGUAGE{1}{qbank} = "Question Bank";
$LANGUAGE{1}{QSTStats} = "QST Stats";
$LANGUAGE{1}{questionsrandomlyfromgroup} = "questions randomly from group.";
$LANGUAGE{1}{Question} = "Question";
$LANGUAGE{1}{QuestionFolder} = "Question Folder";
$LANGUAGE{1}{Questions} = "Questions";
$LANGUAGE{1}{Questiontoobig} = "Question too big. Larger then $max_question_length_import bytes";
$LANGUAGE{1}{Questiontoobigorempty} = "Question too big or empty";
$LANGUAGE{1}{Questionsnotinserted} = "Questions not inserted";
$LANGUAGE{1}{QSTFiles} = "QST Files";
$LANGUAGE{1}{Questionsareonlyshownonce} = "Questions are only shown once.";
$LANGUAGE{1}{QSTXML} = "QST XML";
$LANGUAGE{1}{QTI2} = "QTI 2.2";
$LANGUAGE{1}{QSTSubmitted} = "QST submitted";
$LANGUAGE{1}{Questionimportuploadsize} = "Question too big. Larger then $max_question_length_import bytes ";
$LANGUAGE{1}{QSTDetails} = "QST Details";
$LANGUAGE{1}{QuestionAdministrator} = "Question Administrator";
$LANGUAGE{1}{Quiz} = "Quiz";
$LANGUAGE{1}{quiztest} = "quiz/test";
$LANGUAGE{1}{survey} = "survey";
$LANGUAGE{1}{QuizTest} = "Quiz/Test";


$LANGUAGE{1}{Rename} = "Rename";
$LANGUAGE{1}{RenameFile} = "Rename File";
$LANGUAGE{1}{RenameaFile} = "Rename a File";
$LANGUAGE{1}{RenameFolder} = "Rename Folder";
$LANGUAGE{1}{Renameafolder} = "Rename a folder";
$LANGUAGE{1}{Remove} = "Remove";
$LANGUAGE{1}{Results} = "Results";
$LANGUAGE{1}{RenameAssignment} = "Rename Assignment";
$LANGUAGE{1}{Recordmark} = "Record mark";
$LANGUAGE{1}{ResultsMarkisviewable} = "Results/Mark is viewable";
$LANGUAGE{1}{Removerow} = "Remove row.";
$LANGUAGE{1}{Removeuser} = "Remove user";
$LANGUAGE{1}{Removeclass} = "Remove class";
$LANGUAGE{1}{RenameOrganization} = "Rename Organization";
$LANGUAGE{1}{required} = "required";
$LANGUAGE{1}{RenamethisAssignment} = "Rename this Assignment";
$LANGUAGE{1}{resizephototo150pixelswide} = "resize photo to 150 pixels wide";
$LANGUAGE{1}{resizephotosto150pixelswide} = "resize photos to 150 pixels wide";
$LANGUAGE{1}{RemoveImage} = "Remove Image";
$LANGUAGE{1}{RemovePDF} = "Remove PDF";
$LANGUAGE{1}{ResetStudents} = "Reset All Students";
$LANGUAGE{1}{RemoveStudents} = "Remove All Students";
$LANGUAGE{1}{Remove} = "Remove";
$LANGUAGE{1}{Removeall} = "Removes all the students and everything associated with them.";
$LANGUAGE{1}{Reset} = "Reset";
$LANGUAGE{1}{RemovesallstudentsfromallclassesandremovestheirmarksandcompletedQSTs} = "Removes all students from all classes and removes their marks and completed QSTs.";
$LANGUAGE{1}{Resume} = "Resume";
$LANGUAGE{1}{ResumeQST} = "Resume QST";
$LANGUAGE{1}{RightclickyellowhighlightbelowforMathML} = "Right click yellow highlight below for MathML";

$LANGUAGE{1}{Save} = "Save";
$LANGUAGE{1}{Saved} = "Saved";
$LANGUAGE{1}{SaveandClose} = "Save and Close";
$LANGUAGE{1}{Score} = "Score";
$LANGUAGE{1}{SurveyQuestions} = "Survey Questions";
$LANGUAGE{1}{surveys} = "surveys";
$LANGUAGE{1}{Surveys} = "Surveys";
$LANGUAGE{1}{Selectquestion} = "Select question";
$LANGUAGE{1}{Savechanges} = "Save changes";
$LANGUAGE{1}{Saveandcreateanother} = "Save and create another";
$LANGUAGE{1}{SelectAll} = "Select All";
$LANGUAGE{1}{Select} = "Select";
$LANGUAGE{1}{ServerAdministrators} = "Server Administrators";
$LANGUAGE{1}{ServerAdministration} = "Server Administration";
$LANGUAGE{1}{Seeexample} = "See example.";
$LANGUAGE{1}{ShowEquationEditor} = "Show Equation Editor";
$LANGUAGE{1}{ShowAdvancedEditor} = "Show Advanced Editor";
$LANGUAGE{1}{ShowBasicEditor} = "Show Basic Editor";
$LANGUAGE{1}{ShortAnswer} = "Short Answer";
$LANGUAGE{1}{Stats} = "Stats";
$LANGUAGE{1}{STATS} = "Stats";
$LANGUAGE{1}{Submitted} = "Submitted";
$LANGUAGE{1}{Survey} = "Survey";
$LANGUAGE{1}{survey} = "survey";
$LANGUAGE{1}{SingleQuestionJump} = "Single Question - Jump";
$LANGUAGE{1}{SingleQuestionNext} = "Single Question - Next";
$LANGUAGE{1}{SingleQuestionAnswer} = "Single Question - Answer";
$LANGUAGE{1}{SingleQuestionBranch} = "Single Question - Branch";
$LANGUAGE{1}{Started} = "Started";
$LANGUAGE{1}{Shufflequestionsforeachuser} = "Shuffle questions for each user";
$LANGUAGE{1}{Shuffleanswers} = "Shuffle answers";
$LANGUAGE{1}{Submissionsareviewable} = "Submissions are viewable";
$LANGUAGE{1}{SelectAllStudents} = "Select All Students";
$LANGUAGE{1}{Saveasnew} = "Save as new";
$LANGUAGE{1}{Submit} = "Submit";
$LANGUAGE{1}{SubmitQSTforstudent} = "Submit QST for student";
$LANGUAGE{1}{Student} = "Student";
$LANGUAGE{1}{SearchbyClassId} = "Search by Class Id";
$LANGUAGE{1}{SearchbyStudentId} = "Search by Student Id";
$LANGUAGE{1}{Search} = "Search";
$LANGUAGE{1}{Start} = "Start";
$LANGUAGE{1}{submissionandmarkfor} = "submission and mark for";
$LANGUAGE{1}{submissionfor} = "submission for";
$LANGUAGE{1}{September} = "September";
$LANGUAGE{1}{spaceswillberemoved} = "spaces will be removed";
$LANGUAGE{1}{Studentidmustbenumeric} = "Student id must be numeric.";
$LANGUAGE{1}{ServerAdministration} = "Server Adminstration";
$LANGUAGE{1}{School} = "School";
$LANGUAGE{1}{Subject} = "Subject";
$LANGUAGE{1}{StronglyAgree} = "Strongly Agree";
$LANGUAGE{1}{StronglyDisagree} = "Strongly Disagree";
$LANGUAGE{1}{SelectanitemorinputLaTeXTeXMathMLorAsciiMathnotation} = "Select an item from left menu or input LaTeX, TeX, MathML or <i><B>A</B></i>sciiMath notation.";
$LANGUAGE{1}{Symbol} = "Symbol";
$LANGUAGE{1}{Submitit} = "Submit it.";

$LANGUAGE{1}{The} = "The ";
$LANGUAGE{1}{Thefilewasuploaded} = "The file was uploaded.";
$LANGUAGE{1}{Thefilewasnotuploaded} = "The file was not uploaded.<BR> It is either empty or wrong extension or too large.";
$LANGUAGE{1}{Thefileexceedsmax} = "The file to be uploaded exceeds the maximum upload size.";
$LANGUAGE{1}{TF} = "T/F";
$LANGUAGE{1}{Totalofweights} = "Total of weights";
$LANGUAGE{1}{Totalsforclass} = "Totals for class";
$LANGUAGE{1}{Type} = "Type";
$LANGUAGE{1}{Toomanycharacters75allowed} = "Too many characters, 75 allowed.";
$LANGUAGE{1}{Thefolderscreatedhere} = "The folders created here will be displayed in <BR>QST Builders view of Question Bank.";
$LANGUAGE{1}{TimeRemaining} = "Time Remaining";
$LANGUAGE{1}{TimeExpired} = "Time Expired!";
$LANGUAGE{1}{True} = "True ";
$LANGUAGE{1}{Thenselectananswertype} = "Then select an answer type.";
$LANGUAGE{1}{ThisfilemaybeincludedinaquizsurveyortestContinue} = "This file may be included in a quiz, survey or test. Continue?";
$LANGUAGE{1}{ThisquestionmaybeincludedinaquizortestContinue} = "This question may be included in a quiz or test. Continue?";
$LANGUAGE{1}{Thefirstcharacteristypeisstudent2isinstructor} = "The first character is type: 3 is student, 2 is instructor.";
$LANGUAGE{1}{Theremustbesomethingineachcolumn} = "There must be something in each column.";
$LANGUAGE{1}{typestudentidfirstnamelastnameusernamepasswordclassidclassname} = "type,student id,first name,last name,user name,password,class id,class name";
$LANGUAGE{1}{Thefollowinglineswerenotgood} = "The following lines were not good:";
$LANGUAGE{1}{Thefollowingusersareinanotherorganization} = "The following users are in another organization:";
$LANGUAGE{1}{TherightsideofthescreenshowsthequestionsyouhaveansweredClickonanumbertojumptothatquestion} = "The right side of the screen shows the questions you have answered. Click on a number to jump to that question.";
$LANGUAGE{1}{Theinstitutionidisalreadybeingused} = "The institution id is already being used.";
$LANGUAGE{1}{typeisnot2or3} = "type is not 2 or 3";
$LANGUAGE{1}{This} = "This ";
$LANGUAGE{1}{Thisisonlyaplaceholder} = "This is only a placeholder.";
$LANGUAGE{1}{Timehasrunoutfor} = "time has run out for ";
$LANGUAGE{1}{Timefor} = "time for ";
$LANGUAGE{1}{ThisviewisnotsupportedforyourroleinQST} = "This view is not supported for your role in QST.";
$LANGUAGE{1}{tocontinue} = "to continue ";
$LANGUAGE{1}{Thisquestionisincludedinaquizsurveyortestandcannotbedeleted} = "This question is included in a quiz, survey or test and cannot be deleted.";
$LANGUAGE{1}{ToconformtoWCAG2guidelinesallfilesmusthaveadescriptionforscreenreaders} = "To conform to WCAG 2.0 guidelines, all files must have a description for screen readers. 500 characters max.";
$LANGUAGE{1}{TheQSThasended} = "The QST has ended.";
$LANGUAGE{1}{Thankyoufortakingthetimetocompletethesurvey} = "Thank you for taking the time to complete the survey.";
$LANGUAGE{1}{Textherewilldisplayasquestionnameunderfolders} = "Text here will display as question name under folders.";

$LANGUAGE{1}{Users} = "Users";
$LANGUAGE{1}{UploadaFile} = "Upload a File";
$LANGUAGE{1}{Upload} = " Upload ";
$LANGUAGE{1}{UploadaFileofUsersandClasses} = "Upload a File of Users and Classes";
$LANGUAGE{1}{Uploadthisfile} = "Upload this file";
$LANGUAGE{1}{UserName} = "Username";
$LANGUAGE{1}{UnselectAll} = "Unselect All";
$LANGUAGE{1}{Unpost} = "Unpost";
$LANGUAGE{1}{UnselectAllStudents} = "Unselect All Students";
$LANGUAGE{1}{Usertype} = "User type";
$LANGUAGE{1}{UseQSTEQ} = "Use QST EQ";
$LANGUAGE{1}{Unmarked} = "Unmarked";
$LANGUAGE{1}{Usertype} = "User type";
$LANGUAGE{1}{Usernamesmustbeunique} = "Usernames must be unique.";
$LANGUAGE{1}{Usernamesmax50characters} = "Usernames max. 50 characters.";
$LANGUAGE{1}{Usernamesandpasswordsonlyalphanumeric} = "User names and passwords only alphanumeric.";
$LANGUAGE{1}{unmarked} = "unmarked";
$LANGUAGE{1}{Usernameorpasswordshavenonalphanumericcharacters} = "Username or passwords have non-alphanumeric characters.";
$LANGUAGE{1}{Usernamealreadythere} = "Username already there.";
$LANGUAGE{1}{UserNOTcreated} = "User NOT created";
$LANGUAGE{1}{UserNOTchanged} = "User NOT changed";
$LANGUAGE{1}{usernameandpasswordcanonlybealphanumeric} = "username and password can only be alphanumeric";
$LANGUAGE{1}{userswerecreated} = "users were created.";
$LANGUAGE{1}{userswereaddedtoclasses} = "users were added to classes.";
$LANGUAGE{1}{UploadPhoto} = "Upload photo";
$LANGUAGE{1}{UploadQTIquestions} = "Upload QTI questions";
$LANGUAGE{1}{UploadMoodleXML} = "Upload Moodle XML";
$LANGUAGE{1}{Usernameextension} = "<i>username</i>.gif/jpeg/png";
$LANGUAGE{1}{Unabletoaddto} = " Unable to add to ";

$LANGUAGE{1}{Value} = "Value";
$LANGUAGE{1}{View} = "View";
$LANGUAGE{1}{Viewa} = "View a ";
$LANGUAGE{1}{ViewmarkQST} = "View Mark QST ";
$LANGUAGE{1}{ViewQST} = "View QST ";
$LANGUAGE{1}{Viewbranch} = "View branch";
$LANGUAGE{1}{ViewQuestion} = "View Question";
$LANGUAGE{1}{Viewquestion} = "View question";
$LANGUAGE{1}{Viewquestionstats} = "View question stats";
$LANGUAGE{1}{ViewQuestionStats} = "View Question Stats";
$LANGUAGE{1}{Viewaquestion} = "View a question";
$LANGUAGE{1}{ViewaFile} = "View a File";
$LANGUAGE{1}{ViewAnswers} = "View Answers";
$LANGUAGE{1}{ViewUser} = "View User";
$LANGUAGE{1}{ViewClassUsers} = "View Class Users";
$LANGUAGE{1}{Viewcorrect} = "View correct";
$LANGUAGE{1}{Viewincorrect} = "View incorrect";
$LANGUAGE{1}{Viewnoanswer} = "View no answer";
$LANGUAGE{1}{Viewpartial} = "View partial";
$LANGUAGE{1}{ViewMark} = "View\/Mark";
$LANGUAGE{1}{Valueofeachquestion} = "Value of each question";
$LANGUAGE{1}{ViewSelectFiles} = "View/Select Files";
$LANGUAGE{1}{ViewSelectFile} = "View/Select File";
$LANGUAGE{1}{VideoLink} = "Video Link";
$LANGUAGE{1}{ViewPDF} = "*View PDF";

$LANGUAGE{1}{Weight} = "Weight";

$LANGUAGE{1}{xmlorzip} = "xml or zip";

$LANGUAGE{1}{Youraccounthasbeenlockedfor3minutes} = "Your account has been locked for 3 minutes.";
$LANGUAGE{1}{YN} = "Y/N";
$LANGUAGE{1}{Yes} = "Yes";
$LANGUAGE{1}{YourResultsare} = "Your Results are";
$LANGUAGE{1}{Youareabouttobegin} = "You are about to begin";
$LANGUAGE{1}{Youarenotregisteredinanyclasses} = "You are not registered in any classes.";
$LANGUAGE{1}{Yourbrowserdoesnotsupportthevideotag} = "Your browser does not support the video tag.";
$LANGUAGE{1}{Yourbrowserdoesnotsupporttheaudiotag} = "Your browser does not support the audio tag.";
$LANGUAGE{1}{Yourphotosshouldbeintheuploadfolder} = "Your photos should be in the upload folder: &nbsp\;";
$LANGUAGE{1}{Youarenotauthorizedtoadministerthisorganization} = "You are not allowed to administer this organization.";
$LANGUAGE{1}{YoucannotaccessthisQST} = "You cannot access this QST.";
$LANGUAGE{1}{YourinstructormustresumeyourQSTforyou} = "Your instructor must resume your QST for you.";
$LANGUAGE{1}{YouhavefinishedtheQST} = "You have finished the QST.";

######################### End English  #############################

####  Another Language Pack   #####################################################################
# Phrases

$LANGUAGE{2}{2} = "<B>Click on $image4 to view folder and questions under it.<P>Click on a folder name to view options.<P>Click on a question to view options.</B><P>";
$LANGUAGE{2}{2} = "<B>Click on $image4 to view folders and quizzes/tests under it.<P>Click on a folder name to view options.<P>Click on a quiz/test name to view options.</B>";
$LANGUAGE{2}{3} = "<B>Click on $image4 to view folders and surveys under it.<P>Click on a folder name to view options.<P>Click on a survey name to view options.</B>";
$LANGUAGE{2}{4} = "<B>Click on $image4 to view folders and questions under it.<P>Folders and questions created here will be displayed for users under Question Bank.<P>Click on a folder name to view options.<P>Click on a question to view options.</B><P>\n";
$LANGUAGE{2}{5} = "<B>Click on $image4 or class name to view students under it<P>Click on QST/<font color=\"\#77787b\">Assignment</font> number for options<P><font color=\"\#ff0000\">actual mark</font>\/weighted mark<P><font color=\"blue\">* </font>Contains questions to be marked<P><font color=\"green\">* </font>Bonus marks<P><font color=\"blue\">? </font>Branching QST completed<P><font color=\"brown\">IP </font> &nbsp\;In Progress<P><font color=\"red\">A </font> &nbsp\;Attempted - times<P><sup>S </sup>&nbsp\; Survey</B>";
$LANGUAGE{2}{6} = "<B>Click on $image4 to view folders and files under it.<P>Click on a folder name to view options.<P>Click on a file to view options.<P><font color=\"red\"> - caution </font> you may be deleting files used in quizzes, surveys or tests.</B><P>";
$LANGUAGE{2}{7} = "<B>Click on $image4 to view folders and files under it.</B><P><B>Click on a folder name to view options.<P>Click on a file to view options.<P>Folders and files here will be displayed to all question bank admins in your organization.<P><font color=\"red\"> - caution </font> you may be deleting files used in quizzes, surveys or tests.</B><P>";
$LANGUAGE{2}{8} = "Click on QST/Assignment number for options";
$LANGUAGE{2}{9} = "Copy the contents in the box below <BR>and paste into your text editor.<BR> Save as gradebook.csv .<BR> Import into your spread sheet program.";
$LANGUAGE{2}{10} = "If using images or pdf's in your questions or answers, click on Files, then click on QST Files and create a folder to upload them to.";
$LANGUAGE{2}{11} = "To begin, click on <B>Question Bank</B>, then open the Questions Bank folder.";
$LANGUAGE{2}{12} = "TIP - Create folders under Questions Bank, so that it is easier to group your organizations questions.";
$LANGUAGE{2}{13} = "Click on a folder name and select Create Question.";
$LANGUAGE{2}{13} = "Only QST, Word XML, Moodle XML or QTI 2 Formats. 30 MB Max";
$LANGUAGE{2}{14} = "Change the admin password!!<BR> Click on Server Administration, then Head Administrator.";
$LANGUAGE{2}{15} = "Create an Organization  (the name may be changed at anytime).";
$LANGUAGE{2}{16} = "Click on  Organizations to  add users and classes to it (or upload a file of users and classes).";
$LANGUAGE{2}{17} = "The upload file must have a .txt extension.";
$LANGUAGE{2}{18} = "Format of upload file: <BR>type,student_id,first name,last name,username,password,class id,class name";
$LANGUAGE{2}{19} = "You can create separate Administrator(s) for each organization.";
$LANGUAGE{2}{20} = "Click <B STYLE=\"cursor: pointer\" OnClick=\"Show_Manual()\">here</B> to view QST Admin Manual";
$LANGUAGE{2}{21} = "Click on Server Administration, then Head Administrator.";
$LANGUAGE{2}{22} = "You can also create additional Administrator(s).";
$LANGUAGE{2}{23} = "Create an Organization (the name may be changed at anytime).";
$LANGUAGE{2}{24} = "After the organization is created, add users and classes to it (or upload a file of users and classes).";
$LANGUAGE{2}{25} = "type,student_id,first name,last name,username,password,class id,class name";
$LANGUAGE{2}{26} = "The first character is type. 3 is student, 2 is instructor.";
$LANGUAGE{2}{27} = "Click on $image4 to view folders and files under it.";
$LANGUAGE{2}{28} = ' enter MathML tags or wrap TeX in \$...\$ or \$\$...\$\$ delimiters (or (...) and [...]), and AsciiMath in `...` delimiters. The text you enter is HTML, you can include tags, but then you have to be careful how you use <, &, and other HTML special characters - surrounding them by spaces should be sufficient.';
$LANGUAGE{2}{29} = '"January","February","March","April","May","June","July","August","September","October","November","December"';
$LANGUAGE{2}{30} = " has student marks associated with it and cannot be deleted. To be able to delete this ";
$LANGUAGE{2}{31} = " go into Students\/View Students By Class, this class, choose the Assignment, and Delete all marks for the Assignment.";
$LANGUAGE{2}{32} = "If you change a user or add or remove a class from them, refresh the left side page";
$LANGUAGE{2}{33} = "Copy the contents in the box below <BR>and paste into your text editor.<BR> Save as gradebook.json.";

$LANGUAGE{2}{instructors_info} ="<TABLE class=\"table2\" bgcolor=\"white\" >
	<tr><TD width=20></TD><TD bgcolor=\"white\"></TD><TD bgcolor=\"white\"></TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\"> Click <B style=\"cursor:pointer\" OnClick=\"Show_Manual()\">here</B> to view User Manual </TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\">* If using images or pdf's in your questions or answers, click on files, then click on Files to upload them.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">1. </TD><TD bgcolor=\"white\" valign=\"top\"> To begin, click on <B>questions</B>, then open the Questions folder.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">2. </TD><TD bgcolor=\"white\" valign=\"top\"> Click on a folder name (or create a new folder) and select Create question.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\" >* TIP - Create folders under Questions, so that it is easier to group your questions.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">3. </TD><TD bgcolor=\"white\" valign=\"top\" >Once you have created some questions, click on <B>quizzes/tests</B>.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">4. </TD><TD bgcolor=\"white\" valign=\"top\" >Click on Quizzes/Tests and select Create Quiz/Test.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\">* TIP - Create folders under Quizzes/Tests, to group your Quizzes/Tests together. </TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">5. </TD><TD bgcolor=\"white\" valign=\"top\">The questions you created will be under Add Questions from bank. </TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">6. </TD><TD bgcolor=\"white\" valign=\"top\">Select your question and click Add questions. </TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\">* If you reorder the questions, click Save Changes.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\">* Click on a question to Branch it. Short Answer, Paragraph and Multiple Answer questions cannot be branched, nor included in branching QST\'s.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">7. </TD><TD bgcolor=\"white\" valign=\"top\">The QST is made. </TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">8. </TD><TD bgcolor=\"white\" valign=\"top\">Click on <B>quizzes/tests</B>, find the Quiz/Test you created, click on the name and select Copy.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">9. </TD><TD bgcolor=\"white\" valign=\"top\">Click on My Classes (below Quizzes/Tests), then click on the class you created and select Paste.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">10. </TD><TD bgcolor=\"white\" valign=\"top\">Click on the Quiz/Test you just Pasted in, and select Post.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">11. </TD><TD bgcolor=\"white\" valign=\"top\">Select the options you would like, and then click Post It.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">12. </TD><TD bgcolor=\"white\" valign=\"top\">Your students can now Log In and take the Quiz/Test.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> *</TD><TD bgcolor=\"white\" valign=\"top\">In the <B>GradeBook</B>, your classes will show. Under your classes will be your students.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> *</TD><TD bgcolor=\"white\" valign=\"top\">In the <B>GradeBook</B>, on the line QST/Assignments will be your posted QST\'s. Click on a number.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> *</TD><TD bgcolor=\"white\" valign=\"top\">In the GradeBook you can also create Assignments for the students and set weights for each QST and Assignment</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> *</TD><TD bgcolor=\"white\" valign=\"top\" >Questions created building your QST will go under the Default folder.</TD></TR>
        <tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> *</TD><TD bgcolor=\"white\" valign=\"top\" >Click <B STYLE=\"cursor: pointer\" onClick=\"Show_Format(2)\">here </B> to see the format for importing questions from Word.</TD></TR>
	<tr><TD width=20></TD><TD bgcolor=\"white\"></TD><TD bgcolor=\"white\"><font color=\"white\"> Show Instructions</font></TD></TR>
	</td></TR></TABLE>";

$LANGUAGE{2}{Add} = "Add";
$LANGUAGE{2}{Addnewquestion} = "Add new question";
$LANGUAGE{2}{Addnewquestions} = "Add new questions";
$LANGUAGE{2}{AddBranch} = "Add Branch";
$LANGUAGE{2}{AddAdministrator} = "Add Administrator";
$LANGUAGE{2}{Addquestionsfrombank} = "Add questions from bank";
$LANGUAGE{2}{Addthequestions} = "Add the questions";
$LANGUAGE{2}{Addquestionsasgroup} = "Add questions as group";
$LANGUAGE{2}{Addanotherrow} = "Add another row.";
$LANGUAGE{2}{AddClass} = "Add Class";
$LANGUAGE{2}{AddClasstoUser} = "Add Class to User";
$LANGUAGE{2}{Advanced} = "Advanced";
$LANGUAGE{2}{All} = "All";
$LANGUAGE{2}{Alphabet} = "Alphabet";
$LANGUAGE{2}{Alphanumeric} = "Alphanumeric";
$LANGUAGE{2}{Arequiredfieldwasnotentered} = "A required field was not entered.";
$LANGUAGE{2}{Amarksvaluewasnotentered} = "A marks value was not entered.";
$LANGUAGE{2}{ActualSize} = "Actual Size";
$LANGUAGE{2}{Assignment} = "Assignment";
$LANGUAGE{2}{AssignmentName} = "Assignment Name";
$LANGUAGE{2}{Ananswertypewasnotselected} = "An answer type was not selected.";
$LANGUAGE{2}{Answered} = "Answered";
$LANGUAGE{2}{Averages} = "Averages";
$LANGUAGE{2}{AnswerSheet} = "Answer Sheet";
$LANGUAGE{2}{Availability} = "Availability";
$LANGUAGE{2}{Always} = "Always";
$LANGUAGE{2}{Attempts} = "Attempts";
$LANGUAGE{2}{Amarkwasnotentered} = "A mark was not entered.";
$LANGUAGE{2}{Abonusmarkwasnotentered} = "A bonus mark was not entered.";
$LANGUAGE{2}{Acorrectanswerwasnotchosen} = "A correct answer was not chosen.";
$LANGUAGE{2}{Adescriptionwasnotentered} = "A description was not entered.";
$LANGUAGE{2}{Aquestionwasnotentered} = "A question was not entered.";
$LANGUAGE{2}{Adescriptionquestionimagevideooraudiowasnotentered} = "A description, question, image, video or audio was not entered.";
$LANGUAGE{2}{AudioLink} = "Audio Link";
$LANGUAGE{2}{Advancedequationeditor} = "Advanced equation editor";
$LANGUAGE{2}{AndorInsertImageorVideoAudioLink} = "And/or Insert Image or PDF or Video/Audio Link.";
$LANGUAGE{2}{andallstudentsinstructorsclassesfilestestssurveysandquizzesunderit} = "and all students, instructors, classes, files, tests, surveys and quizzes under it\?";
$LANGUAGE{2}{Anamewasnotentered} = "A name was not entered.";
$LANGUAGE{2}{Arequiredfieldwasnotentered} = "A required field was not entered.";
$LANGUAGE{2}{andallfoldersandquestionsunderitContinue} = "and all folders and questions under it. Continue?";
$LANGUAGE{2}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer} = "Answers are submitted when you select the answer or click Save Answer.";
$LANGUAGE{2}{AfteryouhaveansweredthequestionsintheQSTclickontheSubmitbuttontosubmittheQST} = "After you have answered the questions in the QST, click on the Submit button to submit the QST.";
$LANGUAGE{2}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer} = "Answers are submitted when you select the answer or click Save Answer.";
$LANGUAGE{2}{Answersaresubmittedwhenyouselecttheanswer} = "Answers are submitted when you select the answer.";
$LANGUAGE{2}{April} = "April";
$LANGUAGE{2}{August} = "August";
$LANGUAGE{2}{Anamewasnotentered} = "A name was not entered.";
$LANGUAGE{2}{AddPhoto} = "Add photo";
$LANGUAGE{2}{Answerchoicetobig} = "Answer choice to big";
$LANGUAGE{2}{Answervaluetobig} = "Answer value to big.";
$LANGUAGE{2}{AddTimeTo} = "Add time to ";
$LANGUAGE{2}{AddTime} = "Add time";
$LANGUAGE{2}{AdTime} = " + Time";
$LANGUAGE{2}{Addmoretimeto} = "Add more time to ";
$LANGUAGE{2}{Answerimportuploadsize} = "Answer too big. Larger then $max_answer_length_import bytes ";
$LANGUAGE{2}{Ascommaseparatedvariables} = "As comma separated variables";
$LANGUAGE{2}{Asjavascriptobjectnotation} = "As javascript object notation";
$LANGUAGE{2}{Aquiztestwasnotchosentocopy} = "A quiz\/test was not chosen to copy.";
$LANGUAGE{2}{andallcontentsunderit} = "and all contents under it";
$LANGUAGE{2}{Ananswertypewasnotchosen} = "An answer type was not chosen.";
$LANGUAGE{2}{Ananswerorfilewasnotenteredineachofthefirst3rows} = "An answer or file was not entered in each of the first 3 rows.";
$LANGUAGE{2}{Assignment} = "Assignment";
$LANGUAGE{2}{AUsernameorpasswordwasnotentered} = "A User name or password was not entered.";
$LANGUAGE{2}{Ascommaseparatedvariables} = "As comma separated variables .csv";
$LANGUAGE{2}{Asjavascriptobjectnotation} = "As javascript object notation .json";
$LANGUAGE{2}{Administrator} = "Administrator";
$LANGUAGE{2}{Agree} = "Agree";
$LANGUAGE{2}{AgreeDisagree} = "Agree/Disagree";
$LANGUAGE{2}{Arrow} = "Arrow";
$LANGUAGE{2}{Afiledescripwasnotentered} = "A file description was not entered.";

$LANGUAGE{2}{Basic} = "Basic";
$LANGUAGE{2}{Bonus} = "Bonus";
$LANGUAGE{2}{Branch} = "Branch";
$LANGUAGE{2}{BankFiles} = "Bank Files";
$LANGUAGE{2}{BranchAnswer} = "Branch Answer";
$LANGUAGE{2}{Branchingquestions} = "Branching questions";
$LANGUAGE{2}{byfirstletterinname} = "by first letter in name";
$LANGUAGE{2}{byfirstletterinlastname} = "by first letter in last name";
$LANGUAGE{2}{Bulkuploadphotos} = "Bulk upload photos";
$LANGUAGE{2}{Bulkphotos} = "Bulk photos";
$LANGUAGE{2}{beforetheycanaccessthisQST} = "before they can access this QST.";

$LANGUAGE{2}{Cancel} = "Cancel";
$LANGUAGE{2}{Classes} = "Classes";
$LANGUAGE{2}{Class} = "Class";
$LANGUAGE{2}{Clickonserveradmin} = "Click on Server Administrators or a person for options.";
$LANGUAGE{2}{Clickonaperson} = "Click on a person for options.";
$LANGUAGE{2}{Close} = "Close";
$LANGUAGE{2}{ChangeUser} = "Change User";
$LANGUAGE{2}{ChangeClass} = "Change Class";
$LANGUAGE{2}{Create} = "Create";
$LANGUAGE{2}{CreateFolder} = "Create Folder";
$LANGUAGE{2}{Createafolder} = "Create a folder";
$LANGUAGE{2}{CreateQuizTest} = "Create Quiz/Test";
$LANGUAGE{2}{Createquestion} = "Create question";
$LANGUAGE{2}{Change} = "Change ";
$LANGUAGE{2}{Collapsebranch} = "Collapse branch";
$LANGUAGE{2}{ChangeaQuestion} = "Change a Question";
$LANGUAGE{2}{CreateaQuestion} = "Create a Question";
$LANGUAGE{2}{ChangeanAdministrator} = "Change an Administrator";
$LANGUAGE{2}{ChangeanAdminPassword} = "Change Admin Password";
$LANGUAGE{2}{ChangeAssignmentMarks} = "Change Assignment Marks";
$LANGUAGE{2}{Continue} = "Continue";
$LANGUAGE{2}{Copy} = "Copy";
$LANGUAGE{2}{ChangeAssignmentMarksValue} = "Change Assignment Marks Value";
$LANGUAGE{2}{ChangeWeight} = "Change Weight";
$LANGUAGE{2}{CreateaSurveyQuestion} = "Create a Survey Question";
$LANGUAGE{2}{ChangeaSurveyQuestion} = "Change a Survey Question";
$LANGUAGE{2}{ChangeBonus} = "Change Bonus";
$LANGUAGE{2}{CreateClass} = "Create Class";
$LANGUAGE{2}{Cut} = "Cut";
$LANGUAGE{2}{ChangePasswordto} = "Change Password to";
$LANGUAGE{2}{Correct} = "Correct";
$LANGUAGE{2}{correct} = "correct";
$LANGUAGE{2}{ChangeMark} = "Change Mark";
$LANGUAGE{2}{CorrectAnswer} = "Correct Answer";
$LANGUAGE{2}{ClicktheSubmitQSTbuttontoseeyourresults} = "Click the Submit QST button to see your results.";
$LANGUAGE{2}{Columns} = "Columns";
$LANGUAGE{2}{ClicktoseeWordXMLformat} = "Click to see Word XML format";
$LANGUAGE{2}{ClicktoseeMoodlequestiontypes} = "Click to see Moodle question types";
$LANGUAGE{2}{ClicktoseeQTIquestiontypes} = "Click to see QTI question types";
$LANGUAGE{2}{CreateOrganization} = "Create Organization";
$LANGUAGE{2}{ClickonQSTtocreateanORGANIZATIONunderit} = "Click on QST to create an ORGANIZATION under it.";
$LANGUAGE{2}{Clickontoviewcontentsunderit} = "Click on $image4 to view contents under it.";
$LANGUAGE{2}{CreateUser} = "Create User";
$LANGUAGE{2}{Classidsmax20characters} = "Class id max. 20 characters.";
$LANGUAGE{2}{Classnamesmax80characters} = "Class names max. 80 characters.";
$LANGUAGE{2}{Clickortomovetopreviousornextquestion} = "Click  <  or  >  to move to previous or next question.";
$LANGUAGE{2}{ClickSubmitQSTwhenyouaredone} = "Click Submit QST when you are done.";
$LANGUAGE{2}{Clicktogotothenextquestion} = "Click  >  to go to the next question.";
$LANGUAGE{2}{Clicktoseetheanswerormovetothenextquestion} = "Click  >  to see the answer or move to the next question.";
$LANGUAGE{2}{Clicktomovetothenextquestion} = "Click  >  to move to the next question.";
$LANGUAGE{2}{Clickonquizsurveytestnameforoptions} = "Click on quiz/survey/test name for options.";
$LANGUAGE{2}{Clickonanumbertojumptothatquestion} = "Click on a number to jump to that question.";
$LANGUAGE{2}{ChangeAssignmentMark} = "Change Assignment Mark";
$LANGUAGE{2}{CreateAssignment} = "Create Assignment";
$LANGUAGE{2}{Classidnospacesallowed} = "Class id no spaces allowed.";
$LANGUAGE{2}{Classid} = "Class id";
$LANGUAGE{2}{ClassNamealreadythere} = "Class Name already there.";
$LANGUAGE{2}{ClassIDalreadythere} = "Class ID already there";
$LANGUAGE{2}{classeswerecreated} = "classes were created.";
$LANGUAGE{2}{Correctresponseidentifiertobig} = "Correct response identifier to big.";
$LANGUAGE{2}{Choiceslargerthan70characters} = "Choices larger than 70 characters.";
$LANGUAGE{2}{ClickCloseafteryourfileisdownloaded} = "Click Close after your file is downloaded.";
$LANGUAGE{2}{CompleteName} = "Complete name";
$LANGUAGE{2}{canalreadyloginto} = "can already log into "; 
$LANGUAGE{2}{canloginto} = "can continue ";
$LANGUAGE{2}{CopyandPastetheinfobelowintoyourspreadsheetprogramandsaveasqstcsv} = "Copy the contents of the box below and paste into your text editor and save as qst_details.csv";
$LANGUAGE{2}{CopyandPastetheinfobelowintoyourtexteditorandsaveasgradebookcsv} = "Copy the contents of the box below and paste into your text editor and save as gradebook.csv";
$LANGUAGE{2}{Clickontoviewfoldersandfilesunderit} = "Click on $image4 to view folders and files under it.";
$LANGUAGE{2}{Copyandpasteintoanswers} = "Copy and paste into answers";
$LANGUAGE{2}{Copyandpasteintoanswerssurroundedby} = "Copy and paste into answers surrounded by \$\$";
$LANGUAGE{2}{Copyandpasteintoanswerssurroundedbycode} = "Copy and paste into answers surrounded by <code>'</code>";
$LANGUAGE{2}{ChangeFileDescrip} = "Change File Description";

$LANGUAGE{2}{Default} = "Default";
$LANGUAGE{2}{DeleteQuestions} = "Delete Questions";
$LANGUAGE{2}{Delete} = "Delete";
$LANGUAGE{2}{Deletequestions} = "Delete questions";
$LANGUAGE{2}{DeleteAdministrator} = "Delete Administrator";
$LANGUAGE{2}{Deletetheclasses} = "Delete the classes";
$LANGUAGE{2}{Deletefromclass} = "Delete from class";
$LANGUAGE{2}{Description} = "Description";
$LANGUAGE{2}{Display} = "Display";
$LANGUAGE{2}{DownloadGradeBook} = "Download GradeBook";
$LANGUAGE{2}{DeleteBranch} = "Delete Branch";
$LANGUAGE{2}{Delivery} = "Delivery";
$LANGUAGE{2}{Duration} = "Duration";
$LANGUAGE{2}{DeletethisfolderandallfoldersandfilesunderitContinue} = "Delete this folder and all folders and files under it. Continue?";
$LANGUAGE{2}{DeleteOrganization} = "Delete Organization";
$LANGUAGE{2}{DeleteClassfromUser} = "Delete Class from User";
$LANGUAGE{2}{DeleteClass} = "Delete Class";
$LANGUAGE{2}{DeleteUser} = "Delete User";
$LANGUAGE{2}{Deletefolder} = "Delete folder";
$LANGUAGE{2}{Deletethisquestion} = "Delete this question?";
$LANGUAGE{2}{Deleteallstudentsmarksandaccess} = "Delete all students marks and access?";
$LANGUAGE{2}{December} = "December";
$LANGUAGE{2}{DeletePhoto} = "Delete Photo";
$LANGUAGE{2}{Dontimportfileuploadquestions} = "Don't import file upload questions.";
$LANGUAGE{2}{Dontimportsliderquestions} = "Don't import slider questions.";
$LANGUAGE{2}{DontimportgapMatchquestions} = "Don't import gapMatch questions.";
$LANGUAGE{2}{Dontimporthotspotquestions} = "Don't import hot spot questions.";
$LANGUAGE{2}{Dontimportinlinechoicequestions} = "Don't import inline choice questions.";
$LANGUAGE{2}{Dontimportdrawinginteractionquestions} = "Don't import drawing interaction questions.";
$LANGUAGE{2}{Dontimporttextentryinteractionquestions} = "Don't import text entry interaction questions.";
$LANGUAGE{2}{Dontimporttemplatequestions} = "Don't import template questions.";
$LANGUAGE{2}{Dontimportorderedquestions} = "Don't import ordered questions.";
$LANGUAGE{2}{Downloadthefile} = "Download the file";
$LANGUAGE{2}{DownloadDetails} = "Download Details";
$LANGUAGE{2}{Disagree} = "Disagree";

$LANGUAGE{2}{Exportquestions} = "Export questions";
$LANGUAGE{2}{Eachquestionisworth} = "Each question is worth";
$LANGUAGE{2}{Equation} = "Equation";
$LANGUAGE{2}{Export} = "Export";
$LANGUAGE{2}{Enteryourquestionhere} = "Enter your question here.";
$LANGUAGE{2}{Eithersomeinputwastoolongpasswordsdonotmatchoramandatoryfieldwasnotfilled} = "Either some input was too long, passwords do not match or a mandatory field was not filled";
$LANGUAGE{2}{Enterthe} = "Enter the";
$LANGUAGE{2}{Enterananswerhere} = "Enter an answer here.";
$LANGUAGE{2}{Entertexthere} = "Enter text here.";
$LANGUAGE{2}{Entermatchingtexthere} = "Enter matching text here.";

$LANGUAGE{2}{Focus} = "Focus";
$LANGUAGE{2}{files} = "files";
$LANGUAGE{2}{Files} = "Files";
$LANGUAGE{2}{Firstname} = "First Name";
$LANGUAGE{2}{False} = "False";
$LANGUAGE{2}{File} = "File";
$LANGUAGE{2}{Foldertoplaceunder} = "Folder to place under";
$LANGUAGE{2}{Fileofusersandclasses} = "File of users and classes";
$LANGUAGE{2}{ForsecuritythisfileisparsedinmemoryontheserverAllpasswordsareencrypted} = "For security this file is parsed in memory on the server.<BR>*All passwords are encrypted.";
$LANGUAGE{2}{Formatoffile} = "Format of file:";
$LANGUAGE{2}{February} = "February";
$LANGUAGE{2}{Filecontents} = "File contents";
$LANGUAGE{2}{ForcompletedetailsreadQSTAdminManual} = "For complete details read QST Admin Manual.";
$LANGUAGE{2}{Filenamingconvention} = "File naming convention:  &nbsp\;";
$LANGUAGE{2}{For} = "for";
$LANGUAGE{2}{Firstandlastnamesonly40characters} = "First and last names only 40 characters.";
$LANGUAGE{2}{Format} = "Format";
$LANGUAGE{2}{Filedescrip} = "Description";

$LANGUAGE{2}{gradebooks} = "gradebooks";
$LANGUAGE{2}{GradeBook} = "GradeBook";
$LANGUAGE{2}{GradeBooks} = "GradeBooks";
$LANGUAGE{2}{Grade} = "Grade";
$LANGUAGE{2}{GreekandFunction} = "Greek and Function";

$LANGUAGE{2}{hasnotbeencreatedyet} = " has not been created yet.";
$LANGUAGE{2}{HidePreview} = "Hide Preview";
$LANGUAGE{2}{Hide} = "<font color=\"red\" data-toggle=\"tooltip\" title=\" Hide \">X</font>";
$LANGUAGE{2}{hasnotstarted} = "has not started ";
$LANGUAGE{2}{hasalreadybeenstartedbystudentsandcannotbechanged} = "has already been started by students and cannot be changed.";

$LANGUAGE{2}{Instructions} = "Instructions";
$LANGUAGE{2}{Importquestions} = "Import questions";
$LANGUAGE{2}{Insertimage} = "Insert image";
$LANGUAGE{2}{ImportQuestions} = "Import Questions";
$LANGUAGE{2}{Institutionid} = "Institution id";
$LANGUAGE{2}{ID} = "ID";
$LANGUAGE{2}{Institute} = "Institute";
$LANGUAGE{2}{Incorrect} = "Incorrect";
$LANGUAGE{2}{incorrect} = "incorrect";
$LANGUAGE{2}{IncorrectAnswers} = "Incorrect Answers";
$LANGUAGE{2}{Import} = "Import";
$LANGUAGE{2}{Instructor} = "Instructor";
$LANGUAGE{2}{Ifnostudentidsetitto0} = "If no student id set it to 0.";
$LANGUAGE{2}{Studentidsmax10digits} = "Student ids max.10 digits.";
$LANGUAGE{2}{IfusingLDAPsetpasswordto0} = "If using LDAP set password to 0.";
$LANGUAGE{2}{Instituteidcanonlybenumbers} = "Institute id can only be numbers.";
$LANGUAGE{2}{ImportMoodleQuestions} = "Import Moodle XML Questions";
$LANGUAGE{2}{ImportQTIQuestions} = "Import QTI Questions";
$LANGUAGE{2}{Imagetoobig} = "Image too big. Larger than $max_import_image_upload_size bytes";
$LANGUAGE{2}{Imagesinquestionsandanswerswillbeimported} = "Images in questions and answers will be imported";
$LANGUAGE{2}{InsertPDF} = "Insert PDF";
$LANGUAGE{2}{ifmultipleattempts} ="if multiple attempts records highest mark only if all questions are T/F, Y/N, multiple choice, multiple answer, or matchxng, otherwise records last attempt.";

$LANGUAGE{2}{January} = "January";
$LANGUAGE{2}{June} = "June";
$LANGUAGE{2}{July} = "July";

$LANGUAGE{2}{LastName} = "Last Name";
$LANGUAGE{2}{Link} = "Link";
$LANGUAGE{2}{Logout} = "Log Out";
$LANGUAGE{2}{Login} = "Log In";
$LANGUAGE{2}{lengthofeitherinstitutionidfirstnamelastnameusernamepasswordclassidorclassnameistoolong} = "length of either institution id, first name, last name, username, password, class id or class name is too long";
$LANGUAGE{2}{Logic} = "Logic";

$LANGUAGE{2}{marks} = "marks.";
$LANGUAGE{2}{Marks} = "Marks";
$LANGUAGE{2}{MiddleInitial} = "Middle Initial";
$LANGUAGE{2}{MyClasses} = "My Classes";
$LANGUAGE{2}{MultipleChoice} = "Multiple Choice";
$LANGUAGE{2}{MultipleAnswer} = "Multiple Answer";
$LANGUAGE{2}{MatchXng} = "MatchXng";
$LANGUAGE{2}{Max80characters} = "Max. 80 characters";
$LANGUAGE{2}{Max20characters} = "Max. 20 characters";
$LANGUAGE{2}{Max50characters} = "Max. 50 characters";
$LANGUAGE{2}{MyQuestions} = "My Questions";
$LANGUAGE{2}{MYQSTFiles} = "My QST Files";
$LANGUAGE{2}{Mark} = "Mark";
$LANGUAGE{2}{minutes} = "minutes";
$LANGUAGE{2}{Marked} = "Marked";
$LANGUAGE{2}{ModalNoresize} = "Modal - No resize";
$LANGUAGE{2}{maxOnlygifjpegandpngfiles} = "max. <BR>Only .gif, .jpeg, .png and .pdf files";
$LANGUAGE{2}{MBmaxOnlytxtfiles} = "MB max. Only .txt files";
$LANGUAGE{2}{March} = "March";
$LANGUAGE{2}{May} = "May";
$LANGUAGE{2}{missingacolumn} = "mising a column";
$LANGUAGE{2}{Missinganswers} = "Missing answers.";
$LANGUAGE{2}{Matchingmayonlybetext} = "Matching may only be text.";
$LANGUAGE{2}{Minutesaddedto} = "minutes added to";
$LANGUAGE{2}{MoodleXML} = "Moodle XML";
$LANGUAGE{2}{Math} = "Math";

$LANGUAGE{2}{Nofileselected} = "No file selected.";
$LANGUAGE{2}{Notenoughfilespace} = "Not enough file space available.";
$LANGUAGE{2}{Newpassword} = "New Password";
$LANGUAGE{2}{Newpasswordagain} = "New Password again";
$LANGUAGE{2}{Noquestionswereselected} = "No questions were selected.";
$LANGUAGE{2}{Name} = "Name";
$LANGUAGE{2}{No} = "No";
$LANGUAGE{2}{NumbertoMark} = "Number to Mark";
$LANGUAGE{2}{NoAnswer} = "No Answer";
$LANGUAGE{2}{Notmarked} = "Not marked.";
$LANGUAGE{2}{Noquestionshavebeenaddedyet} = "No questions have been added yet.";
$LANGUAGE{2}{Nostudentswerechosen} = "No students were chosen.";
$LANGUAGE{2}{NewWindowResizeable} = "New Window - Resizeable";
$LANGUAGE{2}{Noquestionswereuploaded} = "No questions were uploaded.";
$LANGUAGE{2}{Noquestionsavailable} = "No questions available.";
$LANGUAGE{2}{NoAnswers} = "No Answers";
$LANGUAGE{2}{Nothingpostedortherearenotanyattemptsleft} = "Nothing posted or there are not any attempts left.";
$LANGUAGE{2}{Numeric} = "Numeric";
$LANGUAGE{2}{Next} = "Next";
$LANGUAGE{2}{November} = "November";
$LANGUAGE{2}{NOTenoughcolumns} = "NOT enough columns";
$LANGUAGE{2}{nosemicolonallowed} = "No <B>\;</B> allowed anywhere";
$LANGUAGE{2}{Namealreadythere} = "Name already there.";
$LANGUAGE{2}{nameandselectanoptionfromabove} = "name and select an option from above.";
$LANGUAGE{2}{Notanimagefile} = "Not an image file";
$LANGUAGE{2}{Notapdffile} = "Not a .pdf file";
$LANGUAGE{2}{Nodescriptionisavailable} = "No description is available.";
$LANGUAGE{2}{NotallowedtoresumethisQST} = "Not allowed to resume this QST.";
$LANGUAGE{2}{Notinclass} = "Not in class.";
$LANGUAGE{2}{Neutral} = "Neutral";

$LANGUAGE{2}{Organization} = "Organization";
$LANGUAGE{2}{OrganizationAdmin} = "Organization Admin";
$LANGUAGE{2}{Organizations} = "Organizations";
$LANGUAGE{2}{OnlyQSTWordXMLMoodleorQTIFormatssupported30MBMax} = "Only the formats below. 30 MB Max.";
$LANGUAGE{2}{Oncethequizsurveytestisbegunitcountsasanattempt} = "Once the quiz/survey/test is begun, it counts as an attempt.";
$LANGUAGE{2}{October} = "October";
$LANGUAGE{2}{Onlycertainmoodlequestions} = "Only multiple choice, matching, true/false, short answer and essay questions may be imported.";
$LANGUAGE{2}{Onlycertainqtiquestions} = "Only multiple choice, matching, true/false, short answer and essay questions may be imported.";
$LANGUAGE{2}{Onlygifjpegandpngfiles} = "max. <BR>Only .gif, .jpeg, and .png files";

$LANGUAGE{2}{Password} = "Password";
$LANGUAGE{2}{Passwordagain} = "Password Again";
$LANGUAGE{2}{Paragraph} = "Paragraph";
$LANGUAGE{2}{Preview} = "Preview";
$LANGUAGE{2}{PreviewQuestion} = "Preview Question";
$LANGUAGE{2}{PreviewEquation} = "Preview Equation";
$LANGUAGE{2}{Paste} = "Paste";
$LANGUAGE{2}{Pasteabove} = "Paste above";
$LANGUAGE{2}{Pastebelow} = "Paste below";
$LANGUAGE{2}{Print} = "Print";
$LANGUAGE{2}{Post} = "Post";
$LANGUAGE{2}{PaperAllQuestions} = "Paper - All Questions";
$LANGUAGE{2}{Postit} = "Post it";
$LANGUAGE{2}{Partialmark} = "Partial mark";
$LANGUAGE{2}{partialmark} = "partial mark";
$LANGUAGE{2}{Passwordsmax20characters} = "Passwords max. 20 characters.";
$LANGUAGE{2}{Previous} = "Previous";
$LANGUAGE{2}{Passwordhasnonalphnumericcharactersinit} = "Password has non alphnumeric characters in it.";
$LANGUAGE{2}{Passwordsnotmatching} = "Passwords not matching.";
$LANGUAGE{2}{PDF} = "PDF";
$LANGUAGE{2}{Perfile} = "per file";
$LANGUAGE{2}{Partialmarks} = "Partial marks";

$LANGUAGE{2}{quizzestests} = "quizzes/tests";
$LANGUAGE{2}{QuizzesTests} = "Quizzes/Tests";
$LANGUAGE{2}{questions} = "questions";
$LANGUAGE{2}{qbank_admin} = "Question Bank Admin";
$LANGUAGE{2}{qbank} = "Question Bank";
$LANGUAGE{2}{QSTStats} = "QST Stats";
$LANGUAGE{2}{questionsrandomlyfromgroup} = "questions randomly from group.";
$LANGUAGE{2}{Question} = "Question";
$LANGUAGE{2}{QuestionFolder} = "Question Folder";
$LANGUAGE{2}{Questions} = "Questions";
$LANGUAGE{2}{Questiontoobig} = "Question too big. Larger then $max_question_length_import bytes";
$LANGUAGE{2}{Questiontoobigorempty} = "Question too big or empty";
$LANGUAGE{2}{Questionsnotinserted} = "Questions not inserted";
$LANGUAGE{2}{QSTFiles} = "QST Files";
$LANGUAGE{2}{Questionsareonlyshownonce} = "Questions are only shown once.";
$LANGUAGE{2}{QSTXML} = "QST XML";
$LANGUAGE{2}{QTI2} = "QTI 2.2";
$LANGUAGE{2}{QSTSubmitted} = "QST submitted";
$LANGUAGE{2}{Questionimportuploadsize} = "Question too big. Larger then $max_question_length_import bytes ";
$LANGUAGE{2}{QSTDetails} = "QST Details";
$LANGUAGE{2}{QuestionAdministrator} = "Question Administrator";
$LANGUAGE{2}{Quiz} = "Quiz";
$LANGUAGE{2}{quiztest} = "quiz/test";
$LANGUAGE{2}{survey} = "survey";
$LANGUAGE{2}{QuizTest} = "Quiz/Test";


$LANGUAGE{2}{Rename} = "Rename";
$LANGUAGE{2}{RenameFile} = "Rename File";
$LANGUAGE{2}{RenameaFile} = "Rename a File";
$LANGUAGE{2}{RenameFolder} = "Rename Folder";
$LANGUAGE{2}{Renameafolder} = "Rename a folder";
$LANGUAGE{2}{Remove} = "Remove";
$LANGUAGE{2}{Results} = "Results";
$LANGUAGE{2}{RenameAssignment} = "Rename Assignment";
$LANGUAGE{2}{Recordmark} = "Record mark";
$LANGUAGE{2}{ResultsMarkisviewable} = "Results/Mark is viewable";
$LANGUAGE{2}{Removerow} = "Remove row.";
$LANGUAGE{2}{Removeuser} = "Remove user";
$LANGUAGE{2}{Removeclass} = "Remove class";
$LANGUAGE{2}{RenameOrganization} = "Rename Organization";
$LANGUAGE{2}{required} = "required";
$LANGUAGE{2}{RenamethisAssignment} = "Rename this Assignment";
$LANGUAGE{2}{resizephototo150pixelswide} = "resize photo to 150 pixels wide";
$LANGUAGE{2}{resizephotosto150pixelswide} = "resize photos to 150 pixels wide";
$LANGUAGE{2}{RemoveImage} = "Remove Image";
$LANGUAGE{2}{RemovePDF} = "Remove PDF";
$LANGUAGE{2}{ResetStudents} = "Reset All Students";
$LANGUAGE{2}{RemoveStudents} = "Remove All Students";
$LANGUAGE{2}{Remove} = "Remove";
$LANGUAGE{2}{Removeall} = "Removes all the students and everything associated with them.";
$LANGUAGE{2}{Reset} = "Reset";
$LANGUAGE{2}{RemovesallstudentsfromallclassesandremovestheirmarksandcompletedQSTs} = "Removes all students from all classes and removes their marks and completed QSTs.";
$LANGUAGE{2}{Resume} = "Resume";
$LANGUAGE{2}{ResumeQST} = "Resume QST";
$LANGUAGE{2}{RightclickyellowhighlightbelowforMathML} = "Right click yellow highlight below for MathML";

$LANGUAGE{2}{Save} = "Save";
$LANGUAGE{2}{Saved} = "Saved";
$LANGUAGE{2}{SaveandClose} = "Save and Close";
$LANGUAGE{2}{Score} = "Score";
$LANGUAGE{2}{SurveyQuestions} = "Survey Questions";
$LANGUAGE{2}{surveys} = "surveys";
$LANGUAGE{2}{Surveys} = "Surveys";
$LANGUAGE{2}{Selectquestion} = "Select question";
$LANGUAGE{2}{Savechanges} = "Save changes";
$LANGUAGE{2}{Saveandcreateanother} = "Save and create another";
$LANGUAGE{2}{SelectAll} = "Select All";
$LANGUAGE{2}{Select} = "Select";
$LANGUAGE{2}{ServerAdministrators} = "Server Administrators";
$LANGUAGE{2}{ServerAdministration} = "Server Administration";
$LANGUAGE{2}{Seeexample} = "See example.";
$LANGUAGE{2}{ShowEquationEditor} = "Show Equation Editor";
$LANGUAGE{2}{ShowAdvancedEditor} = "Show Advanced Editor";
$LANGUAGE{2}{ShowBasicEditor} = "Show Basic Editor";
$LANGUAGE{2}{ShortAnswer} = "Short Answer";
$LANGUAGE{2}{Stats} = "Stats";
$LANGUAGE{2}{STATS} = "Stats";
$LANGUAGE{2}{Submitted} = "Submitted";
$LANGUAGE{2}{Survey} = "Survey";
$LANGUAGE{2}{survey} = "survey";
$LANGUAGE{2}{SingleQuestionJump} = "Single Question - Jump";
$LANGUAGE{2}{SingleQuestionNext} = "Single Question - Next";
$LANGUAGE{2}{SingleQuestionAnswer} = "Single Question - Answer";
$LANGUAGE{2}{SingleQuestionBranch} = "Single Question - Branch";
$LANGUAGE{2}{Started} = "Started";
$LANGUAGE{2}{Shufflequestionsforeachuser} = "Shuffle questions for each user";
$LANGUAGE{2}{Shuffleanswers} = "Shuffle answers";
$LANGUAGE{2}{Submissionsareviewable} = "Submissions are viewable";
$LANGUAGE{2}{SelectAllStudents} = "Select All Students";
$LANGUAGE{2}{Saveasnew} = "Save as new";
$LANGUAGE{2}{Submit} = "Submit";
$LANGUAGE{2}{SubmitQSTforstudent} = "Submit QST for student";
$LANGUAGE{2}{Student} = "Student";
$LANGUAGE{2}{SearchbyClassId} = "Search by Class Id";
$LANGUAGE{2}{SearchbyStudentId} = "Search by Student Id";
$LANGUAGE{2}{Search} = "Search";
$LANGUAGE{2}{Start} = "Start";
$LANGUAGE{2}{submissionandmarkfor} = "submission and mark for";
$LANGUAGE{2}{submissionfor} = "submission for";
$LANGUAGE{2}{September} = "September";
$LANGUAGE{2}{spaceswillberemoved} = "spaces will be removed";
$LANGUAGE{2}{Studentidmustbenumeric} = "Student id must be numeric.";
$LANGUAGE{2}{ServerAdministration} = "Server Adminstration";
$LANGUAGE{2}{School} = "School";
$LANGUAGE{2}{Subject} = "Subject";
$LANGUAGE{2}{StronglyAgree} = "Strongly Agree";
$LANGUAGE{2}{StronglyDisagree} = "Strongly Disagree";
$LANGUAGE{2}{SelectanitemorinputLaTeXTeXMathMLorAsciiMathnotation} = "Select an item from left menu or input LaTeX, TeX, MathML or <i><B>A</B></i>sciiMath notation.";
$LANGUAGE{2}{Symbol} = "Symbol";
$LANGUAGE{1}{Submitit} = "Submit it.";

$LANGUAGE{2}{The} = "The ";
$LANGUAGE{2}{Thefilewasuploaded} = "The file was uploaded.";
$LANGUAGE{2}{Thefilewasnotuploaded} = "The file was not uploaded.<BR> It is either empty or wrong extension or too large.";
$LANGUAGE{2}{Thefileexceedsmax} = "The file to be uploaded exceeds the maximum upload size.";
$LANGUAGE{2}{TF} = "T/F";
$LANGUAGE{2}{Totalofweights} = "Total of weights";
$LANGUAGE{2}{Totalsforclass} = "Totals for class";
$LANGUAGE{2}{Type} = "Type";
$LANGUAGE{2}{Toomanycharacters75allowed} = "Too many characters, 75 allowed.";
$LANGUAGE{2}{Thefolderscreatedhere} = "The folders created here will be displayed in <BR>QST Builders view of Question Bank.";
$LANGUAGE{2}{TimeRemaining} = "Time Remaining";
$LANGUAGE{2}{TimeExpired} = "Time Expired!";
$LANGUAGE{2}{True} = "True ";
$LANGUAGE{2}{Thenselectananswertype} = "Then select an answer type.";
$LANGUAGE{2}{ThisfilemaybeincludedinaquizsurveyortestContinue} = "This file may be included in a quiz, survey or test. Continue?";
$LANGUAGE{2}{ThisquestionmaybeincludedinaquizortestContinue} = "This question may be included in a quiz or test. Continue?";
$LANGUAGE{2}{Thefirstcharacteristypeisstudent2isinstructor} = "The first character is type: 3 is student, 2 is instructor.";
$LANGUAGE{2}{Theremustbesomethingineachcolumn} = "There must be something in each column.";
$LANGUAGE{2}{typestudentidfirstnamelastnameusernamepasswordclassidclassname} = "type,student id,first name,last name,user name,password,class id,class name";
$LANGUAGE{2}{Thefollowinglineswerenotgood} = "The following lines were not good:";
$LANGUAGE{2}{Thefollowingusersareinanotherorganization} = "The following users are in another organization:";
$LANGUAGE{2}{TherightsideofthescreenshowsthequestionsyouhaveansweredClickonanumbertojumptothatquestion} = "The right side of the screen shows the questions you have answered. Click on a number to jump to that question.";
$LANGUAGE{2}{Theinstitutionidisalreadybeingused} = "The institution id is already being used.";
$LANGUAGE{2}{typeisnot2or3} = "type is not 2 or 3";
$LANGUAGE{2}{This} = "This ";
$LANGUAGE{2}{Thisisonlyaplaceholder} = "This is only a placeholder.";
$LANGUAGE{2}{Timehasrunoutfor} = "time has run out for ";
$LANGUAGE{2}{Timefor} = "time for ";
$LANGUAGE{2}{ThisviewisnotsupportedforyourroleinQST} = "This view is not supported for your role in QST.";
$LANGUAGE{2}{tocontinue} = "to continue ";
$LANGUAGE{2}{Thisquestionisincludedinaquizsurveyortestandcannotbedeleted} = "This question is included in a quiz, survey or test and cannot be deleted.";
$LANGUAGE{2}{ToconformtoWCAG2guidelinesallfilesmusthaveadescriptionforscreenreaders} = "To conform to WCAG 2.0 guidelines, all files must have a description for screen readers. 500 characters max.";
$LANGUAGE{2}{Thankyoufortakingthetimetocompletethesurvey} = "Thank you for taking the time to complete the survey.";
$LANGUAGE{2}{Textherewilldisplayasquestionnameunderfolders} = "Text here will display as question name under folders.";

$LANGUAGE{2}{Users} = "Users";
$LANGUAGE{2}{UploadaFile} = "Upload a File";
$LANGUAGE{2}{Upload} = " Upload ";
$LANGUAGE{2}{UploadaFileofUsersandClasses} = "Upload a File of Users and Classes";
$LANGUAGE{2}{Uploadthisfile} = "Upload this file";
$LANGUAGE{2}{UserName} = "Username";
$LANGUAGE{2}{UnselectAll} = "Unselect All";
$LANGUAGE{2}{Unpost} = "Unpost";
$LANGUAGE{2}{UnselectAllStudents} = "Unselect All Students";
$LANGUAGE{2}{Usertype} = "User type";
$LANGUAGE{2}{UseQSTEQ} = "Use QST EQ";
$LANGUAGE{2}{Unmarked} = "Unmarked";
$LANGUAGE{2}{Usertype} = "User type";
$LANGUAGE{2}{Usernamesmustbeunique} = "Usernames must be unique.";
$LANGUAGE{2}{Usernamesmax50characters} = "Usernames max. 50 characters.";
$LANGUAGE{2}{Usernamesandpasswordsonlyalphanumeric} = "User names and passwords only alphanumeric.";
$LANGUAGE{2}{unmarked} = "unmarked";
$LANGUAGE{2}{Usernameorpasswordshavenonalphanumericcharacters} = "Username or passwords have non-alphanumeric characters.";
$LANGUAGE{2}{Usernamealreadythere} = "Username already there.";
$LANGUAGE{2}{UserNOTcreated} = "User NOT created";
$LANGUAGE{2}{UserNOTchanged} = "User NOT changed";
$LANGUAGE{2}{usernameandpasswordcanonlybealphanumeric} = "username and password can only be alphanumeric";
$LANGUAGE{2}{userswerecreated} = "users were created.";
$LANGUAGE{2}{userswereaddedtoclasses} = "users were added to classes.";
$LANGUAGE{2}{UploadPhoto} = "Upload photo";
$LANGUAGE{2}{UploadQTIquestions} = "Upload QTI questions";
$LANGUAGE{2}{UploadMoodleXML} = "Upload Moodle XML";
$LANGUAGE{2}{Usernameextension} = "<i>username</i>.gif/jpeg/png";
$LANGUAGE{2}{Unabletoaddto} = " Unable to add to ";

$LANGUAGE{2}{Value} = "Value";
$LANGUAGE{2}{View} = "View";
$LANGUAGE{2}{Viewa} = "View a ";
$LANGUAGE{2}{ViewmarkQST} = "View Mark QST ";
$LANGUAGE{2}{ViewQST} = "View QST ";
$LANGUAGE{2}{Viewbranch} = "View branch";
$LANGUAGE{2}{ViewQuestion} = "View Question";
$LANGUAGE{2}{Viewquestion} = "View question";
$LANGUAGE{2}{Viewquestionstats} = "View question stats";
$LANGUAGE{2}{ViewQuestionStats} = "View Question Stats";
$LANGUAGE{2}{Viewaquestion} = "View a question";
$LANGUAGE{2}{ViewaFile} = "View a File";
$LANGUAGE{2}{ViewAnswers} = "View Answers";
$LANGUAGE{2}{ViewUser} = "View User";
$LANGUAGE{2}{ViewClassUsers} = "View Class Users";
$LANGUAGE{2}{Viewcorrect} = "View correct";
$LANGUAGE{2}{Viewincorrect} = "View incorrect";
$LANGUAGE{2}{Viewnoanswer} = "View no answer";
$LANGUAGE{2}{Viewpartial} = "View partial";
$LANGUAGE{2}{ViewMark} = "View\/Mark";
$LANGUAGE{2}{Valueofeachquestion} = "Value of each question";
$LANGUAGE{2}{ViewSelectFiles} = "View/Select Files";
$LANGUAGE{2}{ViewSelectFile} = "View/Select File";
$LANGUAGE{2}{VideoLink} = "Video Link";
$LANGUAGE{2}{ViewPDF} = "*View PDF";

$LANGUAGE{2}{Weight} = "Weight";

$LANGUAGE{2}{xmlorzip} = "xml or zip";

$LANGUAGE{2}{Youraccounthasbeenlockedfor3minutes} = "Your account has been locked for 3 minutes.";
$LANGUAGE{2}{YN} = "Y/N";
$LANGUAGE{2}{Yes} = "Yes";
$LANGUAGE{2}{YourResultsare} = "Your Results are";
$LANGUAGE{2}{Youareabouttobegin} = "You are about to begin";
$LANGUAGE{2}{Youarenotregisteredinanyclasses} = "You are not registered in any classes.";
$LANGUAGE{2}{Yourbrowserdoesnotsupportthevideotag} = "Your browser does not support the video tag.";
$LANGUAGE{2}{Yourbrowserdoesnotsupporttheaudiotag} = "Your browser does not support the audio tag.";
$LANGUAGE{2}{Yourphotosshouldbeintheuploadfolder} = "Your photos should be in the upload folder: &nbsp\;";
$LANGUAGE{2}{Youarenotauthorizedtoadministerthisorganization} = "You are not allowed to administer this organization.";
$LANGUAGE{2}{YoucannotaccessthisQST} = "You cannot access this QST.";
$LANGUAGE{2}{YourinstructormustresumeyourQSTforyou} = "Your instructor must resume your QST for you.";
$LANGUAGE{2}{YouhavefinishedtheQST} = "You have finished the QST.";


#### END Another Language Pack   ##########################################################################


my $close_button = "<center><TABLE><TD><img src=\"/schools/x-icon.png\" align=\"middle\" data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Close} \" OnClick=\"close_qst\(\)\" STYLE=\"cursor: pointer\"></B></TD></TABLE></center>";
my @assign = ("Quiz/Test","$LANGUAGE{$set_language}{QuizTest}","$LANGUAGE{$set_language}{Survey}","$LANGUAGE{$set_language}{Files}");

my @u_type = ("$LANGUAGE{$set_language}{Organization}","$LANGUAGE{$set_language}{Administrator}","$LANGUAGE{$set_language}{Instructor}","$LANGUAGE{$set_language}{Student}","$LANGUAGE{$set_language}{ServerAdministration}","$LANGUAGE{$set_language}{QuestionAdministrator}");
my @stuff = ("$LANGUAGE{$set_language}{School}","$LANGUAGE{$set_language}{Class}","$LANGUAGE{$set_language}{Subject}","$LANGUAGE{$set_language}{Grade}","$LANGUAGE{$set_language}{Questions}");
my @standard = ("$LANGUAGE{$set_language}{StronglyAgree}","$LANGUAGE{$set_language}{Agree}","$LANGUAGE{$set_language}{Neutral}","$LANGUAGE{$set_language}{Disagree}","$LANGUAGE{$set_language}{StronglyDisagree}");
my @months = ("$LANGUAGE{$set_language}{January}","$LANGUAGE{$set_language}{February}","$LANGUAGE{$set_language}{March}","$LANGUAGE{$set_language}{April}","$LANGUAGE{$set_language}{May}","$LANGUAGE{$set_language}{June}","$LANGUAGE{$set_language}{July}","$LANGUAGE{$set_language}{August}","$LANGUAGE{$set_language}{September}","$LANGUAGE{$set_language}{October}","$LANGUAGE{$set_language}{November}","$LANGUAGE{$set_language}{December}");
my @assign_lc= ("$LANGUAGE{$set_language}{Quiz}","$LANGUAGE{$set_language}{quiztest}","$LANGUAGE{$set_language}{survey}");

my @time_zone = ("-12","(GMT -12:00) Eniwetok, Kwajalein","-11","(GMT -11:00) Midway Island, Samoa","-10","(GMT -10:00) Hawaii","-9","(GMT -9:00) Alaska","-8","(GMT -8:00) Pacific Time - US Canada","-7","(GMT -7:00) Mountain Time - US Canada","-6","(GMT -6:00) Central Time - US Canada, Mexico City","-5","(GMT -5:00) Eastern Time - US Canada, Bogota, Lima","-4","(GMT -4:00) Atlantic Time - Canada,  Caracas, La Paz","-3.5","(GMT -3:30)Newfoundland","-3","(GMT -3:00) Brazil, Buenos Aires, Georgetown","-2","(GMT -2:00) Mid-Atlantic","-1","(GMT -1:00 hour)Azores, Cape Verde Islands","0","(GMT) Western Europe Time, London, Lisbon ,Casablanca","+1","(GMT +1:00 hour) Brussels, Copenhagen, Madrid, Paris","+2","(GMT +2:00) Kaliningrad, South Africa","+3","(GMT +3:00) Baghdad, Riyadh, Moscow, St. Petersburg","+3.5","(GMT +3:30) Tehran","+4","(GMT +4:00) Abu Dhabi, Muscat, Baku, Tbilisi","+4.5","GMT +4:30) Kabul","+5","(GMT +5:00) Ekaterinburg, Islamabad Karachi, Tashkent","+5.5","(GMT +5:30) Bombay, Calcutta,Madras, New Delhi","+5.75","(GMT +5:45) Kathmandu","+6","(GMT +6:00) Almaty, Dhaka, Colombo","+7","(GMT +7:00) Bangkok, Hanoi, Jakarta","+8","(GMT +8:00) Beijing, Perth, Singapore, Hong Kong","+9","(GMT +9:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk","+9.5","(GMT +9:30) Adelaide, Darwin","+10","(GMT +10:00) Eastern Australia, Guam, Vladivostok","+11","(GMT +11:00) Magadan, Solomon Islands, New Caledonia","+12","(GMT +12:00) Auckland, Wellington, Fiji, Kamchatka");

my %TIME_ZONE = @time_zone;
my %MONTH = ();
$MONTH{1} = {January => "31"};
$MONTH{2} = {February => "28"};
$MONTH{3} = {March => "31"};
$MONTH{4} = {April => "30"};
$MONTH{5} = {May => "31"};
$MONTH{6} = {June => "30"};
$MONTH{7} = {July => "31"};
$MONTH{8} = {August => "31"};
$MONTH{9} = {September => "30"};
$MONTH{10} = {October => "31"};
$MONTH{11} = {November => "30"};
$MONTH{12} = {December => "31"};

my %TIME_SHOW = ();
$TIME_SHOW{13} = 1;
$TIME_SHOW{14} = 2;
$TIME_SHOW{15} = 3;
$TIME_SHOW{16} = 4;
$TIME_SHOW{17} = 5;
$TIME_SHOW{18} = 6;
$TIME_SHOW{19} = 7;
$TIME_SHOW{20} = 8;
$TIME_SHOW{21} = 9;
$TIME_SHOW{22} = 10;
$TIME_SHOW{23} = 11;
$TIME_SHOW{24} = 12;

my %SD = ();
$SD{1} = "$LANGUAGE{$set_language}{StronglyAgree}";
$SD{2} = "$LANGUAGE{$set_language}{Agree}";
$SD{3} = "$LANGUAGE{$set_language}{Neutral}";
$SD{4} = "$LANGUAGE{$set_language}{Disagree}";
$SD{5} = "$LANGUAGE{$set_language}{StronglyDisagree}";

my %MONTHS_REVERSE = ();
$MONTHS_REVERSE{Jan} = 1;
$MONTHS_REVERSE{Feb} = 2;
$MONTHS_REVERSE{Mar} = 3;
$MONTHS_REVERSE{Apr} = 4;
$MONTHS_REVERSE{May} = 5;
$MONTHS_REVERSE{Jun} = 6;
$MONTHS_REVERSE{Jul} = 7;
$MONTHS_REVERSE{Aug} = 8;
$MONTHS_REVERSE{Sep} = 9;
$MONTHS_REVERSE{Oct} = 10;
$MONTHS_REVERSE{Nov} = 11;
$MONTHS_REVERSE{Dec} = 12;

my %REVERSE_DAY = ();
$REVERSE_DAY{Sun} = 1;
$REVERSE_DAY{Mon} = 2;
$REVERSE_DAY{Tue} = 3;
$REVERSE_DAY{Wed} = 4;
$REVERSE_DAY{Thu} = 5;
$REVERSE_DAY{Fri} = 6;
$REVERSE_DAY{Sat} = 7;

########################################################################################################

#from 1 is from home screen and questions screen
#from 2 is from right side page
#from 3 is add questions to quizzes/tests already there
#from 4 is surveys page
#from 5 is manage files
#from 6 is change question page
#from 7 is add questions to survey
#from 8 is left side of home screen
#from 9 is right hand admin screen
#from 10 is view_small_qst
#from 11 is add branching questions from bank

#type is for question categories
#type 0 cannot be deleted from question_categories - Survey Questions is 0 and Default is 0
#type 1 can be deleted

#type 0 is quizzes/tests folders, quizzes/tests
#type 2 is surveys questions and folders, surveys
#type 3 is general questions
#type 5 is folder 6 is file
#type 6 is org

#sub_type 1 is quiz/test questions
#sub_type 2 is survey questions

#qst type 1 is quiz/test
#qst type 2 is survey

#user type u_type
# 1 is administrator
# 2 is instructor
# 3 is student
# 4 is ?
# 5 is question bank admin
# 6 organization admin


#org_type
# 1 is class
# 2 is user

# ans_mode is for question answers
# 0 is Basic
# 1 is Advanced
# 2 is Equation

# mode is for question
# 0 is Basic
# 1 is Advanced
# 2 is Equation


##      Form INPUT Names being passed in must be in this HASH along with the max lengths for their values       #######################################

my %PASSED_VALUES = ("from","2","sub_type","1","type","1","expand","50","name","80","class_open","10","open_class","10","refresh_right","10","input","30","quiz_no","10",
"number","10","qst","10","qst_no","10","class_id","10","class_name","80","forall","1","copy_quiz","10","parent","10","i_n","20","target","10","action_type","6","status","1","q_mark","2","q_select","2","s_id","50","mark","3","weight","3","marks","3","assign_qst","10","s_name","1","qst_id","10","bonus","3","assign_qst_name","50","assign_name","50","q_order","1","correct","2","score","3","na","2","value_to_mark","2","questions","100","wrong","2","to_mark","3","targit","100","qst_total","3","old_pass","1000","fake_quest_no","11","chosen_question","10","question","$max_question_size","value","2","select","2","TFans","1","SAans","75","Pans","$p_ans_length","MCans","1","select1","$max_advanced_answer","select2","$max_advanced_answer","select3","$max_advanced_answer","select4","$max_advanced_answer","select5","$max_advanced_answer","select6","$max_advanced_answer","select7","$max_advanced_answer","select8","$max_advanced_answer","select9","$max_advanced_answer","select10","$max_advanced_answer","select11","$max_advanced_answer","select12","$max_advanced_answer","select13","$max_advanced_answer","select14","$max_advanced_answer","select15","$max_advanced_answer","disply","1","answer","75","name4","1","name2","1","order_no","1","selection3","25","assign_id","10",
"selection5","25","copy","10","quest_no","10","real_quest_no","10","qst_name","50","done","1","value_of_quests_to_be_marked","3","paste","10","cut","10","select1ma","1","select2ma","1","select3ma","1","select4ma","1","select5ma","1","select6ma","1","select7ma","1","select8ma","1","select9ma","1","select10ma","2","select11ma","2","select12ma","2","select13ma","2","select14ma","2","select15ma","2","start_day","3","avail","1","q_time","3","result","3","finish_month","2","submissions","2","start_month","2","start_hour","4","finish_day","2","rhm","1","finish_hour","4","attempts","1","attempt","2","post_qst","1","qtime","3","pass","1000","index_to_quest_no","1500","s_name","50","where","10","from_target","15","folder_no","10","institution_id","20","org_id","3","change","1","chosen_question","10","real_quest_no","10","f_name","40","m_name","20","l_name","40","u_name","50","pass1","30","org","80","org_letter","10","expand_it","100","selection6","25","view","10","org_type","2","org_name","80","u_type","1","institute_id","10","class","10","letter","3","u_id","10","i_id","10","add_user","10","image_number","10","image1","10","image1name","50","image2","10","image2name","50","image3","10","image3name","50","image4","10","image4name","50","image5","10","image5name",
"50","image6","10","image6name","50","image7","10","image7name","50","image8","10","image8name","50","image9","10","image9name","50","image10","10","image11name","50","image12name","50","image13name","50","image14name","50","image15name","50","image11","10","image12","10","image13","10","image14","10","image15","10","insert_image_name","50","new","1","choice","1","saanswer","75","panswer","3000","user","50","login","1","session_id","50","uid","10","copy_quest","10","unpost","1","student_id","10","email","30","student_open","1","c_open","10","student_name","52","open_account","1","account_select","1","account_pref","1","terms","4","timezone","4","tx","300","amt","7","st","20","cc","4","cm","30","item_name","50","item_number","50","payment_status","20","mc_gross","10","mc_currency","5","receiver_email","50","payer_email","50","paste_students","3000","print","1","bank_no","10","qbank","1","question_mc","10","answertype","2","vlink","150","alink","150","qst_time","3","delivery","1","order","3","lquests","4000","select1mx","30","select2mx","30","select3mx","30","select4mx","30","select5mx","30","select6mx","30","select7mx","30","select8mx","30","select9mx","30","select10mx","30","select11mx","30","select12mx","30","select13mx","30","select14mx","30","select15mx",
"30","mxselect","30","do","1","index","3","topass","350","branch","10","quest1","10","quest2","10","quest3","10","quest4","10","quest5","10","quest6","10","quest7","10","quest8","10","quest9","10","quest10","10","quest11","10","quest12","10","quest13","10","quest14","10","quest15","10","branch_it","2000","bquest","2000","branching","1","YNans","1","referer","10","refer","10","option","1","kolum","1","stats","1","shuffle","1","doo","1","mode","1","descrip","70","ans_mode","1","select1mam","1","select2mam","1","select3mam","1","select4mam","1","select5mam","1","select6mam","1","select7mam","1","select8mam","1","select9mam","1","select10mam","2","select11mam","2","select12mam","2","select13mam","2","select14mam","2","select15mam","2","select1maeq","1","select2maeq","1","select3maeq","1","select4maeq","1","select5maeq","1","select6maeq","1","select7maeq","1","select8maeq","1","select9maeq","1","select10maeq","2","select11maeq","2","select12maeq","2","select13maeq","2","select14maeq","2","select15maeq","2","eq","1","export_type","1","exportfile","30","import","1","import_type","1","display_num","3","display","1","view_org_id","10","again","1","reload","1","shuffle_ans","1","addp","1","return_user_id","10","photo","15","pptx_number","10","insert_pptx_name","50","mobile","1","screen_width","4","iphone","1","show_time","20","id","10","ad_time","2","dwnld","1","filedescrip","500","prev_quest_no","10");


######################
#
# MAIN PROGRAM
#
######################
sub handler {
	my @pairs;
	my $pair;
	my $name;
	my $value;
	my %INPUT = ();
	my $time = time;
	my $buffer;
        my $file_of_students = 0;
        
	$ENV{'REQUEST_METHOD'} =~ tr/a-z/A-Z/;

	if ($ENV{'REQUEST_METHOD'} eq "POST") {
            	read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
            	} 
        else {
            	$buffer = $ENV{'QUERY_STRING'};
            	}


	my $CONTENT_TYPE = $ENV{'CONTENT_TYPE'};
	my $CONTENT_LENGTH = $ENV{'CONTENT_LENGTH'};
        
        
        # Images and file upload    ####################################################
        
    	if ($CONTENT_TYPE =~ /^multipart\/form-data/) { 
                my $folder_to_put_into;
                my $error = 0;
		
		if($CONTENT_LENGTH < $admin_max_upload_size) {
                        my @boundary = split(/\;/,$CONTENT_TYPE);
                        my @bound_piece = split(/=/,$boundary[1]);
                        my $contents;
                        my $xmlcontents;
                        my @buffer_pieces = split(/$bound_piece[1]/,$buffer); # split by ------------Number
                        my @content_disposition;
                        my @form_name;
                        my @wwww;
			my $zip = 0;
			my $import_format = 0;
			my $xml_uploaded_file;
			
                        foreach my $section(@buffer_pieces) { #
                                if($section =~ /name=\"import_type\"/) { #find the format
                        		$section =~ s/\s+//g;	
				         my @type = split(/\"/,$section);
				         $type[2] =~ s/\D//g;
				         $import_format = $type[2];
                                        }
                                        
                                if($section =~ /name=\"importxml\"/) {
                                        my @xml = split(/octet-stream/,$section);
                                        $xmlcontents = $xml[1];
					}
					
                        	#Content-Disposition: form-data; name="importxml"; filename="1qst.xml"
				#Content-Type: text/xml and the rest of the file
				# may have more ; in it don't care, we check if more than we should have
                                @content_disposition = split(/\; \w/,$section);
                             
                             	my $len = @content_disposition;
                             	
                                @form_name = split(/=/,$content_disposition[1]);

                           	if($content_disposition[2] ne"") { # something is attached
                           		#filename="1qst.xml"
                           		#Content-Type: text/xml  and the rest of the file
                           		my @file_stuff;
                           		my @content_stuff;
                           		my @stuff;
                           		
                           		if($len > 3) { # is at least one additional ; in file so cannot split by it
  	                                	@content_stuff =split(/Content-Type: /,$section); 
  	                                	my $new_piece = "$content_stuff[0]"."Content-Type: ";
  	                                	my $new_section = $section;
  	                                	$new_section =~ s/$new_piece//; # makes sure we do not have more Content-Type: in the section
		                        	@stuff =split(/;/,$content_stuff[0]);
		   				push(@file_stuff, $stuff[2]);
						push(@file_stuff,$new_section);
                           			}
                           		else {
                                              @file_stuff =split(/Content-Type: /,$content_disposition[2]);
  	                                      }
  	                                      
                                       
                                       #good from here
                                        my @filename_string = split(/\"/,$file_stuff[0]);
                                        my $file_name_actual2 = $filename_string[1];

					if($filename_string[1] =~ /^C:\\/) { #Internet explorer
						my @file_location = split(/\\/,$filename_string[1]);
						$file_name_actual2 = pop(@file_location);
						}
						
                                        $INPUT{filename} = "$file_name_actual2";

                                        if($file_stuff[1] ne"") { # ACTUAL CONTENTS OF FILE
                                        	$xml_uploaded_file = $file_stuff[1];
                                                if($file_stuff[1] =~/^\s*text\/plain/) {
                                                        $file_of_students = 1;
                                                        my @ff = split(/=/,$content_disposition[1]);
                                                        $ff[1] =~ s/\"//g;
                                                        $INPUT{org_id} = "$ff[1]";
                                                        $contents = $file_stuff[1];
                                                        }
                                                elsif($file_stuff[1] =~/^image\/jpeg/) {
                                                        $INPUT{imagetype} = "image/jpeg";
                                                        $file_stuff[1] =~ s/^image\/jpeg//;  #gets this text out of file contents
                                                        }
                                                elsif ($file_stuff[1] =~/^image\/gif/) {
                                                        $INPUT{imagetype} = "image/gif";
                                                        $file_stuff[1] =~ s/^image\/gif//;
                                                        }
                                                elsif ($file_stuff[1] =~/^image\/jpg/) {
                                                        $INPUT{imagetype} = "image/jpeg";
                                                        $file_stuff[1] =~ s/^image\/jpg//;
                                                        }
                                                elsif ($file_stuff[1] =~/^image\/png/) {
                                                        $INPUT{imagetype} = "image/png";
                                                        $file_stuff[1] =~ s/^image\/png//;
                                                        }
                                                elsif ($file_stuff[1] =~/^application\/pdf/) {
						        $INPUT{imagetype} = "application/pdf";
						        $file_stuff[1] =~ s/^application\/pdf//;
                                                        }
                                                elsif ($file_stuff[1] =~/^application\/x-zip-compressed/ || $file_stuff[1] =~/^application\/zip/) { #QTI .zip
                                                	if($file_stuff[1] =~/^application\/x-zip-compressed/) {
								$INPUT{imagetype} = "application/x-zip-compressed";
								my @act_file = split(/application\/x-zip-compressed/,$section); # because we could of had ; in the zipped file
								$act_file[1] =~ s/^[\r\n]+//; 
								$zip = "$act_file[1]";
								}
							else {
								$INPUT{imagetype} = "application/zip";
								my @act_file = split(/application\/zip/,$section); # because we could of had ; in the zipped file
								$act_file[1] =~ s/^[\r\n]+//; 
								$zip = "$act_file[1]";
								}
                                                        }
                                                }
                                        }

                                @wwww = split(/\"/,$form_name[1]); # THE OTHER Name/Value pairs
                                
                                if($wwww[1] eq"" || $wwww[2] eq"") {
                                        }
                                else {
                                        $INPUT{$wwww[1]} = "$wwww[2]";
                                        }

                                }
                        
                        if($import_format == 4 && $zip == 0) { # QTI XML
                        	$xmlcontents = $xml_uploaded_file;
                        	}

                        $INPUT{session_id} =~ s/\D//g;
                        $INPUT{u_id} =~ s/\D//g;
                        $INPUT{org_id} =~ s/\D//g;
                        $INPUT{filename} =~ tr/A-Za-z0-9\-._//cd;
                        $INPUT{expand} =~ s/[^0-9,]//g;
                        $INPUT{mode} =~ s/\D//g;
                        $INPUT{folder_no} =~ s/\D//g;
                        $INPUT{return_user_id} =~ s/\D//g;

                        if($INPUT{mode} != 1) {
                                &header;
                                &body("in","1");
                                }

                        if($file_of_students == 0 && $INPUT{mode} != 4) { # only needed if uploading image
                                my @expand = split(/,/,$INPUT{expand});
                                $folder_to_put_into = pop(@expand);
                                $error = &check_many_length_return("$folder_to_put_into","10","$INPUT{filename}","50","$INPUT{u_id}","10","$INPUT{org_id}","10","$INPUT{expand}","100");
                                }

                        # check there is a filename first
                        if ($INPUT{filename} eq"" && $INPUT{mode} != 4 && $INPUT{mode} != 5 && $INPUT{mode} != 6) { # print out the upload file screen again
                                &upload_file("number","1","status","2","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","expand","$INPUT{expand}");
                                    
                                $error = 1;
                                }

                        elsif($INPUT{filename} =~ /\.xml$/ && $INPUT{mode} == 4) { # Import QTI Questions in xml file
                                $error = 0;
                                }
                                                        
                        elsif($INPUT{filename} =~ /\.zip$/ && $INPUT{mode} == 4) { # Import QTI Questions in a .zip
			        $error = 0;
                                }
                                
                        elsif ($INPUT{filename} eq"" && ($INPUT{mode} == 5 || $INPUT{mode} == 6)) { # print out the photo upload screen again
                        	if($INPUT{mode} == 5) {
			        	&upload_photo("number","1","status","2","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","uid","$INPUT{return_user_id}","mode","$INPUT{mode}");
                                        }
                                elsif($INPUT{mode} == 6) {
					$INPUT{uid} =~ s/\D//g;
                                	&upload_photo("number","1","status","2","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","uid","$INPUT{uid}","mode","$INPUT{mode}");
					}
					
			        $error = 1;
			        }

                        # Check they are logged in
                        if($error == 0) {
                                #check that they are a valid user and logged in
                                my $query = qq{SELECT u_id,u_type,log_time FROM logged_in WHERE u_id = "$INPUT{u_id}" and session_id= "$INPUT{session_id}"};
                                    
                                my $sth = $dbh->prepare($query);
                                $sth->execute();
                                my @row = $sth->fetchrow_array();
                                $u_type = $row[1];
                                $ids = $INPUT{u_id};
                    
                                if(defined $row[2]) {
                                        my $old_time = $row[2] + 6000; # 60 min. time out
                                            
                                        if ( $old_time > $time) {
                                                my $query = qq{UPDATE logged_in SET log_time="$time" WHERE u_id="$INPUT{u_id}" && session_id="$INPUT{session_id}"};
                                                my $sth = $dbh->prepare($query);
                                                $sth->execute();
                                                
                                                $org_id = "$INPUT{org_id}";
                                                }
                                        else  {
                                                my $query = qq{delete from logged_in WHERE u_id="$INPUT{u_id}"};
                                                my $sth = $dbh->prepare($query);
                                                $sth->execute();
                                                &print_other_login_screen();
                                                }
                                        }
                                else {
                                        &print_other_login_screen();
                                        $error = 1;
                                        }
                                }

                        # DONE LOGGING IN FOR UPLOADS

			if(($u_type == 2 || $u_type == 5) && $error == 0 && $INPUT{mode} != 4) { # instructors uploading images
                                my @image;
                                if($INPUT{mode} == 1) { # upload from editor
                                        $mode = 1;
                                        @image = split(/:/,$buffer_pieces[6]);
                                        @image = split(/Content-Type\:/,$buffer_pieces[6]);

                                        if($image[1] =~ /image\/gif/) {
                                                $image[1] =~ s/^\s+//g;
                                                $image[1] =~ s/image\/gif//;
                                                }
                                        elsif($image[1] =~ /image\/jpeg/) {
                                                $image[1] =~ s/^\s+//g;
                                                $image[1] =~ s/image\/jpeg//;
                                                }
                                        elsif($image[1] =~ /image\/jpg/) {
                                                $image[1] =~ s/^\s+//g;
                                                $image[1] =~ s/image\/jpg//;
                                                }
                                        elsif($image[1] =~ /image\/png/) {
                                                $image[1] =~ s/^\s+//g;
                                                $image[1] =~ s/image\/png//;
                                                }
                                        }
		     
                                else {
                                        @image = split(/:/,$buffer_pieces[5]);
                                        @image = split(/Content-Type\:/,$buffer_pieces[5]);

                                        if($image[1] =~ /image\/gif/) {
                                                $image[1] =~ s/^\s+//g;
                                                $image[1] =~ s/image\/gif//;
                                                }
                                        elsif($image[1] =~ /image\/jpeg/) {
                                                $image[1] =~ s/^\s+//g;
                                                $image[1] =~ s/image\/jpeg//;
                                                }
                                        elsif($image[1] =~ /image\/jpg/) {
                                                $image[1] =~ s/^\s+//g;
                                                $image[1] =~ s/image\/jpg//;
                                                }
                                        elsif($image[1] =~ /image\/png/) {
                                                $image[1] =~ s/^\s+//g;
                                                $image[1] =~ s/image\/png//;
                                                }
                                        }
                                        
                                $image[1] =~ s/^\s+//g;
                            
                                $contents = $image[1];
				
                                my @extension = split(/\./,$INPUT{filename});

                                my $type = "image\/"."$extension[1]";
                                
                                #Remove trailing -- and carriage return and new line at front and " and '
                                $INPUT{filedescrip} =~ s/--$//g;
                                $INPUT{filedescrip} =~ s/\r[\n]*//gm;
                                $INPUT{filedescrip} =~ s/"//g;
                                $INPUT{filedescrip} =~ s/'//g;
                                
                                my $return = &insert_file_info("f_name","$INPUT{filename}","u_id","$INPUT{u_id}","parent","$folder_to_put_into","org_id","$INPUT{org_id}","type","$type","size","$CONTENT_LENGTH","u_type","$u_type","filedescrip","$INPUT{filedescrip}");
                                
                                my $real_file_name = $upload_directory."$return"."\."."$extension[1]";

                                if(length($image[1]) > $max_import_image_upload_size ) { # size of image being uploaded
                                        $error = 1;
                                        }
                                
                                if($error == 0) {
                                	if (! open(GOODFILE, ">$real_file_name") ) {
                                        	print "Can't open file for writing - $!";
                                        	$error = 1;
                                        	}
                                    	}
                                    	
                                if($error == 0) {
                                        binmode GOODFILE;
                                        $image[1] =~ s/(--)$//;
                                        print GOODFILE $image[1];
                                        close(GOODFILE);
                                        
                                        &upload_file("number","1","status","1","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","expand","$INPUT{expand}");
                                        }
                                    
                                else {
                                        &generic_delete("query","DELETE from qst_files WHERE number = \"$return\" and u_id = \"$INPUT{u_id}\" and org_id = \"$INPUT{org_id}\"");
                                        
                                        &upload_file("number","1","status","2","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","expand","$INPUT{expand}");
                                        }
                                }

			elsif(($u_type == 2  || $u_type == 5) && $INPUT{filename} =~ /\.zip$/ && $INPUT{mode} == 4) { # INSTRUCTORS or QUESTION BANK ADMINS importing QTI questions in zip
				my $dir = "$INPUT{u_id}"."_"."$INPUT{u_id}";
				my $dir_name = "$upload_directory"."$dir";
				my @directories;
				push(@directories,$dir_name);
				my $bad_questions = 0;
				my %BAD_QUESTIONS = ();
				my $good_questions = 0;
				
				rmtree(@directories);
				mkdir($dir_name,0777);
				                                    
				my $real_file_name = "$dir_name"."\/"."$INPUT{filename}";
									
				if (! open(GOODFILE, ">$real_file_name") ) {
					print "Can't open file for writing - $!";
					$error = 1;
                                        }
                                else {
					binmode GOODFILE;
					print GOODFILE"$zip";
					close(GOODFILE);
					
					# unzip the file
					
					my $obj = Archive::Zip->new();   # new instance
					
					my $status = $obj->read($real_file_name);  # read file contents
					
					if ($status != 'AZ_OK') {
					    	die('Error in file!');
						} 
					else {
					    	$obj->extractTree(undef, "$dir_name/");    # extract files
						}
					
					unlink($real_file_name);
					
					# Read the directory for files and images
					&import_quests_qti_zip("directory","$dir_name","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","folder_no","$INPUT{folder_no}","u_type","$u_type}","import_format","$import_format");

                               	 	}
	                        
	                        rmtree(@directories); # REMOVE EVERYTHING
                         	}
                         	
                        elsif(($u_type == 2  || $u_type == 5) && $error != 3 && $INPUT{mode} == 4 ) { # INSTRUCTORS or QUESTION BANK ADMINS importing questions in xml files - QTI XML files too
                                if($import_format == 2) { # WORD XML
                                        &import_quests("xmlcontents","$buffer","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","folder_no","$INPUT{folder_no}","u_type","$u_type}","import_format","$import_format");
                        		}
                        		
                        	elsif($import_format == 3) { # MOODLE XML
				        &import_quests("xmlcontents","$buffer","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","folder_no","$INPUT{folder_no}","u_type","$u_type}","import_format","$import_format");
                        		}
                        		
                        	elsif($import_format == 4){ # QTI XML
                                        &import_quests("xmlcontents","$xmlcontents","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","folder_no","$INPUT{folder_no}","u_type","$u_type}","import_format","$import_format");
                                        }
                                        
                                elsif($import_format == 1){ # QST XML
				        &import_quests("xmlcontents","$xmlcontents","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","folder_no","$INPUT{folder_no}","u_type","$u_type}","import_format","$import_format");
                                        }
                                }
                                
                        elsif($u_type == 1 && $error == 0 && ($INPUT{mode} == 5 || $INPUT{mode} == 6)) { # ADMINISTRATORS UPLOADING PHOTOS
                                my @image;
                                @image = split(/:/,$buffer_pieces[6]);
                                @image = split(/Content-Type\:/,$buffer_pieces[6]);

                                if($image[1] =~ /image\/gif/) {
                                	$image[1] =~ s/^\s+//g;
                                        $image[1] =~ s/image\/gif//;
                                        }
                                elsif($image[1] =~ /image\/jpeg/) {
                                        $image[1] =~ s/^\s+//g;
                                        $image[1] =~ s/image\/jpeg//;
                                        }
                                elsif($image[1] =~ /image\/jpg/) {
                                        $image[1] =~ s/^\s+//g;
                                        $image[1] =~ s/image\/jpg//;
                                        }
                                elsif($image[1] =~ /image\/png/) {
                                        $image[1] =~ s/^\s+//g;
                                        $image[1] =~ s/image\/png//;
                                        }
                                       
                                $image[1] =~ s/^\s+//g;
                            
                                $contents = $image[1];

                                my @extension = split(/\./,$INPUT{filename});

                                my $type = "image\/"."$extension[1]";
                                my $return = &insert_file_info("f_name","$INPUT{filename}","u_id","0","parent","0","org_id","$INPUT{org_id}","type","$type","size","$CONTENT_LENGTH","u_type","$u_type","filedescrip","$INPUT{filedescrip}");
                                
                                my $real_file_name = "$upload_directory_photos"."$return"."\."."$extension[1]";
                                my $new_file_name = "$return"."\."."$extension[1]";

                                if(length($image[1]) > $max_photo_upload_size) { # size of image being uploaded
                                        $error = 1;
                                        }
                                
                                if (! open(GOODFILE, ">$real_file_name") ) {
                                        print "Can't open file for writing - $!";
                                        $error = 1;
                                        }
                                    
                                if( $error == 0) {
                                        binmode GOODFILE;
                                        print GOODFILE $image[1];
                                        close(GOODFILE);
                                        
                                        &upload_photo("number","1","status","1","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","file_name","$new_file_name","uid","$INPUT{uid}","mode","$INPUT{mode}");
                                        }
                                    
                                else {
                                        &generic_delete("query","DELETE from qst_files WHERE number = \"$return\" and u_id = \"0\" and org_id = \"$INPUT{org_id}\"");
                                        
                                        &upload_photo("number","1","status","2","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","uid","$INPUT{return_user_id}","mode","$INPUT{mode}");
                                        }
                                }

                        elsif($u_type == 1 && $error == 0 && ($INPUT{mode} != 5 || $INPUT{mode} != 6)) { # ADMINISTRATORS uploading file of users/classes
                        	# get their user info
				my $query = 'SELECT org_id FROM users WHERE u_id =  ?';
				my $sth = $dbh->prepare($query);
				$sth->bind_param( 1, $INPUT{u_id});
				$sth->execute();
                                my @row = $sth->fetchrow_array();
                                $org_id = $row[0];
                                
                        	if($org_id == 0 || $org_id == $INPUT{org_id}) { # Check they can do this
                                	if($file_of_students == 1) {
                                	        &upload_file2("contents","$contents","org_id","$INPUT{org_id}");
                                	        }
                                	else {
                                	        &upload_file("number","1","status","2","org_id","$INPUT{org_id}","u_id","$INPUT{u_id}","session_id","$INPUT{session_id}","expand","$INPUT{expand}");
                                	        }
                                	}
                                	
                                else {
					print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
					}
                                }

                        elsif($u_type == 2 && $error == 3) { # they have no file space
                                &upload_exceeds_max("error","3");
                                }
                        }

		else {
			&upload_exceeds_max();
			}
          	}
          	
          else { # NORMAL FORM INPUT         #######################################################################################
                &header;
                $mode = 0;
          	@pairs = split(/&/, $buffer);

          	foreach $pair (@pairs){
          		($name, $value) = split(/=/, $pair);
          		$name =~ s/\+/ /g;
          		$name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
          		
          		
# TROUBLE SHOOTING - uncomment next line to see what's being passed to QST
#print"name= $name  value= $value // ";


			# all name values are shorter than 50
			my $length = &check_length_return("var","$name","length","50");
			my $number_name = 0;
			my $group_name = 0;
			my $grp_name = 0;
			my $select_name = 0;
			my $selectmx_name = 0;
			my $marks_name = 0;
			my $marks = 0;
			my $sa_number = 0;
			my $mc_number = 0;
			my $ma_number = 0;
			my $p_number = 0;
			my $cid = 0;

			if($name =~ /^cid_\d/) {
				$cid = 1;
				}
			if($name =~ /^\d/ || $name =~ /^name\d/) {
				$number_name = 1;
				}
			if($name =~ /^group\-\d/) {
				$group_name = 1;
				}
			if($name =~ /^grp\-\d/) {
				$grp_name = 1;
				}
			if($name =~ /^select\-\d/) {
				$select_name = 1;
				}
                        if($name =~ /^selectmx\d/) {
				$selectmx_name = 1;
				}
			if($name =~ /^marks\-\d/) {
				$marks_name = 1;
				}
			if($name =~ /^m\d/) {
				$marks = 1;
				}
			if($name =~ /^sa\d/) {
				my $error = 0;
				$error = &check_many_length_return("$name","12");
				if($error == 0) {
					$sa_number = 1;
					}
				}
			if($name =~ /^mc\d/) {
				$mc_number = 1;
				}
                        if($name =~ /^ma\d/) {
				$ma_number = 1;
				}
			if($name =~ /^p\d/) {
				my $error = 0;
				$error = &check_many_length_return("$name","11");
				if($error == 0) {
					$p_number = 1;
					}
				}

			if($length == 1) {
                		if ($value ne"") {
                                        if($name eq "question") {
                                                $value =~ s/\+/ /g;
                                                }
                                        else {
                                                $value =~ s/\+/ /g;
                                                $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
                                                }
                                                
                                        if($name =~ /^select\d\b/) { # multiple choice answers
                                                #for advanced editor
                                                if($value =~ /float\:/){
                                                        # do nothing
                                                        }
                                                else {
                                                        if($value =~ /<img style=\"width/ ) { #vertical-align\:middle\;/) {
                                                                $value =~ s/<img style=\"width/<img style=\"vertical-align\:middle\; width/ig;
                                                                }
                                                        elsif ($value =~ /<img src=\"/ ) { 
                                                                $value =~ s/<img src=\"/<img style=\"vertical-align\:middle\;\" src=\"/ig;
                                                                }
                                                        }

                                                $value =~ s/\|/&#124;/ig; # used as a separator for multiple answer answers
                                                $value =~ s/\~/&#126;/ig; # used as a separator for multiple answer answers
                                                
                                                # for basic editor
                                                $value =~ s/\/textarea/&#47;textarea/ig;
                                                $value =~ s/iframe/&#105;frame/ig;
                                                }
                                                
                                        if($name =~ /^select\dma\b/) { # multiple answers
                                                $value =~ s/\/textarea/&#47;textarea/ig;
                                                $value =~ s/iframe/&#105;frame/ig;
                                                }
                                                
                                        if($name =~ /^select\dmx\b/) { # matching answers
                                                $value =~ s/\/textarea/&#47;textarea/ig;
                                                $value=~ s/iframe/&#105;frame/ig;
                                                }
                                                
                			my $error = 0;

                			if($number_name == 1) {
                				$error = &check_many_length_return("$value","20");
                				}
                			elsif ($group_name ==1){
                				$error = &check_many_length_return("$value","100");
                				}
                			elsif ($grp_name ==1){
                				$error = &check_many_length_return("$value","1000");
                				}
                			elsif ($select_name ==1){
                				$error = &check_many_length_return("$value","10");
                				}
                                        elsif ($selectmx_name ==1){
                				$error = &check_many_length_return("$value","50");
                				}
                			elsif ($marks_name ==1){
                				$error = &check_many_length_return("$value","10");
                				}
                			elsif ($marks ==1){
                				$error = &check_many_length_return("$value","10");
                				}
                			elsif ($sa_number ==1){
                				$error = &check_many_length_return("$value","75");
                				}
                			elsif ($mc_number ==1){
                				$error = &check_many_length_return("$value","12");
                				}
                                        elsif ($ma_number ==1){
                				$error = &check_many_length_return("$value","12");
                				}
                			elsif ($p_number ==1){
                				$error = &check_many_length_return("$value","700");
                				}
                			elsif ($cid ==1){
                				$error = &check_many_length_return("$value","10");
                				}

                			else {
						if( !defined $PASSED_VALUES{$name}) {
							$error = 1;
							}
						else {
                					$error = &check_many_length_return("$value","$PASSED_VALUES{$name}");
                					if($error == 1) {
 #               						print"WOAH!! name: $name value: $value passed $PASSED_VALUES{$name},,,,";
                						}
                					}
                				}
                				
					if($error != 1) {
                      				$INPUT{"$name"} = "$value";
						}
                      			}
				}
			 }
                  }
                  
                  
        # Some cleaning of input
	$INPUT{session_id} =~ s/\D//g;
	$INPUT{u_id} =~ s/\D//g;
	$INPUT{u_type} =~ s/\D//g;
	$INPUT{org_id} =~ s/\D//g;
	$INPUT{view_org_id} =~ s/\D//g;
#	$INPUT{descrip} =~ s/[^a-zA-Z0-9 _+-=]//g;
	$INPUT{descrip} = &funny_char("$INPUT{descrip}","0");

	if($INPUT{descrip} eq "") {
                delete($INPUT{descrip});
                }
	
	# block right click for Single Question - Next and Single Question - Answer does not entirely work
	if($INPUT{input} eq "do_type3" || $INPUT{input} eq "qst_side3" || $INPUT{input} eq "question_done" || $INPUT{input} eq "next_question3" || $INPUT{input} eq"resume_next_question3" || $INPUT{input} eq"resume_qst_side3" || $INPUT{input} eq "do_type4" || $INPUT{input} eq "next_question4") {
	        &body("body","2");
                }
        else {
        	&body("body","1");
        	}
                
    #### Short Answer
        if(defined $INPUT{SAans}) {
                $INPUT{SAans} =~ s/"/&quot;/g;
                $INPUT{SAans} =~ s/'/&apos;/g;
                }
        
    #### Paragraph Answer
        if(defined $INPUT{Pans}) {
                if($INPUT{Pans} =~ /float\:/){
                        # do nothing
                        }
                else {
                        if($INPUT{Pans} =~ /<img style=\"width/ ) { #vertical-align\:middle\;/) {
                                $INPUT{Pans} =~ s/<img style=\"width/<img style=\"vertical-align\:middle\; width/ig;
                                }
                        elsif ($INPUT{Pans} =~ /<img src=\"/ ) { 
                                $INPUT{Pans} =~ s/<img src=\"/<img style=\"vertical-align\:middle\;\" src=\"/ig;
                                }
                        }
                $INPUT{Pans} =~ s/'/&apos;/g;
                $INPUT{Pans} =~ s/"/&quot;/g;
                $INPUT{Pans} =~ s/\/textarea/&#47;textarea/ig;
                }
	
    #### Decide how to handle the question
        if($INPUT{mode} == 1) { # Advanced Editor
                $INPUT{question} =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

                if($INPUT{question} ne "") {                	
                        # only certain iframes
                        if($INPUT{question} =~ /<iframe src=\"\/\/www.youtube.com/ || $INPUT{question} =~ /<iframe src=\"\/\/www.vimeo.com/  || $INPUT{question} =~ /<iframe src=\"\/\/www.vine.co/  || $INPUT{question} =~ /<iframe src=\"\/\/www.instagram.com/ || $INPUT{question} =~ /<iframe src=\"\/\/www.dailymotion.com/ || $INPUT{question} =~ /<iframe src=\"\/\/www.youku.com/) {
                                # do nothing
                                }
                        else {
                               $INPUT{question} =~ s/iframe/&#105;frame/ig;
                                }
                                
                        # no scripts allowed
                        $INPUT{question} =~ s/script/&#115;cript/ig;
                        
                        # no body tags
                        $INPUT{question} =~ s/body/&#98;ody/ig;
                        
                        # no style tags
#                        $INPUT{question} =~ s/style/&#115;tyle/ig;
                        
                        # no onclick tags
                        $INPUT{question} =~ s/onclick/&#111;nclick/ig;
                        
                        # no onload tags
                        $INPUT{question} =~ s/onload/&#111;nload/ig;
                        
                        
                        if($INPUT{question} =~ /float\:/){
                                # do nothing
                                }
                        else {
                                if($INPUT{question} =~ /<img style=\"width/ ) { #vertical-align\:middle\;/) {
                                        $INPUT{question} =~ s/<img style=\"width/<img style=\"vertical-align\:middle\; width/ig;
                                        }
                                elsif ($INPUT{question} =~ /<img src=\"/ ) { 
                                        $INPUT{question} =~ s/<img src=\"/<img style=\"vertical-align\:middle\;\" src=\"/ig;
                                        }
                                }
                        }              
                }
        else {
                $INPUT{question} =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
                $INPUT{question} =~ s/\/textarea/&#47;textarea/ig;
                $INPUT{question} =~ s/textarea/&#116;extarea/ig;
                }
	
	if($INPUT{question} eq "") {
                delete($INPUT{question});
                }

	
	# LOGGING IN    ################################################################################
	

	# check to see if they are logged in

		if(exists $INPUT{u_id} && $INPUT{u_id} ne"" && exists $INPUT{session_id} && $INPUT{session_id} ne"") {
		   	my $query = 'SELECT u_id,u_type,log_time FROM logged_in WHERE u_id = ? and session_id = ?';
                        my $sth = $dbh->prepare($query);
                        $sth->bind_param( 1, $INPUT{u_id});
                        $sth->bind_param( 2, $INPUT{session_id});
                        $sth->execute();
                        
			my @row = $sth->fetchrow_array();
			$u_type = $row[1];
			$ids = $INPUT{u_id};
			
			if(defined $row[2]) {
				my $old_time = $row[2] + $time_out; #6000; # 60 min. time out
				
      			 	if ( $old_time > $time) {
      					my $query = qq{UPDATE logged_in SET log_time="$time" WHERE u_id="$INPUT{u_id}" && session_id="$INPUT{session_id}"};
					my $sth = $dbh->prepare($query);
					$sth->execute();
					      					}
      				else  {
      					my $query = qq{delete from logged_in WHERE u_id="$INPUT{u_id}"};
					my $sth = $dbh->prepare($query);
					$sth->execute();
					
					if(($INPUT{mobile} == 1 || $INPUT{mobile} == 2 || $INPUT{mobile} == 3) && $u_type == 3) {
						&print_mobile_login("mobile","$INPUT{mobile}");
					        }
                                        else {
      						&print_other_login_screen();
      						}
					}
				}
			else {
				if(($INPUT{mobile} == 1 || $INPUT{mobile} == 2 || $INPUT{mobile} == 3) && $u_type == 3) {
					&print_mobile_login("mobile","$INPUT{mobile}");
				        }
                                else {
      					&print_other_login_screen();
      					}
				}
			}

		# log them in if not logged in
		elsif (exists $INPUT{login} && $INPUT{login} == 1 && exists $INPUT{user} && $INPUT{user} ne"" && exists $INPUT{pass} && $INPUT{pass} ne"" && length($INPUT{pass}) < 31) {
                        my $message;
                        #check to see if they are locked out
                        my %RETURN_LOGIN = ();
                     
                        %RETURN_LOGIN = &com_get_attempted_logins("email","$INPUT{user}");
                        
                        if(keys %RETURN_LOGIN) {
                                my $attempt = $RETURN_LOGIN{$INPUT{user}}{attempt};
                                
                                if($attempt < 5) {
                                	my $new_attempt = "$attempt" + 1; 
                                        &com_update_attempted_logins("email","$INPUT{user}","attempt","$new_attempt","end_time","1");
                                        }
                                elsif($attempt == 5 && $RETURN_LOGIN{$INPUT{user}}{end_time} == 1) {
                                        $time = "$time" + 180;
                                        &com_update_attempted_logins("email","$INPUT{user}","attempt","$attempt","end_time","$time");
                                        $message ="$LANGUAGE{$set_language}{Youraccounthasbeenlockedfor3minutes}";
                                        $account_lock = 1;
                                        }
                                else { # see if their time is up
                                        my $time = time;
                                        if($RETURN_LOGIN{$INPUT{user}}{end_time} < time ) { # 5 min has passed
                                               $account_lock = 0;
                                               &com_delete_attempted_logins("user","$INPUT{user}");
                                               }
                                        else {
                                               $account_lock = 1;
                                               }
                                   	}

                                # get their user info
                                my $query = 'SELECT u_id,u_name,pass,u_type,org_id FROM users WHERE u_name =  ?';
                                my $sth = $dbh->prepare($query);
                                $sth->bind_param( 1, $INPUT{user});
                                $sth->execute();
                                my @row = $sth->fetchrow_array();
                                my $len = 0;
                                $len = @row;
                                
                                #compare passwords if they are there
                                my $compare_password = 0;;

                                if($len > 0) {
 #                                      $compare_password  = &authenticate_ldap("username","$INPUT{user}","password","$INPUT{pass}");
                                        $compare_password = &compare_password("password","$INPUT{pass}","hash","$row[2]");
                                        }
                                else {
                                        $compare_password = 0;
                                        }
                        
                                if ($INPUT{user} eq"$row[1]" && $compare_password == 1 && $account_lock == 0) {
					$u_type = "$row[3]";
                                        $u_id = "$row[0]";
                                        $INPUT{u_id} = $u_id;
                                        $ids = "$row[0]";
                                        $org_id = $row[4];
                                        $INPUT{org_id} = $org_id;
                                        my $create_session_id = length($row[1]);
                                        $create_session_id = $create_session_id + 21;
                                        $create_session_id = $time + $create_session_id;
                                        my $lower_limit = 1;
                                        my $upper_limit = 50;
                                        my $random_number = int(rand($upper_limit-$lower_limit)) + $lower_limit;
                                        my $sessionid = $create_session_id * $random_number;
                                        $INPUT{session_id} = $sessionid;
                                        
                                        my $query1 = qq{delete from logged_in WHERE u_id="$u_id"};
                                        my $sth1 = $dbh->prepare($query1);
                                        $sth1->execute();

                                        my $query2 = qq{INSERT logged_in VALUES ("$row[0]","$row[3]","$sessionid","$time")};
                                        my $sth2 = $dbh->prepare($query2);
                                        $sth2->execute();
				                                
                                        #delete their failed attempts to login
                                        &com_delete_attempted_logins("user","$INPUT{user}");

					# PRINT THEIR SCREEN
                                        if($u_type == 2) {
                                        	 if($INPUT{mobile} == 1 || $INPUT{mobile} == 2 || $INPUT{mobile} == 3) {
							&print_no_android();
						       	}
                                                else {
                                                	&print_instructors_screen("u_id","$row[0]","session_id","$sessionid","org_id","$org_id");
                                                	}
                                                }
                                        elsif ($u_type == 3) { # students screen
                                         	if($INPUT{mobile} == 1 || $INPUT{mobile} == 2 || $INPUT{mobile} == 3) {
							&print_mobile("u_id","$row[0]","session_id","$sessionid","org_id","$org_id","mobile","$INPUT{mobile}");
						        }
                                                else {
                                                	&print_students_screen("u_id","$row[0]","session_id","$sessionid","org_id","$org_id");
                                               		}
                                                }
                                        elsif ($u_type == 5) { # Question Bank Admins
                                                &print_qbank_admin_screen("u_id","$row[0]","session_id","$sessionid","org_id","$org_id");
                                                }
                                        elsif ($u_type == 1) {
                                                &print_admin_screen("u_id","$row[0]","session_id","$sessionid");
                                                }
					}
                                    
                                else {
                                	if($INPUT{mobile} == 1 || $INPUT{mobile} == 2 || $INPUT{mobile} == 3) {
						&print_mobile_login("mobile","$INPUT{mobile}");
					        }
                                        else {
                                        	&print_login_screen("message","$message");
                                        	$message ="";
                                        	}
                                        }
                                }
      			else {
                                # get their user info
                                my $query = 'SELECT u_id,u_name,pass,u_type,org_id FROM users WHERE u_name =  ?';
                                my $sth = $dbh->prepare($query);
                                $sth->bind_param( 1, $INPUT{user});
                                $sth->execute();
                                my @row = $sth->fetchrow_array();
			
                                my $len = 0;
                                $len = @row;

                                #compare passwords if they are there
                                my $compare_password = 0;

                                if($len > 0) {
 #                                       $compare_password = &authenticate_ldap("username","$INPUT{user}","password","$INPUT{pass}");
                                        $compare_password = &compare_password("password","$INPUT{pass}","hash","$row[2]");
                                        }
                                else {
                                        $compare_password = 0;
                                        }

                                #compare passwords
                                if ($INPUT{user} eq"$row[1]" && $compare_password == 1) {
                                        $u_type = "$row[3]";
                                        $u_id = "$row[0]";
                                        $INPUT{u_id} = $u_id;
                                        $ids = "$row[0]";
                                        $org_id = $row[4];
                                        $INPUT{org_id} = $org_id;
                                        my $create_session_id = length($row[1]);
                                        $create_session_id = $create_session_id + 21;
                                        $create_session_id = $time + $create_session_id;
                                        my $lower_limit = 1;
                                        my $upper_limit = 50;
                                        my $random_number = int(rand($upper_limit-$lower_limit)) + $lower_limit;
                                        my $sessionid = $create_session_id * $random_number;
                                        $INPUT{session_id} = $sessionid;
                                        
                                        my $query1 = qq{delete from logged_in WHERE u_id="$u_id"};
                                        my $sth1 = $dbh->prepare($query1);
                                        $sth1->execute();

                                        my $query2 = qq{INSERT logged_in VALUES ("$row[0]","$row[3]","$sessionid","$time")};
                                        my $sth2 = $dbh->prepare($query2);
                                        $sth2->execute();
				                                
                                        # delete their failed attempts to login
                                        &com_delete_attempted_logins("user","$INPUT{user}");

                                        if($u_type == 2 ) { #INSTRUCTORS
                                        	if($INPUT{mobile} == 1 || $INPUT{mobile} == 2 || $INPUT{mobile} == 3) {
							&print_no_android();
						        }
                                                else {
                                                	&print_instructors_screen("u_id","$row[0]","session_id","$sessionid","org_id","$org_id");
                                                	}
                                                }
                                        elsif ($u_type == 3) { # STUDENTS
                                        	if($INPUT{mobile} == 1 || $INPUT{mobile} == 2 || $INPUT{mobile} == 3) {
						 	&print_mobile("u_id","$row[0]","session_id","$sessionid","org_id","$org_id","mobile","$INPUT{mobile}");
						        }
                                                else {
                                                	&print_students_screen("u_id","$row[0]","session_id","$sessionid","org_id","$org_id");
                                                	}
                                                }
                                        elsif ($u_type == 5) {
                                                &print_qbank_admin_screen("u_id","$row[0]","session_id","$sessionid","org_id","$org_id");
                                                }
                                        elsif ($u_type == 1) {
                                                &print_admin_screen("u_id","$row[0]","session_id","$sessionid");
                                                }
                                        }
                                else {
                                        # put them into attempted_logins
                                        my $time = time;
                                        my $attempt = 1;
                                        my %RETURN_LOGIN = ();
                                        %RETURN_LOGIN = &com_get_attempted_logins("email","$INPUT{user}");

                                        if(keys %RETURN_LOGIN) {
                                                $attempt = $RETURN_LOGIN{$INPUT{user}}{attempt};

                                                if($attempt < 5) {
                                                        my $new_attempt = "$attempt" + 1; 
                                                        
                                                        &com_update_attempted_logins("email","$INPUT{user}","attempt","$new_attempt","end_time","1");
                                                        }
                                                elsif($attempt == 5) {
                                                        $time = "$time" + 180;
                                                        
                                                        &com_update_attempted_logins("email","$INPUT{user}","attempt","$attempt","end_time","$time");
                                                        $message ="$LANGUAGE{$set_language}{Youraccounthasbeenlockedfor3minutes}";
                                                        $account_lock = 1;
                                                        }
                                                }
                                                
                                        else {
                                                &com_insert_attempted_logins("email","$INPUT{user}","attempt","$attempt","end_time","1");
                                                }
                                                
                                        if(($INPUT{mobile} == 1 || $INPUT{mobile} == 2 || $INPUT{mobile} == 3) && $u_type == 3) {
						 &print_mobile_login("message","$message","mobile","$INPUT{mobile}");
					         $message ="";
					         }
                                        else {
                                        	&print_login_screen("message","$message");
                                        	$message ="";
                                        	}
                                        }
         			}
			}
		else {
			if($INPUT{mobile} == 1 || $INPUT{mobile} == 2 || $INPUT{mobile} == 3) {
				&print_mobile_login("mobile","$INPUT{mobile}");
			        }
                        else {
      				&print_login_screen();
      				}
        	   	}
        	   	
        # Done logging in

        ##############################################################################################

        
	#find the classes they are in if not admin
	if($u_type !=1 && $u_type ne"" && $u_type !=7) {
		my @class_id;
		$org_id = &select10("query","SELECT org_id FROM users WHERE u_id =\"$INPUT{u_id}\" LIMIT 1");
                $INPUT{org_id} = "$org_id";
		my $query = qq{SELECT * FROM users_classes WHERE u_id = \"$INPUT{u_id}\" AND org_id=\"$INPUT{org_id}\"};
		my $sth = $dbh->prepare($query);
		$sth->execute();
		while(my @row = $sth->fetchrow_array()) {
			push(@class_id,$row[1]);
			}
		my $select;
		if(@class_id >= 1) {
			my $i = 1;
			foreach my $key(@class_id) {
				if($i == 1) {
					$select = " class_id\=\"$key\"";
					++$i;
					}
				else {
					$select = "$select"." OR "." class_id\=\"$key\"";
					}
				}
				
			my $query = qq{SELECT class_id, class_name FROM classes WHERE org_id=\'$INPUT{org_id}\' and ($select) };
			my $sth = $dbh->prepare($query);
			$sth->execute();#account type
			while(my @classes = $sth->fetchrow_array()) {
				$USER{$ids}{$classes[0]} = "$classes[1]";
				}
			}
		}
		
		
        # What user types have access to
	if ($u_type == 1) { # ADMIN
                $org_id = &select10("query","SELECT org_id FROM users WHERE u_id =\"$INPUT{u_id}\" LIMIT 1");
                	
		my @bb = %INPUT;
		CASE: { #administrator
			$_ = $INPUT{input};
			/^admin\b/i and do {admin(@bb); last CASE;};
              	   	/^add_admin_user\b/i and do {add_admin_user(@bb); last CASE;};                 	
              	   	/^add_class\b/i and do {add_class(@bb); last CASE;};                 	
              	   	/^add_class_to_user\b/i and do {add_class_to_user(@bb); last CASE;};             	
              	   	/^add_cl_user\b/i and do {add_cl_user(@bb); last CASE;};                 	
              	   	/^add_org\b/i and do {add_org(@bb); last CASE;};                 	
              	   	/^add_user\b/i and do {add_user(@bb); last CASE;};                 	
              	   	/^admin_view_user\b/i and do {admin_view_user(@bb); last CASE;};                 	
              	   	/^admin_view_users_in_class\b/i and do {admin_view_users_in_class(@bb); last CASE;};
              	   	/^bulk_upload_photos\b/i and do {bulk_upload_photos(@bb); last CASE;};
              	   	/^bulk_upload_photos2\b/i and do {bulk_upload_photos2(@bb); last CASE;};
              	   	/^change_admin_pass\b/i and do {change_admin_pass(@bb); last CASE;};
              	   	/^change_user\b/i and do {change_user(@bb); last CASE;};
              	   	/^delete_class_from_user\b/i and do {delete_class_from_user(@bb); last CASE;};                 	
              	   	/^delete_users_from_class\b/i and do {delete_users_from_class(@bb); last CASE;};
              	   	/^del_org\b/i and do {del_org(@bb); last CASE;};
              	   	/^delete_it\b/i and do {delete_it(@bb); last CASE;};
              	   	/^delete_photo\b/i and do {delete_photo(@bb); last CASE;};
              	    	/^logout\b/i and do {logout(@bb); last CASE;};
#             	     	/^lock_out\b/i and do {lock_out(@bb); last CASE;};
			/^org\b/i and do {org(@bb); last CASE;};
			/^print_admin_screen\b/i and do {print_admin_screen(@bb); last CASE;};
			/^remove_students\b/i and do {remove_students(@bb); last CASE;};
			/^remove_students2\b/i and do {remove_students2(@bb); last CASE;};
              	   	/^rename_it\b/i and do {rename_it(@bb); last CASE;};
              	   	/^reset_students\b/i and do {reset_students(@bb); last CASE;};
              	   	/^reset_students2\b/i and do {reset_students2(@bb); last CASE;};
              	   	/^upload_file_users_and_classes\b/i and do {upload_file_users_and_classes(@bb); last CASE;};
              	   	/^upload_photo\b/i and do {upload_photo(@bb); last CASE;};
              	   	/^view_it\b/i and do {view_it(@bb); last CASE;};
			}
		}

	elsif ($u_type == 2 && $lock != 1) { # INSTRUCTORS
      		my @cc = %INPUT;
            	CASE: {
                  	$_ = $INPUT{input};
                 	/^add_folder\b/i and do {add_folder(@cc); last CASE;};
                 	/^add_branch\b/i and do {add_branch(@cc); last CASE;};
                 	/^add_time\b/i and do {add_time(@cc); last CASE;};
                 	/^add_time1\b/i and do {add_time1(@cc); last CASE;};
                 	/^print_add_quest_to_qst\b/i and do {print_add_quest_to_qst(@cc); last CASE;};
                 	/^add_question_group_to_qst\b/i and do {add_question_group_to_qst(@cc); last CASE;};
                 	/^branch_quest\b/i and do {branch_quest(@cc); last CASE;};
                 	/^branch_stats\b/i and do {branch_stats(@cc); last CASE;};
                 	/^change_file_descrip\b/i and do {change_file_descrip(@cc); last CASE;};
                 	/^change_file_descrip1\b/i and do {change_file_descrip1(@cc); last CASE;};
                 	/^change_mark_page\b/i and do {change_mark_page(@cc); last CASE;};
                 	/^change_the_assignment_mark\b/i and do {change_the_assignment_mark(@cc); last CASE;};
                 	/^change_the_mark\b/i and do {change_the_mark(@cc); last CASE;};
                 	/^change_weight_page\b/i and do {change_weight_page(@cc); last CASE;};
                 	/^change_the_weight\b/i and do {change_the_weight(@cc); last CASE;};
                 	/^change_assign_marks_page\b/i and do {change_assign_marks_page(@cc); last CASE;};
                 	/^change_assign_marks\b/i and do {change_assign_marks(@cc); last CASE;};
                 	/^change_quest\b/i and do {change_quest(@cc); last CASE;};
                 	/^change_quest1\b/i and do {change_quest1(@cc); last CASE;};
                 	/^change_qst\b/i and do {change_qst(@cc); last CASE;};
                 	/^copy_file\b/i and do {copy_file(@cc); last CASE;};
                 	/^copy_quest\b/i and do {copy_quest(@cc); last CASE;};
                 	/^copy_qst\b/i and do {copy_qst(@cc); last CASE;};
                 	/^copy_qst_to_class\b/i and do {copy_qst_to_class(@cc); last CASE;};
                 	/^create_assign_page\b/i and do {create_assign_page(@cc); last CASE;};
                 	/^create_assign\b/i and do {create_assign(@cc); last CASE;};       
                 	/^com_classes_students\b/i and do {com_classes_students(@cc); last CASE;};
                 	/^create_qst\b/i and do {create_qst(@cc); last CASE;};
                  	/^create_rename\b/i and do {create_rename(@cc); last CASE;};
                  	/^create_the_qst\b/i and do {create_the_qst(@cc); last CASE;};
                 	/^cut_paste\b/i and do {cut_paste(@cc); last CASE;};
                 	/^delete_assign\b/i and do {delete_assign(@cc); last CASE;};
                 	/^delete_branch\b/i and do {delete_branch(@cc); last CASE;};
                 	/^delete_cc\b/i and do {delete_cc(@cc); last CASE;};
                  	/^delete_file\b/i and do {delete_file(@cc); last CASE;};
                 	/^delete_qst\b/i and do {delete_qst(@cc); last CASE;};
                	/^delete_question\b/i and do {delete_question(@cc); last CASE;};
                 	/^delete_s_assign\b/i and do {delete_s_assign(@cc); last CASE;};
                 	/^down_load\b/i and do {down_load(@cc); last CASE;};
                 	/^eqform\b/i and do {eqform(@cc); last CASE;};
                 	/^export_quests\b/i and do {export_quests(@cc); last CASE;};
                 	/^import_quests\b/i and do {import_quests(@cc); last CASE;};
                 	/^insert_quest_to_current_qst\b/i and do {insert_quest_to_current_qst(@cc); last CASE;};
                 	/^insert_quest\b/i and do {insert_quest(@cc); last CASE;};
                  	/^logout\b/i and do {logout(@cc); last CASE;};
                 	/^make_quest\b/i and do {make_quest(@cc); last CASE;};
                 	/^make_type\b/i and do {make_type(@cc); last CASE;};
                 	/^make_top_screen\b/i and do {make_top_screen(@cc); last CASE;};
                 	/^make_top1_screen\b/i and do {make_top1_screen(@cc); last CASE;};
                 	/^make_top_screen1\b/i and do {make_top_screen1(@cc); last CASE;};
                 	/^make_top_screen2\b/i and do {make_top_screen2(@cc); last CASE;};
                 	/^manage_files\b/i and do {manage_files(@cc); last CASE;};                 	
                 	/^post_qst\b/i and do {post_qst(@cc); last CASE;};                 	
                 	/^post_qst_top\b/i and do {post_qst_top(@cc); last CASE;};                 	
                 	/^preview_quest\b/i and do {preview_quest(@cc); last CASE;};
                 	/^print_add_branch\b/i and do {print_add_branch(@cc); last CASE;};
                 	/^print_bota\b/i and do {print_bota(@cc); last CASE;};
                 	/^print_eq_quest_ans\b/i and do {print_eq_quest_ans(@cc); last CASE;};
                 	/^print_eq_answer\b/i and do {print_eq_answer(@cc); last CASE;};
                 	/^print_export_quest\b/i and do {print_export_quest(@cc); last CASE;};
                 	/^print_import_quest\b/i and do {print_import_quest(@cc); last CASE;};
                 	/^print_mida\b/i and do {print_mida(@cc); last CASE;};
                 	/^print_topa\b/i and do {print_topa(@cc); last CASE;};
                 	/^print_instructors_screen\b/i and do {print_instructors_screen(@cc); last CASE;};
                 	/^print_top\b/i and do {print_top(@cc); last CASE;};
                 	/^print_qst\b/i and do {print_qst(@cc); last CASE;};
                 	/^question_ma\b/i and do {question_ma(@cc); last CASE;};
                 	/^question_mc\b/i and do {question_mc(@cc); last CASE;};
                 	/^question_mx\b/i and do {question_mx(@cc); last CASE;};
                 	/^question_p\b/i and do {question_p(@cc); last CASE;};                 	
                 	/^question_tf\b/i and do {question_tf(@cc); last CASE;};  
                 	/^question_yn\b/i and do {question_yn(@cc); last CASE;};  
                 	/^question_sa\b/i and do {question_sa(@cc); last CASE;};                	
                 	/^question_ad\b/i and do {question_ad(@cc); last CASE;};                 	
                	/^questions\b/i and do {questions(@cc); last CASE;};                	
                 	/^qst_mark_ins\b/i and do {qst_mark_ins(@cc); last CASE;};                 	
                  	/^rename_it\b/i and do {rename_it(@cc); last CASE;};
                  	/^remove_export_file\b/i and do {remove_export_file(@cc); last CASE;};
                 	/^remove_questions_fromqst\b/i and do {remove_questions_fromqst(@cc); last CASE;};
                 	/^rename_assign_page\b/i and do {rename_assign_page(@cc); last CASE;};                 	
                 	/^rename_assign\b/i and do {rename_assign(@cc); last CASE;};
                 	/^resume_qst\b/i and do {resume_qst(@cc); last CASE;};
                 	/^resume_qst1\b/i and do {resume_qst1(@cc); last CASE;};
                	/^save_changes\b/i and do {save_changes(@cc); last CASE;};                	
                	/^stats\b/i and do {stats(@cc); last CASE;};
                	/^stats_view_quest\b/i and do {stats_view_quest(@cc); last CASE;};                 	
                	/^survey_stats\b/i and do {survey_stats(@cc); last CASE;};            	
                	/^submit_survey\b/i and do {submit_survey(@cc); last CASE;};                	
                 	/^upload_file\b/i and do {upload_file(@cc); last CASE;}; 
                       	/^update_qst_question_mark\b/i and do {update_qst_question_mark(@cc); last CASE;};                 	
                 	/^view_file\b/i and do {view_file(@cc); last CASE;};
                 	/^view_bank_quest\b/i and do {view_bank_quest(@cc); last CASE;};
                 	/^view_indiv_branch_qst\b/i and do {view_indiv_branch_qst(@cc); last CASE;};
                 	/^view_select_files\b/i and do {view_select_files(@cc); last CASE;};
                 	/^view_select_ma_files\b/i and do {view_select_ma_files(@cc); last CASE;};
                 	/^view_select_mc_files\b/i and do {view_select_mc_files(@cc); last CASE;};
                 	/^view_quest\b/i and do {view_quest(@cc); last CASE;};                 	
                 	/^view_qst\b/i and do {view_qst(@cc); last CASE;};                 
                 	/^view_small_qst\b/i and do {view_small_qst(@cc); last CASE;};                 	
    #             	/^view_students\b/i and do {view_students(@cc); last CASE;};                	
                 	/^gradebook\b/i and do {gradebook(@cc); last CASE;};                 	
                 	/^view_students_in_class\b/i and do {view_students_in_class(@cc); last CASE;};                 	
                  	/^view_mark_type\b/i and do {view_mark_type(@cc); last CASE;};                  	
                 	/^view_survey_answers\b/i and do {view_survey_answers(@cc); last CASE;};                	
                	/^write_bottom_screen\b/i and do {write_bottom_screen(@cc); last CASE;};
			}
		}

	elsif ($u_type == 3 && $lock != 1) { #students
      		my @dd = %INPUT;
		if(!keys %{$USER{$ids}} && $INPUT{input} ne"logout") {
			&no_classes;
			}
		else {
            		CASE: {
                  		$_ = $INPUT{input};
                 		/^do_type\b/i and do {do_type(@dd); last CASE;};
                 		/^do_type2\b/i and do {do_type2(@dd); last CASE;};
                 		/^do_type3\b/i and do {do_type3(@dd); last CASE;};
                 		/^do_type4\b/i and do {do_type4(@dd); last CASE;};
                 		/^do_type5\b/i and do {do_type5(@dd); last CASE;};
                 		/^do_mobile\b/i and do {do_mobile(@dd); last CASE;};
                   		/^logout\b/i and do {logout(@dd); last CASE;};
                   		/^logout_mobile\b/i and do {logout_mobile(@dd); last CASE;};
                   		/^mobile_mark_type\b/i and do {mobile_mark_type(@dd); last CASE;};
                 		/^mark_type\b/i and do {mark_type(@dd); last CASE;};
                 		/^mark_type2\b/i and do {mark_type2(@dd); last CASE;};
                 		/^modal_do_type\b/i and do {modal_do_type(@dd); last CASE;};
                 		/^modal2_do_type2\b/i and do {modal2_do_type2(@dd); last CASE;};
                 		/^modal3_do_type3\b/i and do {modal3_do_type3(@dd); last CASE;};
                 		/^modal4_do_type4\b/i and do {modal4_do_type4(@dd); last CASE;};
                 		/^modal5_do_type5\b/i and do {modal5_do_type5(@dd); last CASE;};
                 		/^modal_qst_mark\b/i and do {modal_qst_mark(@dd); last CASE;};
                 		/^next_question2\b/i and do {next_question2(@dd); last CASE;};
                 		/^next_question3\b/i and do {next_question3(@dd); last CASE;};
                 		/^next_question4\b/i and do {next_question4(@dd); last CASE;};
                 		/^next_question5\b/i and do {next_question5(@dd); last CASE;};
                 		/^mobile_next_question\b/i and do {mobile_next_question(@dd); last CASE;};
                 		/^modal_next_question2\b/i and do {modal_next_question2(@dd); last CASE;};
                 		/^modal_next_question3\b/i and do {modal_next_question3(@dd); last CASE;};
                 		/^modal_next_question4\b/i and do {modal_next_question4(@dd); last CASE;};
                 		/^modal_next_question5\b/i and do {modal_next_question5(@dd); last CASE;};
                 		/^modal_question_done5\b/i and do {modal_question_done5(@dd); last CASE;};
                 		/^print_modal_students_screen\b/i and do {print_modal_students_screen(@dd); last CASE;};
	                 	/^print_mobile\b/i and do {print_mobile(@dd); last CASE;};
	                 	/^question_done\b/i and do {question_done(@dd); last CASE;};
	                 	/^question_done5\b/i and do {question_done5(@dd); last CASE;};
                 		/^qst_mark\b/i and do {qst_mark(@dd); last CASE;};
                 		/^qst_side\b/i and do {qst_side(@dd); last CASE;};
                 		/^qst_side2\b/i and do {qst_side2(@dd); last CASE;};
                 		/^qst_side3\b/i and do {qst_side3(@dd); last CASE;};
                 		/^qst_side5\b/i and do {qst_side5(@dd); last CASE;};
                 		/^modal_qst_side\b/i and do {modal_qst_side(@dd); last CASE;};
                 		/^modal2_qst_side2\b/i and do {modal2_qst_side2(@dd); last CASE;};
                 		/^modal3_qst_side3\b/i and do {modal3_qst_side3(@dd); last CASE;};
                 		/^modal4_qst_side4\b/i and do {modal4_qst_side4(@dd); last CASE;};
                 		/^modal5_qst_side5\b/i and do {modal5_qst_side5(@dd); last CASE;};
                 		/^modal_mark_type\b/i and do {modal_mark_type(@dd); last CASE;};
                 		/^modal2_mark_type2\b/i and do {modal2_mark_type2(@dd); last CASE;};
                 		/^modal3_mark_type3\b/i and do {modal3_mark_type3(@dd); last CASE;};
                 		/^modal4_mark_type4\b/i and do {modal4_mark_type4(@dd); last CASE;};
                 		/^modal5_mark_type5\b/i and do {modal5_mark_type5(@dd); last CASE;};
                 		/^modal2_qst_mark2\b/i and do {modal2_qst_mark2(@dd); last CASE;};
                 		/^modal3_qst_mark3\b/i and do {modal3_qst_mark3(@dd); last CASE;};
                 		/^modal4_qst_mark4\b/i and do {modal4_qst_mark4(@dd); last CASE;};
                 		/^modal5_qst_mark5\b/i and do {modal5_qst_mark5(@dd); last CASE;};
                 		/^resume_next_question2\b/i and do {resume_next_question2(@dd); last CASE;};
                 		/^resume_next_question3\b/i and do {resume_next_question3(@dd); last CASE;};
                 		/^resume_qst_side\b/i and do {resume_qst_side(@dd); last CASE;};
                 		/^resume_qst_side2\b/i and do {resume_qst_side2(@dd); last CASE;};
                 		/^resume_qst_side3\b/i and do {resume_qst_side3(@dd); last CASE;};
                 		/^show_classes\b/i and do {show_classes(@dd); last CASE;};
                 		/^show_qsts_for_students\b/i and do {show_qsts_for_students(@dd); last CASE;};
                 		/^show_mobile_qsts_for_students\b/i and do {show_mobile_qsts_for_students(@dd); last CASE;};
                 		/^students_view_qst\b/i and do {students_view_qst(@dd); last CASE;};
				}
			}
		}
		
	elsif ($u_type == 5) { # question,quiz/survey/test bank admin
                my @cc = %INPUT;
            	CASE: {
                        $_ = $INPUT{input};
                        /^add_bank_folder\b/i and do {add_bank_folder(@cc); last CASE;};
                 	/^print_add_quest_to_qst\b/i and do {print_add_quest_to_qst(@cc); last CASE;};
                 	/^add_question_group_to_qst\b/i and do {add_question_group_to_qst(@cc); last CASE;};
                 	/^change_weight_page\b/i and do {change_weight_page(@cc); last CASE;};
                 	/^change_the_weight\b/i and do {change_the_weight(@cc); last CASE;};
                 	/^change_bank_quest\b/i and do {change_bank_quest(@cc); last CASE;};
                 	/^change_bank_quest1\b/i and do {change_bank_quest1(@cc); last CASE;};
                 	/^change_bank_file_descrip\b/i and do {change_bank_file_descrip(@cc); last CASE;};
                 	/^change_bank_file_descrip1\b/i and do {change_bank_file_descrip1(@cc); last CASE;};
                 	/^change_qst\b/i and do {change_qst(@cc); last CASE;};
                 	/^copy_bank_file\b/i and do {copy_bank_file(@cc); last CASE;};
                 	/^copy_bank_quest\b/i and do {copy_bank_quest(@cc); last CASE;};
                 	/^copy_qst\b/i and do {copy_qst(@cc); last CASE;};
                 	/^copy_qst_to_class\b/i and do {copy_qst_to_class(@cc); last CASE;};
                 	/^create_assign_page\b/i and do {create_assign_page(@cc); last CASE;};
                 	/^com_classes_students\b/i and do {com_classes_students(@cc); last CASE;};
                 	/^create_qst\b/i and do {create_qst(@cc); last CASE;};
                 	/^create_rename\b/i and do {create_rename(@cc); last CASE;};
                  	/^create_rename_bank\b/i and do {create_rename_bank(@cc); last CASE;};
                  	/^create_the_qst\b/i and do {create_the_qst(@cc); last CASE;};
                 	/^cut_paste\b/i and do {cut_paste(@cc); last CASE;};
                 	/^delete_bank_cc\b/i and do {delete_bank_cc(@cc); last CASE;};
                  	/^delete_bank_file\b/i and do {delete_bank_file(@cc); last CASE;};
                 	/^delete_qst\b/i and do {delete_qst(@cc); last CASE;};
                	/^delete_bank_question\b/i and do {delete_bank_question(@cc); last CASE;};
                 	/^delete_s_assign\b/i and do {delete_s_assign(@cc); last CASE;};
                 	/^export_quests\b/i and do {export_quests(@cc); last CASE;};
                 	/^import_quests\b/i and do {import_quests(@cc); last CASE;};
                 	/^insert_quest_to_current_qst\b/i and do {insert_quest_to_current_qst(@cc); last CASE;};
                 	/^insert_bank_quest\b/i and do {insert_bank_quest(@cc); last CASE;};
                  	/^logout\b/i and do {logout(@cc); last CASE;};
                 	/^make_bank_quest\b/i and do {make_bank_quest(@cc); last CASE;};
                 	/^make_top_screen\b/i and do {make_top_screen(@cc); last CASE;};
                 	/^make_top1_screen\b/i and do {make_top1_screen(@cc); last CASE;};
                 	/^make_top_screen1\b/i and do {make_top_screen1(@cc); last CASE;};
                 	/^make_top_screen2\b/i and do {make_top_screen2(@cc); last CASE;};
                 	/^manage_bank_files\b/i and do {manage_bank_files(@cc); last CASE;};                 	      	
                 	/^preview_quest\b/i and do {preview_quest(@cc); last CASE;};
                 	/^print_bota\b/i and do {print_bota(@cc); last CASE;};
                 	/^print_export_quest\b/i and do {print_export_quest(@cc); last CASE;};
                 	/^print_import_quest\b/i and do {print_import_quest(@cc); last CASE;};
                 	/^print_eq_quest_ans\b/i and do {print_eq_quest_ans(@cc); last CASE;};
                 	/^print_eq_answer\b/i and do {print_eq_answer(@cc); last CASE;};
                 	/^print_mida\b/i and do {print_mida(@cc); last CASE;};
                 	/^print_topa\b/i and do {print_topa(@cc); last CASE;};
                 	/^print_qbank_admin_screen\b/i and do {print_qbank_admin_screen(@cc); last CASE;};
                 	/^print_top\b/i and do {print_top(@cc); last CASE;};
                 	/^print_qst\b/i and do {print_qst(@cc); last CASE;};
                 	/^question_bank_ma\b/i and do {question_bank_ma(@cc); last CASE;};
                 	/^question_bank_mc\b/i and do {question_bank_mc(@cc); last CASE;};
                 	/^question_p\b/i and do {question_p(@cc); last CASE;};                 	
                 	/^question_tf\b/i and do {question_tf(@cc); last CASE;}; 
                 	/^question_yn\b/i and do {question_yn(@cc); last CASE;}; 
                 	/^question_sa\b/i and do {question_sa(@cc); last CASE;};                	
                 	/^question_mx\b/i and do {question_mx(@cc); last CASE;};
                 	/^question_ma\b/i and do {question_ma(@cc); last CASE;};
                 	/^question_ad\b/i and do {question_ad(@cc); last CASE;};                 	
                	/^questions_bank\b/i and do {questions_bank(@cc); last CASE;};                	
                 	/^qst_mark_ins\b/i and do {qst_mark_ins(@cc); last CASE;};                 	
                  	/^bank_rename_it\b/i and do {bank_rename_it(@cc); last CASE;};                  	
                 	/^remove_questions_fromqst\b/i and do {remove_questions_fromqst(@cc); last CASE;};     	
                	/^save_changes\b/i and do {save_changes(@cc); last CASE;};                	     	
                 	/^upload_file\b/i and do {upload_file(@cc); last CASE;}; 
                       	/^update_qst_question_mark\b/i and do {update_qst_question_mark(@cc); last CASE;};                 	
                 	/^view_bank_file\b/i and do {view_bank_file(@cc); last CASE;};                 	
                 	/^view_select_bank_files\b/i and do {view_select_bank_files(@cc); last CASE;};
                 	/^view_select_bank_mc_files\b/i and do {view_select_bank_mc_files(@cc); last CASE;};
                 	/^view_select_ma_bank_files\b/i and do {view_select_ma_bank_files(@cc); last CASE;};         
                 	/^view_bank_quest\b/i and do {view_bank_quest(@cc); last CASE;};                 	
                 	/^view_qst\b/i and do {view_qst(@cc); last CASE;};                 
                 	/^view_small_qst\b/i and do {view_small_qst(@cc); last CASE;};               
                 	/^view_select_ma_files\b/i and do {view_select_ma_files(@cc); last CASE;};
                 	/^view_select_mc_files\b/i and do {view_select_mc_files(@cc); last CASE;};
                	/^write_bottom_screen\b/i and do {write_bottom_screen(@cc); last CASE;};
                        }
		}
		
    if($INPUT{mode} != 1 || $INPUT{input} ne"print_eq_quest_ans") {
            &footer;
            }
    return;

    }

###################
#
# end main program
#
###################





###########################################################################################################
#
#   FUNCTIONS
#
###########################################################################################################

#######################
#
# AUTHENTICATE_LDAP
#
####################### 
sub authenticate_ldap {
	my %AL = @_ ;
	my $return = 1;   #good login
	my $base = "ou=staff,o=gmc";  #change this to the appropriate values
	my @username;
	my $ldap = Net::LDAP->new('domain name of ldap server')or die "$@";
	my $dn = "cn=$AL{user}," . $base ;
	my $mesg = $ldap->bind(dn => $dn,password => $AL{pass}) ;
	my $srchFltr = "(&(cn=$AL{user}) (objectClass=person))" ;
	my $result = $ldap->search(base => $base,filter => $srchFltr,);

	#Handle result codes here
	if ($mesg->code) {
		# error code > 0 returned, indicates a failure
		$return = 2;
		} 
	return($return);
	}

	
######################
#
# COM_GET_ATTEMPTED_LOGINS
#
######################
sub com_get_attempted_logins {
        my %CGAL = @_;
        my %RETURN = ();

        my $query = 'SELECT * FROM attempted_logins WHERE email = ?';
        my $sth = $dbh->prepare($query);
        $sth->bind_param( 1, $CGAL{email});
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$CGAL{email}}= {attempt =>"$row[1]",end_time => "$row[2]"};
		}
	return(%RETURN);

        }

######################
#
# COM_INSERT_ATTEMPTED_LOGINS
#
######################
sub com_insert_attempted_logins {
        my %CIAL = @_;
        my $query = "INSERT INTO attempted_logins(email,attempt,end_time) VALUES(?,?,?)";
        my $sth = $dbh->prepare($query);
        $sth->execute($CIAL{email},$CIAL{attempt},$CIAL{end_time});
        }

######################
#
# COM_DELETE_ATTEMPTED_LOGINS
#
######################
sub com_delete_attempted_logins {
        my %CDAL = @_;
        my $query = qq{DELETE from attempted_logins where email="$CDAL{user}"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
        }

######################
#
# COM_UPDATE_ATTEMPTED_LOGINS
#
######################
sub com_update_attempted_logins {
        my %CUAL = @_;
        my $query = qq{UPDATE attempted_logins SET attempt= ?, end_time= ?  WHERE email= ?};
        my $sth = $dbh->prepare($query);
        $sth->bind_param( 1, $CUAL{attempt});
        $sth->bind_param( 2, $CUAL{end_time});
        $sth->bind_param( 3, $CUAL{email});
	$sth->execute();
        }

###############
#
# ADD_FOLDER
#
##############
sub add_folder {
	my %AF = @_;
	$AF{parent} =~ s/\D//g;
	$AF{expand} =~ s/[^0-9,]//g;
	$AF{type} =~ s/\D//g;
	$AF{sub_type} =~ s/\D//g;
	$AF{from} =~ s/\D//g;
	my $sub_type = 1;
	my $name = "$AF{name}";
	$name = &l_spaces("$name","0");
	$name = &tr_spaces("$name","0");
	$name = &x_spaces("$name","0");
	$name = &spec_char("$name","0");
	
	$AF{name} = $name;
	my $error = 0;
	$error = &check_many_length_return("$AF{name}","50","$AF{type}","2","$AF{parent}","10");

	if($name ne"" && $error != 1) {
		my $count = 1;
		if ($AF{from} == 1 && $AF{parent} != 1) { # from questions page
			my $return = &is_there_and_sub_type("table","question_categories","number","$AF{parent}");
			if($return > 0) {
				$count = 1;
				$sub_type = "$return";
				}
			elsif ($return == 0) {
				$sub_type = 1;
				}
			}
		elsif ($AF{from} == 2 && $AF{parent} != 1) { # from quizzes/tests page
			$count = &is_there("table","categories","number","$AF{parent}");
			}
		elsif ($AF{from} == 4 && $AF{parent} != 1) { # from quizzes/tests page
			$count = &is_there("table","categories","number","$AF{parent}");
			}
		elsif ($AF{from} == 5 && $AF{parent} != 1) { # from manage files page
			$count = &is_there("table","file_folders","number","$AF{parent}");
			}
		if ($count == 1) {
			if ($AF{from} == 1) { # questions page
				#type is set to 1 so it can be renamed and deleted
				&insert_generic_folder_quote("query1","question_categories","quote","$AF{name}","query2","$AF{parent}","type","1","sub_type","$sub_type");
				&questions("expand","$AF{expand}","u_id","$AF{u_id}","session_id","$AF{session_id}");
				}
			elsif($AF{from} == 2) { # quizzes/tests page
				&insert_generic_folder_quote("query1","categories","quote","$AF{name}","query2","$AF{parent}","type","$AF{type}");
				&make_type("expand","$AF{expand}","type","$AF{type}","from","$AF{from}","sub_type","$AF{sub_type}","u_id","$AF{u_id}","session_id","$AF{session_id}");
				}
			elsif($AF{from} == 4) { # quizzes/tests page
				&insert_generic_folder_quote("query1","categories","quote","$AF{name}","query2","$AF{parent}","type","$AF{type}");
				&make_type("expand","$AF{expand}","type","$AF{type}","from","$AF{from}","sub_type","$AF{sub_type}","u_id","$AF{u_id}","session_id","$AF{session_id}");
				}
			elsif ($AF{from} == 5 && $AF{type} == 5) { # manage files page
				&insert_generic_folder_quote("query1","file_folders","quote","$AF{name}","query2","$AF{parent}","type","5");
				&manage_files("expand","$AF{expand}","type","$AF{type}","sub_type","$AF{sub_type}","u_id","$AF{u_id}","session_id","$AF{session_id}");
				}
			}
		}
	}

###############
#
# BRANCH_QUEST
#
##############
sub branch_quest {
        my %BQ= @_;
        $BQ{quest_no} =~ s/\D//g;
        $BQ{u_id} =~ s/\D//g;
        $BQ{qst} =~ s/\D//g;
        $BQ{branch_it} =~ s/[^0-9,]//g;
        $BQ{type} =~ s/\D//g;
        $BQ{sub_type} =~ s/\D//g;
        $BQ{referer} =~ s/\D//g;
        
        my %QUESTION = ();
        my $error = 0;
        
        print"<style>
	table { font-size:11pt; font-family:Arial;}
	TR1 { vertical-align: middle;}
	textarea{ border-radius:.5em; outline: none; font-size:10pt; font-family:Arial; display:inline-block; vertical-align:middle;}
	</style>";
	
        &print_javascript_begin();
        
        print"var quest_windo\n";
        
        print"function branch_quest\(sel\) \{
        if(!quest_windo) \{
        quest_windo = window.open\(\"\",\"quest_windo\",\"top=40,left=770,height=650,width=650\"\)
	quest_windo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Selectquestion}<\/title><\/head><body>\'\)
	quest_windo.document.writeln\(\'</body><\/html>\'\)
	quest_windo.document.close()
	quest_windo.focus\(\)
	document.view_branch.branch.value=sel
	document.view_branch.submit\(\)
        \}else \{
        quest_windo.focus\(\)
        self.parent.quest_windo.clear_checkbox(sel)
        self.parent.quest_windo.checkAll('form5',false)
        quest_windo.document.form5.branch.value=sel
        \}
	\}\n";
	
        print"function vquest\(inn\) \{
	vquest_windo = window.open\(\"\",\"vquest_windo\",\"top=40,left=100,height=550,width=710\"\)
	vquest_windo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewQuestion}<\/title><\/head><body>\'\)
	vquest_windo.document.writeln\(\'</body><\/html>\'\)
	vquest_windo.document.close()
	vquest_windo.focus\(\)
	var quest_no\n";
	
	my $ii = 1;
	while($ii <= $mc_num) {
                if($ii == 1) {
                        print"if(inn === \"quest$ii\") \{
                        quest_no = document.branch.quest$ii.value
                        \}\n";
                        }
                else {
                        print"else if(inn === \"quest$ii\") \{
                        quest_no = document.branch.quest$ii.value
                        \}\n";
                        }
                ++$ii;
                }
 
	print"document.view_quest.number.value=quest_no
	document.view_quest.submit()
	\}\n";
	
	
        print"function branch_add\(branchit\) \{
        quest_windo.close()
        document.branch.branch_it.value=branchit
	document.branch.submit\(\)
	self.close()
	\}\n";
	
	print"function close_both_win\(\) \{
	if(quest_windo) \{
                quest_windo.close()
                \}
	self.close()
	\}\n";
	
	print"function Show_Magnifier(i_nn) \{
        var x = document.getElementById(i_nn)\;
        x.style.display = \"block\"\;
        \}\n";
        
        &print_javascript_end();
        
        $error = &check_many_length_return("$BQ{quest_no}","10","$BQ{qst}","10","$BQ{type}","10","$BQ{sub_type}","10");

        %QUESTION = &select_question("query","SELECT * from questions WHERE number=\"$BQ{quest_no}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
        
        if($QUESTION{$BQ{quest_no}}{ans_mode} == 2) {
                &print_eq_src();
                }
                
        &top_head("head","$LANGUAGE{$set_language}{BranchAnswer}");
        
        print"<FORM name=\"branch\" method=\"POST\" target=\"mida\"><input type=\"hidden\" name=\"input\" value=\"add_branch\"><input type=\"hidden\" name=\"u_id\" value=\"$BQ{u_id}\"><input type=\"hidden\" name=\"sub_type\" value=\"$BQ{sub_type}\"> <input type=\"hidden\" name=\"type\" value=\"$BQ{type}\"> <input type=\"hidden\" name=\"session_id\" value=\"$BQ{session_id}\"><input type=\"hidden\" name=\"qst\" value=\"$BQ{qst}\"><input type=\"hidden\" name=\"quest_no\" value=\"$BQ{quest_no}\"><input type=\"hidden\" name=\"branch_it\" value=\"$BQ{branch_it}\"><input type=\"hidden\" name=\"referer\" value=\"$BQ{referer}\">";
        
        print"<P><TABLE>\n";
        
        if ($QUESTION{$BQ{quest_no}}{type} eq"TF" && $error != 1) {
                my %RETURN = &select7("query","SELECT number,q_order,answer from question_answers WHERE number=\"$BQ{quest_no}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                
                my %BRANCH = &select4("query","SELECT quest_no,branching from qst_questions WHERE quest_no=\"$BQ{quest_no}\" AND qst_no=\"$BQ{qst}\" AND referer=\"$BQ{referer}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                
                my %BRANCH_QUEST = ();
                my %QUESTION = ();
                
                if(keys %BRANCH) {
                        my @branch = split(/\,/,$BRANCH{$BQ{quest_no}});
                        my $number;
                        foreach my $chunk(@branch) {
                                my @row = split(/=/,$chunk);
                                if($row[1] != 0) {
                                        $BRANCH_QUEST{$row[0]} = $row[1];
                                        $number = "$number"." OR "."number="."$row[1]";
                                        }
                                }
                        $number =~ s/^\sOR\s//;

                        if($number ne "") {
                                %QUESTION = &select_branching_question("query","SELECT * from questions WHERE $number AND (u_id=\"$ids\" OR u_id=\"0\")");
                                }
                        }

                        
            ### PRINT ANSWERS
                

            if ($RETURN{$BQ{quest_no}}{answer} eq"T") {
                    print"<TR><TD style=\"vertical-align:middle\;\">&nbsp\;<input type=\"radio\" style=\"vertical-align:middle\;\" disabled>&nbsp\;&nbsp\;<B><font STYLE=\" font-family:Arial\;\" >$LANGUAGE{$set_language}{True}</TD><TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\;$image34&nbsp\;<input type=\"hidden\" name=\"quest1\" value=\"$BRANCH_QUEST{1}\"><input type=\"hidden\" name=\"quest2\" value=\"$BRANCH_QUEST{2}\">";

                    if($BRANCH_QUEST{1} > 0) { # already a branching question there
                            &print_out_branching_question("question","$QUESTION{$BRANCH_QUEST{1}}{descrip}","image_id","$QUESTION{$BRANCH_QUEST{1}}{image_id}","vlink","$QUESTION{$BRANCH_QUEST{1}}{vlink}","alink","$QUESTION{$BRANCH_QUEST{1}}{alink}","select","select1","display","display1","quest","quest1");
                            }
                    else {
                            print"<TD><textarea readonly wrap=\"hard\" name=\"select1\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"37\" value=\"\"></textarea></TD><TD>&nbsp\;&nbsp\; <span ID=\"display1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('quest1'\)\" style=\"display:none\; cursor: pointer\;\"> &nbsp\;$image3</span></TD>";
                            }

                    print"<TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\; <font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Selectquestion}\" STYLE=\"cursor: pointer\; font-family:Arial\;\" onClick=\"branch_quest(1)\">$LANGUAGE{$set_language}{Question}</font></B></font></TD></TR><TR><TD></TD><TD></TD></TR><TR><TD style=\"vertical-align:middle\;\">&nbsp\;<input type=\"radio\" style=\"vertical-align:middle\;\" disabled>&nbsp\;&nbsp\;<B><font font-family:Arial\;\">$LANGUAGE{$set_language}{False}</TD><TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\;$image34&nbsp\;";

                    if($BRANCH_QUEST{2} > 0) { # already a branching question there
                            &print_out_branching_question("question","$QUESTION{$BRANCH_QUEST{2}}{descrip}","image_id","$QUESTION{$BRANCH_QUEST{2}}{image_id}","vlink","$QUESTION{$BRANCH_QUEST{2}}{vlink}","alink","$QUESTION{$BRANCH_QUEST{2}}{alink}","select","select2","display","display2","quest","quest2");
                            }
                    else {
                            print"<TD><textarea readonly wrap=\"hard\" name=\"select2\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"37\" value=\"\"></textarea></TD><TD>&nbsp\;&nbsp\; <span ID=\"display2\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('quest2'\)\" style=\"display:none\; cursor: pointer\;\"> $image3</span></TD>";
                            }

                    print"<TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\; <font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Selectquestion}\" STYLE=\"cursor: pointer\; font-family:Arial\;\" onClick=\"branch_quest(2)\">$LANGUAGE{$set_language}{Question}</font></B></TD></TR>";
                    }

            else { # for surveys there are not any correct answers
                    print"<TR><TD style=\"vertical-align:middle\;\">&nbsp\;<input type=\"radio\" style=\"vertical-align:middle\;\" disabled>&nbsp\;&nbsp\;<B><font STYLE=\" font-family:Arial\;\" >$LANGUAGE{$set_language}{True}&nbsp\;&nbsp\;&nbsp\; $image34 &nbsp\;</TD><TD style=\"vertical-align:middle\;\"><input type=\"hidden\" name=\"quest1\" value=\"$BRANCH_QUEST{1}\"><input type=\"hidden\" name=\"quest2\" value=\"$BRANCH_QUEST{2}\">";

                    if($BRANCH_QUEST{1} > 0) { # already a branching question there
                            &print_out_branching_question("question","$QUESTION{$BRANCH_QUEST{1}}{descrip}","image_id","$QUESTION{$BRANCH_QUEST{1}}{image_id}","vlink","$QUESTION{$BRANCH_QUEST{1}}{vlink}","alink","$QUESTION{$BRANCH_QUEST{1}}{alink}","select","select1","display","display1","quest","quest1");
                            }
                    else {
                            print"<textarea readonly wrap=\"hard\" name=\"select1\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"37\" value=\"\"></textarea></TD><TD>&nbsp\;&nbsp\; <span ID=\"display1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('quest1'\)\" style=\"display:none\; cursor: pointer\;\"> &nbsp\; $image3</span></TD>";
                            }

                    print"<TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\; <font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Selectquestion}\" STYLE=\"cursor: pointer\; font-family:Arial\;\" onClick=\"branch_quest(1)\">$LANGUAGE{$set_language}{Question}</font></B></font></TD></TR><TR><TD></TD><TD></TD></TR><TR><TD style=\"vertical-align:middle\;\">&nbsp\;<input type=\"radio\" style=\"vertical-align:middle\;\" disabled>&nbsp\;&nbsp\;<B><font STYLE=\" font-family:Arial;\">$LANGUAGE{$set_language}{False}&nbsp\;&nbsp\;$image34 &nbsp\;</TD>\n";

                    if($BRANCH_QUEST{2} > 0) {
                            &print_out_branching_question("question","$QUESTION{$BRANCH_QUEST{2}}{descrip}","image_id","$QUESTION{$BRANCH_QUEST{2}}{image_id}","vlink","$QUESTION{$BRANCH_QUEST{2}}{vlink}","alink","$QUESTION{$BRANCH_QUEST{2}}{alink}","select","select2","display","display2","quest","quest2");
                            }
                    else {
                            print"<TD style=\"vertical-align:middle\;\"><textarea readonly wrap=\"hard\" name=\"select2\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"37\" value=\"\"></textarea></TD><TD>&nbsp\;&nbsp\; <span ID=\"display2\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('quest2'\)\" style=\"display:none\; cursor: pointer\;\">$image3</span></TD>";
                            }

                    print"<TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\; <font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Selectquestion}\" STYLE=\"cursor: pointer\; font-family:Arial\;\" onClick=\"branch_quest(2)\">$LANGUAGE{$set_language}{Question}</font></B></TD></TR>";
                    }

                print"</TABLE>\n";
                }

		
        elsif ($QUESTION{$BQ{quest_no}}{type} eq"YN" && $error != 1) { #YN question
                my %RETURN = &select7("query","SELECT number,q_order,answer from question_answers WHERE number=\"$BQ{quest_no}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                
                my %BRANCH = &select4("query","SELECT quest_no,branching from qst_questions WHERE quest_no=\"$BQ{quest_no}\" AND qst_no=\"$BQ{qst}\" AND referer=\"$BQ{referer}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                
                my %BRANCH_QUEST = ();
                my %QUESTION = ();
                
                if(keys %BRANCH) {
                        my @branch = split(/\,/,$BRANCH{$BQ{quest_no}});
                        my $number;
                        foreach my $chunk(@branch) {
                                my @row = split(/=/,$chunk);
                                if($row[1] != 0) {

                                        $BRANCH_QUEST{$row[0]} = $row[1];
                                        $number = "$number"." OR "."number="."$row[1]";
                                        }
                                }
                        $number =~ s/^\sOR\s//;

                        if($number ne "") {
                                %QUESTION = &select_branching_question("query","SELECT * from questions WHERE $number AND (u_id=\"$ids\" OR u_id=\"0\")");
                                }
                        }

                if ($RETURN{$BQ{quest_no}}{answer} eq"Y") { 
                        print"<TR><TD style=\"vertical-align:middle\;\">&nbsp\;<input type=\"radio\"  style=\"vertical-align:middle\;\" disabled>&nbsp\;&nbsp\;<B><font STYLE=\" font-family:Arial\;\" >$LANGUAGE{$set_language}{Yes} &nbsp\;&nbsp\;$image34 &nbsp\;<input type=\"hidden\" name=\"quest1\" value=\"$BRANCH_QUEST{1}\"><input type=\"hidden\" name=\"quest2\" value=\"$BRANCH_QUEST{2}\">";
                        
                        if($BRANCH_QUEST{1} > 0) { # already a branching question there 
                                &print_out_branching_question("question","$QUESTION{$BRANCH_QUEST{1}}{descrip}","image_id","$QUESTION{$BRANCH_QUEST{1}}{image_id}","vlink","$QUESTION{$BRANCH_QUEST{1}}{vlink}","alink","$QUESTION{$BRANCH_QUEST{1}}{alink}","select","select1","display","display1","quest","quest1");
                                }
                        else {
                                print"<TD><textarea readonly wrap=\"hard\" name=\"select1\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"37\" value=\"\"></textarea></TD><TD>&nbsp\;&nbsp\; <span ID=\"display1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('quest1'\)\" style=\"display:none\; cursor: pointer\;\"> $image3</span></TD>";
                                }
            
                        print"<TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\; <font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Selectquestion}\" STYLE=\"cursor: pointer\; font-family:Arial\;\" onClick=\"branch_quest(1)\">$LANGUAGE{$set_language}{Question}</font></B></font></TD></TR><TR><TD></TD><TD></TD></TR><TR><TD style=\"vertical-align:middle\;\">&nbsp\;<input type=\"radio\" style=\"vertical-align:middle\;\" disabled>&nbsp\;&nbsp\;<B><font font-family:Arial\;\">$LANGUAGE{$set_language}{No} &nbsp\;&nbsp\; $image34 &nbsp\;";
                        
                        if($BRANCH_QUEST{2} > 0) { # already a branching question there
                                &print_out_branching_question("question","$QUESTION{$BRANCH_QUEST{2}}{descrip}","image_id","$QUESTION{$BRANCH_QUEST{2}}{image_id}","vlink","$QUESTION{$BRANCH_QUEST{2}}{vlink}","alink","$QUESTION{$BRANCH_QUEST{2}}{alink}","select","select2","display","display2","quest","quest2");
                                }
                        else {
                                print"<TD><textarea readonly wrap=\"hard\" name=\"select2\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"37\" value=\"\"></textarea></TD><TD>&nbsp\;&nbsp\; <span ID=\"display2\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('quest2'\)\" style=\"display:none\; cursor: pointer\;\"> $image3</span></TD>";
                                }
                        
                        print"<TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\; <font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Selectquestion}\" STYLE=\"cursor: pointer\; font-family:Arial\;\" onClick=\"branch_quest(2)\">$LANGUAGE{$set_language}{Question}</font></B></TD></TR>";
                        }
                else {
                        print"<TR><TD style=\"vertical-align:middle\;\">&nbsp\;<input type=\"radio\" style=\"vertical-align:middle\;\" disabled>&nbsp\;&nbsp\;<B><font STYLE=\" font-family:Arial\;\" >$LANGUAGE{$set_language}{Yes}</TD><TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\;$image34 &nbsp\;<input type=\"hidden\" name=\"quest1\" value=\"$BRANCH_QUEST{1}\"><input type=\"hidden\" name=\"quest2\" value=\"$BRANCH_QUEST{2}\">";
                        
                        if($BRANCH_QUEST{1} > 0) { # already a branching question there
                                &print_out_branching_question("question","$QUESTION{$BRANCH_QUEST{1}}{descrip}","image_id","$QUESTION{$BRANCH_QUEST{1}}{image_id}","vlink","$QUESTION{$BRANCH_QUEST{1}}{vlink}","alink","$QUESTION{$BRANCH_QUEST{1}}{alink}","select","select1","display","display1","quest","quest1");
                                }
                        else {
                                print"<textarea readonly wrap=\"hard\" name=\"select1\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"37\" value=\"\"></textarea></TD><TD>&nbsp\;&nbsp\; <span ID=\"display1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('quest1'\)\" style=\"display:none\; cursor: pointer\;\">$image3</span></TD>";
                                }
                        
                        print"<TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\; <font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Selectquestion}\" STYLE=\"cursor: pointer\; font-family:Arial\;\" onClick=\"branch_quest(1)\">$LANGUAGE{$set_language}{Question}</font></B></font></TD></TR><TR><TD></TD><TD></TD></TR><TR><TD style=\"vertical-align:middle\;\">&nbsp\;<input type=\"radio\" style=\"vertical-align:middle\;\"disabled>&nbsp\;&nbsp\;<B><font font-family:Arial\;\">$LANGUAGE{$set_language}{No}</TD><TD>&nbsp\;&nbsp\;$image34 &nbsp\;";
                        
                        if($BRANCH_QUEST{2} > 0) {
                                &print_out_branching_question("question","$QUESTION{$BRANCH_QUEST{2}}{descrip}","image_id","$QUESTION{$BRANCH_QUEST{2}}{image_id}","vlink","$QUESTION{$BRANCH_QUEST{2}}{vlink}","alink","$QUESTION{$BRANCH_QUEST{2}}{alink}","select","select2","display","display2","quest","quest2");
                                }
                        else {
                                print"<textarea readonly wrap=\"hard\" name=\"select2\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"37\" value=\"\"></textarea></TD><TD>&nbsp\;&nbsp\; <span ID=\"display2\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('quest2'\)\" style=\"display:none\; cursor: pointer\;\">$image3</span></TD>";
                                }

                        print"<TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\; <font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Selectquestion}\" STYLE=\"cursor: pointer\; font-family:Arial\;\" onClick=\"branch_quest(2)\">$LANGUAGE{$set_language}{Question}</font></B></TD></TR>";
                        }
		
		print"</TABLE>\n";
		}
		
       elsif ($QUESTION{$BQ{quest_no}}{type} eq"MC" && $error != 1) {
                my %MC_ANSWERS = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$BQ{quest_no}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                 
                my %BRANCH = &select4("query","SELECT quest_no,branching from qst_questions WHERE quest_no=\"$BQ{quest_no}\" AND qst_no=\"$BQ{qst}\" AND referer=\"$BQ{referer}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                
                my %BRANCH_QUEST = ();
                my %QUESTION_B = ();
                
                if(keys %BRANCH) {
                        my @branch = split(/\,/,$BRANCH{$BQ{quest_no}});
                        my $number;
                        foreach my $chunk(@branch) {
                                my @row = split(/=/,$chunk);
                                if($row[1] != 0) {
                                        $BRANCH_QUEST{$row[0]} = $row[1];
                                        $number = "$number"." OR "."number="."$row[1]";
                                        }
                                }
                        $number =~ s/^\sOR\s//;

                        if($number ne "") {
                                %QUESTION_B = &select_branching_question("query","SELECT * from questions WHERE $number AND (u_id=\"$ids\" OR u_id=\"0\")");
                                }
                        }

                foreach my $key(sort {$a<=>$b} keys %MC_ANSWERS) {
                        print"<TR><TD style=\"vertical-align:middle\;\">&nbsp\;<input type=\"radio\" disabled>";
                        my $col = 18;
                        
                        if($MC_ANSWERS{$key}{answer} eq"") {
                                if($MC_ANSWERS{$key}{image_id} > 0) {
                                        print"<B><font STYLE=\" font-family:Arial\;\"></TD><TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\;<textarea readonly wrap=\"hard\" style=\"resize\:none\; overflow:auto\; border-color: Transparent\;\" rows=\"1\" cols=\"$col\" value=\"$MC_ANSWERS{$key}{answer}\">\*FILE\*&nbsp\;&nbsp\;</textarea>$image34&nbsp\;<input type=\"hidden\" name=\"quest$key\" value=\"$BRANCH_QUEST{$key}\">";
                                        }
                                }
                        else {
                                print"</TD><TD style=\"vertical-align: middle\; \">&nbsp\;&nbsp\;";
                               
                                if($QUESTION{$BQ{quest_no}}{ans_mode} == 1 || $QUESTION{$BQ{quest_no}}{ans_mode} == 2) { # ADVANCED/EQUATION MODE
                                	$MC_ANSWERS{$key}{answer} =~ s/&quot;/"/g;
                                        print"$MC_ANSWERS{$key}{answer}</TD><TD style=\"vertical-align: middle\;\">$image34&nbsp\;<input type=\"hidden\" name=\"quest$key\" value=\"$BRANCH_QUEST{$key}\"></TD>";
                                        }
                                else {
                                        print"<TD><textarea readonly wrap=\"hard\" style=\"resize\:none\; overflow:auto\; border-color: Transparent\;\" rows=\"1\" cols=\"$col\" value=\"$MC_ANSWERS{$key}{answer}\">$MC_ANSWERS{$key}{answer}&nbsp\;&nbsp\;</textarea>$image34 &nbsp\;<input type=\"hidden\" name=\"quest$key\" value=\"$BRANCH_QUEST{$key}\">";
                                        }
                                }

                        if($BRANCH_QUEST{$key} > 0) {
                                &print_out_branching_question("question","$QUESTION_B{$BRANCH_QUEST{$key}}{descrip}","image_id","$QUESTION_B{$BRANCH_QUEST{$key}}{image_id}","vlink","$QUESTION_B{$BRANCH_QUEST{$key}}{vlink}","alink","$QUESTION_B{$BRANCH_QUEST{$key}}{alink}","select","select$key","display","display$key","quest","quest$key","ans_mode","$QUESTION_B{$BQ{quest_no}}{ans_mode}");
                                }
                        else {
                                print"<TD><textarea readonly name=\"select$key\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"37\" value=\"\"></textarea></TD><TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\;<span ID=\"display$key\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('quest$key'\)\" style=\"display:none\; cursor: pointer\;\">$image3</span>";
                                }
                                
                        print"</TD><TD style=\"vertical-align: middle\;\">&nbsp\;&nbsp\;<span ID=\"display$key\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('quest$key'\)\" style=\"display:none\; cursor: pointer\; vertical-align: top\;\"> $image3</span></TD><TD style=\"vertical-align: middle\;\"><font STYLE=\"cursor: pointer\; data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Selectquestion}\" font-family:Arial\;\" onClick=\"branch_quest($key)\"> $LANGUAGE{$set_language}{Question}</font></B></font></TD></TR>";
                        }
                print"</TABLE>\n";
                }
        
        elsif ($QUESTION{$BQ{quest_no}}{type} eq"AD" && $error != 1) {
                my @SD = @standard;
                my %BRANCH = &select4("query","SELECT quest_no,branching from qst_questions WHERE quest_no=\"$BQ{quest_no}\" AND qst_no=\"$BQ{qst}\" AND referer=\"$BQ{referer}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                
                my %BRANCH_QUEST = ();
                my %QUESTION = ();
                
                if(keys %BRANCH) {
                        my @branch = split(/\,/,$BRANCH{$BQ{quest_no}});
                        my $number;
                        foreach my $chunk(@branch) {
                                my @row = split(/=/,$chunk);
                                if($row[1] != 0) {
                                        $BRANCH_QUEST{$row[0]} = $row[1];
                                        $number = "$number"." OR "."number="."$row[1]";
                                        }
                                }
                        $number =~ s/^\sOR\s//;

                        if($number ne "") {
                                %QUESTION = &select_branching_question("query","SELECT * from questions WHERE $number AND (u_id=\"$ids\" OR u_id=\"0\")");
                                }
                        }

                my $no = 1;
                while (@SD) {
                        my $option = shift(@SD);
                        print"<TR><TD class=\"td1\" style=\"vertical-align:middle\;\">&nbsp\;<input type=\"radio\" disabled>";
                                
                        my $col = 20;
                        
                        print"<B><font STYLE=\" font-family:Arial\;\"></TD><TD vertical-align:middle;>&nbsp\;&nbsp\;<textarea readonly wrap=\"hard\" style=\"resize\:none\; overflow:auto\; border-color: Transparent\;\" rows=\"1\" cols=\"$col\" value=\"$option\">$option&nbsp\;&nbsp\;</textarea><B><font size=\"+1\">=</font></B>&nbsp\;<input type=\"hidden\" name=\"quest$no\" value=\"$BRANCH_QUEST{$no}\">";
 
                        if($BRANCH_QUEST{$no} > 0) {
                                &print_out_branching_question("question","$QUESTION{$BRANCH_QUEST{$no}}{question}","image_id","$QUESTION{$BRANCH_QUEST{$no}}{image_id}","vlink","$QUESTION{$BRANCH_QUEST{$no}}{vlink}","alink","$QUESTION{$BRANCH_QUEST{$no}}{alink}","select","select$no","display","display$no","quest","quest$no");
                                }
                        else { 
                                print"<TD><textarea readonly name=\"select$no\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"37\" value=\"\"></textarea></TD><TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\; <span ID=\"display$no\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('quest$no'\)\" style=\"display:none\; cursor: pointer\;\">$image3</span></TD>";
                                }
                                
                        print"</TD><TD style=\"vertical-align:middle\;\">&nbsp\;&nbsp\; <span ID=\"display$no\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('quest$no'\)\" style=\"display:none\; cursor: pointer\; vertical-align:top\;\"> $image3</span></TD><TD style=\"vertical-align:middle\;\">&nbsp\;<font STYLE=\"cursor: pointer\; data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Selectquestion}\" font-family:Arial\;\" onClick=\"branch_quest($no)\"> $LANGUAGE{$set_language}{Question}</font></B></font></TD></TR><TR><TD></TD><TD></TD></TR>";
                        
                        ++$no;
                        }
                print"</TABLE>\n";
                }
                
                
        print"<input type=\"hidden\" name=\"u_id\" value=\"$BQ{u_id}\"> <input type=\"hidden\" name=\"session_id\" value=\"$BQ{session_id}\"><input type=\"hidden\" name=\"qst\" value=\"$BQ{qst}\"></FORM>\n";
        
        print"</TABLE><P><P><center><input type=\"BUTTON\" Name=\"sel\" STYLE=\"cursor: pointer\;\" value=\"$LANGUAGE{$set_language}{AddBranch}\" onClick=\"branch_add\(\'$BQ{branch_it}\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"BUTTON\" Name=\"sel\" STYLE=\"cursor: pointer\;\" value=\"$LANGUAGE{$set_language}{Cancel}\" onClick=\"close_both_win\(\)\"></center>";
        
        &print_form("form_name","view_branch","form_target","quest_windo","type","$BQ{type}","sub_type","$BQ{sub_type}","name","$BQ{name}","quiz_no","$BQ{quiz_no}","input","print_add_branch","branch","","u_id","$BQ{u_id}","session_id","$BQ{session_id}","from","11");
        
        &print_form("form_name","view_quest","form_target","vquest_windo","type","$BQ{type}","sub_type","$BQ{sub_type}","number","","input","view_quest","u_id","$BQ{u_id}","session_id","$BQ{session_id}","branching","1");
        
        sub print_out_branching_question {
                my %POBQ = @_;
                my $clean = "$POBQ{question}";

                if($clean eq"" && $POBQ{image_id} > 0) {
                        print"<textarea readonly name=\"$POBQ{select}\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"47\" value=\"\">\*IMAGE</textarea></TD><TD>&nbsp\;&nbsp\; <span ID=\"$POBQ{display}\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('$POBQ{quest}'\)\" style=\"display:block\; cursor: pointer\;\"> $image3</span></TD>";
                        }
                elsif($clean eq"" && $POBQ{vlink} ne "0") {
                        print"<textarea readonly name=\"$POBQ{select}\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"47\" value=\"\">\*VIDEO</textarea></TD><TD>&nbsp\;&nbsp\; <span ID=\"$POBQ{display}\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('$POBQ{quest}'\)\" style=\"display:block\; cursor: pointer\;\"> $image3</span></TD>";
                        }
                elsif($clean eq"" && $POBQ{alink} ne "0") {
                        print"<textarea readonly name=\"$POBQ{select}\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"47\" value=\"\">\*AUDIO</textarea></TD><TD>&nbsp\;&nbsp\; <span ID=\"$POBQ{display}\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('$POBQ{quest}'\)\" style=\"display:block\; cursor: pointer\;\"> $image3</span></TD>";
                        }
                else {
                        if($POBQ{ans_mode} == 1) {
                                print"$POBQ{question}</TD><TD>&nbsp\;&nbsp\; <span ID=\"$POBQ{display}\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('$POBQ{quest}'\)\" style=\"display:block\; cursor: pointer\;\"> &nbsp\; $image3</span></TD>";
                                }
                        else {
                                print"</TD><TD><textarea readonly name=\"$POBQ{select}\" style=\"resize\:none\; overflow:auto\;\" maxlength=\"70\" rows=\"1\" cols=\"37\" value=\"\">$POBQ{question}</textarea></TD><TD style=\"vertical-align:top\;\">&nbsp\;&nbsp\; <span ID=\"$POBQ{display}\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest\('$POBQ{quest}'\)\" style=\"display:block\; cursor: pointer\;\"> &nbsp\; $image3</span></TD>";
                                }
                        }
                }
        }


###############
#
# ADD_BANK_FOLDER
#
##############
sub add_bank_folder {
	my %AF = @_;
	$AF{parent} =~ s/\D//g;
	$AF{expand} =~ s/[^0-9,]//g;
	$AF{type} =~ s/\D//g;
	$AF{sub_type} =~ s/\D//g;
	$AF{from} =~ s/\D//g;
	my $sub_type = 1;
	my $name = "$AF{name}";
	$name = &l_spaces("$name","0");
	$name = &tr_spaces("$name","0");
	$name = &x_spaces("$name","0");
	$name = &spec_char("$name","0");

	$AF{name} = $name;
	my $error = 0;
	$error = &check_many_length_return("$AF{name}","50","$AF{type}","2","$AF{parent}","10");

	if($name ne"" && $error != 1) {
		my $count = 1;
		if ($AF{from} == 1 && $AF{parent} != 1) { # from questions page
			my $return = &is_there_and_sub_type("table","question_categories","number","$AF{parent}");
			if($return > 0) {
				$count = 1;
				$sub_type = "$return";
				}
			elsif ($return == 0) {
				$sub_type = 1;
				}
			}

		elsif ($AF{from} == 5 && $AF{type} == 5) { # from manage files page
			$count = &bank_is_there("table","file_folders","number","$AF{parent}");
			}

		if ($count == 1) {
			if ($AF{from} == 1) { # questions page
				#type is set to 1 so it can be renamed and deleted
                                &insert_generic_bank_folder_quote("query1","question_categories","quote","$AF{name}","query2","$AF{parent}","type","1","sub_type","$sub_type");
                                
				&questions_bank("expand","$AF{expand}","u_id","$AF{u_id}","session_id","$AF{session_id}");
				}

			elsif ($AF{from} == 5 && $AF{type} == 5) { # manage bank files page
				&insert_generic_bank_folder_quote("query1","file_folders","quote","$AF{name}","query2","$AF{parent}","type","5");
				&manage_bank_files("expand","$AF{expand}","type","$AF{type}","sub_type","$AF{sub_type}","u_id","$AF{u_id}","session_id","$AF{session_id}");
				}
			}
		}
	}

###############
#
# ADD_CLASS
#
##############
sub add_class {
 	my %AC = @_;
 	$AC{org_id} =~ s/\D//g;
	$AC{institution_id} =~ tr/A-Za-z0-9\-._//cd; #tr/A-Za-z0-9//cd;
	my $cl_name = "$AC{org}";
	$cl_name = &l_spaces("$cl_name","0");
	$cl_name = &tr_spaces("$cl_name","0");
	$cl_name = &x_spaces("$cl_name","0");
	$cl_name = &spec_char("$cl_name","0");
	$AC{org} = $cl_name;
	my $id_count = 0;
	my $no_good = 0;
	my $count = &is_there_org("table","organization","org_id","$AC{org_id}");

	if($org_id == 0 || $org_id == $AC{org_id}) { # Check they can do this
		if(!defined $AC{institution_id} || $AC{institution_id} eq"") {
			$AC{institution_id} = 0;
			}
		
		if($cl_name ne"" && $count == 1 && $id_count == 0 && ($AC{institution_id} eq"" || length($AC{institution_id}) < 21)) {
			&insert("to","classes","value","$AC{org}","org_id","$AC{org_id}","institution_id","$AC{institution_id}");
			}
		else {
			if($id_count != 0) {
				$no_good = 3; # institution_id taken
				}
			else {
				$no_good = 1; # bad or missing info
				}
			}
		
		&org("type","6","expand_it","$AC{org_id}","no_good","$no_good","u_id","$AC{u_id}","session_id","$AC{session_id}");
		}
	
	else {
		print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
		}
	}

#################
#
# ADD_CLASS_TO_USER
#
#################
sub add_class_to_user {
	my %ACTU = @_;
	$ACTU{org_id} =~ s/\D//g;
 	$ACTU{u_id} =~ s/\D//g;
  	$ACTU{uid} =~ s/\D//g;
 	$ACTU{session_id} =~ s/\D//g;
 	$ACTU{org_type} =~ s/\D//g;
	my %RETURN =();
	my %USERS_CLASSES = ();
	
	&print_form_wo_end_tag("form_name","formaddu","input","add_cl_user","target","theleft","org_id","$ACTU{org_id}","uid","$ACTU{uid}","org_name","$ACTU{org_name}","org_type","$ACTU{org_type}","view","$ACTU{u_id}","org_letter","$ACTU{org_letter}","u_id","$ACTU{u_id}","session_id","$ACTU{session_id}");
	
	%RETURN = &select_classes("from","classes","org_id","$ACTU{org_id}","org_letter","");
	%USERS_CLASSES = &select_users_classes("uid","$ACTU{uid}");
	delete($USERS_CLASSES{u_id});
	delete($USERS_CLASSES{uid});
	delete($USERS_CLASSES{session_id});
	delete($USERS_CLASSES{org_id});
	
	foreach my $key(sort keys %RETURN) {
		if(!defined $USERS_CLASSES{$key}) {
			print"<input type=\"checkbox\" name=\"cid_$key\" value=\"$key\">  $RETURN{$key}{name} <BR>\n";
			}
		}
	print"</FORM>\n";
	}

#################
#
# ADD_CL_USER
#
#################
sub add_cl_user {
	my %ACLU = @_;
 	$ACLU{org_id} =~ s/\D//g;
 	$ACLU{u_id} =~ s/\D//g;
  	$ACLU{uid} =~ s/\D//g;
	my $uid = "$ACLU{uid}";
	my $u_id = "$ACLU{u_id}";
	my $session_id = "$ACLU{session_id}";
	my $oorg_id = "$ACLU{org_id}";
	my $org_name = "$ACLU{org_name}";
	my $org_letter = "$ACLU{org_letter}";
	my $view = "$ACLU{view}";
	my $org_type = "$ACLU{org_type}";
	delete($ACLU{u_id});
	delete($ACLU{uid});
	delete($ACLU{session_id});
	delete($ACLU{org_id});
	delete($ACLU{input});
	delete($ACLU{org_name});
	delete($ACLU{org_letter});
	delete($ACLU{view});
	delete($ACLU{org_type});
	delete($ACLU{u_type});
	delete($ACLU{target});
	my @classes;
	my $error = 0;
	$error = &check_many_length_return("$oorg_id","10","$uid","10");

	if($org_id == 0 || $org_id == $oorg_id) { # Check they can do this
		if(keys %ACLU && $error != 1) {
			foreach my $key(keys %ACLU) {
				my $error1 = &check_length_return("var","$ACLU{$key}","length","11");
				if($error1 == 1 && $ACLU{$key} > 0) {
					&insert_users_classes("u_id","$uid","org_id","$oorg_id","class_id","$ACLU{$key}");
					&insert_to_class_users("to","class_users","class_id","$ACLU{$key}","u_id","$uid","org_id","$oorg_id");
					}
				}
			}
		}
		
	else {
		print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
		}
	}

######################
#
# CREATE_THE_QST
#
######################
sub create_the_qst {
	my %CTQ = @_;
	$CTQ{parent} =~ s/\D//g;
	$CTQ{type} =~ s/\D//g;
	$CTQ{sub_type} =~ s/\D//g;
	$CTQ{expand} =~ s/[^0-9,]//g;
	$CTQ{from} =~ s/\D//g;
	$CTQ{name} =~ s/,//g;
	$CTQ{name} = &l_spaces("$CTQ{name}","0");
	$CTQ{name} = &tr_spaces("$CTQ{name}","0");
	$CTQ{name} = &x_spaces("$CTQ{name}","0");
	$CTQ{name} = &funny_char("$CTQ{name}","0");
	my $error = 0;
	$error=&check_many_length_return("$CTQ{name}","50","$CTQ{type}","2","$CTQ{parent}","10","$CTQ{sub_type}","1","$CTQ{parent}","10","$CTQ{from}","1","$CTQ{quiz_no}","10","$CTQ{status}","10");

	if($error != 1) {
		#check for parent
		if($CTQ{parent} == 0) {
			my $return = &insert_qst_return_quote("quote","$CTQ{name}","type","$CTQ{type}","sub_type","$CTQ{sub_type}");
			
			&insert_generic("query","INSERT categories_to_qst VALUES(\"$CTQ{parent}\",\"$return\",\"$ids\",\"$CTQ{type}\",\"$org_id\")");
			$CTQ{quiz_no} = "$return";
			&print_add_quest_to_qst("parent","$CTQ{parent}","type","$CTQ{type}","sub_type","$CTQ{sub_type}","quiz_no","$CTQ{quiz_no}","expand","$CTQ{expand}","from","$CTQ{from}","name","$CTQ{name}","refresh_right","$CTQ{refresh_right}","action_type","$CTQ{action_type}","org_id","$CTQ{org_id}","status","$CTQ{status}","new","1","u_id","$CTQ{u_id}","session_id","$CTQ{session_id}");
			}
		else {
			my $count;
			$count = &is_there("table","categories","number","$CTQ{parent}");
			if($count == 1) {
				my $return = &insert_qst_return_quote("quote","$CTQ{name}","type","$CTQ{type}","sub_type","$CTQ{sub_type}");
				
				&insert_generic("query","INSERT categories_to_qst VALUES(\"$CTQ{parent}\",\"$return\",\"$ids\",\"$CTQ{type}\",\"$org_id\")");
				$CTQ{quiz_no} = "$return";
				&print_add_quest_to_qst("parent","$CTQ{parent}","type","$CTQ{type}","sub_type","$CTQ{sub_type}","quiz_no","$CTQ{quiz_no}","expand","$CTQ{expand}","from","$CTQ{from}","name","$CTQ{name}","refresh_right","$CTQ{refresh_right}","action_type","$CTQ{action_type}","org_id","$CTQ{org_id}","status","$CTQ{status}","new","1","u_id","$CTQ{u_id}","session_id","$CTQ{session_id}");
				}
			}
		}

	}
	
######################
#
# PRINT_ADD_QUEST_TO_QST  add question screen to new or current quiz, survey, test
#
######################
sub print_add_quest_to_qst {
	my %AQTQ = @_;
	$AQTQ{parent} =~ s/\D//g;
	$AQTQ{type} =~ s/\D//g;
	$AQTQ{sub_type} =~ s/\D//g;
	$AQTQ{quiz_no} =~ s/\D//g;
	$AQTQ{expand} =~ s/[^0-9,]//g;
	$AQTQ{from} =~ s/\D//g;
	$AQTQ{new} =~ s/\D//g;
	$AQTQ{u_id} =~ s/\D//g;
	$AQTQ{session_id} =~ s/\D//g;
        $AQTQ{qbank} =~ s/\D//g;
        $AQTQ{branch} =~ s/\D//g;

	my $name = $AQTQ{name};
	$name =~ s/,//g;
	$name = &l_spaces("$name","0");
	$name = &tr_spaces("$name","0");
	$name = &x_spaces("$name","0");
	$name = &funny_char("$name","0");
	$AQTQ{name} = $name;
	my $return;
	my $error = 0;
	$error = &check_many_length_return("$AQTQ{quiz_no}","10","$AQTQ{type}","2","$AQTQ{parent}","10","$AQTQ{sub_type}","1","branch","10");

	if ($error != 1) {
		if ($AQTQ{action_type} eq"mkadd") { #print create question from bank screen;
		
                        &print_javascript_begin();
                
                        &print_mode_display();
                
                        &print_javascript_end();
                
                        &print_small_editor();
                
			if(!defined $AQTQ{status}) {
      				&top_heading22("value","$assign[$AQTQ{type}]");
				print" in folder: <i>$LANGUAGE{$set_language}{Default}</i></TD></TABLE><P>\n";
				}
				
	      		&write_quest2("type","$AQTQ{type}","from","$AQTQ{from}","sub_type","$AQTQ{sub_type}",);
	      		# write_quest2 has it's own click_handler variables
	      		
	      		&show_tf("type","$AQTQ{type}");
	      		&show_yn("type","$AQTQ{type}");
	      		&show_sa("type","$AQTQ{type}");
	      		&show_p("type","$AQTQ{type}");
	      		&show_mc("type","$AQTQ{type}");
	      		&show_ma("type","$AQTQ{type}");
	      		&show_mx("type","$AQTQ{type}");
	      		
			if($AQTQ{type} == 2) {
	      			&show_ad();
				}
				
                        print"<style>textarea\{ border-radius:.25em\; outline: none\; overflow:auto\; font-size:11pt\; font-family:Arial\;\}</style>\n";

                        print"<style>
                        #grad1 \{
                        background-color: blue\; /* For browsers that do not support gradients */
                        background-image: linear-gradient(blue , black)\; /* Standard syntax (must be last) */
                        border-radius:6px\; 
                        \}
                        </style>\n";
                
                        
			&print_javascript_begin();
			print"var view_win\n";
			print"self.focus\(\)\n";
			
                        print"function Show_Image(i_nnn) \{
                        var x = document.getElementById(\"disp1\")\;
                        if (x.style.display === \"none\") {
                        x.style.display = \"block\"\;
                        } else {
                        x.style.display = \"none\"\;
                        }
                        } \n";

                    	print"function Show_File\(i_nn\) \{
                        var x = document.getElementById(\"display1\")\;
                        if (x.style.display === \"none\") {
                        x.style.display = \"block\"\;
                        } else {
                        x.style.display = \"none\"\;
                        }
                        } \n";

			if ($AQTQ{new} == 1) {
				print"function load_again\(\) \{
				document.load_again.submit\(\)
				\}\n";
				}

			print"function check_handler\(i_n\)\{
			document.form3.action_type.value = i_n
			document.form3.submit\(\)
			\}\n";

			print"function check_handler1\(i_n\)\{
			document.forma2.submit\(\)
			document.forma1.submit\(\)
			\}\n";

			print"function view_handler\(i_n\)\{
      			var no_good = 1
      			var in_string = document.formv.quiz_no.value
      			if\(in_string ==\"\"\)\{
			no_good = 2
      			\}
      			if\(no_good == 2\)\{
			alert\(\"The $assign[$AQTQ{type}] has not been created yet.\"\)
      			\}
      			else \{
			view_win=window.open('','view_win','top=0,left=0,height=800,width=800,scrollbars')
			view_win.focus\(\)
			document.formv.submit\(\)
			\}
			\}\n";
			
			&print_javascript_end();

			&print_form("form_name","formv","form_target","view_win","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","name","$AQTQ{name}","choice","9","quiz_no","$AQTQ{quiz_no}","input","view_qst","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");
			&print_form("form_name","form3","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","input","print_add_quest_to_qst","name","$AQTQ{name}","number","$AQTQ{number}","cat_name","$AQTQ{cat_name}","expand","$AQTQ{expand}","from","$AQTQ{from}","action_type","","quiz_no","$AQTQ{quiz_no}","refresh_right","$AQTQ{refresh_right}","class_open","$AQTQ{class_open}","open_class","$AQTQ{open_class}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}","branch","$AQTQ{branch}");
			&print_form("form_name","form4","form_target","bota","input","write_bottom_screen","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","number","$AQTQ{number}","expand","$AQTQ{expand}","from","$AQTQ{from}","quiz_no","$AQTQ{quiz_no}","refresh_right","$AQTQ{refresh_right}","name","$AQTQ{name}","class_open","$AQTQ{class_open}","open_class","$AQTQ{open_class}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");
			&print_form("form_name","forma1","form_target","mida","input","print_add_quest_to_qst","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","number","$AQTQ{number}","expand","$AQTQ{expand}","quiz_no","$AQTQ{quiz_no}","action_type","mbank","from","$AQTQ{from}","name","$AQTQ{name}","refresh_right","$AQTQ{refresh_right}","class_open","$AQTQ{class_open}","open_class","$AQTQ{open_class}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}","branch","$AQTQ{branch}",);
			&print_form("form_name","forma2","form_target","topb","input","make_top_screen1","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","expand","$AQTQ{expand}","number","$AQTQ{number}","from","$AQTQ{from}","name","$AQTQ{name}","quiz_no","$AQTQ{quiz_no}","refresh_right","$AQTQ{refresh_right}","class_open","$AQTQ{class_open}","open_class","$AQTQ{open_class}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");
			&print_form("form_name","load_again","form_target","topb","input","make_top1_screen","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","expand","$AQTQ{expand}","number","$AQTQ{number}","from","$AQTQ{from}","name","$AQTQ{name}","quiz_no","$AQTQ{quiz_no}","class_open","$AQTQ{class_open}","open_class","$AQTQ{open_class}","refresh_right","$AQTQ{refresh_right}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");

			#print add_qst screen;
			&print_form_wo_end_tag("form_name","question_form","input","insert_quest_to_current_qst","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","expand","$AQTQ{expand}","name","$AQTQ{name}","order_no","$AQTQ{oreder_no}","quiz_no","$AQTQ{quiz_no}","from","$AQTQ{from}","action_type","$AQTQ{action_type}","refresh_right","$AQTQ{refresh_right}","class_open","$AQTQ{class_open}","open_class","$AQTQ{open_class}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");

			if ($AQTQ{type} != 2) { # Quiz/test question
                        	&print_out_question_form("type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}","inset","1"); # want the condensed version
                        	
				if ($AQTQ{new} == 1) {
					&print_javascript_begin();
					print"document.load_again.submit\(\)\n";
					&print_javascript_end();
					}
                        	}
                        	
			else {  # Survey question
                        	&print_out_question_form("type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}","inset","1");
                        	}
                        	
                        print"<TABLE width=\"100%\"  id=\"grad1\"><TR><TD align=\"center\" style=\"padding-top: 4px\; padding-bottom: 4px\;\"><B><font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\"  OnClick=\"click_handler\(\'1\'\)\"> $LANGUAGE{$set_language}{PreviewQuestion} </font>
      			&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;
      			<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\" OnClick=\"click_handler\(\'2\'\)\">$LANGUAGE{$set_language}{Save}</font></B></TD></TR></TABLE> \n";

			if (($AQTQ{from} == 2 || $AQTQ{from} == 4) && $AQTQ{reload} == 1) {
				&print_javascript_begin();
				print"self.parent.quest2.location=\"\/schools\/blank.htm\"
				document.form4.submit\(\)\n";
				&print_javascript_end();
				}
                  	}
                  	
           	else { # mkgrp
           		#print add_quiz questions from bank screen;
                        print"<style=\"font-size:11pt\; font-family:Arial\;\"><style>table.table1\{ border-radius:6px\; font-size:11pt\; font-family:Arial\;\}</style>\n";
                        
                        &print_collapse_the_display();

           		&print_javascript_begin();
           		
           		print"var view_win
			var is_selected = \"2\"
			var check_boxes =\"\"
			var q_sel\n";
			
			if ($AQTQ{new} == 1) {
				print"function load_again\(\) \{
				document.load_again.submit\(\)
				\}\n";
				}
			print"self.focus\(\)\n";
			
			&print_javascript_sub_form("form","form5");

                        print"function sub_form1(expand) \{
                        document.form5.expand.value = expand
                        document.form5.qbank.value = 1
                        document.form5.submit()
                        \}\n";

			print"function check_handler\(i_n\)\{
			document.form3.action_type.value = i_n
			\}\n";

			print"function view_handler\(i_n\)\{
      			var no_good = 1
      			var in_string = document.formv.quiz_no.value
      			if\(in_string ==\"\"\)\{
			no_good = 2
      			\}
      			if\(no_good == 2\)\{
			alert\(\"$LANGUAGE{$set_language}{The} $assign[$AQTQ{type}] $LANGUAGE{$set_language}{hasnotbeencreatedyet}\"\)
      			\}
      			else \{\n";
			print"view_win=window.open\('','view_win','top=0,left=0,height=800,width=800,scrollbars'\)\n";
			print"view_win.focus\(\)\n";
			print"document.formv.submit\(\)
			\}
			\}\n";

			print"function check_handler2\(i_n\)\{
			document.form3c.submit\(\)
			document.form3.action_type.value=i_n
			document.form3.submit\(\)
			\}\n";

			print"function check_box\(no\) \{
			var innn
			var ine
			if\(check_boxes ==\"\"\) \{
			check_boxes = no +\",\"
			is_selected = \"1\"
			\}
			else \{
			innn = no + \",\"\;
			 var reg_exp = new RegExp\(\"\" +innn+ \"\"\)
      			var replace_string =\"\"
			var how_many = check_boxes.match\(reg_exp\)
			if\(how_many != innn\) \{
			check_boxes = check_boxes + innn
			is_selected =\"1\"	
			\}
			else\{
			var new_string = check_boxes.replace\(reg_exp,replace_string\)
			if\(new_string==\"\"\) \{
			check_boxes = new_string
			is_selected = \"2\"
			\}
			else \{
			is_selected =\"1\"	
			check_boxes = new_string
                        \}
			\}
			\}
			\}\n";

			print"function wait(ms) \{
   			 var d = new Date()\;
   			 var d2 = null;
    			do \{ d2 = new Date()\; \}
    			while(d2-d < ms)\;
			\}\n";

			print"function check_handler3\(i_n\)\{
			if\(is_selected==\"2\"\) \{
			alert\(\"$LANGUAGE{$set_language}{Noquestionswereselected}\"\)
			\}
			else \{
			document.form5.action_type.value=i_n
			document.form5.quiz_no.value=\"$AQTQ{quiz_no}\"
			document.form5.input.value=\"add_question_group_to_qst\"
			document.form5.submit\(\)
			document.form4.quiz_no.value=\"$AQTQ{quiz_no}\"
			wait\(1000\)
			document.form4.submit\(\)
                        \}
			\}\n";

			print"function check_handler4\(i_n\)\{
			if\(is_selected==\"2\"\) \{
			alert\(\"$LANGUAGE{$set_language}{Noquestionswereselected}\"\)
			\}
			else \{
			document.form5.action_type.value=i_n
			document.form5.quiz_no.value=\"$AQTQ{quiz_no}\"
			document.form5.input.value=\"add_question_group_to_qst\"
			document.form4.quiz_no.value=\"$AQTQ{quiz_no}\"\n";
			print"q_sel = window.open\(\"\",\"q_sel\",\"top=200,left=300,height=150,width=400\"\)\n";
			print"q_sel.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Selectquestionsfromgroup}<\/title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)\n";
			print"q_sel.document.writeln\(\'\<script language=\"Javascript\" type=\"text\/javascript\"\>\'\)\n";
			print"q_sel.document.writeln\(\'function q_selec\(\) \{\'\)\n";
			print"q_sel.document.writeln\(\'var q_se = document.form1.q_select.value\'\)\n";
			print"q_sel.document.writeln\(\'var q_mark = document.form1.q_mark.value\'\)\n";
			print"q_sel.document.writeln\(\'opener.top.mida.q_select\(q_se,q_mark\)\'\)\n";
			print"q_sel.document.writeln\(\'self.close\(\)\'\)\n";
			print"q_sel.document.writeln\(\'\}\'\)\n";
			print"q_sel.document.writeln\(\'\\<\\/script\\>\'\)\n";
			print"q_sel.document.writeln\(\'<FORM name=\"form1\"><BR>\'\)\n";
			print"q_sel.document.writeln\(\'$LANGUAGE{$set_language}{Select} <input type=\"text\" name=\"q_select\" size=\"2\" maxlength=\"2\"> $LANGUAGE{$set_language}{questionsrandomlyfromgroup}<BR>\'\)\n";
			print"q_sel.document.writeln\(\'$LANGUAGE{$set_language}{Eachquestionisworth} <input type=\"text\" name=\"q_mark\" size=\"2\" maxlength=\"2\"> $LANGUAGE{$set_language}{marks}<P>\'\)\n";
			print"q_sel.document.writeln\(\'<input type=\"hidden\" Name=\"u_id\" value=\"$AQTQ{u_id}\">\'\)\n";
			print"q_sel.document.writeln\(\'<input type=\"hidden\" Name=\"session_id\" value=\"$AQTQ{session_id}\">\'\)\n";
			print"q_sel.document.writeln\(\'<center><input type=\"BUTTON\" Name=\"sel\" value=\"$LANGUAGE{$set_language}{Continue}\" onClick=\"q_selec\(\)\">\'\)\n";
			print"q_sel.document.writeln\(\'&nbsp\;&nbsp\;&nbsp\;<input type=\"BUTTON\" Name=\"sel\" value=\"$LANGUAGE{$set_language}{Cancel}\" onClick=\"self.close\(\)\"><\/center>\'\)\n";
			print"q_sel.document.writeln\(\'<\/FORM>\'\)\n";
			print"q_sel.document.writeln\(\'\<script language=\"Javascript\" type=\"text\/javascript\"\>\'\)\n";
			print"q_sel.document.writeln\(\'document.form1.q_select.focus\(\)'\)\n";
			print"q_sel.document.writeln\(\'\\<\\/script\\>\'\)\n";
			print"q_sel.document.writeln\(\'<\/body><\/HTML>\'\)\n";
			print"q_sel.document.close\(\)\n";
			print"q_sel.focus\(\)\n";
			print"\}\n";
			print"\}\n";

			print"function q_select\(q_selec,q_mark\)\{
			document.form5.action_type.value=\"mkgrp\"
			document.form5.q_select.value=q_selec
			document.form5.q_mark.value=q_mark
			document.form5.submit\(\)
			document.form4.submit\(\)
			\}\n";

                	&javascript_select_all_questions("form","form5");
			&javascript_unselect_all_questions("form","form5");                

			&print_javascript_end();

			&print_form("form_name","formv","form_target","view_win","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","name","$AQTQ{name}","quiz_no","$AQTQ{quiz_no}","input","view_qst","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");
			&print_form("form_name","load_again","form_target","topb","input","make_top_screen1","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","expand","$AQTQ{expand}","number","$AQTQ{number}","from","$AQTQ{from}","name","$AQTQ{name}","quiz_no","$AQTQ{quiz_no}","class_open","$AQTQ{class_open}","open_class","$AQTQ{open_class}","refresh_right","$AQTQ{refresh_right}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");
			&print_form("form_name","form3","type","$AQTQ{type}","input","print_add_quest_to_qst","name","$AQTQ{name}","sub_type","$AQTQ{sub_type}","number","$AQTQ{number}","cat_name","$AQTQ{cat_name}","expand","$AQTQ{expand}","from","$AQTQ{from}","action_type","","quiz_no","$AQTQ{quiz_no}","refresh_right","$AQTQ{refresh_right}","class_open","$AQTQ{class_open}","open_class","$AQTQ{open_class}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");
			&print_form("form_name","form3c","form_target","topb","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","input","make_top1_screen","name","$AQTQ{name}","number","$AQTQ{number}","cat_name","$AQTQ{cat_name}","expand","$AQTQ{expand}","from","$AQTQ{from}","action_type","","quiz_no","$AQTQ{quiz_no}","refresh_right","$AQTQ{refresh_right}","class_open","$AQTQ{class_open}","open_class","$AQTQ{open_class}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");
			&print_form("form_name","form4","form_target","bota","input","write_bottom_screen","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","number","$AQTQ{number}","expand","$AQTQ{expand}","from","$AQTQ{from}","quiz_no","$AQTQ{quiz_no}","refresh_right","$AQTQ{refresh_right}","name","$AQTQ{name}","class_open","$AQTQ{class_open}","open_class","$AQTQ{open_class}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");
			&print_form_wo_end_tag("form_name","form5","input","print_add_quest_to_qst","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","number","$AQTQ{number}","expand","$AQTQ{expand}","action_type","","q_select","","q_mark","","from","$AQTQ{from}","quiz_no","$AQTQ{quiz_no}","refresh_right","$AQTQ{refresh_right}","name","$AQTQ{name}","class_open","$AQTQ{class_open}","open_class","$AQTQ{open_class}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}","qbank","","branch","$AQTQ{branch}");

			if (!defined $AQTQ{expand}) { 
                                &get_instructors_question_categories("from","$AQTQ{from}","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}","branch","$AQTQ{branch}");
				}
			else {
                                &get_instructors_question_categories("from","$AQTQ{from}","expand","$AQTQ{expand}","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}","qbank","$AQTQ{qbank}");
				}
				
			print"</DL></FORM>\n";
			if ($AQTQ{new} == 1) {
				&print_javascript_begin();
				print"document.load_again.submit\(\)\n";
				&print_javascript_end();
				}
			}
		}
	}

######################
#
# ADD_QUESTION_GROUP_TO_QST
#
######################
sub add_question_group_to_qst {
      	my %AQGTQ = @_;
	$AQGTQ{quiz_no} =~ s/\D//g;
	$AQGTQ{type} =~ s/\D//g;
	$AQGTQ{sub_type} =~ s/\D//g;
	$AQGTQ{from} =~ s/\D//g;
	$AQGTQ{expand} =~ s/[^0-9,]//g;
	$AQGTQ{u_id} =~ s/\D//g;
	$AQGTQ{session_id} =~ s/\D//g;

	my $quiz_no = "$AQGTQ{quiz_no}";
	my $expand = "$AQGTQ{expand}";
	my $refresh_right = "$AQGTQ{refresh_right}";
	my $class_open = "$AQGTQ{class_open}";
	my $open_class = "$AQGTQ{open_class}";
	my $type = "$AQGTQ{type}";
	my $sub_type = "$AQGTQ{sub_type}";
	my $name = "$AQGTQ{name}";
	my $from = "$AQGTQ{from}"; 
	my $action_type = "$AQGTQ{action_type}";
	my $u_id = "$AQGTQ{u_id}";
	my $session_id = "$AQGTQ{session_id}";
	$AQGTQ{q_select} =~ s/\D//g;
	my $q_select = "$AQGTQ{q_select}";
	$AQGTQ{q_mark} =~ s/\D//g;
	my $mark = "$AQGTQ{q_mark}";
	
	if($AQGTQ{q_mark} eq"" || $AQGTQ{q_mark} > 101) {
		$mark = 1;
		}
		
	my $questions_order = 0;
	my $questions_grp;
	my $random = 0;
	my $select = 0;
	my $error = 0;
	my $id = time;
	
	delete($AQGTQ{quiz_no});
	delete($AQGTQ{expand});
	delete($AQGTQ{type});
	delete($AQGTQ{sub_type});
	delete($AQGTQ{name});
	delete($AQGTQ{action_type});
	delete($AQGTQ{input});
	delete($AQGTQ{from});
	delete($AQGTQ{q_select});
	delete($AQGTQ{q_mark});
	delete($AQGTQ{refresh_right});
	delete($AQGTQ{class_open});
	delete($AQGTQ{open_class});
	delete($AQGTQ{u_id});
	delete($AQGTQ{session_id});
	delete($AQGTQ{u_type});
	delete($AQGTQ{org_id});
        delete($AQGTQ{descrip});
        delete($AQGTQ{question});
        delete($AQGTQ{branch});
        delete($AQGTQ{qbank});
 

        # see what primary questions are there
	my %ORDER = &select8("query","SELECT quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$quiz_no\" AND q_order > 0 AND (u_id=\"$ids\" OR u_id=\"0\")");
	if(keys %ORDER) {
		foreach my $key(keys %ORDER) {
			if($ORDER{$key}{order} > $questions_order) {
				$questions_order = "$ORDER{$key}{order}";
				}
			}
		}
		
	++$questions_order;
	
	if ($action_type eq"mkgrp") {
		$questions_grp = $questions_order;
		++$random;
		}
		
	my $count; # see if qst is there
	$count = &is_there("table","qst","number","$quiz_no");

	if (keys %AQGTQ && $error != 1 && $count == 1) {
		my %RETURN = &select_qst("query","SELECT number,name,questions,marks,random_q from qst WHERE number=\"$quiz_no\" AND u_id=\"$ids\"");
		my $marks = "$RETURN{$quiz_no}{marks}";
		my $questions = "$RETURN{$quiz_no}{questions}";
		my %QUESTIONS_TO_ADD = ();
		
		if($random > 0) {
			$random = $random + $RETURN{$quiz_no}{random_q};
			}
		else {
			$random = $RETURN{$quiz_no}{random_q};
			}
			
		if($q_select eq"") {
			$q_select = 1;
			}
			
		foreach my $value(sort values %AQGTQ) {
			my($value1,$value2) = split(/\-/,$value);
			if(!exists $ORDER{$value1} && $value1 > 0) {
				if ($action_type eq"mkgrp") { # Random questions
					$QUESTIONS_TO_ADD{$value1} = {q_order => "$questions_grp", value => "$mark"};
					++$select;
					}
				else { # mkbank
					$QUESTIONS_TO_ADD{$value1} = {q_order => "$questions_order", value => "$value2"};
					++$questions;
					$marks = $marks + $value2;
					}
				++$questions_order;
				}
			}
			

		if(keys %QUESTIONS_TO_ADD) {
			my $query;
			if ($action_type eq"mkgrp") { # Random questions
				if($q_select > $select) {
					$q_select = $select;
					}
				$questions = $questions + $q_select;
				$mark = $mark * $q_select;
				$marks = $marks + $mark;
				foreach my $key(keys %QUESTIONS_TO_ADD) {
					$query = "INSERT qst_questions VALUES(\"$quiz_no\",\"$key\",\"$questions_grp\",\"$QUESTIONS_TO_ADD{$key}{value}\",\"$q_select\",\"$ids\",\"$org_id\",\"\",\"0\")";
					&insert_generic("query","$query");
					}
				}
			else { # mkbank
				foreach my $key(keys %QUESTIONS_TO_ADD) {
					$query = "INSERT qst_questions VALUES(\"$quiz_no\",\"$key\",\"$QUESTIONS_TO_ADD{$key}{q_order}\",\"$QUESTIONS_TO_ADD{$key}{value}\",\"0\",\"$ids\",\"$org_id\",\"\",\"0\")";
					&insert_generic("query","$query");
					}
				}
				
			&update_general("query","UPDATE qst SET questions=\"$questions\", marks=\"$marks\", random_q=\"$random\" WHERE number=\"$quiz_no\"");
			}
			
		&print_add_quest_to_qst("action_type","mkbank","type","$type","sub_type","$sub_type","name","$name","quiz_no","$quiz_no","expand","$expand","from","$from","refresh_right","$refresh_right","class_open","$class_open","open_class","$open_class","u_id","$u_id","session_id","$session_id");
		}
		
	else { # close the create qst window
		&print_javascript_begin();
		print"parent.close\(\)\n";
		&print_javascript_end();
		}
	}

######################
#
# ADD_BRANCH
#
######################
sub add_branch {
      	my %AB = @_;
	$AB{qst} =~ s/\D//g;
	$AB{u_id} =~ s/\D//g;
	$AB{session_id} =~ s/\D//g;
        $AB{quest_no} =~ s/\D//g;
	$AB{value} =~ s/\D//g;
	$AB{branch_it} =~  s/[^0-9,]//g;
	$AB{type} =~  s/\D//g;
	$AB{sub_type} =~  s/\D//g;
	$AB{referer} =~  s/\D//g;
	
	my $u_id = $AB{u_id};
	my $session_id = $AB{session_id};
	my $qst = $AB{qst};
	my $quest_no = $AB{quest_no};
	my $value = $AB{value};
	my $branch_it = $AB{branch_it};
	my $type = $AB{type};
	my $sub_type = $AB{sub_type};
	my $name = $AB{name};
	my $orig_expand = $AB{branch_it};
	my $referer = $AB{referer};
	
	delete($AB{session_id});
	delete($AB{u_id});
	delete($AB{qst});
	delete($AB{quest_no});
	delete($AB{value});
	delete($AB{branch_it});
	delete($AB{type});
	delete($AB{sub_type});
	delete($AB{name});
	delete($AB{referer});
	
        my $mark;
        my %BRANCH = ();
        my $branch;
        
        my $error = 0;
	$error = &check_many_length_return("$quest_no","10","$sub_type","1","$qst","10");

        my $count; # see if qst is there
	$count = &is_there("table","qst","number","$qst");
	
	if (keys %AB && $error != 1 && $count == 1) {
		my $i = 1;
                for(my $i = 1; $i <= $ma_num; $i++) { 
                        my $qu = "quest"."$i";

                        if($AB{$qu} > 0) {
                                $BRANCH{$i} = $AB{$qu};
                                $branch = "$branch"."$i"."="."$AB{$qu}".",";
                                }
                        else {
                                $branch = "$branch"."$i"."="."0".",";
                                }
			}
                $branch =~ s/\,$//g;

                if(keys %BRANCH) {
                        # see if it's branching already
                        my %RETURN = &select4("query","select quest_no,branching from qst_questions WHERE qst_no=\"$qst\" AND quest_no=\"$quest_no\" and org_id=\"$org_id\" AND referer=\"$referer\"");
                        
                        if($RETURN{$quest_no} =~ /\,/) { # remove the branching already there
                                &recursive_delete_branch("branch","$RETURN{$quest_no}","qst","$qst","referer","$quest_no");
                                }
                        
		         &update_general("query","UPDATE qst_questions SET branching=\"$branch\" WHERE qst_no=\"$qst\" AND quest_no=\"$quest_no\" and org_id=\"$org_id\" AND referer=\"$referer\"");
		         
		         # set qst to branching
		         &update_general("query","UPDATE qst SET branching=\"1\" WHERE number=\"$qst\" and org_id=\"$org_id\" and u_id=\"$u_id\"");

                        $branch_it = "$branch_it".","."$quest_no";
                        
                        # see if qst is posted
                        my $count1; 
                        $count1 = &is_there_generic("table","posted_qst","column","qst","value","$qst");

                        if($count1 == 1) {
                                &update_general("query","UPDATE posted_qst SET branching=\"1\" WHERE qst=\"$qst\" and org_id=\"$org_id\" and u_id=\"$u_id\"");
                                }
		         
                        foreach my $key(keys %BRANCH) { # add questions to qst_questions
                                my $q1 = "INSERT qst_questions VALUES(\"$qst\",\"$BRANCH{$key}\",\"0\",\"1\",\"0\",\"$u_id\",\"$org_id\",\"\",\"$quest_no\")";
                                my $query = qq{$q1};
                                my $sth = $dbh->prepare($query);
                                $sth->execute();
                                }
                        }
                
                $orig_expand = "$orig_expand".","."$quest_no";
                $orig_expand =~ s/^0\,//;

                &change_qst("quiz_no","$qst","type","$type","sub_type","$sub_type","from","3","name","$name","expand","","u_id","$u_id","session_id","$session_id","branch_it","$orig_expand");
		}
		
	}


######################
#
# RECURSIVE_DELETE_BRANCH
#
######################
sub recursive_delete_branch {
	my %RD = @_;
	my @piece = split(/\,/,$RD{branch});

	foreach my $chunk(@piece) {
                my @quest_no = split(/=/,$chunk);
                
                if($quest_no[1] > 0) {
                        my %RETURN = &select4("query","select quest_no,branching from qst_questions WHERE qst_no=\"$RD{qst}\" AND quest_no=\"$quest_no[1]\" and org_id=\"$org_id\" AND referer=\"$RD{referer}\"");
                
                        #delete the question
                        &generic_delete("query","delete from qst_questions WHERE qst_no=\"$RD{qst}\" AND quest_no=\"$quest_no[1]\" and org_id=\"$org_id\" AND referer=\"$RD{referer}\"");
                
                        if($RETURN{$quest_no[1]} =~ /\,/) { # remove the branching already there
                                &recursive_delete_branch("branch","$RETURN{$quest_no[1]}","qst","$RD{qst}","org_id","$org_id","referer","$quest_no[1]");
                                }
                        }
                }
	
	}
	

######################
#
# PRINT_ADD_BRANCH
#
######################
sub print_add_branch {
	my %AQTQ = @_;
	$AQTQ{parent} =~ s/\D//g;
	$AQTQ{type} =~ s/\D//g;
	$AQTQ{sub_type} =~ s/\D//g;
	$AQTQ{quiz_no} =~ s/\D//g;
	$AQTQ{u_id} =~ s/\D//g;
	$AQTQ{session_id} =~ s/\D//g;
        $AQTQ{qbank} =~ s/\D//g;
        $AQTQ{branch} =~ s/\D//g;
        $AQTQ{from} =~ s/\D//g;
	my $return;
	my $error = 0;
	$error = &check_many_length_return("$AQTQ{quiz_no}","10","$AQTQ{type}","2","$AQTQ{parent}","10","$AQTQ{sub_type}","1","$AQTQ{branch}","10");

	if ($error != 1) {
                #print add_branch questions from bank screen;
                print"<style=\"font-size:11pt\; font-family:Arial\;\"><style>table.table1\{ border-radius:6px\; font-size:11pt\; font-family:Arial\;\}</style>\n";
                        
                &print_javascript_begin();
           		
                print"var view_win
                var is_selected = \"2\"
                var check_boxes =\"\"
                var q_sel\n";
			
                print"function check_box(quest_no,quest) {
                var bran = document.form5.branch.value
                var displ = 'display'+bran\n";
                my $i = 1;
                while($i <= $mc_num ) {
                        if($i == 1) {
                                print"if(bran == \"$i\") \{
                                self.parent.opener.document.branch.select$i.value=quest
                                self.parent.opener.document.branch.quest$i.value=quest_no
                                \}\n";
                                }
                        else {
                                print"else if(bran == \"$i\") \{
                                self.parent.opener.document.branch.select$i.value=quest
                                self.parent.opener.document.branch.quest$i.value=quest_no
                                \}\n";
                                }
                        ++$i;
                        }

                print"self.parent.opener.Show_Magnifier(displ)
                \}\n";
                
                print"function checkAll(formname, checktoggle) {
                var checkboxes = new Array()\; 
                checkboxes = document[formname].getElementsByTagName('input');
 
                for (var i=0; i<checkboxes.length; i++)  {
                    if (checkboxes[i].type == 'checkbox')   {
                        checkboxes[i].checked = checktoggle\;
                        }
                    }
                }\n";
                
                &print_javascript_sub_form("form","form5");

                print"function sub_form1(expand) \{
                document.form5.expand.value = expand
                document.form5.qbank.value = 1
                document.form5.submit()
                \}\n";

                print"function clear_checkbox(branch) \{
                document.form5.branch.value = branch
                \}\n";

                print"function vquest\(inn\) \{
                vquest_windo = window.open\(\"\",\"vquest_windo\",\"top=40,left=100,height=550,width=710\"\)
                vquest_windo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewQuestion}<\/title><\/head><body>\'\)
                vquest_windo.document.writeln\(\'</body><\/html>\'\)
                vquest_windo.document.close()
                vquest_windo.focus\(\)
                document.view_quest.number.value=inn
                document.view_quest.submit()
                \}\n";
	
		
                &print_javascript_end();

                &print_form("form_name","form1","form_target","newwindo","input","create_rename","number","","expand","","i_n","","from","1","parent","","name","","type","","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");

                &print_form("form_name","form3","type","$AQTQ{type}","input","print_add_branch","sub_type","$AQTQ{sub_type}","number","$AQTQ{number}","expand","$AQTQ{expand}","from","$AQTQ{from}","action_type","","quiz_no","$AQTQ{quiz_no}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");
                                            
                &print_form("form_name","view_quest","form_target","vquest_windo","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","number","","input","view_quest","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}");
                        
                &print_form_wo_end_tag("form_name","form5","input","print_add_branch","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","number","$AQTQ{number}","expand","$AQTQ{expand}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}","qbank","","branch","$AQTQ{branch}","from","$AQTQ{from}");
                        
                
                if (!defined $AQTQ{expand}) { 
                        &get_instructors_question_categories("from","$AQTQ{from}","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}","branch","$AQTQ{branch}","qbank","$AQTQ{qbank}","branch","$AQTQ{branch}");
                        }
                else {
                        &get_instructors_question_categories("from","$AQTQ{from}","expand","$AQTQ{expand}","type","$AQTQ{type}","sub_type","$AQTQ{sub_type}","u_id","$AQTQ{u_id}","session_id","$AQTQ{session_id}","qbank","$AQTQ{qbank}","branch","$AQTQ{branch}");
                        }
				
                print"</DL></FORM>\n";
                if ($AQTQ{new} == 1) {
                        &print_javascript_begin();
                        print"document.load_again.submit\(\)\n";
                        &print_javascript_end();
                        }
			
		}
	}

#################
#
# ADD_USER
#
#################
sub add_user {
	my %AU = @_;
 	$AU{org_id} =~ s/\D//g;
 	$AU{u_type} =~ s/\D//g;
 	
	my $f_name = "$AU{f_name}";
      	$f_name = &l_spaces("$f_name","0");
      	$f_name = &tr_spaces("$f_name","0");
      	$f_name = &x_spaces("$f_name","0");
	$f_name = &spec_char("$f_name","0");
	
	my $m_name = "$AU{m_name}";
      	$m_name = &l_spaces("$m_name","0");
      	$m_name = &tr_spaces("$m_name","0");
      	$m_name = &x_spaces("$m_name","0");
	$m_name = &spec_char("$m_name","0");
	
	my $l_name = "$AU{l_name}";
      	$l_name = &l_spaces("$l_name","0");
      	$l_name = &tr_spaces("$l_name","0");
      	$l_name = &x_spaces("$l_name","0");
	$l_name = &spec_char("$l_name","0");
	
	my $u_name = "$AU{u_name}";
      	$u_name = &l_spaces("$u_name","0");
      	$u_name = &tr_spaces("$u_name","0");
      	$u_name = &x_spaces("$u_name","0");

	my $pass = "$AU{pass}";
      	$pass = &l_spaces("$pass","0");
      	$pass = &tr_spaces("$pass","0");
      	$pass = &x_spaces("$pass","0");

	my $pass1 = "$AU{pass1}";
      	$pass1 = &l_spaces("$pass1","0");
      	$pass1 = &tr_spaces("$pass1","0");
      	$pass1 = &x_spaces("$pass1","0");

	my $bad_institute_id = 0;
	my $no_good = 0;
	my $return_user_id = 0;
	
	if($AU{institute_id} =~ /\D/) {
		$bad_institute_id = 1;
		$no_good = "$LANGUAGE{$set_language}{Instituteidcanonlybenumbers}";
                }
                
	elsif($AU{institute_id} eq"") {
		$AU{institute_id} = 0;
                }
        

	my $letter = substr($l_name,0,1);
	$letter = lc($letter);
	
	my $count = &is_there_org("table","organization","org_id","$AU{org_id}");
	
	my $bad = 0;
		
	$bad = &check_for_non_alphanumeric("u_name","$u_name","pass","$pass","pass1","$pass1");
		
	
	if($org_id == 0 || $org_id == $AU{org_id}) { # Check they can do this
		if($bad != 0) {
			$no_good = "$LANGUAGE{$set_language}{Usernameorpasswordshavenonalphanumericcharacters}";
			}
	
		elsif($f_name ne"" && $l_name ne"" && $u_name ne"" && $pass ne"" && $pass1 ne"" && $pass eq"$pass1" && $AU{institute_id} ne"" && $count == 1 && $bad_institute_id == 0) {
			my $already_there = &select10("query","SELECT u_name FROM users WHERE u_name =\"$u_name\" LIMIT 1");
		
			if($already_there eq"") {
     		               	$return_user_id = &insert_users("u_type","$AU{u_type}","f_name","$f_name","l_name","$l_name","m_name","$m_name","u_name","$u_name","pass","$pass","org_id","$AU{org_id}","letter","$letter","institute_id","$AU{institute_id}");
				}
			else {
				$no_good = "$LANGUAGE{$set_language}{Usernamealreadythere}"; # user name already there
				}
			}
		
		elsif($pass ne"$pass1") {
			$no_good = "$LANGUAGE{$set_language}{Passwordsnotmatching}"; # password doesn't match
			}
		
		if($no_good ne"0") {
			print"<center><font color=\"red\">$no_good</font></center><BR>\n";
			&javascript_check_input_not_empty_user("form","form1","windo","org_window","error_message","$LANGUAGE{$set_language}{Arequiredfieldwasnotentered}","fields","f_name;l_name;u_name;pass;pass1");
		
			print"<form name=\"form1\" method=\"POST\" action=\"\/qst\/one\">
			<input type=\"hidden\" name=\"type\" value=\"$AU{type}\">
			<input type=\"hidden\" name=\"input\" value=\"add_user\">
			<input type=\"hidden\" name=\"u_id\" value=\"$AU{u_id}\">
			<input type=\"hidden\" name=\"session_id\" value=\"$AU{session_id}\">
			<center><B>$AU{org}</B> - $LANGUAGE{$set_language}{Users}</center>
			<center><font color=\"red\">*</font> $LANGUAGE{$set_language}{required}</center><P>
			<input type=\"hidden\" name=\"org_id\" value=\"$AU{org_id}\">
			<input type=\"hidden\" name=\"org\" value=\"$AU{org}\">
			<input type=\"hidden\" name=\"addp\" value=\"\">
			<TABLE width=\"100%\"><TR><TD width=\"10 \"><TD align=\"right\">$LANGUAGE{$set_language}{Firstname}\:</TD><TD> <input type=\"text\" name=\"f_name\" value=\"$f_name\" size=\"20\"\><font color=\"red\">*<\/TD></TR>
			<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{MiddleInitial}\:</TD><TD> <input type=\"text\" name=\"m_name\" value=\"$m_name\" size=\"20\"\><\/TD></TR>
			<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{LastName}\:</TD><TD> <input type=\"text\" name=\"l_name\" value=\"$l_name\" size=\"30\"\><font color=\"red\">*</font><\/TD></TR>
			<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{UserName}\:</TD><TD> <input type=\"text\" name=\"u_name\" value=\"$u_name\" size=\"15\"\><font color=\"red\">*</font><font size=\"-1\">$LANGUAGE{$set_language}{Alphanumeric}</font><\/TD></TR>
			<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{Password}\:</TD><TD> <input type=\"text\" name=\"pass\" value=\"$pass\" size=\"10\"\><font color=\"red\">*</font><font size=\"-1\">$LANGUAGE{$set_language}{Alphanumeric}</font><\/TD></TR>
			<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{Passwordagain}\:</TD><TD> <input type=\"text\" name=\"pass1\" value=\"$pass1\" size=\"10\"\><font color=\"red\">*</font><font size=\"-1\">$LANGUAGE{$set_language}{Alphanumeric}</font><\/TD></TR>
			<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{Usertype}\:</TD><TD>
			<SELECT name=\"u_type\">
			<Option value=\"2\"> $LANGUAGE{$set_language}{Instructor}
			<Option value=\"3\" selected> $LANGUAGE{$set_language}{Student}
			<Option value=\"5\"> $LANGUAGE{$set_language}{qbank_admin}
			<Option value=\"6\"> $LANGUAGE{$set_language}{OrganizationAdmin}
			<\/SELECT><\/TD></TR>
			<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{Institutionid}\:</TD><TD> <input type=\"text\" name=\"institute_id\" value=\"\" size=\"10\"\><font size=\"-1\"> $LANGUAGE{$set_language}{Numeric}</font><\/TD></TR></TABLE>
			<BR><center><TABLE width=\"100%\" $action_bar><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Create}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\" onClick=\"check_handler\(\'2\'\)\">$LANGUAGE{$set_language}{AddPhoto}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</font></center></TD></TR></TABLE></center></FORM>\n";
			}
		
		elsif($AU{addp} == 2) {
			&upload_photo("u_id","$AU{u_id}","session_id","$AU{session_id}","org_id","$AU{org_id}","status","0","uid","$return_user_id","mode","5");
			}
		
		else {
			print"<center>The user was created.</center>\n";
			print"<BR><BR><center><TABLE width=\"100%\" $action_bar><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Close}</font></center></TD></TR></TABLE></center></FORM>\n";
			}
		}	
		
	else {
		print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
		}

	}

#################
#
# ADD_ADMIN_USER
#
#################
sub add_admin_user {
	my %AU = @_;
        $AU{org} =~ s/\D//g;
        
	my $f_name = "$AU{f_name}";
      	$f_name = &l_spaces("$f_name","0");
      	$f_name = &tr_spaces("$f_name","0");
      	$f_name = &x_spaces("$f_name","0");
	$f_name = &spec_char("$f_name","0");
	
	my $l_name = "$AU{l_name}";
      	$l_name = &l_spaces("$l_name","0");
      	$l_name = &tr_spaces("$l_name","0");
      	$l_name = &x_spaces("$l_name","0");
	$l_name = &spec_char("$l_name","0");
	
	my $u_name = "$AU{u_name}";
      	$u_name = &l_spaces("$u_name","0");
      	$u_name = &tr_spaces("$u_name","0");
      	$u_name = &x_spaces("$u_name","0");

	my $pass = "$AU{pass}";
      	$pass = &l_spaces("$pass","0");
      	$pass = &tr_spaces("$pass","0");
      	$pass = &x_spaces("$pass","0");

	my $pass1 = "$AU{pass1}";
      	$pass1 = &l_spaces("$pass1","0");
      	$pass1 = &tr_spaces("$pass1","0");
      	$pass1 = &x_spaces("$pass1","0");

	my $letter = substr($l_name,0,1);
	$letter = lc($letter);
	my $no_good = 0;
	my $bad = 0;
	
	$bad = &check_for_non_alphanumeric("u_name","$u_name","pass","$pass","pass1","$pass1");
	
	if($bad != 0) {
		$no_good = "$LANGUAGE{$set_language}{Usernameorpasswordshavenonalphanumericcharacters}";
		}
		
	elsif ($f_name ne"" && $l_name ne"" && $u_name ne"" && $pass ne"" && $pass1 ne"" && $AU{org} ne "" && $pass eq"$pass1" ) {
		my $already_there = &select10("query","SELECT u_name FROM users WHERE u_name =\"$u_name\" LIMIT 1");
		
		if($already_there eq"") {
			if($org_id == 0) { # Check they can do this
                        	&insert_users("u_type","1","f_name","$f_name","l_name","$l_name","m_name","","u_name","$u_name","pass","$pass","org_id","$AU{org}","letter","A","institute_id","0");
                        	}
                	else {
				print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
				}
			}
		else {
			$no_good = "$LANGUAGE{$set_language}{Usernamealreadythere}"; # user name already there
			}
		}
		
	else {
		$no_good = "$LANGUAGE{$set_language}{Passwordsnotmatching}";
		}
		
	&admin("u_id","$AU{u_id}","session_id","$AU{session_id}","no_good","$no_good");
	}

########################
#
# CHECK FOR NON ALPHANUMERIC
#
########################
sub check_for_non_alphanumeric {
	my %CFNAN = @_;
	my $return = 0;
	foreach my $key(keys %CFNAN) {
		if ($CFNAN{$key} =~ /[\W]/ || $CFNAN{$key} =~ /_/ ) {
			$return = 1;
			}
		}

	return($return);
	}

########################
#
# ADMIN
#
########################
sub admin {
	my %A = @_;
	my $index = 1;
	
	&print_collapse_the_display();
	
	&print_javascript_begin();
	print"var newwindo\n";
	print"var display_it\n";

	&javascript_show_stuff();

	print"function close_open_windows\(\) \{
	if(!newwindo) \{
	\}else \{
	newwindo.close\(\)
	\}
	\}\n";


      	print"function delete_it\(uid,name\) \{
	close_open_windows\(\)
      	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=200,height=120,width=450\"\)
	newwindo.focus\(\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{DeleteAdministrator}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)
      	newwindo.document.writeln\(\'\<script language=\"Javascript\" type=\"text\/javascript\"\>\'\)
      	newwindo.document.writeln\(\'\<\!--\'\)
      	newwindo.document.writeln\(\'function submit_handler\(\)\{\'\)
	newwindo.document.writeln\(\'document.form1.submit\(\)\'\)
	newwindo.document.writeln\(\'self.close\(\)\'\)
      	newwindo.document.writeln\(\'\}\'\)
      	newwindo.document.writeln\(\'\/\/--\\>\'\)
      	newwindo.document.writeln\(\'\\<\\/script\\>\'\)
	newwindo.document.writeln\(\'<form name=\"form1\" action=\"\/qst\/one\" target=\"theright\">\'\)
	newwindo.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"delete_it\">\'\)
	newwindo.document.writeln\(\'<input type=\"hidden\" name=\"u_type\" value=\"1\">\'\)
	newwindo.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$A{u_id}\">\'\)
	newwindo.document.writeln\(\'<input type=\"hidden\" name=\"org_type\" value=\"2\">\'\)
	newwindo.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$A{session_id}\">\'\)
	newwindo.document.write\(\'<input type=\"hidden\" name=\"uid\" value=\"\'\)
	newwindo.document.write\(\'\'\ +uid)
	newwindo.document.writeln\(\'\">\'\)
	newwindo.document.write\(\'<center>$LANGUAGE{$set_language}{Delete} <B>\'\)
	newwindo.document.write\(\'\' +name\)
 	newwindo.document.writeln\(\'</B> </center>\'\)
	newwindo.document.writeln\(\'<BR><center><TABLE width=\"100%\" $action_bar><TR><TD><center><B style=\"cursor:pointer\" onClick=\"submit_handler\(\)\"><font color=\"white\">$LANGUAGE{$set_language}{Delete}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TR></TABLE></center></FORM>\'\)
	newwindo.document.writeln\(\'<\/body><\/html>\'\)
	newwindo.document.close()
	\}\n";
	
	
      	print"function click_handler\(what,u_id,f_name,l_name\) \{
	close_open_windows\(\)
	if\(what == 1\)\{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=150,width=400\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeanAdministrator}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form1.input.value=\"\"
	document.form1.f_name.value=f_name
	document.form1.l_name.value=l_name
	document.form1.u_id.value=u_id
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 2\) \{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=190,width=400\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeanAdminPassword}<\/title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)\n";
	
	&javascript_new_windo_check_input_not_empty("form","form1","windo","newwindo","error_message","$LANGUAGE{$set_language}{Arequiredfieldwasnotentered}","fields","pass;pass1");
	
	print"newwindo.document.writeln\(\'<center><B>$LANGUAGE{$set_language}{Change}<\/B> \'\)
	newwindo.document.write\(\' \'\ +f_name)
	newwindo.document.write\(\' \'\ +l_name)
	newwindo.document.writeln\(\' <B>$LANGUAGE{$set_language}{Password}<\/b><\/center><P>\'\)
	newwindo.document.writeln\(\'<form name=\"form1\" action=\"\/qst\/one\" target=\"theright\">\'\)
	newwindo.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"change_admin_pass\">\'\)
	newwindo.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$A{u_id}\">\'\)
	newwindo.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$A{session_id}\">\'\)
	newwindo.document.write\(\'<input type=\"hidden\" name=\"id\" value=\"\'\)
	newwindo.document.write\(\'\'\ +u_id)
	newwindo.document.writeln\(\'\">\'\)
	newwindo.document.writeln\(\'<center> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Newpassword}\: <input type=\"text\" name=\"pass\" value=\"\" size=\"10\"\></center>\'\)
	newwindo.document.writeln\(\'<center> $LANGUAGE{$set_language}{Newpasswordagain}\: <input type=\"text\" name=\"pass1\" value=\"\" size=\"10\"\></center>\'\)
	newwindo.document.writeln\(\'<BR><center><TABLE width=\"100%\" $action_bar><TR><TD><center><B style=\"cursor:pointer\" onClick=\"check_handler\(\)\"><font color=\"white\"> $LANGUAGE{$set_language}{Change}</b>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TR></TABLE></center></FORM>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form1.u_id.value=u_id
	\}\n";

	print"else if\(what == 3\) \{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=360,width=570\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{AddAdministrator}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)\n";
	
	&javascript_new_windo_check_input_not_empty("form","form1","windo","newwindo","error_message","$LANGUAGE{$set_language}{Arequiredfieldwasnotentered}","fields","f_name;l_name;u_name;pass;pass1");
	
	print"newwindo.document.writeln\(\'<center><B>$LANGUAGE{$set_language}{AddAdministrator}<\/B></center> \'\)
	newwindo.document.writeln\(\'<form name=\"form1\" method=\"POST\" action=\"\/qst\/one\" target=\"theright\">\'\)
	newwindo.document.writeln\(\'<input type=\"hidden\" name=\"type\" value=\"\">\'\)
	newwindo.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"add_admin_user\">\'\)
	newwindo.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$A{u_id}\">\'\)
	newwindo.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$A{session_id}\">\'\)
	newwindo.document.writeln\(\'<center><font color=\"red\">*</font> $LANGUAGE{$set_language}{required}</center><P>\'\)
	newwindo.document.write\(\'<input type=\"hidden\" name=\"org_id\" value=\"\'\)
	newwindo.document.write\(\'\">\'\)
	newwindo.document.writeln\(\'<TABLE><TR><TD width=\"10 \"><TD align=\"right\">$LANGUAGE{$set_language}{Firstname}\:</TD><TD> <input type=\"text\" name=\"f_name\" value=\"\" size=\"20\"\><font color=\"red\">*</font><\/TD></TR>\'\)
	newwindo.document.writeln\(\'<TR><TD width=\"10 \"><TD align=\"right\"> $LANGUAGE{$set_language}{MiddleInitial}\:</TD><TD> <input type=\"text\" name=\"m_name\" value=\"\" size=\"20\"\><\/TD></TR>\'\)
	newwindo.document.writeln\(\'<TR><TD width=\"10 \"><TD align=\"right\"> $LANGUAGE{$set_language}{LastName}\:</TD><TD> <input type=\"text\" name=\"l_name\" value=\"\" size=\"30\"\><font color=\"red\">*</font><\/TD></TR>\'\)
	newwindo.document.writeln\(\'<TR><TD width=\"10 \"><TD align=\"right\"> $LANGUAGE{$set_language}{UserName}\:</TD><TD> <input type=\"text\" name=\"u_name\" value=\"\" size=\"15\"\><font color=\"red\">*</font><font size=\"-1\">$LANGUAGE{$set_language}{Alphanumeric}</font><\/TD></TR>\'\)
	newwindo.document.writeln\(\'<TR><TD width=\"10 \"><TD align=\"right\"> $LANGUAGE{$set_language}{Password}\:</TD><TD> <input type=\"text\" name=\"pass\" value=\"\" size=\"10\"\><font color=\"red\">*</font><font size=\"-1\">$LANGUAGE{$set_language}{Alphanumeric}</font><\/TD></TR>\'\)
	newwindo.document.writeln\(\'<TR><TD width=\"10 \"><TD align=\"right\"> $LANGUAGE{$set_language}{Passwordagain}\:</TD><TD> <input type=\"text\" name=\"pass1\" value=\"\" size=\"10\"\><font color=\"red\">*</font><font size=\"-1\">$LANGUAGE{$set_language}{Alphanumeric}</font><\/TD></TR>\'\)
	newwindo.document.writeln\(\'<TR><TD width=\"10 \"><TD align=\"right\"> $LANGUAGE{$set_language}{Organization}\:</TD><TD> <SELECT name=\"org\"> <option value=\"0\" selected>$LANGUAGE{$set_language}{All}</option>"; 
	
	my %ORG = &select4("query","SELECT * FROM organization");
	if (keys %ORG) {
		foreach my $key(sort keys %ORG) {
                        if($key > 1) {
                                print"<option value=\"$key\">$ORG{$key}</option>";
                                }
			}
		}
		
	print"</select></TD></TR></TABLE>\'\)
	newwindo.document.writeln\(\'<BR><center><TABLE width=\"100%\" $action_bar><TR><TD><center><b style=\"cursor:pointer\" onClick=\"check_handler\(\)\"><font color=\"white\">$LANGUAGE{$set_language}{Create}</b>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<b style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TR></TABLE></center></FORM>\'\)
	newwindo.document.writeln\(\'<\/body><\/html>\'\)
	newwindo.document.close()
	\}\n";

	print"\}\n";
	
	&print_javascript_end();
	
	&top_heading1();
	
	print"</TABLE><P>\n";
	
	&print_form("form_name","form1","form_target","newwindo","input","","u_id","","l_name","","f_name","");
	
	my %RETURN = &select_admin_users();
		
	if($ids == 1) { # Head Administrator
                print"<B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$index\'\))\">&nbsp\;&nbsp\;$LANGUAGE{$set_language}{ServerAdministrators}</B><span ID=\"display$index\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=150 ><i style=\"cursor:pointer\"  onClick=\"click_handler\(\'3\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$index\'\)\)\">$LANGUAGE{$set_language}{AddAdministrator}</font></i></td></TR></TABLE></span>\n";
                }
        else {
                print"<B>&nbsp\;&nbsp\;$LANGUAGE{$set_language}{ServerAdministrators}</B><P>\n";
                }
                
	++$index;
	print"<DL><DL>\n";

	foreach my $key(sort keys %RETURN) {
		if($key != 1 && $RETURN{$key}{org_id} > 0) { # ORGANIZATION ADMIN ONLY
			print"<DT>&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image29 <B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$index\'\))\">$RETURN{$key}{f_name} $RETURN{$key}{l_name} - $ORG{$RETURN{$key}{org_id}}</B>\n";
			print"<span ID=\"display$index\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=100><i style=\"cursor:pointer\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{f_name}\',\'$RETURN{$key}{l_name}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$index\'\)\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Password}</i></td></TR><tr><TD width=\"20\"></TD><TD width=100 ><i style=\"cursor:pointer\" onClick=\"delete_it\(\'$key\',\'$RETURN{$key}{f_name} $RETURN{$key}{l_name}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$index\'\)\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Delete}</font></i></td></TR></TABLE></span>\n";
			}
                elsif ($key != 1 && $RETURN{$key}{org_id} == 0) { # SERVER ADMIN
                        print"<DT>&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image29 <B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$index\'\))\">$RETURN{$key}{f_name} $RETURN{$key}{l_name} - $LANGUAGE{$set_language}{All}</B>\n";
			print"<span ID=\"display$index\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=100><i style=\"cursor:pointer\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{f_name}\',\'$RETURN{$key}{l_name}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$index\'\)\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Password}</i></td></TR><tr><TD width=\"20\"></TD><TD width=100 ><i style=\"cursor:pointer\" onClick=\"delete_it\(\'$key\',\'$RETURN{$key}{f_name} $RETURN{$key}{l_name}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$index\'\)\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Delete}</font></i></td></TR></TABLE></span>\n";
                        }
		else {
                        if($ids == 1 && $key == 1) { # Head Administrator ONLY
                                print"<DT>&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image29 <B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$index\'\))\">$RETURN{$key}{f_name} $RETURN{$key}{l_name} - $LANGUAGE{$set_language}{All}</B>\n";
                                print"<span ID=\"display$index\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=100><i style=\"cursor:pointer\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{f_name}\',\'$RETURN{$key}{l_name}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$index\'\)\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Password}</i></td></TR></TABLE></span>\n";
                                }
			}
		++$index;
		}
		
	print"</DL></DL><P>\n";
	&help;
	
	if($ids == 1) { # Head Administrator
                print"<B>$LANGUAGE{$set_language}{Clickonserveradmin}</B><P>\n";
                }
        else {
                print"<B>$LANGUAGE{$set_language}{Clickonaperson}</B><P>\n";
                }
                
        # DO ALERT FOR NO GOOD ALPHANUMERIC, PASSWORDS NOT MATCHING
	
	if($A{no_good} ne"0" && defined $A{no_good}) {
		&alert("no_good","$A{no_good}","alert","1");
		}
	}

########################
#
# ADMIN_VIEW_USER
#
########################
sub admin_view_user{
	my %AVU = @_;
	$AVU{u_id} =~ s/\D//g;
	$AVU{session_id} =~ s/\D//g;
	$AVU{uid} =~ s/\D//g;
	$AVU{org_id} =~ s/\D//g;
	$AVU{u_type} =~ s/\D//g;
	my $uid = $AVU{uid};
	my $u_id = $AVU{u_id};
	my $session_id = $AVU{session_id};
	my $u_type = $AVU{u_type};
	my $org_id = $AVU{org_id};
	
	&print_javascript_begin();
	
	print"function submit_handler\(\) \{
	document.form1.submit\(\)
	\}\n";
	
	&print_javascript_end();
	
	print"<center><B>$AVU{f_name} $AVU{m_name} $AVU{l_name}</B></center><P>\n";
	
	my %U_CLASSES = &select_users_classes("uid","$AVU{uid}");
	delete($U_CLASSES{u_id});
	delete($U_CLASSES{uid});
	delete($U_CLASSES{org_id});
	delete($U_CLASSES{session_id});
	delete($U_CLASSES{u_type});

	if(keys %U_CLASSES) {
		my $select;
		my $initial = 1;
		foreach my $key(keys %U_CLASSES) {
			if($initial==1) {
				$select = " class_id\=\"$key\"";
				$initial = 2;
				}
			else {
				$select = "$select"." OR "." class_id\=\"$key\"";
				}
			}
			
                print"<center><TABLE width=\"100%\" $action_bar><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\" onClick=\"submit_handler\(\)\">$LANGUAGE{$set_language}{Deletetheclasses}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TR></TABLE></center><BR>\n";
                
                &print_form_wo_end_tag("form_name","form1","org_id","$org_id","input","delete_class_from_user","uid","$uid","l_name","$AVU{l_name}","f_name","$AVU{f_name}","m_name","$AVU{m_name}","u_type","$u_type","u_id","$u_id","session_id","$session_id");
                
		my %RETURN = &select_uclasses("org_id","$org_id","select","$select");
		
		foreach my $class(sort keys %U_CLASSES) {
			print"<input type=\"checkbox\" name=\"$class\" value=\"$class\">$RETURN{$class}<BR>\n";
			}
		}
            
        else {
                print"<center><TABLE width=\"100%\" $action_bar><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TR></TABLE></center><BR>\n";
                }
	}

########################
#
# ADMIN_VIEW_USERS_IN_CLASS
#
########################
sub admin_view_users_in_class {
	my %AVUIC = @_;
	$AVUIC{class_id} =~ s/\D//g;
	
      	my %CLASS_USERS = &select_class_users("class_id","$AVUIC{class_id}");
      	
      	&print_javascript_begin();
      	
	print"function delete_handler\(i_n\)\{
	document.del_form.submit\(\)
	\}\n";
	
	&javascript_select_all("form","del_form");
	&javascript_unselect_all("form","del_form");
	
	&print_javascript_end();

	print"<center><B>$AVUIC{class_name} </B>&nbsp\;&nbsp\;\($LANGUAGE{$set_language}{Users}\)</center><P>\n";
	if(keys %CLASS_USERS) {
                print"<center><TABLE width=\"100%\" $action_bar><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\" onClick=\"delete_handler\(\)\">$LANGUAGE{$set_language}{Deletefromclass}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TR></TABLE></center>\n";
                
		print"<P><center><TABLE><TR><TD><i STYLE=\"cursor: pointer\" onClick=\"select_all\(1\)\"> $LANGUAGE{$set_language}{SelectAll} </i></TD><TD width=\"20\"></TD><TD><i STYLE=\"cursor: pointer\" onClick=\"un_select_all\(1\)\"> $LANGUAGE{$set_language}{UnselectAll} </i></TD></TR></TABLE></center>\n";

		my $select;
		my $initial = 1;
		foreach my $key(keys %CLASS_USERS) {
			if($initial==1) {
				$select = " u_id\=\"$key\"";
				$initial = 2;
				}
			else {
				$select = "$select"." OR "." u_id\=\"$key\"";
				}
			}
			
		my %RETURN = &select_users_names("org_id","$AVUIC{org_id}","select","$select");
		
		if(keys %RETURN) {
                        &print_form_wo_end_tag("form_name","del_form","org_id","$AVUIC{org_id}","input","delete_users_from_class","class_id","$AVUIC{class_id}","class_name","$AVUIC{class_name}","u_id","$AVUIC{u_id}","session_id","$AVUIC{session_id}");
                        
			foreach my $user(sort keys %CLASS_USERS) {
				if($RETURN{$user}{type} == 2) {
					print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$RETURN{$user}{name} <font size=\"-1\" color=\"red\">\($u_type[$RETURN{$user}{type}]\)</font>\n";
					}
				else {
					print"<input type=\"checkbox\" name=\"$user\" value=\"$user\"\)\"> $RETURN{$user}{name} 
					<font size=\"-1\">\($u_type[$RETURN{$user}{type}]\)</font>\n";
					}
				print"<BR>\n";
				}
				
			print"</FORM>\n";
			}
			
		}
        else {
                print"<center><TABLE width=\"100%\" $action_bar><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TR></TABLE></center>\n";
                }
	}

############
#
# ADD_ORG
#
############
sub add_org {
      	my %AO = @_;
	my $org_name = "$AO{org}";
      	$org_name = &l_spaces("$org_name","0");
      	$org_name = &tr_spaces("$org_name","0");
      	$org_name = &x_spaces("$org_name","0");
	$org_name = &funny_char("$org_name","0");
	$AO{org} = $org_name;
	
	if($org_name ne"" && length($AO{org}) < 81 && $org_id == 0) {
		my $return = &insert_org_return("name","$AO{org}");
		# add question bank category to question_categories
		&insert_question_bank_category("org_id","$return");
		
		# add question bank file
		&insert_question_bank_file_folder("org_id","$return","name","$LANGUAGE{$set_language}{BankFiles}");
		&org("type","6","u_id","$AO{u_id}","session_id","$AO{session_id}");
		}
	}

#################
#
# ADD_TIME
#
################
sub add_time {
	my %AT = @_;
	$AT{qst_id} =~ s/\D//;
	$AT{s_id} =~ s/\D//;
	$AT{org_id} =~ s/\D//;

	&print_javascript_begin();
      	
	print"function addt\(i_n\)\{
	document.form1.submit\(\)
	\}\n";
		
	&print_javascript_end();
	
	print"<center><B>$LANGUAGE{$set_language}{AddTimeTo}</B> $AT{s_name}</center><P>\n";
	print"<center><B>for</B> $AT{assign_qst_name}</center><P>\n";
	
	print"<form name=\"form1\" method=\"POST\" action=\"/qst\">
	<input type=\"hidden\" name=\"u_id\" value=\"$AT{u_id}\">
	<input type=\"hidden\" name=\"session_id\" value=\"$AT{session_id}\">
	<input type=\"hidden\" name=\"s_id\" value=\"$AT{s_id}\">
	<input type=\"hidden\" name=\"input\" value=\"add_time1\">
	<input type=\"hidden\" name=\"org_id\" value=\"$AT{org_id}\">
	<input type=\"hidden\" name=\"s_name\" value=\"$AT{s_name}\">
	<input type=\"hidden\" name=\"assign_qst_name\" value=\"$AT{assign_qst_name}\">
	<input type=\"hidden\" name=\"qst_id\" value=\"$AT{qst_id}\">\n";

	print"<center><SELECT name=\"ad_time\">\n";
	
	print"<option value=\"5\" selected>5 min.</option>
	<option value=\"10\">10 min.</option>
	<option value=\"15\">15 min.</option>
	<option value=\"20\">20 min.</option>
	<option value=\"25\">25 min.</option>
	<option value=\"30\">30 min.</option>
	<option value=\"35\">35 min.</option>
	<option value=\"40\">40 min.</option>
	<option value=\"45\">45 min.</option>
	<option value=\"50\">50 min.</option>
	<option value=\"55\">55 min.</option>
	<option value=\"60\">60 min.</option>
	</select></center></FORM>\n";

	print"<center><TABLE width=\"100%\" STYLE=\"background-color: blue\; background-image: linear-gradient(blue,black)\; border-radius:6px\;\"><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B STYLE=\"cursor: pointer\" onClick=\"addt()\">$LANGUAGE{$set_language}{AddTime} </B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B onClick=\"self.close()\" STYLE=\"cursor:pointer\">Cancel </font></b></TD></TABLE></center>\n";
	}
	
#################
#
# ADD_TIME1
#
################
sub add_time1 {
	my %AT = @_;
	$AT{qst_id} =~ s/\D//;
	$AT{s_id} =~ s/\D//;
	$AT{ad_time} =~ s/\D//;
	my %ADD_TIME = ();
	$ADD_TIME{5} = 300;
	$ADD_TIME{10} = 600;
	$ADD_TIME{15} = 900;
	$ADD_TIME{20} = 1200;
	$ADD_TIME{25} = 1500;
	$ADD_TIME{30} = 1800;
	$ADD_TIME{35} = 2100;
	$ADD_TIME{40} = 2400;
	$ADD_TIME{45} = 2700;
	$ADD_TIME{50} = 3000;
	$ADD_TIME{55} = 3300;
	$ADD_TIME{60} = 3600;
	
	if(defined $ADD_TIME{$AT{ad_time}}) { # Add to their time
		#get the time there
		my $time_there = &select10("query","SELECT end FROM qst_attempts WHERE u_id =\"$AT{s_id}\" && qst_no=\"$AT{qst_id}\" && attempts >0 && org_id=\"$org_id\"");
		
		my $time_now = time;

		if($time_now < $time_there) { # STILL TIME LEFT IN QST
			my $new_end = $time_there + $ADD_TIME{$AT{ad_time}};
		
			# add time to qst_attempts
			&update_general("query","UPDATE qst_attempts SET end=\"$new_end\" WHERE qst_no=\"$AT{qst_id}\" AND u_id=\"$AT{s_id}\"");

			print"<center>$AT{ad_time} $LANGUAGE{$set_language}{Minutesaddedto} $AT{s_name}<BR> $LANGUAGE{$set_language}{For} $AT{assign_qst_name}.</center><BR><P>\n";
			}
		else {
			print"<center>$AT{s_name}<BR> $LANGUAGE{$set_language}{Timehasrunoutfor} $AT{assign_qst_name}.</center><BR><P>\n";
			}
			
		print"<center><TABLE width=\"100%\" STYLE=\"background-color: blue\; background-image: linear-gradient(blue,black)\; border-radius:6px\;\"><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B onClick=\"self.close()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close} </font></b></TD></TABLE></center>\n";
		}
	
	else {
		print"<center>$LANGUAGE{$set_language}{Unabletoaddto} $AT{s_name} $LANGUAGE{$set_language}{Timefor} $AT{assign_qst_name}.</center><BR><P>\n";
		print"<center><TABLE width=\"100%\" STYLE=\"background-color: blue\; background-image: linear-gradient(blue,black)\; border-radius:6px\;\"><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B onClick=\"self.close()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close} </font></b></TD></TABLE></center>\n";
		}
	}

#################
#
# CHANGE_ADMIN_PASS
#
#################
sub change_admin_pass {
	my %CAP = @_;
	$CAP{id} =~ s/\D//g;

	if ($CAP{pass} ne"" && length($CAP{pass}) < 271 && $CAP{pass} eq "$CAP{pass1}") {
		if($org_id == 0) { # Check they can do this
	                my $return_encrypted_password = &encrypt_password("password","$CAP{pass}");
			&update_pass_quote("u_id","$CAP{id}","pass","$return_encrypted_password");
			}
		else {
			print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
			}
		}
		
	&admin("u_id","$CAP{u_id}","session_id","$CAP{session_id}");
	}

#################
#
# CHANGE_FILE_DESCRIP
#
#################
sub change_file_descrip {
	my %CFD = @_;
	$CFD{number} =~ s/\D//;
	$CFD{org_id} =~ s/\D//;
	$CFD{expand} =~ s/[^0-9,]//g;
	$CFD{type} =~ s/\D//;
	$CFD{from} =~ s/\D//;

	my %RETURN = &select_file("number","$CFD{number}");

	&javascript_check_input_not_empty("form","form1","error_message","$LANGUAGE{$set_language}{Afiledescripwasnotentered}","fields","filedescrip");
	&javascript_cancel_handler();

	print"<center><B>$LANGUAGE{$set_language}{ChangeFileDescrip}</B></center>\n";
	print"<center><i>$CFD{name}</i></center><BR>\n";
	
  	&print_form_wo_end_tag("form_name","form1","form_target","theright","input","change_file_descrip1","number","$CFD{number}","expand","$CFD{expand}","org_id","$CFD{org_id}","from","$CFD{from}","type","$CFD{type}","u_id","$CFD{u_id}","session_id","$CFD{session_id}");

	print"$LANGUAGE{$set_language}{Description}:<textarea id=\"filedescrip\" rows=\"4\" cols=\"50\" name=\"filedescrip\" value=\"\" placeholder=\"$LANGUAGE{$set_language}{ToconformtoWCAG2guidelinesallfilesmusthaveadescriptionforscreenreaders}\">$RETURN{$CFD{number}}{filedescrip}</textarea><BR><BR>\n";
	print"<TABLE width=\"100%\" STYLE=\"background-color: blue\; background-image: linear-gradient(blue,black)\; border-radius:6px\;\"><TR><TD align=\"center\"><font color=\"white\" STYLE=\"cursor:pointer\; font-size:11pt\; font-family:Arial\;\"><B  onClick=\"check_handler()\">Change <B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B onClick=\"cancel_handler()\" STYLE=\"cursor:pointer\">Cancel </font></b></TD></TABLE>\n";
	print"</FORM>\n";
	}

#################
#
# CHANGE_FILE_DESCRIP1
#
#################
sub change_file_descrip1 {
	my %CFD1 = @_;
	$CFD1{number} =~ s/\D//;
	$CFD1{org_id} =~ s/\D//;
	$CFD1{expand} =~ s/[^0-9,]//g;
	$CFD1{type} =~ s/\D//;
	$CFD1{from} =~ s/\D//;
	# Remove carriage return and new line
        $CFD1{filedescrip} =~ s/\r[\n]*//gm;
        
        # Remove " and '
        $CFD1{filedescrip} =~ s/"//gm;
        $CFD1{filedescrip} =~ s/'//gm;
        
	&update_file_descrip("number","$CFD1{number}","org_id","$CFD1{org_id}","filedescrip","$CFD1{filedescrip}");
	
	&manage_files("expand","$CFD1{expand}","org_id","$CFD1{org_id}","from","$CFD1{from}","type","$CFD1{type}","u_id","$CFD1{u_id}","session_id","$CFD1{session_id}");
	}
	
#################
#
# CHANGE_BANK_FILE_DESCRIP
#
#################
sub change_bank_file_descrip {
	my %CFD = @_;
	$CFD{number} =~ s/\D//;
	$CFD{org_id} =~ s/\D//;
	$CFD{expand} =~ s/[^0-9,]//g;
	$CFD{type} =~ s/\D//;
	$CFD{from} =~ s/\D//;

	my %RETURN = &select_bank_file("number","$CFD{number}");

	&javascript_check_input_not_empty("form","form1","error_message","$LANGUAGE{$set_language}{Afiledescripwasnotentered}","fields","filedescrip");
	&javascript_cancel_handler();

	print"<center><B>$LANGUAGE{$set_language}{ChangeFileDescrip}</B></center>\n";
	print"<center><i>$CFD{name}</i></center><BR>\n";
	
  	&print_form_wo_end_tag("form_name","form1","form_target","theright","input","change_bank_file_descrip1","number","$CFD{number}","expand","$CFD{expand}","org_id","$CFD{org_id}","from","$CFD{from}","type","$CFD{type}","u_id","$CFD{u_id}","session_id","$CFD{session_id}");

	print"$LANGUAGE{$set_language}{Description}:<textarea id=\"filedescrip\" rows=\"4\" cols=\"50\" name=\"filedescrip\" value=\"\" placeholder=\"$LANGUAGE{$set_language}{ToconformtoWCAG2guidelinesallfilesmusthaveadescriptionforscreenreaders}\">$RETURN{$CFD{number}}{filedescrip}</textarea><BR><BR>\n";
	print"<TABLE width=\"100%\" STYLE=\"background-color: blue\; background-image: linear-gradient(blue,black)\; border-radius:6px\;\"><TR><TD align=\"center\"><font color=\"white\" STYLE=\"cursor:pointer\; font-size:11pt\; font-family:Arial\;\"><B  onClick=\"check_handler()\">Change <B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B onClick=\"cancel_handler()\" STYLE=\"cursor:pointer\">Cancel </font></b></TD></TABLE>\n";
	print"</FORM>\n";
	}

#################
#
# CHANGE_BANK_FILE_DESCRIP1
#
#################
sub change_bank_file_descrip1 {
	my %CFD1 = @_;
	$CFD1{number} =~ s/\D//;
	$CFD1{org_id} =~ s/\D//;
	$CFD1{expand} =~ s/[^0-9,]//g;
	$CFD1{type} =~ s/\D//;
	$CFD1{from} =~ s/\D//;
	# Remove carriage return and new line
        $CFD1{filedescrip} =~ s/\r[\n]*//gm;
        
        # Remove " and '
        $CFD1{filedescrip} =~ s/"//gm;
        $CFD1{filedescrip} =~ s/'//gm;
        
	&update_bank_file_descrip("number","$CFD1{number}","org_id","$CFD1{org_id}","filedescrip","$CFD1{filedescrip}");
	
	&manage_bank_files("expand","$CFD1{expand}","org_id","$CFD1{org_id}","from","$CFD1{from}","type","$CFD1{type}","u_id","$CFD1{u_id}","session_id","$CFD1{session_id}");
	}

#################
#
# CHANGE_USER
#
#################
sub change_user {
	my %CU = @_;
 	$CU{u_type} =~ s/\D//g;
 	$CU{u_id} =~ s/\D//g;
 	$CU{org_id} =~ s/\D//g;
 	$CU{i_id} =~ s/\D//g;
 	$CU{uid} =~ s/\D//g;

	my $f_name = "$CU{f_name}";
      	$f_name = &l_spaces("$f_name","0");
      	$f_name = &tr_spaces("$f_name","0");
      	$f_name = &x_spaces("$f_name","0");
	$f_name = &spec_char("$f_name","0");
	
	my $m_name = "$CU{m_name}";
      	$m_name = &l_spaces("$m_name","0");
      	$m_name = &tr_spaces("$m_name","0");
      	$m_name = &x_spaces("$m_name","0");
	$m_name = &spec_char("$m_name","0");
	
	my $l_name = "$CU{l_name}";
      	$l_name = &l_spaces("$l_name","0");
      	$l_name = &tr_spaces("$l_name","0");
      	$l_name = &x_spaces("$l_name","0");
	$l_name = &spec_char("$l_name","0");
	
	my $pass = "$CU{pass}";
      	$pass = &l_spaces("$pass","0");
      	$pass = &tr_spaces("$pass","0");
      	$pass = &x_spaces("$pass","0");

	my $letter = substr($l_name,0,1);
	$letter = lc($letter);
	my $not_duplicate = 0;
	my $no_good = 0;
	my $bad = 0;
			
	$bad = &check_for_non_alphanumeric("pass","$pass");
			
	if($bad != 0) {
		$no_good = "$LANGUAGE{$set_language}{Passwordhasnonalphnumericcharactersinit}";
		}
		
	elsif(($f_name ne"" && length($f_name) < 21) && length($m_name) < 21 && ($l_name ne"" && length($l_name) < 31) && length($CU{i_id}) < 11) {
		if($org_id == 0 || $org_id == $CU{org_id}) { # Check they can do this
                	if(length($pass) > 0) {
                	        my $encrypt_pass = &encrypt_password("password","$pass");
                        
                	        &update_users("u_type","$CU{u_type}","uid","$CU{uid}","f_name","$f_name","l_name","$l_name","m_name","$m_name","pass","$encrypt_pass","org_id","$CU{org_id}","letter","$letter","i_id","$CU{i_id}","u_id","$CU{u_id}","session_id","$CU{session_id}");
                	        }
                	else {
                	        &update_users("u_type","$CU{u_type}","uid","$CU{uid}","f_name","$f_name","l_name","$l_name","m_name","$m_name","org_id","$CU{org_id}","letter","$letter","i_id","$CU{i_id}","u_id","$CU{u_id}","session_id","$CU{session_id}");
                	        }
                	        
			&view_it("org_id","$CU{org_id}","org_name","$CU{org_name}","org_type","$CU{org_type}","org_letter","$CU{letter}","u_id","$CU{u_id}","session_id","$CU{session_id}");
			}
			
		else {
			print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
			}
		}
	else {
		&view_it("org_id","$CU{org_id}","org_name","$CU{org_name}","org_type","$CU{org_type}","org_letter","$CU{letter}","u_id","$CU{u_id}","session_id","$CU{session_id}","no_good","$no_good");
		}
	}

#################
#
# CHANGE_ASSIGN_MARKS_PAGE
#
################
sub change_assign_marks_page {
	my %CAMP = @_;
	print"<center><B>$LANGUAGE{$set_language}{ChangeAssignmentMarks}</B></center><P>\n";
	&javascript_check_input_not_empty("form","form1","error_message","$LANGUAGE{$set_language}{Amarksvaluewasnotentered}","fields","marks");
	&javascript_cancel_handler();
	&print_form_wo_end_tag("form_name","form1","form_target","theright","input","change_assign_marks","expand","$CAMP{expand}","type","$CAMP{type}","qst_id","$CAMP{qst_id}","u_id","$CAMP{u_id}","session_id","$CAMP{session_id}");
	
	print"<center>$LANGUAGE{$set_language}{Marks}\: <input type=\"text\" name=\"marks\" value=\"$CAMP{marks}\" size=\"3\"\ maxlength=\"3\"></center>
	<BR><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B  onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Change} </B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"cancel_handler\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE></FORM>\n";
	
	&print_javascript_focus("form","form1","field","marks");
	}

#################
#
# CHANGE_ASSIGN_MARKS
#
################
sub change_assign_marks {
	my %CAM = @_;
	$CAM{qst_id} =~ s/\D//;
	$CAM{expand} =~ s/\D//;
	$CAM{marks} =~ s/\D//;
	my $marks = "$CAM{marks}";
	my $error = 0;
	$error = &check_many_length_return("$CAM{qst_id}","10","$marks","3","$CAM{expand}","10");

	if(defined $CAM{expand} && defined $USER{$ids}{$CAM{expand}} && $error != 1) {
		if($CAM{type} == 3) {
			&update_general("query","UPDATE assignments SET marks=\"$marks\" WHERE assign_id=\"$CAM{qst_id}\" AND u_id=\"$ids\" AND class_id=\"$CAM{expand}\"");
			}
			
		&gradebook("expand","$CAM{expand}","u_id","$CAM{u_id}","session_id","$CAM{session_id}");
		}
	}

##################
#
# CHANGE_QST
#
##################
sub change_qst {
	my %CQST = @_;
 	$CQST{quiz_no} =~ s/\D//g;
 	$CQST{type} =~ s/\D//g;
 	$CQST{from} =~ s/\D//g;
  	$CQST{expand} =~ s/[^0-9,]//g;
  	$CQST{branch_it} =~ s/[^0-9,]//g;

	my $quiz_no = "$CQST{quiz_no}";
	my $error = 0;
	$error = &check_many_length_return("$CQST{quiz_no}","10","$CQST{type}","5","$CQST{sub_type}","1","$CQST{from}","2","$CQST{expand}","50");

	if($error != 1 ) {
                &print_collapse_the_display();
		&print_javascript_begin();
		
		print"var branwindo\n";
		print"var view_win
		function view_handler\(i_n\)\{
                view_win=window.open(\"\",\"view_win\",\"top=0,left=0,height=800,width=800,scrollbars\")
		view_win.focus\(\)
		document.formv.submit\(\)
		\}\n";
	
		&print_javascript_save_handler();
		&print_javascript_delete_handler("form","form4");

		print"function view_question\(i_n\)\{
		var position = un_s.parent.document.mida.view_quest
		if\(position == 1\) \{
		var url = i_n
		var url1 = i_n +1
		\}
		else \{
		\}
		\}\n";

		print"function check_handler2\(i_n\)\{
		document.form3.action_type.value=i_n
		document.form3.submit\(\)
		document.form5.submit\(\)
		\}\n";
		
		
		print"function delete_branch\(expand,referer,refer\)\{
		var submit_ok = confirm\(\"This deletes all branches under the question.\"\)
                if \(submit_ok\) \{
                document.deletebranch.refer.value = refer
                document.deletebranch.branch_it.value = expand
		document.deletebranch.submit\(\)
                \}
                \}\n";
                		
		print"function close_open_windows\(\) \{
                if(!branwindo) \{
                \}else \{
                branwindo.close()
                \}
                \}\n";
                
                
                
		&print_javascript_end();

		&print_form("form_name","formv","form_target","view_win","type","$CQST{type}","sub_type","$CQST{sub_type}","input","view_qst","name","$CQST{name}","quiz_no","$quiz_no","u_id","$CQST{u_id}","session_id","$CQST{session_id}");
                &print_form("form_name","form5","form_target","bota","type","$CQST{type}","sub_type","$CQST{sub_type}","input","write_bottom_screen","name","$CQST{name}","from","$CQST{from}","quiz_no","$quiz_no","refresh_right","$CQST{refresh_right}","class_open","$CQST{class_open}","open_class","$CQST{open_class}","u_id","$CQST{u_id}","session_id","$CQST{session_id}","option","1");
		&print_form("form_name","form3","type","$CQST{type}","sub_type","$CQST{sub_type}","input","print_add_quest_to_qst","action_type","","name","$CQST{name}","from","$CQST{from}","quiz_no","$quiz_no","refresh_right","$CQST{refresh_right}","class_open","$CQST{class_open}","open_class","$CQST{open_class}","u_id","$CQST{u_id}","session_id","$CQST{session_id}");
		&print_form_wo_end_tag("form_name","form4","type","$CQST{type}","sub_type","$CQST{sub_type}","input","remove_questions_fromqst","name","$CQST{name}","from","$CQST{from}","quiz_no","$quiz_no","refresh_right","$CQST{refresh_right}","class_open","$CQST{class_open}","open_class","$CQST{open_class}","u_id","$CQST{u_id}","session_id","$CQST{session_id}");
		&view_small_qst("quiz_no","$quiz_no","type","$CQST{type}","sub_type","$CQST{sub_type}","from","3","name","$CQST{name}","expand","$CQST{expand}","class_open","$CQST{class_open}","open_class","$CQST{open_class}","parent","$CQST{parent}","i_n","$CQST{i_n}","refresh_right","$CQST{refresh_right}","u_id","$CQST{u_id}","session_id","$CQST{session_id}","branch_it","$CQST{branch_it}","bquest","$CQST{bquest}","option","$CQST{option}");
		}
	}

###################
#
# CHANGE_QUESTION_FORM
#
###################
sub change_question_form {
	my %CQF = @_;

	print"<style type=\"text/css\">
	textarea.show_quest{ font-size\: 12pt\; overflow:auto\; font-family\:Arial\;}
	</style>\n";

	print"<style>
	table\{ border-radius:2px\; font-size:11pt\; font-family:Arial\;\}
	</style>\n";

 	$CQF{number} =~ s/\D//g;
 	$CQF{type} =~ s/\D//g;
	$CQF{sub_type} =~ s/\D//g;
	my $error = 0;
	$error = &check_many_length_return("$CQF{number}","10","$CQF{type}","5","$CQF{sub_type}","1");

	if($error != 1 ) {
		my %RETURN = &select_question("query","SELECT * from questions WHERE number=\"$CQF{number}\" AND u_id=\"$ids\"");
		my %RETURN1 = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$CQF{number}\" AND u_id=\"$ids\"");
		
		print"<input type=\"hidden\" name=\"select\" value=\"$RETURN{$CQF{number}}{type}\">
		<input type=\"hidden\" name=\"number\" value=\"$CQF{number}\">
		<input type=\"hidden\" name=\"image_number\" value=\"$RETURN{$CQF{number}}{image_id}\">
		<input type=\"hidden\" name=\"kolum\" value=\"$RETURN{$CQF{number}}{kolum}\">
		<input type=\"hidden\" name=\"question\" value=\"\">
		<input type=\"hidden\" name=\"ans_mode\" value=\"$RETURN{$CQF{number}}{ans_mode}\">
		<input type=\"hidden\" name=\"mode\" value=\"$RETURN{$CQF{number}}{mode}\">
		<input type=\"hidden\" name=\"pptx_number\" value=\"$RETURN{$CQF{number}}{pdf}\">\n";
		
		if ($RETURN{$CQF{number}}{type} eq"TF") {
			print"<input type=\"hidden\" name=\"TFans\" value=\"$RETURN1{1}{answer}\">\n";
			}
		else {
			print"<input type=\"hidden\" name=\"TFans\" value=\"\">\n";
			}
			
                if ($RETURN{$CQF{number}}{type} eq"YN") {
			print"<input type=\"hidden\" name=\"YNans\" value=\"$RETURN1{1}{answer}\">\n";
			}
		else {
			print"<input type=\"hidden\" name=\"YNans\" value=\"\">\n";
			}
			
		if ($RETURN{$CQF{number}}{type} eq"SA") {
			print"<input type=\"hidden\" name=\"SAans\" value=\"$RETURN1{1}{answer}\">\n";
			}
		else {
			print"<input type=\"hidden\" name=\"SAans\" value=\"\">\n";
			}
			
		if ($RETURN{$CQF{number}}{type} eq"P") {
			print"<input type=\"hidden\" name=\"Pans\" value=\"$RETURN1{1}{answer}\">\n";
			}
		else {
			print"<input type=\"hidden\" name=\"Pans\" value=\"\">\n";
			}
			
		if ($RETURN{$CQF{number}}{type} eq"MC") {
			my $i = 1;
			while ($i <= $mc_num) {
				if ($RETURN1{$i}{c_answer} == 1) {
					print"<input type=\"hidden\" name=\"MCans\" value=\"$i\">\n";
					}
					
			   	print"<input type=\"hidden\" name=\"select$i\" value=\"$RETURN1{$i}{answer}\">\n";
				my $name = "image$i"."name";
				
			   	if($RETURN1{$i}{image_id} > 0) {
					my %IMAGE_NAME = &select4("query","select number,file_name from qst_files where number=\"$RETURN1{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
					
			   		print"<input type=\"hidden\" name=\"$name\" value=\"$IMAGE_NAME{$RETURN1{$i}{image_id}}\">\n";
			   		}
			   	else {
			   		print"<input type=\"hidden\" name=\"$name\" value=\"\">\n";
			   		}
			   		
			   	print"<input type=\"hidden\" name=\"image$i\" value=\"$RETURN1{$i}{image_id}\">\n";
				++$i;
				}
			}
			
		else {
			print"<input type=\"hidden\" name=\"MCans\" value=\"\">\n";
			if ($RETURN{$CQF{number}}{type} ne"MA") {
                                my $i = 1;
                                while ($i <= $mc_num) {
                                        my $name = "image$i"."name";
                                        print"<input type=\"hidden\" name=\"$name\" value=\"\">\n";
                                        print"<input type=\"hidden\" name=\"image$i\" value=\"\">\n";
                                        ++$i;
                                        }
                                }
			}
			
		if ($RETURN{$CQF{number}}{type} eq"MA") {
                        print"<input type=\"hidden\" name=\"MAans\" value=\"\">\n";

                        for(my $i = 1; $i <= $ma_num; $i++) { 
                                my $selmam = "select"."$i"."mam";
                                my $selma = "select"."$i"."ma";
                                my $selmaeq = "select"."$i"."maeq";
				if ($RETURN1{$i}{c_answer} == 1) {
                                        if($RETURN{$CQF{number}}{ans_mode} == 1) {
                                                print"<input type=\"hidden\" name=\"$selmam\" value=\"$i\">
                                                <input type=\"hidden\" name=\"$selma\" value=\"\">
                                                <input type=\"hidden\" name=\"$selmaeq\" value=\"\">\n";
                                                }
                                        elsif($RETURN{$CQF{number}}{ans_mode} == 2) {
                                                print"<input type=\"hidden\" name=\"$selmaeq\" value=\"$i\">
                                                <input type=\"hidden\" name=\"$selma\" value=\"\">
                                                <input type=\"hidden\" name=\"$selmam\" value=\"\">\n";
                                                }
                                        else {
                                                print"<input type=\"hidden\" name=\"$selma\" value=\"$i\">
                                                <input type=\"hidden\" name=\"$selmam\" value=\"\">
                                                <input type=\"hidden\" name=\"$selmaeq\" value=\"\">\n";
                                                }
                                        print"<input type=\"hidden\" name=\"select$i\" value=\"$RETURN1{$i}{answer}\">\n";
                                        }
                                else {
                                        if($RETURN{$CQF{number}}{ans_mode} == 1) {
                                                print"<input type=\"hidden\" name=\"$selmam\" value=\"\">
                                                <input type=\"hidden\" name=\"$selma\" value=\"\">
                                                <input type=\"hidden\" name=\"$selmaeq\" value=\"\">\n";
                                                }
                                        elsif($RETURN{$CQF{number}}{ans_mode} == 2) {
                                                print"<input type=\"hidden\" name=\"$selmaeq\" value=\"\">
                                                <input type=\"hidden\" name=\"$selma\" value=\"\">
                                                <input type=\"hidden\" name=\"$selmam\" value=\"\">\n";
                                                }
                                        else {
                                                print"<input type=\"hidden\" name=\"$selma\" value=\"\">
                                                <input type=\"hidden\" name=\"$selmam\" value=\"\">
                                                <input type=\"hidden\" name=\"$selmaeq\" value=\"\">\n";
                                                }
                                        print"<input type=\"hidden\" name=\"select$i\" value=\"$RETURN1{$i}{answer}\">\n";
                                        }
                                        

                                if ($RETURN1{$i}{image_id} > 0) {
                                        my %IMAGE_NAME = &select4("query","select number,file_name from qst_files where number=\"$RETURN1{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                        my $iname = "image".$i."name";
                                        print"<input type=\"hidden\" name=\"image$i\" value=\"$RETURN1{$i}{image_id}\">\n";
                                        print"<input type=\"hidden\" name=\"$iname\" value=\"$IMAGE_NAME{$RETURN1{$i}{image_id}}\">\n";
                                        }
                                else {
                                        my $iname = "image".$i."name";
                                        print"<input type=\"hidden\" name=\"image$i\" value=\"\">\n";
                                        print"<input type=\"hidden\" name=\"$iname\" value=\"\">\n";
                                        }
                                        
                                }
			}
                else {
                        print"<input type=\"hidden\" name=\"MAans\" value=\"\">\n";
                        
                        my $j = 1;
			while ($j <= $ma_num) {
	   			print"<input type=\"hidden\" name=\"select$j";print"ma\" value=\"\">
	   			<input type=\"hidden\" name=\"select$j";print"mam\" value=\"\">
	   			<input type=\"hidden\" name=\"select$j";print"maeq\" value=\"\">\n";
				++$j;
				}
                        }
                
                if ($RETURN{$CQF{number}}{type} eq"MX") {
                        print"<input type=\"hidden\" name=\"MXans\" value=\"\">\n";
                        
                        # get the text and matching answers
                        my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$CQF{number}\" AND u_id=\"$ids\" AND c_answer = 0");
                        
                        my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$CQF{number}\" AND u_id=\"$ids\" AND c_answer = 1");

                        my $i = 1;
                        for(my $i = 1; $i <= $mx_num; $i++) { 
                                my $selmx = "select"."$i"."mx";
                                print"<input type=\"hidden\" name=\"$selmx\" value=\"$RETURN_MX_MATCHING{$i}{answer}\">\n";
                                print"<input type=\"hidden\" name=\"select$i\" value=\"$RETURN_MX_TEXT{$i}{answer}\">\n";
                                }
			}
                else {
                        print"<input type=\"hidden\" name=\"MXans\" value=\"\">\n";
                         my $i = 1;
                        for(my $i = 1; $i <= $mx_num; $i++) { 
                                print"<input type=\"hidden\" name=\"select$i";print"mx\" value=\"\">\n";
                                }
                        }

		if ($RETURN{$CQF{number}}{type} ne"MA" && $RETURN{$CQF{number}}{type} ne"MC" && $RETURN{$CQF{number}}{type} ne"MX") { 
                        my $i = 1;
			while ($i <= $mc_num) {
			   	print"<input type=\"hidden\" name=\"select$i\" value=\"\">\n";
                                ++$i;
				}
                        }	
                
                
        ######## Print the screen  #########
        
                print"<div style=\"padding-top: 10px\; padding-bottom: 5px\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Value}</B> <input STYLE=\"border-radius:.3em\; outline: none\;\" type=\"text\" size=\"2\" maxlength=\"2\" name=\"value\" value=\"$RETURN{$CQF{number}}{value}\" > &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Description} </B><input type=\"text\" name=\"descrip\" size=\"45\" maxlength=\"60\" STYLE=\"border-radius:.3em\; outline: none\;\" value=\"$RETURN{$CQF{number}}{descrip}\"></div>\n";
		print"<center>\n";
		
	       # WHICH EDITOR ?
               if($RETURN{$CQF{number}}{mode} == 0) { #  BASIC CHOSEN
                        print"<span ID=\"mode_display0\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">$LANGUAGE{$set_language}{Equation}</i>&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Basic}</B></span>
                        
                        <span ID=\"mode_display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Advanced}</B>&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></span>
                        
                        <span ID=\"mode_display2\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<b>$LANGUAGE{$set_language}{Equation}</b><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></span>
                        \n";
                        }
                        
                elsif($RETURN{$CQF{number}}{mode} == 1)  { #  ADVANCED CHOSEN
                        print"<span ID=\"mode_display0\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">$LANGUAGE{$set_language}{Equation}</i>&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Basic}</B></span>
                        
                        <span ID=\"mode_display1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Advanced}</B>&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></span>
                        
                        <span ID=\"mode_display2\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<b>$LANGUAGE{$set_language}{Equation}</b><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></span>\n";
                        }
                        
                elsif($RETURN{$CQF{number}}{mode} == 2)  { #  EQUATION  CHOSEN
                        print"<span ID=\"mode_display2\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<b>$LANGUAGE{$set_language}{Equation}</b><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></span>
                        
                        <span ID=\"mode_display0\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">$LANGUAGE{$set_language}{Equation}</i>&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Basic}</B></span>
                        
                        <span ID=\"mode_display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></span>
                        \n";
                        }
            	print"</center>\n";
            	
            	
            ### PRINT QUESTION DISPLAY   ###################
            
                if($RETURN{$CQF{number}}{mode} == 0) { # SHOW BASIC CHOSEN
                        print"<div ID=\"mode0\" style=\"display:block\; padding-top:6px\"><TABLE><TD width=\"20\"></TD><TD><textarea  style=\"resize\:none\; overflow:auto\;\" wrap=\"hard\"  maxlength=\"1500\" rows=\"4\" cols=\"52\" name=\"question0\" value=\"\">$RETURN{$CQF{number}}{question}</textarea></TD><TD>\n";

                        if( $RETURN{$CQF{number}}{image_id} > 0) {
                                #get image name
                                my %IMAGE_ID = &select4("query","select number,file_name from qst_files where number=\"$RETURN{$CQF{number}}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			
                                print"<div ID=\"display1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.25em\; outline: none\;\" readonly type=\"text\" width=\"15\" name=\"insert_image_name\" value=\"$IMAGE_ID{$RETURN{$CQF{number}}{image_id}}\"><B STYLE=\"cursor: pointer\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Remove}\" OnClick=\"question_image_delete_handler\(\)\">&nbsp\;&nbsp\;X</B></div>\n";

                                print"<div ID=\"disp1\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                }
                        else {
                                print"<div ID=\"disp1\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";

                                print"<div ID=\"display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input readonly STYLE=\"border-radius:.25em\; outline: none\;\" type=\"text\" width=\"15\" name=\"insert_image_name\" value=\"\"><B STYLE=\"cursor: pointer\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Remove}\" OnClick=\"question_image_delete_handler\(\)\">&nbsp&nbsp\;\;X</B></div>\n";
                                }
			
			# Print PDF
			if($RETURN{$CQF{number}}{pdf} > 0) {
				#get image name
				my %PDF_ID = &select4("query","select number,file_name from qst_files where number=\"$RETURN{$CQF{number}}{pdf}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");

				print"<BR><span ID=\"ppt\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{InsertPDF}\" STYLE=\"cursor: pointer\; font-size: 10pt\" OnClick=\"question_image_handler\(\'pptx\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{PDF}</B></span>\n";
				print"<span ID=\"ppt1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.4em\; outline: none\;\"  readonly type=\"text\" width=\"15\" name=\"insert_pptx_name\" value=\"$PDF_ID{$RETURN{$CQF{number}}{pdf}}\">&nbsp\;&nbsp\;<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemovePDF}\" STYLE=\"cursor: pointer\; OnClick=\"question_pptx_delete_handler\(\)\">X</B></span>\n";
				}
			else {
				print"<BR><span ID=\"ppt\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{InsertPDF}\" STYLE=\"cursor: pointer\; font-size: 10pt\" OnClick=\"question_image_handler\(\'pptx\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{PDF}</B></span>\n";
			        print"<span ID=\"ppt1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.4em\; outline: none\;\"  readonly type=\"text\" width=\"15\" name=\"insert_pptx_name\" value=\"\">&nbsp\;&nbsp\;<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemovePDF}\" STYLE=\"cursor: pointer\; OnClick=\"question_pptx_delete_handler\($RETURN{$CQF{number}}{pdf}\)\">X</B></span>\n";
				}
				
			print"</TD></TABLE><BR><P>\n";
			
                        if( $RETURN{$CQF{number}}{vlink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"$RETURN{$CQF{number}}{vlink}\"></text>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"\" placeholder=\"mp4, ogg, webm\"></text>\n";
                                }
                        
                        if( $RETURN{$CQF{number}}{alink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"$RETURN{$CQF{number}}{alink}\"></text><BR></div><BR>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"\" placeholder=\"mp3, ogg, wav\"></text><BR></div><BR>\n";
                                }
                                
                        # ADVANCED Editor
                        print"<div ID=\"mode1\" style=\"display:none\; padding-top: 6px\">\n";
                        print"<TABLE border=\"0\"><TR><TD width=\"20\"></TD><TD><textarea id=\"summernote\" name=\"question1\" value=\"\"></textarea></TD></TR></TABLE></div>\n";
                        #End Editor
                        
                        # EQUATION
                        print"<div ID=\"mode2\" style=\"display:none\; padding-top: 6px\">";
        
                        &eqform("u_id","$CQF{u_id}","session_id","$CQF{session_id}");
                        print"</div>\n";
                        }
                        
                elsif($RETURN{$CQF{number}}{mode} == 1) { # SHOW ADVANCED CHOSEN
                
                        ## BASIC Editor
                        print"<div ID=\"mode0\" style=\"display:none\; padding-top: 6px\"><TABLE><TR><TD width=\"20\"></TD><TD><textarea  style=\"resize\:none\;\" wrap=\"hard\"  maxlength=\"1500\" rows=\"4\" cols=\"52\" name=\"question0\" value=\"\"></textarea></TD><TD>\n";

                        if( $RETURN{$CQF{number}}{image_id} > 0) {
                                #get image name
                                my %IMAGE_ID = &select4("query","select number,file_name from qst_files where number=\"$RETURN{$CQF{number}}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			
                                print"<div ID=\"display1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.25em\; outline: none\;\" readonly type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"&nbsp\;&nbsp\; $IMAGE_ID{$RETURN{$CQF{number}}{image_id}}\"><B STYLE=\"cursor: pointer\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removeimage}\" OnClick=\"question_image_delete_handler\(\)\">&nbsp\;&nbsp\; X</B></center></div>\n";

                                print"<div ID=\"disp1\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\"STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                }
                        else {
                                print"<div ID=\"disp1\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";

                                print"<div ID=\"display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input readonly STYLE=\"border-radius:.25em\; outline: none\;\" type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"\"><B STYLE=\"cursor: pointer\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removeimage}\" OnClick=\"question_image_delete_handler\(\)\">&nbsp\;&nbsp\; X</B></center></div>\n";
                                }
			
			# Print PDF
			if($RETURN{$CQF{number}}{pdf} > 0) {
				#get image name
				my %PDF_ID = &select4("query","select number,file_name from qst_files where number=\"$RETURN{$CQF{number}}{pdf}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");

				print"<BR><span ID=\"ppt\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{InsertPDF}\" STYLE=\"cursor: pointer\; font-size: 10pt\" OnClick=\"question_image_handler\(\'pptx\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{PDF}</B></span>\n";
				print"<span ID=\"ppt1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.4em\; outline: none\;\"  readonly type=\"text\" width=\"15\" name=\"insert_pptx_name\" value=\"$PDF_ID{$RETURN{$CQF{number}}{pdf}}\">&nbsp\;&nbsp\;<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemovePDF}\" STYLE=\"cursor: pointer\;\" OnClick=\"question_pptx_delete_handler\(\)\"> X</B></span>\n";
				}
			else {
				print"<BR><span ID=\"ppt\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{InsertPDF}\" STYLE=\"cursor: pointer\; font-size: 10pt\" OnClick=\"question_image_handler\(\'pptx\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{PDF}</B></span>\n";
			        print"<span ID=\"ppt1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.4em\; outline: none\;\"  readonly type=\"text\" width=\"15\" name=\"insert_pptx_name\" value=\"\">&nbsp\;&nbsp\;<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemovePDF}\" STYLE=\"cursor: pointer\;\" OnClick=\"question_pptx_delete_handler\($RETURN{$CQF{number}}{pdf}\)\"> X</B></span>\n";
				}

			print"</TD></TABLE><BR><P>\n";
			
                        if( $RETURN{$CQF{number}}{vlink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"$RETURN{$CQF{number}}{vlink}\"></text>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"\" placeholder=\"mp4, ogg, webm\"></text>\n";
                                }
                        
                        if( $RETURN{$CQF{number}}{alink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"$RETURN{$CQF{number}}{alink}\"></text><P><BR></div>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"\" placeholder=\"mp3, ogg, wav\"></text><P><BR></div>\n";
                                }
                                
                        # ADVANCED Editor
                        print"<div ID=\"mode1\" style=\"display:block\; style=\"display:none\; padding-top: 6px\">\n";
                        print"<TABLE border=\"0\"><TR><TD width=\"20\"></TD><TD><textarea id=\"summernote\" name=\"question1\" value=\"\">$RETURN{$CQF{number}}{question}</textarea></TD></TR></TABLE></div>\n";
                    
                        
                        # EQUATION
                        print"<div ID=\"mode2\" style=\"display:none\; padding-top: 6px\">";
        
                        &eqform("u_id","$CQF{u_id}","session_id","$CQF{session_id}");
                        print"</div>\n";
                        }
                        
                elsif($RETURN{$CQF{number}}{mode} == 2) { # SHOW EQUATION CHOSEN
                        ## BASIC
                        print"<div ID=\"mode0\" style=\"display:none\; padding-top: 6px\"><TABLE><TR><TD width=\"20\"></TD><TD><textarea  style=\"resize\:none\;\" wrap=\"hard\"  maxlength=\"1500\" rows=\"4\" cols=\"52\" name=\"question0\" value=\"\"></textarea></TD><TD>\n";

                        if( $RETURN{$CQF{number}}{image_id} > 0) {
                                #get image name
                                my %IMAGE_ID = &select4("query","select number,file_name from qst_files where number=\"$RETURN{$CQF{number}}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			
                                print"<div ID=\"display1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.25em\; outline: none\;\" readonly type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"&nbsp\;&nbsp\; $IMAGE_ID{$RETURN{$CQF{number}}{image_id}}\"><B STYLE=\"cursor: pointer\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removeimage}\" OnClick=\"question_image_delete_handler\(\)\">&nbsp\;&nbsp\; X</B></center></div>\n";

                                print"<div ID=\"disp1\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                }
                        else {
                                print"<div ID=\"disp1\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";

                                print"<div ID=\"display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input readonly STYLE=\"border-radius:.25em\; outline: none\;\" type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"\"><B STYLE=\"cursor: pointer\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removeimage}\" OnClick=\"question_image_delete_handler\(\)\">&nbsp\;&nbsp\; X</B></center></div>\n";
                                }
			
			# Print PDF
			if($RETURN{$CQF{number}}{pdf} > 0) {
				#get image name
				my %PDF_ID = &select4("query","select number,file_name from qst_files where number=\"$RETURN{$CQF{number}}{pdf}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");

				print"<BR><span ID=\"ppt\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{InsertPDF}\" STYLE=\"cursor: pointer\; font-size: 10pt\" OnClick=\"question_image_handler\(\'pptx\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{PDF}</B></span>\n";
				print"<span ID=\"ppt1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.4em\; outline: none\;\"  readonly type=\"text\" width=\"15\" name=\"insert_pptx_name\" value=\"$PDF_ID{$RETURN{$CQF{number}}{pdf}}\">&nbsp\;&nbsp\;<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemovePDF}\" STYLE=\"cursor: pointer\;\" OnClick=\"question_pptx_delete_handler\(\)\"> X</B></span>\n";
				}
			else {
				print"<BR><span ID=\"ppt\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{InsertPDF}\" STYLE=\"cursor: pointer\; font-size: 10pt\" OnClick=\"question_image_handler\(\'pptx\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{PDF}</B></span>\n";
			        print"<span ID=\"ppt1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.4em\; outline: none\;\"  readonly type=\"text\" width=\"15\" name=\"insert_pptx_name\" value=\"\">&nbsp\;&nbsp\;<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemovePDF}\" STYLE=\"cursor: pointer\;\" OnClick=\"question_pptx_delete_handler\($RETURN{$CQF{number}}{pdf}\)\"> X</B></span>\n";
				}

			print"</TD></TABLE><BR><P>\n";
			
                        if( $RETURN{$CQF{number}}{vlink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"$RETURN{$CQF{number}}{vlink}\"></text>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"\" placeholder=\"mp4, ogg, webm\"></text>\n";
                                }
                        
                        if( $RETURN{$CQF{number}}{alink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"$RETURN{$CQF{number}}{alink}\"></text><BR></div>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"\" placeholder=\"mp3, ogg, wav\"></text><BR></div>\n";
                                }
                                
                        # ADVANCED EDITOR
                        print"<div ID=\"mode1\" style=\"display:none\; padding-top: 6px\">\n";
                        print"<TABLE border=\"0\"><TR><TD width=\"20\"></TD><TD><textarea id=\"summernote\" name=\"question1\" value=\"\"></textarea></TD></TR></TABLE></div>\n";
                        
                        
                        # EQUATION EDITOR
                        print"<div ID=\"mode2\" style=\"display:block\; padding-top: 6px\">";
        
                        &eqform("change","1","quest","$RETURN{$CQF{number}}{question}","u_id","$CQF{u_id}","session_id","$CQF{session_id}");
                        print"</div>\n"
                        }
            
                #### QUESTION TYPES
                print"<center><TABLE border=\"0\"><TR><TD><div ID=\"anstype1\" style=\"display:block\;\"><font OnClick=\"show_mc\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MultipleChoice}</font></div><div ID=\"anstype1a\" style=\"display:none\;\"><font OnClick=\"show_mc\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{MultipleChoice}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype2\" style=\"display:block\;\"><font OnClick=\"show_ma\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MultipleAnswer}</font></div><div ID=\"anstype2a\" style=\"display:none\;\"><font OnClick=\"show_ma\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{MultipleAnswer}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype7\" style=\"display:block\;\"><font OnClick=\"show_mx\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MatchXng}</font></div><div ID=\"anstype7a\" style=\"display:none\;\"><font OnClick=\"show_mx\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{MatchXng}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype3\" style=\"display:block\;\"><font OnClick=\"show_tf\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{TF}</font></div><div ID=\"anstype3a\" style=\"display:none\;\"><font OnClick=\"show_tf\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{TF}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype8\" style=\"display:block\;\"><font OnClick=\"show_yn\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{YN}</font></div><div ID=\"anstype8a\" style=\"display:none\;\"><font OnClick=\"show_yn\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{YN}</B></font></div></TD><TD><div ID=\"anstype6\" style=\"display:block\;\"><font OnClick=\"show_ad\(\)\" STYLE=\"text-decoration:none\;\"></font></div><div ID=\"anstype6a\" style=\"display:none\;\"><font OnClick=\"show_ad\(\)\" STYLE=\"text-decoration:none\;\"></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype4\" style=\"display:block\;\"><font OnClick=\"show_sa\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{ShortAnswer}</font></div><div ID=\"anstype4a\" style=\"display:none\;\"><font OnClick=\"show_sa\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{ShortAnswer}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype5\" style=\"display:block\;\"><font OnClick=\"show_p\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{Paragraph}</font></div><div ID=\"anstype5a\" style=\"display:none\;\"><font OnClick=\"show_p\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Paragraph}</B></font></div></TD></TR></TABLE></center>\n";
		
		print"</FORM>\n"; 

                &print_form("form_name","t_f","form_target","quest2","input","question_tf","answer","","u_id","$CQF{u_id}","session_id","$CQF{session_id}");
                &print_form("form_name","y_n","form_target","quest2","input","question_yn","answer","","u_id","$CQF{u_id}","session_id","$CQF{session_id}");
		&print_form("form_name","s_a","form_target","quest2","input","question_sa","SAans","","u_id","$CQF{u_id}","session_id","$CQF{session_id}");
		&print_form("form_name","p","form_target","quest2","input","question_p","ans_mode","$RETURN{$CQF{number}}{ans_mode}","Pans","","u_id","$CQF{u_id}","session_id","$CQF{session_id}");
		&print_form_mc("form_name","mc","form_target","quest2","input","question_mc","answer","","kolum","$CQF{kolum}","u_id","$CQF{u_id}","session_id","$CQF{session_id}","ans_mode","$RETURN{$CQF{number}}{ans_mode}");
	
                &print_form_ma("form_name","ma","form_target","quest2","input","question_ma","kolum","$CQF{kolum}","type","$CQF{type}","sub_type","$CQF{sub_type}","u_id","$CQF{u_id}","session_id","$CQF{session_id}","ans_mode","$RETURN{$CQF{number}}{ans_mode}");
            
                &print_form_mx("form_name","mx","form_target","quest2","input","question_mx","type","$CQF{type}","sub_type","$CQF{sub_type}","u_id","$CQF{u_id}","session_id","$CQF{session_id}");
                
                &print_form("form_name","view_files","form_target","view_files_left","input","view_select_files","mode","","targit","","u_id","$CQF{u_id}","session_id","$CQF{session_id}");

                &print_form("form_name","eq_quest","form_target","MathJaax","input","print_eq_quest_ans","u_id","$CQF{u_id}","session_id","$CQF{session_id}","type","$CQF{type}","sub_type","$CQF{sub_type}","eq","1");
                
                &print_javascript_begin();

                &print_mode_display();
                
                &print_javascript_end();
                
                print"<script> document.getElementById(mode2).onload = load_handler\(\'$RETURN{$CQF{number}}{type}\'\)</script>\n";
		}
	}
	
###################
#
# CHANGE_BANK_QUESTION_FORM
#
###################
sub change_bank_question_form {
	my %CQF = @_;

	print"<style type=\"text/css\">
	textarea.show_quest{ font-size\: 12pt\; font-family\:Arial\;}
	</style>\n";

	print"<style>
	table\{ border-radius:3px\; font-size:11pt\; font-family:Arial\;\}
	</style>\n";

	print"<style>
            #grad1 \{
            background-color: blue\; /* For browsers that do not support gradients */
            background-image: linear-gradient(blue , black)\; /* Standard syntax (must be last) */
            border-radius:6px\; 
            \}
        </style>\n";
        
 	$CQF{number} =~ s/\D//g;
 	$CQF{type} =~ s/\D//g;
	$CQF{sub_type} =~ s/\D//g;
	my $error = 0;
	$error = &check_many_length_return("$CQF{number}","10","$CQF{type}","5","$CQF{sub_type}","1");

	if($error != 1 ) {
		my %RETURN = &select_question("query","SELECT * from questions WHERE number=\"$CQF{number}\" AND org_id=\"$org_id\"");
		my %RETURN1 = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$CQF{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
		
		print"<input type=\"hidden\" name=\"select\" value=\"$RETURN{$CQF{number}}{type}\">
		<input type=\"hidden\" name=\"number\" value=\"$CQF{number}\">
		<input type=\"hidden\" name=\"image_number\" value=\"$RETURN{$CQF{number}}{image_id}\">
		<input type=\"hidden\" name=\"mode\" value=\"$RETURN{$CQF{number}}{mode}\">
                <input type=\"hidden\" name=\"question\" value=\"\">
                <input type=\"hidden\" name=\"ans_mode\" value=\"$RETURN{$CQF{number}}{ans_mode}\">
		<input type=\"hidden\" name=\"kolum\" value=\"$RETURN{$CQF{number}}{kolum}\">\n";
		
		if ($RETURN{$CQF{number}}{type} eq"TF") {
			print"<input type=\"hidden\" name=\"TFans\" value=\"$RETURN1{1}{answer}\">\n";
			}
		else {
			print"<input type=\"hidden\" name=\"TFans\" value=\"\">\n";
			}
			
                if ($RETURN{$CQF{number}}{type} eq"YN") {
			print"<input type=\"hidden\" name=\"YNans\" value=\"$RETURN1{1}{answer}\">\n";
			}
		else {
			print"<input type=\"hidden\" name=\"YNans\" value=\"\">\n";
			}
			
		if ($RETURN{$CQF{number}}{type} eq"SA") {
			print"<input type=\"hidden\" name=\"SAans\" value=\"$RETURN1{1}{answer}\">\n";
			}
		else {
			print"<input type=\"hidden\" name=\"SAans\" value=\"\">\n";
			}
			
		if ($RETURN{$CQF{number}}{type} eq"P") {
			print"<input type=\"hidden\" name=\"Pans\" value=\"$RETURN1{1}{answer}\">\n";
			}
		else {
			print"<input type=\"hidden\" name=\"Pans\" value=\"\">\n";
			}

		if ($RETURN{$CQF{number}}{type} eq"MC") {
			my $i = 1;
			while ($i <= $mc_num) {
				if ($RETURN1{$i}{c_answer} == 1) {
					print"<input type=\"hidden\" name=\"MCans\" value=\"$i\">\n";
					}
					
			   	print"<input type=\"hidden\" name=\"select$i\" value=\"$RETURN1{$i}{answer}\">\n";
				my $name = "image$i"."name";
				
			   	if($RETURN1{$i}{image_id} > 0) {
					my %IMAGE_NAME = &select4("query","select number,file_name from qst_files where number=\"$RETURN1{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			   		print"<input type=\"hidden\" name=\"$name\" value=\"$IMAGE_NAME{$RETURN1{$i}{image_id}}\">\n";
			   		}
			   	else {
			   		print"<input type=\"hidden\" name=\"$name\" value=\"\">\n";
			   		}
			   		
			   	print"<input type=\"hidden\" name=\"image$i\" value=\"$RETURN1{$i}{image_id}\">\n";
				++$i;
				}
			}
			
		else {
			print"<input type=\"hidden\" name=\"MCans\" value=\"\">\n";
			
			my $i = 1;
			while ($i <= $mc_num) {
				my $name = "image$i"."name";
                                print"<input type=\"hidden\" name=\"$name\" value=\"\">\n";
			   	print"<input type=\"hidden\" name=\"image$i\" value=\"\">\n";
				++$i;
				}
			}
			

                if ($RETURN{$CQF{number}}{type} eq"MA") {
                        print"<input type=\"hidden\" name=\"MAans\" value=\"\">\n";
                        my $i = 1;
                        for(my $i = 1; $i <= $ma_num; $i++) { 
                                my $selmam = "select"."$i"."mam";
                                my $selma = "select"."$i"."ma";
                                my $selmaeq = "select"."$i"."maeq";
                                
				if ($RETURN1{$i}{c_answer} == 1) {
                                        if($RETURN{$CQF{number}}{ans_mode} == 1) {
                                                print"<input type=\"hidden\" name=\"$selmam\" value=\"$i\">
                                                <input type=\"hidden\" name=\"$selma\" value=\"\">
                                                <input type=\"hidden\" name=\"$selmaeq\" value=\"\">\n";
                                                }
                                        elsif($RETURN{$CQF{number}}{ans_mode} == 2) {
                                                print"<input type=\"hidden\" name=\"$selmaeq\" value=\"$i\">
                                                <input type=\"hidden\" name=\"$selma\" value=\"\">
                                                <input type=\"hidden\" name=\"$selmam\" value=\"\">\n";
                                                }
                                        else {
                                                print"<input type=\"hidden\" name=\"$selma\" value=\"$i\">
                                                <input type=\"hidden\" name=\"$selmam\" value=\"\">
                                                <input type=\"hidden\" name=\"$selmaeq\" value=\"\">\n";
                                                }
                                        print"<input type=\"hidden\" name=\"select$i\" value=\"$RETURN1{$i}{answer}\">\n";
                                        }
                                else {
                                        print"<input type=\"hidden\" name=\"$selma\" value=\"\">
                                        <input type=\"hidden\" name=\"$selmam\" value=\"\">
                                        <input type=\"hidden\" name=\"$selmaeq\" value=\"\">
                                        <input type=\"hidden\" name=\"select$i\" value=\"$RETURN1{$i}{answer}\">\n";
                                        }
                                        
                                if ($RETURN1{$i}{image_id} > 0) {
                                        my %IMAGE_NAME = &select4("query","select number,file_name from qst_files where number=\"$RETURN1{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                        my $iname = "image".$i."name";
                                        print"<input type=\"hidden\" name=\"image$i\" value=\"$RETURN1{$i}{image_id}\">\n";
                                        print"<input type=\"hidden\" name=\"$iname\" value=\"$IMAGE_NAME{$RETURN1{$i}{image_id}}\">\n";
                                        }
                                else {
                                        my $iname = "image".$i."name";
                                        print"<input type=\"hidden\" name=\"image$i\" value=\"\">\n";
                                        print"<input type=\"hidden\" name=\"$iname\" value=\"\">\n";
                                        }
                                        
                                }
			}
                else {
                        print"<input type=\"hidden\" name=\"MAans\" value=\"\">\n";
                        
                        my $j = 1;
			while ($j <= $ma_num) {
	   			print"<input type=\"hidden\" name=\"select$j";print"ma\" value=\"\">
	   			<input type=\"hidden\" name=\"select$j";print"mam\" value=\"\">
	   			<input type=\"hidden\" name=\"select$j";print"maeq\" value=\"\">\n";
				++$j;
				}
                        }

                if ($RETURN{$CQF{number}}{type} eq"MX") {
                        print"<input type=\"hidden\" name=\"MXans\" value=\"\">\n";
                        
                        # get the text and matching answers
                        my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$CQF{number}\" AND (u_id=\"$ids\" OR u_id=\"0\") AND c_answer = 0");
                        
                        my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$CQF{number}\" AND (u_id=\"$ids\" OR u_id=\"0\") AND c_answer = 1");

                        my $i = 1;
                        for(my $i = 1; $i <= $mx_num; $i++) { 
                                print"<input type=\"hidden\" name=\"select$i";print"mx\" value=\"$RETURN_MX_MATCHING{$i}{answer}\">\n";
                                print"<input type=\"hidden\" name=\"select$i\" value=\"$RETURN_MX_TEXT{$i}{answer}\">\n";
                                }
			}
                else {
                        print"<input type=\"hidden\" name=\"MXans\" value=\"\">\n";
                         my $i = 1;
                        for(my $i = 1; $i <= $mx_num; $i++) { 
                                print"<input type=\"hidden\" name=\"select$i";print"mx\" value=\"\">\n";
                                }
                        }


                if ($RETURN{$CQF{number}}{type} ne"MA" && $RETURN{$CQF{number}}{type} ne"MC" && $RETURN{$CQF{number}}{type} ne"MX") { 
                        my $i = 1;
			while ($i <= $mc_num) {
			   	print"<input type=\"hidden\" name=\"select$i\" value=\"\">\n";
                                ++$i;
				}
                        }
                        
                        
        #### PRINT THE SCREEN
         	print"<BR><TABLE><TD width=\"20\"></TD><TD> <B>$LANGUAGE{$set_language}{Value}</B> <input STYLE=\"border-radius:.4em\; outline: none\;\" type=\"text\" size=\"2\" maxlength=\"2\" name=\"value\" value=\"1\" ></TD><TD width=\"80\"></TD><TD>";
         	
         	if($RETURN{$CQF{number}}{mode} == 0) { #  BASIC CHOSEN
                        print"<div ID=\"mode_display0\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">$LANGUAGE{$set_language}{Equation}</i>&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Basic}</B></div>
                        
                        <div ID=\"mode_display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Advanced}</B>&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div>
                        
                        <div ID=\"mode_display2\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<b>$LANGUAGE{$set_language}{Equation}</b><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div>
                        </TD></TABLE>";
                        }
                        
                elsif($RETURN{$CQF{number}}{mode} == 1)  { #  ADVANCED CHOSEN
                        print"<div ID=\"mode_display0\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">$LANGUAGE{$set_language}{Equation}</i>&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Basic}</B></div>
                        
                        <div ID=\"mode_display1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Advanced}</B>&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div>
                        
                        <div ID=\"mode_display2\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<b>$LANGUAGE{$set_language}{Equation}</b><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div></TD></TABLE>";
                        }
                        
                elsif($RETURN{$CQF{number}}{mode} == 2)  { #  EQUATION  CHOSEN
                        print"<div ID=\"mode_display2\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<b>$LANGUAGE{$set_language}{Equation}</b><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div>
                        
                        <div ID=\"mode_display0\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">$LANGUAGE{$set_language}{Equation}</i>&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Basic}</B></div>
                        
                        <div ID=\"mode_display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div>
                        </TD></TABLE>";
                        }
         	
         	
            # PRINT DESCRIPTION
            print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Description} </B><input type=\"text\" name=\"descrip\" size=\"45\" maxlength=\"60\" STYLE=\"border-radius:.4em\; outline: none\;\" value=\"$RETURN{$CQF{number}}{descrip}\">\n";
            
            ### PRINT QUESTION DISPLAY
                if($RETURN{$CQF{number}}{mode} == 0) { # SHOW BASIC
                        print"<div ID=\"mode0\" style=\"display:block\;\"><TABLE><TD width=\"20\"></TD><TD><textarea  style=\"resize\:none\;\" wrap=\"hard\"  maxlength=\"1500\" rows=\"4\" cols=\"52\" name=\"question0\" value=\"\">$RETURN{$CQF{number}}{question}</textarea></TD><TD>\n";

                        if( $RETURN{$CQF{number}}{image_id} > 0) {
                                #get image name
                                my %IMAGE_ID = &select4("query","select number,file_name from qst_files where number=\"$RETURN{$CQF{number}}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			
                                print"<div ID=\"display1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.25em\; outline: none\;\" readonly type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"&nbsp\;&nbsp\; $IMAGE_ID{$RETURN{$CQF{number}}{image_id}}\"><BR><center><B STYLE=\"cursor: pointer\" OnClick=\"question_image_delete_handler\(\)\">$LANGUAGE{$set_language}{Remove}</B></center></div>\n";

                                print"<div ID=\"disp1\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                }
                        else {
                                print"<div ID=\"disp1\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";

                                print"<div ID=\"display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input readonly STYLE=\"border-radius:.25em\; outline: none\;\" type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"\"><BR><center><B STYLE=\"cursor: pointer\" OnClick=\"question_image_delete_handler\(\)\">$LANGUAGE{$set_language}{Remove}</B></center></div>\n";
                                }
			
			print"</TD></TABLE><BR><P>\n";
			
                        if( $RETURN{$CQF{number}}{vlink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"$RETURN{$CQF{number}}{vlink}\"></text>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"\" placeholder=\"mp4, ogg, webm\"></text>\n";
                                }
                        
                        if( $RETURN{$CQF{number}}{alink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"$RETURN{$CQF{number}}{alink}\"></text><BR><BR></div>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"\" placeholder=\"mp3, ogg, wav\"></text><BR><BR></div>\n";
                                }
                                
                        # Editor
                        print"<div ID=\"mode1\" style=\"display:none\;\">\n";
                        print"<TABLE border=\"0\"><TR><TD width=\"20\"></TD><TD><textarea id=\"summernote\" name=\"question1\" value=\"\"></textarea></TD></TR></TABLE></div>\n";
                        #End Editor
                        
                        # EQUATION
                        print"<div ID=\"mode2\" style=\"display:none\;\">";
        
                        &eqform("u_id","$CQF{u_id}","session_id","$CQF{session_id}");
                        print"</div>\n";
                        }
                        
                elsif($RETURN{$CQF{number}}{mode} == 1) { # SHOW ADVANCED
                        ## BASIC
                        print"<div ID=\"mode0\" style=\"display:none\;\"><TABLE><TR><TD width=\"20\"></TD><TD><textarea  style=\"resize\:none\;\" wrap=\"hard\"  maxlength=\"1500\" rows=\"4\" cols=\"52\" name=\"question0\" value=\"\"></textarea></TD><TD>\n";

                        if( $RETURN{$CQF{number}}{image_id} > 0) {
                                #get image name
                                my %IMAGE_ID = &select4("query","select number,file_name from qst_files where number=\"$RETURN{$CQF{number}}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			
                                print"<div ID=\"display1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.25em\; outline: none\;\" readonly type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"&nbsp\;&nbsp\; $IMAGE_ID{$RETURN{$CQF{number}}{image_id}}\"><BR><center><B STYLE=\"cursor: pointer\" OnClick=\"question_image_delete_handler\(\)\">$LANGUAGE{$set_language}{Remove}</B><center></div>\n";

                                print"<div ID=\"disp1\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                }
                        else {
                                print"<div ID=\"disp1\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";

                                print"<div ID=\"display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input readonly STYLE=\"border-radius:.25em\; outline: none\;\" type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"\"><BR><center><B STYLE=\"cursor: pointer\" OnClick=\"question_image_delete_handler\(\)\">$LANGUAGE{$set_language}{Remove}</B></center></div>\n";
                                }
			
			print"</TD></TR></TABLE><BR><P>\n";
			
                        if( $RETURN{$CQF{number}}{vlink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"$RETURN{$CQF{number}}{vlink}\"></text>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"\" placeholder=\"mp4, ogg, webm\"></text>\n";
                                }
                        
                        if( $RETURN{$CQF{number}}{alink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"$RETURN{$CQF{number}}{alink}\"></text><BR><BR></div>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"\" placeholder=\"mp3, ogg, wav\"></text><BR><BR></div>\n";
                                }
                                
                        # ADVANCED EDITOR
                        print"<div ID=\"mode1\" style=\"display:block\;\">\n";
                        print"<TABLE border=\"0\"><TR><TD width=\"20\"></TD><TD><textarea id=\"summernote\" name=\"question1\" value=\"\">$RETURN{$CQF{number}}{question}</textarea></TD></TR></TABLE></div>\n";
                        
                        
                        # EQUATION EDITOR
                        print"<div ID=\"mode2\" style=\"display:none\;\">";
        
                        &eqform("u_id","$CQF{u_id}","session_id","$CQF{session_id}");
                        print"</div>\n";
                        }
                        
                elsif($RETURN{$CQF{number}}{mode} == 2) { # SHOW EQUATION
                        ## BASIC
                        print"<div ID=\"mode0\" style=\"display:none\;\"><TABLE><TR><TD width=\"20\"></TD><TD><textarea  style=\"resize\:none\;\" wrap=\"hard\"  maxlength=\"1500\" rows=\"4\" cols=\"52\" name=\"question0\" value=\"\"></textarea></TD><TD>n";

                        if( $RETURN{$CQF{number}}{image_id} > 0) {
                                #get image name
                                my %IMAGE_ID = &select4("query","select number,file_name from qst_files where number=\"$RETURN{$CQF{number}}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			
                                print"<div ID=\"display1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.25em\; outline: none\;\" readonly type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"&nbsp\;&nbsp\; $IMAGE_ID{$RETURN{$CQF{number}}{image_id}}\"><BR><center><B STYLE=\"cursor: pointer\" OnClick=\"question_image_delete_handler\(\)\">$LANGUAGE{$set_language}{Remove}</B></center></div>\n";

                                print"<div ID=\"disp1\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                }
                        else {
                                print"<div ID=\"disp1\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";

                                print"<div ID=\"display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input readonly STYLE=\"border-radius:.25em\; outline: none\;\" type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"\"><BR><center><B STYLE=\"cursor: pointer\" OnClick=\"question_image_delete_handler\(\)\">$LANGUAGE{$set_language}{Remove}</B></center></div>\n";
                                }
			
			print"</TD></TR></TABLE><BR><P>\n";
			
                        if( $RETURN{$CQF{number}}{vlink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"$RETURN{$CQF{number}}{vlink}\"></text>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"\" placeholder=\"mp4, ogg, webm\"></text>\n";
                                }
                        
                        if( $RETURN{$CQF{number}}{alink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"$RETURN{$CQF{number}}{alink}\"></text><BR></div>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"\" placeholder=\"mp3, ogg, wav\"></text><BR></div>\n";
                                }
                                
                        # ADVANCED Editor
                        print"<div ID=\"mode1\" style=\"display:none\;\">\n";
                        print"<TABLE border=\"0\"><TR><TD width=\"20\"></TD><TD><textarea id=\"summernote\" name=\"question1\" value=\"\"></textarea></TD></TR></TABLE></div>\n";
                        
                        
                        # EQUATION
                        print"<div ID=\"mode2\" style=\"display:block\;\">";
        
                        &eqform("change","1","quest","$RETURN{$CQF{number}}{question}","u_id","$CQF{u_id}","session_id","$CQF{session_id}");
                        print"</div>\n";
                        }
                

                print"<center><TABLE><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD>
		<TD><div ID=\"anstype1\" style=\"display:block\;\"><font OnClick=\"show_mc\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MultipleChoice}</font></div><div ID=\"anstype1a\" style=\"display:none\;\"><font OnClick=\"show_mc\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B >$LANGUAGE{$set_language}{MultipleChoice}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype2\" style=\"display:block\;\"><font OnClick=\"show_ma\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MultipleAnswer}</font></div><div ID=\"anstype2a\" style=\"display:none\;\"><font OnClick=\"show_ma\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{MultipleAnswer}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype7\" style=\"display:block\;\"><font OnClick=\"show_mx\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MatchXng}</font></div><div ID=\"anstype7a\" style=\"display:none\;\"><font OnClick=\"show_mx\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{MatchXng}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype3\" style=\"display:block\;\"><font OnClick=\"show_tf\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{TF}</font></div><div ID=\"anstype3a\" style=\"display:none\;\"><font OnClick=\"show_tf\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{TF}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype8\" style=\"display:block\;\"><font OnClick=\"show_yn\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">Y/N</font></div><div ID=\"anstype8a\" style=\"display:none\;\"><font OnClick=\"show_yn\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>Y/N</B></font></div></TD><TD><div ID=\"anstype6\" style=\"display:block\;\"><font OnClick=\"show_ad\(\)\" STYLE=\"text-decoration:none\;\"></font></div><div ID=\"anstype6a\" style=\"display:none\;\"><font OnClick=\"show_ad\(\)\" STYLE=\"text-decoration:none\;\"></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype4\" style=\"display:block\;\"><font OnClick=\"show_sa\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{ShortAnswer}</font></div><div ID=\"anstype4a\" style=\"display:none\;\"><font OnClick=\"show_sa\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{ShortAnswer}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype5\" style=\"display:block\;\"><font OnClick=\"show_p\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{Paragraph}</font></div><div ID=\"anstype5a\" style=\"display:none\;\"><font OnClick=\"show_p\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Paragraph}</B></font></div></TD></TABLE></center>\n";
        	
		print"</FORM>\n";

	 	&print_form("form_name","t_f","form_target","quest2","input","question_tf","answer","","u_id","$CQF{u_id}","session_id","$CQF{session_id}");
		&print_form("form_name","y_n","form_target","quest2","input","question_yn","answer","","u_id","$CQF{u_id}","session_id","$CQF{session_id}");
		&print_form("form_name","s_a","form_target","quest2","input","question_sa","SAans","","u_id","$CQF{u_id}","session_id","$CQF{session_id}");

                &print_form("form_name","p","form_target","quest2","input","question_p","Pans","","ans_mode","","u_id","$CQF{u_id}","session_id","$CQF{session_id}","qbank","1");
	
                &print_form_mc("form_name","mc","form_target","quest2","input","question_bank_mc","answer","","kolum","$CQF{kolum}","u_id","$CQF{u_id}","session_id","$CQF{session_id}","ans_mode","$RETURN{$CQF{number}}{ans_mode}");
	
                &print_form_ma("form_name","ma","form_target","quest2","input","question_bank_ma","type","$CQF{type}","kolum","$CQF{kolum}","sub_type","$CQF{sub_type}","u_id","$CQF{u_id}","session_id","$CQF{session_id}","ans_mode","$RETURN{$CQF{number}}{ans_mode}");
            
                &print_form_mx("form_name","mx","form_target","quest2","input","question_mx","type","$CQF{type}","sub_type","$CQF{sub_type}","u_id","$CQF{u_id}","session_id","$CQF{session_id}");
                
                &print_form("form_name","view_files","form_target","view_files_left","input","view_select_bank_files","targit","","u_id","$CQF{u_id}","session_id","$CQF{session_id}","mode","");

                &print_form("form_name","eq_quest","form_target","MathJaax","input","print_eq_quest_ans","u_id","$CQF{u_id}","session_id","$CQF{session_id}","type","$CQF{type}","sub_type","$CQF{sub_type}","eq","1");
                
                print"<script> document.getElementById\(mode2\).onload = load_handler\(\'$RETURN{$CQF{number}}{type}\'\)</script>\n";
		}
	}

###################
#
# CHANGE_SURVEY_QUESTION_FORM
#
###################
sub change_survey_question_form {
	my %CSQF = @_;
	
	print"<style type=\"text/css\">
	textarea.show_quest{ font-size\: 12pt\; font-family\:Arial\;}
	</style>\n";
	
	print"<style>
	table.table1\{ border-radius:4px\; font-size:11pt\; font-family:Arial\;\}
	</style>\n";
                
 	$CSQF{number} =~ s/\D//g;
 	$CSQF{type} =~ s/\D//g;
 	$CSQF{sub_type} =~ s/\D//g;
	my $error = 0;
	$error = &check_many_length_return("$CSQF{number}","10","$CSQF{type}","5","$CSQF{sub_type}","1");

	if($error != 1 ) {
		my %RETURN = &select_question("query","SELECT * from questions WHERE number=\"$CSQF{number}\" AND u_id=\"$ids\"");
		my %RETURN1 = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$CSQF{number}\" AND u_id=\"$ids\"");
		
		print"<input type=\"hidden\" name=\"select\" value=\"$RETURN{$CSQF{number}}{type}\">
		<input type=\"hidden\" name=\"number\" value=\"$CSQF{number}\">
		<input type=\"hidden\" name=\"u_id\" value=\"$CSQF{u_id}\">
		<input type=\"hidden\" name=\"session_id\" value=\"$CSQF{session_id}\">
		<input type=\"hidden\" name=\"mode\" value=\"$RETURN{$CSQF{number}}{mode}\">
		<input type=\"hidden\" name=\"question\" value=\"\">
		<input type=\"hidden\" name=\"ans_mode\" value=\"$RETURN{$CSQF{number}}{ans_mode}\">
		<input type=\"hidden\" name=\"kolum\" value=\"$RETURN{$CSQF{number}}{kolum}\">\n";

		if($RETURN{$CSQF{number}}{image_id} == 0) {
			print"<input type=\"hidden\" name=\"image_number\" value=\"\">\n";
			}
		else {
			print"<input type=\"hidden\" name=\"image_number\" value=\"$RETURN{$CSQF{number}}{image_id}\">\n";
			}

		if ($RETURN{$CSQF{number}}{type} eq"TF") {
			print"<input type=\"hidden\" name=\"TFans\" value=\"\">\n";
			}
			
                if ($RETURN{$CSQF{number}}{type} eq"YN") {
			print"<input type=\"hidden\" name=\"YNans\" value=\"\">\n";
			}
		
		if ($RETURN{$CSQF{number}}{type} eq"MC") {
                        print"<input type=\"hidden\" name=\"MCans\" value=\"\">\n";
			my $i = 1;

                        while ($i <= $mc_num) {
                                print"<input type=\"hidden\" name=\"select$i\" value=\"$RETURN1{$i}{answer}\">\n";

		   		if($RETURN1{$i}{image_id} > 0) {
					my %IMAGE_NAME = &select4("query","select number,file_name from qst_files where number=\"$RETURN1{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");

				   	print"<input type=\"hidden\" name=\"image$i\" value=\"$RETURN1{$i}{image_id}\">\n";
				   	print"<input type=\"hidden\" name=\"image$i";print"name\" value=\"$IMAGE_NAME{$RETURN1{$i}{image_id}}\">\n";
				   	++$i;
				   	}
				else {
		   			print"<input type=\"hidden\" name=\"image$i\" value=\"\">\n";
		   			print"<input type=\"hidden\" name=\"image$i";print"name\" value=\"\">\n";
					++$i;
					}
                                }
			}
			
                if ($RETURN{$CSQF{number}}{type} eq"MA") {
                        print"<input type=\"hidden\" name=\"MAans\" value=\"\">\n";
                        my $i = 1;
                        for(my $i = 1; $i <= $ma_num; $i++) { 
                                my $selmam = "select"."$i"."mam";
                                my $selma = "select"."$i"."ma";
                        
				if ($RETURN1{$i}{c_answer} == 1) {
                                        if($RETURN{$CSQF{number}}{ans_mode} == 1) {
                                                print"<input type=\"hidden\" name=\"$selmam\" value=\"$i\">\n";
                                                print"<input type=\"hidden\" name=\"$selma\" value=\"\">\n";
                                                }
                                        else {
                                                print"<input type=\"hidden\" name=\"$selma\" value=\"$i\">\n";
                                                print"<input type=\"hidden\" name=\"$selmam\" value=\"\">\n";
                                                }
                                        print"<input type=\"hidden\" name=\"select$i\" value=\"$RETURN1{$i}{answer}\">\n";
                                        }
                                else {
                                        print"<input type=\"hidden\" name=\"$selma\" value=\"\">\n";
                                        print"<input type=\"hidden\" name=\"$selmam\" value=\"\">\n";
                                        print"<input type=\"hidden\" name=\"select$i\" value=\"$RETURN1{$i}{answer}\">\n";
                                        }
                                        
                                if ($RETURN1{$i}{image_id} > 0) {
                                        my %IMAGE_NAME = &select4("query","select number,file_name from qst_files where number=\"$RETURN1{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                        my $iname = "image".$i."name";
                                        print"<input type=\"hidden\" name=\"image$i\" value=\"$RETURN1{$i}{image_id}\">\n";
                                        print"<input type=\"hidden\" name=\"$iname\" value=\"$IMAGE_NAME{$RETURN1{$i}{image_id}}\">\n";
                                        }
                                else {
                                        my $iname = "image".$i."name";
                                        print"<input type=\"hidden\" name=\"image$i\" value=\"\">\n";
                                        print"<input type=\"hidden\" name=\"$iname\" value=\"\">\n";
                                        }
                                        
                                }
			}
                else {
                        if($RETURN{$CSQF{number}}{type} ne"MC") { 
#                        print"<input type=\"hidden\" name=\"MCans\" value=\"\">\n";
                                my $i = 1;
				while ($i <= $mc_num) {
	   				print"<input type=\"hidden\" name=\"select$i\" value=\"\">
	   				<input type=\"hidden\" name=\"image$i\" value=\"\">
	   				<input type=\"hidden\" name=\"image$i";print"name\" value=\"\">\n";
					++$i;
					}
				}
				
#                        print"<input type=\"hidden\" name=\"MAans\" value=\"\">\n";
                        
                        my $j = 1;
                        while ($j <= $ma_num) {
                                print"<input type=\"hidden\" name=\"select$j";print"ma\" value=\"\">\n";
                                print"<input type=\"hidden\" name=\"select$j";print"mam\" value=\"\">\n";
                                ++$j;
                                }
                        }
			

                        
            ##### Print Screen
                print"<TABLE><TR><TD style=\"padding-top:5px\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Description} </B><input type=\"text\" name=\"descrip\" size=\"45\" maxlength=\"60\" STYLE=\"border-radius:.4em\; outline: none\;\" value=\"$RETURN{$CSQF{number}}{descrip}\" ></TD></TR></TABLE>\n";

		#DISPLAY THE EDITOR
                if($RETURN{$CSQF{number}}{mode} == 0) { # BASIC
                        print"<center><TABLE><TR><TD><div ID=\"mode_display0\" style=\"display:block\; padding-top: 8px\; padding-bottom: 4px\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display()\"> $LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Basic}</B></div>
                        <div ID=\"mode_display1\" style=\"display:none\; padding-top: 8px\; padding-bottom: 4px\;\">$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display()\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div></TD></TR></TABLE></center>\n";
                        }
                else { # ADVANCED
                        print"<center><TABLE><TR><TD><div ID=\"mode_display0\" style=\"display:none\; padding-top: 8px\; padding-bottom: 4px\;\"><i  data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Basic}</B></div>
                        <div ID=\"mode_display1\" style=\"display:block\; padding-top: 8px\; padding-bottom: 4px\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div>
			</TD></TR></TABLE></center>\n";
                        }
                        
                
                if($RETURN{$CSQF{number}}{mode} == 0) { # BASIC
                        print"<div ID=\"mode0\" style=\"display:block\;\"><TABLE><TD width=\"20\"></TD><TD style=\"padding-top: 5px\"><textarea  style=\"resize\:none\;\" wrap=\"hard\"  maxlength=\"1500\" rows=\"4\" cols=\"52\" name=\"question0\" value=\"\">$RETURN{$CSQF{number}}{question}</textarea></TD><TD>\n";
                        
                        if( $RETURN{$CSQF{number}}{image_id} > 0) {
                                #get image name
                                my %IMAGE_ID = &select4("query","select number,file_name from qst_files where number=\"$RETURN{$CSQF{number}}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			
                                print"<div ID=\"display1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.25em\; outline: none\;\" readonly type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"&nbsp\;&nbsp\; $IMAGE_ID{$RETURN{$CSQF{number}}{image_id}}\"><BR><center><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Remove}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_delete_handler\(\)\">&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:18px\">X</font></B></div>\n";

                                print"<div ID=\"disp1\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                }
                        else { # just display Insert File
                                print"<div ID=\"disp1\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";

                                print"<div ID=\"display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input readonly STYLE=\"border-radius:.25em\; outline: none\;\" type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"\"><BR><center><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Remove}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_delete_handler\(\)\">&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:18px\">X</font></B></center></div>\n";
                                }
			
			print"</TD></TABLE><P>\n";
			
                        if( $RETURN{$CSQF{number}}{vlink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"$RETURN{$CSQF{number}}{vlink}\"></text>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"\" placeholder=\"mp4, ogg, webm\"></text>\n";
                                }
                        
                        if( $RETURN{$CSQF{number}}{alink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"$RETURN{$CSQF{number}}{alink}\"></text><BR>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"\" placeholder=\"mp3, ogg, wav\"></text><BR>\n";
                                }
                        print"</div>\n";
                                
                        # Editor
                        print"<div ID=\"mode1\" style=\"display:none\; padding-bottom: 4px\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Description} </B><input type=\"text\" name=\"descrip\" size=\"45\" maxlength=\"60\" STYLE=\"border-radius:.4em\; outline: none\;\" value=\"$RETURN{$CSQF{number}}{descrip}\" ><BR><TABLE><TD width=\"20\"></TD><TD style=\"padding-top: 5px\"><textarea id=\"summernote\" name=\"question1\" value=\"\"></textarea></TD></TABLE></div>\n";
                        #End Editor
                        }
                        
                else { # ADVANCED
                        print"<div ID=\"mode0\" style=\"display:none\;\"><TABLE><TD width=\"20\"></TD><TD style=\"padding-top: 5px\"><textarea  style=\"resize\:none\;\" wrap=\"hard\"  maxlength=\"1500\" rows=\"4\" cols=\"52\" name=\"question0\" value=\"\"></textarea></TD><TD>\n";

                        if( $RETURN{$CSQF{number}}{image_id} > 0) {
                                #get image name
                                my %IMAGE_ID = &select4("query","select number,file_name from qst_files where number=\"$RETURN{$CSQF{number}}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			
                                print"<div ID=\"display1\" style=\"display:block\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.25em\; outline: none\;\" readonly type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"&nbsp\;&nbsp\; $IMAGE_ID{$RETURN{$CSQF{number}}{image_id}}\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Remove}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_delete_handler\(\)\"></B></div><div ID=\"disp1\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                }
                        else {
                                print"<div ID=\"disp1\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div><div ID=\"display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input readonly STYLE=\"border-radius:.25em\; outline: none\;\" type=\"text\" width=\"20\" name=\"insert_image_name\" value=\"\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Remove}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_delete_handler\(\)\">&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:18px\">X</font></B></div>\n";
                                }
			
			print"</TD></TABLE><BR>\n";
			
                        if( $RETURN{$CSQF{number}}{vlink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"$RETURN{$CSQF{number}}{vlink}\"></text>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"\" placeholder=\"mp4, ogg, webm\"></text>\n";
                                }
                        
                        if( $RETURN{$CSQF{number}}{alink} ne "0") {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"$RETURN{$CSQF{number}}{alink}\"></text><BR></div>\n";
                                }
                        else {
                                print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink}&nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"\" placeholder=\"mp3, ogg, wav\"></text><BR></div>\n";
                                }
                                
                        # Editor
                        print"<div ID=\"mode1\" style=\"display:block\;\"><center><TABLE><TD width=\"20\"></TD><TD style=\"padding-top: 5px\"><textarea id=\"summernote\" name=\"question1\" value=\"\">$RETURN{$CSQF{number}}{question}</textarea></TD></TABLE></center></div>\n";
                        print"<div ID=\"mode2\" style=\"display:none\;\"></div><div ID=\"output\" style=\"display:none\;\"></div><div ID=\"hidep\" style=\"display:none\;\"></div>\n";
                        #End Editor
            
                        }
                        
                print"</TD></TR></TABLE>\n";
                print"<img src =\"\/schools\/blank.gif\" onLoad=\"load_handler\(\'$RETURN{$CSQF{number}}{type}\'\)\">\n";

                
                print"<center><TABLE name=\"table1\"><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD>
		<TD><div ID=\"anstype1\" style=\"display:block\;\"><font OnClick=\"show_mc\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MultipleChoice}</font></div><div ID=\"anstype1a\" style=\"display:none\;\"><font OnClick=\"show_mc\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{MultipleChoice}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype2\" style=\"display:block\;\"><font OnClick=\"show_ma\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MultipleAnswer}</font></div><div ID=\"anstype2a\" style=\"display:none\;\"><font OnClick=\"show_ma\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{MultipleAnswer}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype3\" style=\"display:block\;\"><font OnClick=\"show_tf\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{TF}</font></div><div ID=\"anstype3a\" style=\"display:none\;\"><font OnClick=\"show_tf\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{TF}</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype7\" style=\"display:block\;\"><font OnClick=\"show_yn\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">Y/N</font></div><div ID=\"anstype7a\" style=\"display:none\;\"><font OnClick=\"show_yn\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>Y/N</B></font></div></TD><TD width=\"10\"></TD><TD><div ID=\"anstype6\" style=\"display:block\;\"><font OnClick=\"show_ad\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{AgreeDisagree}</font></div><div ID=\"anstype6a\" style=\"display:none\;\"><font OnClick=\"show_ad\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{AgreeDisagree}</B></font></div></TD></TABLE></center><div ID=\"anstype4\" style=\"display:none\;\"></div><div ID=\"anstype4a\" style=\"display:none\;\"></div><div ID=\"anstype5\" style=\"display:none\;\"></div><div ID=\"anstype5a\" style=\"display:none\;\"></div> ";
                print"<div ID=\"anstype4\" style=\"display:none\;\"></div><div ID=\"anstype4a\" style=\"display:none\;\"></div><div ID=\"anstype5\" style=\"display:none\;\"></div><div ID=\"anstype5a\" style=\"display:none\;\"></div><div ID=\"anstype8\" style=\"display:none\;\"></div><div ID=\"anstype8a\" style=\"display:none\;\"></div> ";

		print"</FORM>\n"; 

       #        &print_form("form_name","t_f","form_target","quest2","input","question_tf","answer","","u_id","$CSQF{u_id}","session_id","$CSQF{session_id}","type","$CSQF{type}","sub_type","$CSQF{sub_type}");
                &print_form("form_name","t_f","form_target","quest2","input","question_tf","u_id","$CSQF{u_id}","session_id","$CSQF{session_id}","type","$CSQF{type}","sub_type","$CSQF{sub_type}");
                
	#	&print_form("form_name","y_n","form_target","quest2","input","question_yn","answer","","u_id","$CSQF{u_id}","session_id","$CSQF{session_id}","type","$CSQF{type}","sub_type","$CSQF{sub_type}");
		&print_form("form_name","y_n","form_target","quest2","input","question_yn","u_id","$CSQF{u_id}","session_id","$CSQF{session_id}","type","$CSQF{type}","sub_type","$CSQF{sub_type}");

                &print_form("form_name","s_a","form_target","quest2","input","question_sa","SAans","","u_id","$CSQF{u_id}","session_id","$CSQF{session_id}","type","$CSQF{type}","sub_type","$CSQF{sub_type}");
		&print_form("form_name","p","form_target","quest2","input","question_p","Pans","","u_id","$CSQF{u_id}","session_id","$CSQF{session_id}","type","$CSQF{type}","sub_type","$CSQF{sub_type}");
		
                &print_form("form_name","ad","form_target","quest2","input","question_ad","sub_type","$CSQF{sub_type}","u_id","$CSQF{u_id}","session_id","$CSQF{session_id}","type","$CSQF{type}","sub_type","$CSQF{sub_type}");
            
                &print_form_mc("form_name","mc","form_target","quest2","input","question_mc","kolum","$CSQF{kolum}","answer","","u_id","$CSQF{u_id}","session_id","$CSQF{session_id}","type","$CSQF{type}","sub_type","$CSQF{sub_type}","ans_mode","$RETURN{$CSQF{number}}{ans_mode}");
	
                &print_form_ma("form_name","ma","form_target","quest2","input","question_ma","kolum","$CSQF{kolum}","type","$CSQF{type}","sub_type","$CSQF{sub_type}","u_id","$CSQF{u_id}","session_id","$CSQF{session_id}","type","$CSQF{type}","sub_type","$CSQF{sub_type}","ans_mode","$RETURN{$CSQF{number}}{ans_mode}");
            
                &print_form("form_name","view_files","form_target","view_files_left","input","view_select_files","targit","","u_id","$CSQF{u_id}","session_id","$CSQF{session_id}","mode","");
                
                &print_javascript_begin();
	
                &print_mode_display("mode","$RETURN{$CSQF{number}}{mode}");
                
                &print_javascript_end();
                
		}

	}

######################
#
# CHANGE_QUEST
#
#####################
sub change_quest {
	my %CQUEST = @_;
 	$CQUEST{type} =~ s/\D//g;
 	$CQUEST{number} =~ s/\D//g;
 	$CQUEST{sub_type} =~ s/\D//g;
	my $error = 0; 
	$error = &check_many_length_return("$CQUEST{number}","10","$CQUEST{type}","5","$CQUEST{sub_type}","1",,"$CQUEST{name}","20");

	print"<style>
	table\{ border-radius:6px\; font-size:11pt\; font-family:Arial\;\}
	</style>\n";
        
        &print_editor();
        
        &print_javascript_begin();
        
	print"function ClearAType(i_n) \{
         for (i = 1\; i <= 8\; i++) \{
                if(i != i_n) \{
                        var sel = 'anstype'+i;
                        var sela = 'anstype'+i+'a';
                        var y = document.getElementById(sel)\;
                        y.style.display = \"block\"\;
                        var x = document.getElementById(sela)\;
                        x.style.display = \"none\"\;
                        \}
                \}
        \}\n";
        
        &print_load_handler("sub_type","$CQUEST{sub_type}");
        
	&print_javascript_end();

                
    ##### Print the screen
	if ($CQUEST{sub_type} != 2) { # quiz/test question                
		print"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"/schools/arrow.gif\"> <B><font style=\"font-size:13pt\; padding-top: 4px\;\">Change a question</font></B> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>$LANGUAGE{$set_language}{QuestionFolder} - </B> <i>$CQUEST{name}</i>\n";

                &write_quest("type","$CQUEST{type}","from","6","sub_type","$CQUEST{sub_type}","u_id","$CQUEST{u_id}","session_id","$CQUEST{session_id}");

	      	&show_tf();
	      	&show_yn();
	      	&show_sa();
	      	&show_p();
	      	&show_mc();
	      	&show_ma();
	      	&show_mx();
            	$CQUEST{name} =~ s/\"/&\#34/g;
            	
                &print_form_wo_end_tag("form_name","question_form","form_target","theright","input","change_quest1","type","$CQUEST{type}","sub_type","$CQUEST{sub_type}","expand","$CQUEST{expand}","name","$CQUEST{name}","from","","u_id","$CQUEST{u_id}","session_id","$CQUEST{session_id}");
		
                &change_question_form("number","$CQUEST{number}","sub_type","$CQUEST{sub_type}","u_id","$CQUEST{u_id}","session_id","$CQUEST{session_id}");
      		
      		print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\" style=\"padding-top: 4px\; padding-bottom: 4px\;\"><B><font color=\"white\" STYLE=\" cursor:pointer\; font-family:Arial\; font-size:11pt\;\"  OnClick=\"click_handler\(\'1\'\)\"> $LANGUAGE{$set_language}{Preview} </font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\" OnClick=\"click_handler\(\'3\'\)\">$LANGUAGE{$set_language}{Save}</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\" OnClick=\"click_handler\(\'2\'\)\">$LANGUAGE{$set_language}{Saveasnew}</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\"  OnClick=\"self.parent.close\(\)\"> $LANGUAGE{$set_language}{Cancel} </font></B></TD></TR></TABLE> \n";
		}
		
	else { # survey question
		print"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"/schools/arrow.gif\"> <B><font style=\"font-size:13pt\; padding-top: 4px\;\">Change a question</font></B> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>$LANGUAGE{$set_language}{QuestionFolder} - </B> <i>$CQUEST{name}</i>\n";

                &write_quest2("type","$CQUEST{type}","from","$CQUEST{from}","sub_type","$CQUEST{sub_type}","u_id","$CQUEST{u_id}","session_id","$CQUEST{session_id}");
       
	      	&show_tf();
	      	&show_ynq();
	      	&show_mc();
		&show_ad();
		&show_ma();
		&show_mx();
            	$CQUEST{name} =~ s/\"/&\#34/g;
      
                &print_form_wo_end_tag("form_name","question_form","form_target","theright","input","change_quest1","type","$CQUEST{type}","sub_type","$CQUEST{sub_type}","expand","$CQUEST{expand}","from","","sub_type","$CQUEST{sub_type}","u_id","$CQUEST{u_id}","session_id","$CQUEST{session_id}");
      	     
                &change_survey_question_form("number","$CQUEST{number}","type","$CQUEST{type}","sub_type","$CQUEST{sub_type}","from","$CQUEST{from}","u_id","$CQUEST{u_id}","session_id","$CQUEST{session_id}");

      		print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\" style=\"padding-top: 4px\; padding-bottom: 4px\;\"><B><font color=\"white\" STYLE=\" cursor:pointer\; font-family:Arial\; font-size:11pt\;\"  OnClick=\"click_handler\(\'1\'\)\"> $LANGUAGE{$set_language}{Preview} </font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\" OnClick=\"click_handler\(\'3\'\)\">$LANGUAGE{$set_language}{Save}</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\" OnClick=\"click_handler\(\'2\'\)\">$LANGUAGE{$set_language}{Saveasnew}</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\"  OnClick=\"self.parent.close\(\)\"> $LANGUAGE{$set_language}{Cancel} </font></B></TD></TR></TABLE> \n";
		}
        
	}

###############
#
# CHANGE_QUEST1
#
###############
sub change_quest1{
	my %QUEST1 = @_;
 	$QUEST1{number} =~ s/\D//g;
 	$QUEST1{expand} =~ s/[^0-9,]//g;
 	$QUEST1{type} =~ s/\D//g;
  	$QUEST1{sub_type} =~ s/\D//g;
 	$QUEST1{value} =~ s/\D//g;
  	$QUEST1{image_number} =~ s/\D//g;
	$QUEST1{image1} =~ s/\D//g;
	$QUEST1{image2} =~ s/\D//g;
	$QUEST1{image3} =~ s/\D//g;
	$QUEST1{image4} =~ s/\D//g;
        $QUEST1{image5} =~ s/\D//g;
	$QUEST1{image6} =~ s/\D//g;
	$QUEST1{image7} =~ s/\D//g;
	$QUEST1{image8} =~ s/\D//g;
	$QUEST1{image9} =~ s/\D//g;
	$QUEST1{image10} =~ s/\D//g;
	$QUEST1{image11} =~ s/\D//g;
	$QUEST1{image12} =~ s/\D//g;
	$QUEST1{image13} =~ s/\D//g;
	$QUEST1{image14} =~ s/\D//g;
	$QUEST1{image15} =~ s/\D//g;
	$QUEST1{kolum} =~ s/\D//g;
	$QUEST1{mode} =~ s/\D//g;
	$QUEST1{ans_mode} =~ s/\D//g;
	$QUEST1{pptx_number} =~ s/\D//g;

	
	my $error = 0; #
	$error = &check_many_length_return("$QUEST1{number}","10","$QUEST1{type}","5","$QUEST1{value}","3","$QUEST1{question}","1550","$QUEST1{sub_type}","1","$QUEST1{select}","10");

	my $empty = $QUEST1{question};
	$empty =~ s/\s//g;
	
	# check if question is still there
	my $count = &is_there("table","questions","number","$QUEST1{number}");
	
	# check they own the question image
	my $image_error = 0;
	
	if(defined $QUEST1{image_number} && $QUEST1{image_number} > 0 && $QUEST1{ans_mode} != 1) {
		my %RETURN_QUESTION_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUEST1{image_number}\" and org_id=\"$org_id\" and (u_id =\"$ids\" OR u_id=\"0\")");
		if(!keys %RETURN_QUESTION_IMAGE) {
			++$image_error;
			}
		}
		
	# check they own the pdf
	my $pdf_error = 0;

	if (defined $QUEST1{pptx_number} && $QUEST1{pptx_number} > 0) {
		my %RETURN_PDF = &select4("query","select number,file_name from qst_files where number=\"$QUEST1{pptx_number}\" and u_id =\"$ids\"");
		if(!keys %RETURN_PDF) {
			++$pdf_error;
			}
		}
	
	if (!defined $QUEST1{pptx_number}) {
		$QUEST1{pptx_number} = 0;
		}
	
	if(!defined $QUEST1{image_number}) {
		$QUEST1{image_number} = "0";
		}
		
        if(!defined $QUEST1{vlink}) {
		$QUEST1{vlink} = "0";
		}
		
	if(!defined $QUEST1{alink}) {
		$QUEST1{alink} = "0";
		}
		
        if(!defined $QUEST1{value}) {
                $QUEST1{value} = 0;
                }
                
        if(!defined $QUEST1{kolum}) {
                $QUEST1{kolum} = 0;
                }
                
        if(!defined $QUEST1{mode}) {
                $QUEST1{mode} = 0;
                }
                
        if(!defined $QUEST1{ans_mode}) {
                $QUEST1{ans_mode} = 0;
                }


	if (($empty ne "" || $image_error == 0 || $QUEST1{vlink} ne"0" || $QUEST1{alink} ne"0") && $count == 1 && $error != 1 && $QUEST1{descrip} ne "" && $pdf_error == 0) {
		if ($QUEST1{select} eq"TF") {
			if($QUEST1{sub_type} != 2) { #quiz/test questions
				$QUEST1{TFans} =~ s/[^T,F]//g;

				if($QUEST1{TFans} ne"") {
                                        &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","0","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}","pdf","$QUEST1{pptx_number}");
                                        
					&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND u_id=\"$ids\"");
					
					&insert_generic("query","INSERT question_answers VALUES(\"$QUEST1{number}\",\"1\",\"$QUEST1{TFans}\",\"1\",\"$ids\",\"$org_id\",\"0\")");
					}
				}
				
			else { #survey questions
                                &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","0","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","0","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}","pdf","$QUEST1{pptx_number}");
                                
				&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND u_id=\"$ids\"");
				
				&insert_generic("query","INSERT question_answers VALUES(\"$QUEST1{number}\",\"1\",\"\",\"1\",\"$ids\",\"$org_id\",\"0\")");
				}
			}

                elsif ($QUEST1{select} eq"YN") {
			if($QUEST1{sub_type} != 2) { #quiz/test questions
				$QUEST1{YNans} =~ s/[^Y,N]//g;
				if($QUEST1{YNans} ne"") {
                                        &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","0","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}","pdf","$QUEST1{pptx_number}");
                                        
					&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND u_id=\"$ids\"");
					
					&insert_generic("query","INSERT question_answers VALUES(\"$QUEST1{number}\",\"1\",\"$QUEST1{YNans}\",\"1\",\"$ids\",\"$org_id\",\"0\")");
					}
				}
				
			else { #survey questions
                                &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","0","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","0","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}","pdf","$QUEST1{pptx_number}");

				&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND u_id=\"$ids\"");
				
				&insert_generic("query","INSERT question_answers VALUES(\"$QUEST1{number}\",\"1\",\"\",\"1\",\"$ids\",\"$org_id\",\"0\")");

				}
			}
			
		elsif ($QUEST1{select} eq"MC") { # Multiple Choice
		
                        # check whether there are enough answers
			my $enough_answers = 0;
			my $no =1;
			for ($no = 1; $no <= $mc_num; ++$no) {
				my $n_select = "select"."$no";
				my $empty_mcans = $QUEST1{$n_select};
				$empty_mcans =~ s/\s//g;
				my $i_select = "image"."$no";
				my $empty_image = $QUEST1{$i_select};
				$empty_image =~ s/\s//g;
				
				if ((defined $QUEST1{$n_select} && length($QUEST1{$n_select}) < 76 && $empty_mcans ne"" && $QUEST1{ans_mode} == 0) || (defined $QUEST1{$i_select} && $empty_image ne"" && $QUEST1{ans_mode} == 0)) {
					++$enough_answers;
					}
                                elsif(defined $QUEST1{$n_select} && ($QUEST1{ans_mode} == 1 || $QUEST1{ans_mode} == 2)) {
                                        ++$enough_answers;
                                        }
				}
				
                        # check whether they own the images
			my $image_num;
			my $image_error = 0;
			
			if($QUEST1{ans_mode} != 1) {
                                for ($image_num = 1; $image_num <= $mc_num; ++$image_num) {
                                        my $i_image = "image"."$image_num";
                                        my $empty_image = $QUEST1{$i_image};
                                        $empty_image =~ s/\s//g;
				
                                        if (defined $QUEST1{$i_image} && $empty_image ne"" && $QUEST1{$i_image} > 0) {
                                                my %RETURN_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUEST1{$i_image}\" and org_id=\"$org_id\" and (u_id =\"$ids\" OR u_id=\"0\")");
					
                                                if(!keys %RETURN_IMAGE) {
                                                        ++$image_error;
                                                        }
						}
					}
                                
				}
				
			if($enough_answers > 1 && $image_error == 0) { # at least 2 answers and good image
                                &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","$QUEST1{kolum}","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}","pdf","$QUEST1{pptx_number}");
                                
                                &generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND u_id=\"$ids\"");

				my $i =1 ;
				my $num = 1;
				for ($i = 1; $i <= $mc_num; ++$i) {
					my $n_select = "select"."$i";
					my $i_select = "image"."$i";
					if ($QUEST1{MCans} == $i && $QUEST1{ans_mode} == 0) { # Basic Mode has image
                                                &insert_mc_question_answers_quote("number","$QUEST1{number}","ids","$ids","quote","$QUEST1{$n_select}","num","$num","correct","1","image_id","$QUEST1{$i_select}");
                                                ++$num;
						}
                                        elsif ($QUEST1{MCans} == $i && ($QUEST1{ans_mode} == 1 || $QUEST1{ans_mode} == 2)) { # Advanced EQUATION mode
                                                &insert_mc_question_answers_quote("number","$QUEST1{number}","ids","$ids","quote","$QUEST1{$n_select}","num","$num","correct","1","image_id","0");
                                                ++$num;
						}
					elsif((defined $QUEST1{$n_select} || $QUEST1{$i_select} > 0) && $QUEST1{ans_mode} == 0 ) { #Basic mode
                                                &insert_mc_question_answers_quote("number","$QUEST1{number}","ids","$ids","quote","$QUEST1{$n_select}","num","$num","correct","0","image_id","$QUEST1{$i_select}");
                                                ++$num;
						}
                                        elsif(defined $QUEST1{$n_select} && ($QUEST1{ans_mode} == 1 || $QUEST1{ans_mode} == 2)) { # Advanced Equation mode
                                                &insert_mc_question_answers_quote("number","$QUEST1{number}","ids","$ids","quote","$QUEST1{$n_select}","num","$num","correct","0","image_id","0");
                                                ++$num;
						}
					}
				}
			}
			
                elsif ($QUEST1{select} eq"MA") { # Multiple Answers
			# check whether there are answers
			my $not_enough_answers = 0;
			my $no =1;
			for ($no = 1; $no <= $ma_num; ++$no) {
				my $n_select = "select"."$no";
				my $empty_mcans = $QUEST1{$n_select};
				$empty_mcans =~ s/\s//g;
				my $i_select = "image"."$no";
				my $empty_image = $QUEST1{$i_select};
				$empty_image =~ s/\s//g;
				
				if ((!defined $QUEST1{$n_select} && length($QUEST1{$n_select}) > 75 && $empty_mcans eq"" && $QUEST1{ans_mode} != 1) && (!defined $QUEST1{$i_select} && $empty_image eq"")) {
					++$not_enough_answers;
					}
					
				}
				
                        # check whether they own the images
			my $image_num;
			my $image_error = 0;
			for ($image_num = 1; $image_num <= $ma_num; ++$image_num) {
				my $i_image = "image"."$image_num";
				my $empty_image = $QUEST1{$i_image};
				$empty_image =~ s/\s//g;
				
				if (defined $QUEST1{$i_image} && $empty_image ne"" && $QUEST1{$i_image} > 0) {
					my %RETURN_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUEST1{$i_image}\"  and org_id=\"$org_id\" and (u_id =\"$ids\" OR u_id=\"0\")");
					
					if(!keys %RETURN_IMAGE) {
						++$image_error;
						}
					}
				}

			if($not_enough_answers == 0 && $image_error == 0) { # add the question
                                update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","$QUEST1{kolum}","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}","pdf","$QUEST1{pptx_number}");
                                
				&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND u_id=\"$ids\"");
                
				my $i =1 ;
				my $num = 1;
				for ($i = 1; $i <= $ma_num; ++$i) {
					my $n_select = "select"."$i";
					my $cor_ans;
					my $i_select = "image"."$i";

					if($QUEST1{ans_mode} == 1) {
                                                $cor_ans = "select"."$i"."mam";
                                                }
                                        elsif($QUEST1{ans_mode} == 2) {
                                                $cor_ans = "select"."$i"."maeq";
                                                }
                                        else {
                                               $cor_ans = "select"."$i"."ma";
                                                }
                                                
					if ($QUEST1{$n_select} ne"" || $QUEST1{$i_select} > 0) {
                                                if($QUEST1{$cor_ans} == $i ) {
                                                        &insert_ma_question_answers_quote("number","$QUEST1{number}","ids","$ids","quote","$QUEST1{$n_select}","num","$num","correct","1","image_id","$QUEST1{$i_select}");
                                                        ++$num;
                                                        }
                                                else {
                                                        &insert_ma_question_answers_quote("number","$QUEST1{number}","ids","$ids","quote","$QUEST1{$n_select}","num","$num","correct","0","image_id","$QUEST1{$i_select}");
                                                        ++$num;
                                                        }
                                                }
					}
				}
			}
			
                elsif ($QUEST1{select} eq"MX") { # Matching
			# check whether there are matching answers
			my $no_matching_answer = 0;
			my $no =1;
			my %ANSWERS = ();
			for ($no = 1; $no <= $mx_num; ++$no) {
				my $n_select = "select"."$no";
				my $matching = "select"."$no"."mx";
				my $empty_mxans = $QUEST1{$n_select};
				my $empty_match = $QUEST1{$matching};
				$empty_mxans =~ s/\s//g;
				$empty_match =~ s/\s//g;
				
				# check to remove doubles
				if(!exists $ANSWERS{$empty_match}) {
                                        $ANSWERS{$empty_match} = $no;
                                        }
                                        
				#check to see it has a matching answer
				if (($empty_mxans ne "" && $empty_match eq"") || length($QUEST1{$n_select}) > 30 || length($QUEST1{$matching}) > 30) {
					++$no_matching_answer;
					}
				}

			if($no_matching_answer == 0) { # add the question
                                
				if($QUEST1{sub_type} == 2) { # survey questions
					}
				else { # quiz/test questions
                                        update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","0","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}","pdf","$QUEST1{pptx_number}");
					}
		
                                &generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND u_id=\"$ids\"");
                                
                                # insert the matching answers
				my $i =1 ;
				my $num = 1;
				for ($i = 1; $i <= $mx_num; ++$i) {
					my $n_select = "select"."$i";
					my $cor_ans = "select"."$i"."mx";
					my $i_select = "image"."$i";
					
					if ($QUEST1{$n_select} ne"") {
                                                # insert matching answers first
                                                &insert_mx_question_answers_quote("number","$QUEST1{number}","ids","$ids","quote","$QUEST1{$cor_ans}","num","$num","correct","1","image_id","$QUEST1{$i_select}");
                                                my $old = $num;
                                                ++$num;
                                                
                                                # insert text
                                                &insert_mx_question_answers_quote("number","$QUEST1{number}","ids","$ids","quote","$QUEST1{$n_select}","num","$old","correct","0","image_id","$QUEST1{$i_select}");
                                                }
                                                
                                        if ($QUEST1{$cor_ans} ne"" && $QUEST1{$n_select} eq"") {
                                                # insert other matching ansers
                                                &insert_mx_question_answers_quote("number","$QUEST1{number}","ids","$ids","quote","$QUEST1{$cor_ans}","num","$num","correct","1","image_id","$QUEST1{$i_select}");
                                                ++$num;
                                                }
					}
				}
			}
			
		elsif ($QUEST1{select} eq"SA") {
			my $sa_ans = $QUEST1{SAans};
			$sa_ans =~ s/\s//g;
			if($QUEST1{sub_type} != 2) { #quiz/test questions
				if($sa_ans ne"") {
                                        &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","0","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}","pdf","$QUEST1{pptx_number}");
                                        
					&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND u_id=\"$ids\"");
					
					&insert_question_answers_quote("number","$QUEST1{number}","ids","$ids","quote","$QUEST1{SAans}","image_id","0");
					}
				}
				
			else { #survey questions
				&update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","0","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}","pdf","$QUEST1{pptx_number}");
				
				&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND u_id=\"$ids\"");
				
				&insert_question_answers_quote("number","$QUEST1{number}","ids","$ids","quote","","image_id","0");
				}
			}
			
		elsif ($QUEST1{select} eq"P") {
			my $p_ans = $QUEST1{Pans};
			$p_ans =~ s/\s//g;
			
			if($p_ans ne"") {
                                &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","0","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}","pdf","$QUEST1{pptx_number}");
                                
				&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND u_id=\"$ids\"");
				
				&insert_question_answers_quote("number","$QUEST1{number}","ids","$ids","quote","$QUEST1{Pans}","image_id","0");
				}
			}
			
		elsif ($QUEST1{select} eq"AD") {
                        &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","0","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}");
			}
			
		}
		
	&questions("expand","$QUEST1{expand}","type","1","sub_type","1","u_id","$QUEST1{u_id}","session_id","$QUEST1{session_id}");
	
	}

######################
#
# CHANGE_BANK_QUEST
#
#####################
sub change_bank_quest {
	my %CQUEST = @_;
 	$CQUEST{type} =~ s/\D//g;
 	$CQUEST{number} =~ s/\D//g;
 	$CQUEST{sub_type} =~ s/\D//g;
	my $error = 0; 
	$error = &check_many_length_return("$CQUEST{number}","10","$CQUEST{type}","5","$CQUEST{sub_type}","1",,"$CQUEST{name}","20");

	print"<style>
	table\{ border-radius:6px\; font-size:9pt\; font-family:Arial\;\}
	</style>\n";

	&print_javascript_begin();
                
        &print_mode_display("mode","1");
                
        &print_javascript_end();
                
        &print_editor();
        
	&print_javascript_begin();
	
     	print"function load_handler\(quest_type\) \{
	if\(quest_type == \"TF\"\)\{
	var tf_answer = document.question_form.TFans.value
	document.t_f.answer.value = tf_answer
	show_tf\(\)
	\}
	if\(quest_type == \"YN\"\)\{
	var yn_answer
	yn_answer = document.question_form.YNans.value
	document.y_n.answer.value = yn_answer
	show_yn\(\)
	\}
	if\(quest_type == \"P\"\)\{
	var p_answer
	p_answer = document.question_form.Pans.value
	document.p.Pans.value = p_answer
	var pans_mode = document.question_form.ans_mode.value
        document.p.ans_mode.value = pans_mode
	show_p\(\)
	\}
	if\(quest_type == \"SA\"\)\{
	var sa_answer
	sa_answer = document.question_form.SAans.value
	document.s_a.SAans.value = sa_answer
	show_sa\(\)
	\}
	if\(quest_type == \"AD\"\)\{
	var ad_answer
	show_ad\(\)
	\}\n";

	print"if\(quest_type == \"MC\"\)\{\n";
	print"var mc_answer = document.question_form.MCans.value
	document.mc.answer.value = mc_answer
	var kolum_no = document.question_form.kolum.value
	document.mc.kolum.value = kolum_no
        var ans_mod = document.question_form.ans_mode.value
	document.mc.ans_mode.value = ans_mod\n";
	
	my $y = 1;
        while ($y <= $mc_num) {
                print"var select$y = document.question_form.select$y.value\n";
                print"document.mc.select$y.value = select$y\n";
                print"var image$y = document.question_form.image$y.value\n";
                print"document.mc.image$y.value = image$y\n";
                print"var image$y";print"name = document.question_form.image$y";print"name.value\n";
                print"document.mc.image$y";print"name.value = image$y";print"name\n";
                ++$y;
                }
	
	print"show_mc\(\)
	\}

	
        if\(quest_type == \"MA\"\)\{
	var ma_answer\n";
	print"kolum_no = document.question_form.kolum.value
	document.ma.kolum.value = kolum_no\n";
	print"var ans_mod = document.question_form.ans_mode.value
	document.ma.ans_mode.value = ans_mod\n";
	
        my $w = 1;
        while ($w <= $ma_num) {
                print"var select$w = document.question_form.select$w.value\n";
                print"document.ma.select$w.value = select$w\n";
                print"var select$w";print"ma = document.question_form.select$w";print"ma.value\n";
                print"document.ma.select$w";print"ma.value = select$w";print"ma\n";
                print"var select$w";print"mam = document.question_form.select$w";print"mam.value\n";
                print"document.ma.select$w";print"mam.value = select$w";print"mam\n";
                print"var select$w";print"maeq = document.question_form.select$w";print"maeq.value\n";
                print"document.ma.select$w";print"maeq.value = select$w";print"maeq\n";
                
                print"var image$w = document.question_form.image$w.value\n";
                print"document.ma.image$w.value = image$w\n";
                print"var image$w";print"name = document.question_form.image$w";print"name.value\n";
                print"document.ma.image$w";print"name.value = image$w";print"name\n";
                ++$w;
                }
	
	print"show_ma\(\)	
	\}\n";
	
	
	print"if\(quest_type == \"MX\"\)\{
	var mx_answer\n";
                
        my $v = 1;
        while ($v <= $mx_num) {
                print"var select$v = document.question_form.select$v.value\n";
                print"document.mx.select$v.value = select$v\n";
                print"var select$v";print"mx = document.question_form.select$v";print"mx.value\n";
                print"document.mx.select$v";print"mx.value = select$v";print"mx\n";
                ++$v;
                }
                
	print"show_mx\(\)	
	\}
	\}\n";
	
	&print_javascript_end();
                
	&top_heading24();
	print"</TD><TD width=\"40\"></TD><TD>  <B>$LANGUAGE{$set_language}{QuestionFolder} - </B> <i>$CQUEST{name}</i></TD></TABLE>\n";
	
	if ($CQUEST{sub_type} == 1) { # quiz/test question
                &write_bank_quest("type","$CQUEST{type}","from","6","sub_type","$CQUEST{sub_type}","u_id","$CQUEST{u_id}","session_id","$CQUEST{session_id}");
                
	      	&show_tf();
	      	&show_sa();
	      	&show_p();
	      	&show_mc();
	      	&show_ma();
	      	&show_mx();
	      	&show_yn();
	      	
            	$CQUEST{name} =~ s/\"/&\#34/g;
            	
                &print_form_wo_end_tag("form_name","question_form","form_target","theright","input","change_bank_quest1","type","$CQUEST{type}","sub_type","$CQUEST{sub_type}","expand","$CQUEST{expand}","name","$CQUEST{name}","from","","u_id","$CQUEST{u_id}","session_id","$CQUEST{session_id}");
 
                &change_bank_question_form("number","$CQUEST{number}","sub_type","$CQUEST{sub_type}","u_id","$CQUEST{u_id}","session_id","$CQUEST{session_id}");

                print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\" style=\"padding-top: 4px\; padding-bottom: 4px\;\"><B><font color=\"white\" STYLE=\" cursor:pointer\; font-family:Arial\; font-size:11pt\;\"  OnClick=\"click_handler\(\'1\'\)\"> $LANGUAGE{$set_language}{Preview} </font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\" OnClick=\"click_handler\(\'3\'\)\">$LANGUAGE{$set_language}{Save}</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Saveandcreateanother}\"STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\" OnClick=\"click_handler\(\'2\'\)\">$LANGUAGE{$set_language}{Saveasnew}</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\"  OnClick=\"self.parent.close\(\)\"> $LANGUAGE{$set_language}{Cancel} </font></B></TD></TR></TABLE> \n";
		}
	
	}

###############
#
# CHANGE_BANK_QUEST1
#
###############
sub change_bank_quest1{
	my %QUEST1 = @_;

 	$QUEST1{number} =~ s/\D//g;
 	$QUEST1{expand} =~ s/[^0-9,]//g;
 	$QUEST1{type} =~ s/\D//g;
  	$QUEST1{sub_type} =~ s/\D//g;
 	$QUEST1{value} =~ s/\D//g;
  	$QUEST1{image_number} =~ s/\D//g;
	$QUEST1{image1} =~ s/\D//g;
	$QUEST1{image2} =~ s/\D//g;
	$QUEST1{image3} =~ s/\D//g;
	$QUEST1{image4} =~ s/\D//g;
        $QUEST1{image5} =~ s/\D//g;
	$QUEST1{image6} =~ s/\D//g;
	$QUEST1{image7} =~ s/\D//g;
	$QUEST1{image8} =~ s/\D//g;
	$QUEST1{image9} =~ s/\D//g;
	$QUEST1{image10} =~ s/\D//g;
	$QUEST1{image11} =~ s/\D//g;
	$QUEST1{image12} =~ s/\D//g;
	$QUEST1{image13} =~ s/\D//g;
	$QUEST1{image14} =~ s/\D//g;
	$QUEST1{image15} =~ s/\D//g;
	$QUEST1{kolum} =~ s/\D//g;
	$QUEST1{mode} =~ s/\D//g;
	$QUEST1{ans_mode} =~ s/\D//g;
	$QUEST1{MCans} =~ s/\D//g;
	
	my $error = 0; #
	$error = &check_many_length_return("$QUEST1{number}","10","$QUEST1{type}","5","$QUEST1{value}","3","$QUEST1{question}","1550","$QUEST1{sub_type}","1","$QUEST1{select}","10");

	my $empty = $QUEST1{question};
	$empty =~ s/\s//g;
	
	# check if question is still there
	my $count = &bank_is_there("table","questions","number","$QUEST1{number}");
	
	# check they own the question image
	my $image_error = 0;
	
	if(defined $QUEST1{image_number} && $QUEST1{image_number} > 0 && $QUEST1{ans_mode} == 0) {
		my %RETURN_QUESTION_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUEST1{image_number}\" and org_id =\"$org_id\"");
		
		if(!keys %RETURN_QUESTION_IMAGE) {
			++$image_error;
			}
		}
		
	if(!defined $QUEST1{image_number}) {
		$QUEST1{image_number} = "0";
		}

        if(!defined $QUEST1{vlink}) {
		$QUEST1{vlink} = "0";
		}
		
        if(!defined $QUEST1{kolum}) {
		$QUEST1{kolum} = "0";
		}
		
        if(!defined $QUEST1{mode}) {
		$QUEST1{mode} = "0";
		}
		
        if(!defined $QUEST1{ans_mode}) {
		$QUEST1{ans_mode} = "0";
		}
		
	if (($empty ne "" || $image_error == 0 || $QUEST1{vlink} ne"0") && $count == 1 && $error != 1 && $QUEST1{descrip} ne "") {
	
		if ($QUEST1{select} eq"TF") {
		
			if($QUEST1{sub_type} != 2) { #quiz/test questions
				$QUEST1{TFans} =~ s/[^T,F]//g;
				
				if($QUEST1{TFans} ne"") {
                                        &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","$QUEST1{kolum}","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}");
                                        
					&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND u_id=\"0\" AND org_id=\"$org_id\"");
					
					&insert_generic("query","INSERT question_answers VALUES(\"$QUEST1{number}\",\"1\",\"$QUEST1{TFans}\",\"1\",\"0\",\"$org_id\",\"0\")");
					}
				}
			}

                elsif ($QUEST1{select} eq"YN") {
			if($QUEST1{sub_type} != 2) { #quiz/test questions
				$QUEST1{YNans} =~ s/[^Y,N]//g;
				if($QUEST1{YNans} ne"") {
                                        &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","0","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}");
                                        
					&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND u_id=\"$ids\"");
					
					&insert_generic("query","INSERT question_answers VALUES(\"$QUEST1{number}\",\"1\",\"$QUEST1{YNans}\",\"1\",\"0\",\"$org_id\",\"0\")");
					}
				}
			}
			
		elsif ($QUEST1{select} eq"MC") {
			# check if there are at least 2 answers
			my $enough_answers = 0;
			my $no =1;
			
			for ($no = 1; $no <= $mc_num; ++$no) {
				my $n_select = "select"."$no";
				my $empty_mcans = $QUEST1{$n_select};
				$empty_mcans =~ s/\s//g;
				my $i_select = "image"."$no";

                                if ((defined $QUEST1{$n_select} && length($QUEST1{$n_select}) < 76 && $empty_mcans ne"" && $QUEST1{ans_mode} == 0) || ($QUEST1{$i_select} > 0 && $QUEST1{ans_mode} == 0)) {
					++$enough_answers;
					}
                                elsif(defined $QUEST1{$n_select} && ($QUEST1{ans_mode} == 1 || $QUEST1{ans_mode} == 2)) {
                                        ++$enough_answers;
                                        }
				}

			# check whether they own the images
			my $image_num;
			my $image_error = 0;
			
			if($QUEST1{ans_mode} == 0) {
                                for ($image_num = 1; $image_num <= $mc_num; ++$image_num) {
                                        my $i_image = "image"."$image_num";
                                        my $empty_image = $QUEST1{$i_image};
                                        $empty_image =~ s/\s//g;
				
                                        if (defined $QUEST1{$i_image} && $empty_image ne"" && $QUEST1{$i_image} > 0) {
                                                my %RETURN_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUEST1{$i_image}\" and u_id =\"0\" AND org_id=\"$org_id\"");
					
                                                if(!keys %RETURN_IMAGE) {
                                                        ++$image_error;
                                                        }
						}
					}
				}

			if($enough_answers > 1 && $image_error == 0 && $QUEST1{MCans} > 0) {
                                &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","$QUEST1{kolum}","kolum","$QUEST1{kolum}","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}");
                                
				&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
				my $i =1 ;
				my $num = 1;
				
				for ($i = 1; $i <= $mc_num; ++$i) {
					my $n_select = "select"."$i";
					my $empty_mcans = $QUEST1{$n_select};
					$empty_mcans =~ s/\s//g;
					my $i_select = "image"."$i";
					
					if ($QUEST1{MCans} == $i && $QUEST1{ans_mode} == 0) { #has image
                                                &insert_mc_question_answers_quote("number","$QUEST1{number}","ids","0","quote","$QUEST1{$n_select}","num","$num","correct","1","image_id","$QUEST1{$i_select}");
                                                ++$num;
						}
                                        elsif ($QUEST1{MCans} == $i && ($QUEST1{ans_mode} == 1 || $QUEST1{ans_mode} == 2)) {
                                                &insert_mc_question_answers_quote("number","$QUEST1{number}","ids","0","quote","$QUEST1{$n_select}","num","$num","correct","1","image_id","0");
                                                ++$num;
						}
					elsif((defined $QUEST1{$n_select} || $QUEST1{$i_select} > 0) && $QUEST1{ans_mode} == 0 ) {
                                                &insert_mc_question_answers_quote("number","$QUEST1{number}","ids","0","quote","$QUEST1{$n_select}","num","$num","correct","0","image_id","$QUEST1{$i_select}");
                                                ++$num;
						}
                                        elsif(defined $QUEST1{$n_select} && ($QUEST1{ans_mode} == 1 || $QUEST1{ans_mode} == 2)) {
                                                &insert_mc_question_answers_quote("number","$QUEST1{number}","ids","0","quote","$QUEST1{$n_select}","num","$num","correct","0","image_id","0");
                                                ++$num;
						}
					}
				}

			}	

                elsif ($QUEST1{select} eq"MA") { # Multiple Answers
			# check whether there are answers
			my $not_enough_answers = 0;
			my $no =1;
			
			for ($no = 1; $no <= $ma_num; ++$no) {
				my $n_select = "select"."$no";
				my $empty_mcans = $QUEST1{$n_select};
				$empty_mcans =~ s/\s//g;
				my $i_select = "image"."$no";
				my $empty_image = $QUEST1{$i_select};
				$empty_image =~ s/\s//g;
				
				if ((!defined $QUEST1{$n_select} && length($QUEST1{$n_select}) > 75 && $empty_mcans eq"") && (!defined $QUEST1{$i_select} && $empty_image eq"")) {
					++$not_enough_answers;
					}
				}
				
                        # check whether they own the images
			my $image_num;
			my $image_error = 0;
			
			for ($image_num = 1; $image_num <= $ma_num; ++$image_num) {
				my $i_image = "image"."$image_num";
				my $empty_image = $QUEST1{$i_image};
				$empty_image =~ s/\s//g;
				
				if (defined $QUEST1{$i_image} && $empty_image ne"" && $QUEST1{$i_image} > 0) {
					my %RETURN_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUEST1{$i_image}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
					
					if(!keys %RETURN_IMAGE) {
						++$image_error;
						}
					}
				}

			if($not_enough_answers == 0 && $image_error == 0) { # add the question
                                update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","$QUEST1{kolum}","kolum","$QUEST1{kolum}","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}");
                                
				&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
                
				my $i =1 ;
				my $num = 1;
				
				for ($i = 1; $i <= $ma_num; ++$i) {
					my $n_select = "select"."$i";
					my $cor_ans;
					my $i_select = "image"."$i";

					if($QUEST1{ans_mode} == 1) {
                                                $cor_ans = "select"."$i"."mam";
                                                }
                                        else {
                                               $cor_ans = "select"."$i"."ma";
                                                }
                                                
					if ($QUEST1{$n_select} ne"" || $QUEST1{$i_select} > 0) {
                                                if($QUEST1{$cor_ans} == $i ) {
                                                        &insert_ma_question_answers_quote("number","$QUEST1{number}","ids","0","quote","$QUEST1{$n_select}","num","$num","correct","1","image_id","$QUEST1{$i_select}");
                                                        }
                                                else {
                                                        &insert_ma_question_answers_quote("number","$QUEST1{number}","ids","0","quote","$QUEST1{$n_select}","num","$num","correct","0","image_id","$QUEST1{$i_select}");
                                                        }
                                                }
					++$num;
					}
				}
			}
                    
                elsif ($QUEST1{select} eq"MX") { # Matching
			# check whether there are matching answers
			my $no_matching_answer = 0;
			my $no =1;
			my %ANSWERS = ();
			
			for ($no = 1; $no <= $mx_num; ++$no) {
				my $n_select = "select"."$no";
				my $matching = "select"."$no"."mx";
				my $empty_mxans = $QUEST1{$n_select};
				my $empty_match = $QUEST1{$matching};
				$empty_mxans =~ s/\s//g;
				$empty_match =~ s/\s//g;
				
				# check to remove doubles
				if(!exists $ANSWERS{$empty_match}) {
                                        $ANSWERS{$empty_match} = $no;
                                        }
                                        
				#check to see it has a matching answer
				if (($empty_mxans ne "" && $empty_match eq"") || length($QUEST1{$n_select}) > 30 || length($QUEST1{$matching}) > 30) {
					++$no_matching_answer;
					}
				}

			if($no_matching_answer == 0) { 
                                # add the question
				if($QUEST1{sub_type} == 2) { # survey questions
					}
				else { # quiz/test questions
                                        update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","$QUEST1{kolum}","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}");
					}
		
                                # delete the question_answers already there
                                &generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
                                
                                # insert the answers
				my $i =1 ;
				my $num = 1;
				
				for ($i = 1; $i <= $mx_num; ++$i) {
					my $n_select = "select"."$i";
					my $cor_ans = "select"."$i"."mx";
					my $i_select = "image"."$i";
					
					if ($QUEST1{$n_select} ne"") {
                                                # insert matching answers first
                                                &insert_mx_question_answers_quote("number","$QUEST1{number}","ids","0","quote","$QUEST1{$cor_ans}","num","$num","correct","1","image_id","$QUEST1{$i_select}");
                                                my $old = $num;
                                                ++$num;
                                                
                                                # insert text
                                                &insert_mx_question_answers_quote("number","$QUEST1{number}","ids","0","quote","$QUEST1{$n_select}","num","$old","correct","0","image_id","$QUEST1{$i_select}");
                                                }
                                                
                                        if ($QUEST1{$cor_ans} ne"" && $QUEST1{$n_select} eq"") {
                                                # insert other matching ansers
                                                &insert_mx_question_answers_quote("number","$QUEST1{number}","ids","0","quote","$QUEST1{$cor_ans}","num","$num","correct","1","image_id","$QUEST1{$i_select}");
                                                ++$num;
                                                }
					}
				}
			}
			
		elsif ($QUEST1{select} eq"SA") {
			my $sa_ans = $QUEST1{SAans};
			$sa_ans =~ s/\s//g;
			if($QUEST1{sub_type} != 2) { #quiz/test questions
				if($sa_ans ne"") {
                                        &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","$QUEST1{kolum}","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}");
					
					&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
					
					&insert_question_answers_quote("number","$QUEST1{number}","ids","0","quote","$QUEST1{SAans}","image_id","0");
					}
				}
				
			else { #survey questions
				}
			}
			
		elsif ($QUEST1{select} eq"P") {
			my $p_ans = $QUEST1{Pans};
			$p_ans =~ s/\s//g;
			if($p_ans ne"") {
                                &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","$QUEST1{kolum}","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}");
                                
				&generic_delete("query","DELETE from question_answers WHERE number=\"$QUEST1{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
				
				&insert_question_answers_quote("number","$QUEST1{number}","ids","0","quote","$QUEST1{Pans}","image_id","0");
				}
			}
			
		elsif ($QUEST1{select} eq"AD") {
                        &update_quote_question("question","$QUEST1{question}","type","$QUEST1{select}","value","$QUEST1{value}","number","$QUEST1{number}","image_id","$QUEST1{image_number}","vlink","$QUEST1{vlink}","alink","$QUEST1{alink}","kolum","$QUEST1{kolum}","mode","$QUEST1{mode}","descrip","$QUEST1{descrip}","ans_mode","$QUEST1{ans_mode}");
			}
			
		}
		
	&questions_bank("expand","$QUEST1{expand}","type","1","sub_type","1","u_id","$QUEST1{u_id}","session_id","$QUEST1{session_id}");
	
	}

##########################
#
# PRINT_LOAD_HANDLER
#
##########################
sub print_load_handler {
	my %PLH = @_;
	
	#QUIZZES/TESTS	
	if($PLH{sub_type} !=2) {
		print"function load_handler\(quest_type\) \{
		if\(quest_type == \"TF\"\)\{
		var tf_answer
		tf_answer = document.question_form.TFans.value
		document.t_f.answer.value = tf_answer
		show_tf\(\)
		\}
	
		if\(quest_type == \"YN\"\)\{
		var yn_answer
		yn_answer = document.question_form.YNans.value
		document.y_n.answer.value = yn_answer
		show_yn\(\)
		\}
	
		if\(quest_type == \"P\"\)\{
		var p_answer
		p_answer = document.question_form.Pans.value
		document.p.Pans.value = p_answer
		var pans_mode = document.question_form.ans_mode.value
	        document.p.ans_mode.value = pans_mode
		show_p\(\)
		\}
	
		if\(quest_type == \"SA\"\)\{
		var sa_answer
		sa_answer = document.question_form.SAans.value
		document.s_a.SAans.value = sa_answer
		show_sa\(\)
		\}
		
		if\(quest_type == \"AD\"\)\{
		var ad_answer
		show_ad\(\)
		\}\n";

		print"if\(quest_type == \"MC\"\)\{
		var mc_answer\n";
	
		print"mc_answer = document.question_form.MCans.value
		document.mc.answer.value = mc_answer
		var kolum_no = document.question_form.kolum.value
		document.mc.kolum.value = kolum_no
		var ans_mod = document.question_form.ans_mode.value
		document.mc.ans_mode.value = ans_mod\n";
	
		my $y = 1;
	        while ($y <= $mc_num) {
	                print"var select$y = document.question_form.select$y.value\n";
	                print"document.mc.select$y.value = select$y\n";
	                print"var image$y = document.question_form.image$y.value\n";
	                print"document.mc.image$y.value = image$y\n";
	                print"var image$y";print"name = document.question_form.image$y";print"name.value\n";
	                print"document.mc.image$y";print"name.value = image$y";print"name\n";
	                ++$y;
	                }
	
		print"show_mc\(\)
		\}
	
	        if\(quest_type == \"MA\"\)\{
		var ma_answer\n";
		print"kolum_no = document.question_form.kolum.value
		document.ma.kolum.value = kolum_no\n";
		print"var ans_mod = document.question_form.ans_mode.value
		document.ma.ans_mode.value = ans_mod\n";
	
	        my $w = 1;
	        while ($w <= $ma_num) {
	                print"var select$w = document.question_form.select$w.value\n";
	                print"document.ma.select$w.value = select$w\n";
	                ++$w;
	                }
                
	        print"if(ans_mod == 0) \{\n";
	        my $aa = 1;
	        while ($aa <= $ma_num) {
	                print"var select$aa";print"ma = document.question_form.select$aa";print"ma.value\n";
	                print"document.ma.select$aa";print"ma.value = select$aa";print"ma\n";
	                print"var image$aa = document.question_form.image$aa.value\n";
	                print"document.ma.image$aa.value = image$aa\n";
	                print"var image$aa";print"name = document.question_form.image$aa";print"name.value\n";
	                print"document.ma.image$aa";print"name.value = image$aa";print"name\n";
	                ++$aa;
	                }
	        print"\}\n";
        
	        print"if(ans_mod == 1) \{\n";
	        my $bb = 1;
	        while ($bb <= $ma_num) {
	                print"var select$bb";print"mam = document.question_form.select$bb";print"mam.value\n";
	                print"document.ma.select$bb";print"mam.value = select$bb";print"mam\n";
	                ++$bb;
	                }
	        print"\}\n";
                
	        print"if(ans_mod == 2) \{\n";
	        my $cc = 1;
	        while ($cc <= $ma_num) {
	                print"var select$cc";print"maeq = document.question_form.select$cc";print"maeq.value\n";
	                print"document.ma.select$cc";print"maeq.value = select$cc";print"maeq\n";
	                ++$cc;
	                }
	        print"\}\n";
        
	
		print"show_ma\(\)	
		\}
	
		if\(quest_type == \"MX\"\)\{
		var mx_answer\n";
	                
	        my $v = 1;
	        while ($v <= $mx_num) {
	                print"var select$v = document.question_form.select$v.value\n";
	                print"document.mx.select$v.value = select$v\n";
	                print"var select$v";print"mx = document.question_form.select$v";print"mx.value\n";
	                print"document.mx.select$v";print"mx.value = select$v";print"mx\n";
	                ++$v;
	                }
	                
		print"show_mx\(\)	
		\}
		
		\}\n";
		}
		
	else { ##### SURVEY QUESTIONS
		print"function load_handler\(quest_type\) \{
		if\(quest_type == \"TF\"\)\{
		show_tf\(\)
		\}
	
		if\(quest_type == \"YN\"\)\{
		show_yn\(\)
		\}
	
		if\(quest_type == \"P\"\)\{
		var p_answer
		p_answer = document.question_form.Pans.value
		document.p.Pans.value = p_answer
		var pans_mode = document.question_form.ans_mode.value
	        document.p.ans_mode.value = pans_mode
		show_p\(\)
		\}
	
		if\(quest_type == \"SA\"\)\{
		var sa_answer
		sa_answer = document.question_form.SAans.value
		document.s_a.SAans.value = sa_answer
		show_sa\(\)
		\}
		
		if\(quest_type == \"AD\"\)\{
		show_ad\(\)
		\}\n";

		print"if\(quest_type == \"MC\"\)\{
		var mc_answer\n";
	
		print"var kolum_no = document.question_form.kolum.value
		document.mc.kolum.value = kolum_no
		var ans_mod = document.question_form.ans_mode.value
		document.mc.ans_mode.value = ans_mod\n";
	
		my $y = 1;
	        while ($y <= $mc_num) {
	                print"var select$y = document.question_form.select$y.value\n";
	                print"document.mc.select$y.value = select$y\n";
	                print"var image$y = document.question_form.image$y.value\n";
	                print"document.mc.image$y.value = image$y\n";
	                print"var image$y";print"name = document.question_form.image$y";print"name.value\n";
	                print"document.mc.image$y";print"name.value = image$y";print"name\n";
	                ++$y;
	                }
	
		print"show_mc\(\)
		\}
	
	        if\(quest_type == \"MA\"\)\{
		var ma_answer\n";
		print"kolum_no = document.question_form.kolum.value
		document.ma.kolum.value = kolum_no\n";
		print"var ans_mod = document.question_form.ans_mode.value
		document.ma.ans_mode.value = ans_mod\n";
	
	        my $w = 1;
	        while ($w <= $ma_num) {
	                print"var select$w = document.question_form.select$w.value\n";
	                print"document.ma.select$w.value = select$w\n";
	                ++$w;
	                }
                
	        print"if(ans_mod == 0) \{\n";
	        my $aa = 1;
	        while ($aa <= $ma_num) {
	                print"var select$aa";print"ma = document.question_form.select$aa";print"ma.value\n";
	                print"document.ma.select$aa";print"ma.value = select$aa";print"ma\n";
	                print"var image$aa = document.question_form.image$aa.value\n";
	                print"document.ma.image$aa.value = image$aa\n";
	                print"var image$aa";print"name = document.question_form.image$aa";print"name.value\n";
	                print"document.ma.image$aa";print"name.value = image$aa";print"name\n";
	                ++$aa;
	                }
	        print"\}\n";
        
	        print"if(ans_mod == 1) \{\n";
	        my $bb = 1;
	        while ($bb <= $ma_num) {
	                print"var select$bb";print"mam = document.question_form.select$bb";print"mam.value\n";
	                print"document.ma.select$bb";print"mam.value = select$bb";print"mam\n";
	                ++$bb;
	                }
	        print"\}\n";
                
	        print"if(ans_mod == 2) \{\n";
	        my $cc = 1;
	        while ($cc <= $ma_num) {
	                print"var select$cc";print"maeq = document.question_form.select$cc";print"maeq.value\n";
	                print"document.ma.select$cc";print"maeq.value = select$cc";print"maeq\n";
	                ++$cc;
	                }
	        print"\}\n";
        
	
		print"show_ma\(\)	
		\}
	
		if\(quest_type == \"MX\"\)\{
		var mx_answer\n";
	                
	        my $v = 1;
	        while ($v <= $mx_num) {
	                print"var select$v = document.question_form.select$v.value\n";
	                print"document.mx.select$v.value = select$v\n";
	                print"var select$v";print"mx = document.question_form.select$v";print"mx.value\n";
	                print"document.mx.select$v";print"mx.value = select$v";print"mx\n";
	                ++$v;
	                }
	                
		print"show_mx\(\)	
		\}
		
		\}\n";	
		}
	}

#################
#
# CHANGE_WEIGHT_PAGE
#
################
sub change_weight_page {
	my %CWP = @_;
	$CWP{qst_id} =~ s/\D//g;
	$CWP{expand} =~ s/[^0-9,]//g;
	$CWP{type} =~ s/\D//g;
	my $error = 0;
	$error = &check_many_length_return("$CWP{qst_id}","10","$CWP{type}","2","$CWP{expand}","50");

	if($error != 1 ) {
		print"<center><B>$LANGUAGE{$set_language}{ChangeWeight}</B></center><P>\n";
		
		&javascript_check_input_not_empty("form","form1","error_message","A weight was not entered.","fields","weight");
		&javascript_cancel_handler();

		&print_form_wo_end_tag("form_name","form1","form_target","theright","input","change_the_weight","type","$CWP{type}","expand","$CWP{expand}","qst_id","$CWP{qst_id}","u_id","$CWP{u_id}","session_id","$CWP{session_id}");
		
		print"<center>$LANGUAGE{$set_language}{Weight}\: <input type=\"text\" name=\"weight\" value=\"$CWP{weight}\" size=\"3\"\></FORM><B>&nbsp\;\%</B></center>
		<P><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B  style=\"cursor: pointer\;\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Change} </B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor: pointer\;\" onClick=\"cancel_handler\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
		
		&print_javascript_focus("form","form1","field","weight");
		}
	}
	
#################
#
# CHANGE_THE_WEIGHT
#
################
sub change_the_weight {
	my %CW = @_;
	$CW{qst_id} =~ s/\D//;
	$CW{expand} =~ s/[^0-9,]//g;
	$CW{weight} =~ s/\D//;
	my $weight = "$CW{weight}";
	$weight =~ s/^0+([1-9]+)/\1/;
	$weight =~ s/^0+/0/;
	my $error = 0;
	$error = &check_many_length_return("$weight","3","$CW{qst_id}","10","$CW{expand}","10");

	if(defined $CW{expand} && defined $USER{$ids}{$CW{expand}} && $error != 1 ) {
		if($CW{type} == 3) {
			&update_general("query","UPDATE assignments SET weight=\"$weight\" WHERE assign_id=\"$CW{qst_id}\" AND u_id=\"$ids\" AND class_id=\"$CW{expand}\"");
			}
		elsif ($CW{type} == 1) {
			&update_general("query","UPDATE qst SET weight=\"$weight\" WHERE number=\"$CW{qst_id}\" AND u_id=\"$ids\"");
			}
		}
		
	&gradebook("expand","$CW{expand}","u_id","$CW{u_id}","session_id","$CW{session_id}");
	}

#################
#
# CHANGE_MARK_PAGE
#
################
sub change_mark_page {
	my %CM = @_;
	$CM{type} =~ s/\D//;
	$CM{qst_id} =~ s/\D//;
	$CM{expand} =~ s/[^0-9,]//g;

	if($CM{type} == 4) { # assignment 
		print"<center><B>$LANGUAGE{$set_language}{ChangeMark}\:</B> $CM{s_name}</center>\n";
		}
	else {
		print"<center><B>$LANGUAGE{$set_language}{Bonus}\:</B> $CM{s_name}</center><BR>\n";
		}
		
	print"<center><i>$CM{assign_qst_name}</i></center><P>\n";
	
	if($CM{type} == 4) { # assignment 
		&javascript_check_input_not_empty("form","form1","error_message","$LANGUAGE{$set_language}{Amarkwasnotentered}","fields","mark");
		&javascript_cancel_handler();
		}
	else {
		&javascript_check_input_not_empty("form","form1","error_message","$LANGUAGE{$set_language}{Abonusmarkwasnotentered}","fields","bonus");
		&javascript_cancel_handler();
		}
		
	print"<form name=\"form1\" action=\"\/qst\/one\" target=\"theright\" method=\"POST\">\n";
	
	if($CM{type} == 4) { # assignment 
		print"<input type=\"hidden\" name=\"input\" value=\"change_the_assignment_mark\">\n";
		}
	else { # qst
		print"<input type=\"hidden\" name=\"input\" value=\"change_the_mark\">\n";
		}
		
	print"<input type=\"hidden\" name=\"s_id\" value=\"$CM{s_id}\">
	<input type=\"hidden\" name=\"expand\" value=\"$CM{expand}\">
	<input type=\"hidden\" name=\"type\" value=\"$CM{type}\">
	<input type=\"hidden\" name=\"assign_id\" value=\"$CM{qst_id}\">
	<input type=\"hidden\" name=\"u_id\" value=\"$CM{u_id}\">
	<input type=\"hidden\" name=\"session_id\" value=\"$CM{session_id}\">\n";

	if($CM{type} == 4) { # Assignment
		print"<center>$LANGUAGE{$set_language}{Mark}\: <input type=\"text\" name=\"mark\" value=\"$CM{mark}\" size=\"3\"\ maxlength=\"3\"></center><BR><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:10pt\; font-family:Arial\;\"><B STYLE=\"cursor: pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Change} </B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"cancel_handler\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
		}
	else { # Bonus
		print"<center><TABLE STYLE=\"font-size:11pt\; font-family:Arial\;\"><TR><TD align=\"right\">$LANGUAGE{$set_language}{Mark}\:</TD><TD>&nbsp\;$CM{mark}</TD></TR><TR><TD align=\"right\">$LANGUAGE{$set_language}{Bonus}\:</TD><TD>&nbsp\;<input type=\"text\" name=\"bonus\" value=\"$CM{bonus}\" size=\"3\"\ maxlength=\"3\"></TD></TR></TABLE></center><BR><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B STYLE=\"cursor: pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{ChangeBonus} </B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"cancel_handler\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
		}
		
	print"</FORM>\n";
	
	if($CM{type} == 4) { # assignment
		&print_javascript_focus("form","form1","field","mark");
		}
	else {
		&print_javascript_focus("form","form1","field","bonus");
		}
	}

#################
#
# CHANGE_THE_MARK
#
################
sub change_the_mark {
	my %CM = @_;
	$CM{bonus} =~ s/\D//;
	my $bonus = "$CM{bonus}";
	$CM{assign_id} =~ s/\D//;
	my $assign_id = "$CM{assign_id}";
	$CM{s_id} =~ s/\D//;
	$CM{expand} =~ s/\D//;

	$bonus =~ s/^0+([1-9]+)/\1/;
	$bonus =~ s/^0+/0/;
	my $good_input_mark = 0;
	my $error = 0;
	$error = &check_many_length_return("$bonus","3","$assign_id","10","$CM{expand}","10","$CM{s_id}","10");

	if($error != 1 ) {
		if($bonus ne"") {
			$good_input_mark = 1;
			}
			
		if(defined $CM{expand} && $good_input_mark == 1 && defined $USER{$ids}{$CM{expand}}) {
			&update_qst_mark("s_id","$CM{s_id}","assign_id","$assign_id","bonus","$bonus");
			}
			
		&gradebook("expand","$CM{expand}","u_id","$CM{u_id}","session_id","$CM{session_id}");
		}
	}
	
#################
#
# CHANGE_THE_ASSIGNMENT_MARK
#
################
sub change_the_assignment_mark {
	my %CM = @_;
	$CM{mark} =~ s/\D//;
	my $mark = "$CM{mark}";
	$CM{assign_id} =~ s/\D//;
	my $assign_id = "$CM{assign_id}";
	$CM{s_id} =~ s/\D//;
	$CM{expand} =~ s/\D//;

	$mark =~ s/^0+([1-9]+)/\1/;
	$mark =~ s/^0+/0/;
	my $error = 0;
	$error = &check_many_length_return("$CM{expand}","10","$assign_id","10","$mark","3","$CM{s_id}","10");

	if($error != 1 ) {
		#check new mark is not more than assignment mark
		my $assign_query = "SELECT assign_id,name,weight,marks from assignments WHERE assign_id=\"$assign_id\" and u_id=\"$ids\"";
		my %ASSIGNMENTS = &select_assign("query","$assign_query");
		my $good_input_mark = 0;
		
		if($mark > $ASSIGNMENTS{$assign_id}{marks}) {
			$mark = $ASSIGNMENTS{$assign_id}{marks};
			}
			
		if($mark ne"" && length($mark) < 4) {
			$good_input_mark = 1;
			}
			
		if($CM{expand} >= 0 && $good_input_mark == 1 && $USER{$ids}{$CM{expand}} >= 0) {
			if($CM{type} == 4) {
				my %RETURN = &select_assignment_mark("query","SELECT * from assignment_marks WHERE assign_id=\"$assign_id\" AND u_id=\"$CM{s_id}\"");
				
				if(keys %RETURN) {
					&update_assign_mark("s_id","$CM{s_id}","assign_id","$assign_id","mark","$mark");
					}
				else {
					&insert_assign_mark("s_id","$CM{s_id}","assign_id","$assign_id","mark","$mark");
					}
				}
			}
			
		&gradebook("expand","$CM{expand}","u_id","$CM{u_id}","session_id","$CM{session_id}");
		}
	}

#################
#
# CREATE_ASSIGN
#
################
sub create_assign {
	my %CA = @_;
	$CA{weight} =~ s/\D//;
	$CA{marks} =~ s/\D//; 
	$CA{expand} =~ s/\D//;
	my $name = "$CA{name}";
	$name = &l_spaces("$name","0");
	$name = &tr_spaces("$name","0");
	$name = &x_spaces("$name","0");
	$name = &spec_char("$name","0");
	
	if($CA{marks} > 0) {
                }
        else {
                $CA{marks} = 0;
                }
                
	my $error = 0;
	$error = &check_many_length_return("$name","80","$CA{marks}","3","$CA{weight}","3","$CA{expand}","10");
	
	if(defined $CA{expand} && $name ne"" && defined $USER{$ids}{$CA{expand}} && $error != 1 ) {
		&insert_assign("class_id","$CA{expand}","name","$name","weight","0","marks","$CA{marks}");
		}
		
	&gradebook("expand","$CA{expand}","u_id","$CA{u_id}","session_id","$CA{session_id}");
	}

#################
#
# CREATE_ASSIGN_PAGE
#
################
sub create_assign_page {
	my %CAP = @_;
	$CAP{expand} =~ s/[^0-9,]//g;
	my $error = 0;
	$error = &check_many_length_return("$CAP{expand}","50");

	if($error != 1 ) {
		&javascript_check_input_not_empty("form","form1","error_message","A name was not entered.","fields","name");
		&javascript_cancel_handler();

		&print_form_wo_end_tag("form_name","form1","form_target","theright","input","create_assign","expand","$CAP{expand}","u_id","$CAP{u_id}","session_id","$CAP{session_id}");
		
		print"<center><B>$CAP{name}</B></center><P>
		<center><TABLE><TR><TD align=\"right\">$LANGUAGE{$set_language}{AssignmentName}\:</TD><TD> <input type=\"text\" name=\"name\" value=\"\" size=\"25\" maxlength=\"80\"\><BR>&nbsp\;&nbsp\;&nbsp\;<font size=\"-2\">$LANGUAGE{$set_language}{Max80characters}</TD></TR>
		<TR><TD align=\"right\">$LANGUAGE{$set_language}{Marks}\:</TD><TD> <input type=\"text\" name=\"marks\" value=\"\" size=\"3\" maxlength=\"3\"\></TD></TR></TABLE></center><P><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"cursor:pointer\; font-size:11pt\; font-family:Arial\;\"><B  onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Create} </B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"cancel_handler\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
		
		&print_javascript_focus("form","form1","field","name");
		}
	}

###############
#
# COPY_FILE
#
###############
sub copy_file {
	my %CQ = @_;
 	$CQ{number} =~ s/\D//g;
  	$CQ{org_id} =~ s/\D//g;
 	$CQ{folder_no} =~ s/\D//g;
	$CQ{expand} =~ s/[^0-9,]//g;
	my $error = 0;
	$error = &check_many_length_return("$CQ{number}","10","$CQ{folder_no}","10","$CQ{expand}","50");

	if($error != 1 ) {
		#check to see if number/file is good
		my %RETURN = &select_file("number","$CQ{number}");
		
		if(keys %RETURN) {
			#check to see if folder is good
			my $folder = &is_there("table","file_folders","number","$CQ{folder_no}");
			
			if($folder == 1 || $CQ{folder_no} == 1) {
				my $return = &insert_file_info("f_name","$RETURN{$CQ{number}}{file_name}","parent","$CQ{folder_no}","type","$RETURN{$CQ{number}}{type}","u_id","$CQ{u_id}","org_id","$CQ{org_id}","filedescrip","$RETURN{$CQ{number}}{filedescrip}");
				# copy file to new num
				my @type = split(/\//,$RETURN{$CQ{number}}{type});
				my $old_file = "$upload_directory$CQ{number}"."\."."$type[1]";
				my $new_file = "$upload_directory$return"."\."."$type[1]";
                                open (AA,">$new_file");
                                open (BB,"$old_file");
				binmode AA;
				binmode BB;
				
				while(<BB>) {
					print AA"$_";
					}	
					
                                close (AA);
				close (BB);
				chmod(0660,"$new_file");
				}
			}
			
		&manage_files("expand","$CQ{expand}","u_id","$CQ{u_id}","session_id","$CQ{session_id}","org_id","$CQ{org_id}");
		}
	}

###############
#
# COPY_BANK_FILE
#
###############
sub copy_bank_file {
	my %CQ = @_;
 	$CQ{number} =~ s/\D//g;
  	$CQ{org_id} =~ s/\D//g;
 	$CQ{folder_no} =~ s/\D//g;
	$CQ{expand} =~ s/[^0-9,]//g;
	my $error = 0;
	$error = &check_many_length_return("$CQ{number}","10","$CQ{folder_no}","10","$CQ{expand}","50");

	if($error != 1 ) {
		#check to see if number/file is good
		my %RETURN = &select_bank_file("number","$CQ{number}");
		
		if(keys %RETURN) {
			#check to see if folder is good
			my $folder = &bank_is_there("table","file_folders","number","$CQ{folder_no}");
			
			if($folder == 1 || $CQ{folder_no} == 1) {
				my $return = &insert_file_info("f_name","$RETURN{$CQ{number}}{file_name}","parent","$CQ{folder_no}","type","$RETURN{$CQ{number}}{type}","u_type","$u_type","org_id","$org_id","filedescrip","$RETURN{$CQ{number}}{filedescrip}");
				
				# copy file to new num
				my @type = split(/\//,$RETURN{$CQ{number}}{type});
				my $old_file = "$upload_directory$CQ{number}"."\."."$type[1]";
				my $new_file = "$upload_directory$return"."\."."$type[1]";
                                open (AA,">$new_file");
                                open (BB,"$old_file");
				binmode AA;
				binmode BB;
				
				while(<BB>) {
					print AA"$_";
					}	
					
                                close (AA);
				close (BB);
				chmod(0660,"$new_file");
				}
			}
			
		&manage_bank_files("expand","$CQ{expand}","u_id","$CQ{u_id}","session_id","$CQ{session_id}","org_id","$CQ{org_id}");
		}
	}

###################
#
# FIND_THEIR_CLASSES
#
####################
sub find_their_classes {
        my %FTC = @_;
	if($u_type !=1 && $u_type != 7) {
		my @class_id;
		$org_id = &select10("query","SELECT org_id FROM users WHERE u_id =\"$FTC{u_id}\" LIMIT 1");

		my $query = qq{SELECT * FROM users_classes WHERE u_id = "$FTC{u_id}" AND org_id="$FTC{org_id}"};
		my $sth = $dbh->prepare($query);
		$sth->execute();
		while(my @row = $sth->fetchrow_array()) {
			push(@class_id,$row[1]);
			}
		my $select;
		
		if(@class_id >= 1) {
			my $i = 1;
			foreach my $key(@class_id) {
				if($i == 1) {
					$select = " class_id\=\"$key\"";
					++$i;
					}
				else {
					$select = "$select"." OR "." class_id\=\"$key\"";
					}
				}

			my $query = qq{SELECT class_id, class_name FROM classes WHERE org_id=\'$FTC{org_id}\' and ($select) };
			my $sth = $dbh->prepare($query);
			$sth->execute();#account type
			while(my @classes = $sth->fetchrow_array()) {
				$USER{$ids}{$classes[0]} = "$classes[1]";
				}
			}
		}
        }

###############
#
# COPY_QUEST
#
###############
sub copy_quest {
	my %CQ = @_;
 	$CQ{number} =~ s/\D//g;
 	$CQ{folder_no} =~ s/\D//g;
	$CQ{expand} =~ s/[^0-9,]//g;
	$CQ{sub_type} =~ s/\D//g;
	
	my $error = 0;
	$error = &check_many_length_return("$CQ{number}","10","$CQ{folder_no}","10","$CQ{type}","2","$CQ{expand}","50","$CQ{sub_type}","2");

	if($error != 1 ) {
		my %RETURN = &select_question("query","SELECT * from questions WHERE number=\"$CQ{number}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
		
		#check if folder_no exists
		my $count;
		if($CQ{folder_no} != 1) {
			$count = &is_there("table","question_categories","number","$CQ{folder_no}");
			}
		elsif ($CQ{folder_no} == 1) {
			$count = 1;
			}

		if(keys %RETURN && $count == 1) {
		
			if($RETURN{$CQ{number}}{pdf} eq"") {
				$RETURN{$CQ{number}}{pdf} = 0;
				}
				
                        if($RETURN{$CQ{number}}{type} ne"MX") {
                                my %RETURN1 = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$CQ{number}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                
                                my $return = &insert_question_quote_return("query","$RETURN{$CQ{number}}{question}","query1","$RETURN{$CQ{number}}{type}","query2","$RETURN{$CQ{number}}{value}","sub_type","$RETURN{$CQ{number}}{sub_type}","image_id","$RETURN{$CQ{number}}{image_id}","vlink","$RETURN{$CQ{number}}{vlink}","alink","$RETURN{$CQ{number}}{alink}","kolum","$RETURN{$CQ{number}}{kolum}","mode","$RETURN{$CQ{number}}{mode}","descrip","$RETURN{$CQ{number}}{descrip}","ans_mode","$RETURN{$CQ{number}}{ans_mode}","pdf","$RETURN{$CQ{number}}{pdf}");
                                
                                foreach my $key(keys %RETURN1) {
                                        &insert_generic_question_answers_quote("number","$return","num","$key","quote","$RETURN1{$key}{answer}","c_answer","$RETURN1{$key}{c_answer}","ids","$ids","image_id","$RETURN1{$key}{image_id}");
                                        }

                                &insert_generic("query","INSERT categories_to_questions VALUES(\"$CQ{folder_no}\",\"$return\",\"$ids\",\"$org_id\")");
                                }
                                
                        else {# Matching
                                # insert question
                                my $return = &insert_question_quote_return("query","$RETURN{$CQ{number}}{question}","query1","$RETURN{$CQ{number}}{type}","query2","$RETURN{$CQ{number}}{value}","sub_type","$RETURN{$CQ{number}}{sub_type}","image_id","$RETURN{$CQ{number}}{image_id}","vlink","$RETURN{$CQ{number}}{vlink}","alink","$RETURN{$CQ{number}}{alink}","kolum","$RETURN{$CQ{number}}{kolum}","mode","$RETURN{$CQ{number}}{mode}","descrip","$RETURN{$CQ{number}}{descrip}","ans_mode","$RETURN{$CQ{number}}{ans_mode}","pdf","$RETURN{$CQ{number}}{pdf}");
                                
                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$CQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\") AND c_answer = 0");
                                
                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$CQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\") AND c_answer = 1");
                
                                for (my $i = 1; $i <= 10; $i++){ 
                                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                                }
                                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                                }
                                        else { # no matching text
                                                delete($RETURN_MX_MATCHING{$i});
                                                }
                                        }
                
                                # insert the answers
				foreach my $key (keys %RETURN_MX_TEXT) {
				
					if ($RETURN_MX_MATCHING{$key}{answer} ne"") {
                                                # insert matching answers first
                                                 &insert_mx_question_answers_quote("number","$return","ids","$ids","quote","$RETURN_MX_MATCHING{$key}{answer} ","num","$key","correct","1","image_id","0");
                                                
                                                # insert text
                                                if ($RETURN_MX_TEXT{$key}{answer} ne"") {
                                                        &insert_mx_question_answers_quote("number","$return","ids","$ids","quote","$RETURN_MX_TEXT{$key}{answer}","num","$key","correct","0","image_id","0");
                                                        }
                                                }
					}
                                &insert_generic("query","INSERT categories_to_questions VALUES(\"$CQ{folder_no}\",\"$return\",\"$ids\",\"$org_id\")");
				}
                                
                        &questions("expand","$CQ{expand}","u_id","$CQ{u_id}","session_id","$CQ{session_id}"); # pass also ? $CQ{type} $CQ{sub_type}
                        }
		}
	}


###############
#
# COPY_BANK_QUEST
#
###############
sub copy_bank_quest {
	my %CQ = @_;
 	$CQ{number} =~ s/\D//g;
 	$CQ{folder_no} =~ s/\D//g;
	$CQ{expand} =~ s/[^0-9,]//g;
	$CQ{sub_type} =~ s/\D//g;
	my $error = 0;
	$error = &check_many_length_return("$CQ{number}","10","$CQ{folder_no}","10","$CQ{type}","2","$CQ{expand}","50","$CQ{sub_type}","2");

	if($error != 1 ) {
		my %RETURN = &select_question("query","SELECT * from questions WHERE number=\"$CQ{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
		
		#check if folder_no exists
		my $count;
		
		if($CQ{folder_no} != 1) {
			$count = &bank_is_there("table","question_categories","number","$CQ{folder_no}");
			}
		elsif ($CQ{folder_no} == 1) {
			$count = 1;
			}

		if(keys %RETURN && $count == 1) {
		
                        if($RETURN{$CQ{number}}{type} ne"MX") {
                                my %RETURN1 = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$CQ{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
                                
                                my $return = &insert_bank_question_quote_return("query","$RETURN{$CQ{number}}{question}","query1","$RETURN{$CQ{number}}{type}","query2","$RETURN{$CQ{number}}{value}","sub_type","$RETURN{$CQ{number}}{sub_type}","image_id","$RETURN{$CQ{number}}{image_id}","vlink","$RETURN{$CQ{number}}{vlink}","alink","$RETURN{$CQ{number}}{alink}","kolum","$RETURN{$CQ{number}}{kolum}","mode","$RETURN{$CQ{number}}{mode}","descrip","$RETURN{$CQ{number}}{descrip}","ans_mode","$RETURN{$CQ{number}}{ans_mode}");
                                
                                foreach my $key(keys %RETURN1) {
                                        &insert_generic_question_answers_quote("number","$return","num","$key","quote","$RETURN1{$key}{answer}","c_answer","$RETURN1{$key}{c_answer}","ids","0","image_id","$RETURN1{$key}{image_id}");
                                        }
                                
                                &insert_generic("query","INSERT categories_to_questions VALUES(\"$CQ{folder_no}\",\"$return\",\"0\",\"$org_id\")");
                                }
                                
                        else {# Matching
                                # insert question
                                my $return = &insert_bank_question_quote_return("query","$RETURN{$CQ{number}}{question}","query1","$RETURN{$CQ{number}}{type}","query2","$RETURN{$CQ{number}}{value}","sub_type","$RETURN{$CQ{number}}{sub_type}","image_id","$RETURN{$CQ{number}}{image_id}","vlink","$RETURN{$CQ{number}}{vlink}","alink","$RETURN{$CQ{number}}{alink}","kolum","$RETURN{$CQ{number}}{kolum}","mode","$RETURN{$CQ{number}}{mode}","descrip","$RETURN{$CQ{number}}{descrip}","ans_mode","$RETURN{$CQ{number}}{ans_mode}");
                                
                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$CQ{number}\" AND u_id=\"0\" AND c_answer = 0");
                                
                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$CQ{number}\" AND u_id=\"0\" AND c_answer = 1");
                
                                for (my $i = 1; $i <= 10; $i++){ 
                                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                                }
                                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                                }
                                        else { # no matching text
                                                delete($RETURN_MX_MATCHING{$i});
                                                }
                                        }
                
                                # insert the answers
				foreach my $key (keys %RETURN_MX_TEXT) {
					if ($RETURN_MX_MATCHING{$key}{answer} ne"") {
                                                # insert matching answers first
                                                 &insert_mx_question_answers_quote("number","$return","ids","0","quote","$RETURN_MX_MATCHING{$key}{answer} ","num","$key","correct","1","image_id","0");
                                                
                                                # insert text
                                                if ($RETURN_MX_TEXT{$key}{answer} ne"") {
                                                        &insert_mx_question_answers_quote("number","$return","ids","0","quote","$RETURN_MX_TEXT{$key}{answer}","num","$key","correct","0","image_id","0");
                                                        }
                                                }
					}
					
                                &insert_generic("query","INSERT categories_to_questions VALUES(\"$CQ{folder_no}\",\"$return\",\"0\",\"$org_id\")");
                                }
			}
			
                &questions_bank("expand","$CQ{expand}","u_id","$CQ{u_id}","session_id","$CQ{session_id}"); 
		}
	}


###############
#
# COPY_QST
#
###############
sub copy_qst {
	my %CQ = @_;
	$CQ{folder_no} =~ s/\D//g;
	$CQ{expand} =~ s/[^0-9,]//g;
	$CQ{number} =~ s/[^0-9-]//g;
	$CQ{from} =~ s/\D//g;
	my $number = "$CQ{number}";
	$number =~ s/\D//g;
	my $return_type;
	my $error = 0;
	$error = &check_many_length_return("$CQ{folder_no}","10","$CQ{type}","2","$number","10","$CQ{from}","2","$CQ{expand}","50","$CQ{refresh_right}","10");

	if($error != 1 ) {
		#check if folder_no exists
		my $count;
		
		if($CQ{folder_no} != 0) {
			$count = &is_there("table","categories","number","$CQ{folder_no}");
			}
		elsif ($CQ{folder_no} == 0) { #copy under My Quizzes/Tests
			$count = 1;
			}
			
		my %RETURN = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE number=\"$number\" AND u_id=\"$ids\"");
                
		if($CQ{number} =~ /^-/) {
			$return_type = &select10("query","SELECT type from qst_to_classes WHERE qst=\"$number\"");
			}
		else {
			$return_type = &select10("query","SELECT type from categories_to_qst WHERE qst=\"$number\" AND u_id=\"$ids\"");
			}

                if($CQ{type}==$return_type && $count == 1 && keys %RETURN) { #$size >= 1) {
			my $return = &insert_copy_qst_return_quote("quote","$RETURN{$number}{name}","type","$RETURN{$number}{type}","questions","$RETURN{$number}{questions}","marks","$RETURN{$number}{marks}","random_q","$RETURN{$number}{random_q}","random_order","$RETURN{$number}{random_order}","weight","0","branching","$RETURN{$number}{branching}");
			
			&insert_generic("query","INSERT categories_to_qst VALUES($CQ{folder_no},\"$return\",\"$ids\",\"$return_type\",\"$org_id\")");
			
			my %RETURN1 = &select_all_qst_questions("query","SELECT quest_no,q_order,value,q_select,branching,referer from qst_questions WHERE qst_no=\"$number\" AND u_id=\"$ids\" AND org_id=\"$org_id\"");
			
			foreach my $key(keys %RETURN1) {
                    
				&insert_generic("query","INSERT qst_questions VALUES($return,\"$RETURN1{$key}{quest_no}\",\"$RETURN1{$key}{order}\",\"$RETURN1{$key}{value}\",\"$RETURN1{$key}{q_select}\",\"$ids\",\"$org_id\",\"$RETURN1{$key}{branching}\",\"$RETURN1{$key}{referer}\")");
				}
			}
			
                &make_type("expand","$CQ{expand}","type","$return_type","sub_type","$CQ{sub_type}","refresh_right","$CQ{refresh_right}","from","$CQ{from}","u_id","$CQ{u_id}","session_id","$CQ{session_id}");
		}
	}

###############
#
# COPY_QST_TO_CLASS
#
###############
sub copy_qst_to_class {
	my %CQ = @_;
	$CQ{folder_no} =~ s/\D//g;
	$CQ{type} =~ s/\D//g;
	$CQ{sub_type} =~ s/\D//g;
	$CQ{from} =~ s/\D//g;
	$CQ{expand} =~ s/[^0-9,]//g;
	$CQ{number} =~ s/[^0-9-]//g;
	my $number = "$CQ{number}";
	$number =~ s/\D//g;
	my $error = 0;
	$error = &check_many_length_return("$CQ{folder_no}","10","$CQ{expand}","50","$number","10","$CQ{from}","10");

	if($error != 1 ) {
		#must check folder_no
		my $count;
		
		if(defined $USER{$ids}{$CQ{folder_no}}) {
			$count = 1;
			}
			
		my %RETURN = &select_qst("query","select number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE number=\"$number\" AND u_id=\"$ids\"");
		
		my $return_type;
		
		if($CQ{number} =~ /^-/) {
			$return_type = &select10("query","SELECT type from qst_to_classes WHERE qst=\"$number\"");
			}
		else {
			$return_type = &select10("query","SELECT type from categories_to_qst WHERE qst=\"$number\" AND u_id=\"$ids\"");
			}
			
		if($CQ{type}==$return_type && $count == 1 && keys %RETURN) {
			my $return = &insert_copy_qst_return_quote("quote","$RETURN{$number}{name}","type","$RETURN{$number}{type}","questions","$RETURN{$number}{questions}","marks","$RETURN{$number}{marks}","random_q","$RETURN{$number}{random_q}","random_order","$RETURN{$number}{random_order}","weight","0","branching","$RETURN{$number}{branching}");
			
			&insert_generic("query","INSERT qst_to_classes VALUES(\"$return\",\"$CQ{folder_no}\",\"$return_type\",\"$org_id\")");
 
                        my %RETURN1 = &select_all_qst_questions("query","SELECT quest_no,q_order,value,q_select,branching,referer from qst_questions WHERE qst_no=\"$number\" AND u_id=\"$ids\" AND org_id=\"$org_id\"");
                        
			foreach my $key(keys %RETURN1) {
				&insert_generic("query","INSERT qst_questions VALUES($return,\"$RETURN1{$key}{quest_no}\",\"$RETURN1{$key}{order}\",\"$RETURN1{$key}{value}\",\"$RETURN1{$key}{q_select}\",\"$ids\",\"$org_id\",\"$RETURN1{$key}{branching}\",\"$RETURN1{$key}{referer}\"\)");
				}
			}
			
                &make_type("class_open","1","open_class","$CQ{expand}","type","$return_type","sub_type","$CQ{sub_type}","from","$CQ{from}","expand","x","u_id","$CQ{u_id}","session_id","$CQ{session_id}");
		}
	}

######################
#
# CREATE_QST
#
######################
sub create_qst {
	my %CQST = @_;
	$CQST{parent} =~ s/\D//g;
	$CQST{type} =~ s/\D//g;
	$CQST{sub_type} =~ s/\D//g;
	$CQST{from} =~ s/\D//g;
	$CQST{expand} =~ s/[^0-9,]//g;
	my $error = 0;
	$error = &check_many_length_return("$CQST{parent}","10","$CQST{type}","2","$CQST{sub_type}","2","$CQST{expand}","50");

	if($error != 1 ) {
		&print_javascript_begin();
		print"function check_handler\(i_n,from\)\{
		var no_good = 1
		var replace_string =\"\"
		var reg_exp1 = \"\/\\s\/g\"
		var replace_string2 =\"\%20\"
		var in_string = document.form3.name.value
		var new_string = in_string.replace\(reg_exp1,replace_string\)
		var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
		if\(new_string ==\"\"\)\{
		no_good = 2
		\}\n";
		
		print"if\(no_good == 2\)\{
		alert\(\"$LANGUAGE{$set_language}{Anamewasnotentered}\"\)
		document.form3.name.focus\(\)
		\}
		else \{\n";
		print"if\(i_n  == \'mkbank\'\)\{\n";
		print"var name = document.form3.name.value\n";
		print"self.top.topb.document.form_bank.name.value=name\n";
		print"self.top.topb.document.form_bank.parent.value=\"$CQST{parent}\"\n";
		print"self.top.topb.document.form_bank.type.value=\"$CQST{type}\"\n";
		print"self.top.topb.document.form2.name.value=name\n";
		print"self.top.topb.document.form2.expand.value=\"$CQST{expand}\"\n";
		print"self.top.topb.mkbank\(\)\n";
		print"\}\n";
		print"else \{\n";
		print"var name = document.form3.name.value\n";
		print"self.top.topb.document.make_quest.action_type.value = i_n\n";
		print"self.top.topb.document.make_quest.status.value =\"1\"\n";
		print"self.top.topb.document.make_quest.type.value =\"$CQST{type}\"\n";
		print"self.top.topb.document.make_quest.sub_type.value =\"$CQST{sub_type}\"\n";
		print"self.top.topb.document.make_quest.name.value=name\n";
		print"self.top.topb.document.form5.name.value=name\n";
		print"self.top.topb.mkadd\(\)\n";
		print"\}\n";
		print"\}\n";
		print"\}\n";
		&print_javascript_end();

		&print_form_wo_end_tag("form_name","form3");
		
		&top_heading22("value","$assign[$CQST{type}]");
		
		print" <font color=\"#77787b\">in folder:&nbsp\;&nbsp\;</font>\<B> $CQST{name}</B></TD></TABLE><P>\n";
		print"$assign[$CQST{type}] $LANGUAGE{$set_language}{Name}: <input type =\"text\" name=\"name\" size=\"40\">&nbsp\;&nbsp\;&nbsp\;<font size=\"-2\">$LANGUAGE{$set_language}{Max50characters}</font><P></FORM>\n";
		
		&print_javascript_focus("form","form3","field","name");
		&help;
		
		print"<B>$LANGUAGE{$set_language}{Enterthe} $assign[$CQST{type}] $LANGUAGE{$set_language}{nameandselectanoptionfromabove}</B><P>\n";
		}
	}

#################
#
# CREATE_RENAME
#
################
sub create_rename {
	my %CR = @_;
	$CR{parent} =~ s/\D//g;
	$CR{org_id} =~ s/\D//g;
	$CR{expand} =~ s/[^0-9,]//g;
	$CR{type} =~ s/\D//g;
	$CR{sub_type} =~ s/\D//g;
	$CR{i_n} =~ s/\D//g;
	$CR{from} =~ s/\D//g;
	$CR{qst} =~ s/\D//g;
	my $error = 0;
	$error = &check_many_length_return("$CR{parent}","10","$CR{type}","2","$CR{sub_type}","2","$CR{expand}","50","$CR{qst}","10","$CR{from}","2");

	if($error != 1 ) {
		if ($CR{i_n} == 2) {
			print"<center><B>$LANGUAGE{$set_language}{CreateFolder}</B></center><P>\n";
	 		}
		else {
			if($CR{type} == 6) {
				print"<center><B>$LANGUAGE{$set_language}{RenameFile}</B></center><P>\n";
				}
			elsif (defined $CR{qst}) {
				print"<center><B>$LANGUAGE{$set_language}{Rename} $assign[$CR{type}]</B></center><P>\n";
				}
			else {
				print"<center><B>$LANGUAGE{$set_language}{RenameFolder}</B></center><P>\n";
				}
	 		}
	 		
		&javascript_check_input_not_empty("form","form1","error_message","$LANGUAGE{$set_language}{Anamewasnotentered}","fields","name");
		&javascript_cancel_handler();

		if ($CR{i_n} == 2) {
                        &print_form_wo_end_tag("form_name","form1","form_target","theright","input","add_folder","parent","$CR{parent}","from","$CR{from}","expand","$CR{expand}","type","$CR{type}","sub_type","$CR{sub_type}","u_id","$CR{u_id}","session_id","$CR{session_id}","org_id","$CR{org_id}");
			
			print"<input type=\"hidden\" name=\"u_id\" value=\"$CR{u_id}\">
			<input type=\"hidden\" name=\"session_id\" value=\"$CR{session_id}\">
			<center>$LANGUAGE{$set_language}{Foldertoplaceunder} <B> $CR{name}</B></center><P>
			<center>$LANGUAGE{$set_language}{Name}\: <input type=\"text\" name=\"name\" value=\"\" size=\"25\"\></center><center><font size=\"-2\">$LANGUAGE{$set_language}{Max50characters}</center><P>\n";
			
			print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"cursor: pointer\; font-size:11pt\; font-family:Arial\;\"><B  onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Create} </B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"cancel_handler\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
			}
			
		else {
			$CR{name} =~ s/\"/&\#34/g;
			&print_form_wo_end_tag("form_name","form1","form_target","theright","input","rename_it","number","$CR{number}","from","$CR{from}","expand","$CR{expand}","type","$CR{type}","sub_type","$CR{sub_type}","qst","$CR{qst}","class_open","$CR{class_open}","open_class","$CR{open_class}","u_id","$CR{u_id}","session_id","$CR{session_id}","org_id","$CR{org_id}");
			
			print"<input type=\"hidden\" name=\"u_id\" value=\"$CR{u_id}\">
			<input type=\"hidden\" name=\"session_id\" value=\"$CR{session_id}\">
			<center>$LANGUAGE{$set_language}{Name}\: <input type=\"text\" name=\"name\" value=\"$CR{name}\" size=\"25\"></center><center><font size=\"-2\">$LANGUAGE{$set_language}{Max50characters}</center><P>\n";
			
			print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"cursor:pointer\; font-size:11pt\; font-family:Arial\;\"><B  onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Rename} <B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"cancel_handler\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
			}
			
		&print_javascript_focus("form","form1","field","name");
		}
	}

#################
#
# CREATE_RENAME_BANK
#
################
sub create_rename_bank {
	my %CR = @_;
	$CR{parent} =~ s/\D//g;
	$CR{org_id} =~ s/\D//g;
	$CR{expand} =~ s/[^0-9,]//g;
	$CR{type} =~ s/\D//g;
	$CR{sub_type} =~ s/\D//g;
	$CR{i_n} =~ s/\D//g;
	$CR{from} =~ s/\D//g;
	$CR{qst} =~ s/\D//g;
	my $error = 0;
	$error = &check_many_length_return("$CR{parent}","10","$CR{type}","2","$CR{sub_type}","2","$CR{expand}","50","$CR{qst}","10","$CR{from}","2");

	if($error != 1 ) {
		if ($CR{i_n} == 2) {
			print"<center><B>$LANGUAGE{$set_language}{CreateFolder}</B></center><P>\n";
			print"<center>$LANGUAGE{$set_language}{Thefolderscreatedhere}</center><P>\n";
	 		}
		else {
			if($CR{type} == 6) {
				print"<center><B>$LANGUAGE{$set_language}{RenameFile}</B></center><P>\n";
				}
			elsif (defined $CR{qst}) {
				print"<center><B>$LANGUAGE{$set_language}{Rename} $assign[$CR{type}]</B></center><P>\n";
				}
			else {
				print"<center><B>$LANGUAGE{$set_language}{RenameFolder}</B></center><P>\n";
				}
	 		}
	 		
		&javascript_check_input_not_empty("form","form1","error_message","$LANGUAGE{$set_language}{Anamewasnotentered}","fields","name");
		&javascript_cancel_handler();

		if ($CR{i_n} == 2) {
                        &print_form_wo_end_tag("form_name","form1","form_target","theright","input","add_bank_folder","parent","$CR{parent}","from","$CR{from}","expand","$CR{expand}","type","$CR{type}","sub_type","$CR{sub_type}","u_id","$CR{u_id}","session_id","$CR{session_id}","org_id","$CR{org_id}");
			
			print"<input type=\"hidden\" name=\"u_id\" value=\"$CR{u_id}\">
			<input type=\"hidden\" name=\"session_id\" value=\"$CR{session_id}\">
			<center>$LANGUAGE{$set_language}{Foldertoplaceunder} <B> $CR{name}</B></center><P>
			<center>$LANGUAGE{$set_language}{Name}\: <input type=\"text\" name=\"name\" value=\"\" size=\"25\"\></center><center><font size=\"-2\">$LANGUAGE{$set_language}{Max50characters}</center><P>\n";
			
			print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"cursor:pointer\;font-size:11pt\; font-family:Arial\;\"><B STYLE=\"cursor: pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{CreateFolder}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"cancel_handler\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
			}
		else {
			$CR{name} =~ s/\"/&\#34/g;
                        &print_form_wo_end_tag("form_name","form1","form_target","theright","input","bank_rename_it","number","$CR{number}","from","$CR{from}","expand","$CR{expand}","type","$CR{type}","sub_type","$CR{sub_type}","qst","$CR{qst}","class_open","$CR{class_open}","open_class","$CR{open_class}","u_id","$CR{u_id}","session_id","$CR{session_id}","org_id","$CR{org_id}");
			
			print"<input type=\"hidden\" name=\"u_id\" value=\"$CR{u_id}\">
			<input type=\"hidden\" name=\"session_id\" value=\"$CR{session_id}\">
			<center>$LANGUAGE{$set_language}{Name}\: <input type=\"text\" name=\"name\" value=\"$CR{name}\" size=\"35\"></center><center><font size=\"-2\">$LANGUAGE{$set_language}{Max50characters}</center><P>\n";
			
			print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"cursor:pointer\; font-size:11pt\; font-family:Arial\;\"><B STYLE=\"cursor: pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Rename} </B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"cancel_handler\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
			}
			
		&print_javascript_focus("form","form1","field","name");
		}
	} 

#####################
#
# CUT_PASTE
#
####################
sub cut_paste {
	my %CP = @_;
	$CP{quiz_no} =~ s/\D//g;
	$CP{cut} =~ s/\D//g;
	$CP{paste} =~ s/\D//g;
	$CP{from} =~ s/\D//g;
	$CP{type} =~ s/\D//g;
	$CP{class_open} =~ s/\D//g;
	$CP{open_class} =~ s/\D//g;
	$CP{where} =~ s/\D//g;
	my $question_cut = $CP{cut};
	my $error = 0;
	$error = &check_many_length_return("$CP{parent}","10","$CP{type}","2","$CP{sub_type}","2","$CP{expand}","50","$CP{quiz_no}","10","$CP{from}","2","$CP{quest_no}","10");

	if($error != 1 ) {
		#get the questions in qst and their order, primary questions referer = 0
		my %RETURN = &select4("query","select quest_no,q_order from qst_questions WHERE qst_no=\"$CP{quiz_no}\" AND q_order > \"0\" AND referer=\"0\" AND u_id=\"$ids\"");
		my %RETURN1 = &select_qst_questions_order("qst_no","$CP{quiz_no}");
		my $new_order_number;
		my $order_of_question_cut = $RETURN{$CP{cut}};

		if($CP{where} == 1) { # place above first question
			$new_order_number = $RETURN{$CP{paste}} - 1;
			if($new_order_number < 1) {
				$new_order_number = $RETURN{$CP{paste}};
				}
			}
		else {
			$new_order_number = $RETURN{$CP{paste}} + 1;
			}
			
		if(!exists $RETURN1{$new_order_number} && $CP{cut} != $CP{paste}) { # gap in ordering sequence
			#update question order
			foreach my $key(keys %{$RETURN1{$order_of_question_cut}{quest_no}}) {
				&update_general("query","UPDATE qst_questions SET q_order=\"$new_order_number\" WHERE quest_no=\"$key\" AND qst_no=\"$CP{quiz_no}\" AND referer=\"0\" AND u_id=\"$ids\"");
				}
			}
			
		elsif ($CP{cut} != $CP{paste}) { #insert and reorder sequence
			my $index = 1;
			my $alter = 0;
			foreach my $order(sort {$a<=>$b} values %RETURN) {
				if($order == $RETURN{$CP{paste}}) {
					$alter = 1; # alter the numbering after this
					# alter the numbering of the one that was cut
					
					if(exists $RETURN1{$order_of_question_cut}) {
						foreach my $key(keys %{$RETURN1{$order_of_question_cut}{quest_no}}) {
							my $query = "UPDATE qst_questions SET q_order=\"$new_order_number\" WHERE quest_no=\"$key\" AND qst_no=\"$CP{quiz_no}\" AND referer=\"0\" AND u_id=\"$ids\"";
							&update_general("query","$query");
							}
						delete($RETURN1{$order_of_question_cut});
						$index = $new_order_number + 3; #leave space for reordering
						}
						
					if($CP{where} == 1) { # going above first one
						foreach my $key(keys %{$RETURN1{$order}{quest_no}}) {
							my $query = "UPDATE qst_questions SET q_order=\"$index\" WHERE quest_no=\"$key\" AND qst_no=\"$CP{quiz_no}\" AND referer=\"0\" AND u_id=\"$ids\"";
							&update_general("query","$query");
							}
						$index = $index + 3; #leave space for reordering
						}
					next;
					}
					
				if($alter == 1 && $order != $order_of_question_cut) {
					if(exists $RETURN1{$order}) {
						foreach my $key(keys %{$RETURN1{$order}{quest_no}}) {
							my $query = "UPDATE qst_questions SET q_order=\"$index\" WHERE quest_no=\"$key\" AND qst_no=\"$CP{quiz_no}\" AND referer=\"0\" AND u_id=\"$ids\"";
							&update_general("query","$query");
							}
						delete($RETURN1{$order});
						$index = $index + 3; #leave space for reordering
						}
					}	

				}
			}
					
                &change_qst("quiz_no","$CP{quiz_no}","from","$CP{from}","type","$CP{type}","sub_type","$CP{sub_type}","name","$CP{name}","refresh_right","$CP{refresh_right}","changed","0","class_open","$CP{class_open}","open_class","$CP{open_class}","u_id","$CP{u_id}","session_id","$CP{session_id}");
		
		}
	}

############
#
# DELETE_ASSIGN
#
#############
sub delete_assign {
	my %DA = @_;
	$DA{type} =~ s/\D//;
	$DA{qst_id} =~ s/\D//;
	$DA{expand} =~ s/\D//;
	my $error = 0;
	$error = &check_many_length_return("$DA{qst_id}","10","$DA{type}","2","$DA{expand}","10");

	if(defined $DA{expand} && defined $DA{qst_id} && defined $USER{$ids}{$DA{expand}} && $DA{type} == 3 && $error != 1) { # Assignments
		my $query = "SELECT assign_id,u_id from assignments WHERE assign_id=\"$DA{qst_id}\" AND class_id=\"$DA{expand}\" AND u_id=\"$ids\"";
		my %RETURN = &select4("query","$query");
		
		if (keys %RETURN) {
			&generic_delete("query","DELETE from assignments WHERE assign_id=\"$DA{qst_id}\" AND class_id=\"$DA{expand}\" AND u_id=\"$ids\"");
			&generic_delete("query","DELETE from assignment_marks WHERE assign_id=\"$DA{qst_id}\"");
			}
		}
        
        # quizzes/tests
	elsif(defined $DA{expand} && defined $DA{qst_id} && defined $USER{$ids}{$DA{expand}} && ($DA{type} == 1 || $DA{type} == 2)) {
		my $query = "SELECT qst,u_id from posted_qst WHERE qst=\"$DA{qst_id}\" AND class_id=\"$DA{expand}\" AND u_id=\"$ids\"";
		my %RETURN = &select4("query","$query");

		if (keys %RETURN) {
			&generic_delete("query","DELETE from qst_attempts WHERE qst_no=\"$DA{qst_id}\"");
			&generic_delete("query","DELETE from access_to_qst WHERE qst_no=\"$DA{qst_id}\"");
                        my $query = qq{UPDATE posted_qst set posted=\"0\" WHERE qst=\"$DA{qst_id}\"};
                        my $sth = $dbh->prepare($query);
                        $sth->execute();

			&generic_delete("query","DELETE from qsts WHERE qst=\"$DA{qst_id}\"");
			&generic_delete("query","DELETE from qst_scores WHERE qst=\"$DA{qst_id}\"");
			}
		}
		
	&gradebook("expand","$DA{expand}","u_id","$DA{u_id}","session_id","$DA{session_id}");
	}

############
#
# DEL_ORG
#
############
sub del_org {
	my %DO = @_;
 	$DO{value} =~ s/\D//g;
	my $error = 0;
	$error = &check_many_length_return("$DO{value}","10");
	
	if($org_id == 0 || $org_id == $DO{value}) { # Check they can do this
		if($error != 1 ) {
			&delete("from","organization","value","$DO{value}","column","org_id");
			&generic_delete("query","DELETE FROM users WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM class_users WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM users_classes WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM classes WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM categories WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM question_categories WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM questions WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM question_answers WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM categories_to_questions WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM assignments WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM assignment_marks WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM qst WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM posted_qst WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM qst_attempts WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM access_to_qst WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM categories_to_qst WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM qst_questions WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM qst_to_classes WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM qst_scores WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM qsts WHERE org_id=\"$DO{value}\"");
			&generic_delete("query","DELETE FROM file_folders WHERE org_id=\"$DO{value}\"");
				
			#delete images from directory
			my %RETURN = &select4("query","select number,file_name from qst_files where org_id=\"$DO{value}\"");
		
			if(keys %RETURN) {
				foreach my $key(keys %RETURN) {
					my @aa = split(/\./,$RETURN{$key});
					my $actual_file_name = $upload_directory."$key"."\."."$aa[1]";
					unlink($actual_file_name);
					}
				}
			
			&generic_delete("query","DELETE FROM qst_files WHERE org_id=\"$DO{value}\"");
			&org("type","6","u_id","$DO{u_id}","session_id","$DO{session_id}");
			}
		}
		
	else {
		print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
		}
	}

#############
#
# DELETE_CLASS_FROM_USER
#
#############
sub delete_class_from_user {
	my %DI = @_;
 	$DI{u_id} =~ s/\D//g;
  	$DI{uid} =~ s/\D//g;
  	$DI{org_id} =~ s/\D//g;
  	
 	my %DEL_CLASS = %DI;
	my $to_remove = 0;
	my $classes_to_remove = "class_id=\"";
	
	delete($DEL_CLASS{u_id});
	delete($DEL_CLASS{uid});
	delete($DEL_CLASS{session_id});
	delete($DEL_CLASS{org_id});
	delete($DEL_CLASS{f_name});
	delete($DEL_CLASS{m_name});
	delete($DEL_CLASS{l_name});
	delete($DEL_CLASS{u_type});
	delete($DEL_CLASS{input});

	foreach my $key(keys %DEL_CLASS) {
                if($key > 0) {
                        if($to_remove == 0) {
                                $classes_to_remove = "$classes_to_remove"."$key\"";
                                }
                        else {
                                $classes_to_remove = "$classes_to_remove"." OR class_id=\"$key\"";
                                }
                        ++$to_remove;
                        }
		}
		
	if($to_remove > 0 && ($org_id == 0 || $org_id == $DI{org_id})) { # They can delete from this org
		#delete their classes
		&generic_delete("query","DELETE from users_classes where u_id=\"$DI{uid}\" AND \($classes_to_remove\)");

		#delete from class_users
		&generic_delete("query","DELETE from class_users WHERE u_id=\"$DI{uid}\" AND \($classes_to_remove\)");

		#find which qsts are associated with classes
		my $qsts_to_remove = "qst=\"";
		my $qst_no_to_remove = "qst_no=\"";
		my $qst_numbers = "number=\"";
		my %QSTS_TO_REMOVE = &select1("query","SELECT qst FROM qst_to_classes WHERE $classes_to_remove");
		
		if(keys %QSTS_TO_REMOVE) {
			my $index = 0;
			foreach my $key(keys %QSTS_TO_REMOVE) {
				if($index == 0) {
					$qsts_to_remove = "$qsts_to_remove"."$key\"";
					$qst_no_to_remove = "$qst_no_to_remove"."$key\"";
					$qst_numbers = "$qst_numbers"."$key\"";
					}
				else {
					$qsts_to_remove = "$qsts_to_remove"." OR qst=\"$key\"";
					$qst_no_to_remove = "$qst_no_to_remove"." OR qst_no=\"$key\"";
					$qst_numbers = "$qst_numbers"." OR number=\"$key\"";
					}
				++$index;
				}
			}

		#find which assignments are associated with classes
		my %ASSIGNMENTS_TO_REMOVE = &select1("query","SELECT assign_id FROM assignments WHERE $classes_to_remove");
		my $assignments_to_remove = "assign_id=\"";
		
		if(keys %ASSIGNMENTS_TO_REMOVE) {
			my $index = 0;
			foreach my $key(keys %ASSIGNMENTS_TO_REMOVE) {
				if($index == 0) {
					$assignments_to_remove = "$assignments_to_remove"."$key\"";
					}
				else {
					$assignments_to_remove = "$assignments_to_remove"." OR assign_id=\"$key\"";
					}
				++$index;
				}
			}

		if($DI{u_type} == 3) { #students
			if(keys %QSTS_TO_REMOVE) {
				#delete qst_attempts
				&generic_delete("query","DELETE from qst_attempts WHERE u_id=\"$DI{uid}\" AND \($qst_no_to_remove\)");

				#delete qst_scores
				&generic_delete("query","DELETE from qst_scores WHERE u_id=\"$DI{uid}\" AND \($qsts_to_remove\)");

				#delete qsts
				&generic_delete("query","DELETE from qsts WHERE u_id=\"$DI{uid}\" AND \($qsts_to_remove\)");

				#delete access_to_qst
				&generic_delete("query","DELETE from access_to_qst WHERE u_id=\"$DI{uid}\" AND \($qst_no_to_remove\)");
				}
			#delete assignments
			if(keys %ASSIGNMENTS_TO_REMOVE) {
				&generic_delete("query","DELETE from assignment_marks WHERE u_id=\"$DI{uid}\" AND \($assignments_to_remove\)");
				}
			}

		if($DI{u_type} == 2) { #instructors
			if(keys %QSTS_TO_REMOVE) {
				#delete from qst_questions
				#&generic_delete("query","DELETE from qst_questions WHERE u_id=\"$DI{uid}\" AND \($qst_no_to_remove\)");

				#delete from posted_qst
				&generic_delete("query","DELETE from posted_qst WHERE u_id=\"$DI{uid}\" AND \($classes_to_remove\)");

				#delete from qst_to_classes
				&generic_delete("query","DELETE from qst_to_classes WHERE $classes_to_remove");

				#delete from qst
				&generic_delete("query","DELETE from qst WHERE u_id=\"$DI{uid}\" AND \($qst_numbers\)");

				#delete access_to_qst
				&generic_delete("query","DELETE from access_to_qst WHERE $qst_no_to_remove");

				#delete qst_attempts
				&generic_delete("query","DELETE from qst_attempts WHERE $qst_no_to_remove");

				#delete qst_scores
				&generic_delete("query","DELETE from qst_scores WHERE $qsts_to_remove");

				#delete qsts
				&generic_delete("query","DELETE from qsts WHERE $qsts_to_remove");
				}

			#delete assignments
			if(keys %ASSIGNMENTS_TO_REMOVE) {
				#delete from assignment_marks
				&generic_delete("query","DELETE from assignment_marks WHERE $assignments_to_remove");

				#delete from assignments
				&generic_delete("query","DELETE from assignments WHERE u_id=\"$DI{uid}\" AND \($assignments_to_remove\)");
				}
			}
		}
	&admin_view_user("org_id","$DI{org_id}","f_name","$DI{f_name}","m_name","$DI{m_name}","l_name","$DI{l_name}","uid","$DI{uid}","u_id","$DI{u_id}","session_id","$DI{session_id}");
	}

#############
#
# DELETE_IT
#
#############
sub delete_it {
	my %DI = @_;
 	$DI{class_id} =~ s/\D//g;
 	$DI{org_id} =~ s/\D//g;
 	$DI{org_type} =~ s/\D//g;
 	$DI{u_id} =~ s/\D//g;
 	$DI{uid} =~ s/\D//g;
 	$DI{session_id} =~ s/\D//g;
 	$DI{u_type} =~ s/\D//g;
	my $to_show = 1;
	
	if($org_id == 0 || $org_id == $DI{org_id}) { # Check they can do this
		if($DI{org_type} == 1) { # delete_class
			my $good_class;
			$good_class = &select10("query","SELECT class_id FROM classes WHERE org_id =\"$DI{org_id}\" AND class_id=\"$DI{class_id}\"");

			if (defined $DI{class_id} && $DI{class_id} == $good_class) { 
				my %U_CLASSES = &select_class_users("class_id","$DI{class_id}");
				&generic_delete("query","delete from users_classes where class_id =\"$DI{class_id}\" and org_id = \"$DI{org_id}\"");
				&generic_delete("query","delete from class_users where class_id =\"$DI{class_id}\" and org_id = \"$DI{org_id}\"");
				my $query;

				if(keys %U_CLASSES) {
					foreach my $key(keys %U_CLASSES) {
						$query = "$query"."OR"." $key ";
						}
					}
				$query =~ s/^OR //;

				&generic_delete("query","delete from qst_scores where u_id =\"$query\" and org_id =\"$DI{org_id}\""); 
				&generic_delete("query","delete from qsts where u_id =\"$query\" and org_id =\"$DI{org_id}\"");
				&generic_delete("query","delete from assignment_marks where u_id =\"$query\" and org_id =\"$DI{org_id}\"");
				&generic_delete("query","delete from access_to_qst where u_id =\"$query\" and org_id =\"$DI{org_id}\"");
				&generic_delete("query","delete from qst_attempts where u_id =\"$query\" and org_id =\"$DI{org_id}\"");
				&generic_delete("query","delete from qst_to_classes where class_id =\"$DI{class_id}\" and org_id =\"$DI{org_id}\"");
				&generic_delete("query","delete from posted_qst where class_id =\"$DI{class_id}\" and org_id =\"$DI{org_id}\"");			
				}
			
			&delete("from","classes","value","$DI{class_id}","column","class_id","u_id","$DI{u_id}","session_id","$DI{session_id}","org_id","$DI{org_id}","org_type","$DI{org_type}","org_letter","$DI{org_letter}","org_name","$DI{org_name}");
		
			}
		
		elsif ($DI{org_type} == 2) { # delete_user
			my %RETURN = &select20("query","select u_id,u_type,photo from users where u_id = \"$DI{uid}\" and org_id=\"$DI{org_id}\"");

			if($DI{u_type} < 1) {
				$DI{u_type} = $RETURN{$DI{uid}}{u_type};
				}

			if (defined $DI{uid}) { # delete user
				if ($DI{u_type} == 1) {# admin
					&delete("from","users","value","$DI{uid}","column","u_id");
				
					&admin();
					$to_show = 0;
					}
			
				elsif ($DI{u_type} == 3) { # students
					&delete("from","users","column","u_id","value","$DI{uid}");
					&delete("from","class_users","column","u_id","value","$DI{uid}");
					&delete("from","users_classes","column","u_id","value","$DI{uid}");
					&delete("from","qst_scores","column","u_id","value","$DI{uid}");
					&delete("from","qsts","column","u_id","value","$DI{uid}");
					&delete("from","assignment_marks","column","u_id","value","$DI{uid}");
					&delete("from","access_to_qst","column","u_id","value","$DI{uid}");
					&delete("from","qst_attempts","column","u_id","value","$DI{uid}");
					
					# delete user photo
					if($RETURN{$DI{uid}}{photo} > 0) {
						my @name = split(/\./,$RETURN{$DI{uid}}{photo});
						&generic_delete("query","delete from qst_files WHERE number=\"$name[0]\" and org_id=\"$org_id\" and parent=\"0\"");
						# unlink photo
						my $actual_file_name = "$upload_directory_photos"."$RETURN{$DI{uid}}{photo}";
						unlink($actual_file_name);
						}
					}
			
				elsif ($DI{u_type} == 2) { # instructors
					&delete("from","users","column","u_id","value","$DI{uid}");
					&delete("from","class_users","column","u_id","value","$DI{uid}");
					&delete("from","users_classes","column","u_id","value","$DI{uid}");
					&delete("from","categories","column","u_id","value","$DI{uid}");
					&delete("from","question_categories","column","u_id","value","$DI{uid}");
					&delete("from","categories_to_qst","column","u_id","value","$DI{uid}");
					&delete("from","questions","column","u_id","value","$DI{uid}");
					&delete("from","qst","column","u_id","value","$DI{uid}");
					&delete("from","qst_questions","column","u_id","value","$DI{uid}");
					&delete("from","question_answers","column","u_id","value","$DI{uid}");
					&delete("from","categories_to_questions","column","u_id","value","$DI{uid}");
					&delete("from","qst_scores","column","u_id","value","$DI{uid}");
					&delete("from","assignment_marks","column","u_id","value","$DI{uid}");
					&delete("from","file_folders","column","u_id","value","$DI{uid}");
				
					my %RETURN_FILES = &select4("query","select number, file_name from qst_files where u_id =\"$DI{uid}\" and org_id = \"$DI{org_id}\"");
					if(keys %RETURN_FILES) {
						foreach my $key(keys %RETURN_FILES) {
							my @image = split(/\./,$RETURN_FILES{$key});
							my $file = "$upload_directory"."$key"."\."."$image[1]";
							unlink($file);
							}
						}
					
					&delete("from","qst_files","column","u_id","value","$DI{uid}");
					&delete("from","qsts","column","u_id","value","$DI{u_id}");
			
					# delete user photo
					if($RETURN{$DI{uid}}{photo} > 0) {
						my @name = split(/\./,$RETURN{$DI{uid}}{photo});
						&generic_delete("query","delete from qst_files WHERE number=\"$name[0]\" and org_id=\"$org_id\" and parent=\"0\"");
						# unlink photo
						my $actual_file_name = "$upload_directory_photos"."$RETURN{$DI{uid}}{photo}";
						unlink($actual_file_name);
						}
					}
				}
			if($to_show == 1) {	
				&view_it("org_id","$DI{org_id}","org_name","$DI{org_name}","org_letter","$DI{org_letter}","org_type","$DI{org_type}","u_id","$DI{u_id}","session_id","$DI{session_id}");
				}
			}
		}
		
	else {
		print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
		}

	}

#############
#
# DELETE_PHOTO
#
#############
sub delete_photo {
	my %DP = @_;
 	$DP{photo} =~ s/[^A-Za-z0-9\.]//g;
 	$DP{org_id} =~ s/\D//g;
 	$DP{org_type} =~ s/\D//g;
 	$DP{u_id} =~ s/\D//g;
 	$DP{uid} =~ s/\D//g;
 	$DP{mode} =~ s/\D//g;
 	$DP{session_id} =~ s/\D//g;
 	my @photo = split(/\./,$DP{photo});

 	if($photo[0] > 0) {
		&generic_delete("query","delete from qst_files WHERE number=\"$photo[0]\" and org_id=\"$DP{org_id}\" and parent=\"0\"");
		&update_users_photo("uid","$DP{uid}","org_id","$DP{org_id}","photo","");

		# unlink photo
		my $actual_file_name = "$upload_directory_photos"."$DP{photo}";
		unlink($actual_file_name);
		&upload_photo("u_id","$DP{u_id}","session_id","$DP{session_id}","org_id","$DP{org_id}","status","0","uid","$DP{uid}","mode","$DP{mode}");
		}
 	}
 
#############
#
# DELETE_USERS_FROM_CLASS
#
#############
sub delete_users_from_class {
	my %DUFC = @_;
 	$DUFC{class_id} =~ s/\D//g;
 	$DUFC{org_id} =~ s/\D//g;
 	my $oorg_id = "$DUFC{org_id}";
	my $class_id = "$DUFC{class_id}";
	my $class_name = "$DUFC{class_name}";
	my $u_id = "$DUFC{u_id}";
	my $session_id = "$DUFC{session_id}";

	delete($DUFC{class_id});
	delete($DUFC{org_id});
	delete($DUFC{u_id});
	delete($DUFC{session_id});
	delete($DUFC{input});
	delete($DUFC{class_name});

	if(keys %DUFC && ($org_id == 0 || $org_id == $oorg_id)) { # are students to delete from class and they are allowed to delete from this org
		foreach my $key(keys %DUFC) {
			$key =~ s/\D//g;
			#delete their class
			&generic_delete("query","DELETE from users_classes WHERE u_id=\"$key\" AND class_id=\"$class_id\" AND org_id=\"$oorg_id\"");

			#delete from class_users
			&generic_delete("query","DELETE from class_users WHERE u_id=\"$key\" AND class_id=\"$class_id\"");
			}
			
		#find which qsts are associated with classes
		my $qsts_to_remove = "qst=\"";
		my $qst_no_to_remove = "qst_no=\"";
		my $qst_numbers = "number=\"";
		my %QSTS_TO_REMOVE = &select1("query","SELECT qst FROM qst_to_classes WHERE class_id=\"$class_id\"");
		
		if(keys %QSTS_TO_REMOVE) {
			my $index = 0;
			foreach my $key(keys %QSTS_TO_REMOVE) {
				if($index == 0) {
					$qsts_to_remove = "$qsts_to_remove"."$key\"";
					$qst_no_to_remove = "$qst_no_to_remove"."$key\"";
					$qst_numbers = "$qst_numbers"."$key\"";
					}
				else {
					$qsts_to_remove = "$qsts_to_remove"." OR qst=\"$key\"";
					$qst_no_to_remove = "$qst_no_to_remove"." OR qst_no=\"$key\"";
					$qst_numbers = "$qst_numbers"." OR number=\"$key\"";
					}
				++$index;
				}
			}

		#find which assignments are associated with classes
		my %ASSIGNMENTS_TO_REMOVE = &select1("query","SELECT assign_id FROM assignments WHERE class_id=\"$class_id\"");
		my $assignments_to_remove = "assign_id=\"";
		
		if(keys %ASSIGNMENTS_TO_REMOVE) {
			my $index = 0;
			foreach my $key(keys %ASSIGNMENTS_TO_REMOVE) {
				if($index == 0) {
					$assignments_to_remove = "$assignments_to_remove"."$key\"";
					}
				else {
					$assignments_to_remove = "$assignments_to_remove"." OR assign_id=\"$key\"";
					}
				++$index;
				}
			}

		#delete their qsts
		if(keys %QSTS_TO_REMOVE) {
			foreach my $key(keys %DUFC) {
				#delete qst_attempts
				&generic_delete("query","DELETE from qst_attempts WHERE u_id=\"$key\" AND \($qst_no_to_remove\)");

				#delete qst_scores
				&generic_delete("query","DELETE from qst_scores WHERE u_id=\"$key\" AND \($qsts_to_remove\)");

				#delete qsts
				&generic_delete("query","DELETE from qsts WHERE u_id=\"$key\" AND \($qsts_to_remove\)");

				#delete access_to_qst
				&generic_delete("query","DELETE from access_to_qst WHERE u_id=\"$key\" AND \($qst_no_to_remove\)");
				}
			}

		#delete their assignments
		if(keys %ASSIGNMENTS_TO_REMOVE) {
			foreach my $key(keys %DUFC) {
				&generic_delete("query","DELETE from assignment_marks WHERE u_id=\"$key\" AND \($assignments_to_remove\)");
				}
			}
		}
		
	&admin_view_users_in_class("org_id","$oorg_id","class_id","$class_id","class_name","$class_name","u_id","$u_id","session_id","$session_id");
	}

############
#
# DELETE_S_ASSIGN
#
#############
sub delete_s_assign {
	my %DSA = @_;
	$DSA{type} =~ s/\D//;
	$DSA{qst_id} =~ s/\D//;
	$DSA{s_id} =~ s/\D//;
	$DSA{expand} =~ s/\D//;
	my $error = 0;
	$error = &check_many_length_return("$DSA{qst_id}","10","$DSA{type}","2","$DSA{s_id}","10");

	if($DSA{type} == 4 && $error != 1) { # assignments
		&generic_delete("query","DELETE from assignment_marks WHERE assign_id=\"$DSA{qst_id}\" AND u_id=\"$DSA{s_id}\"");
		
		&gradebook("expand","$DSA{expand}","u_id","$DSA{u_id}","session_id","$DSA{session_id}");
		}
		
	elsif($DSA{type} == 1 && $error != 1) { # quizzes/tests
		&generic_delete("query","DELETE from qst_scores WHERE qst=\"$DSA{qst_id}\" AND u_id=\"$DSA{s_id}\"");
		
	#	&update_general("query","UPDATE qst_attempts SET attempts=\"0\",start_time=\"0\",finish_time=\"0\" WHERE qst_no=\"$DSA{qst_id}\" AND u_id=\"$DSA{s_id}\"");
		&update_general("query","UPDATE qst_attempts SET attempts=\"0\",start_time=\"0\",finish_time=\"0\",resume=\"0\" WHERE qst_no=\"$DSA{qst_id}\" AND u_id=\"$DSA{s_id}\"");
		
		&generic_delete("query","DELETE from qsts WHERE qst=\"$DSA{qst_id}\" AND u_id=\"$DSA{s_id}\"");
		
		&gradebook("expand","$DSA{expand}","u_id","$DSA{u_id}","session_id","$DSA{session_id}");
		}
		
	elsif($DSA{type} == 2 && $error != 1) { # surveys
		&generic_delete("query","DELETE from qst_scores WHERE qst=\"$DSA{qst_id}\" AND u_id=\"$DSA{s_id}\"");
		
		&update_general("query","UPDATE qst_attempts SET attempts=\"0\",start_time=\"0\",finish_time=\"0\" WHERE qst_no=\"$DSA{qst_id}\" AND u_id=\"$DSA{s_id}\"");

		&generic_delete("query","DELETE from qsts WHERE qst=\"$DSA{qst_id}\" AND u_id=\"$DSA{s_id}\"");
		
		&gradebook("expand","$DSA{expand}","u_id","$DSA{u_id}","session_id","$DSA{session_id}");
		}
	}

############
#
# DELETE_CC
#
###########
sub delete_cc {
	my %DCC = @_;
	$DCC{type} =~ s/\D//g;
	$DCC{org_id} =~ s/\D//g;
	$DCC{sub_type} =~ s/\D//g;
	$DCC{number} =~ s/\D//g;
	$DCC{from} =~ s/\D//g;
	$DCC{expand} =~ s/[^0-9,]//g;
	$DCC{expand} =~ s/\,$DCC{number}//;
	my $error = 0;
	$error = &check_many_length_return("$DCC{number}","10","$DCC{type}","2","$DCC{expand}","50","$DCC{sub_type}","1");

	if($error != 1) {
		&delete_categories_and_contents("number","$DCC{number}","from","$DCC{from}","type","$DCC{type}");
		
		if($DCC{from} == 1) { # questions
			&questions("expand","$DCC{expand}","u_id","$DCC{u_id}","session_id","$DCC{session_id}");
			}
			
		elsif ($DCC{from} == 2 || $DCC{from} == 4) { #qsts
                        &make_type("expand","$DCC{expand}","type","$DCC{type}","from","$DCC{from}","sub_type","$DCC{sub_type}","u_id","$DCC{u_id}","session_id","$DCC{session_id}");
			}
			
		elsif ($DCC{from} == 5) { # manage files
                        &manage_files("expand","$DCC{expand}","type","$DCC{type}","u_id","$DCC{u_id}","session_id","$DCC{session_id}","org_id","$DCC{org_id}");
			}
		}
	}

############
#
# DELETE_BANK_CC
#
###########
sub delete_bank_cc {
	my %DCC = @_;
	$DCC{type} =~ s/\D//g;
	$DCC{org_id} =~ s/\D//g;
	$DCC{sub_type} =~ s/\D//g;
	$DCC{number} =~ s/\D//g;
	$DCC{from} =~ s/\D//g;
	$DCC{expand} =~ s/[^0-9,]//g;
	$DCC{expand} =~ s/\,$DCC{number}//;
	my $error = 0;
	$error = &check_many_length_return("$DCC{number}","10","$DCC{type}","2","$DCC{expand}","50","$DCC{sub_type}","1");

	if($error != 1) {
		&delete_bank_categories_and_contents("number","$DCC{number}","from","$DCC{from}","type","$DCC{type}");

		if($DCC{from} == 1) { # questions
			&questions_bank("expand","$DCC{expand}","u_id","$DCC{u_id}","session_id","$DCC{session_id}");
			}
			
		elsif ($DCC{from} == 2 || $DCC{from} == 4) { #qsts
                        &make_type("expand","$DCC{expand}","type","$DCC{type}","from","$DCC{from}","sub_type","$DCC{sub_type}","u_id","$DCC{u_id}","session_id","$DCC{session_id}");
			}
			
		elsif ($DCC{from} == 5) { # manage files
                        &manage_bank_files("expand","$DCC{expand}","type","$DCC{type}","u_id","$DCC{u_id}","session_id","$DCC{session_id}","org_id","$DCC{org_id}");
			}
		}
	}

###########
#
# DELETE_BANK_CATEGORIES_AND_CONTENTS
#
###########
sub delete_bank_categories_and_contents {
	my %GOC = @_;
	$GOC{number} =~ s/\D//g;
	$GOC{from} =~ s/\D//g;
	$GOC{type} =~ s/\D//g;
	my $number = "$GOC{number}";
	my %RETURN = ();
	my %RETURN1 = ();

	if ($GOC{from} == 1) { # questions page
		%RETURN = &select4("query","SELECT number,parent from question_categories WHERE parent=\"$number\" AND u_id=\"0\"");
		%RETURN1 = &select5("query","SELECT number,question from categories_to_questions WHERE number=\"$number\" AND u_id=\"0\"");
		
		if (keys %RETURN1) {
			foreach my $key(keys %RETURN1) {
				&generic_delete("query","DELETE from questions WHERE number=\"$key\" AND u_id=\"0\"");
				&generic_delete("query","DELETE from question_answers WHERE number=\"$key\" AND u_id=\"0\"");
				&generic_delete("query","DELETE from qst_questions WHERE quest_no=\"$key\" AND u_id=\"0\"");
				}
			}
			
		&generic_delete("query","DELETE from categories_to_questions WHERE number=\"$number\" AND u_id=\"0\"");
		
		if ( $GOC{number} != 1) {
			&generic_delete("query","DELETE from question_categories WHERE number=\"$number\" AND u_id=\"0\"");
			}

                if (keys %RETURN) {
			foreach my $key(keys %RETURN) {
				&delete_bank_categories_and_contents("number","$key","from","$GOC{from}");
				}
			}
		}
		
	elsif($GOC{from} == 5) { # bank files/folders
		%RETURN = &select4("query","SELECT number,parent from file_folders WHERE parent=\"$number\" AND org_id=\"$org_id\" AND u_id=\"0\"");
		%RETURN1 = &select4("query","SELECT number,file_name from qst_files WHERE parent=\"$number\" AND org_id=\"$org_id\" AND u_id=\"0\"");

		if (keys %RETURN1) {
			foreach my $key(keys %RETURN1) {
				&generic_delete("query","DELETE from qst_files WHERE number=\"$key\" AND org_id=\"$org_id\"");
				my ($name,$extension) = split(/\./,$RETURN1{$key});
				my $file_name = "$upload_directory"."$key"."\."."$extension";
				
				unlink($file_name);
				}
			}

		&generic_delete("query","DELETE from file_folders WHERE number=\"$number\" AND org_id=\"$org_id\" AND type=\"0\"");
		
		if (keys %RETURN) {
			foreach my $key(keys %RETURN) {
				&delete_bank_categories_and_contents("number","$key","from","$GOC{from}","type","$GOC{type}");
				}
			}
		}
	}

###########
#
# DELETE_CATEGORIES_AND_CONTENTS
#
###########
sub delete_categories_and_contents {
	my %GOC = @_;
	$GOC{number} =~ s/\D//g;
	$GOC{from} =~ s/\D//g;
	$GOC{type} =~ s/\D//g;
	my $number = "$GOC{number}";
	my %RETURN = ();
	my %RETURN1 = ();

	if ($GOC{from} == 1) { # questions page
		%RETURN = &select4("query","SELECT number,parent from question_categories WHERE parent=\"$number\" AND u_id=\"$ids\"");
		%RETURN1 = &select5("query","SELECT number,question from categories_to_questions WHERE number=\"$number\" AND u_id=\"$ids\"");
		
		if (keys %RETURN1) {
			foreach my $key(keys %RETURN1) {
				&generic_delete("query","DELETE from questions WHERE number=\"$key\" AND u_id=\"$ids\"");
				&generic_delete("query","DELETE from question_answers WHERE number=\"$key\" AND u_id=\"$ids\"");
				&generic_delete("query","DELETE from qst_questions WHERE quest_no=\"$key\" AND u_id=\"$ids\"");
				}
			}
			
		&generic_delete("query","DELETE from categories_to_questions WHERE number=\"$number\" AND u_id=\"$ids\"");
		
		if ( $GOC{number} != 1) {
			&generic_delete("query","DELETE from question_categories WHERE number=\"$number\" AND u_id=\"$ids\"");
			}

                if (keys %RETURN) {
			foreach my $key(keys %RETURN) {
				&delete_categories_and_contents("number","$key","from","$GOC{from}");
				}
			}
		}
		
	elsif($GOC{from} == 2) { # quizzes/tests page
		%RETURN = &select4("query","SELECT number,cat_name from categories WHERE parent=\"$number\" AND u_id=\"$ids\" and type=\"$GOC{type}\"");
		%RETURN1 = &select5("query","SELECT number,qst from categories_to_qst WHERE number=\"$number\" AND u_id=\"$ids\" and type=\"$GOC{type}\"");
		
		if (keys %RETURN1) {
			foreach my $key(keys %RETURN1) {
				&generic_delete("query","DELETE from qst WHERE number=\"$key\" AND u_id=\"$ids\"");
				&generic_delete("query","DELETE from qst_questions WHERE qst_no=\"$key\" ");
				}
			&generic_delete("query","DELETE from categories_to_qst WHERE number=\"$number\" AND u_id=\"$ids\" and type=\"$GOC{type}\"");
			}

		if (keys %RETURN) {
			foreach my $key(keys %RETURN) {
				&delete_categories_and_contents("number","$key","from","$GOC{from}");
				}
			}
			
		if($GOC{type} == 1) {# quizzes/tests page
			&generic_delete("query","DELETE from categories WHERE number=\"$number\" AND u_id=\"$ids\" AND type=\"1\"");
			}
			
		elsif($GOC{type} == 2) {# surveys page
			&generic_delete("query","DELETE from categories WHERE number=\"$number\" AND u_id=\"$ids\" AND type=\"2\"");
			}
		}
		
	elsif($GOC{from} == 4) { # from surveys open page
		%RETURN = &select4("query","SELECT number,cat_name from categories WHERE parent=\"$number\" AND u_id=\"$ids\" and type=\"$GOC{type}\"");
		%RETURN1 = &select5("query","SELECT number,qst from categories_to_qst WHERE number=\"$number\" AND u_id=\"$ids\" and type=\"$GOC{type}\"");

		if (keys %RETURN1) {
			foreach my $key(keys %RETURN1) {
				&generic_delete("query","DELETE from qst WHERE number=\"$key\" AND u_id=\"$ids\"");
				&generic_delete("query","DELETE from qst_questions WHERE qst_no=\"$key\" ");
				}
			&generic_delete("query","DELETE from categories_to_qst WHERE number=\"$number\" AND u_id=\"$ids\" and type=\"$GOC{type}\"");
			}

		if (keys %RETURN) {
			foreach my $key(keys %RETURN) {
				&delete_categories_and_contents("number","$key","from","$GOC{from}","type","$GOC{type}");
				}
			}
			
		&generic_delete("query","DELETE from categories WHERE number=\"$number\" AND u_id=\"$ids\" AND type=\"$GOC{type}\"");
		}
		
	elsif($GOC{from} == 5) { #files/folders
		%RETURN = &select4("query","SELECT number,parent from file_folders WHERE parent=\"$number\" AND u_id=\"$ids\"");
		%RETURN1 = &select4("query","SELECT number,file_name from qst_files WHERE parent=\"$number\" AND u_id=\"$ids\"");

		if (keys %RETURN1) {
			foreach my $key(keys %RETURN1) {
				&generic_delete("query","DELETE from qst_files WHERE number=\"$key\" AND u_id=\"$ids\"");
				my ($name,$extension) = split(/\./,$RETURN1{$key});
				my $file_name = "$upload_directory"."$key"."\."."$extension";
				unlink($file_name);
				}
			}

		&generic_delete("query","DELETE from file_folders WHERE number=\"$number\" AND u_id=\"$ids\" AND type=\"5\"");
		if (keys %RETURN) {
			foreach my $key(keys %RETURN) {
				&delete_categories_and_contents("number","$key","from","$GOC{from}","type","$GOC{type}");
				}
			}
		}
	}

############
#
# DELETE_FILE
#
############
sub delete_file {
	my %DF = @_;
	$DF{number} =~ s/\D//g; 
	$DF{expand} =~ s/[^0-9,]//g;
	$DF{org_id} =~ s/\D//g;

	my $error = 0;
	$error = &check_many_length_return("$DF{number}","10","$DF{expand}","50");

	if($error != 1) {
                my %RETURN = ();
		#get extension
                my $query = qq{SELECT number,file_name,size FROM qst_files WHERE number=\"$DF{number}\" AND u_id =\"$ids\"};
                my $sth = $dbh->prepare($query);
                $sth->execute();
                while(my @row = $sth->fetchrow_array()) {
                        $RETURN{$row[0]} = {name => "$row[1]", space => "$row[2]"};
                        }
		my @aa = split(/\./,$RETURN{$DF{number}}{name});
		my $actual_file_name = $upload_directory."$DF{number}"."\."."$aa[1]";
		&generic_delete("query","DELETE from qst_files WHERE number=\"$DF{number}\" AND u_id=\"$ids\"");
		unlink($actual_file_name);
		
		&manage_files("expand","$DF{expand}","u_id","$DF{u_id}","session_id","$DF{session_id}","org_id","$DF{org_id}");
		}
	}

############
#
# DELETE_BANK_FILE
#
############
sub delete_bank_file {
	my %DF = @_;
	$DF{number} =~ s/\D//g; 
	$DF{expand} =~ s/[^0-9,]//g;
	$DF{org_id} =~ s/\D//g;

	my $error = 0;
	$error = &check_many_length_return("$DF{number}","10","$DF{expand}","50");

	if($error != 1) {
                my %RETURN = ();
		#get extension
                my $query = qq{SELECT number,file_name,size FROM qst_files WHERE number=\"$DF{number}\" AND org_id =\"$org_id\" AND u_id=\"0\"};
                my $sth = $dbh->prepare($query);
                $sth->execute();
                while(my @row = $sth->fetchrow_array()) {
                        $RETURN{$row[0]} = {name => "$row[1]", space => "$row[2]"};
                        }
		my @aa = split(/\./,$RETURN{$DF{number}}{name});
		my $actual_file_name = $upload_directory."$DF{number}"."\."."$aa[1]";
		&generic_delete("query","DELETE from qst_files WHERE number=\"$DF{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
		unlink($actual_file_name);
		
		&manage_bank_files("expand","$DF{expand}","u_id","$DF{u_id}","session_id","$DF{session_id}","org_id","$DF{org_id}");
		}
	}

############
#
# DELETE_QUESTION
#
############
sub delete_question {
	my %DQ = @_;
	$DQ{number} =~ s/\D//g;
	$DQ{sub_type} =~ s/\D//g;
	$DQ{expand } =~ s/[^0-9,]//g;
	my $is_there = 0;
	my $error = 0;
	$error = &check_many_length_return("$DQ{number}","10","$DQ{expand}","50");

	if($error != 1) {
		#first check to see if in any quizzes/surveys/tests
		$is_there = &is_there_generic("table","qst_questions","column","quest_no","value","$DQ{number}");
		if($is_there == 0) {
			&generic_delete("query","DELETE from questions WHERE number=\"$DQ{number}\" AND u_id=\"$ids\"");
			&generic_delete("query","DELETE from categories_to_questions WHERE question=\"$DQ{number}\" AND u_id=\"$ids\"");
			&generic_delete("query","DELETE from question_answers WHERE number=\"$DQ{number}\" AND u_id=\"$ids\"");
			}
		&questions("expand","$DQ{expand}","is_there","$is_there","u_id","$DQ{u_id}","session_id","$DQ{session_id}","sub_type","$DQ{sub_type}");
		}
	}

############
#
# DELETE_BANK_QUESTION
#
############
sub delete_bank_question {
	my %DQ = @_;
	$DQ{number} =~ s/\D//g;
	$DQ{sub_type} =~ s/\D//g;
	$DQ{expand } =~ s/[^0-9,]//g;
	my $is_there = 0;
	my $error = 0;
	$error = &check_many_length_return("$DQ{number}","10","$DQ{expand}","50");

	if($error != 1) {
		#first check to see if in any quizzes/surveys/tests
		$is_there = &is_there_generic("table","qst_questions","column","quest_no","value","$DQ{number}");
		if($is_there == 0) {
			&generic_delete("query","DELETE from questions WHERE number=\"$DQ{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
			&generic_delete("query","DELETE from categories_to_questions WHERE question=\"$DQ{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
			&generic_delete("query","DELETE from question_answers WHERE number=\"$DQ{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"");
			}
		&questions_bank("expand","$DQ{expand}","is_there","$is_there","u_id","$DQ{u_id}","session_id","$DQ{session_id}","sub_type","$DQ{sub_type}");
		}
	}

############
#
# DELETE_QST
#
#############
sub delete_qst {
	my %DQ = @_;
	$DQ{number} =~ s/\D//g;
	$DQ{expand} =~ s/[^0-9,]//g;
	$DQ{type} =~ s/\D//g;
	$DQ{sub_type} =~ s/\D//g;
	$DQ{open_class} =~ s/\D//g;
	$DQ{class_open} =~ s/\D//g;
	my $good_to_delete = 2;
	my $error = 0;
	$error = &check_many_length_return("$DQ{number}","10","$DQ{expand}","50","$DQ{type}","3","$DQ{sub_type}","1","$DQ{from}","1","$DQ{class_open}","10","$DQ{open_class}","10");

	if($error != 1) {
		my %RETURN = &select1("query","select qst from posted_qst WHERE qst=\"$DQ{number}\" AND class_id=\"$DQ{open_class}\" AND u_id=\"$ids\"");
		if(keys %RETURN) {
			my %RETURN1 = &select1("query","select qst from qsts WHERE qst=\"$DQ{number}\"");
			if(!keys %RETURN1) {
				$good_to_delete = 1;
				}
			}
		else {
			$good_to_delete = 1;
			}
			
		if($good_to_delete == 1) {
			&generic_delete("query","DELETE from qst WHERE number=\"$DQ{number}\" AND u_id=\"$ids\"");
			&generic_delete("query","DELETE from categories_to_qst WHERE u_id=\"$ids\" AND qst=\"$DQ{number}\"");
			&generic_delete("query","DELETE from qst_questions WHERE qst_no=\"$DQ{number}\" AND u_id=\"$ids\"");
			&generic_delete("query","DELETE from qst_to_classes WHERE qst=\"$DQ{number}\"");
			&generic_delete("query","DELETE from qst_attempts WHERE qst_no=\"$DQ{number}\"");
			&generic_delete("query","DELETE from access_to_qst WHERE qst_no=\"$DQ{number}\"");
			&generic_delete("query","DELETE from posted_qst WHERE qst=\"$DQ{number}\""); # send id too?
			&generic_delete("query","DELETE from qsts WHERE qst=\"$DQ{number}\" AND u_id=\"$ids\"");
			}
			
		if(defined $DQ{expand}) {
			&make_type("expand","$DQ{expand}","type","$DQ{type}","sub_type","$DQ{sub_type}","from","$DQ{from}","u_id","$DQ{u_id}","session_id","$DQ{session_id}");
			}
			
		else {
			&make_type("type","$DQ{type}","sub_type","$DQ{sub_type}","open_class","$DQ{open_class}","class_open","$DQ{class_open}","from","$DQ{from}","no_delete","$good_to_delete","u_id","$DQ{u_id}","session_id","$DQ{session_id}");
			}
		}
	}

#############
#
# LOGOUT_MOBILE
#
#############
sub logout_mobile {
	my %L = @_;
	$L{mobile} =~ s/\D//g;
	&generic_delete("query","DELETE from logged_in WHERE u_id=\"$L{u_id}\" AND session_id=\"$L{session_id}\"");
	$u_type = "";

	if($L{mobile} == 1 || $L{mobile} == 2 ) {
	
print <<"EOB";
<script language="Javascript" type="text/javascript">
<!--

function check_handler(inn){

var no_good = 1;
var replace_string =""
var reg_exp1 = /\s/g
var replace_string2 ="%20"
var url_end_string ="/qst/one";
var front_url_string="https:"
var url
var user_name_in_string = document.form1.user.value
var user_name_new_string = user_name_in_string.replace(reg_exp1,replace_string)
var new_string2 = user_name_in_string.replace(reg_exp1,replace_string2)

var pass_name_in_string = document.form1.pass.value
var pass_name_new_string = pass_name_in_string.replace(reg_exp1,replace_string)
var new_string2 = pass_name_in_string.replace(reg_exp1,replace_string2)

var server_name_in_string = document.form1.server.value
var server_name_new_string = server_name_in_string.replace(reg_exp1,replace_string)

if(server_name_new_string ==""){
no_good = 2
}
else {
	url = front_url_string.concat(server_name_in_string).concat(url_end_string);
	document.form1.action=url
	}
if(pass_name_new_string ==""){
no_good = 2
}


if(user_name_new_string ==""){
no_good = 2
}


if(no_good == 2){
alert("A server name or user name or password was not entered.")
return false;
}
else {
document.form1.submit()
}
}

function checkSubmit(e) {
   if(e && e.keyCode == 13) {
      document.check_handler();
   }
}

//-->
</script>
<style>
table{ border-radius:4px; font-size:10pt; font-family:Arial;}
</style>
<style>table{ border-radius:6px; font-size:13pt; font-family:Arial;}</style>
<BR>
<P>
<center><img src="/qst_app.jpg"></center>

<center>
<Form name="form1" method="POST" ACTION="/qst/one">
<TABLE width="100%" ">
<TR><TD>
<center>
<TABLE>
<TR><TD style="padding-top:9px"></TD><TD></TD></TR>
<TR><TD><font style="font-family:Arial; font-size:10pt;"></TD><TD> <input type="text" name="server" value="" size="10" placeholder="  $LANGUAGE{$set_language}{Server}"></TD></TR></center>
<TR><TD><font style="font-family:Arial; font-size:10pt;"></TD><TD> <input type="text" name="user" value="" size="10" placeholder="  $LANGUAGE{$set_language}{Username}"></TD></TR></center>
<TR><TD><font style="font-family:Arial; font-size:10pt;"></TD><TD><input type="password" name="pass" value="" size="10" placeholder="  $LANGUAGE{$set_language}{Password}"></center> </TD></TR>
<TR><TD></TD><TD><input type="hidden" name="login" value="1"> </TD></TR>
<TR><TD></TD><TD><input type="hidden" name="mobile" value="1"></TD></TR>
<TR><TD></TD><TD></TD></TR>
</TABLE>
</TD></TR>
</TABLE></FORM></center><P>
<center><img src="/schools/qst_builder.png" style="cursor:pointer;" OnClick="return check_handler()"></center>

EOB

		}
		
		
	elsif($L{mobile} == 3) {
	
	
	
print <<"EOBB";

<script language="Javascript" type="text/javascript">
<!--

function check_handler(inn){

var no_good = 1;
var replace_string =""
var reg_exp1 = /\s/g
var replace_string2 ="%20"
var url_end_string ="/qst/one";
var front_url_string="https:"
var url
var user_name_in_string = document.form1.user.value
var user_name_new_string = user_name_in_string.replace(reg_exp1,replace_string)
var new_string2 = user_name_in_string.replace(reg_exp1,replace_string2)

var pass_name_in_string = document.form1.pass.value
var pass_name_new_string = pass_name_in_string.replace(reg_exp1,replace_string)
var new_string2 = pass_name_in_string.replace(reg_exp1,replace_string2)

if(pass_name_new_string ==""){
no_good = 2
}


if(user_name_new_string ==""){
no_good = 2
}


if(no_good == 2){
alert("A user name or password was not entered.")
return false;
}
else {
document.form1.submit()
}
}

function checkSubmit(e) {
   if(e && e.keyCode == 13) {
      document.check_handler();
   }
}

//-->
</script>
<style>
table{ border-radius:4px; font-size:10pt; font-family:Arial;}
</style>
<style>table{ border-radius:6px; font-size:13pt; font-family:Arial;}</style>
<BR>
<P>
<center><img src="/qst_app.jpg"></center>

<center>
<Form name="form1" method="POST" ACTION="/qst/one">
<TABLE width="100%" ">
<TR><TD>
<center>
<TABLE>
<TR><TD style="padding-top:9px"></TD><TD></TD></TR>
<TR><TD><font style="font-family:Arial; font-size:10pt;"><input type="text" name="user" value="" size="10" placeholder="  $LANGUAGE{$set_language}{Username}"></TD></TR></center>
<TR><TD><font style="font-family:Arial; font-size:10pt;"><input type="password" name="pass" value="" size="10" placeholder="  $LANGUAGE{$set_language}{Password}"></center> </TD></TR>
<TR><TD></TD><TD><input type="hidden" name="login" value="1"> </TD></TR>
<TR><TD></TD><TD><input type="hidden" name="mobile" value="3"></TD></TR>
<TR><TD></TD><TD></TD></TR>
</TABLE>
</TD></TR>
</TABLE></FORM></center><P>
<center><img src="/schools/qst_builder.png" style="cursor:pointer;" OnClick="return check_handler()"></center>

EOBB
	
		}
	}

###############
#
# DO_MOBILE
#
###############
sub do_mobile {
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	$DT{screen_width} =~ s/\D//g;
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $class_name = $DT{class_name};
	my $type;
	my $submissions;
	my $results; 
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %QUESTIONS = ();
	my $index_to_quest_no;
	my $show_eq = 1;

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";

	# check whether in class, if posted, attempts, if qst is for class
	if(exists $USER{$ids}{$class_id}) {
	
		my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");
		                
		if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) {
			my %ACCESS = ();
			$attempts = "$POSTED_QST{$qst}{attempts}";
			$forall = "$POSTED_QST{$qst}{forall}";
			$submissions = "$POSTED_QST{$qst}{submissions}";
			my $rhm = "$POSTED_QST{$qst}{rhm}";
			my $qtime = $POSTED_QST{$qst}{qtime};
			
			if($forall == 0) {
				%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				}
				
			my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
			$type = "$POSTED_QST{type}";

			my %STARTED_SUBMITTED = &select_started_submitted("qst_no","$qst","u_id","$ids");
                        my $start_time = $STARTED_SUBMITTED{$ids}{start_time};
			
			#check attempts, in progress
			my %RETURN1 = &select_qst_attempts_info("query","SELECT qst_no,attempts,end,resume from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			$attempt = $RETURN1{$qst}{attempts};
			my $current_attempt = $attempt + 1;

			my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
			$type = "$QST_TYPE{$qst}";
			
			my $ww = keys(%QST_INFO);
			

                    ##### STUDENT RESUMING QST  ################################
                    
			if(keys %QST_INFO && $attempt <= $attempts && $RETURN1{$qst}{resume} == 1) {
                                my $index;
                                my @order;
                                my $next_quest;
                                my $lquests;
                                my %QUESTION_ORDER = ();
                                $questions = "$QST_INFO{$qst}{questions}";
                                $marks = "$QST_INFO{$qst}{marks}";
                                $name = "$QST_INFO{$qst}{name}";
				
                                # get students saved qst
                                my %STUDENTS_QST = &select_users_qst("query","SELECT quest_no,answer,mark,marked,time_stamp,quest_order from qsts WHERE u_id=\"$ids\" AND qst=\"$qst\"");
				
                                # GET ALL THE QUESTIONS
                                my $query = "SELECT * from questions WHERE ";
								
                                foreach my $order(sort keys %STUDENTS_QST) {	
                                        $query = "$query"." "."number=\"$STUDENTS_QST{$order}{quest_no}\" OR";
                                        }
								
                                $query =~ s/ OR$//;
												
                                my %QUESTIONS_IN_QST = &select_questions("query","$query");

				
                                #GET THE NUMBER OF THE LAST QUESTION ANSWER SAVED TO DISPLAY IT
                                my $last_time = 0;
                                my $last_day = 0;
                                my $last_month = 0;
                                my $question_to_display;
                                my $list_of_questions;
				
                                foreach my $order(sort {$a<=>$b} keys %STUDENTS_QST) {	
                                        $QUESTION_ORDER{$STUDENTS_QST{$order}{quest_no}} = $order;
                                        $list_of_questions = "$list_of_questions".","."$STUDENTS_QST{$order}{quest_no}";
                                        $lquests = "$lquests".","."$order";
                                        $index_to_quest_no = "$index_to_quest_no"."$order=$STUDENTS_QST{$order}{quest_no}"."-"."$QUESTIONS_IN_QST{$STUDENTS_QST{$order}{quest_no}}{type}"."-"."$QUESTIONS_IN_QST{$STUDENTS_QST{$order}{quest_no}}{value}".",";

                                        if($STUDENTS_QST{$order}{time_stamp} > 0) {
                                                my @times = split(/-/,$STUDENTS_QST{$order}{time_stamp});
                                                $last_month = $times[0];
                                                $last_day = $times[1];
                                                $last_time = $times[2];
                                                $question_to_display = $STUDENTS_QST{$order}{quest_no};
                                                $index = $order;
                                                }								
                                        }
                                        
                                my $minutes_remaining = &get_minutes_remaining("last_time","$last_time","end","$RETURN1{$qst}{end}","last_day","$last_day");

                                $lquests =~ s/^,//;
                                $list_of_questions =~ s/^,//;
				
                                my @total = split(/$question_to_display/,$list_of_questions);
                                $total[0] =~ s/,$//;
				
                                $total[1] =~ s/^,//;
                                my @after = split(/\,/,$total[1]);
                                $next_quest = shift(@after);
				
                                my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND quest_no=\"$question_to_display\" AND org_id=\"$DT{org_id}\"");

                                my %QUESTION_TO_DISPLAY = &select_question("query","SELECT * from questions WHERE number=\"$question_to_display\"");
			
                            ######## PRINT THE PAGE ####################
                                
                                &print_javascript_countdown("qtime","$minutes_remaining");
                    
                                &print_javascript_time_remaining();
                                     
                                print"<iframe style=\"width:0\; height:0\; border:0\; border:none\" name=\"mobile\"></iframe>\n";  # Nothing occurs in this iframe, but it is required
 
                                # load the clock
                                &print_javascript_begin();
                                print"countdownTimeStart()\n";
                                &print_javascript_end();
                                              
                                &print_javascript_begin();
					
                                &print_function_wait();
					
                                print"function load_next\(\) \{
                                        wait\(1\)\;
                                        shownn.style.display=\"block\"
					\}\n";
					
                                &print_javascript_enterMX_mobile();
					
                                &print_javascript_activated_this_mobile();
					
                                print"function load_handler() \{
                                document.form2.submit() \}\n";

                                print"function Show_Next\(order,quest,quests\) \{
                                document.next_quest.quest_no.value=quest
                                document.next_quest.order.value=order
                                document.next_quest.lquests.value=quests
                                document.next_quest.show_time.value=distance
                                document.next_quest.submit\(\)
                                \}\n";
			  	      	
                                print"function sub_mit\(\) \{\n";
                                print"document.q_form.submit\(\)\n";
                                if ($type == 2) {
                                        print"self.parent.right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
                                        print"self.parent.right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
                                        }
                                print"\}\n";

                                &print_javascript_end();
                                        
                                &print_form_wo_end_tag("form_name","q_form","input","mark_type","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$ids}","session_id","$DT{session_id}");
                                                                                        
                                if($QUESTIONS{$question_to_display}{mode} == 2  || $QUESTIONS{$question_to_display}{ans_mode} == 2) {
                                        $show_eq = 2;
                                        }
                                                                
                                if($index >= 1) {
                                        my $question_rows = 1;
 		
                                        # fix display to show new lines in text of question
                                        my $content = $QUESTIONS{$question_to_display}{question};
                                        $content =~ s/\r[\n]*/\n/gm;
                                        my @number_of_newlines = split(/\n/,$content);
                                        my $new_lines = @number_of_newlines;
                                        $question_rows = $question_rows + $new_lines;
                                                                        
                                        my $next = $index;
				
                                        print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><B><font style=\"font-size:13pt\; font-family:Arial\;\" color=\"white\">&nbsp\;&nbsp\;&nbsp\; $name </font></b>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\"><B id=\"showtime\"></B></font></TD></TR></TABLE>";
                                                                                
                                        print"<center><span id=\"shownn\" style=\"display:none\;\"><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$next','$next_quest','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B></span></center>\n";
                                                                        
                                        print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
										
                                        &print_out_question("question","$QUESTION_TO_DISPLAY{$question_to_display}{question}","value","$QUESTION_TO_DISPLAY{$question_to_display}{value}","image_id","$QUESTION_TO_DISPLAY{$question_to_display}{image_id}","pdf","$QUESTION_TO_DISPLAY{$question_to_display}{pdf}","vlink","$QUESTION_TO_DISPLAY{$question_to_display}{vlink}","alink","$QUESTION_TO_DISPLAY{$question_to_display}{alink}","type","$QUESTION_TO_DISPLAY{$question_to_display}{type}","question_rows","$question_rows","mode","$QUESTION_TO_DISPLAY{$question_to_display}{mode}","mobile","1","screen_width","$DT{screen_width}");
                                        
                                        #### PRINT THE STUDENTS ANSWER FOR THE QUESTION DISPLAYED
                                        if ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"TF") {
                                                print"<TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\"><label for=\"radio$index\"><input type =\"radio\" class=\"larger\" name =\"$question_to_display\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'T\'";
						                
                                                if($QUESTION_TO_DISPLAY{branch} == 1) {
                                                        print",\'b\'";
                                                        }
						                        
                                                print"\)\" id=\"radio$index\"";
						                 
                                                if($STUDENTS_QST{$index}{answer} eq "T") {
                                                        print"checked";
                                                        }
						                	
                                                print"> $LANGUAGE{$set_language}{True} &nbsp\;</label> \n";
						                
                                                print" <label for=\"radiox$index\"><input type =\"radio\" class=\"larger\" name =\"$question_to_display\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'F\'";
						                
                                                if($QUESTION_TO_DISPLAY{branch} == 1) {
                                                        print",\'b\'";
                                                        }
						                        
                                                print"\)\" id=\"radiox$index\"";
						                
                                                if($STUDENTS_QST{$index}{answer} eq "F") {
                                                        print"checked";
                                                        }
						                	
                                                print"> $LANGUAGE{$set_language}{False}</label></TD></TR>\n";
                                                }
				
                                        elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"YN") {
                                                print"<TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\;\"><label for=\"radio$index\"> <input type =\"radio\" class=\"larger\" name =\"$question_to_display\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'Y\'";
						                
                                                if($QUESTION_TO_DISPLAY{branch} == 1) {
                                                        print",\'b\'";
                                                        }
						                        
                                                print"\)\" id=\"radio$index\"";
						                 
                                                if($STUDENTS_QST{$index}{answer} eq "Y") {
                                                        print"checked";
                                                        }
						                	
                                                print"> $LANGUAGE{$set_language}{True} &nbsp\;</label> \n";
							                
                                                print" <label for=\"radiox$index\"><input type =\"radio\" class=\"larger\" name =\"$question_to_display\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'N\'";
						                
                                                if($QUESTION_TO_DISPLAY{branch} == 1) {
                                                        print",\'b\'";
                                                        }
						                        
                                                print"\)\" id=\"radiox$index\"";
						                
                                                if($STUDENTS_QST{$index}{answer} eq "N") {
                                                        print"checked";
                                                        }
						                	
                                                print"> $LANGUAGE{$set_language}{False}</label></TD></TR>\n";
                                                }
			                        	
                                        elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"SA") {
                                                if (defined $STUDENTS_QST{$index}{answer} && $STUDENTS_QST{$index}{answer} ne"") {
                                                        print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize:none\;\" name=\"sa$question_to_display\" maxlength=\"70\" value=\"$STUDENTS_QST{$index}{answer}\"></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\" style=\"padding-top:7px\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'sa$question_to_display\'\)\"></TD></TR></TABLE>\n";
                                                        }
								
                                                else {
                                                        print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" value=\"\" style=\"resize:none\;\" name=\"sa$question_to_display\" maxlength=\"70\" ></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\" style=\"padding-top:7px\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'sa$question_to_display\'\)\"></TD></TR></TABLE>\n";
                                                        }
                                                }
			                       		
                                        elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"P") {
                                                if (defined $STUDENTS_QST{$index}{answer} && $STUDENTS_QST{$index}{answer} ne"") {
                                                        print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" value=\"\" style=\"resize:none\; overflow:auto\;\" cols=\"60\" name=\"p$question_to_display\" maxlength=\"700\">$STUDENTS_QST{$index}{answer}</textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\" style=\"padding-top:7px\"><input type =\"button\" name =\"$index\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'p$question_to_display\'\)\"></TD></TR></TABLE>\n";
                                                        }
												
                                                else {
                                                        print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" value=\"\" style=\"resize:none\; overflow:auto\;\" cols=\"60\" name=\"p$question_to_display\" maxlength=\"700\"></textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\" style=\"padding-top:7px\"><input type =\"button\" name =\"$index\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'p$question_to_display\'\)\"></TD></TR></TABLE>\n";
                                                        }
                                                }
				
                                        elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"MC") {
                                                &mc_display_answers_qst_resume("number","$question_to_display","kolum","$QUESTION_TO_DISPLAY{$question_to_display}{kolum}","index","$index","type","$QUESTION_TO_DISPLAY{$question_to_display}{type}","branch","$QUESTION_TO_DISPLAY{$question_to_display}{branch}","ans_mode","$QUESTION_TO_DISPLAY{$question_to_display}{ans_mode}","shuffle_ans","$QUESTION_TO_DISPLAY{$question_to_display}{shuffle_ans}","their_answer","$STUDENTS_QST{$index}{answer}");
			
                                                if($STUDENTS_QST{$index}{answer} ne "") {
                                                        }
                                                }
						
                                        elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"MX") { # Matching
                                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$question_to_display\" AND c_answer = 0");
				                             
                                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$question_to_display\" AND c_answer = 1");
			                                
                                                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$question_to_display\" AND qst=\"$qst\"");
			                                
                                                my %ANSWERED = ();
			                                
                                                my @myans = split(/\n/,$QUESTION_ANSWERED{$question_to_display});
							
                                                foreach my $piece(@myans) {
                                                        my @mxx = split(/=/,$piece);
                                                        $ANSWERED{$mxx[0]} = $mxx[1];
                                                        }
											
                                                for (my $i = 1; $i <= $mx_num; $i++){ # FOR EACH ROW
                                                        my $select = "select$i";
								
                                                        if (defined $RETURN_MX_TEXT{$i}{answer}) {
                                                                print"<TABLE> <TR><TD width=\"50\"></TD>\n";
				                	                
                                                                print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\; overflow:auto\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"2\" cols=\"20\" readonly>
                                                                $RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD>\n";
				                                
                                                                print"<select name=\"$select\" id=\"$select\" onchange=\"enterMX($select)\">\n";
									
                                                                my $selected = 0;
                                                                my $chosen_ans = 0;
									
                                                                foreach my $ans(keys %RETURN_MX_MATCHING) { # FOR EACH SELECTION
                                                                        my $pass = "$index".","."$question_to_display".","."$RETURN_MX_MATCHING{$ans}{answer}".","."$select";
			
                                                                        if(defined $ANSWERED{$i}) { 
                                                                                if($ANSWERED{$i} eq $RETURN_MX_MATCHING{$ans}{answer}) {
                                                                                        print"<option value=\"$pass\" selected> $ANSWERED{$i}</option>";
                                                                                        $selected = 1;
                                                                                        $chosen_ans = $ans;
                                                                                        }
                                                                                else {
                                                                                        print"<option value=\"$pass\"> $RETURN_MX_MATCHING{$ans}{answer} </option>\n";
                                                                                        }
                                                                                }
											
                                                                        else {
                                                                                print"<option value=\"$pass\"> $RETURN_MX_MATCHING{$ans}{answer} </option>\n";
                                                                                }
                                                                        }								
									        
                                                                if($selected == 0) {
                                                                        print"<option value=\"\" selected></option>";
                                                                        }
			
                                                                print"</select></TD></TR></TABLE>\n";
                                                                }
                                                        }
                                                }
			                                
                                        elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"MA") {
                                                my $correct_answer;
                                                my $fake_question_to_display = "m"."$question_to_display";
			                                
                                                # the answers they entered in                                        
                                                &resume_ma_display_answers_qst("index","$index","type","$QUESTION_TO_DISPLAY{$question_to_display}{type}","kolum","$QUESTION_TO_DISPLAY{$question_to_display}{kolum}","shuffle_ans","","their_answer","$STUDENTS_QST{$index}{answer}","number","$question_to_display","ans_mode","$QUESTION_TO_DISPLAY{$question_to_display}{ans_mode}");
                                                }   
						
                                        if($show_eq == 2) {
                                                &print_eq();
                                            }
                  			
                                        print "<center></FORM></center> \n";

                                        &update_general("query","UPDATE qst_attempts SET resume=\"0\"  WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

                                        my $time_left = $start_time + $qtime - $last_time;
                                         
                                        &print_form("form_name","form4","form_target","mobile","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}","mobile","1","iphone","$DT{iphone}");
						
                                        &print_form("form_name","next_quest","input","mobile_next_question","order","","quest_no","","real_quest_no","","qst","$qst","class_name","$class_name","class_id","$class_id","qtype","$DT{type}","type","","lquests","","u_id","$DT{u_id}","session_id","$DT{session_id}","attempt","$current_attempt","mobile","1","screen_width","$DT{screen_width}","iphone","$DT{iphone}","qst_name","$name","show_time","");
                                        
                                        &print_javascript_begin();
                                        print"load_next()\n";
                                        &print_javascript_end();
                                        }
                                }
                        
                    ##### NOT RESUME  #####################################
                    
			elsif(keys %QST_INFO && $attempt < $attempts) { 
				if($POSTED_QST{$qst}{rhm} == 1) { # record mark
				
					}
				else { 
					# clean out previous attempts
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					}

				my $query = "SELECT * from questions WHERE ";
				$questions = "$QST_INFO{$qst}{questions}";
				$marks = "$QST_INFO{$qst}{marks}";
				$name = "$QST_INFO{$qst}{name}";
								
				my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND org_id=\"$DT{org_id}\"");
                                        
				my $i = 1;
				my %QUESTIONS_IN_QUIZ = ();
				
                                my %TIMEZONE = ();
                                my $org_time1;
                                my $adjusted_time;
                                my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$DT{org_id}\"};
                                my $sth = $dbh->prepare($queryt);
                                $sth->execute();
                                while(my @row = $sth->fetchrow_array()) {
                                        $TIMEZONE{$row[0]}= "$row[1]";
                                        $adjusted_time = "$row[1]";
                                        }

                                if($adjusted_time != 0) {
                                        $org_time1 = "$adjusted_time" * 3600;
                                        }
                                else {
                                        $org_time1 = 0; 
                                        }
                

                                #time with time zone included
                                my $time1 = time + "$org_time1";
                                my %TIME = &get_time_to_display("time","$time1");
                                
				my @order;

                                 if(keys %QST_QUESTIONS) {
                                        my %RE_ORDERED_QUESTIONS = ();
                                        my @quest;
                                        
                                        if($POSTED_QST{$qst}{shuffle} == 1) { # shuffle the questions
                                                my %OLD_ORDER = ();
                                                my %SHUFFLE_ORDER = ();
                                                my %REV_ORDER = ();
                                                my $i = 1;
                                                my $w = 0;
                                                foreach my $ke(keys %QST_QUESTIONS) {
                                                        $OLD_ORDER{$QST_QUESTIONS{$ke}{order}} = $ke;
                                                        $REV_ORDER{$ke} = $QST_QUESTIONS{$ke}{order};
                                                        ++$w;
                                                        }

                                                for(my $ii = 1; $ii <= $w; $ii++) { 
                                                        my $random_value = $OLD_ORDER{(keys %OLD_ORDER)[rand keys %OLD_ORDER]};
                                                        $RE_ORDERED_QUESTIONS{$i} = $random_value;
                                                        delete $OLD_ORDER{"$REV_ORDER{$random_value}"};
                                                        ++$i;
                                                        }
                                                }
				
                                        else { # No Question Shuffle
                                                my %Q_ORDER = ();
                                                
                                                #See if random question group
                                                foreach my $kwest_no(keys %QST_QUESTIONS) {
                                                        if($QST_QUESTIONS{$kwest_no}{q_select} > 0) { #Random question
                                                                my $start_num = $QST_QUESTIONS{$kwest_no}{order};
                                                                $Q_ORDER{$start_num}{quest}{$kwest_no} = $kwest_no;
                                                                $Q_ORDER{$start_num}{how_many} = $QST_QUESTIONS{$kwest_no}{q_select};
                                                                }
                                                        else { # normal question
                                                                $Q_ORDER{$QST_QUESTIONS{$kwest_no}{order}}{quest} = $kwest_no;
                                                                }
                                                        }
                                                
                                                # RE-ORDER the questions with randomly selected questions included
                                                if(keys %Q_ORDER) {
                                                        my $new_index = 1;
                                                        foreach my $ord(sort {$a<=>$b} keys %Q_ORDER) {
                                                                if($Q_ORDER{$ord}{how_many} > 0) {
                                                                        my %RAND_QUESTIONS = ();
    
                                                                        foreach my $nom(keys %{$Q_ORDER{$ord}{quest}}) {
                                                                                $RAND_QUESTIONS{$nom} = $nom;
                                                                                }
                                                                                
                                                                        for (my $i = 1; $i <= $Q_ORDER{$ord}{how_many}; $i++){ # randomly choose the questions
                                                                                my $chosen_question = &get_random_hash(%RAND_QUESTIONS);
                                        
                                                                                delete($RAND_QUESTIONS{$chosen_question});
                                                                                $RE_ORDERED_QUESTIONS{$new_index} = $chosen_question;
                                                                                ++$new_index;
                                                                                }
                                                                        }
                                                                else {
                                                                        $RE_ORDERED_QUESTIONS{$new_index} = $Q_ORDER{$ord}{quest};
                                                                        ++$new_index;
                                                                        }
                                                                }
                                                
                                                        }
                                                
                                                }
                                                
                                                
                                        # to get the list of question to query for;
                                        my $list_of_questions;
                                        
     					foreach my $kkey(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                $list_of_questions= "$list_of_questions".","."$RE_ORDERED_QUESTIONS{$kkey}";
                                                
						if($i == 1) {
							$query = "$query"." "."number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							++$i;
							}
						else {
							$query = "$query"." "." OR number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							}
						}

                                        $list_of_questions =~ s/^\,//;

					%QUESTIONS = &select_questions("query","$query");
					
					
                                ######## PRINT THE PAGE ###############
                                        
                  			print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><B><font style=\"font-size:13pt\; font-family:Arial\;\" color=\"white\">&nbsp\;&nbsp\;&nbsp\; $name </font></b>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\"><B id=\"showtime\"></B></font></TD></TR></TABLE>";
		      			
                                        &print_javascript_countdown("qtime","$POSTED_QST{$qst}{qtime}");
                                        
                                        print"<iframe style=\"width:0\; height:0\; border:0\; border:none\" name=\"mobile\"></iframe>\n";  # Nothing occurs in this iframe, but it is required
 
                                        # load the clock
                                        &print_javascript_begin();
                                        print"countdownTimeStart()\n";
                                        &print_javascript_end();
                                        
					&print_javascript_begin();
					
					&print_function_wait();
					
					print"function load_next\(\) \{
					        wait\(1\)\;
						shownn.style.display=\"block\"
					\}\n";
					
					&print_javascript_enterMX_mobile();
					
					&print_javascript_activated_this_mobile();

                                        print"function Show_Next\(quest,order,quests\) \{
                                        document.next_quest.quest_no.value=quest
                                        document.next_quest.order.value=order
                                        document.next_quest.lquests.value=quests
                                        document.next_quest.show_time.value=distance
					document.next_quest.submit\(\)
			  	      	\}\n";
			  	      	
       		   	  		print"function sub_mit\(\) \{\n";
					print"document.q_form.submit\(\)\n";
		   	   		print"\}\n";

		   	   		print"var this_in
					var when
					var frame_url = self.parent.qst_left.location.href
					
            				function activated_this\(quest_no,real_quest_no,type,checked_ans\) \{
					var this_in = quest_no
					var real_quest_ans
					var quest_ans
      					var replace_string =\"\"
      					var reg_exp1 = \/\\s\/g
					var replace_string2 =\"\%20\"
					document.form4.real_quest_no.value=real_quest_no
					document.form4.quest_no.value=quest_no
					if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
					document.form4.answer.value=checked_ans
					document.form4.submit\(\)
      					\}\n";
      					
      					print"if\( type == \"MA\") \{
					document.form4.answertype.value=type
					document.form4.answer.value=checked_ans
					document.form4.submit\(\)
					\}
					else \{
					document.form4.answertype.value=\"\"
					\}\n"; 
					
					print"if\(type == \"SA\") \{
					real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
					quest_ans=eval\(real_quest_ans\)
      					var in_string = quest_ans
					var new_string = in_string.replace\(reg_exp1,replace_string\)
					var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
					qlength = in_string.length\;
					 if \(qlength > 75\) \{
					alert\(\"The answer is longer than 75 characters.\"\)
					\}
					else \{
      					if\(new_string !=\"\"\)\{
					document.form4.saanswer.value=quest_ans
					document.form4.submit\(\)
      					\}
					else \{
					document.form4.saanswer.value=\"\"
      					\}
      					\}
      					\}\n";
      					
 					print"if\(type == \"P\") \{
 					real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
 					quest_ans=eval\(real_quest_ans\)
       					var in_string = quest_ans
 					var new_string = in_string.replace\(reg_exp1,replace_string\)
 					var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
 					qlength = in_string.length\;
 					 if \(qlength > 675\) \{
 					alert\(\"The answer is longer than 700 characters.\"\)
 					\}
 					else \{
       					if\(new_string !=\"\"\)\{
 					document.form4.panswer.value=quest_ans
 					document.form4.submit\(\)
       					\}
 					else \{
 					document.form4.panswer.value=\"\"
       					\}
       					\}
       					\}
				      	\}\n";
				      	
		      			&print_javascript_end();
		      			                                       
                                        &print_form_wo_end_tag("form_name","q_form","input","mark_type","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$DT{u_id}","session_id","$DT{session_id}");
                                        
					my $index = 1;
					my $printed = 0;
     					foreach my $key(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                my $quest = $RE_ORDERED_QUESTIONS{$key};
                                                $QUESTIONS_IN_QUIZ{$index} = "$quest";

                                                $index_to_quest_no = "$index_to_quest_no"."$index"."="."$quest"."-"."$QUESTIONS{$quest}{type}"."-"."$QUESTIONS{$quest}{value}".",";
                                                
                                                if($QUESTIONS{$quest}{mode} == 2) {
                                                        $show_eq = 2;
                                                        }
                                                                
                                                if($index == 1 && $printed == 0) {
                                                        my $question_rows = 1;
 		
                                                        # fix display to show new lines in text of question
                                                        my $content = $QUESTIONS{$quest}{question};
                                                        $content =~ s/\r[\n]*/\n/gm;
                                                        my @number_of_newlines = split(/\n/,$content);
                                                        my $new_lines = @number_of_newlines;
                                                        $question_rows = $question_rows + $new_lines;
                                                                        
                                                        my $next_quest = $RE_ORDERED_QUESTIONS{2};;
                                                                        
                                                        print"<center><span id=\"shownn\" style=\"display:none\;\"><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$next_quest','1','$list_of_questions')\" data-toggle=\"tooltip\" title=\"Next\">\></B></span></center>\n";
                                                        
                                                        print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
										
                                                        &print_out_question("question","$QUESTIONS{$quest}{question}","value","$QST_QUESTIONS{$quest}{value}","image_id","$QUESTIONS{$quest}{image_id}","vlink","$QUESTIONS{$quest}{vlink}","alink","$QUESTIONS{$quest}{alink}","pdf","$QUESTIONS{$quest}{pdf}","type","$QUESTIONS{$quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$quest}{mode}","mobile","1","screen_width","$DT{screen_width}");
										
                                                        &print_out_question_answers("quest","$quest","index","$index","type","$QUESTIONS{$quest}{type}","key","$key","kolum","$QUESTIONS{$quest}{kolum}","ans_mode","$QUESTIONS{$quest}{ans_mode}","mobile","1","screen_width","$DT{screen_width}");
                                                        
                                                        &print_javascript_begin();
                                                        print"load_next()\n";
                                                        &print_javascript_end();
                                                        
                                                        ++$index;
                                                        $printed = 1;
                                                        }
                                                else {
                                                        ++$index;
                                                        }
						}
						
                                        if($show_eq == 2) {
                                                &print_eq();
                                                }
                  			print "<center></FORM></center> \n";

                                        &print_form("form_name","form4","form_target","mobile","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}","mobile","1","iphone","$DT{iphone}");
						
                                        &print_form("form_name","next_quest","input","mobile_next_question","order","","quest_no","","real_quest_no","","qst","$qst","class_name","$class_name","class_id","$class_id","qtype","$DT{type}","type","","lquests","","u_id","$DT{u_id}","session_id","$DT{session_id}","attempt","$current_attempt","mobile","1","screen_width","$DT{screen_width}","iphone","$DT{iphone}","qst_name","$name","show_time","");
	                  		}
	                  		
				++$attempt;
                                my $end_time = time;
				my $cal_time = $POSTED_QST{$qst}{qtime} * 60;
				$end_time = $end_time + $cal_time;
                
				&update_general("query","UPDATE qst_attempts SET attempts=\"$attempt\",start_time=\"$TIME{time}{hour_minute}\",start_day=\"$TIME{time}{day}\",start_month=\"$TIME{time}{month}\",finish_time=\"0\",finish_day=\"0\",finish_month=\"0\",end=\"$end_time\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

				#add to qsts all the questions for the qst for that attempt for the user
				foreach my $keyyy(keys %QUESTIONS_IN_QUIZ) {

					if($QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /SA/ ||  $QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /P/) {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					else {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					}
				}
			}
		}
      else {		
                print"<center><TABLE><TR><TD> <img src = \"/schools/x-icon.png\" border=\"0\" onClick=\"document.mobile_done.submit\(\)\" STYLE=\"cursor: pointer\"></TD></TR></TABLE></center><P>\n";
                print "<center><P><B> Invalid input.</b></center><P> \n";
                }
	}

####################
#
# PRINT_JAVASCRIPT_COUNTDOWN
#
####################
sub print_javascript_countdown {
        my %PJC = @_;
        my $seconds = $PJC{qtime} * 60000 ;
        
print <<"ENND";
        <script>
// Set the date we're counting down to
    var rightnow = new Date().getTime();
    var new_now = rightnow + $seconds + 2500;
    
    var countDownDate = new_now;
    var distance;

function countdownTimeStart(){
// Get todays date and time
    

// Update the count down every 1 second
var x = setInterval(function() {

    // Get todays date and time
    var now = new Date().getTime();
    
    // Find the distance between now an the count down date
    distance = countDownDate - now;

    
    // Time calculations for days, hours, minutes and seconds
    var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
    var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
    var seconds = Math.floor((distance % (1000 * 60)) / 1000);
    
    // Output the result in an element with id="showtime"
    document.getElementById("showtime").innerHTML = hours + "h "
    + minutes + "m " + seconds +"s";
    
    
    // If the count down is over, write some text 
    if (distance < 0) {
        clearInterval(x);
        document.getElementById("showtime").innerHTML = "TIME EXPIRED";
        }
}, 1000);
}

</script>

ENND
    }

####################
#
# PRINT_JAVASCRIPT_COUNTDOWN2
#
####################
sub print_javascript_countdown2 {
        my %PJC = @_;
        my $seconds = $PJC{qtime} * 60000 ;
        
print <<"ENND";
        <script>
// Set the date we're counting down to
    var rightnow = new Date().getTime();
    var new_now = rightnow + $seconds + 2500;
    
    var countDownDate = new_now;
    var distance;

function countdownTimeStart(){
// Get todays date and time
    

// Update the count down every 1 second
var x = setInterval(function() {

    // Get todays date and time
    var now = new Date().getTime();
    
    // Find the distance between now an the count down date
    distance = countDownDate - now;

    
    // Time calculations for days, hours, minutes and seconds
    var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
    var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
    var seconds = Math.floor((distance % (1000 * 60)) / 1000);
    
    // Output the result in an element with id="showtime"
    document.getElementById("showtime").innerHTML = hours + "h "
    + minutes + "m " + seconds +"s";
    
    
    // If the count down is over, write some text 
    if (distance < 0) {
        clearInterval(x);
        timeR.style.display="none"
        document.getElementById("showtime").innerHTML = "TIME EXPIRED";
        }
}, 1000);
}

</script>

ENND
    }

###############
#
# DO_TYPE
#
###############
sub do_type{
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $type;
	my $submissions;
	my $results; 
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %QUESTIONS = ();
	my $index_to_quest_no;
	my $show_eq = 1;

	&print_style_sheet();

        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	# check whether in class, if posted, attempts, if qst is for class
	if(exists $USER{$ids}{$class_id}) {
		my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");
		                
		if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) { # FIRST START 
			$attempts = "$POSTED_QST{$qst}{attempts}";
			$forall = "$POSTED_QST{$qst}{forall}";
			$submissions = "$POSTED_QST{$qst}{submissions}";
			my $rhm = "$POSTED_QST{$qst}{rhm}";
			my $resume;
			
			my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
			$type = "$POSTED_QST{type}";

			#check attempts, in progress
                	my %ATTEMPTS = &select_qst_attempts_user("query","SELECT u_id,attempts,resume from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

			if(keys %ATTEMPTS) {
				$attempt = "$ATTEMPTS{$ids}{attempts}";
				$resume = "$ATTEMPTS{$ids}{resume}";
				}
			
			else {
				$attempt = 0;
				$resume = 0;
				}

			my $current_attempt = $attempt + 1;

			my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
			$type = "$QST_TYPE{$qst}";

			#### FIRST ATTEMPT AND SUBSEQUENT ATTEMPTS NO RESUME
			if(keys %QST_INFO && $attempt < $attempts && $resume == 0) { 
				if($POSTED_QST{$qst}{rhm} == 1) { # record mark
				
					}
				else { 
					# clean out previous attempts
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					}

				my $query = "SELECT * from questions WHERE ";
				$questions = "$QST_INFO{$qst}{questions}";
				$marks = "$QST_INFO{$qst}{marks}";
				$name = "$QST_INFO{$qst}{name}";
								
				my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND org_id=\"$DT{org_id}\"");
                                        
				my $i = 1;
				my %QUESTIONS_IN_QUIZ = ();
				
                                my %TIMEZONE = ();
                                my $org_time1;
                                my $adjusted_time;
                                my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$DT{org_id}\"};
                                my $sth = $dbh->prepare($queryt);
                                $sth->execute();
                                while(my @row = $sth->fetchrow_array()) {
                                        $TIMEZONE{$row[0]}= "$row[1]";
                                        $adjusted_time = "$row[1]";
                                        }

                                if($adjusted_time != 0) {
                                        $org_time1 = "$adjusted_time" * 3600;
                                        }
                                else {
                                        $org_time1 = 0; 
                                        }
                

                                #time with time zone included
                                my $time1 = time + "$org_time1";
                                my %TIME = &get_time_to_display("time","$time1");
                                my $student_start_time;
                                
                                if( $TIME{time}{hour} < 13) {
                                        $student_start_time = "$TIME{time}{hour}".":"."$TIME{time}{minute}"." "."am";
                                        }
                                else {
                                        $student_start_time = "$TIME_SHOW{$TIME{time}{hour}}".":"."$TIME{time}{minute}"." "."pm";
                                        }

                                
                                if(keys %QST_QUESTIONS) {
                                        my %RE_ORDERED_QUESTIONS = ();
                                        my @quest;
                                        
                                        if($POSTED_QST{$qst}{shuffle} == 1) { # shuffle the questions
                                                my %OLD_ORDER = ();
                                                my %SHUFFLE_ORDER = ();
                                                my %REV_ORDER = ();
                                                my $i = 1;
                                                my $w = 0;
                                                foreach my $ke(keys %QST_QUESTIONS) {
                                                        $OLD_ORDER{$QST_QUESTIONS{$ke}{order}} = $ke;
                                                        $REV_ORDER{$ke} = $QST_QUESTIONS{$ke}{order};
                                                        ++$w;
                                                        }

                                                for(my $ii = 1; $ii <= $w; $ii++) { 
                                                        my $random_value = $OLD_ORDER{(keys %OLD_ORDER)[rand keys %OLD_ORDER]};
                                                        $RE_ORDERED_QUESTIONS{$i} = $random_value;
                                                        delete $OLD_ORDER{"$REV_ORDER{$random_value}"};
                                                        ++$i;
                                                        }
                                                }
				
                                        else { # No Question Shuffle
                                                my %Q_ORDER = ();
                                                
                                                #See if random question group
                                                foreach my $kwest_no(keys %QST_QUESTIONS) {
                                                        if($QST_QUESTIONS{$kwest_no}{q_select} > 0) { #Random question
                                                                my $start_num = $QST_QUESTIONS{$kwest_no}{order};
                                                                $Q_ORDER{$start_num}{quest}{$kwest_no} = $kwest_no;
                                                                $Q_ORDER{$start_num}{how_many} = $QST_QUESTIONS{$kwest_no}{q_select};
                                                                }
                                                        else { # normal question
                                                                $Q_ORDER{$QST_QUESTIONS{$kwest_no}{order}}{quest} = $kwest_no;
                                                                }
                                                        }
                                                
                                                # RE-ORDER the questions with randomly selected questione included
                                                if(keys %Q_ORDER) {
                                                        my $new_index = 1;
                                                        foreach my $ord(sort {$a<=>$b} keys %Q_ORDER) {
                                                                if($Q_ORDER{$ord}{how_many} > 0) {
                                                                        my %RAND_QUESTIONS = ();
    
                                                                        foreach my $nom(keys %{$Q_ORDER{$ord}{quest}}) {
                                                                                $RAND_QUESTIONS{$nom} = $nom;
                                                                                }
                                                                                
                                                                        for (my $i = 1; $i <= $Q_ORDER{$ord}{how_many}; $i++){ # randomly choose the questions
                                                                                my $chosen_question = &get_random_hash(%RAND_QUESTIONS);
                                        
                                                                                delete($RAND_QUESTIONS{$chosen_question});
                                                                                $RE_ORDERED_QUESTIONS{$new_index} = $chosen_question;
                                                                                ++$new_index;
                                                                                }
                                                                        }
                                                                else {
                                                                        $RE_ORDERED_QUESTIONS{$new_index} = $Q_ORDER{$ord}{quest};
                                                                        ++$new_index;
                                                                        }
                                                                }
                                                
                                                        }
                                                
                                                }
                                                
                                                
                                        # to get the list of question to query for;
                                        my $list_of_questions;
                                        
     					foreach my $kkey(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                $list_of_questions= "$list_of_questions".","."$RE_ORDERED_QUESTIONS{$kkey}";
                                                
						if($i == 1) {
							$query = "$query"." "."number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							++$i;
							}
						else {
							$query = "$query"." "." OR number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							}
						}

                                        $list_of_questions =~ s/^\,//;

                                
					%QUESTIONS = &select_questions("query","$query");
					
					
                                    ##### PRINT THE PAGE
					
					&print_javascript_begin();
					
					&print_javascript_enterMX();
					
					print"var this_in
					var when
					var frame_url = self.parent.qst_left.location.href\n";
					
            				print"function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
					var this_in = quest_no
					var real_quest_ans
					var quest_ans
      					var replace_string =\"\"
      					var reg_exp1 = \/\\s\/g
					var replace_string2 =\"\%20\"
					document.form4.real_quest_no.value=real_quest_no
					document.form4.quest_no.value=quest_no
					if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
					self.parent.right_bot.s_input\(this_in\)
					document.form4.answer.value=checked_ans
					document.form4.submit\(\)
					\}\n";

					print"if\( type == \"MA\") \{
					document.form4.answertype.value=type
					document.form4.answer.value=checked_ans
					self.parent.right_bot.s_input\(this_in\)
					document.form4.submit\(\)
					\}
					else \{
					document.form4.answertype.value=\"\"
					\}\n";
 
					print"if\(type == \"SA\") \{\n";
					print"real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;\n";
					print"quest_ans=eval\(real_quest_ans\)\n";
      					print"var in_string = quest_ans\n";
					print"var new_string = in_string.replace\(reg_exp1,replace_string\)\n";
					print"var new_string2 = in_string.replace\(reg_exp1,replace_string2\)\n";
					print"qlength = in_string.length\;\n";
					print" if \(qlength > 75\) \{\n";
					print"alert\(\"The answer is longer than 75 characters.\"\)\n";
					print"\}\n";
					print"else \{\n";
      					print"if\(new_string !=\"\"\)\{\n";
					print"self.parent.right_bot.s_input\(this_in\)\n";
					print"document.form4.saanswer.value=quest_ans\n";
					print"document.form4.submit\(\)\n";
      					print"\}\n";
					print"else \{\n";
					print"self.parent.right_bot.un_do\(this_in\)\n";
					print"document.form4.saanswer.value=\"\"\n";
      					print"\}\n";
      					print"\}\n";
      					print"\}\n";
      					
 					print"if\(type == \"P\") \{\n";
 					print"real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;\n";
 					print"quest_ans=eval\(real_quest_ans\)\n";
       					print"var in_string = quest_ans\n";
 					print"var new_string = in_string.replace\(reg_exp1,replace_string\)\n";
 					print"var new_string2 = in_string.replace\(reg_exp1,replace_string2\)\n";
 					print"qlength = in_string.length\;\n";
 					print" if \(qlength > 675\) \{\n";
 					print"alert\(\"The answer is longer than 700 characters.\"\)\n";
 					print"\}\n";
 					print"else \{\n";
       					print"if\(new_string !=\"\"\)\{\n";
 					print"self.parent.right_bot.s_input\(this_in\)\n";
 					print"document.form4.panswer.value=quest_ans\n";
 					print"document.form4.submit\(\)\n";
       					print"\}\n";
 					print"else \{\n";
 					print"self.parent.right_bot.un_do\(this_in\)\n";
 					print"document.form4.panswer.value=\"\"\n";
       					print"\}\n";
       					print"\}\n";
       					print"\}\n";

				      	print"\}\n";

            				print"function load_handler\(\) \{
					document.form2.submit\(\)
			  	      	\}\n";

       		   	  		print"function sub_mit\(\) \{\n";
					print"document.q_form.submit\(\)\n";
		      			if ($type == 2) {
						print"self.parent.right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
						print"self.parent.right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
						}
		   	   		print"\}\n";

            				print"function link_anchor\(l_nk\) \{
					var this_link = l_nk
					self.parent.qst_left.location = frame_url + \"#\" + this_link
		      			\}\n";
		      			
		      			&print_javascript_end();


		      			print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><center><B><i><font style=\"font-size:18pt\; font-family:Arial\;\" color=\"white\"> $name </font></i></b></center></TD>";
		      			
                  			if ($type == 2) { #survey
                  				print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"  color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions </font></TD></TR>\n";
						}
						
					else { # quizzes/tests
                                                print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"    color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions  &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Marks}\: $marks </TD></TR>\n";
						} 
                                        
                                        print"</TABLE><BR>\n";
                                        
                                        &print_form_wo_end_tag("form_name","q_form","input","mark_type","class_id","$class_id","class_name","$DT{class_name}","type","$type","qst","$qst","qst_name","$name","u_id","$DT{u_id}","session_id","$DT{session_id}");
                                        
					my $index = 1;
					
     					foreach my $key(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                my $quest = $RE_ORDERED_QUESTIONS{$key};
                                                $QUESTIONS_IN_QUIZ{$index} = "$quest";

                                                if($QUESTIONS{$quest}{mode} == 2  || $QUESTIONS{$quest}{ans_mode} == 2) {
                                                        $show_eq = 2;
                                                        }
                                                        
                                                $index_to_quest_no = "$index_to_quest_no"."$index"."="."$quest"."-"."$QUESTIONS{$quest}{type}"."-"."$QUESTIONS{$quest}{value}".",";
                                                                
                                                my $question_rows = 1;
 		
                                                # fix display to show new lines in text of question
                                                my $content = $QUESTIONS{$quest}{question};
                                                $content =~ s/\r[\n]*/\n/gm;
                                                my @number_of_newlines = split(/\n/,$content);
                                                my $new_lines = @number_of_newlines;
                                                $question_rows = $question_rows + $new_lines;
                                                                        
                                                print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index\">$index\.</b></TD>\n";	
                                                
                                                &print_out_question("question","$QUESTIONS{$quest}{question}","value","$QST_QUESTIONS{$quest}{value}","image_id","$QUESTIONS{$quest}{image_id}","pdf","$QUESTIONS{$quest}{pdf}","vlink","$QUESTIONS{$quest}{vlink}","alink","$QUESTIONS{$quest}{alink}","type","$QUESTIONS{$quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$quest}{mode}");
										
                                                &print_out_question_answers("quest","$quest","index","$index","type","$QUESTIONS{$quest}{type}","key","$key","kolum","$QUESTIONS{$quest}{kolum}","ans_mode","$QUESTIONS{$quest}{ans_mode}","hr","1","shuffle_ans","$POSTED_QST{$qst}{shuffle_ans}");
                                                ++$index;
                                                }
						
                  			print "<center></FORM></center> \n";

  					&print_form("form_name","form2","form_target","right_bot","input","qst_side","class_id","$class_id","class_name","$DT{class_name}","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$DT{u_id}","session_id","$DT{session_id}","qst_time","$POSTED_QST{$qst}{qtime}","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name","attempt","$current_attempt");
  					&print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}");
                                        &print_form("form_name","next_quest","input","next_question","order","","quest_no","","real_quest_no","","qst","$qst","class_id","$class_id","qtype","$DT{type}","type","","lquests","","u_id","$DT{u_id}","session_id","$DT{session_id}","attempt","$current_attempt");
                                        
					print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
	                  		}
	                  		
                                if($show_eq == 2) {
                                        &print_eq();
                                        }
                                            
				++$attempt;
                                my $end_time = time;
				my $cal_time = $POSTED_QST{$qst}{qtime} * 60;
				$end_time = $end_time + $cal_time;
	
				if(keys %ATTEMPTS) {
					&update_general("query","UPDATE qst_attempts SET attempts=\"$attempt\",start_time=\"$TIME{time}{hour_minute}\",start_day=\"$TIME{time}{day}\",start_month=\"$TIME{time}{month}\",finish_time=\"0\",finish_day=\"0\",finish_month=\"0\",end=\"$end_time\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
					}
					
				else { # FIRST ATTEMPT
					&insert_qst_attempts("attempts","$current_attempt","start_time","$TIME{time}{hour_minute}","start_day","$TIME{time}{day}","start_month","$TIME{time}{month}","finish_time","0","finish_day","0","finish_month","0","end","$end_time","qst_no","$qst","u_id","$ids","resume","0");
					}
					
				#add to qsts all the questions for the qst for that attempt for the user
				foreach my $keyyy(keys %QUESTIONS_IN_QUIZ) {
					if($QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /SA/ ||  $QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /P/) {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					else {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					}
				}
				
			#### RESUME THEIR QST
			elsif(keys %QST_INFO && $attempt == 1 && $resume == 1) { # RESUME THEIR QST
				
				&print_do_type_resume_qst("qst_id","$qst","session_id","$DT{session_id}","class_id","$DT{class_id}");
				
				#UPDATE QST_ATTEMPTS SO IT CANNOT BE ATTEMPTED AGAIN WITHOUT A RESUME
				&update_general("query","UPDATE qst_attempts SET resume=\"0\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				}
			}
		}
		
      else {
            print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
            }
            
	}
	
###############
#
# MODAL_DO_TYPE
#
###############
sub modal_do_type{
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $type;
	my $submissions;
	my $results; 
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %QUESTIONS = ();
	my $index_to_quest_no;
	my $show_eq = 1;

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	# check whether in class, if posted, attempts, if qst is for class
	if(exists $USER{$ids}{$class_id}) {
		my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");
		                
		if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) {
			$attempts = "$POSTED_QST{$qst}{attempts}";
			$forall = "$POSTED_QST{$qst}{forall}";
			$submissions = "$POSTED_QST{$qst}{submissions}";
			my $rhm = "$POSTED_QST{$qst}{rhm}";
			my $resume;
							
			my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
			$type = "$POSTED_QST{type}";

			#check attempts, in progress
			my %ATTEMPTS = &select_qst_attempts_user("query","SELECT u_id,attempts,resume from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			
			if(keys %ATTEMPTS) {
				$attempt = "$ATTEMPTS{$ids}{attempts}";
				$resume = "$ATTEMPTS{$ids}{resume}";
				}
						
			else {
				$attempt = 0;
				$resume = 0;
				}
				
			my $current_attempt = $attempt + 1;

			my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
			$type = "$QST_TYPE{$qst}";

			# FIRST AND SUBSEQUENT ATTEMPTS NO RESUME
			if(keys %QST_INFO && $attempt < $attempts && $resume == 0) {
				if($POSTED_QST{$qst}{rhm} == 1) { # record mark
				
					}
				else { 
					# clean out previous attempts
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					}

				my $query = "SELECT * from questions WHERE ";
				$questions = "$QST_INFO{$qst}{questions}";
				$marks = "$QST_INFO{$qst}{marks}";
				$name = "$QST_INFO{$qst}{name}";
								
				my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND org_id=\"$DT{org_id}\"");
                                        
				my $i = 1;
				my %QUESTIONS_IN_QUIZ = ();
				
                                my %TIMEZONE = ();
                                my $org_time1;
                                my $adjusted_time;
                                my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$DT{org_id}\"};
                                my $sth = $dbh->prepare($queryt);
                                $sth->execute();
                                while(my @row = $sth->fetchrow_array()) {
                                        $TIMEZONE{$row[0]}= "$row[1]";
                                        $adjusted_time = "$row[1]";
                                        }

                                if($adjusted_time != 0) {
                                        $org_time1 = "$adjusted_time" * 3600;
                                        }
                                else {
                                        $org_time1 = 0; 
                                        }
                

                                #time with time zone included
                                my $time1 = time + "$org_time1";
                                my %TIME = &get_time_to_display("time","$time1");
                                my $student_start_time;
                                
                                if( $TIME{time}{hour} < 13) {
                                        $student_start_time = "$TIME{time}{hour}".":"."$TIME{time}{minute}"." "."am";
                                        }
                                else {
                                        $student_start_time = "$TIME_SHOW{$TIME{time}{hour}}".":"."$TIME{time}{minute}"." "."pm";
                                        }

                                
                                if(keys %QST_QUESTIONS) {
                                        my %RE_ORDERED_QUESTIONS = ();
                                        my @quest;
                                        
                                        if($POSTED_QST{$qst}{shuffle} == 1) { # shuffle the questions
                                                my %OLD_ORDER = ();
                                                my %SHUFFLE_ORDER = ();
                                                my %REV_ORDER = ();
                                                my $i = 1;
                                                my $w = 0;
                                                foreach my $ke(keys %QST_QUESTIONS) {
                                                        $OLD_ORDER{$QST_QUESTIONS{$ke}{order}} = $ke;
                                                        $REV_ORDER{$ke} = $QST_QUESTIONS{$ke}{order};
                                                        ++$w;
                                                        }

                                                for(my $ii = 1; $ii <= $w; $ii++) { 
                                                        my $random_value = $OLD_ORDER{(keys %OLD_ORDER)[rand keys %OLD_ORDER]};
                                                        $RE_ORDERED_QUESTIONS{$i} = $random_value;
                                                        delete $OLD_ORDER{"$REV_ORDER{$random_value}"};
                                                        ++$i;
                                                        }
                                                }
				
                                        else { # No Question Shuffle
                                                my %Q_ORDER = ();
                                                
                                                #See if random question group
                                                foreach my $kwest_no(keys %QST_QUESTIONS) {
                                                        if($QST_QUESTIONS{$kwest_no}{q_select} > 0) { #Random question
                                                                my $start_num = $QST_QUESTIONS{$kwest_no}{order};
                                                                $Q_ORDER{$start_num}{quest}{$kwest_no} = $kwest_no;
                                                                $Q_ORDER{$start_num}{how_many} = $QST_QUESTIONS{$kwest_no}{q_select};
                                                                }
                                                        else { # normal question
                                                                $Q_ORDER{$QST_QUESTIONS{$kwest_no}{order}}{quest} = $kwest_no;
                                                                }
                                                        }
                                                
                                                # RE-ORDER the questions with randomly selected questione included
                                                if(keys %Q_ORDER) {
                                                        my $new_index = 1;
                                                        foreach my $ord(sort {$a<=>$b} keys %Q_ORDER) {
                                                                if($Q_ORDER{$ord}{how_many} > 0) {
                                                                        my %RAND_QUESTIONS = ();
    
                                                                        foreach my $nom(keys %{$Q_ORDER{$ord}{quest}}) {
                                                                                $RAND_QUESTIONS{$nom} = $nom;
                                                                                }
                                                                                
                                                                        for (my $i = 1; $i <= $Q_ORDER{$ord}{how_many}; $i++){ # randomly choose the questions
                                                                                my $chosen_question = &get_random_hash(%RAND_QUESTIONS);
                                        
                                                                                delete($RAND_QUESTIONS{$chosen_question});
                                                                                $RE_ORDERED_QUESTIONS{$new_index} = $chosen_question;
                                                                                ++$new_index;
                                                                                }
                                                                        }
                                                                else {
                                                                        $RE_ORDERED_QUESTIONS{$new_index} = $Q_ORDER{$ord}{quest};
                                                                        ++$new_index;
                                                                        }
                                                                }
                                                
                                                        }
                                                
                                                }
                                                
                                                
                                        # to get the list of question to query for;
                                        my $list_of_questions;
                                        
     					foreach my $kkey(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                $list_of_questions= "$list_of_questions".","."$RE_ORDERED_QUESTIONS{$kkey}";
                                                
						if($i == 1) {
							$query = "$query"." "."number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							++$i;
							}
						else {
							$query = "$query"." "." OR number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							}
						}

                                        $list_of_questions =~ s/^\,//;

                                
					%QUESTIONS = &select_questions("query","$query");
					
					
                                    ##### Print the page #####################
					
					&print_javascript_begin();
					
					&modal_print_javascript_enterMX();
					
					print"var this_in
					var frame_url = self.parent.m1qst_left.location.href\n";
			  	      	
            				print"function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
					var this_in = quest_no
					var real_quest_ans
					var quest_ans
      					var replace_string =\"\"
      					var reg_exp1 = \/\\s\/g
					var replace_string2 =\"\%20\"
					document.form4.real_quest_no.value=real_quest_no
					document.form4.quest_no.value=quest_no
					if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
					self.parent.m1right_bot.s_input\(this_in\)
					document.form4.answer.value=checked_ans
					document.form4.submit\(\)
					\}\n";

					print"if\( type == \"MA\") \{
					document.form4.answertype.value=type
					document.form4.answer.value=checked_ans
					self.parent.m1right_bot.s_input\(this_in\)
					document.form4.submit\(\)
					\}
					else \{
					document.form4.answertype.value=\"\"
					\}\n";
 
					print"if\(type == \"SA\") \{\n";
					print"real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;\n";
					print"quest_ans=eval\(real_quest_ans\)\n";
      					print"var in_string = quest_ans\n";
					print"var new_string = in_string.replace\(reg_exp1,replace_string\)\n";
					print"var new_string2 = in_string.replace\(reg_exp1,replace_string2\)\n";
					print"qlength = in_string.length\;\n";
					print" if \(qlength > 75\) \{\n";
					print"alert\(\"The answer is longer than 75 characters.\"\)\n";
					print"\}\n";
					print"else \{\n";
      					print"if\(new_string !=\"\"\)\{\n";
					print"self.parent.m1right_bot.s_input\(this_in\)\n";
					print"document.form4.saanswer.value=quest_ans\n";
					print"document.form4.submit\(\)\n";
      					print"\}\n";
					print"else \{\n";
					print"self.parent.m1right_bot.un_do\(this_in\)\n";
					print"document.form4.saanswer.value=\"\"\n";
      					print"\}\n";
      					print"\}\n";
      					print"\}\n";
      					
 					print"if\(type == \"P\") \{\n";
 					print"real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;\n";
 					print"quest_ans=eval\(real_quest_ans\)\n";
       					print"var in_string = quest_ans\n";
 					print"var new_string = in_string.replace\(reg_exp1,replace_string\)\n";
 					print"var new_string2 = in_string.replace\(reg_exp1,replace_string2\)\n";
 					print"qlength = in_string.length\;\n";
 					print" if \(qlength > 675\) \{\n";
 					print"alert\(\"The answer is longer than 700 characters.\"\)\n";
 					print"\}\n";
 					print"else \{\n";
       					print"if\(new_string !=\"\"\)\{\n";
 					print"self.parent.m1right_bot.s_input\(this_in\)\n";
 					print"document.form4.panswer.value=quest_ans\n";
 					print"document.form4.submit\(\)\n";
       					print"\}\n";
 					print"else \{\n";
 					print"self.parent.m1right_bot.un_do\(this_in\)\n";
 					print"document.form4.panswer.value=\"\"\n";
       					print"\}\n";
       					print"\}\n";
       					print"\}\n";

				      	print"\}\n";

            				print"function load_handler\(\) \{
					document.form2.submit\(\)\n";
			  	      	print"\}\n";

       		   	  		print"function sub_mit\(\) \{\n";
					print"document.q_form.submit\(\)\n";
					
		      			if ($type == 2) {
						print"self.parent.m1right_top.location.replace\(\"\/schools\/empty.htm\"\)\n";
						print"self.parent.m1right_bot.location.replace\(\"\/schools\/empty.htm\"\)\n";
						}
		   	   		print"\}\n";

            				print"function link_anchor\(l_nk\) \{
					var this_link = l_nk 
					self.parent.m1qst_left.location = frame_url + \"#\" + this_link
		      			\}\n";
		      			
		      			&print_javascript_end();


                                        &print_form_wo_end_tag("form_name","q_form","input","modal_mark_type","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$DT{u_id}","session_id","$DT{session_id}");
                                        
					my $index = 1;
					
     					foreach my $key(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                my $quest = $RE_ORDERED_QUESTIONS{$key};
                                                $QUESTIONS_IN_QUIZ{$index} = "$quest";

                                                if($QUESTIONS{$quest}{mode} == 2  || $QUESTIONS{$quest}{ans_mode} == 2) {
                                                        $show_eq = 2;
                                                        }
                                                        
                                                $index_to_quest_no = "$index_to_quest_no"."$index"."="."$quest"."-"."$QUESTIONS{$quest}{type}"."-"."$QUESTIONS{$quest}{value}".",";
                                                                
                                                my $question_rows = 1;
 		
                                                # fix display to show new lines in text of question
                                                my $content = $QUESTIONS{$quest}{question};
                                                $content =~ s/\r[\n]*/\n/gm;
                                                my @number_of_newlines = split(/\n/,$content);
                                                my $new_lines = @number_of_newlines;
                                                $question_rows = $question_rows + $new_lines;
                                                                        
                                                print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index\">$index\.</b></TD>\n";	
                                                
                                                &print_out_question("question","$QUESTIONS{$quest}{question}","value","$QST_QUESTIONS{$quest}{value}","image_id","$QUESTIONS{$quest}{image_id}","pdf","$QUESTIONS{$quest}{pdf}","vlink","$QUESTIONS{$quest}{vlink}","alink","$QUESTIONS{$quest}{alink}","type","$QUESTIONS{$quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$quest}{mode}");
										
                                                &print_out_question_answers("quest","$quest","index","$index","type","$QUESTIONS{$quest}{type}","key","$key","kolum","$QUESTIONS{$quest}{kolum}","ans_mode","$QUESTIONS{$quest}{ans_mode}","hr","1","shuffle_ans","$POSTED_QST{$qst}{shuffle_ans}");
                                                ++$index;
                                                }
						
                  			print "<center></FORM></center> \n";

  					&print_form("form_name","form2","form_target","m1right_bot","input","modal_qst_side","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$DT{u_id}","session_id","$DT{session_id}","qst_time","$POSTED_QST{$qst}{qtime}","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name","attempt","$current_attempt");
  					&print_form("form_name","form3","form_target","","input","modal_show_qsts_for_students","class_id","$class_id","name","$DT{class_name}","u_id","$DT{u_id}","session_id","$DT{session_id}");
  					&print_form("form_name","form4","form_target","m1right_top","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}");
						
                                        &print_form("form_name","next_quest","input","next_question","order","","quest_no","","real_quest_no","","qst","$qst","class_id","$class_id","qtype","$DT{type}","type","","lquests","","u_id","$DT{u_id}","session_id","$DT{session_id}","attempt","$current_attempt");
                                        
					print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
	                  		}
	                  		
                                if($show_eq == 2) {
                                        &print_eq();
                                        }
                                            
				++$attempt;
                                my $end_time = time;
				my $cal_time = $POSTED_QST{$qst}{qtime} * 60;
				$end_time = $end_time + $cal_time;
				
				if(keys %ATTEMPTS) {
					&update_general("query","UPDATE qst_attempts SET attempts=\"$attempt\",start_time=\"$TIME{time}{hour_minute}\",start_day=\"$TIME{time}{day}\",start_month=\"$TIME{time}{month}\",finish_time=\"0\",finish_day=\"0\",finish_month=\"0\",end=\"$end_time\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
					}
									
				else { # FIRST ATTEMPT
					&insert_qst_attempts("attempts","$current_attempt","start_time","$TIME{time}{hour_minute}","start_day","$TIME{time}{day}","start_month","$TIME{time}{month}","finish_time","0","finish_day","0","finish_month","0","end","$end_time","qst_no","$qst","u_id","$ids","resume","0");
					}

				#add to qsts all the questions for the qst for that attempt for the user
				foreach my $keyyy(keys %QUESTIONS_IN_QUIZ) {
					if($QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /SA/ ||  $QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /P/) {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					else {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					}
				}
			}
		}
      else {
            print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
            }
	}
	
###############
#
# DO_TYPE2
#
###############
sub do_type2{
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $type;
	my $submissions;
	my $results; 
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %QUESTIONS = ();
	my $index_to_quest_no;
	my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	# check whether in class, if posted, attempts, if qst is for class
	if(exists $USER{$ids}{$class_id}) {
		my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");

		if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) { # FIRST ATTEMPT
			my %ACCESS = ();
			$attempts = "$POSTED_QST{$qst}{attempts}";
			$forall = "$POSTED_QST{$qst}{forall}";
			$submissions = "$POSTED_QST{$qst}{submissions}";
			my $rhm = "$POSTED_QST{$qst}{rhm}";
			my $qtime = $POSTED_QST{$qst}{qtime};
			my $resume;
			
			if($forall == 0) {
				%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				}
				
			$type = "$POSTED_QST{type}";

			#check attempts, in progress
			my %ATTEMPTS = &select_qst_attempts_user("query","SELECT u_id,attempts,resume from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			
			if(keys %ATTEMPTS) {
				$attempt = "$ATTEMPTS{$ids}{attempts}";
				$resume = "$ATTEMPTS{$ids}{resume}";
				}
						
			else {
				$attempt = 0;
				$resume = 0;
				}

			my $current_attempt = $attempt + 1;

			my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
			$type = "$QST_TYPE{$qst}";

			# FIRST AND SUBSEQUENT ATTEMPTS  NO RESUME
			if(keys %QST_INFO && $attempt < $attempts && $resume == 0) {
				if($POSTED_QST{$qst}{rhm} == 1) { # record mark
				
					}
				else { 
					# clean out previous attempts
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					}

				my $query = "SELECT * from questions WHERE ";
				$questions = "$QST_INFO{$qst}{questions}";
				$marks = "$QST_INFO{$qst}{marks}";
				$name = "$QST_INFO{$qst}{name}";
								
				my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND org_id=\"$DT{org_id}\"");
                                        
				my $i = 1;
				my %QUESTIONS_IN_QUIZ = ();
				
                                my %TIMEZONE = ();
                                my $org_time1;
                                my $adjusted_time;
                                my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$DT{org_id}\"};
                                my $sth = $dbh->prepare($queryt);
                                $sth->execute();
                                while(my @row = $sth->fetchrow_array()) {
                                        $TIMEZONE{$row[0]}= "$row[1]";
                                        $adjusted_time = "$row[1]";
                                        }

                                if($adjusted_time != 0) {
                                        $org_time1 = "$adjusted_time" * 3600;
                                        }
                                else {
                                        $org_time1 = 0; 
                                        }
                

                                #time with time zone included
                                my $time1 = time + "$org_time1";
                                my %TIME = &get_time_to_display("time","$time1");
                                my $student_start_time;
                                
                                if( $TIME{time}{hour} < 13) {
                                        $student_start_time = "$TIME{time}{hour}".":"."$TIME{time}{minute}"." "."am";
                                        }
                                else {
                                        $student_start_time = "$TIME_SHOW{$TIME{time}{hour}}".":"."$TIME{time}{minute}"." "."pm";
                                        }

                                
                                if(keys %QST_QUESTIONS) {
                                        my %RE_ORDERED_QUESTIONS = ();
                                        my @quest;
                                        
                                        if($POSTED_QST{$qst}{shuffle} == 1) { # shuffle the questions
                                                my %OLD_ORDER = ();
                                                my %SHUFFLE_ORDER = ();
                                                my %REV_ORDER = ();
                                                my $i = 1;
                                                my $w = 0;
                                                foreach my $ke(keys %QST_QUESTIONS) {
                                                        $OLD_ORDER{$QST_QUESTIONS{$ke}{order}} = $ke;
                                                        $REV_ORDER{$ke} = $QST_QUESTIONS{$ke}{order};
                                                        ++$w;
                                                        }

                                                for(my $ii = 1; $ii <= $w; $ii++) { 
                                                        my $random_value = $OLD_ORDER{(keys %OLD_ORDER)[rand keys %OLD_ORDER]};
                                                        $RE_ORDERED_QUESTIONS{$i} = $random_value;
                                                        delete $OLD_ORDER{"$REV_ORDER{$random_value}"};
                                                        ++$i;
                                                        }
                                                }
				
                                        else { # No Question Shuffle
                                                my %Q_ORDER = ();
                                                
                                                #See if random question group
                                                foreach my $kwest_no(keys %QST_QUESTIONS) {
                                                        if($QST_QUESTIONS{$kwest_no}{q_select} > 0) { #Random question
                                                                my $start_num = $QST_QUESTIONS{$kwest_no}{order};
                                                                $Q_ORDER{$start_num}{quest}{$kwest_no} = $kwest_no;
                                                                $Q_ORDER{$start_num}{how_many} = $QST_QUESTIONS{$kwest_no}{q_select};
                                                                }
                                                        else { # normal question
                                                                $Q_ORDER{$QST_QUESTIONS{$kwest_no}{order}}{quest} = $kwest_no;
                                                                }
                                                        }
                                                
                                                # RE-ORDER the questions with randomly selected questione included
                                                if(keys %Q_ORDER) {
                                                        my $new_index = 1;
                                                        foreach my $ord(sort {$a<=>$b} keys %Q_ORDER) {
                                                                if($Q_ORDER{$ord}{how_many} > 0) {
                                                                        my %RAND_QUESTIONS = ();
    
                                                                        foreach my $nom(keys %{$Q_ORDER{$ord}{quest}}) {
                                                                                $RAND_QUESTIONS{$nom} = $nom;
                                                                                }
                                                                                
                                                                        for (my $i = 1; $i <= $Q_ORDER{$ord}{how_many}; $i++){ # randomly choose the questions
                                                                                my $chosen_question = &get_random_hash(%RAND_QUESTIONS);
                                        
                                                                                delete($RAND_QUESTIONS{$chosen_question});
                                                                                $RE_ORDERED_QUESTIONS{$new_index} = $chosen_question;
                                                                                ++$new_index;
                                                                                }
                                                                        }
                                                                else {
                                                                        $RE_ORDERED_QUESTIONS{$new_index} = $Q_ORDER{$ord}{quest};
                                                                        ++$new_index;
                                                                        }
                                                                }
                                                
                                                        }
                                                
                                                }
                                                
                                                
                                        # to get the list of question to query for;
                                        my $list_of_questions;
                                        
     					foreach my $kkey(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                $list_of_questions= "$list_of_questions".","."$RE_ORDERED_QUESTIONS{$kkey}";
                                                
						if($i == 1) {
							$query = "$query"." "."number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							++$i;
							}
						else {
							$query = "$query"." "." OR number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							}
						}

                                        $list_of_questions =~ s/^\,//;

                                
					%QUESTIONS = &select_questions("query","$query");
					
					
                                ##### Print the page
                                    
					&print_javascript_begin();
					
					&print_javascript_enterMX();
					
					&print_javascript_activated_this();

					print"function load_handler() \{
					document.form2.submit()
					\}\n";
					
                                        print"function Show_Next\(quest,order,quests\) \{
                                        document.next_quest.quest_no.value=quest
                                        document.next_quest.order.value=order
                                        document.next_quest.lquests.value=quests
					document.next_quest.submit\(\)
			  	      	\}\n";
			  	      	
       		   	  		print"function sub_mit\(\) \{\n";
					print"document.q_form.submit\(\)\n";
		      			if ($type == 2) {
						print"self.top.right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
						print"self.top.right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
						}
		   	   		print"\}\n";

		      			&print_javascript_end();

		      			print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><center><B><i><font style=\"font-size:18pt\; font-family:Arial\;\" color=\"white\"> $name </font></i></b></center></TD>";
		      			
                  			if ($type == 2) { #survey
                  				print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"  color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions </font></TD></TR>\n";
						}
						
					else { # quizzes/tests
                                                print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"    color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions  &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Marks}\: $marks </TD></TR>\n";
						} 
                                        
                                        print"</TABLE><BR>\n";
                                        
                                        &print_form_wo_end_tag("form_name","q_form","input","mark_type","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$DT{u_id}","session_id","$DT{session_id}","class_name","");
                                        
					my $index = 1;
					my $printed = 0;
     					foreach my $key(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                my $quest = $RE_ORDERED_QUESTIONS{$key};
                                                $QUESTIONS_IN_QUIZ{$index} = "$quest";

                                                $index_to_quest_no = "$index_to_quest_no"."$index"."="."$quest".",";
                                                                
                                                if($index == 1 && $printed == 0) {
                                                        my $question_rows = 1;
 		
                                                        # fix display to show new lines in text of question
                                                        my $content = $QUESTIONS{$quest}{question};
                                                        $content =~ s/\r[\n]*/\n/gm;
                                                        my @number_of_newlines = split(/\n/,$content);
                                                        my $new_lines = @number_of_newlines;
                                                        $question_rows = $question_rows + $new_lines;
                                                                        
                                                        shift(@quest);
                                                                        
                                                        my $next_quest = shift(@quest);
                                                                        
                                                        print"<center><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$next_quest','1','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B></center>\n";
                                                                        
                                                        print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
										
                                                        &print_out_question("question","$QUESTIONS{$quest}{question}","value","$QST_QUESTIONS{$quest}{value}","image_id","$QUESTIONS{$quest}{image_id}","pdf","$QUESTIONS{$quest}{pdf}","vlink","$QUESTIONS{$quest}{vlink}","alink","$QUESTIONS{$quest}{alink}","type","$QUESTIONS{$quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$quest}{mode}");
										
                                                        &print_out_question_answers("quest","$quest","index","$index","type","$QUESTIONS{$quest}{type}","key","$key","kolum","$QUESTIONS{$quest}{kolum}","ans_mode","$QUESTIONS{$quest}{ans_mode}","shuffle_ans","$POSTED_QST{$qst}{shuffle_ans}");
                                                        ++$index;
                                                        $printed = 1;

                                                        if($QUESTIONS{$quest}{mode} == 2 || $QUESTIONS{$quest}{ans_mode} == 2) {
                                                                &print_eq();
                                                                }
                                                        }
                                                else {
                                                        ++$index;
                                                        }
						}
						
                  			print "<center></FORM></center> \n";

  					&print_form("form_name","form2","form_target","right_bot","input","qst_side2","class_name","$DT{class_name}","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$DT{u_id}","session_id","$DT{session_id}","qst_time","$POSTED_QST{$qst}{qtime}","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name","attempt","$current_attempt");
  					&print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}");
						
                                        &print_form("form_name","next_quest","input","next_question2","order","","quest_no","","real_quest_no","","qst","$qst","class_id","$class_id","class_name","$DT{class_name}","qtype","$DT{type}","type","","lquests","","u_id","$DT{u_id}","session_id","$DT{session_id}","attempt","$current_attempt");
                                        
					print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
	                  		}
	                  		
				++$attempt;
                                my $end_time = time;
				my $cal_time = $POSTED_QST{$qst}{qtime} * 60;
				$end_time = $end_time + $cal_time;
				
				if(keys %ATTEMPTS) {
					&update_general("query","UPDATE qst_attempts SET attempts=\"$attempt\",start_time=\"$TIME{time}{hour_minute}\",start_day=\"$TIME{time}{day}\",start_month=\"$TIME{time}{month}\",finish_time=\"0\",finish_day=\"0\",finish_month=\"0\",end=\"$end_time\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
					}
									
				else { # FIRST ATTEMPT
					&insert_qst_attempts("attempts","$current_attempt","start_time","$TIME{time}{hour_minute}","start_day","$TIME{time}{day}","start_month","$TIME{time}{month}","finish_time","0","finish_day","0","finish_month","0","end","$end_time","qst_no","$qst","u_id","$ids","resume","0");
					}

				#add to qsts all the questions for the qst for that attempt for the user
				foreach my $keyyy(keys %QUESTIONS_IN_QUIZ) {

					if($QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /SA/ ||  $QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /P/) {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					else {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					}
				}
			
			#### RESUME THEIR QST
			elsif(keys %QST_INFO && $attempt == 1 && $resume == 1) { # RESUME THEIR QST
				
				&print_do_type2_resume_qst("qst","$qst","session_id","$DT{session_id}","class_id","$DT{class_id}","attempt","$attempt");
							
				#UPDATE QST_ATTEMPTS SO IT CANNOT BE ATTEMPTED AGAIN WITHOUT A RESUME
				&update_general("query","UPDATE qst_attempts SET resume=\"0\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				}
				
			else {
				print"<BR><P><center><B>$LANGUAGE{$set_language}{YourinstructormustresumeyourQSTforyou}</B></center>\n";
				}
			}

		}
      else {
            print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
            }
	}
	
##################
#
# PRINT_DO_TYPE2_RESUME_QST
#
################
sub print_do_type2_resume_qst {
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $type;
	my $submissions;
	my $results; 
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my %QUESTIONS = ();
	my $index_to_quest_no;
	my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");
		
	if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) {
		my %ACCESS = ();
		my %PREVIOUS_QUEST = ();
		$attempts = "$POSTED_QST{$qst}{attempts}";
		$forall = "$POSTED_QST{$qst}{forall}";
		$submissions = "$POSTED_QST{$qst}{submissions}";
		my $rhm = "$POSTED_QST{$qst}{rhm}";
		my $qtime = $POSTED_QST{$qst}{qtime};
		my $name;
		my $resume;
			
		if($forall == 0) {
			%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
				
		$type = "$POSTED_QST{type}";

		my %STARTED_SUBMITTED = &select_started_submitted("qst_no","$qst","u_id","$ids");
		my $start_time = $STARTED_SUBMITTED{$ids}{start_time};

		#check attempts, in progress
		my %ATTEMPTS = &select_qst_attempts_info("query","SELECT qst_no,attempts,end,resume from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

		$attempt = "$ATTEMPTS{$qst}{attempts}";
		$resume = "$ATTEMPTS{$qst}{resume}";

		my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
		$type = "$QST_TYPE{$qst}";

		if(keys %QST_INFO && $resume == 1 && $attempt == 1) {
			my $index;
			my @order;
			my $questions_answered;
			my $prev_quest;
			my $next_quest;
			my %QUESTION_ORDER = ();
			$questions = "$QST_INFO{$qst}{questions}";
			$marks = "$QST_INFO{$qst}{marks}";
			$name = "$QST_INFO{$qst}{name}";
				
			# get students saved qst
			my %STUDENTS_QST = &select_users_qst("query","SELECT quest_no,answer,mark,marked,time_stamp,quest_order from qsts WHERE u_id=\"$ids\" AND qst=\"$qst\"");
				
			# GET ALL THE QUESTIONS
			my $query = "SELECT * from questions WHERE ";
								
			foreach my $order(sort keys %STUDENTS_QST) {	
				$query = "$query"." "."number=\"$STUDENTS_QST{$order}{quest_no}\" OR";
				}
								
			$query =~ s/ OR$//;
												
			my %QUESTIONS_IN_QST = &select_questions("query","$query");

				
			#GET THE NUMBER OF THE LAST QUESTION ANSWER SAVED TO DISPLAY IT
			my $last_time = 0;
			my $question_to_display;
			my $list_of_questions;
			my $last_month = 0;
			my $last_day = 0;
			
			foreach my $order(sort {$a<=>$b} keys %STUDENTS_QST) {	
				$QUESTION_ORDER{$STUDENTS_QST{$order}{quest_no}} = $order;
				$list_of_questions = "$list_of_questions".","."$STUDENTS_QST{$order}{quest_no}";
				$index_to_quest_no = "$index_to_quest_no"."$order=$STUDENTS_QST{$order}{quest_no}".",";#

				if($STUDENTS_QST{$order}{time_stamp} > 0) {
					$questions_answered = "$questions_answered".","."$order";
					my @times = split(/-/,$STUDENTS_QST{$order}{time_stamp});
					if($times[2] > $last_time) {
						$last_time = $times[2];
                                                $last_month = $times[0];
                                                $last_day = $times[1];
						$question_to_display = $STUDENTS_QST{$order}{quest_no};
						$index = $order;
						}
					}								
				}
					
			$questions_answered =~ s/^,//;
			$list_of_questions =~ s/^,//;
				
			my @total = split(/$question_to_display/,$list_of_questions);
			$total[0] =~ s/,$//;

			my @prev_quest = split(/\,/,$total[0]);
			$prev_quest = pop(@prev_quest);
				
			$total[1] =~ s/^,//;
			my @after = split(/\,/,$total[1]);
			$next_quest = shift(@after);
				
			my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND quest_no=\"$question_to_display\" AND org_id=\"$DT{org_id}\"");

			my %QUESTION_TO_DISPLAY = &select_question("query","SELECT * from questions WHERE number=\"$question_to_display\"");

                        ##### Print the page
			&print_javascript_begin();
					
			&print_javascript_enterMX();
				
			&print_javascript_activated_this();

			print"function load_handler() \{
			document.form2.submit()
			\}\n";

                        print"function Show_Next\(order,quest_no,quests\) \{
                        document.next_quest.order.value=order
                        document.next_quest.quest_no.value=quest_no
                        document.next_quest.lquests.value=quests
			document.next_quest.submit\(\)
		  	\}\n";
			  	   
       	   	  	print"function sub_mit\(\) \{\n";
			print"document.q_form.submit\(\)\n";
	      		if ($type == 2) {
				print"self.top.right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
				print"self.top.right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
				}
	   	   	print"\}\n";
		   	   	
	   	   	print"function resume_check_boxes_bot_right\(\) \{
			var box_string = document.form5.answered.value
			if\(box_string !=\"\"\)\{
			const myArray = box_string.split\(\",\"\)
			let fLen = myArray.length
					
			for (let i = 0; i < fLen; i++) {
			 self.parent.right_bot.s_input\(myArray[i]\)
			 \}
			 \}
			 \}\n";


	      		&print_javascript_end();

	      		print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><center><B><i><font style=\"font-size:18pt\; font-family:Arial\;\" color=\"white\"> $name </font></i></b></center></TD>";
		      		
               		if ($type == 2) { #survey
               			print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"  color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions </font></TD></TR>\n";
				}
					
			else { # quizzes/tests
                                print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"    color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions  &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Marks}\: $marks </TD></TR>\n";
				} 
                                        
                        print"</TABLE><BR>\n";
                                       
                        &print_form_wo_end_tag("form_name","q_form","input","","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$DT{u_id}","session_id","$DT{session_id}","class_name","");
                                        
                        my $question_rows = 1;
			my $key = $STUDENTS_QST{$index}{answer};

					
                        # fix display to show new lines in text of question
                        my $content = $QUESTION_TO_DISPLAY{$question_to_display}{question};
                        $content =~ s/\r[\n]*/\n/gm;
                        my @number_of_newlines = split(/\n/,$content);
                        my $new_lines = @number_of_newlines;
                        $question_rows = $question_rows + $new_lines;
                                          					
			print"<center>";
		
			if($index > 1) {
				#print previous arrow 
				my $prev = $index - 1;
				print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$prev','$prev_quest','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Previous}\">\<</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
				}
						
			my $next = $index + 1;
                        print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$next','$next_quest','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B></center>\n";
                                                                        
                        print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
										
                        &print_out_question("question","$QUESTION_TO_DISPLAY{$question_to_display}{question}","value","$QUESTION_TO_DISPLAY{$question_to_display}{value}","image_id","$QUESTION_TO_DISPLAY{$question_to_display}{image_id}","pdf","$QUESTION_TO_DISPLAY{$question_to_display}{pdf}","vlink","$QUESTION_TO_DISPLAY{$question_to_display}{vlink}","alink","$QUESTION_TO_DISPLAY{$question_to_display}{alink}","type","$QUESTION_TO_DISPLAY{$question_to_display}{type}","question_rows","$question_rows","mode","$QUESTION_TO_DISPLAY{$question_to_display}{mode}");
			
			
			#### PRINT THE STUDENTS ANSWER FOR THE QUESTION DISPLAYED
			if ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"TF") {
				print"<TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\;\"><label for=\"radio$index\">
			        <input type =\"radio\" class=\"larger\" name =\"$question_to_display\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'T\'";
						                
			        if($QUESTION_TO_DISPLAY{branch} == 1) {
			        	print",\'b\'";
			                }
						                        
			        print"\)\" id=\"radio$index\"";
						                 
			        if($STUDENTS_QST{$index}{answer} eq "T") {
				 	print"checked";
				 	$questions_answered = "$questions_answered ".","."$index";
			               	}
						                	
			        print"> $LANGUAGE{$set_language}{True} &nbsp\;</label> \n";
						                
			        print" <label for=\"radiox$index\"><input type =\"radio\" class=\"larger\" name =\"$question_to_display\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'F\'";
						                
			        if($QUESTION_TO_DISPLAY{branch} == 1) {
			                print",\'b\'";
			                }
						                        
			        print"\)\" id=\"radiox$index\"";
						                
			        if($STUDENTS_QST{$index}{answer} eq "F") {
					print"checked";
					$questions_answered = "$questions_answered ".","."$index";
			               	}
						                	
			        print"> $LANGUAGE{$set_language}{False}</label></TD></TR>\n";
			        }
				
			elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"YN") {
				print"<TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:text-top\;\"><label for=\"radio$index\">
			        <input type =\"radio\" style=\"vertical-align:text-top\" name =\"$question_to_display\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'Y\'";
						                
			        if($QUESTION_TO_DISPLAY{branch} == 1) {
			        	print",\'b\'";
			                }
						                        
			        print"\)\" id=\"radio$index\"";
						                 
			        if($STUDENTS_QST{$index}{answer} eq "Y") {
				 	print"checked";
				 	$questions_answered = "$questions_answered ".","."$index";
			               	}
						                	
			        print"> $LANGUAGE{$set_language}{True} &nbsp\;</label> \n";
						                
			        print" <label for=\"radiox$index\"><input type =\"radio\" style=\"vertical-align:text-top\" name =\"$question_to_display\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'N\'";
						                
			        if($QUESTION_TO_DISPLAY{branch} == 1) {
			                print",\'b\'";
			                }
						                        
			        print"\)\" id=\"radiox$index\"";
						                
			        if($STUDENTS_QST{$index}{answer} eq "N") {
					print"checked";
					$questions_answered = "$questions_answered ".","."$index";
			               	}
						                	
			        print"> $LANGUAGE{$set_language}{False}</label></TD></TR>\n";
			       	}
			                        	
			elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"SA") {
				if (defined $STUDENTS_QST{$index}{answer} && $STUDENTS_QST{$index}{answer} ne"") {
					print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize:none\;\" name=\"sa$question_to_display\" maxlength=\"70\" value=\"$STUDENTS_QST{$index}{answer}\"></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'sa$question_to_display\'\)\"></TD></TR></TABLE>\n";
					$questions_answered = "$questions_answered ".","."$index";
					}
								
				else {
			                print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" value=\"\" style=\"resize:none\;\" name=\"sa$question_to_display\" maxlength=\"70\" ></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'sa$question_to_display\'\)\"></TD></TR></TABLE>\n";
					}
			       	}
			                       		
			elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"P") {
				if (defined $STUDENTS_QST{$index}{answer} && $STUDENTS_QST{$index}{answer} ne"") {
			                 print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" value=\"\" style=\"resize:none\; overflow:auto\;\" cols=\"60\" name=\"p$question_to_display\" maxlength=\"700\">$STUDENTS_QST{$index}{answer}</textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$index\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'p$question_to_display\'\)\"></TD></TR></TABLE>\n";
					$questions_answered = "$questions_answered ".","."$index";
					}
												
				else {
			                 print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" value=\"\" style=\"resize:none\; overflow:auto\;\" cols=\"60\" name=\"p$question_to_display\" maxlength=\"700\"></textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$index\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'p$question_to_display\'\)\"></TD></TR></TABLE>\n";
					}
			       	}
				
			 elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"MC") {
				&mc_display_answers_qst_resume("number","$question_to_display","kolum","$QUESTION_TO_DISPLAY{$question_to_display}{kolum}","index","$index","type","$QUESTION_TO_DISPLAY{$question_to_display}{type}","branch","$QUESTION_TO_DISPLAY{$question_to_display}{branch}","ans_mode","$QUESTION_TO_DISPLAY{$question_to_display}{ans_mode}","shuffle_ans","$QUESTION_TO_DISPLAY{$question_to_display}{shuffle_ans}","their_answer","$STUDENTS_QST{$index}{answer}");
			
				if($STUDENTS_QST{$index}{answer} ne "") {
					$questions_answered = "$questions_answered ".","."$index";
					}
				}
						
			elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"MX") { # Matching
			        my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$question_to_display\" AND c_answer = 0");
			                             
			        my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$question_to_display\" AND c_answer = 1");
			                                
			        my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$question_to_display\" AND qst=\"$qst\"");
			                                
			        my %ANSWERED = ();
			                                
			        my @myans = split(/\n/,$QUESTION_ANSWERED{$question_to_display});
							
				foreach my $piece(@myans) {
				        my @mxx = split(/=/,$piece);
				        $ANSWERED{$mxx[0]} = $mxx[1];
			                }
			
				if(keys %ANSWERED) {
					$questions_answered = "$questions_answered ".","."$index";
					}
								
				for (my $i = 1; $i <= $mx_num; $i++){ # FOR EACH ROW
					my $select = "select$i";
								
					if (defined $RETURN_MX_TEXT{$i}{answer}) {
				                print"<TABLE> <TR><TD width=\"50\"></TD>\n";
				                	                
				                print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\; overflow:auto\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"2\" cols=\"20\" readonly>
				                $RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD>\n";
				                                
				                print"<select name=\"$select\" id=\"$select\" onchange=\"enterMX($select)\">\n";
									
						my $selected = 0;
						my $chosen_ans = 0;
									
						foreach my $ans(keys %RETURN_MX_MATCHING) { # FOR EACH SELECTION
							my $pass = "$index".","."$question_to_display".","."$RETURN_MX_MATCHING{$ans}{answer}".","."$select";
			
							if(defined $ANSWERED{$i}) { 
								if($ANSWERED{$i} eq $RETURN_MX_MATCHING{$ans}{answer}) {
									print"<option value=\"$pass\" selected> $ANSWERED{$i}</option>";
									$selected = 1;
									$chosen_ans = $ans;
									}
								else {
									print"<option value=\"$pass\"> $RETURN_MX_MATCHING{$ans}{answer} </option>\n";
									}
								}
											
							else {
								print"<option value=\"$pass\"> $RETURN_MX_MATCHING{$ans}{answer} </option>\n";
								}
							}								
									        
			       			if($selected == 0) {
							print"<option value=\"\" selected></option>";
							}
			
				                print"</select></TD></TR></TABLE>\n";
						}
					}
			        }
			                                
			   elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"MA") {
				my $correct_answer;
				my $fake_question_to_display = "m"."$question_to_display";
			                                
			        # the answers they entered in                                        
			        &resume_ma_display_answers_qst("index","$index","type","$QUESTION_TO_DISPLAY{$question_to_display}{type}","kolum","","shuffle_ans","","their_answer","$STUDENTS_QST{$index}{answer}","number","$question_to_display","ans_mode","$QUESTION_TO_DISPLAY{$question_to_display}{ans_mode}");
			                                
			        if($STUDENTS_QST{$index}{answer} ne "") {
					$questions_answered = "$questions_answered ".","."$index";
					}
				}
			                                                        
                        if($QUESTIONS{$question_to_display}{mode} == 2) {
               	                 &print_eq();
                                 }
						
                  	print "</FORM>\n";


           		my $minutes_remaining = &get_minutes_remaining("last_time","$last_time","end","$ATTEMPTS{$qst}{end}","last_day","$last_day");

  			&print_form("form_name","form2","form_target","right_bot","input","resume_qst_side2","class_name","$DT{class_name}","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$ids","session_id","$DT{session_id}","qst_time","$minutes_remaining","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name","attempt","$attempt");
  			&print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}");
			&print_form("form_name","form5","answered","$questions_answered","last_time","$last_time");

			&print_form("form_name","next_quest","input","resume_next_question2","order","","qst","$qst","class_id","$class_id","lquests","","quest_no","","u_id","$ids","session_id","$DT{session_id}","attempt","$attempt");
                        
                        
			print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
			}
		else {
			print "<center><P><img src=\"/schools/x.gif\"><B> $LANGUAGE{$set_language}{NotallowedtoresumethisQST}</b></center><P> \n";
			}
		}
	else {
		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input. </b></center><P> \n";
            	}
	}
	
###############
#
# MODAL2_DO_TYPE2
#
###############
sub modal2_do_type2{
	my %DT = @_;

	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $type;
	my $submissions;
	my $results; 
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %QUESTIONS = ();
	my $index_to_quest_no;

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	# check whether in class, if posted, attempts, if qst is for class
	if(exists $USER{$ids}{$class_id}) {
		my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");
		                
		if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) {
			my %ACCESS = ();
			$attempts = "$POSTED_QST{$qst}{attempts}";
			$forall = "$POSTED_QST{$qst}{forall}";
			$submissions = "$POSTED_QST{$qst}{submissions}";
			my $rhm = "$POSTED_QST{$qst}{rhm}";
			
			if($forall == 0) {
				%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				}
				
			my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
			$type = "$QST_INFO{$qst}{type}";

			#check attempts, in progress
			my %ATTEMPTS = &select4("query","SELECT u_id,attempts from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			$attempt = "$ATTEMPTS{$ids}";
			
			my $current_attempt = $attempt + 1;

			if(keys %QST_INFO && $attempt < $attempts) {
				if($POSTED_QST{$qst}{rhm} == 1) { # record mark
				
					}
				else { 
					# clean out previous attempts
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					}

				my $query = "SELECT * from questions WHERE ";
				$questions = "$QST_INFO{$qst}{questions}";
				$marks = "$QST_INFO{$qst}{marks}";
				$name = "$QST_INFO{$qst}{name}";
								
				my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND org_id=\"$DT{org_id}\"");
                                        
				my $i = 1;
				my %QUESTIONS_IN_QUIZ = ();
				
                                my %TIMEZONE = ();
                                my $org_time1;
                                my $adjusted_time;
                                my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$DT{org_id}\"};
                                my $sth = $dbh->prepare($queryt);
                                $sth->execute();
                                while(my @row = $sth->fetchrow_array()) {
                                        $TIMEZONE{$row[0]}= "$row[1]";
                                        $adjusted_time = "$row[1]";
                                        }

                                if($adjusted_time != 0) {
                                        $org_time1 = "$adjusted_time" * 3600;
                                        }
                                else {
                                        $org_time1 = 0; 
                                        }
                

                                #time with time zone included
                                my $time1 = time + "$org_time1";
                                my %TIME = &get_time_to_display("time","$time1");
                                my $student_start_time;
                                
                                if( $TIME{time}{hour} < 13) {
                                        $student_start_time = "$TIME{time}{hour}".":"."$TIME{time}{minute}"." "."am";
                                        }
                                else {
                                        $student_start_time = "$TIME_SHOW{$TIME{time}{hour}}".":"."$TIME{time}{minute}"." "."pm";
                                        }

                                
                                if(keys %QST_QUESTIONS) {
                                        my %RE_ORDERED_QUESTIONS = ();
                                        my @quest;
                                        
                                        if($POSTED_QST{$qst}{shuffle} == 1) { # shuffle the questions
                                                my %OLD_ORDER = ();
                                                my %SHUFFLE_ORDER = ();
                                                my %REV_ORDER = ();
                                                my $i = 1;
                                                my $w = 0;
                                                foreach my $ke(keys %QST_QUESTIONS) {
                                                        $OLD_ORDER{$QST_QUESTIONS{$ke}{order}} = $ke;
                                                        $REV_ORDER{$ke} = $QST_QUESTIONS{$ke}{order};
                                                        ++$w;
                                                        }

                                                for(my $ii = 1; $ii <= $w; $ii++) { 
                                                        my $random_value = $OLD_ORDER{(keys %OLD_ORDER)[rand keys %OLD_ORDER]};
                                                        $RE_ORDERED_QUESTIONS{$i} = $random_value;
                                                        delete $OLD_ORDER{"$REV_ORDER{$random_value}"};
                                                        ++$i;
                                                        }
                                                }
				
                                        else { # No Question Shuffle
                                                my %Q_ORDER = ();
                                                
                                                #See if random question group
                                                foreach my $kwest_no(keys %QST_QUESTIONS) {
                                                        if($QST_QUESTIONS{$kwest_no}{q_select} > 0) { #Random question
                                                                my $start_num = $QST_QUESTIONS{$kwest_no}{order};
                                                                $Q_ORDER{$start_num}{quest}{$kwest_no} = $kwest_no;
                                                                $Q_ORDER{$start_num}{how_many} = $QST_QUESTIONS{$kwest_no}{q_select};
                                                                }
                                                        else { # normal question
                                                                $Q_ORDER{$QST_QUESTIONS{$kwest_no}{order}}{quest} = $kwest_no;
                                                                }
                                                        }
                                                
                                                # RE-ORDER the questions with randomly selected questione included
                                                if(keys %Q_ORDER) {
                                                        my $new_index = 1;
                                                        foreach my $ord(sort {$a<=>$b} keys %Q_ORDER) {
                                                                if($Q_ORDER{$ord}{how_many} > 0) {
                                                                        my %RAND_QUESTIONS = ();
    
                                                                        foreach my $nom(keys %{$Q_ORDER{$ord}{quest}}) {
                                                                                $RAND_QUESTIONS{$nom} = $nom;
                                                                                }
                                                                                
                                                                        for (my $i = 1; $i <= $Q_ORDER{$ord}{how_many}; $i++){ # randomly choose the questions
                                                                                my $chosen_question = &get_random_hash(%RAND_QUESTIONS);
                                        
                                                                                delete($RAND_QUESTIONS{$chosen_question});
                                                                                $RE_ORDERED_QUESTIONS{$new_index} = $chosen_question;
                                                                                ++$new_index;
                                                                                }
                                                                        }
                                                                else {
                                                                        $RE_ORDERED_QUESTIONS{$new_index} = $Q_ORDER{$ord}{quest};
                                                                        ++$new_index;
                                                                        }
                                                                }
                                                
                                                        }
                                                
                                                }
                                                
                                                
                                        # to get the list of question to query for;
                                        my $list_of_questions;
                                        
     					foreach my $kkey(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                $list_of_questions= "$list_of_questions".","."$RE_ORDERED_QUESTIONS{$kkey}";
                                                
						if($i == 1) {
							$query = "$query"." "."number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							++$i;
							}
						else {
							$query = "$query"." "." OR number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							}
						}

                                        $list_of_questions =~ s/^\,//;

                                
					%QUESTIONS = &select_questions("query","$query");
					
					
                                ##### Print the page #########################
                                    
					&print_javascript_begin();
					
					&modal2_print_javascript_enterMX();
					
					&modal2_print_javascript_activated_this();

					print"function load_handler() \{
					document.form2.submit()
			  	      	\}\n";

                                        print"function Show_Next\(quest,order,quests\) \{
                                        document.next_quest.quest_no.value=quest
                                        document.next_quest.order.value=order
                                        document.next_quest.lquests.value=quests
					document.next_quest.submit\(\)
			  	      	\}\n";
			  	      	
       		   	  		print"function sub_mit\(\) \{\n";
					print"document.q_form.submit\(\)\n";
		      			if ($type == 2) {
						print"self.parent.m2right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
						print"self.parent.m2right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
						}
		   	   		print"\}\n";

		      			&print_javascript_end();
                                        
                                        &print_form_wo_end_tag("form_name","q_form","input","modal2_mark_type2","class_name","$DT{class_name}","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$DT{u_id}","session_id","$DT{session_id}");
                                        
					my $index = 1;
					my $printed = 0;
     					foreach my $key(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                my $quest = $RE_ORDERED_QUESTIONS{$key};
                                                $QUESTIONS_IN_QUIZ{$index} = "$quest";

                                                $index_to_quest_no = "$index_to_quest_no"."$index"."="."$quest"."-"."$QUESTIONS{$quest}{type}"."-"."$QUESTIONS{$quest}{value}".",";
                                                                
                                                if($index == 1 && $printed == 0) {
                                                        my $question_rows = 1;
 		
                                                        # fix display to show new lines in text of question
                                                        my $content = $QUESTIONS{$quest}{question};
                                                        $content =~ s/\r[\n]*/\n/gm;
                                                        my @number_of_newlines = split(/\n/,$content);
                                                        my $new_lines = @number_of_newlines;
                                                        $question_rows = $question_rows + $new_lines;
                                                                        
                                                        shift(@quest);
                                                                        
                                                        my $next_quest = shift(@quest);
                                                                        
                                                        print"<center><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$next_quest','1','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B></center>\n";
                                                                        
                                                        print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
										
                                                        &print_out_question("question","$QUESTIONS{$quest}{question}","value","$QST_QUESTIONS{$quest}{value}","image_id","$QUESTIONS{$quest}{image_id}","pdf","$QUESTIONS{$quest}{pdf}","vlink","$QUESTIONS{$quest}{vlink}","alink","$QUESTIONS{$quest}{alink}","type","$QUESTIONS{$quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$quest}{mode}");
										
                                                        &print_out_question_answers("quest","$quest","index","$index","type","$QUESTIONS{$quest}{type}","key","$key","kolum","$QUESTIONS{$quest}{kolum}","ans_mode","$QUESTIONS{$quest}{ans_mode}","shuffle_ans","$POSTED_QST{$qst}{shuffle_ans}");
                                                        ++$index;
                                                        $printed = 1;
                                                        
                                                        if($QUESTIONS{$quest}{mode} == 2) {
                                                                &print_eq();
                                                                }
                                                        }
                                                else {
                                                        ++$index;
                                                        }
						}
						
                  			print "<center></FORM></center> \n";

  					&print_form("form_name","form2","form_target","m2right_bot","input","modal2_qst_side2","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$DT{u_id}","session_id","$DT{session_id}","qst_time","$POSTED_QST{$qst}{qtime}","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name","attempt","$current_attempt");
  					&print_form("form_name","form3","form_target","_top","input","show_modal_qsts_for_students","class_id","$class_id","name","$DT{class_name}","u_id","$DT{u_id}","session_id","$DT{session_id}");
  					&print_form("form_name","form4","form_target","m2right_top","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}");
						
                                        &print_form("form_name","next_quest","input","modal_next_question2","order","","quest_no","","real_quest_no","","qst","$qst","class_id","$class_id","qtype","$DT{type}","type","","lquests","","u_id","$DT{u_id}","session_id","$DT{session_id}","attempt","$current_attempt");
                                        
					print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
	                  		}
	                  		
				++$attempt;
                                my $end_time = time;
				my $cal_time = $POSTED_QST{$qst}{qtime} * 60;
				$end_time = $end_time + $cal_time;
				
				&update_general("query","UPDATE qst_attempts SET attempts=\"$attempt\",start_time=\"$TIME{time}{hour_minute}\",start_day=\"$TIME{time}{day}\",start_month=\"$TIME{time}{month}\",finish_time=\"0\",finish_day=\"0\",finish_month=\"0\",end=\"$end_time\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

				#add to qsts all the questions for the qst for that attempt for the user
				foreach my $keyyy(keys %QUESTIONS_IN_QUIZ) {

					if($QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /SA/ ||  $QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /P/) {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					else {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					}
				}
			}
		}
      else {
            print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
            }
	}
	

###############
#
# DO_TYPE3
#
###############
sub do_type3{
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $class_name = $DT{class_name};
	my $type;
	my $submissions;
	my $results; 
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %QUESTIONS = ();
	my $index_to_quest_no;
	my $show_eq = 1;

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	# check whether in class, if posted, attempts, if qst is for class
	if(exists $USER{$ids}{$class_id}) {
		my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");
		                
		if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) {
			my %ACCESS = ();
			$attempts = "$POSTED_QST{$qst}{attempts}";
			$forall = "$POSTED_QST{$qst}{forall}";
			$submissions = "$POSTED_QST{$qst}{submissions}";
			my $rhm = "$POSTED_QST{$qst}{rhm}";
			my $resume;
			
			if($forall == 0) {
				%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				}
				
			my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
			$type = "$POSTED_QST{type}";
			
			#check attempts, in progress
			my %ATTEMPTS = &select_qst_attempts_user("query","SELECT u_id,attempts,resume from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			
			if(keys %ATTEMPTS) {
				$attempt = "$ATTEMPTS{$ids}{attempts}";
				$resume = "$ATTEMPTS{$ids}{resume}";
				}
			
			else {
				$attempt = 0;
				$resume = 0;
				}
			
			my $current_attempt = $attempt + 1;

			my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
			$type = "$QST_TYPE{$qst}";

			# FIRST ATTEMPT AND ALL SUBSEQUENT ATTEMPTS NO RESUME
			if(keys %QST_INFO && $attempt < $attempts && $resume == 0) {
				if($POSTED_QST{$qst}{rhm} == 1) { # record mark
				
					}
				else { 
					# clean out previous attempts
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					}

				my $query = "SELECT * from questions WHERE ";
				$questions = "$QST_INFO{$qst}{questions}";
				$marks = "$QST_INFO{$qst}{marks}";
				$name = "$QST_INFO{$qst}{name}";
								
				my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND org_id=\"$DT{org_id}\"");
                                        
				my $i = 1;
				my %QUESTIONS_IN_QUIZ = ();
				
                                my %TIMEZONE = ();
                                my $org_time1;
                                my $adjusted_time;
                                my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$DT{org_id}\"};
                                my $sth = $dbh->prepare($queryt);
                                $sth->execute();
                                while(my @row = $sth->fetchrow_array()) {
                                        $TIMEZONE{$row[0]}= "$row[1]";
                                        $adjusted_time = "$row[1]";
                                        }

                                if($adjusted_time != 0) {
                                        $org_time1 = "$adjusted_time" * 3600;
                                        }
                                else {
                                        $org_time1 = 0; 
                                        }
                

                                #time with time zone included
                                my $time1 = time + "$org_time1";
                                my %TIME = &get_time_to_display("time","$time1");
                                my $student_start_time;
                                
                                if( $TIME{time}{hour} < 13) {
                                        $student_start_time = "$TIME{time}{hour}".":"."$TIME{time}{minute}"." "."am";
                                        }
                                else {
                                        $student_start_time = "$TIME_SHOW{$TIME{time}{hour}}".":"."$TIME{time}{minute}"." "."pm";
                                        }

                                 
                                 my @order;

                                 if(keys %QST_QUESTIONS) {
                                        my %RE_ORDERED_QUESTIONS = ();
                                        my @quest;
                                        
                                        if($POSTED_QST{$qst}{shuffle} == 1) { # shuffle the questions
                                                my %OLD_ORDER = ();
                                                my %SHUFFLE_ORDER = ();
                                                my %REV_ORDER = ();
                                                my $i = 1;
                                                my $w = 0;
                                                foreach my $ke(keys %QST_QUESTIONS) {
                                                        $OLD_ORDER{$QST_QUESTIONS{$ke}{order}} = $ke;
                                                        $REV_ORDER{$ke} = $QST_QUESTIONS{$ke}{order};
                                                        ++$w;
                                                        }

                                                for(my $ii = 1; $ii <= $w; $ii++) { 
                                                        my $random_value = $OLD_ORDER{(keys %OLD_ORDER)[rand keys %OLD_ORDER]};
                                                        $RE_ORDERED_QUESTIONS{$i} = $random_value;
                                                        delete $OLD_ORDER{"$REV_ORDER{$random_value}"};
                                                        ++$i;
                                                        }
                                                }
				
                                        else { # No Question Shuffle
                                                my %Q_ORDER = ();
                                                
                                                #See if random question group
                                                foreach my $kwest_no(keys %QST_QUESTIONS) {
                                                        if($QST_QUESTIONS{$kwest_no}{q_select} > 0) { #Random question
                                                                my $start_num = $QST_QUESTIONS{$kwest_no}{order};
                                                                $Q_ORDER{$start_num}{quest}{$kwest_no} = $kwest_no;
                                                                $Q_ORDER{$start_num}{how_many} = $QST_QUESTIONS{$kwest_no}{q_select};
                                                                }
                                                        else { # normal question
                                                                $Q_ORDER{$QST_QUESTIONS{$kwest_no}{order}}{quest} = $kwest_no;
                                                                }
                                                        }
                                                
                                                # RE-ORDER the questions with randomly selected questions included
                                                if(keys %Q_ORDER) {
                                                        my $new_index = 1;
                                                        foreach my $ord(sort {$a<=>$b} keys %Q_ORDER) {
                                                                if($Q_ORDER{$ord}{how_many} > 0) {
                                                                        my %RAND_QUESTIONS = ();
    
                                                                        foreach my $nom(keys %{$Q_ORDER{$ord}{quest}}) {
                                                                                $RAND_QUESTIONS{$nom} = $nom;
                                                                                }
                                                                                
                                                                        for (my $i = 1; $i <= $Q_ORDER{$ord}{how_many}; $i++){ # randomly choose the questions
                                                                                my $chosen_question = &get_random_hash(%RAND_QUESTIONS);
                                        
                                                                                delete($RAND_QUESTIONS{$chosen_question});
                                                                                $RE_ORDERED_QUESTIONS{$new_index} = $chosen_question;
                                                                                ++$new_index;
                                                                                }
                                                                        }
                                                                else {
                                                                        $RE_ORDERED_QUESTIONS{$new_index} = $Q_ORDER{$ord}{quest};
                                                                        ++$new_index;
                                                                        }
                                                                }
                                                
                                                        }
                                                
                                                }
                                                
                                                
                                        # to get the list of question to query for;
                                        my $list_of_questions;
                                        my %ORDER_QUEST = ();
                                        
     					foreach my $kkey(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
     						$ORDER_QUEST{$kkey} = $RE_ORDERED_QUESTIONS{$kkey};
                                                $list_of_questions= "$list_of_questions".","."$RE_ORDERED_QUESTIONS{$kkey}";
                                                
						if($i == 1) {
							$query = "$query"." "."number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							++$i;
							}
						else {
							$query = "$query"." "." OR number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							}
						}

                                        $list_of_questions =~ s/^\,//;					
					
					%QUESTIONS = &select_questions("query","$query");
					
					
                                ######## Print the page
                                
					&print_javascript_begin();
					
					&print_javascript_enterMX();
					
					&print_javascript_activated_this();

					print"function load_handler() \{
					document.form2.submit() \}\n";

                                        print"function Show_Next\(quest,order,quests\) \{
                                        document.next_quest.quest_no.value=quest
                                        document.next_quest.order.value=order
                                        document.next_quest.lquests.value=quests
					document.next_quest.submit\(\)
			  	      	\}\n";
			  	      	
       		   	  		print"function sub_mit\(\) \{\n";
					print"document.q_form.submit\(\)\n";
		      			if ($type == 2) {
						print"self.parent.right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
						print"self.parent.right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
						}
		   	   		print"\}\n";

		      			&print_javascript_end();
		      			
                  			print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><center><B><i><font style=\"font-size:18pt\; font-family:Arial\;\" color=\"white\"> $name </font></i></b></center></TD>";
		      			
                  			if ($type == 2) { #survey
                  				print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"  color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions </font></TD></TR>\n";
						}
						
					else { # quizzes/tests
                                                print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"    color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions  &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Marks}\: $marks </TD></TR>\n";
						} 
                                        
                                        print"</TABLE><BR>\n";
                                        
                                        &print_form_wo_end_tag("form_name","q_form","input","mark_type","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$DT{u_id}","session_id","$DT{session_id}");
                                        
					my $index = 1;
					my $printed = 0;

     					foreach my $key(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                my $quest = $RE_ORDERED_QUESTIONS{$key};
                                                
                                                $QUESTIONS_IN_QUIZ{$index} = "$quest";

                                                $index_to_quest_no = "$index_to_quest_no"."$index"."="."$quest"."-"."$QUESTIONS{$quest}{type}"."-"."$QUESTIONS{$quest}{value}".",";
                                                
                                                if($QUESTIONS{$quest}{mode} == 2  || $QUESTIONS{$quest}{ans_mode} == 2) {
                                                        $show_eq = 2;
                                                        }
                                                                
                                                if($index == 1 && $printed == 0) {
                                                        my $question_rows = 1;
                                                        
                                                        #check to see if already answered
 		                			my %ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$DT{u_id}\" and quest_no=\"$quest\" and attempt=\"$DT{attempt}\" and qst=\"$DT{qst}\"");

							if($ALREADY_ANSWERED{$quest} ne"") {
#							print"UUUUUU<BR>\n";
								}
							else {	
								
                                                        # fix display to show new lines in text of question
                                                        my $content = $QUESTIONS{$quest}{question};
                                                        $content =~ s/\r[\n]*/\n/gm;
                                                        my @number_of_newlines = split(/\n/,$content);
                                                        my $new_lines = @number_of_newlines;
                                                        $question_rows = $question_rows + $new_lines;
                                                                        
                                                        my $next_quest = $RE_ORDERED_QUESTIONS{2};;
                                                                        
                                                        print"<center><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$next_quest','1','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B></center>\n";
                                                        
                                                        print"<TABLE oncontextmenu = \"return false\"><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
										
                                                        &print_out_question("question","$QUESTIONS{$quest}{question}","value","$QST_QUESTIONS{$quest}{value}","image_id","$QUESTIONS{$quest}{image_id}","pdf","$QUESTIONS{$quest}{pdf}","vlink","$QUESTIONS{$quest}{vlink}","alink","$QUESTIONS{$quest}{alink}","type","$QUESTIONS{$quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$quest}{mode}");
										
                                                        &print_out_question_answers("quest","$quest","index","$index","type","$QUESTIONS{$quest}{type}","key","$key","kolum","$QUESTIONS{$quest}{kolum}","ans_mode","$QUESTIONS{$quest}{ans_mode}","shuffle_ans","$POSTED_QST{$qst}{shuffle_ans}");
                                                        	}
                                                        ++$index;
                                                        $printed = 1;
                                                        }
                                                else {
                                                        ++$index;
                                                        }
						}
						
                                        if($show_eq == 2) {
                                                &print_eq();
                                                }
                  			print "<center></FORM></center> \n";

                      #                  &print_form("form_name","form2","form_target","right_bot","input","qst_side3","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$DT{u_id}","session_id","$DT{session_id}","qst_time","$POSTED_QST{$qst}{qtime}","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name","attempt","$current_attempt");
  					&print_form("form_name","form2","form_target","right_bot","input","qst_side3","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","u_id","$DT{u_id}","session_id","$DT{session_id}","qst_time","$POSTED_QST{$qst}{qtime}","delivery","$POSTED_QST{$qst}{delivery}","qst_name","$name","attempt","$current_attempt");
  					
  					&print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}");
						
                                        &print_form("form_name","next_quest","input","next_question3","order","","quest_no","","real_quest_no","","prev_quest_no","$ORDER_QUEST{1}","qst","$qst","class_name","$class_name","class_id","$class_id","qtype","$DT{type}","type","","lquests","","u_id","$DT{u_id}","session_id","$DT{session_id}","attempt","$current_attempt");
                                        
					print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
	                  		}
	                  		
				++$attempt;
                                my $end_time = time;
				my $cal_time = $POSTED_QST{$qst}{qtime} * 60;
				$end_time = $end_time + $cal_time;
				
				if(keys %ATTEMPTS) {
					&update_general("query","UPDATE qst_attempts SET attempts=\"$attempt\",start_time=\"$TIME{time}{hour_minute}\",start_day=\"$TIME{time}{day}\",start_month=\"$TIME{time}{month}\",finish_time=\"0\",finish_day=\"0\",finish_month=\"0\",end=\"$end_time\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
					}
									
				else { # FIRST ATTEMPT
					&insert_qst_attempts("attempts","$current_attempt","start_time","$TIME{time}{hour_minute}","start_day","$TIME{time}{day}","start_month","$TIME{time}{month}","finish_time","0","finish_day","0","finish_month","0","end","$end_time","qst_no","$qst","u_id","$ids","resume","0");
					}

				#add to qsts all the questions for the qst for that attempt for the user
				foreach my $keyyy(keys %QUESTIONS_IN_QUIZ) {

					if($QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /SA/ ||  $QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /P/) {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					else {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					}
				}
				
			#### RESUME THEIR QST
			elsif(keys %QST_INFO && $attempt == 1 && $resume == 1) { # RESUME THEIR QST
				
				&print_do_type3_resume_qst("qst","$qst","session_id","$DT{session_id}","class_id","$DT{class_id}");
							
				#UPDATE QST_ATTEMPTS SO IT CANNOT BE ATTEMPTED AGAIN WITHOUT A RESUME
				&update_general("query","UPDATE qst_attempts SET resume=\"0\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				}
			else {
				print"<center><B>$LANGUAGE{$set_language}{YoucannotaccessthisQST}</B></center>\n";
				}
			}
		}
      else {
            print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
            }
	}

###############
#
# PRINT_DO_TYPE3_RESUME_QST
#
###############
sub print_do_type3_resume_qst{
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $class_name = $DT{class_name};
	my $type;
	my $submissions;
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %QUESTIONS = ();
	my $index_to_quest_no;
	my $show_eq = 1;

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");
		                
	if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) {
		my %ACCESS = ();
		$attempts = "$POSTED_QST{$qst}{attempts}";
		$forall = "$POSTED_QST{$qst}{forall}";
		$submissions = "$POSTED_QST{$qst}{submissions}";
		my $rhm = "$POSTED_QST{$qst}{rhm}";
		my $qtime = $POSTED_QST{$qst}{qtime};
		my $resume;
			
		if($forall == 0) {
			%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
				
		my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
		$type = "$POSTED_QST{type}";
			
		my %STARTED_SUBMITTED = &select_started_submitted("qst_no","$qst","u_id","$ids");
		my $start_time = $STARTED_SUBMITTED{$ids}{start_time};

		#check attempts, in progress
		my %ATTEMPTS = &select_qst_attempts_info("query","SELECT qst_no,attempts,end,resume from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

		$attempt = "$ATTEMPTS{$qst}{attempts}";
		$resume = "$ATTEMPTS{$qst}{resume}";			
			
		my $current_attempt = $attempt + 1;

		my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
		$type = "$QST_TYPE{$qst}";

		if(keys %QST_INFO && $attempt == 1 && $resume == 1) {
			my $index;
			my @order;
			my $next_quest;
			my $lquests;
			my %QUESTION_ORDER = ();
			$questions = "$QST_INFO{$qst}{questions}";
			$marks = "$QST_INFO{$qst}{marks}";
			$name = "$QST_INFO{$qst}{name}";
				
			# get students saved qst
			my %STUDENTS_QST = &select_users_qst("query","SELECT quest_no,answer,mark,marked,time_stamp,quest_order from qsts WHERE u_id=\"$ids\" AND qst=\"$qst\"");
				
			# GET ALL THE QUESTIONS
			my $query = "SELECT * from questions WHERE ";
								
			foreach my $order(sort keys %STUDENTS_QST) {	
				$query = "$query"." "."number=\"$STUDENTS_QST{$order}{quest_no}\" OR";
				}
								
			$query =~ s/ OR$//;
												
			my %QUESTIONS_IN_QST = &select_questions("query","$query");

				
			#GET THE NUMBER OF THE LAST QUESTION ANSWER SAVED TO DISPLAY IT
			my $last_time = 0;
			my $question_to_display;
			my $list_of_questions;
			my $last_month = 0;
			my $last_day = 0;
	
			foreach my $order(sort {$a<=>$b} keys %STUDENTS_QST) {	
				$QUESTION_ORDER{$STUDENTS_QST{$order}{quest_no}} = $order;
				$list_of_questions = "$list_of_questions".","."$STUDENTS_QST{$order}{quest_no}";
				$lquests = "$lquests".","."$order";
				$index_to_quest_no = "$index_to_quest_no"."$order=$STUDENTS_QST{$order}{quest_no}"."-"."$QUESTIONS_IN_QST{$STUDENTS_QST{$order}{quest_no}}{type}"."-"."$QUESTIONS_IN_QST{$STUDENTS_QST{$order}{quest_no}}{value}".",";

				if($STUDENTS_QST{$order}{time_stamp} > 0) {
					my @times = split(/-/,$STUDENTS_QST{$order}{time_stamp});
					$last_time = $times[2];
					$last_month = $times[0];
					$last_day = $times[1];
					$question_to_display = $STUDENTS_QST{$order}{quest_no};
					$index = $order;
					}								
				}

			$lquests =~ s/^,//;
			$list_of_questions =~ s/^,//;
				
			my @total = split(/$question_to_display/,$list_of_questions);
			$total[0] =~ s/,$//;
				
			$total[1] =~ s/^,//;
			my @after = split(/\,/,$total[1]);
			$next_quest = shift(@after);
				
			my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND quest_no=\"$question_to_display\" AND org_id=\"$DT{org_id}\"");

			my %QUESTION_TO_DISPLAY = &select_question("query","SELECT * from questions WHERE number=\"$question_to_display\"");
			
                        ######## Print the page
                                
			&print_javascript_begin();
					
			&print_javascript_enterMX();
					
			&print_javascript_activated_this();

			print"function load_handler() \{
			document.form2.submit() \}\n";

                        print"function Show_Next\(order,quest,quests\) \{
                        document.next_quest.quest_no.value=quest
                        document.next_quest.order.value=order
                        document.next_quest.lquests.value=quests
			document.next_quest.submit\(\)
		      	\}\n";
			  	      	
       		   	print"function sub_mit\(\) \{\n";
			print"document.q_form.submit\(\)\n";
		      	if ($type == 2) {
				print"self.parent.right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
				print"self.parent.right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
				}
		   	print"\}\n";

		      	&print_javascript_end();
		      			
                  	print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><center><B><i><font style=\"font-size:18pt\; font-family:Arial\;\" color=\"white\"> $name </font></i></b></center></TD>";
		      			
                  	if ($type == 2) { #survey
                  		print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"  color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions </font></TD></TR>\n";
				}
						
			else { # quizzes/tests
                                print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"    color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions  &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Marks}\: $marks </TD></TR>\n";
				} 
                                        
                        print"</TABLE><BR>\n";
                                        
                        &print_form_wo_end_tag("form_name","q_form","input","mark_type","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$ids}","session_id","$DT{session_id}");
                                                                                        
                        if($QUESTIONS{$question_to_display}{mode} == 2  || $QUESTIONS{$question_to_display}{ans_mode} == 2) {
                        	$show_eq = 2;
                                }
                                                                
                        if($index >= 1) {
                        	my $question_rows = 1;
 		
                                # fix display to show new lines in text of question
                                my $content = $QUESTIONS{$question_to_display}{question};
                                $content =~ s/\r[\n]*/\n/gm;
                                my @number_of_newlines = split(/\n/,$content);
                                my $new_lines = @number_of_newlines;
                                $question_rows = $question_rows + $new_lines;
                                                                        
				my $next = $index + 1;
				
                  	      	print"<center><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$next','$next_quest','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B></center>\n";
                                                                        
                  	      	print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
										
                  	      	&print_out_question("question","$QUESTION_TO_DISPLAY{$question_to_display}{question}","value","$QUESTION_TO_DISPLAY{$question_to_display}{value}","image_id","$QUESTION_TO_DISPLAY{$question_to_display}{image_id}","pdf","$QUESTION_TO_DISPLAY{$question_to_display}{pdf}","vlink","$QUESTION_TO_DISPLAY{$question_to_display}{vlink}","alink","$QUESTION_TO_DISPLAY{$question_to_display}{alink}","type","$QUESTION_TO_DISPLAY{$question_to_display}{type}","question_rows","$question_rows","mode","$QUESTION_TO_DISPLAY{$question_to_display}{mode}");
			
			
				#### PRINT THE STUDENTS ANSWER FOR THE QUESTION DISPLAYED
				if ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"TF") {
					print"<TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:text-top\;\"><label for=\"radio$index\">
				        <input type =\"radio\" style=\"vertical-align:text-top\" name =\"$question_to_display\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'T\'";
						                
				        if($QUESTION_TO_DISPLAY{branch} == 1) {
				        	print",\'b\'";
				                }
						                        
				        print"\)\" id=\"radio$index\"";
						                 
				        if($STUDENTS_QST{$index}{answer} eq "T") {
					 	print"checked";
				               	}
						                	
				        print"> $LANGUAGE{$set_language}{True} &nbsp\;</label> \n";
						                
				        print" <label for=\"radiox$index\"><input type =\"radio\" style=\"vertical-align:text-top\" name =\"$question_to_display\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'F\'";
						                
				        if($QUESTION_TO_DISPLAY{branch} == 1) {
				                print",\'b\'";
				                }
						                        
				        print"\)\" id=\"radiox$index\"";
						                
				        if($STUDENTS_QST{$index}{answer} eq "F") {
						print"checked";
				               	}
						                	
				        print"> $LANGUAGE{$set_language}{False}</label></TD></TR>\n";
				        }
				
				elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"YN") {
					print"<TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:text-top\;\"><label for=\"radio$index\">
				        <input type =\"radio\" style=\"vertical-align:text-top\" name =\"$question_to_display\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'Y\'";
						                
				        if($QUESTION_TO_DISPLAY{branch} == 1) {
				        	print",\'b\'";
				                }
						                        
				        print"\)\" id=\"radio$index\"";
						                 
				        if($STUDENTS_QST{$index}{answer} eq "Y") {
					 	print"checked";
				               	}
						                	
				        print"> $LANGUAGE{$set_language}{True} &nbsp\;</label> \n";
							                
				        print" <label for=\"radiox$index\"><input type =\"radio\" style=\"vertical-align:text-top\" name =\"$question_to_display\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'N\'";
						                
				        if($QUESTION_TO_DISPLAY{branch} == 1) {
				                print",\'b\'";
				                }
						                        
				        print"\)\" id=\"radiox$index\"";
						                
				        if($STUDENTS_QST{$index}{answer} eq "N") {
						print"checked";
				               	}
						                	
				        print"> $LANGUAGE{$set_language}{False}</label></TD></TR>\n";
				       	}
			                        	
				elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"SA") {
					if (defined $STUDENTS_QST{$index}{answer} && $STUDENTS_QST{$index}{answer} ne"") {
						print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize:none\;\" name=\"sa$question_to_display\" maxlength=\"70\" value=\"$STUDENTS_QST{$index}{answer}\"></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'sa$question_to_display\'\)\"></TD></TR></TABLE>\n";
						}
								
					else {
				                print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" value=\"\" style=\"resize:none\;\" name=\"sa$question_to_display\" maxlength=\"70\" ></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'sa$question_to_display\'\)\"></TD></TR></TABLE>\n";
						}
				       	}
			                       		
				elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"P") {
					if (defined $STUDENTS_QST{$index}{answer} && $STUDENTS_QST{$index}{answer} ne"") {
				                 print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" value=\"\" style=\"resize:none\; overflow:auto\;\" cols=\"60\" name=\"p$question_to_display\" maxlength=\"700\">$STUDENTS_QST{$index}{answer}</textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$index\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'p$question_to_display\'\)\"></TD></TR></TABLE>\n";
						}
												
					else {
				                 print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" value=\"\" style=\"resize:none\; overflow:auto\;\" cols=\"60\" name=\"p$question_to_display\" maxlength=\"700\"></textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$index\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'p$question_to_display\'\)\"></TD></TR></TABLE>\n";
						}
				       	}
				
				elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"MC") {
					&mc_display_answers_qst_resume("number","$question_to_display","kolum","$QUESTION_TO_DISPLAY{$question_to_display}{kolum}","index","$index","type","$QUESTION_TO_DISPLAY{$question_to_display}{type}","branch","$QUESTION_TO_DISPLAY{$question_to_display}{branch}","ans_mode","$QUESTION_TO_DISPLAY{$question_to_display}{ans_mode}","shuffle_ans","$QUESTION_TO_DISPLAY{$question_to_display}{shuffle_ans}","their_answer","$STUDENTS_QST{$index}{answer}");
			
					if($STUDENTS_QST{$index}{answer} ne "") {
						}
					}
						
				elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"MX") { # Matching
				        my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$question_to_display\" AND c_answer = 0");
				                             
				        my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$question_to_display\" AND c_answer = 1");
			                                
				        my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$question_to_display\" AND qst=\"$qst\"");
			                                
				        my %ANSWERED = ();
			                                
				        my @myans = split(/\n/,$QUESTION_ANSWERED{$question_to_display});
							
					foreach my $piece(@myans) {
					        my @mxx = split(/=/,$piece);
					        $ANSWERED{$mxx[0]} = $mxx[1];
				                }
											
					for (my $i = 1; $i <= $mx_num; $i++){ # FOR EACH ROW
						my $select = "select$i";
								
						if (defined $RETURN_MX_TEXT{$i}{answer}) {
					                print"<TABLE> <TR><TD width=\"50\"></TD>\n";
				                	                
					                print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\; overflow:auto\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"2\" cols=\"20\" readonly>
					                $RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD>\n";
				                                
					                print"<select name=\"$select\" id=\"$select\" onchange=\"enterMX($select)\">\n";
									
							my $selected = 0;
							my $chosen_ans = 0;
									
							foreach my $ans(keys %RETURN_MX_MATCHING) { # FOR EACH SELECTION
								my $pass = "$index".","."$question_to_display".","."$RETURN_MX_MATCHING{$ans}{answer}".","."$select";
			
								if(defined $ANSWERED{$i}) { 
									if($ANSWERED{$i} eq $RETURN_MX_MATCHING{$ans}{answer}) {
										print"<option value=\"$pass\" selected> $ANSWERED{$i}</option>";
										$selected = 1;
										$chosen_ans = $ans;
										}
									else {
										print"<option value=\"$pass\"> $RETURN_MX_MATCHING{$ans}{answer} </option>\n";
										}
									}
											
								else {
									print"<option value=\"$pass\"> $RETURN_MX_MATCHING{$ans}{answer} </option>\n";
									}
								}								
									        
				       			if($selected == 0) {
								print"<option value=\"\" selected></option>";
								}
			
					                print"</select></TD></TR></TABLE>\n";
							}
						}
				        }
			                                
				   elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"MA") {
					my $correct_answer;
					my $fake_question_to_display = "m"."$question_to_display";
			                                
				        # the answers they entered in                                        
				        &resume_ma_display_answers_qst("index","$index","type","$QUESTION_TO_DISPLAY{$question_to_display}{type}","kolum","","shuffle_ans","","their_answer","$STUDENTS_QST{$index}{answer}","number","$question_to_display","ans_mode","$QUESTION_TO_DISPLAY{$question_to_display}{ans_mode}");
					}   
						
				if($show_eq == 2) {
                  		      	&print_eq();
                  	              }
                  			
                  		print "<center></FORM></center> \n";

				my $minutes_remaining = &get_minutes_remaining("last_time","$last_time","end","$ATTEMPTS{$qst}{end}","last_day","$last_day");

                                &print_form("form_name","form2","form_target","right_bot","input","resume_qst_side3","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$ids","session_id","$DT{session_id}","qst_time","$minutes_remaining","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name");

  				&print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$ids}","session_id","$DT{session_id}");
						
                                &print_form("form_name","next_quest","input","resume_next_question3","order","","quest_no","","real_quest_no","","qst","$qst","class_name","$class_name","class_id","$class_id","qtype","$DT{type}","type","","lquests","","u_id","$ids","session_id","$DT{session_id}","attempt","$current_attempt");
                                        
				print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
				}
			}
		else {
           		 print "<center><P><img src=\"/schools/x.gif\"><B> $LANGUAGE{$set_language}{NotallowedtoresumethisQST}</b></center><P> \n";
           		 }
		}
	else {
            	print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
           	}
	}

###############
#
# MODAL3_DO_TYPE3
#
###############
sub modal3_do_type3{
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $type;
	my $submissions;
	my $results; 
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %QUESTIONS = ();
	my $index_to_quest_no;
	my $show_eq = 1;

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	# check whether in class, if posted, attempts, if qst is for class
	if(exists $USER{$ids}{$class_id}) {
		my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");
		                
		if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) {
			my %ACCESS = ();
			$attempts = "$POSTED_QST{$qst}{attempts}";
			$forall = "$POSTED_QST{$qst}{forall}";
			$submissions = "$POSTED_QST{$qst}{submissions}";
			my $rhm = "$POSTED_QST{$qst}{rhm}";
			
			if($forall == 0) {
				%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				}
				
			my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
			$type = "$POSTED_QST{type}";

			#check attempts, in progress
			my %ATTEMPTS = &select4("query","SELECT u_id,attempts from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			$attempt = "$ATTEMPTS{$ids}";
			
			my $current_attempt = $attempt + 1;

			my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
			$type = "$QST_TYPE{$qst}";

			if(keys %QST_INFO && $attempt < $attempts) {
				if($POSTED_QST{$qst}{rhm} == 1) { # record mark
				
					}
				else { 
					# clean out previous attempts
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					}

				my $query = "SELECT * from questions WHERE ";
				$questions = "$QST_INFO{$qst}{questions}";
				$marks = "$QST_INFO{$qst}{marks}";
				$name = "$QST_INFO{$qst}{name}";
								
				my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND org_id=\"$DT{org_id}\"");
                                        
				my $i = 1;
				my %QUESTIONS_IN_QUIZ = ();
				
                                my %TIMEZONE = ();
                                my $org_time1;
                                my $adjusted_time;
                                my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$DT{org_id}\"};
                                my $sth = $dbh->prepare($queryt);
                                $sth->execute();
                                while(my @row = $sth->fetchrow_array()) {
                                        $TIMEZONE{$row[0]}= "$row[1]";
                                        $adjusted_time = "$row[1]";
                                        }

                                if($adjusted_time != 0) {
                                        $org_time1 = "$adjusted_time" * 3600;
                                        }
                                else {
                                        $org_time1 = 0; 
                                        }
                

                                #time with time zone included
                                my $time1 = time + "$org_time1";
                                my %TIME = &get_time_to_display("time","$time1");
                                my $student_start_time;
                                
                                if( $TIME{time}{hour} < 13) {
                                        $student_start_time = "$TIME{time}{hour}".":"."$TIME{time}{minute}"." "."am";
                                        }
                                else {
                                        $student_start_time = "$TIME_SHOW{$TIME{time}{hour}}".":"."$TIME{time}{minute}"." "."pm";
                                        }

                                 
                                 my @order;

                                 if(keys %QST_QUESTIONS) {
                                        my %RE_ORDERED_QUESTIONS = ();
                                        my @quest;
                                        
                                        if($POSTED_QST{$qst}{shuffle} == 1) { # shuffle the questions
                                                my %OLD_ORDER = ();
                                                my %SHUFFLE_ORDER = ();
                                                my %REV_ORDER = ();
                                                my $i = 1;
                                                my $w = 0;
                                                foreach my $ke(keys %QST_QUESTIONS) {
                                                        $OLD_ORDER{$QST_QUESTIONS{$ke}{order}} = $ke;
                                                        $REV_ORDER{$ke} = $QST_QUESTIONS{$ke}{order};
                                                        ++$w;
                                                        }

                                                for(my $ii = 1; $ii <= $w; $ii++) { 
                                                        my $random_value = $OLD_ORDER{(keys %OLD_ORDER)[rand keys %OLD_ORDER]};
                                                        $RE_ORDERED_QUESTIONS{$i} = $random_value;
                                                        delete $OLD_ORDER{"$REV_ORDER{$random_value}"};
                                                        ++$i;
                                                        }
                                                }
				
                                        else { # No Question Shuffle
                                                my %Q_ORDER = ();
                                                
                                                #See if random question group
                                                foreach my $kwest_no(keys %QST_QUESTIONS) {
                                                        if($QST_QUESTIONS{$kwest_no}{q_select} > 0) { #Random question
                                                                my $start_num = $QST_QUESTIONS{$kwest_no}{order};
                                                                $Q_ORDER{$start_num}{quest}{$kwest_no} = $kwest_no;
                                                                $Q_ORDER{$start_num}{how_many} = $QST_QUESTIONS{$kwest_no}{q_select};
                                                                }
                                                        else { # normal question
                                                                $Q_ORDER{$QST_QUESTIONS{$kwest_no}{order}}{quest} = $kwest_no;
                                                                }
                                                        }
                                                
                                                # RE-ORDER the questions with randomly selected questions included
                                                if(keys %Q_ORDER) {
                                                        my $new_index = 1;
                                                        foreach my $ord(sort {$a<=>$b} keys %Q_ORDER) {
                                                                if($Q_ORDER{$ord}{how_many} > 0) {
                                                                        my %RAND_QUESTIONS = ();
    
                                                                        foreach my $nom(keys %{$Q_ORDER{$ord}{quest}}) {
                                                                                $RAND_QUESTIONS{$nom} = $nom;
                                                                                }
                                                                                
                                                                        for (my $i = 1; $i <= $Q_ORDER{$ord}{how_many}; $i++){ # randomly choose the questions
                                                                                my $chosen_question = &get_random_hash(%RAND_QUESTIONS);
                                        
                                                                                delete($RAND_QUESTIONS{$chosen_question});
                                                                                $RE_ORDERED_QUESTIONS{$new_index} = $chosen_question;
                                                                                ++$new_index;
                                                                                }
                                                                        }
                                                                else {
                                                                        $RE_ORDERED_QUESTIONS{$new_index} = $Q_ORDER{$ord}{quest};
                                                                        ++$new_index;
                                                                        }
                                                                }
                                                
                                                        }
                                                
                                                }
                                                
                                                
                                        # to get the list of question to query for;
                                        my $list_of_questions;
                                        
     					foreach my $kkey(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                $list_of_questions= "$list_of_questions".","."$RE_ORDERED_QUESTIONS{$kkey}";
                                                
						if($i == 1) {
							$query = "$query"." "."number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							++$i;
							}
						else {
							$query = "$query"." "." OR number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							}
						}

                                        $list_of_questions =~ s/^\,//;

					%QUESTIONS = &select_questions("query","$query");
					
					
                                ######## Print the page
                                
					&print_javascript_begin();
					
					&modal3_print_javascript_enterMX();
					
					&modal3_print_javascript_activated_this();

					print"function load_handler() \{
					document.form2.submit() \}\n";

                                        print"function Show_Next\(quest,order,quests\) \{
                                        document.next_quest.quest_no.value=quest
                                        document.next_quest.order.value=order
                                        document.next_quest.lquests.value=quests
					document.next_quest.submit\(\)
			  	      	\}\n";
			  	      	
       		   	  		print"function sub_mit\(\) \{\n";
					print"document.q_form.submit\(\)\n";
		      			if ($type == 2) {
						print"self.parent.m3right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
						print"self.parent.m3right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
						}
		   	   		print"\}\n";

		      			&print_javascript_end();
                                        
                                        &print_form_wo_end_tag("form_name","q_form","input","modal3_mark_type3","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$DT{u_id}","session_id","$DT{session_id}");
                                        
					my $index = 1;
					my $printed = 0;
     					foreach my $key(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                my $quest = $RE_ORDERED_QUESTIONS{$key};
                                                $QUESTIONS_IN_QUIZ{$index} = "$quest";

                                                $index_to_quest_no = "$index_to_quest_no"."$index"."="."$quest"."-"."$QUESTIONS{$quest}{type}"."-"."$QUESTIONS{$quest}{value}".",";
                                                
                                                if($QUESTIONS{$quest}{mode} == 2  || $QUESTIONS{$quest}{ans_mode} == 2) {
                                                        $show_eq = 2;
                                                        }
                                                                
                                                if($index == 1 && $printed == 0) {
                                                        my $question_rows = 1;
 		
                                                        # fix display to show new lines in text of question
                                                        my $content = $QUESTIONS{$quest}{question};
                                                        $content =~ s/\r[\n]*/\n/gm;
                                                        my @number_of_newlines = split(/\n/,$content);
                                                        my $new_lines = @number_of_newlines;
                                                        $question_rows = $question_rows + $new_lines;
                                                                        
                                                        my $next_quest = $RE_ORDERED_QUESTIONS{2};;
                                                                        
                                                        print"<center><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$next_quest','1','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B></center>\n";
                                                        
                                                        print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
										
                                                        &print_out_question("question","$QUESTIONS{$quest}{question}","value","$QST_QUESTIONS{$quest}{value}","image_id","$QUESTIONS{$quest}{image_id}","pdf","$QUESTIONS{$quest}{pdf}","vlink","$QUESTIONS{$quest}{vlink}","alink","$QUESTIONS{$quest}{alink}","type","$QUESTIONS{$quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$quest}{mode}");
										
                                                        &print_out_question_answers("quest","$quest","index","$index","type","$QUESTIONS{$quest}{type}","key","$key","kolum","$QUESTIONS{$quest}{kolum}","ans_mode","$QUESTIONS{$quest}{ans_mode}","shuffle_ans","$POSTED_QST{$qst}{shuffle_ans}");
                                                        ++$index;
                                                        $printed = 1;
                                                        }
                                                else {
                                                        ++$index;
                                                        }
						}
						
                                        if($show_eq == 2) {
                                                &print_eq();
                                                }
                                                
                  			print"<center></FORM></center> \n";

                                        &print_form("form_name","form2","form_target","m3right_bot","input","modal3_qst_side3","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$DT{u_id}","session_id","$DT{session_id}","qst_time","$POSTED_QST{$qst}{qtime}","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name","attempt","$current_attempt");
  					&print_form("form_name","form4","form_target","m3right_top","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}");
						
                                        &print_form("form_name","next_quest","input","modal_next_question3","order","","quest_no","","real_quest_no","","qst","$qst","class_id","$class_id","qtype","$DT{type}","type","","lquests","","u_id","$DT{u_id}","session_id","$DT{session_id}","attempt","$current_attempt");
                                        
					print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
	                  		}
	                  		
				++$attempt;
                                my $end_time = time;
				my $cal_time = $POSTED_QST{$qst}{qtime} * 60;
				$end_time = $end_time + $cal_time;
				
				&update_general("query","UPDATE qst_attempts SET attempts=\"$attempt\",start_time=\"$TIME{time}{hour_minute}\",start_day=\"$TIME{time}{day}\",start_month=\"$TIME{time}{month}\",finish_time=\"0\",finish_day=\"0\",finish_month=\"0\",end=\"$end_time\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

				#add to qsts all the questions for the qst for that attempt for the user
				foreach my $keyyy(keys %QUESTIONS_IN_QUIZ) {

					if($QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /SA/ ||  $QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /P/) {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					else {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					}
				}
			}
		}
      else {
            print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
            }
	}

###############
#
# DO_TYPE4
#
###############
sub do_type4{
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $class_name = $DT{class_name};
	my $type;
	my $submissions;
	my $results; 
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %QUESTIONS = ();
	my $index_to_quest_no;
	my $show_eq = 1;

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	# check whether in class, if posted, attempts, if qst is for class
	if(exists $USER{$ids}{$class_id}) {
		my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");
		                
		if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) {
			my %ACCESS = ();
			$attempts = "$POSTED_QST{$qst}{attempts}";
			$forall = "$POSTED_QST{$qst}{forall}";
			$submissions = "$POSTED_QST{$qst}{submissions}";
			my $rhm = "$POSTED_QST{$qst}{rhm}";
			my $resume;
			
			if($forall == 0) {
				%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				}
				
			my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
			$type = "$POSTED_QST{type}";

			#check attempts, in progress
			my %ATTEMPTS = &select_qst_attempts_user("query","SELECT u_id,attempts,resume from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			
			if(keys %ATTEMPTS) {
				$attempt = "$ATTEMPTS{$ids}{attempts}";
				$resume = "$ATTEMPTS{$ids}{resume}";
				}
						
			else {
				$attempt = 0;
				$resume = 0;
				}

			
			my $current_attempt = $attempt + 1;

			my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
			$type = "$QST_TYPE{$qst}";

			# FIRST ATTEMPT AND ALL SUBSEQUENT ATTEMPTS NO RESUME
			if(keys %QST_INFO && $attempt < $attempts && $resume == 0) {
				if($POSTED_QST{$qst}{rhm} == 1) { # record mark
				
					}
				else { 
					# clean out previous attempts
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					}

				my $query = "SELECT * from questions WHERE ";
				$questions = "$QST_INFO{$qst}{questions}";
				$marks = "$QST_INFO{$qst}{marks}";
				$name = "$QST_INFO{$qst}{name}";
								
				my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND org_id=\"$DT{org_id}\"");
                                        
				my $i = 1;
				my %QUESTIONS_IN_QUIZ = ();
				
                                my %TIMEZONE = ();
                                my $org_time1;
                                my $adjusted_time;
                                my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$DT{org_id}\"};
                                my $sth = $dbh->prepare($queryt);
                                $sth->execute();
                                while(my @row = $sth->fetchrow_array()) {
                                        $TIMEZONE{$row[0]}= "$row[1]";
                                        $adjusted_time = "$row[1]";
                                        }

                                if($adjusted_time != 0) {
                                        $org_time1 = "$adjusted_time" * 3600;
                                        }
                                else {
                                        $org_time1 = 0; 
                                        }
                

                                #time with time zone included
                                my $time1 = time + "$org_time1";
                                my %TIME = &get_time_to_display("time","$time1");
                                my $student_start_time;
                                
                                if( $TIME{time}{hour} < 13) {
                                        $student_start_time = "$TIME{time}{hour}".":"."$TIME{time}{minute}"." "."am";
                                        }
                                else {
                                        $student_start_time = "$TIME_SHOW{$TIME{time}{hour}}".":"."$TIME{time}{minute}"." "."pm";
                                        }

                                my @order;
                                
				if(keys %QST_QUESTIONS) {
                                        my %RE_ORDERED_QUESTIONS = ();
                                        my @quest;
                                        
                                        if($POSTED_QST{$qst}{shuffle} == 1) { # shuffle the questions
                                                my %OLD_ORDER = ();
                                                my %SHUFFLE_ORDER = ();
                                                my %REV_ORDER = ();
                                                my $i = 1;
                                                my $w = 0;
                                                foreach my $ke(keys %QST_QUESTIONS) {
                                                        $OLD_ORDER{$QST_QUESTIONS{$ke}{order}} = $ke;
                                                        $REV_ORDER{$ke} = $QST_QUESTIONS{$ke}{order};
                                                        ++$w;
                                                        }

                                                for(my $ii = 1; $ii <= $w; $ii++) { 
                                                        my $random_value = $OLD_ORDER{(keys %OLD_ORDER)[rand keys %OLD_ORDER]};
                                                        $RE_ORDERED_QUESTIONS{$i} = $random_value;
                                                        delete $OLD_ORDER{"$REV_ORDER{$random_value}"};
                                                        ++$i;
                                                        }
                                                }
				
                                        else { # No Question Shuffle
                                                my %Q_ORDER = ();
                                                
                                                #See if random question group
                                                foreach my $kwest_no(keys %QST_QUESTIONS) {
                                                        if($QST_QUESTIONS{$kwest_no}{q_select} > 0) { #Random question
                                                                my $start_num = $QST_QUESTIONS{$kwest_no}{order};
                                                                $Q_ORDER{$start_num}{quest}{$kwest_no} = $kwest_no;
                                                                $Q_ORDER{$start_num}{how_many} = $QST_QUESTIONS{$kwest_no}{q_select};
                                                                }
                                                        else { # normal question
                                                                $Q_ORDER{$QST_QUESTIONS{$kwest_no}{order}}{quest} = $kwest_no;
                                                                }
                                                        }
                                                
                                                # RE-ORDER the questions randomly selected questione included
                                                if(keys %Q_ORDER) {
                                                        my $new_index = 1;
                                                        foreach my $ord(sort {$a<=>$b} keys %Q_ORDER) {
                                                                if($Q_ORDER{$ord}{how_many} > 0) {
                                                                        my %RAND_QUESTIONS = ();
    
                                                                        foreach my $nom(keys %{$Q_ORDER{$ord}{quest}}) {
                                                                                $RAND_QUESTIONS{$nom} = $nom;
                                                                                }
                                                                                
                                                                        for (my $i = 1; $i <= $Q_ORDER{$ord}{how_many}; $i++){ # randomly choose the questions
                                                                                my $chosen_question = &get_random_hash(%RAND_QUESTIONS);
                                        
                                                                                delete($RAND_QUESTIONS{$chosen_question});
                                                                                $RE_ORDERED_QUESTIONS{$new_index} = $chosen_question;
                                                                                ++$new_index;
                                                                                }
                                                                        }
                                                                else {
                                                                        $RE_ORDERED_QUESTIONS{$new_index} = $Q_ORDER{$ord}{quest};
                                                                        ++$new_index;
                                                                        }
                                                                }
                                                
                                                        }
                                                
                                                }
                                                
                                                
                                        # to get the list of question to query for;
                                        my $list_of_questions;
                                        my %ORDER_QUEST = ();
                                        
     					foreach my $kkey(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
     						$ORDER_QUEST{$kkey} = $RE_ORDERED_QUESTIONS{$kkey};
                                                $list_of_questions= "$list_of_questions".","."$RE_ORDERED_QUESTIONS{$kkey}";
                                                
						if($i == 1) {
							$query = "$query"." "."number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							++$i;
							}
						else {
							$query = "$query"." "." OR number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							}
						}

                                        $list_of_questions =~ s/^\,//;

					%QUESTIONS = &select_questions("query","$query");
					
					
                                ######## Begin printing page
					&print_javascript_begin();
					
					&print_javascript_enterMX();
					
					&print_javascript_activated_this();

					print"function load_handler() \{
					document.form2.submit() \}\n";
					
                                        print"function Show_Next\(quest,order,quests\) \{
                                        document.next_quest.quest_no.value=quest
                                        document.next_quest.order.value=order
                                        document.next_quest.lquests.value=quests
					document.next_quest.submit\(\)
			  	      	\}\n";
			  	      	
       		   	  		print"function sub_mit\(\) \{\n";
					print"document.q_form.submit\(\)\n";
		      			if ($type == 2) {
						print"self.top.right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
						print"self.top.right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
						}
		   	   		print"\}\n";

		      			&print_javascript_end();

		      			print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><center><B><i><font style=\"font-size:18pt\; font-family:Arial\;\" color=\"white\"> $name </font></i></b></center></TD>";
		      			
                  			if ($type == 2) { #survey
                  				print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"  color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions </font></TD></TR>\n";
						}
						
					else { # quizzes/tests
                                                print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"    color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions  &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Marks}\: $marks </TD></TR>\n";
						} 
                                        
                                        print"</TABLE><BR>\n";
                                        
                                        &print_form_wo_end_tag("form_name","q_form","input","mark_type","class_name","$class_name","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$DT{u_id}","session_id","$DT{session_id}");
                                        
					my $index = 1;
					my $next_quest;
					my $printed = 0;
					
     					foreach my $key(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                my $quest = $RE_ORDERED_QUESTIONS{$key};
                                                $QUESTIONS_IN_QUIZ{$index} = "$quest";

                                                $index_to_quest_no = "$index_to_quest_no"."$index"."="."$quest"."-"."$QUESTIONS{$quest}{type}"."-"."$QUESTIONS{$quest}{value}".",";
                                                                
                                                if($QUESTIONS{$quest}{mode} == 2  || $QUESTIONS{$quest}{ans_mode} == 2) {
                                                        $show_eq = 2;
                                                        }
                                                        
                                                if($index == 1) {
                                                        my $question_rows = 1;
 		
                                                        # fix display to show new lines in text of question
                                                        my $content = $QUESTIONS{$quest}{question};
                                                        $content =~ s/\r[\n]*/\n/gm;
                                                        my @number_of_newlines = split(/\n/,$content);
                                                        my $new_lines = @number_of_newlines;
                                                        $question_rows = $question_rows + $new_lines;
                                                                        
                                                        print"<center><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$quest','1','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B></center>\n";
                                                        
                                                        print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
										
                                                        &print_out_question("question","$QUESTIONS{$quest}{question}","value","$QST_QUESTIONS{$quest}{value}","image_id","$QUESTIONS{$quest}{image_id}","pdf","$QUESTIONS{$quest}{pdf}","vlink","$QUESTIONS{$quest}{vlink}","alink","$QUESTIONS{$quest}{alink}","type","$QUESTIONS{$quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$quest}{mode}");
										
                                                        &print_out_question_answers("quest","$quest","index","$index","type","$QUESTIONS{$quest}{type}","key","$key","kolum","$QUESTIONS{$quest}{kolum}","ans_mode","$QUESTIONS{$quest}{ans_mode}","shuffle_ans","$POSTED_QST{$qst}{shuffle_ans}");
                                                        ++$index;
                                                        }
                                                else {
                                                        ++$index;
                                                        }
						}
						
                                        if($show_eq == 2) {
                                                &print_eq();
                                                }
                                                
                  			print "<center></FORM></center> \n";

                  			&print_form("form_name","form2","form_target","right_bot","input","qst_side3","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$DT{u_id}","session_id","$DT{session_id}","qst_time","$POSTED_QST{$qst}{qtime}","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name","attempt","$current_attempt");
  					&print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}");
						
                                        &print_form("form_name","next_quest","input","next_question4","doo","1","order","1","quest_no","","real_quest_no","","qst","$qst","class_name","$class_name","class_id","$class_id","qtype","$type","type","","lquests","$list_of_questions","u_id","$DT{u_id}","session_id","$DT{session_id}","attempt","$current_attempt");
                                        
					print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
	                  		}
	                  		
				++$attempt;
                                my $end_time = time;
				my $cal_time = $POSTED_QST{$qst}{qtime} * 60;
				$end_time = $end_time + $cal_time;
				
				&update_general("query","UPDATE qst_attempts SET attempts=\"$attempt\",start_time=\"$TIME{time}{hour_minute}\",start_day=\"$TIME{time}{day}\",start_month=\"$TIME{time}{month}\",finish_time=\"0\",finish_day=\"0\",finish_month=\"0\",end=\"$end_time\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

				#add to qsts all the questions for the qst for that attempt for the user
				foreach my $keyyy(keys %QUESTIONS_IN_QUIZ) {

					if($QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /SA/ ||  $QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /P/) {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					else {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					}
				}
				
			#### RESUME THEIR QST
			elsif(keys %QST_INFO && $attempt == 1 && $resume == 1) { # RESUME THEIR QST
							
				&print_do_type4_resume_qst("qst","$qst","session_id","$DT{session_id}","class_id","$DT{class_id}");
										
				#UPDATE QST_ATTEMPTS SO IT CANNOT BE ATTEMPTED AGAIN WITHOUT A RESUME
				&update_general("query","UPDATE qst_attempts SET resume=\"0\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
					}
			else {
				print"<center><B>$LANGUAGE{$set_language}{YoucannotaccessthisQST}</B></center>\n";
				}
			}
		}
      else {
            print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
            }
	}

###############
#
# PRINT_DO_TYPE4_RESUME_QST
#
###############
sub print_do_type4_resume_qst{
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $class_name = $DT{class_name};
	my $type;
	my $submissions;
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %QUESTIONS = ();
	my $index_to_quest_no;
	my $show_eq = 1;

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");
		                
	if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) {
		my %ACCESS = ();
		$attempts = "$POSTED_QST{$qst}{attempts}";
		$forall = "$POSTED_QST{$qst}{forall}";
		$submissions = "$POSTED_QST{$qst}{submissions}";
		my $rhm = "$POSTED_QST{$qst}{rhm}";
		my $qtime = $POSTED_QST{$qst}{qtime};
		my $resume;
			
		if($forall == 0) {
			%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
				
		my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
		$type = "$POSTED_QST{type}";
			
		my %STARTED_SUBMITTED = &select_started_submitted("qst_no","$qst","u_id","$ids");
		my $start_time = $STARTED_SUBMITTED{$ids}{start_time};

		#check attempts, in progress
		my %ATTEMPTS = &select_qst_attempts_info("query","SELECT qst_no,attempts,end,resume from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

		$attempt = "$ATTEMPTS{$qst}{attempts}";
		$resume = "$ATTEMPTS{$qst}{resume}";			
			
		my $current_attempt = $attempt;

		my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
		$type = "$QST_TYPE{$qst}";

		if(keys %QST_INFO && $attempt == 1 && $resume == 1) {
			my $index;
			my @order;
			my $next_quest;
			my $lquests;
			my %QUESTION_ORDER = ();
			$questions = "$QST_INFO{$qst}{questions}";
			$marks = "$QST_INFO{$qst}{marks}";
			$name = "$QST_INFO{$qst}{name}";
				
			# get students saved qst
			my %STUDENTS_QST = &select_users_qst("query","SELECT quest_no,answer,mark,marked,time_stamp,quest_order from qsts WHERE u_id=\"$ids\" AND qst=\"$qst\"");
				
			# GET ALL THE QUESTIONS
			my $query = "SELECT * from questions WHERE ";
								
			foreach my $order(sort keys %STUDENTS_QST) {	
				$query = "$query"." "."number=\"$STUDENTS_QST{$order}{quest_no}\" OR";
				}
								
			$query =~ s/ OR$//;
												
			my %QUESTIONS_IN_QST = &select_questions("query","$query");

				
			#GET THE NUMBER OF THE LAST QUESTION ANSWER SAVED TO DISPLAY IT
			my $last_time = 0;
			my $question_to_display;
			my $list_of_questions;
			my $last_month = 0;
			my $last_day = 0;
	
			foreach my $order(sort {$a<=>$b} keys %STUDENTS_QST) {	
				$QUESTION_ORDER{$STUDENTS_QST{$order}{quest_no}} = $order;
				$list_of_questions = "$list_of_questions".","."$STUDENTS_QST{$order}{quest_no}";
				$lquests = "$lquests".","."$order";
				$index_to_quest_no = "$index_to_quest_no"."$order=$STUDENTS_QST{$order}{quest_no}"."-"."$QUESTIONS_IN_QST{$STUDENTS_QST{$order}{quest_no}}{type}"."-"."$QUESTIONS_IN_QST{$STUDENTS_QST{$order}{quest_no}}{value}".",";

				if($STUDENTS_QST{$order}{time_stamp} > 0) {
					my @times = split(/-/,$STUDENTS_QST{$order}{time_stamp});
					$last_time = $times[2];
					$last_month = $times[0];
					$last_day = $times[1];
					$question_to_display = $STUDENTS_QST{$order}{quest_no};
					$index = $order;
					}								
				}

			$lquests =~ s/^,//;
			$list_of_questions =~ s/^,//;
				
			my @total = split(/$question_to_display/,$list_of_questions);
			$total[0] =~ s/,$//;
				
			$total[1] =~ s/^,//;
			my @after = split(/\,/,$total[1]);
			$next_quest = shift(@after);
				
			my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND quest_no=\"$question_to_display\" AND org_id=\"$DT{org_id}\"");

			my %QUESTION_TO_DISPLAY = &select_question("query","SELECT * from questions WHERE number=\"$question_to_display\"");
			
                        ######## Print the page
                                
			&print_javascript_begin();
					
			&print_javascript_enterMX();
					
			&print_javascript_activated_this();

			print"function load_handler() \{
			document.form2.submit() \}\n";

                        print"function Show_Next\(order,quest,quests\) \{
                        document.next_quest.quest_no.value=quest
                        document.next_quest.order.value=order
                        document.next_quest.lquests.value=quests
			document.next_quest.submit\(\)
		      	\}\n";
			  	      	
       		   	print"function sub_mit\(\) \{\n";
			print"document.q_form.submit\(\)\n";
		      	if ($type == 2) {
				print"self.parent.right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
				print"self.parent.right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
				}
		   	print"\}\n";

		      	&print_javascript_end();
		      			
                  	print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><center><B><i><font style=\"font-size:18pt\; font-family:Arial\;\" color=\"white\"> $name </font></i></b></center></TD>";
		      			
                  	if ($type == 2) { #survey
                  		print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"  color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions </font></TD></TR>\n";
				}
						
			else { # quizzes/tests
                                print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"    color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions  &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Marks}\: $marks </TD></TR>\n";
				} 
                                        
                        print"</TABLE><BR>\n";
                                        
                        &print_form_wo_end_tag("form_name","q_form","input","mark_type","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$ids}","session_id","$DT{session_id}");
                                                                                        
                        if($QUESTIONS{$question_to_display}{mode} == 2  || $QUESTIONS{$question_to_display}{ans_mode} == 2) {
                        	$show_eq = 2;
                                }
                                                                
                        if($index >= 1) {
                        	my $question_rows = 1;
 		
                                # fix display to show new lines in text of question
                                my $content = $QUESTIONS{$question_to_display}{question};
                                $content =~ s/\r[\n]*/\n/gm;
                                my @number_of_newlines = split(/\n/,$content);
                                my $new_lines = @number_of_newlines;
                                $question_rows = $question_rows + $new_lines;
                                                                        
				my $next = $index + 1;
				
                  	      	print"<center><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$next','$next_quest','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B></center>\n";
                                                                        
                  	      	print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
										
                  	      	&print_out_question("question","$QUESTION_TO_DISPLAY{$question_to_display}{question}","value","$QUESTION_TO_DISPLAY{$question_to_display}{value}","image_id","$QUESTION_TO_DISPLAY{$question_to_display}{image_id}","pdf","$QUESTION_TO_DISPLAY{$question_to_display}{pdf}","vlink","$QUESTION_TO_DISPLAY{$question_to_display}{vlink}","alink","$QUESTION_TO_DISPLAY{$question_to_display}{alink}","type","$QUESTION_TO_DISPLAY{$question_to_display}{type}","question_rows","$question_rows","mode","$QUESTION_TO_DISPLAY{$question_to_display}{mode}");
			
			
				#### PRINT THE STUDENTS ANSWER FOR THE QUESTION DISPLAYED
				if ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"TF") {
					print"<TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:text-top\;\"><label for=\"radio$index\">
				        <input type =\"radio\" style=\"vertical-align:text-top\" name =\"$question_to_display\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'T\'";
						                
				        if($QUESTION_TO_DISPLAY{branch} == 1) {
				        	print",\'b\'";
				                }
						                        
				        print"\)\" id=\"radio$index\"";
						                 
				        if($STUDENTS_QST{$index}{answer} eq "T") {
					 	print"checked";
				               	}
						                	
				        print"> $LANGUAGE{$set_language}{True} &nbsp\;</label> \n";
						                
				        print" <label for=\"radiox$index\"><input type =\"radio\" style=\"vertical-align:text-top\" name =\"$question_to_display\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'F\'";
						                
				        if($QUESTION_TO_DISPLAY{branch} == 1) {
				                print",\'b\'";
				                }
						                        
				        print"\)\" id=\"radiox$index\"";
						                
				        if($STUDENTS_QST{$index}{answer} eq "F") {
						print"checked";
				               	}
						                	
				        print"> $LANGUAGE{$set_language}{False}</label></TD></TR>\n";
				        }
				
				elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"YN") {
					print"<TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:text-top\;\"><label for=\"radio$index\">
				        <input type =\"radio\" style=\"vertical-align:text-top\" name =\"$question_to_display\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'Y\'";
						                
				        if($QUESTION_TO_DISPLAY{branch} == 1) {
				        	print",\'b\'";
				                }
						                        
				        print"\)\" id=\"radio$index\"";
						                 
				        if($STUDENTS_QST{$index}{answer} eq "Y") {
					 	print"checked";
				               	}
						                	
				        print"> $LANGUAGE{$set_language}{True} &nbsp\;</label> \n";
							                
				        print" <label for=\"radiox$index\"><input type =\"radio\" style=\"vertical-align:text-top\" name =\"$question_to_display\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'N\'";
						                
				        if($QUESTION_TO_DISPLAY{branch} == 1) {
				                print",\'b\'";
				                }
						                        
				        print"\)\" id=\"radiox$index\"";
						                
				        if($STUDENTS_QST{$index}{answer} eq "N") {
						print"checked";
				               	}
						                	
				        print"> $LANGUAGE{$set_language}{False}</label></TD></TR>\n";
				       	}
			                        	
				elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"SA") {
					if (defined $STUDENTS_QST{$index}{answer} && $STUDENTS_QST{$index}{answer} ne"") {
						print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize:none\;\" name=\"sa$question_to_display\" maxlength=\"70\" value=\"$STUDENTS_QST{$index}{answer}\"></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'sa$question_to_display\'\)\"></TD></TR></TABLE>\n";
						}
								
					else {
				                print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" value=\"\" style=\"resize:none\;\" name=\"sa$question_to_display\" maxlength=\"70\" ></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'sa$question_to_display\'\)\"></TD></TR></TABLE>\n";
						}
				       	}
			                       		
				elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"P") {
					if (defined $STUDENTS_QST{$index}{answer} && $STUDENTS_QST{$index}{answer} ne"") {
				                 print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" value=\"\" style=\"resize:none\; overflow:auto\;\" cols=\"60\" name=\"p$question_to_display\" maxlength=\"700\">$STUDENTS_QST{$index}{answer}</textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$index\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'p$question_to_display\'\)\"></TD></TR></TABLE>\n";
						}
												
					else {
				                 print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" value=\"\" style=\"resize:none\; overflow:auto\;\" cols=\"60\" name=\"p$question_to_display\" maxlength=\"700\"></textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$index\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$question_to_display\',\'$QUESTION_TO_DISPLAY{$question_to_display}{type}\',\'p$question_to_display\'\)\"></TD></TR></TABLE>\n";
						}
				       	}
				
				elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"MC") {
					&mc_display_answers_qst_resume("number","$question_to_display","kolum","$QUESTION_TO_DISPLAY{$question_to_display}{kolum}","index","$index","type","$QUESTION_TO_DISPLAY{$question_to_display}{type}","branch","$QUESTION_TO_DISPLAY{$question_to_display}{branch}","ans_mode","$QUESTION_TO_DISPLAY{$question_to_display}{ans_mode}","shuffle_ans","$QUESTION_TO_DISPLAY{$question_to_display}{shuffle_ans}","their_answer","$STUDENTS_QST{$index}{answer}");
			
					if($STUDENTS_QST{$index}{answer} ne "") {
						}
					}
						
				elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"MX") { # Matching
				        my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$question_to_display\" AND c_answer = 0");
				                             
				        my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$question_to_display\" AND c_answer = 1");
			                                
				        my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$question_to_display\" AND qst=\"$qst\"");
			                                
				        my %ANSWERED = ();
			                                
				        my @myans = split(/\n/,$QUESTION_ANSWERED{$question_to_display});
							
					foreach my $piece(@myans) {
					        my @mxx = split(/=/,$piece);
					        $ANSWERED{$mxx[0]} = $mxx[1];
				                }
											
					for (my $i = 1; $i <= $mx_num; $i++){ # FOR EACH ROW
						my $select = "select$i";
								
						if (defined $RETURN_MX_TEXT{$i}{answer}) {
					                print"<TABLE> <TR><TD width=\"50\"></TD>\n";
				                	                
					                print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\; overflow:auto\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"2\" cols=\"20\" readonly>
					                $RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD>\n";
				                                
					                print"<select name=\"$select\" id=\"$select\" onchange=\"enterMX($select)\">\n";
									
							my $selected = 0;
							my $chosen_ans = 0;
									
							foreach my $ans(keys %RETURN_MX_MATCHING) { # FOR EACH SELECTION
								my $pass = "$index".","."$question_to_display".","."$RETURN_MX_MATCHING{$ans}{answer}".","."$select";
			
								if(defined $ANSWERED{$i}) { 
									if($ANSWERED{$i} eq $RETURN_MX_MATCHING{$ans}{answer}) {
										print"<option value=\"$pass\" selected> $ANSWERED{$i}</option>";
										$selected = 1;
										$chosen_ans = $ans;
										}
									else {
										print"<option value=\"$pass\"> $RETURN_MX_MATCHING{$ans}{answer} </option>\n";
										}
									}
											
								else {
									print"<option value=\"$pass\"> $RETURN_MX_MATCHING{$ans}{answer} </option>\n";
									}
								}								
									        
				       			if($selected == 0) {
								print"<option value=\"\" selected></option>";
								}
			
					                print"</select></TD></TR></TABLE>\n";
							}
						}
				        }
			                                
				   elsif ($QUESTION_TO_DISPLAY{$question_to_display}{type} eq"MA") {
					my $correct_answer;
					my $fake_question_to_display = "m"."$question_to_display";
			                                
				        # the answers they entered in                                        
				        &resume_ma_display_answers_qst("index","$index","type","$QUESTION_TO_DISPLAY{$question_to_display}{type}","kolum","","shuffle_ans","","their_answer","$STUDENTS_QST{$index}{answer}","number","$question_to_display","ans_mode","$QUESTION_TO_DISPLAY{$question_to_display}{ans_mode}");
					}   
						
				if($show_eq == 2) {
                  		      	&print_eq();
                  	              }
                  			
                  		print "<center></FORM></center> \n";

				my $minutes_remaining = &get_minutes_remaining("last_time","$last_time","end","$ATTEMPTS{$qst}{end}","last_day","$last_day");

                                &print_form("form_name","form2","form_target","right_bot","input","resume_qst_side3","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$ids","session_id","$DT{session_id}","qst_time","$minutes_remaining","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name");

  				&print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$ids}","session_id","$DT{session_id}");
						
                                &print_form("form_name","next_quest","input","next_question4","order","","quest_no","","real_quest_no","","qst","$qst","class_name","$class_name","class_id","$class_id","qtype","$DT{type}","type","","lquests","","u_id","$ids","session_id","$DT{session_id}","attempt","$current_attempt");
                                        
				print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
				}
			}
		else {
           		 print "<center><P><img src=\"/schools/x.gif\"><B> $LANGUAGE{$set_language}{NotallowedtoresumethisQST}</b></center><P> \n";
           		 }
		}
	else {
            	print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
           	}
	}

###############
#
# MODAL4_DO_TYPE4
#
###############
sub modal4_do_type4{
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $type;
	my $submissions;
	my $results; 
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %QUESTIONS = ();
	my $index_to_quest_no;
	my $show_eq = 1;

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	# check whether in class, if posted, attempts, if qst is for class
	if(exists $USER{$ids}{$class_id}) {
		my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");
		                
		if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) {
			my %ACCESS = ();
			$attempts = "$POSTED_QST{$qst}{attempts}";
			$forall = "$POSTED_QST{$qst}{forall}";
			$submissions = "$POSTED_QST{$qst}{submissions}";
			my $rhm = "$POSTED_QST{$qst}{rhm}";
			
			if($forall == 0) {
				%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				}
				
			my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
			$type = "$POSTED_QST{type}";

			#check attempts, in progress
			my %ATTEMPTS = &select4("query","SELECT u_id,attempts from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			$attempt = "$ATTEMPTS{$ids}";
			
			my $current_attempt = $attempt + 1;

			my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
			$type = "$QST_TYPE{$qst}";

			if(keys %QST_INFO && $attempt < $attempts) {
				if($POSTED_QST{$qst}{rhm} == 1) { # record mark
				
					}
				else { 
					# clean out previous attempts
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					}

				my $query = "SELECT * from questions WHERE ";
				$questions = "$QST_INFO{$qst}{questions}";
				$marks = "$QST_INFO{$qst}{marks}";
				$name = "$QST_INFO{$qst}{name}";
								
				my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\" AND org_id=\"$DT{org_id}\"");
                                        
				my $i = 1;
				my %QUESTIONS_IN_QUIZ = ();
				
                                my %TIMEZONE = ();
                                my $org_time1;
                                my $adjusted_time;
                                my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$DT{org_id}\"};
                                my $sth = $dbh->prepare($queryt);
                                $sth->execute();
                                while(my @row = $sth->fetchrow_array()) {
                                        $TIMEZONE{$row[0]}= "$row[1]";
                                        $adjusted_time = "$row[1]";
                                        }

                                if($adjusted_time != 0) {
                                        $org_time1 = "$adjusted_time" * 3600;
                                        }
                                else {
                                        $org_time1 = 0; 
                                        }
                

                                #time with time zone included
                                my $time1 = time + "$org_time1";
                                my %TIME = &get_time_to_display("time","$time1");
                                my $student_start_time;
                                
                                if( $TIME{time}{hour} < 13) {
                                        $student_start_time = "$TIME{time}{hour}".":"."$TIME{time}{minute}"." "."am";
                                        }
                                else {
                                        $student_start_time = "$TIME_SHOW{$TIME{time}{hour}}".":"."$TIME{time}{minute}"." "."pm";
                                        }

                                        
				if(keys %QST_QUESTIONS) {
                                        my %RE_ORDERED_QUESTIONS = ();
                                        my @quest;
                                        
                                        if($POSTED_QST{$qst}{shuffle} == 1) { # shuffle the questions
                                                my %OLD_ORDER = ();
                                                my %SHUFFLE_ORDER = ();
                                                my %REV_ORDER = ();
                                                my $i = 1;
                                                my $w = 0;
                                                foreach my $ke(keys %QST_QUESTIONS) {
                                                        $OLD_ORDER{$QST_QUESTIONS{$ke}{order}} = $ke;
                                                        $REV_ORDER{$ke} = $QST_QUESTIONS{$ke}{order};
                                                        ++$w;
                                                        }

                                                for(my $ii = 1; $ii <= $w; $ii++) { 
                                                        my $random_value = $OLD_ORDER{(keys %OLD_ORDER)[rand keys %OLD_ORDER]};
                                                        $RE_ORDERED_QUESTIONS{$i} = $random_value;
                                                        delete $OLD_ORDER{"$REV_ORDER{$random_value}"};
                                                        ++$i;
                                                        }
                                                }
				
                                        else { # No Question Shuffle
                                                my %Q_ORDER = ();
                                                
                                                #See if random question group
                                                foreach my $kwest_no(keys %QST_QUESTIONS) {
                                                        if($QST_QUESTIONS{$kwest_no}{q_select} > 0) { #Random question
                                                                my $start_num = $QST_QUESTIONS{$kwest_no}{order};
                                                                $Q_ORDER{$start_num}{quest}{$kwest_no} = $kwest_no;
                                                                $Q_ORDER{$start_num}{how_many} = $QST_QUESTIONS{$kwest_no}{q_select};
                                                                }
                                                        else { # normal question
                                                                $Q_ORDER{$QST_QUESTIONS{$kwest_no}{order}}{quest} = $kwest_no;
                                                                }
                                                        }
                                                
                                                # RE-ORDER the questions randomly selected questione included
                                                if(keys %Q_ORDER) {
                                                        my $new_index = 1;
                                                        foreach my $ord(sort {$a<=>$b} keys %Q_ORDER) {
                                                                if($Q_ORDER{$ord}{how_many} > 0) {
                                                                        my %RAND_QUESTIONS = ();
    
                                                                        foreach my $nom(keys %{$Q_ORDER{$ord}{quest}}) {
                                                                                $RAND_QUESTIONS{$nom} = $nom;
                                                                                }
                                                                                
                                                                        for (my $i = 1; $i <= $Q_ORDER{$ord}{how_many}; $i++){ # randomly choose the questions
                                                                                my $chosen_question = &get_random_hash(%RAND_QUESTIONS);
                                        
                                                                                delete($RAND_QUESTIONS{$chosen_question});
                                                                                $RE_ORDERED_QUESTIONS{$new_index} = $chosen_question;
                                                                                ++$new_index;
                                                                                }
                                                                        }
                                                                else {
                                                                        $RE_ORDERED_QUESTIONS{$new_index} = $Q_ORDER{$ord}{quest};
                                                                        ++$new_index;
                                                                        }
                                                                }
                                                
                                                        }
                                                
                                                }
                                                
                                                
                                        # to get the list of question to query for;
                                        my $list_of_questions;
                                        
     					foreach my $kkey(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                $list_of_questions= "$list_of_questions".","."$RE_ORDERED_QUESTIONS{$kkey}";
                                                
						if($i == 1) {
							$query = "$query"." "."number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							++$i;
							}
						else {
							$query = "$query"." "." OR number=\"$RE_ORDERED_QUESTIONS{$kkey}\"";
							}
						}

                                        $list_of_questions =~ s/^\,//;

					%QUESTIONS = &select_questions("query","$query");
					
					
                                ######## Begin printing page
					&print_javascript_begin();
					
					&modal4_print_javascript_enterMX();
					
					&modal4_print_javascript_activated_this();

					print"function load_handler() \{
					document.form2.submit() \}\n";
					
                                        print"function Show_Next\(quest,order,quests\) \{
                                        document.next_quest.quest_no.value=quest
                                        document.next_quest.lquests.value=quests
					document.next_quest.submit\(\)
			  	      	\}\n";
			  	      	
       		   	  		print"function sub_mit\(\) \{\n";
					print"document.q_form.submit\(\)\n";
		      			if ($type == 2) {
						print"self.parent.m4right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
						print"self.parent.m4right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
						}
		   	   		print"\}\n";

		      			&print_javascript_end();
                                        
                                        &print_form_wo_end_tag("form_name","q_form","input","mark_type","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$DT{u_id}","session_id","$DT{session_id}");
                                        
					my $index = 1;
					my $next_quest;
					
     					foreach my $key(sort {$a<=>$b} keys %RE_ORDERED_QUESTIONS) {
                                                my $quest = $RE_ORDERED_QUESTIONS{$key};
                                                $QUESTIONS_IN_QUIZ{$index} = "$quest";

                                                $index_to_quest_no = "$index_to_quest_no"."$index"."="."$quest"."-"."$QUESTIONS{$quest}{type}"."-"."$QUESTIONS{$quest}{value}".",";
                                                                
                                                if($QUESTIONS{$quest}{mode} == 2  || $QUESTIONS{$quest}{ans_mode} == 2) {
                                                        $show_eq = 2;
                                                        }
                                                        
                                                if($index == 1) {
                                                        my $question_rows = 1;
 		
                                                        # fix display to show new lines in text of question
                                                        my $content = $QUESTIONS{$quest}{question};
                                                        $content =~ s/\r[\n]*/\n/gm;
                                                        my @number_of_newlines = split(/\n/,$content);
                                                        my $new_lines = @number_of_newlines;
                                                        $question_rows = $question_rows + $new_lines;
                                                                        
                                                        print"<center><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$quest','1','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B></center>\n";
                                                        
                                                        print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
										
                                                        &print_out_question("question","$QUESTIONS{$quest}{question}","value","$QST_QUESTIONS{$quest}{value}","image_id","$QUESTIONS{$quest}{image_id}","pdf","$QUESTIONS{$quest}{pdf}","vlink","$QUESTIONS{$quest}{vlink}","alink","$QUESTIONS{$quest}{alink}","type","$QUESTIONS{$quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$quest}{mode}");
										
                                                        &print_out_question_answers("quest","$quest","index","$index","type","$QUESTIONS{$quest}{type}","key","$key","kolum","$QUESTIONS{$quest}{kolum}","ans_mode","$QUESTIONS{$quest}{ans_mode}","shuffle_ans","$POSTED_QST{$qst}{shuffle_ans}");
                                                        ++$index;
                                                        }
                                                else {
                                                        ++$index;
                                                        }
						}
						
                                        if($show_eq == 2) {
                                                &print_eq();
                                                }
                                                
                  			print "<center></FORM></center> \n";

                  			&print_form("form_name","form2","form_target","m4right_bot","input","modal4_qst_side4","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$DT{u_id}","session_id","$DT{session_id}","qst_time","$POSTED_QST{$qst}{qtime}","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name","attempt","$current_attempt");
  					&print_form("form_name","form4","form_target","m4right_top","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}");
						
                                        &print_form("form_name","next_quest","input","modal_next_question4","doo","1","order","1","quest_no","","real_quest_no","","qst","$qst","class_id","$class_id","qtype","$type","type","","lquests","$list_of_questions","u_id","$DT{u_id}","session_id","$DT{session_id}","attempt","$current_attempt");
                                        
					print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
	                  		}
	                  		
				++$attempt;
                                my $end_time = time;
				my $cal_time = $POSTED_QST{$qst}{qtime} * 60;
				$end_time = $end_time + $cal_time;
				
				&update_general("query","UPDATE qst_attempts SET attempts=\"$attempt\",start_time=\"$TIME{time}{hour_minute}\",start_day=\"$TIME{time}{day}\",start_month=\"$TIME{time}{month}\",finish_time=\"0\",finish_day=\"0\",finish_month=\"0\",end=\"$end_time\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

				#add to qsts all the questions for the qst for that attempt for the user
				foreach my $keyyy(keys %QUESTIONS_IN_QUIZ) {

					if($QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /SA/ ||  $QUESTIONS{$QUESTIONS_IN_QUIZ{$keyyy}}{type} =~ /P/) {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					else {
						&insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$QUESTIONS_IN_QUIZ{$keyyy}\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"$keyyy\",\"0\")");
						}
					}
				}
			}
		}
      else {
            print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
            }
	}

###############
#
# DO_TYPE5
#
###############
sub do_type5{
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $type;
	my $submissions;
	my $results; 
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %ORDER = ();
	my $index_to_quest_no;
	my $show_eq = 1;

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	# check whether in class, if posted, attempts, if qst is for class
	if(exists $USER{$ids}{$class_id}) {
		my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\"");
		                
		if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) {
			my %ACCESS = ();
			$attempts = "$POSTED_QST{$qst}{attempts}";
			$forall = "$POSTED_QST{$qst}{forall}";
			$submissions = "$POSTED_QST{$qst}{submissions}";
			my $rhm = "$POSTED_QST{$qst}{rhm}";
			
			if($forall == 0) {
				%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				}
				
			my %QST_INFO = &select_qst("query","select number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE number=\"$qst\"");

			$type = "$POSTED_QST{type}";

			#check attempts, in progress
			my %ATTEMPTS = &select4("query","SELECT u_id,attempts from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			$attempt = "$ATTEMPTS{$ids}";

			my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
			$type = "$QST_TYPE{$qst}";

			if(keys %QST_INFO && $attempt < $attempts) {
				if($POSTED_QST{$qst}{rhm} == 1) { # record mark
				
					}
				else { 
					# clean out previous attempts
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					}
				
				$name = "$QST_INFO{$qst}{name}";
								
				my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\"");
				
				my %Q_QUESTIONS = &select4("query","select q_order,quest_no from qst_questions WHERE qst_no=\"$qst\" AND q_order >\"0\"");
				
				# to get the first question
				my @quest;
                                my $list_of_questions;
                                
                                foreach my $a(sort {$a<=>$b} keys %Q_QUESTIONS) { # Q_QUESTIONS contains no branches
                                        push(@quest,$Q_QUESTIONS{$a});
                                        }
                                
                                my $first_question = shift(@quest);
                                foreach my $ques(@quest) {
                                        $list_of_questions = "$list_of_questions".","."$ques";
                                        }
                                        
                                $list_of_questions =~ s/^\,//;

				my $query = "SELECT number,question,type,value,image_id,vlink,alink from questions WHERE ";

				my %QUESTION = &select_question("query","SELECT * from questions WHERE number=\"$first_question\"");
				
                                my %TIMEZONE = ();
                                my $org_time1;
                                my $adjusted_time;
                                my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$DT{org_id}\"};
                                my $sth = $dbh->prepare($queryt);
                                $sth->execute();
                                while(my @row = $sth->fetchrow_array()) {
                                        $TIMEZONE{$row[0]}= "$row[1]";
                                        $adjusted_time = "$row[1]";
                                        }

                                if($adjusted_time != 0) {
                                        $org_time1 = "$adjusted_time" * 3600;
                                        }
                                else {
                                        $org_time1 = 0; 
                                        }
                

                                #time with time zone included
                                my $time1 = time + "$org_time1";
                                my %TIME = &get_time_to_display("time","$time1");
                                my $student_start_time;
                                
                                if( $TIME{time}{hour} < 13) {
                                        $student_start_time = "$TIME{time}{hour}".":"."$TIME{time}{minute}"." "."am";
                                        }
                                else {
                                        $student_start_time = "$TIME_SHOW{$TIME{time}{hour}}".":"."$TIME{time}{minute}"." "."pm";
                                        }
					
                                
                        ####### Print the page
                        
                                &print_javascript_begin();
					
                                &print_javascript_enterMX();
					
                                &print_javascript_activated_this();
					
                                print"function load_handler() \{
                                document.form2.submit() \}\n";

                                print"function Show_Next\(quest,order,quests\) \{
                                document.next_quest.quest_no.value=quest
                                document.next_quest.order.value=order
                                document.next_quest.lquests.value=quests
                                document.next_quest.submit\(\)
                                \}\n";
			  	      	
                                print"function sub_mit\(\) \{\n";
                                print"document.q_form.submit\(\)\n";
                                if ($type == 2) {
                                        print"self.top.right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
                                        print"self.top.right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
                                        }
                                print"\}\n";

                                &print_javascript_end();

                                print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><center><B><i><font style=\"font-size:18pt\; font-family:Arial\;\" color=\"white\"> $name </font></i></b></center></TD>";
                                        
                                print"</TABLE><BR>\n";
                                        
                                &print_form_wo_end_tag("form_name","q_form","input","mark_type","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$DT{u_id}","session_id","$DT{session_id}");
                
                                if($QUESTION{$first_question}{mode} == 2) {
                                        &print_eq();
                                        }
                                        
                                my $question_rows = 1;
 		
                                # fix display to show new lines in text of question
                                my $content = $QUESTION{$first_question}{question};
                                $content =~ s/\r[\n]*/\n/gm;
                                my @number_of_newlines = split(/\n/,$content);
                                my $new_lines = @number_of_newlines;
                                $question_rows = $question_rows + $new_lines;
                                                                        
                                print"<center><TABLE><TR><TD><B ID=\"next\"  STYLE=\"cursor:pointer\; display:block\; font-family\:Arial\; font-size\:28pt\;\"><font color=\"white\">\></font></B><B ID=\"next1\"  STYLE=\"cursor:pointer\; display:none\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$first_question','1','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\"><font color=\"indigo\">\></font></B></TD></TR></TABLE></center>\n";
                                                                        
                                print"<TABLE><TR><TD valign=\"top\"></TD>\n";
										
                                &print_out_question("question","$QUESTION{$first_question}{question}","value","$QST_QUESTIONS{$first_question}{value}","image_id","$QUESTION{$first_question}{image_id}","pdf","$QUESTION{$first_question}{pdf}","vlink","$QUESTION{$first_question}{vlink}","alink","$QUESTION{$first_question}{alink}","type","$QUESTION{$first_question}{type}","question_rows","$question_rows","branch","1","mode","$QUESTION{$first_question}{mode}");
										
                                &print_out_question_answers("quest","$first_question","index","1","type","$QUESTION{$first_question}{type}","key","","branch","1","kolum","$QUESTION{$first_question}{kolum}","ans_mode","$QUESTION{$first_question}{ans_mode}","shuffle_ans","$POSTED_QST{$qst}{shuffle_ans}");
                                   
                                print "<center></FORM></center> \n";

                                &print_form("form_name","form2","form_target","right_bot","input","qst_side5","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$DT{u_id}","session_id","$DT{session_id}","qst_time","$POSTED_QST{$qst}{qtime}","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name");
                                
                                &print_form("form_name","form4","form_target","right_top","input","question_done5","referer","0","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}","branch","1");
						
                                &print_form("form_name","next_quest","input","next_question5","referer","0","order","","quest_no","$first_question","real_quest_no","","qst","$qst","class_id","$class_id","qtype","$DT{type}","sub_type","$type","type","","lquests","$list_of_questions","u_id","$DT{u_id}","session_id","$DT{session_id}");
                                        
                                print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
	                  		
				++$attempt;
				my $end_time = time;
				my $cal_time = $POSTED_QST{$qst}{qtime} * 60;
				$end_time = $end_time + $cal_time;
				
				&update_general("query","UPDATE qst_attempts SET attempts=\"$attempt\",start_time=\"$TIME{time}{hour_minute}\",start_day=\"$TIME{time}{day}\",start_month=\"$TIME{time}{month}\",finish_time=\"0\",finish_day=\"0\",finish_month=\"0\",end=\"$end_time\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				
				#add to qsts the question for the qst for that attempt for the user
                                &insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$first_question\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"1\",\"0\")");

				}
			}
		}
      else {
            print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
            }
        }

###############
#
# MODAL5_DO_TYPE5
#
###############
sub modal5_do_type5{
	my %DT = @_;
	$DT{qst} =~ s/\D//g;
	$DT{class_id} =~ s/\D//g;
	$DT{org_id} =~ s/\D//g;
	
	my $qst = $DT{qst};
	my $class_id = $DT{class_id};
	my $type;
	my $submissions;
	my $results; 
	my $questions;
	my $marks;
	my $attempts;
	my $attempt;
	my $forall;
	my $name;
	my %ORDER = ();
	my $index_to_quest_no;
	my $show_eq = 1;

	&print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
	# check whether in class, if posted, attempts, if qst is for class
	if(exists $USER{$ids}{$class_id}) {
		my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\"");
		                
		if(keys %POSTED_QST && $POSTED_QST{$qst}{posted} == 1) {
			my %ACCESS = ();
			$attempts = "$POSTED_QST{$qst}{attempts}";
			$forall = "$POSTED_QST{$qst}{forall}";
			$submissions = "$POSTED_QST{$qst}{submissions}";
			my $rhm = "$POSTED_QST{$qst}{rhm}";
			
			if($forall == 0) {
				%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				}
				
			my %QST_INFO = &select_qst("query","select number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE number=\"$qst\"");

			$type = "$POSTED_QST{type}";

			#check attempts, in progress
			my %ATTEMPTS = &select4("query","SELECT u_id,attempts from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			$attempt = "$ATTEMPTS{$ids}";

			my %QST_TYPE = &select4("query","SELECT qst,type from qst_to_classes WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
			$type = "$QST_TYPE{$qst}";

			if(keys %QST_INFO && $attempt < $attempts) {
				if($POSTED_QST{$qst}{rhm} == 1) { # record mark
				
					}
				else { 
					# clean out previous attempts
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					}
				
				$name = "$QST_INFO{$qst}{name}";
								
				my %QST_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$qst\"");
				
				my %Q_QUESTIONS = &select4("query","select q_order,quest_no from qst_questions WHERE qst_no=\"$qst\" AND q_order >\"0\"");
				
				# to get the first question
				my @quest;
                                my $list_of_questions;
                                
                                foreach my $a(sort {$a<=>$b} keys %Q_QUESTIONS) { # Q_QUESTIONS contains no branches
                                        push(@quest,$Q_QUESTIONS{$a});
                                        }
                                
                                my $first_question = shift(@quest);
                                foreach my $ques(@quest) {
                                        $list_of_questions = "$list_of_questions".","."$ques";
                                        }
                                        
                                $list_of_questions =~ s/^\,//;

				my $query = "SELECT number,question,type,value,image_id,vlink,alink from questions WHERE ";

				my %QUESTION = &select_question("query","SELECT * from questions WHERE number=\"$first_question\"");
				
                                my %TIMEZONE = ();
                                my $org_time1;
                                my $adjusted_time;
                                my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$DT{org_id}\"};
                                my $sth = $dbh->prepare($queryt);
                                $sth->execute();
                                while(my @row = $sth->fetchrow_array()) {
                                        $TIMEZONE{$row[0]}= "$row[1]";
                                        $adjusted_time = "$row[1]";
                                        }

                                if($adjusted_time != 0) {
                                        $org_time1 = "$adjusted_time" * 3600;
                                        }
                                else {
                                        $org_time1 = 0; 
                                        }
                

                                #time with time zone included
                                my $time1 = time + "$org_time1";
                                my %TIME = &get_time_to_display("time","$time1");
                                my $student_start_time;
                                
                                if( $TIME{time}{hour} < 13) {
                                        $student_start_time = "$TIME{time}{hour}".":"."$TIME{time}{minute}"." "."am";
                                        }
                                else {
                                        $student_start_time = "$TIME_SHOW{$TIME{time}{hour}}".":"."$TIME{time}{minute}"." "."pm";
                                        }
					
                                
                        ####### Print the page
                        
                                &print_javascript_begin();
					
                                &modal5_print_javascript_enterMX();
					
                                &modal5_print_javascript_activated_this();
					
                                print"function load_handler() \{
                                document.form2.submit() \}\n";

                                print"function Show_Next\(quest,order,quests\) \{
                                document.next_quest.quest_no.value=quest
                                document.next_quest.order.value=order
                                document.next_quest.lquests.value=quests
                                document.next_quest.submit\(\)
                                \}\n";
			  	      	
                                print"function sub_mit\(\) \{\n";
                                print"document.q_form.submit\(\)\n";
                                if ($type == 2) {
                                        print"self.parent.right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
                                        print"self.parent.right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
                                        }
                                print"\}\n";

                                &print_javascript_end();
                                        
                                &print_form_wo_end_tag("form_name","q_form","input","modal5_mark_type","class_id","$class_id","type","$type","qst","$qst","qst_name","$name","u_id","$DT{u_id}","session_id","$DT{session_id}");
                
                                if($QUESTION{$first_question}{mode} == 2) {
                                        &print_eq();
                                        }
                                        
                                my $question_rows = 1;
 		
                                # fix display to show new lines in text of question
                                my $content = $QUESTION{$first_question}{question};
                                $content =~ s/\r[\n]*/\n/gm;
                                my @number_of_newlines = split(/\n/,$content);
                                my $new_lines = @number_of_newlines;
                                $question_rows = $question_rows + $new_lines;
                                                                        
                                print"<center><TABLE><TR><TD><B ID=\"next\"  STYLE=\"cursor:pointer\; display:block\; font-family\:Arial\; font-size\:28pt\;\"><font color=\"white\">\></font></B><B ID=\"next1\"  STYLE=\"cursor:pointer\; display:none\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('$first_question','1','$list_of_questions')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\"><font color=\"indigo\">\></font></B></TD></TR></TABLE></center>\n";
                                                                        
                                print"<TABLE><TR><TD valign=\"top\"></TD>\n";
										
                                &print_out_question("question","$QUESTION{$first_question}{question}","value","$QST_QUESTIONS{$first_question}{value}","image_id","$QUESTION{$first_question}{image_id}","pdf","$QUESTION{$first_question}{pdf}","vlink","$QUESTION{$first_question}{vlink}","alink","$QUESTION{$first_question}{alink}","type","$QUESTION{$first_question}{type}","question_rows","$question_rows","branch","1","mode","$QUESTION{$first_question}{mode}");
										
                                &print_out_question_answers("quest","$first_question","index","1","type","$QUESTION{$first_question}{type}","key","","branch","1","kolum","$QUESTION{$first_question}{kolum}","ans_mode","$QUESTION{$first_question}{ans_mode}","shuffle_ans","$POSTED_QST{$qst}{shuffle_ans}");
                                   
                                print "<center></FORM></center> \n";

                                &print_form("form_name","form2","form_target","m5right_bot","input","modal5_qst_side5","class_id","$class_id","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$DT{u_id}","session_id","$DT{session_id}","qst_time","$POSTED_QST{$qst}{qtime}","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name");
                                
                                &print_form("form_name","form4","form_target","m5right_top","input","question_done5","referer","0","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$DT{u_id}","session_id","$DT{session_id}","branch","1");
						
                                &print_form("form_name","next_quest","input","modal_next_question5","referer","0","order","","quest_no","$first_question","real_quest_no","","qst","$qst","class_id","$class_id","qtype","$DT{type}","sub_type","$type","type","","lquests","$list_of_questions","u_id","$DT{u_id}","session_id","$DT{session_id}");
                                        
                                print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
	                  		
				++$attempt;
				my $end_time = time;
				my $cal_time = $POSTED_QST{$qst}{qtime} * 60;
				$end_time = $end_time + $cal_time;
				
				&update_general("query","UPDATE qst_attempts SET attempts=\"$attempt\",start_time=\"$TIME{time}{hour_minute}\",start_day=\"$TIME{time}{day}\",start_month=\"$TIME{time}{month}\",finish_time=\"0\",finish_day=\"0\",finish_month=\"0\",end=\"$end_time\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
				
				#add to qsts the question for the qst for that attempt for the user
                                &insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$qst\",\"\",\"$first_question\",\"0\",\"$attempt\",\"0\",\"$org_id\",\"0\",\"1\",\"0\")");

				}
			}
		}
      else {
            print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
            }
        }

####################
#
# PRINT_OUT_QUESTION
#
#####################
sub print_out_question {
        my %QUESTIONS = @_;

        if ($QUESTIONS{type} == 2 || $QUESTIONS{branch} == 1) { # survey questions
                print"<TD valign=\"top\"></TD><TD valign=\"top\">";
                }
									
        else { # quiz/test question
                 print"<TD NOWRAP valign=\"top\"><font size=\"-2\">\(</font><font size=\"-2\">$QUESTIONS{value}</font><font size=\"-2\">\)</font></TD><TD>";
                }
                
        my $empty_question = $QUESTIONS{question};
        $empty_question =~ s/\r\n//g;
        $empty_question =~ s/\s//g;
								
        if($empty_question eq "" && $QUESTIONS{mode} == 0) { # BASIC EDITOR
                if(defined $QUESTIONS{image_id} && $QUESTIONS{image_id} > 0) {
                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{image_id}\"");
                        
                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{image_id}});
                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{image_id}"."\."."$extension[1]";
                        print"<TABLE><TR><TD width=\"60\"></TD><TD>&nbsp\;<img src=\"$image\">\n";
                        print"</TD></TR></TABLE>\n";
                        }

	        if(defined $QUESTIONS{pdf} && $QUESTIONS{pdf} > 0) {
			my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{pdf}"."\."."pdf";
			print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
		        }

                if($QUESTIONS{vlink} && $QUESTIONS{vlink} ne "0") {
                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{vlink}\" type=\"video/";
                        
                        if($QUESTIONS{vlink} =~ /.mp4/) {
                                print"mp4";
                                }
                        elsif($QUESTIONS{vlink} =~ /.ogg/) {
                                print"ogg";
                                }
                        elsif($QUESTIONS{vlink} =~ /.webm/) {
                                print"webm";
                                }
                        print"\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                        }
                                        
                if($QUESTIONS{alink} && $QUESTIONS{alink} ne "0") {
                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                        }
                }
                
        elsif($QUESTIONS{mode} == 1 || $QUESTIONS{mode} == 0)  { # Is a question
                if($QUESTIONS{mode} == 1) { # ADVANCED EDITOR
                        print"$QUESTIONS{question}</TD></TR></TABLE>\n";
                        }
                        
                else { #BASIC EDITOR
                        print"<textarea class=\"show_quest\" style=\"resize\:none\; overflow:auto\; font-weight:bold\" readonly rows=\"$QUESTIONS{question_rows}\" cols=\"60\">$QUESTIONS{question}</textarea></b>\n";
                        print"</TD></TR></TABLE>\n";
          									
                        if(defined $QUESTIONS{image_id} && $QUESTIONS{image_id} > 0) {
                                my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{image_id}\"");
                        
                                my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{image_id}});
                                my $image = "\/schools\/qst_files\/"."$QUESTIONS{image_id}"."\."."$extension[1]";
                                print"<TABLE><TR><TD width=\"60\"></TD><TD>&nbsp\;<img src=\"$image\">\n";
                                print"</TD></TR></TABLE>\n";
                                }
	            			
			if(defined $QUESTIONS{pdf} && $QUESTIONS{pdf} > 0) {
				my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{pdf}"."\."."pdf";
				print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
				}

                        if($QUESTIONS{vlink} && $QUESTIONS{vlink} ne "0") {
                                print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{vlink}\" type=\"video/";
                        
                                if($QUESTIONS{vlink} =~ /.mp4/) {
                                        print"mp4";
                                        }
                                elsif($QUESTIONS{vlink} =~ /.ogg/) {
                                        print"ogg";
                                        }
                                elsif($QUESTIONS{vlink} =~ /.webm/) {
                                        print"webm";
                                        }
                                print"\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                }
                                        
                        if($QUESTIONS{alink} && $QUESTIONS{alink} ne "0") {
                                print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                }
                        }
                }
                
        elsif($QUESTIONS{mode} == 2)  { # ADVANCED EDITOR
                print"$QUESTIONS{question}</TD></TR></TABLE>\n";
                }
        }

#####################
#
# PRINT_OUT_QUESTION_ANSWERS
#
#####################
sub print_out_question_answers {
        my %QUESTIONS = @_;
        my $index = $QUESTIONS{index};
        my $quest = $QUESTIONS{quest};
        my $i;
        my $key = $QUESTIONS{key};

        if ($QUESTIONS{type} eq"TF") {
                print" <TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\;\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'T\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                        
                print"\)\" id=\"radio$key\"> $LANGUAGE{$set_language}{True} &nbsp\;</label> \n";
                
                print" <label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'F\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                        
                print"\)\" id=\"radiox$key\"> $LANGUAGE{$set_language}{False}</label></TD></TR>\n";
                print"</TABLE>\n";
                }

        elsif ($QUESTIONS{type} eq"YN") {
                print" <TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\;\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'Y\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                print"\)\" id=\"radio$key\"> $LANGUAGE{$set_language}{Yes} &nbsp\;</label> \n";
                
                print" <label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'N\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                        
                print"\)\" id=\"radiox$key\"> $LANGUAGE{$set_language}{No}</label></TD></TR>\n";
                print"</TABLE>\n";
                }
                
        elsif ($QUESTIONS{type} eq"SA") {
                print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize\:none\;\" name=\"sa$quest\" maxlength=\"70\" value=\"\"></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'sa$quest\'\)\"></TD></TR></TABLE>\n";
                }
                  							
        elsif ($QUESTIONS{type} eq"P") {
                print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" style=\"resize\:none\; overflow:auto\;\" cols=\"60\" name=\"p$quest\" maxlength=\"700\" value=\"\"></textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$quest\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'p$quest\'\)\"></TD></TR></TABLE>\n";
                }
                  							
        elsif ($QUESTIONS{type} eq"MC") {
                &mc_display_answers_qst("number","$quest","kolum","$QUESTIONS{kolum}","index","$index","type","$QUESTIONS{type}","branch","$QUESTIONS{branch}","ans_mode","$QUESTIONS{ans_mode}","shuffle_ans","$QUESTIONS{shuffle_ans}","mobile","$QUESTIONS{mobile}");
                }
                  						
        elsif ($QUESTIONS{type} eq"MA") {
                &ma_display_answers_qst("number","$quest","kolum","$QUESTIONS{kolum}","index","$index","type","$QUESTIONS{type}","branch","$QUESTIONS{branch}","ans_mode","$QUESTIONS{ans_mode}","shuffle_ans","$QUESTIONS{shuffle_ans}","mobile","$QUESTIONS{mobile}");
                }

	if ($QUESTIONS{type} eq"MX") { # Matching Question
                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$quest\" AND c_answer = 0");
                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$quest\" AND c_answer = 1");
                my @mx_string;
                
                for (my $i = 1; $i <= $mx_num; $i++){ 
                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                }
                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                }
                        else { # no matching text
                                delete($RETURN_MX_MATCHING{$i});
                                }
			}
			
                push(@mx_string,'question_number');
                push(@mx_string,$quest);
                push(@mx_string,'index');
                push(@mx_string,$index);
                
		for (my $i = 1; $i <= $mx_num; $i++){ 
			my $select = "select$i";
			push(@mx_string,'select');
			push(@mx_string,$i);
			if (defined $RETURN_MX_TEXT{$i}{answer}) {
                                print"<TABLE> <TR><TD width=\"50\"></TD>\n";
                                print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\; overflow:auto\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"1\" cols=\"20\" readonly>$RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD>\n";
                                
                                my $select = "select"."mx"."$quest"."$i";
                                print"<select name=\"$select\" id=\"$select\" onchange=\"enterMX($select)\">\n";
                                
                                &print_mx_select(@mx_string);
                                print"</select></TD></TR></TABLE>\n";
				}
			}
		}
		
        elsif ($QUESTIONS{type} eq"AD") {
                print"<TABLE>\n";
                print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi1$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"1\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'1\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                        
                print"\)\" id=\"radi1$index\">  $standard[0]</label></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi2$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"2\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'2\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                print"\)\" id=\"radi2$index\">  $standard[1]</label></TD></TR>\n";
                print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi3$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"3\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'3\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                print"\)\" id=\"radi3$index\">  $standard[2]</label></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi4$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"4\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'4\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                print"\)\" id=\"radi4$index\">  $standard[3]</label></TD></TR>\n";
                print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi5$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"5\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'5\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                print"\)\" id=\"radi5$index\">  $standard[4]</label></TD></TR>\n";
                print"</TABLE>\n";
                }
                
                if($QUESTIONS{hr} == 1) {
                        print"<HR width=\"90%\">\n";
                        }
        }

#####################
#
# PRINT_OUT_QUESTION_ANSWERS_RESUME
#
#####################
sub print_out_question_answers_resume {
        my %QUESTIONS = @_;
        my $index = $QUESTIONS{index};
        my $quest = $QUESTIONS{quest};
        my $i;
        my $key = $QUESTIONS{key};

        if ($QUESTIONS{type} eq"TF") {
                print" <TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:text-top\;\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" style=\"vertical-align:text-top\" name =\"$quest\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'T\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                        
                print"\)\" id=\"radio$key\"> $LANGUAGE{$set_language}{True} &nbsp\;</label> \n";
                
                print" <label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" style=\"vertical-align:text-top\" name =\"$quest\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'F\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                        
                print"\)\" id=\"radiox$key\"> $LANGUAGE{$set_language}{False}</label></TD></TR>\n";
                print"</TABLE>\n";
                }

        elsif ($QUESTIONS{type} eq"YN") {
                print" <TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:text-top\;\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" style=\"vertical-align:text-top\" name =\"$quest\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'Y\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                print"\)\" id=\"radio$key\"> $LANGUAGE{$set_language}{Yes} &nbsp\;</label> \n";
                
                print" <label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" style=\"vertical-align:text-top\" name =\"$quest\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'N\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                        
                print"\)\" id=\"radiox$key\"> $LANGUAGE{$set_language}{No}</label></TD></TR>\n";
                print"</TABLE>\n";
                }
                
        elsif ($QUESTIONS{type} eq"SA") {
                print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize\:none\;\" name=\"sa$quest\" maxlength=\"70\" value=\"\"></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'sa$quest\'\)\"></TD></TR></TABLE>\n";
                }
                  							
        elsif ($QUESTIONS{type} eq"P") {
                print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" style=\"resize\:none\; overflow:auto\;\" cols=\"60\" name=\"p$quest\" maxlength=\"700\" value=\"\"></textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$quest\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'p$quest\'\)\"></TD></TR></TABLE>\n";
                }
                  							
        elsif ($QUESTIONS{type} eq"MC") {
                &mc_display_answers_qst("number","$quest","kolum","$QUESTIONS{kolum}","index","$index","type","$QUESTIONS{type}","branch","$QUESTIONS{branch}","ans_mode","$QUESTIONS{ans_mode}","shuffle_ans","$QUESTIONS{shuffle_ans}");
                }
                  						
        elsif ($QUESTIONS{type} eq"MA") {
                &ma_display_answers_qst("number","$quest","kolum","$QUESTIONS{kolum}","index","$index","type","$QUESTIONS{type}","branch","$QUESTIONS{branch}","ans_mode","$QUESTIONS{ans_mode}","shuffle_ans","$QUESTIONS{shuffle_ans}");
                }

	if ($QUESTIONS{type} eq"MX") { # Matching Question
                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$quest\" AND c_answer = 0");
                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$quest\" AND c_answer = 1");
                my @mx_string;
                
                for (my $i = 1; $i <= $mx_num; $i++){ 
                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                }
                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                }
                        else { # no matching text
                                delete($RETURN_MX_MATCHING{$i});
                                }
			}
			
                push(@mx_string,'question_number');
                push(@mx_string,$quest);
                push(@mx_string,'index');
                push(@mx_string,$index);
                
		for (my $i = 1; $i <= $mx_num; $i++){ 
			my $select = "select$i";
			push(@mx_string,'select');
			push(@mx_string,$i);
			if (defined $RETURN_MX_TEXT{$i}{answer}) {
                                print"<TABLE> <TR><TD width=\"50\"></TD>\n";
                                print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\; overflow:auto\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"1\" cols=\"20\" readonly>$RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD>\n";
                                
                                my $select = "select"."mx"."$quest"."$i";
                                print"<select name=\"$select\" id=\"$select\" onchange=\"enterMX($select)\">\n";
                                
                                &print_mx_select(@mx_string);
                                print"</select></TD></TR></TABLE>\n";
				}
			}
		}
		
        elsif ($QUESTIONS{type} eq"AD") {
                print"<TABLE>\n";
                print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi1$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"1\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'1\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                        
                print"\)\" id=\"radi1$index\">  $standard[0]</label></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi2$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"2\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'2\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                print"\)\" id=\"radi2$index\">  $standard[1]</label></TD></TR>\n";
                print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi3$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"3\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'3\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                print"\)\" id=\"radi3$index\">  $standard[2]</label></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi4$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"4\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'4\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                print"\)\" id=\"radi4$index\">  $standard[3]</label></TD></TR>\n";
                print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi5$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"5\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'5\'";
                
                if($QUESTIONS{branch} == 1) {
                        print",\'b\'";
                        }
                print"\)\" id=\"radi5$index\">  $standard[4]</label></TD></TR>\n";
                print"</TABLE>\n";
                }
                
                if($QUESTIONS{hr} == 1) {
                        print"<HR width=\"90%\">\n";
                        }
        }
        
#####################
#
# PRINT_OUT_QUESTION_ANSWERS_NEXT
#
#####################
sub print_out_question_answers_next {
        my %QUESTIONS = @_;
        my $index = $QUESTIONS{index};
        my $quest = $QUESTIONS{quest};
        my $i;
        my $key = $QUESTIONS{key};

        if ($QUESTIONS{type} eq"TF") {
                #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\"");
                
                #already answered, show their answer
                if(defined $QUESTION_ANSWERED{$quest} && $QUESTION_ANSWERED{$quest} ne"") {
                        if($QUESTION_ANSWERED{$quest} eq"T") {
                                print" <TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\;\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'T\'\)\" id=\"radio$key\" checked> $LANGUAGE{$set_language}{True} </label><label for=\"radiox$key\"> &nbsp\;<input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'F\'\)\" id=\"radiox$key\"> $LANGUAGE{$set_language}{False}</label></TD></TR></TABLE>\n";
                                }
                        else {
                                print" <TABLE><TR><TD width=\"50\" ></TD><TD  style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'T\'\)\" id=\"radio$key\"> $LANGUAGE{$set_language}{True} </label> &nbsp\;<label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'F\'\)\" id=\"radiox$key\" checked> $LANGUAGE{$set_language}{False}</label></TD></TR></TABLE>\n";
                                }
                        }
                else {
                        print" <TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'T\'\)\" id=\"radio$key\"> $LANGUAGE{$set_language}{True} &nbsp\;</label><label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'F\'\)\" id=\"radiox$key\"> $LANGUAGE{$set_language}{False}</label></TD></TR></TABLE>\n";
                        }
                }

        elsif ($QUESTIONS{type} eq"YN") {
                #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\""); 
                
                #already answered, show their answer
                if(defined $QUESTION_ANSWERED{$quest} && $QUESTION_ANSWERED{$quest} ne"") {
                        if($QUESTION_ANSWERED{$quest} eq"Y") {
                                print" <TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'Y\'\)\" id=\"radio$key\" checked> $LANGUAGE{$set_language}{Yes} &nbsp\;</label><label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'N\'\)\" id=\"radiox$key\"> $LANGUAGE{$set_language}{No}</label></TD></TR></TABLE>\n";
                                }
                        else {
                                print" <TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'Y\'\)\" id=\"radio$key\"> $LANGUAGE{$set_language}{Yes} &nbsp\;</label><label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'N\'\)\" id=\"radiox$key\" checked> $LANGUAGE{$set_language}{No}</label></TD></TR></TABLE>\n";
                                }
                        }
                else {
                        print" <TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'Y\'\)\" id=\"radio$key\"> $LANGUAGE{$set_language}{Yes} &nbsp\;</label><label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'N\'\)\" id=\"radiox$key\"> $LANGUAGE{$set_language}{No}</label></TD></TR></TABLE>\n";
                        }
                }
                  				
        elsif ($QUESTIONS{type} eq"SA") {
                #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\"");
                
                #already answered, show their answer
                if(defined $QUESTION_ANSWERED{$quest} && $QUESTION_ANSWERED{$quest} ne"") {
                        print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize\:none\;\" name=\"sa$quest\" maxlength=\"70\" value=\"$QUESTION_ANSWERED{$quest}\"></TD></TR>\n";
                        }
                else {
                        print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize\:none\;\" name=\"sa$quest\" maxlength=\"70\" value=\"\"></TD></TR>\n";
                        }
                print" <TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'sa$quest\'\)\"></TD></TR></TABLE>\n";
                }
                  							
        elsif ($QUESTIONS{type} eq"P") {
                #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\"");
                
                #already answered, show their answer
                if(defined $QUESTION_ANSWERED{$quest} && $QUESTION_ANSWERED{$quest} ne"") {
                        print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" style=\"resize\:none\; overflow:auto\;\" cols=\"60\" name=\"p$quest\" maxlength=\"700\" value=\"\">$QUESTION_ANSWERED{$quest}</textarea></TD></TR>\n";
                        }
                else {
                        print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" style=\"resize\:none\; overflow:auto\;\" cols=\"60\" name=\"p$quest\" maxlength=\"700\" value=\"\"></textarea></TD></TR>\n";
                        }
                print" <TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$quest\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'p$quest\'\)\"></TD></TR></TABLE>\n";
                }
                  							
        elsif ($QUESTIONS{type} eq"MC") {
                #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\"");

                &mc_display_answers_qst("number","$quest","kolum","$QUESTIONS{kolum}","index","$index","type","$QUESTIONS{type}","branch","$QUESTIONS{branch}","their_answer","$QUESTION_ANSWERED{$quest}","ans_mode","$QUESTIONS{ans_mode}");
                }     
                
        elsif ($QUESTIONS{type} eq"MA") {
                #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered_ma("question","$quest","query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\"");
                
                &ma_display_answers_qst("number","$quest","kolum","$QUESTIONS{kolum}","index","$index","type","$QUESTIONS{type}","branch","$QUESTIONS{branch}","their_answer","$QUESTION_ANSWERED{$quest}","ans_mode","$QUESTIONS{ans_mode}");
                }

	elsif ($QUESTIONS{type} eq"MX") { # Matching Question
                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$quest\" AND c_answer = 0");
                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$quest\" AND c_answer = 1");
                my @mx_string;
                
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\"  AND qst=\"$QUESTIONS{qst}\" AND attempt=\"$QUESTIONS{attempt}\"");

                my %MX = ();
                my $myans;
                my $mx;

                #already answered
                if(defined $QUESTION_ANSWERED{$quest} && $QUESTION_ANSWERED{$quest} ne"") {
                        my @new = split(/\n/,$QUESTION_ANSWERED{$quest});
                        foreach my $a(@new) {
                                my @ans = split(/=/,$a);
                                $MX{$ans[0]} = $ans[1];
                                $myans = "$ans[0]"."|"."$ans[1]".","."$myans";
                                }
                        }
                
                for (my $i = 1; $i <= $mx_num; $i++){ 
                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                $mx = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}".","."$mx";
                                }
                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                $mx = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}".","."$mx";
                                }
                        else { # no matching text
                                delete($RETURN_MX_MATCHING{$i});
                                }
			}
			
                push(@mx_string,'question_number');
                push(@mx_string,$quest);
                push(@mx_string,'index');
                push(@mx_string,$index);

		for (my $i = 1; $i <= $mx_num; $i++){ 
			my $select = "select$i";
			push(@mx_string,'select');
			push(@mx_string,$i);

			if (defined $RETURN_MX_TEXT{$i}{answer}) {
                                print"<TABLE> <TR><TD width=\"50\"></TD>\n";
                                print"<TD style=\"vertical-align:middle\;\"><textarea class=\"show_mx_ans\" style=\"resize:none\; overflow:auto\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"1\" cols=\"20\" readonly>$RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD style=\"vertical-align:top\;\">\n";

                                if(defined $MX{$i}) {
                                        my $selmx ="selectmx"."$quest"."$i";
                                        print"<select name=\"$selmx\" id=\"$selmx\" onchange=\"enterMX($selmx)\">\n";
                                        
                                        # show their answers
                                        &print_mx_select_with_answers_next("mx","$mx","myans","$myans","select","$i","question_number","$quest","index","$index");
                                        }
                                else {
                                        my $select = "select"."mx"."$quest"."$i";
                                        print"<select name=\"$select\" id=\"$select\" onchange=\"enterMX($select)\">\n";
                                        &print_mx_select(@mx_string);
                                        }
                                        
                                print"</select></TD></TR></TABLE>\n";
				}
			}
		}
		
        elsif ($QUESTIONS{type} eq"AD") {
                 #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\"");
                
                print"<TABLE>\n";
                
                if (keys %QUESTION_ANSWERED) {
                        foreach my $ans(keys %QUESTION_ANSWERED) {
                                if ($QUESTION_ANSWERED{$ans} == 1) {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi1$index\" STYLE=\"cursor:pointer\"><input type =\"radio\"  checked name =\"$quest\" value=\"1\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'1\'\)\" id=\"radi1$index\">  $standard[0]</label></TD></TR>\n";
                                        }
                                else {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi1$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"1\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'1\'\)\" id=\"radi1$index\">  $standard[0]</label></TD></TR>\n";
                                        }
                                
                                if ($QUESTION_ANSWERED{$ans} == 2) {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"<label for=\"radi2$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" checked name =\"$quest\" value=\"2\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'2\'\)\" id=\"radi2$index\">  $standard[1]</label></TD></TR>\n";
                                        }
                                else {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"<label for=\"radi2$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"2\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'2\'\)\" id=\"radi2$index\">  $standard[1]</label></TD></TR>\n";
                                        }
                                
                                if ($QUESTION_ANSWERED{$ans} == 3) {
                                         print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi3$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" checked name =\"$quest\" value=\"3\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'3\'\)\" id=\"radi3$index\">  $standard[2]</label></TD></TR>\n";
                                        }
                                else {
                                         print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi3$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"3\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'3\'\)\" id=\"radi3$index\">  $standard[2]</label></TD></TR>\n";
                                        }
                                
                                if ($QUESTION_ANSWERED{$ans} == 4) {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi4$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" checked name =\"$quest\" value=\"4\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'4\'\)\" id=\"radi4$index\">  $standard[3]</label></TD></TR>\n";
                                        }
                                else {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi4$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"4\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'4\'\)\" id=\"radi4$index\">  $standard[3]</label></TD></TR>\n";
                                        }
                                
                                if ($QUESTION_ANSWERED{$ans} == 5) {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi5$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" checked name =\"$quest\" value=\"5\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'5\'\)\" id=\"radi5$index\">  $standard[4]</label></TD></TR>\n";
                                        }
                                else {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi5$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"5\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'5\'\)\" id=\"radi5$index\">  $standard[4]</label></TD></TR>\n";
                                        }
                                }
                        }
                        
                else {
                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi1$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"1\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'1\'\)\" id=\"radi1$index\">  $standard[0]</label></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"<label for=\"radi2$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"2\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'2\'\)\" id=\"radi2$index\">  $standard[1]</label></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi3$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"3\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'3\'\)\" id=\"radi3$index\">  $standard[2]</label></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi4$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"4\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'4\'\)\" id=\"radi4$index\">  $standard[3]</label></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi5$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"5\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'5\'\)\" id=\"radi5$index\">  $standard[4]</label></TD></TR>\n";
                        }
                print"</TABLE>\n";
                }
        }

#####################
#
# PRINT_OUT_QUESTION_ANSWERS_NEXT_RESUME
#
#####################
sub print_out_question_answers_next_resume {
        my %QUESTIONS = @_;
        my $index = $QUESTIONS{index};
        my $quest = $QUESTIONS{quest};
        my $i;
        my $key = $QUESTIONS{key};

        if ($QUESTIONS{type} eq"TF") {
                #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered_resume("query","select quest_no,answer from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\"");

                #already answered, show their answer
                if(defined $QUESTION_ANSWERED{$quest} && $QUESTION_ANSWERED{$quest} ne"") {
                        if($QUESTION_ANSWERED{$quest} eq"T") {
                                print" <TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\;\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'T\'\)\" id=\"radio$key\" checked> $LANGUAGE{$set_language}{True} </label><label for=\"radiox$key\"> &nbsp\;<input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'F\'\)\" id=\"radiox$key\"> $LANGUAGE{$set_language}{False}</label></TD></TR></TABLE>\n";
                                }
                        else {
                                print" <TABLE><TR><TD width=\"50\" ></TD><TD  style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'T\'\)\" id=\"radio$key\"> $LANGUAGE{$set_language}{True} </label> &nbsp\;<label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'F\'\)\" id=\"radiox$key\" checked> $LANGUAGE{$set_language}{False}</label></TD></TR></TABLE>\n";
                                }
                        }
                else {
                        print" <TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'T\'\)\" id=\"radio$key\"> $LANGUAGE{$set_language}{True} &nbsp\;</label><label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'F\'\)\" id=\"radiox$key\"> $LANGUAGE{$set_language}{False}</label></TD></TR></TABLE>\n";
                        }
                }

        elsif ($QUESTIONS{type} eq"YN") {
                #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\""); 
                
                #already answered, show their answer
                if(defined $QUESTION_ANSWERED{$quest} && $QUESTION_ANSWERED{$quest} ne"") {
                        if($QUESTION_ANSWERED{$quest} eq"Y") {
                                print" <TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 10pt\; vertical-align:middle\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'Y\'\)\" id=\"radio$key\" checked> $LANGUAGE{$set_language}{Yes} &nbsp\;</label><label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'N\'\)\" id=\"radiox$key\"> $LANGUAGE{$set_language}{No}</label></TD></TR></TABLE>\n";
                                }
                        else {
                                print" <TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 10pt\; vertical-align:middle\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'Y\'\)\" id=\"radio$key\"> $LANGUAGE{$set_language}{Yes} &nbsp\;</label><label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'N\'\)\" id=\"radiox$key\" checked> $LANGUAGE{$set_language}{No}</label></TD></TR></TABLE>\n";
                                }
                        }
                else {
                        print" <TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 10pt\; vertical-align:middle\"><label for=\"radio$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'Y\'\)\" id=\"radio$key\"> $LANGUAGE{$set_language}{Yes} &nbsp\;</label><label for=\"radiox$key\"><input type =\"radio\" class=\"larger\" name =\"$quest\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'N\'\)\" id=\"radiox$key\"> $LANGUAGE{$set_language}{No}</label></TD></TR></TABLE>\n";
                        }
                }
                  				
        elsif ($QUESTIONS{type} eq"SA") {
                #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\"");
                
                #already answered, show their answer
                if(defined $QUESTION_ANSWERED{$quest} && $QUESTION_ANSWERED{$quest} ne"") {
                        print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize\:none\;\" name=\"sa$quest\" maxlength=\"70\" value=\"$QUESTION_ANSWERED{$quest}\"></TD></TR>\n";
                        }
                else {
                        print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize\:none\;\" name=\"sa$quest\" maxlength=\"70\" value=\"\"></TD></TR>\n";
                        }
                print" <TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'sa$quest\'\)\"></TD></TR></TABLE>\n";
                }
                  							
        elsif ($QUESTIONS{type} eq"P") {
                #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\"");
                
                #already answered, show their answer
                if(defined $QUESTION_ANSWERED{$quest} && $QUESTION_ANSWERED{$quest} ne"") {
                        print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" style=\"resize\:none\; overflow:auto\;\" cols=\"60\" name=\"p$quest\" maxlength=\"700\" value=\"\">$QUESTION_ANSWERED{$quest}</textarea></TD></TR>\n";
                        }
                else {
                        print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" style=\"resize\:none\; overflow:auto\;\" cols=\"60\" name=\"p$quest\" maxlength=\"700\" value=\"\"></textarea></TD></TR>\n";
                        }
                print" <TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$quest\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'p$quest\'\)\"></TD></TR></TABLE>\n";
                }
                  							
        elsif ($QUESTIONS{type} eq"MC") {
                #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\"");
                        
                &mc_display_answers_qst("number","$quest","kolum","$QUESTIONS{kolum}","index","$index","type","$QUESTIONS{type}","branch","$QUESTIONS{branch}","their_answer","$QUESTIONS{answer}","ans_mode","$QUESTIONS{ans_mode}");
                }     
                
        elsif ($QUESTIONS{type} eq"MA") {
                 #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\"");

                &ma_display_answers_qst("number","$quest","kolum","$QUESTIONS{kolum}","index","$index","type","$QUESTIONS{type}","branch","$QUESTIONS{branch}","their_answer","$QUESTIONS{answer}","ans_mode","$QUESTIONS{ans_mode}");
                }

	elsif ($QUESTIONS{type} eq"MX") { # Matching Question
                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$quest\" AND c_answer = 0");
                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$quest\" AND c_answer = 1");
                my @mx_string;
                
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\"  AND qst=\"$QUESTIONS{qst}\" AND attempt=\"$QUESTIONS{attempt}\"");

                my %MX = ();
                my $myans;
                my $mx;

                #already answered
                if(defined $QUESTION_ANSWERED{$quest} && $QUESTION_ANSWERED{$quest} ne"") {
                        my @new = split(/\n/,$QUESTION_ANSWERED{$quest});
                        foreach my $a(@new) {
                                my @ans = split(/=/,$a);
                                $MX{$ans[0]} = $ans[1];
                                $myans = "$ans[0]"."|"."$ans[1]".","."$myans";
                                }
                        }
                
                for (my $i = 1; $i <= $mx_num; $i++){ 
                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                $mx = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}".","."$mx";
                                }
                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                $mx = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}".","."$mx";
                                }
                        else { # no matching text
                                delete($RETURN_MX_MATCHING{$i});
                                }
			}
			
                push(@mx_string,'question_number');
                push(@mx_string,$quest);
                push(@mx_string,'index');
                push(@mx_string,$index);

		for (my $i = 1; $i <= $mx_num; $i++){ 
			my $select = "select$i";
			push(@mx_string,'select');
			push(@mx_string,$i);
			if (defined $RETURN_MX_TEXT{$i}{answer}) {
                                print"<TABLE> <TR><TD width=\"50\"></TD>\n";
                                print"<TD style=\"vertical-align:middle\;\"><textarea class=\"show_mx_ans\" style=\"resize:none\; overflow:auto\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"1\" cols=\"20\" readonly>$RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD style=\"vertical-align:top\;\">\n";

                                if(defined $MX{$i}) {
                                        my $selmx ="selectmx"."$quest"."$i";
                                        print"<select name=\"$selmx\" id=\"$selmx\" onchange=\"enterMX($selmx)\">\n";
                                        
                                        # show their answers
                                        &print_mx_select_with_answers_next("mx","$mx","myans","$myans","select","$i","question_number","$quest","index","$index");
                                        }
                                else {
                                        my $select = "select"."mx"."$quest"."$i";
                                        print"<select name=\"$select\" id=\"$select\" onchange=\"enterMX($select)\">\n";
                                        &print_mx_select(@mx_string);
                                        }
                                        
                                print"</select></TD></TR></TABLE>\n";
				}
			}
		}

        elsif ($QUESTIONS{type} eq"AD") {
                 #see if they have already answered
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$quest\" AND attempt=\"$QUESTIONS{attempt}\" and qst=\"$QUESTIONS{qst}\"");
                
                print"<TABLE>\n";
                
                if (keys %QUESTION_ANSWERED) {
                        foreach my $ans(keys %QUESTION_ANSWERED) {
                                if ($QUESTION_ANSWERED{$ans} == 1) {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi1$index\" STYLE=\"cursor:pointer\"><input type =\"radio\"  checked name =\"$quest\" value=\"1\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'1\'\)\" id=\"radi1$index\">  $standard[0]</label></TD></TR>\n";
                                        }
                                else {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi1$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"1\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'1\'\)\" id=\"radi1$index\">  $standard[0]</label></TD></TR>\n";
                                        }
                                
                                if ($QUESTION_ANSWERED{$ans} == 2) {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"<label for=\"radi2$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" checked name =\"$quest\" value=\"2\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'2\'\)\" id=\"radi2$index\">  $standard[1]</label></TD></TR>\n";
                                        }
                                else {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"<label for=\"radi2$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"2\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'2\'\)\" id=\"radi2$index\">  $standard[1]</label></TD></TR>\n";
                                        }
                                
                                if ($QUESTION_ANSWERED{$ans} == 3) {
                                         print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi3$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" checked name =\"$quest\" value=\"3\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'3\'\)\" id=\"radi3$index\">  $standard[2]</label></TD></TR>\n";
                                        }
                                else {
                                         print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi3$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"3\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'3\'\)\" id=\"radi3$index\">  $standard[2]</label></TD></TR>\n";
                                        }
                                
                                if ($QUESTION_ANSWERED{$ans} == 4) {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi4$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" checked name =\"$quest\" value=\"4\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'4\'\)\" id=\"radi4$index\">  $standard[3]</label></TD></TR>\n";
                                        }
                                else {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi4$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"4\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'4\'\)\" id=\"radi4$index\">  $standard[3]</label></TD></TR>\n";
                                        }
                                
                                if ($QUESTION_ANSWERED{$ans} == 5) {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi5$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" checked name =\"$quest\" value=\"5\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'5\'\)\" id=\"radi5$index\">  $standard[4]</label></TD></TR>\n";
                                        }
                                else {
                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi5$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"5\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'5\'\)\" id=\"radi5$index\">  $standard[4]</label></TD></TR>\n";
                                        }
                                }
                        }
                        
                else {
                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi1$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"1\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'1\'\)\" id=\"radi1$index\">  $standard[0]</label></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"<label for=\"radi2$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"2\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'2\'\)\" id=\"radi2$index\">  $standard[1]</label></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi3$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"3\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'3\'\)\" id=\"radi3$index\">  $standard[2]</label></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi4$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"4\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'4\'\)\" id=\"radi4$index\">  $standard[3]</label></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><label for=\"radi5$index\" STYLE=\"cursor:pointer\"><input type =\"radio\" name =\"$quest\" value=\"5\" onClick=\"activated_this\(\'$index\',\'$quest\',\'$QUESTIONS{type}\',\'5\'\)\" id=\"radi5$index\">  $standard[4]</label></TD></TR>\n";
                        }
                print"</TABLE>\n";
                }
        }

#######################
#
# GET_FOLDERS (for manage files)
#
#######################
sub get_folders {
	my %GF = @_;
	$GF{expand} =~ s/[^0-9,]//g;
	my @expand = split(/,/,$GF{expand});
	my $value = shift(@expand);
	
	print"<DL>\n";
	if ($value != 0) {
		print"<a href=\"Javascript:sub_form\(\'0\'\)\">$image5</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\"> $LANGUAGE{$set_language}{Files}</B><span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'1\',\'$LANGUAGE{$set_language}{MYQSTFiles}\',\'1\',\'1\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'1\',\'$LANGUAGE{$set_language}{MYQSTFiles}\',\'1\',\'1\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{UploadaFile}</td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_file\(\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR></TABLE></span>\n";
		++$dis;
		
 		&get_other_folders("expand","$GF{expand}","expanded","1","name","$LANGUAGE{$set_language}{MYQSTFiles}","org_id","$GF{org_id}","u_id","$GF{u_id}","session_id","$GF{session_id}");
 		
		&get_files("number","1","expand","$GF{expand}","name","$LANGUAGE{$set_language}{MYQSTFiles}","parent","1","expand","1","org_id","$GF{org_id}","u_id","$GF{u_id}","session_id","$GF{session_id}");
		}
	else {
		print"<a href=\"javascript:sub_form\(\'1\'\)\">$image4</a> <B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\"> $LANGUAGE{$set_language}{Files}</B><span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'1\',\'$LANGUAGE{$set_language}{MYQSTFiles}\',\'1\',\'1\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'1\',\'$LANGUAGE{$set_language}{MYQSTFiles}\',\'1\',\'1\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{UploadaFile}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_file\(\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR></TABLE></span>\n";
		++$dis;
		}
	}

#######################
#
# GET_BANK_FOLDERS (for manage bank files)
#
#######################
sub get_bank_folders {
	my %GF = @_;
	$GF{expand} =~ s/[^0-9,]//g;
	my @expand = split(/,/,$GF{expand});
	my $value = shift(@expand);
        my $return = &select10("query","SELECT number from file_folders WHERE parent=\"0\" AND org_id=\"$org_id\" AND u_id=\"0\"");

	print"<DL>\n";
	if ($value != 0) {
		print"<a href=\"Javascript:sub_form\(\'0\'\)\">$image5</a> <B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$LANGUAGE{$set_language}{QSTFiles}</B><span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$return\',\'$LANGUAGE{$set_language}{QSTFiles}\',\'$return\',\'$return\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR></TABLE></span>\n";

		++$dis;
		
 		&get_other_bank_folders("expand","$GF{expand}","expanded","$return","name","$LANGUAGE{$set_language}{QSTFiles}","org_id","$GF{org_id}","u_id","$GF{u_id}","session_id","$GF{session_id}");
 		
		&get_bank_files("number","1","expand","$GF{expand}","name","$LANGUAGE{$set_language}{QSTFiles}","parent","1","expand","1","org_id","$GF{org_id}","u_id","$GF{u_id}","session_id","$GF{session_id}");
		}
	else {
		print"<a href=\"javascript:sub_form\(\'$return\'\)\">$image4</a> <B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$LANGUAGE{$set_language}{QSTFiles}</B><span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$return\',\'$LANGUAGE{$set_language}{QSTFiles}\',\'$return\',\'$return\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR></TABLE></span>\n";

		++$dis;
		}
	}

#######################
#
# VIEW_SELECT_GET_FOLDERS
#
#######################
sub view_select_get_folders {
	my %VSGF = @_;
	$VSGF{expand} =~ s/[^0-9,]//g;
	my @expand = split(/,/,$VSGF{expand});
	my $value = shift(@expand);
	my $spacing = 20 + $VSGF{spacing};
	my $drop_down_spacing = 25 + $spacing;

	print"<DL>\n";
	if ($value != 0) {
		print"<a href=\"Javascript:sub_form\(\'0\'\)\">$image5</a> <B>$LANGUAGE{$set_language}{MYQSTFiles}</B>\n";
		++$dis;
		
 		&view_select_get_other_folders("expand","$VSGF{expand}","expanded","1","name","$LANGUAGE{$set_language}{MYQSTFiles}","u_id","$VSGF{u_id}","session_id","$VSGF{session_id}");
 		
		&view_select_get_files("number","1","expand","$VSGF{expand}","name","$LANGUAGE{$set_language}{MYQSTFiles}","parent","1","expand","1","u_id","$VSGF{u_id}","session_id","$VSGF{session_id}");
		}
	else {
		print"<a href=\"javascript:sub_form\(\'1\'\)\">$image4</a> <B>$LANGUAGE{$set_language}{MYQSTFiles}</B>\n";
		++$dis;
		}
	}

#######################
#
# VIEW_SELECT_GET_BANK_FOLDERS
#
#######################
sub view_select_get_bank_folders {
	my %VSGF = @_;
	$VSGF{expand} =~ s/[^0-9,]//g;
	my @expand = split(/,/,$VSGF{expand});
	my $value = shift(@expand);
	my $spacing = 20 + $VSGF{spacing};
	my $drop_down_spacing = 25 + $spacing;

        my $return = &select10("query","SELECT number from file_folders WHERE parent=\"0\" AND org_id=\"$org_id\" AND u_id=\"0\"");

	print"<DL>\n";
	if ($value != 0) {
		print"<a href=\"Javascript:sub_form\(\'0\'\)\">$image5</a> <B>$LANGUAGE{$set_language}{QSTFiles}</B>\n";
		++$dis;
		
 		&view_select_get_other_bank_folders("expand","$VSGF{expand}","expanded","$return","name","$LANGUAGE{$set_language}{QSTFiles}","u_id","$VSGF{u_id}","session_id","$VSGF{session_id}");
 		
		&view_select_get_bank_files("number","$return","expand","$VSGF{expand}","name","$LANGUAGE{$set_language}{QSTFiles}","parent","1","expand","$return","u_id","$VSGF{u_id}","session_id","$VSGF{session_id}");
		}
	else {
		print"<a href=\"javascript:sub_form\(\'$return\'\)\">$image4</a> <B>$LANGUAGE{$set_language}{QSTFiles}</B>\n";
		++$dis;
		}
	}

###########
#
# GET_OTHER_FOLDERS (for manage files)
#
###########
sub get_other_folders {
	my %GOC = @_;
	$GOC{org_id} =~ s/\D//g;
	$GOC{expand} =~ s/[^0-9,]//g;
	my @expand = split(/,/,$GOC{expand});
	my $value = shift(@expand);
	my ($value1) = @expand;
	my $spacing = 20 + $GOC{spacing};
	my $drop_down_spacing = 25 + $spacing;
	$value =~ s/\D//g;
	my $error = 0;
	$error = &check_many_length_return("$value","10","spacing","10");
        if ($error != 1) {
		my %RETURN = ();
		%RETURN = &select11("query","SELECT number,name,type from file_folders WHERE parent=\"$value\" AND u_id=\"$ids\"");
		my $size = keys %RETURN;
		if ($size >= 1) {
			print"\n";
			foreach my $key(sort keys %RETURN) {
				my $name = "$RETURN{$key}{name}";
     				$RETURN{$key}{name} =~ s/\"/&\#34/g;
        			$RETURN{$key}{name} =~ s/\'/&\\\#39/g;
				$RETURN{$key}{name} =~ s/\</&\\\#60/g;
            			$RETURN{$key}{name} =~ s/\>/&\\\#62/g;
				my $new_folder = "$GOC{expanded}".","."$key";
				if($key == $value1) {
					print"<TABLE name=\"table1\"><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$GOC{expanded}\'\)\">$image5</a> <B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$name</B></TD></TABLE><span ID=\"display$dis\" style=\"display\:none\"><table ><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$GOC{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{UploadaFile} </td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'3\',\'$key\',\'$GOC{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Delete}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'1\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Rename}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_file\(\'$key\',\'$new_folder\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR></TABLE></span>\n";
					++$dis;
					my $new_expand = "@expand";
					$new_expand =~ s/\s/\,/g;
 					&get_other_folders("expand","$new_expand","expanded","$new_folder","name","$name","spacing","$spacing","org_id","$GOC{org_id}","u_id","$GOC{u_id}","session_id","$GOC{session_id}");
					&get_files("number","$key","expand","$new_folder","spacing","$spacing","org_id","$GOC{org_id}","u_id","$GOC{u_id}","session_id","$GOC{session_id}");
					}
				else {
					print"<TABLE><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$new_folder\'\)\">$image4</a> <B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$name</B></TD></TABLE><span ID=\"display$dis\" style=\"display\:none\"><table ><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$GOC{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{UploadaFile} </td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'3\',\'$key\',\'$GOC{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Delete}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'1\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$GOC{expanded}\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Rename}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_file\(\'$key\',\'$new_folder\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></a></td></TR></TABLE></span>\n";
					++$dis;
					}
				}
			}
		}
	}

###########
#
# GET_OTHER_BANK_FOLDERS (for manage files)
#
###########
sub get_other_bank_folders {
	my %GOC = @_;
	$GOC{org_id} =~ s/\D//g;
	$GOC{expand} =~ s/[^0-9,]//g;
	my @expand = split(/,/,$GOC{expand});
	my $value = shift(@expand);
	my ($value1) = @expand;
	my $spacing = 20 + $GOC{spacing};
	my $drop_down_spacing = 25 + $spacing;
	$value =~ s/\D//g;
	my $error = 0;
	$error = &check_many_length_return("$value","10","spacing","10");
        if ($error != 1) {
		my %RETURN = ();
		%RETURN = &select11("query","SELECT number,name,type from file_folders WHERE parent=\"$value\" AND u_id=\"0\" AND org_id=\"$org_id\"");
		my $size = keys %RETURN;
		if ($size >= 1) {
			print"\n";
			foreach my $key(sort keys %RETURN) {
				my $name = "$RETURN{$key}{name}";
     				$RETURN{$key}{name} =~ s/\"/&\#34/g;
        			$RETURN{$key}{name} =~ s/\'/&\\\#39/g;
				$RETURN{$key}{name} =~ s/\</&\\\#60/g;
            			$RETURN{$key}{name} =~ s/\>/&\\\#62/g;
				my $new_folder = "$GOC{expanded}".","."$key";
				if($key == $value1) {
					print"<TABLE name=\"table1\"><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$GOC{expanded}\'\)\">$image5</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$name</B></TD></TR></TABLE><span ID=\"display$dis\" style=\"display\:none\"><table ><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$GOC{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{UploadaFile} </td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'3\',\'$key\',\'$GOC{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Delete}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'1\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Rename}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_file\(\'$key\',\'$new_folder\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR></TABLE></span>\n";
					++$dis;
					my $new_expand = "@expand";
					$new_expand =~ s/\s/\,/g;
 					&get_other_bank_folders("expand","$new_expand","expanded","$new_folder","name","$name","spacing","$spacing","org_id","$GOC{org_id}","u_id","$GOC{u_id}","session_id","$GOC{session_id}");
					&get_bank_files("number","$key","expand","$new_folder","spacing","$spacing","org_id","$GOC{org_id}","u_id","$GOC{u_id}","session_id","$GOC{session_id}");
					}
				else {
					print"<TABLE name=\"table1\"><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$new_folder\'\)\">$image4</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$name</B></TD></TR></TABLE><span ID=\"display$dis\" style=\"display\:none\"><table ><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$GOC{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{UploadaFile} </td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'3\',\'$key\',\'$GOC{name}\',\'$GOC{parent}\',\'$new_folder\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Delete}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'1\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$GOC{expanded}\',\'5\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Rename}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_file\(\'$key\',\'$new_folder\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR></TABLE></span>\n";
					++$dis;
					}
				}
			}
		}
	}

##########################
#
# VIEW_SELECT_GET_OTHER_FOLDERS
#
#########################
sub view_select_get_other_folders {
	my %VSGOF = @_;
	$VSGOF{expand} =~ s/[^0-9,]//g;
	my @expand = split(/,/,$VSGOF{expand});
	my $value = shift(@expand); #must check length
	my ($value1) = @expand;
	my $spacing = 20 + $VSGOF{spacing};
	my $drop_down_spacing = 25 + $spacing;

	my %RETURN = ();
	%RETURN = &select11("query","SELECT number,name,type from file_folders WHERE parent=\"$value\" AND u_id=\"$ids\"");
 	my $size = keys %RETURN;
	if ($size >= 1) {
		foreach my $key(sort keys %RETURN) {
			my $name = "$RETURN{$key}{name}";
     		      	$RETURN{$key}{name} =~ s/\"/&\#34/g;
        		$RETURN{$key}{name} =~ s/\'/&\\\#39/g;
			$RETURN{$key}{name} =~ s/\</&\\\#60/g;
            		$RETURN{$key}{name} =~ s/\>/&\\\#62/g;
			my $new_folder = "$VSGOF{expanded}".","."$key";
			if($key == $value1) {
				print"<TABLE><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$VSGOF{expanded}\'\)\">$image5</a> <B>$name</B></TD></TABLE>\n";
				++$dis;
				my $new_expand = "@expand";
				$new_expand =~ s/\s/\,/g;
 				&view_select_get_other_folders("expand","$new_expand","expanded","$new_folder","name","$name","spacing","$spacing","u_id","$VSGOF{u_id}","session_id","$VSGOF{session_id}");
				&view_select_get_files("number","$key","expand","$new_folder","spacing","$spacing","u_id","$VSGOF{u_id}","session_id","$VSGOF{session_id}");
				}
			else {
				print"<TABLE><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$new_folder\'\)\">$image4</a> <B>$name</B></TD></TABLE>\n";
				++$dis;
				}
			}
		}
	}

##########################
#
# VIEW_SELECT_GET_OTHER_BANK_FOLDERS
#
#########################
sub view_select_get_other_bank_folders {
	my %VSGOF = @_;
	$VSGOF{expand} =~ s/[^0-9,]//g;
	my @expand = split(/,/,$VSGOF{expand});
	my $value = shift(@expand); #must check length
	my ($value1) = @expand;
	my $spacing = 20 + $VSGOF{spacing};
	my $drop_down_spacing = 25 + $spacing;

	my %RETURN = ();
	%RETURN = &select11("query","SELECT number,name,type from file_folders WHERE parent=\"$value\" AND org_id=\"$org_id\" AND u_id=\"0\"");
 	my $size = keys %RETURN;
	if ($size >= 1) {
		foreach my $key(sort keys %RETURN) {
			my $name = "$RETURN{$key}{name}";
     		      	$RETURN{$key}{name} =~ s/\"/&\#34/g;
        		$RETURN{$key}{name} =~ s/\'/&\\\#39/g;
			$RETURN{$key}{name} =~ s/\</&\\\#60/g;
            		$RETURN{$key}{name} =~ s/\>/&\\\#62/g;
			my $new_folder = "$VSGOF{expanded}".","."$key";
			if($key == $value1) {
				print"<TABLE><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$VSGOF{expanded}\'\)\">$image5</a> <B STYLE=\"font-family:Arial\; font-size:11pt\;\">$name</B></TD></TABLE>\n";
				++$dis;
				my $new_expand = "@expand";
				$new_expand =~ s/\s/\,/g;
 				&view_select_get_other_bank_folders("expand","$new_expand","expanded","$new_folder","name","$name","spacing","$spacing","u_id","$VSGOF{u_id}","session_id","$VSGOF{session_id}");
				&view_select_get_bank_files("number","$key","expand","$new_folder","spacing","$spacing","u_id","$VSGOF{u_id}","session_id","$VSGOF{session_id}");
				}
			else {
				print"<TABLE><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$new_folder\'\)\">$image4</a> <B STYLE=\"font-family:Arial\; font-size:11pt\;\">$name</B></TD></TABLE>\n";
				++$dis;
				}
			}
		}
	}


################
#
# GET_FILES
#
################
sub get_files {
	my %GF = @_;
	$GF{number} =~ s/\D//g;
	$GF{spacing} =~ s/\D//g;
	my $spacing = 25 + $GF{spacing};
	my $drop_down_spacing = 25 + $spacing;
	my $error = 0;
	$error = &check_many_length_return("$GF{number}","10","spacing","10");

        if ($error != 1) {
		my %RETURN = &select4("query","SELECT number,file_name from qst_files WHERE parent=\"$GF{number}\" and u_id=\"$ids\"");
		if (keys %RETURN) {
			foreach my $key(keys %RETURN) {
				my $name = "$RETURN{$key}";
	       	     		$name =~ s/\"/&\#34/g;
        	    		$name =~ s/\'/&\\\#39/g;
        	      		$name =~ s/\</&\\\#60/g;
        			$name =~ s/\>/&\\\#62/g;
				print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><font STYLE=\"cursor: pointer\; font-family:Arial\; font-size:11pt\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\"> - $name</font></TD></TABLE>\n
				<span ID=\"display$dis\" style=\"display\:none\"><table>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\"  onClick=\"create_rename_handler\(\'2\',\'$key\',\'$name\',\'$GF{number}\',\'$GF{expand}\',\'6\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"> $LANGUAGE{$set_language}{Rename} </font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\"  onClick=\"file_descrip_handler\(\'2\',\'$key\',\'$name\',\'$GF{number}\',\'$GF{expand}\',\'6\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"> $LANGUAGE{$set_language}{Filedescrip} </font></td></TR>
				<tr><TD width=\"30\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'3\',\'$key\',\'$GF{name}\',\'$GF{number}\',\'$GF{expand}\',\'6\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Delete}</font></td></TR>\n";
				
				if($name =~ /pdf$/i) {
					print"<tr><TD width=\"30\"></TD><TD STYLE=\"cursor: pointer\;\" onclick=\"window.open('/schools/qst_files/$key\.pdf','new_windo','width=700,height=800')\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{View}</a></font></td></TR>\n";
					}
				else {
					print"<tr><TD width=\"30\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'1\',\'$key\',\'$GF{name}\',\'$GF{number}\',\'$GF{expand}\',\'$dis\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{View}</font></td></TR>\n";
					}
				print"<tr><TD width=\"30\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'5\',\'$key\',\'$GF{name}\',\'$GF{number}\',\'$GF{expand}\',\'6\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Copy}</font></td></TR></TABLE></span>\n";
				++$dis;
				}
			}
		}
	}


################
#
# GET_BANK_FILES
#
################
sub get_bank_files {
	my %GF = @_;
	$GF{number} =~ s/\D//g;
	$GF{spacing} =~ s/\D//g;
	my $spacing = 20 + $GF{spacing};
	my $drop_down_spacing = 25 + $spacing;
	my $error = 0;
	$error = &check_many_length_return("$GF{number}","10","spacing","10");

        if ($error != 1) {
		my %RETURN = &select4("query","SELECT number,file_name from qst_files WHERE parent=\"$GF{number}\" and org_id=\"$org_id\" AND u_id=\"0\"");
		if (keys %RETURN) {
			foreach my $key(keys %RETURN) {
				my $name = "$RETURN{$key}";
	       	     		$name =~ s/\"/&\#34/g;
        	    		$name =~ s/\'/&\\\#39/g;
        	      		$name =~ s/\</&\\\#60/g;
        			$name =~ s/\>/&\\\#62/g;
				print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><font STYLE=\"cursor: pointer\; font-family:Arial\; font-size:11pt\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\"> - $name</font></TD></TABLE>\n
				<span ID=\"display$dis\" style=\"display\:none\"><table>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\"  onClick=\"create_rename_handler\(\'2\',\'$key\',\'$name\',\'$GF{number}\',\'$GF{expand}\',\'6\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"> $LANGUAGE{$set_language}{Rename} </font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\"  onClick=\"file_descrip_handler\(\'2\',\'$key\',\'$name\',\'$GF{number}\',\'$GF{expand}\',\'6\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"> $LANGUAGE{$set_language}{Filedescrip} </font></td></TR>
				<tr><TD width=\"30\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'3\',\'$key\',\'$GF{name}\',\'$GF{number}\',\'$GF{expand}\',\'6\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Delete}</font></td></TR>
				<tr><TD width=\"30\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'1\',\'$key\',\'$GF{name}\',\'$GF{number}\',\'$GF{expand}\',\'$dis\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{View}</font></td></TR>
				<tr><TD width=\"30\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\" onClick=\"create_rename_handler\(\'5\',\'$key\',\'$GF{name}\',\'$GF{number}\',\'$GF{expand}\',\'6\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Copy}</font></td></TR></TABLE></span>\n";
				++$dis;
				}
			}
		}
	}


################
#
# VIEW_SELECT_GET_FILES
#
################
sub view_select_get_files {
	my %VSGF = @_;
	$VSGF{number} =~ s/\D//g; #must check length
	my $spacing = 20 + $VSGF{spacing};
	my %RETURN = &select_files_in_folder("parent","$VSGF{number}");
	if (keys %RETURN) {
		foreach my $key(sort keys %RETURN) {
			my $name = "$RETURN{$key}{file_name}";
			my($front,$extension) = split(/\./,$name);
       	     		$name =~ s/\"/&\#34/g;
        	    	$name =~ s/\'/&\\\#39/g;
        	      	$name =~ s/\</&\\\#60/g;
        		$name =~ s/\>/&\\\#62/g;
			print"<TABLE><TD width=\"$spacing\"></TD><TD><input type=\"checkbox\" onClick=\"select_file(\'$key\',\'$name\',\'$extension\',\'$RETURN{$key}{filedescrip}\')\">&nbsp\; <TD STYLE=\"cursor\: pointer \" onClick=\"view_file_handler\(\'$key\'\)\">$image20</TD><TD TYLE=\"font-family:Arial\; font-size:11pt\;\">&nbsp\; $name</TD></TABLE>\n";
			++$dis;
			}
		}
	}

################
#
# VIEW_SELECT_GET_BANK_FILES
#
################
sub view_select_get_bank_files {
	my %VSGF = @_;
	$VSGF{number} =~ s/\D//g; #must check length
	my $spacing = 20 + $VSGF{spacing};
	my %RETURN = &select_files_in_folder_bank("parent","$VSGF{number}");

	if (keys %RETURN) {
		foreach my $key(sort keys %RETURN) {
			my $name = "$RETURN{$key}{file_name}";
			my($front,$extension) = split(/\./,$name);
       	     		$name =~ s/\"/&\#34/g;
        	    	$name =~ s/\'/&\\\#39/g;
        	      	$name =~ s/\</&\\\#60/g;
        		$name =~ s/\>/&\\\#62/g;
			print"<TABLE><TD width=\"$spacing\"></TD><TD><input type=\"checkbox\" STYLE=\"cursor\: pointer\" onClick=\"select_file(\'$key\',\'$name\',\'$extension\',\'$RETURN{$key}{filedescrip}\')\">&nbsp\; </TD><TD STYLE=\"cursor\: pointer \" onClick=\"view_file_handler\(\'$key\'\)\">$image20</TD><TD STYLE=\"font-family:Arial\; font-size:11pt\;\">&nbsp\; $name</TD></TABLE>\n";
			++$dis;
			}
		}
	}

####################
#
# GET_INSTRUCTORS_CLASSES
#
####################
sub get_instructors_classes {
	my %GIC = @_;
	$GIC{type} =~ s/\D//g; #must check length
	my $spacing ="&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
 	my $drop_down_spacing = 24 + $GIC{drop_down_spacing};

	if (keys %{$USER{$ids}}) {
      		foreach my $key (sort keys %{$USER{$ids}}) {
			if ($GIC{open_class} == $key) {
				print"<BR>$spacing<a href=\"javascript\:show_classes\(\'1\',\'\'\)\">$image5</a> <B STYLE=\"cursor: pointer\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$USER{$ids}{$key}</B><span ID=\"display$dis\" style=\"display\:none\"><table >
				<tr><TD width=\"$GIC{drop_down_spacing}\"></TD><TD width=100 STYLE=\"cursor: pointer\" onClick=\"copy_quiz_to_class\(\'$key\',\'\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(display$dis)\">$LANGUAGE{$set_language}{Paste}</font></td></TR></TABLE></span>\n";
				++$dis;
				
				&get_class_qst("drop_down_spacing","$drop_down_spacing","number","$key","type","$GIC{type}","open_class","$key","name","$USER{$ids}{$key}","u_id","$GIC{u_id}","session_id","$GIC{session_id}");
				}
			else {
				print"<BR>$spacing<a href=\"javascript\:show_classes\(\'1\',\'$key\'\)\">$image4</a> <B STYLE=\"cursor: pointer\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$USER{$ids}{$key}</B><span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"$GIC{drop_down_spacing}\"></TD><TD width=100 STYLE=\"cursor: pointer\" onClick=\"copy_quiz_to_class\(\'$key\',\'\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(display$dis)\">$LANGUAGE{$set_language}{Paste}</font></td></TR></TABLE></span>\n";
				++$dis;
				}
			}
            	}
	}

################
#
# GET_CLASS_QST
#
################
sub get_class_qst {
	my %GQ = @_;
	$GQ{number} =~ s/\D//g; #must check length
	$GQ{type} =~ s/\D//g; #must check length
	$GQ{drop_down_spacing} =~ s/\D//g; #must check length
	my $spacing ="&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
	my $drop_down_spacing = 80 + $GQ{drop_down_spacing};

	my %RETURN = &select4("query","SELECT qst,class_id from qst_to_classes WHERE class_id=\"$GQ{number}\" AND type=\"$GQ{type}\"");
	if (keys %RETURN) {
		my $select;
		my $i = 1;
		my $good_to_change;
		foreach my $key(keys %RETURN) {
			if($i == 1) {
				$select = "number=$key";
				++$i;
				}
			else {
				$select = "$select"." OR number=$key";
				}
			}
			
		my %QST = &select_qst("query","select number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE $select AND u_id=\"$ids\"");
		
		my %RETURN1 = &select1("query","select qst from posted_qst WHERE class_id=\"$GQ{number}\" AND posted=\"1\"");
		foreach my $key(sort keys %QST) {
			#see if anyone has started qst
			my $good_to_change = &select10("query","SELECT qst from qsts WHERE qst=\"$key\" LIMIT 1");
			if($good_to_change == $key) {
				$good_to_change = "x"; # students have already started
				}
			print"<BR>$spacing\n";
			
			if(defined $RETURN1{$key}) {
				print"$image16\n";
				}
			else {
				print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;\n";
				}
				
			if ($QST{$key}{random_q} != 0) {
				print"$image13 \n";
				}
			elsif ($QST{$key}{random_order} != 0){
				print"$image14 \n";
				}
			else {
				print"$image10 \n";
				}
				
			if($QST{$key}{type} != 2) {
                                if($QST{$key}{branching} == 1) {
                                        print"&nbsp\;<B style=\"cursor:pointer\;\" data-toggle=\"tooltip\" title=\"Branching questions\">&nbsp\;$image22 </B><font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">&nbsp\; $QST{$key}{name}</font>\n";
                                        }
                                else {
                                        print"<font align=\"top\" size=\"-1\"><B>$QST{$key}{questions}<font color=\"#FF3300\">\?</font> $QST{$key}{marks}$image15</B> </font><font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">&nbsp\; $QST{$key}{name}</font>\n";
                                        }
				}
			else {
                                if($QST{$key}{branching} == 1) {
                                        print"&nbsp\;<B style=\"cursor:pointer\;\" data-toggle=\"tooltip\" title=\"Branching questions\">&nbsp\;$image22 </B><font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">&nbsp\; $QST{$key}{name}</font>\n";
                                        }
                                else {
                                        print"<font align=\"top\" size=\"-1\"><B>$QST{$key}{questions}<font color=\"#FF3300\">\?</font></B> </font><font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">&nbsp\; $QST{$key}{name}</font>\n";
                                        }
				}
				
			print"<span ID=\"display$dis\" style=\"display\:none\"><table>
			<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'2\',\'$key\',\'$QST{$key}{name}\',\'$good_to_change\',\'-$GQ{open_class}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\" color=\"\#222222\" size=\"-1\"> $LANGUAGE{$set_language}{Change} </font></td>
			<td width=\"3\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'6\',\'$key\',\'$QST{$key}{name}\',\'$GQ{parent}\',\'\',\'$GQ{type}\',\'1\',\'$GQ{number}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\" color=\"\#888888\" size=\"-1\"><center>$LANGUAGE{$set_language}{Rename} </center></font></td></TR>
			<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'5\',\'$key\',\'$QST{$key}{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'\',\'\',\'1\',\'$GQ{number}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\" color=\"\#444444\" size=\"-1\"><center>$LANGUAGE{$set_language}{Delete}</font></td><TD width=\"3\"></TD>";
			
			if($QST{$key}{branching} == 1) {
                                 print"<TD></td></TR>";
                                }
                        else {
                                print"<TD STYLE=\"cursor: pointer\;\" onClick=\"print_handler\(\'$key\',\'$QST{$key}{name}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\" color=\"\#666666\" size=\"-1\"><center>$LANGUAGE{$set_language}{Print}</center></font></td></TR>";
                                }
                                
			print"<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'8\',\'$key\',\'$GQ{name}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\" color=\"\#666666\" size=\"-1\"><center>$LANGUAGE{$set_language}{View}</center></font></td><TD width=\"3\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"post_handler\(\'$key\',\'$QST{$key}{name}\',\'$GQ{number}\',\'$GQ{name}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\" color=\"\#444444\" size=\"-1\"><center>$LANGUAGE{$set_language}{Post}</center></font></td></TR>
			<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'5\',\'-$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\" color=\"\#888888\" size=\"-1\"><center>$LANGUAGE{$set_language}{Copy}</center></font></td><TD width=\"3\"></TD><TD></td></TR></TABLE></span>\n";
			++$dis;
			}
		}
	}

##################
#
# GET_INSTRUCTORS_QST_CATEGORIES
#
#####################
sub get_instructors_qst_categories {
	my %GIQC = @_;
	$GIQC{expand} =~ s/[^0-9,x]//g;
	$GIQC{type} =~ s/[^0-9]//g; #must check length
	$GIQC{sub_type} =~ s/\D//g;
	my $cat_name;

	if($GIQC{type} == 1) {
                if($u_type != 5) { # not bank admin
                        $cat_name = " $LANGUAGE{$set_language}{QuizzesTests}";
                        }
                else {
                        $cat_name = " $LANGUAGE{$set_language}{QuizzesTests}";
                        }
		}
	else {
                if($u_type != 5) { # not bank admin
                        $cat_name = " Surveys";
                        }
                else {
                        $cat_name = " Surveys";
                        }
		}
	print"<P>\n";

	if ($GIQC{expand} > 0) {
		print"<a href=\"javascript:sub_form\(\'x\'\)\">$image5</a> <B STYLE=\"cursor: pointer\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$cat_name</B></DT>\n";
		
		print"<span ID=\"display$dis\" style=\"display\:none\"><table>
		<tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'1\',\'$cat_name\',\'0\',\'1\',\'$GIQC{type}\',\'$GIQC{sub_type}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">Create $assign[$GIQC{type}]</td></TR>
		<tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'1\',\'$cat_name\',\'1\',\'1\',\'$GIQC{type}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR>
		<TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quiz\(\'0\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></a></td></TR></TABLE></span>\n";
		++$dis;
 		&get_other_qst_categories("drop_down_spacing","45","expand","$GIQC{expand}","name","$cat_name","expanded","1","from","$GIQC{from}","type","$GIQC{type}","sub_type","$GIQC{sub_type}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}");
		&get_qst("drop_down_spacing","45","number","0","expand","1","type","$GIQC{type}","sub_type","$GIQC{sub_type}","from","$GIQC{from}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}");
		}
	else {
		print"<a href=\"javascript:sub_form\(\'1\'\)\">$image4</a> <B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$cat_name</B></DT>\n";
		
		print"<span ID=\"display$dis\" style=\"display\:none\" foo=\"display$dis\"><table >
		<tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'1\',\'$cat_name\',\'0\',\'1\',\'$GIQC{type}\',\'$GIQC{sub_type}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Create} $assign[$GIQC{type}]</font></td></TR>
		<tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'1\',\'$cat_name\',\'1\',\'1\',\'$GIQC{type}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR>
		<TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quiz\(\'0\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></a></td></TR></TABLE></span>\n";
		++$dis;
		}
	}

###########
#
# GET_OTHER_QST_CATEGORIES
#
###########
sub get_other_qst_categories {
	my %GOC = @_;

	$GOC{expand} =~ s/[^0-9,]//g;
	$GOC{type} =~ s/[^0-9]//g;
	$GOC{sub_type} =~ s/\D//g;
	$GOC{from} =~ s/[^0-9]//g;
	my @expand = split(/,/,$GOC{expand});
	my $value = shift(@expand);
 	my ($value1) = @expand;
 	my $spacing = 20 + $GOC{spacing};
 	my $drop_down_spacing = 25 + $spacing;
	my %RETURN = ();
	if($GOC{type} ne"") { # display the folders
		%RETURN = &select11("query","SELECT number,cat_name,type from categories WHERE parent=\"$value\" AND u_id=\"$ids\" and type=\"$GOC{type}\"");
		}
		
	if (keys %RETURN) {
		foreach my $key(sort keys %RETURN) {
			my $name = "$RETURN{$key}{name}";
            		$RETURN{$key}{name} =~ s/\"/&#34/g;
            		$RETURN{$key}{name} =~ s/\'/&\\#39/g;
            		$RETURN{$key}{name} =~ s/\</&\\\#60/g;
            		$RETURN{$key}{name} =~ s/\>/&\\\#62/g;
			my $type = "$RETURN{$key}{type}";
			my $expanded = "$GOC{expanded}".","."$key";

			if($key == $value1) { # expand the category
				my $new_expand = "@expand";
				$new_expand =~ s/\s/\,/g;
				if ($GOC{from} == 2 && $GOC{type} ne"") { # quizzes/tests/surveys page, show drop down menu
					print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$GOC{expanded}\'\)\">$image5</a> <B STYLE=\"cursor: pointer\; font-family:Arial\; font-size:11pt\;\" 
					onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$name</B></TD></TR></TABLE>";
					print"<span ID=\"display$dis\" style=\"display\:none\">
					<table>
					<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$RETURN{$key}{name}\',\'$key\',\'$expanded\',\'$GOC{type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Create} $assign[$GOC{type}]</font></td></TR>
					<TR><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$RETURN{$key}{type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR>
					<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'3\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$GOC{type}\',\'$GOC{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Delete}</font></td></TR>
					<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'1\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$GOC{type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Rename}</font></td></TR>
					<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quiz\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR></TABLE></span>\n";
					++$dis;
					}
				&get_other_qst_categories("spacing","$spacing","expand","$new_expand","expanded","$expanded","from","$GOC{from}","name","$name","type","$GOC{type}","sub_type","$GOC{sub_type}");
				
				&get_qst("spacing","$spacing","number","$key","i_n","$GOC{i_n}","name","$RETURN{$key}{name}","parent","$key","expand","$expanded","type","$GOC{type}","sub_type","$GOC{sub_type}","u_id","$GOC{u_id}","session_id","$GOC{session_id}");
				}
				
			else { # don't expand category
				if ($GOC{from} == 2 && $GOC{type} ne"") { # quizzes/tests page, show drop down menu
					print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$expanded\'\)\">$image4</a> <B STYLE=\"cursor: pointer\; font-family:Arial\; font-size:11pt\;\" 
					onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$name</B></TD></TR></TABLE>";
					print"<span ID=\"display$dis\" style=\"display\:none\">
					<table ><tr><TD width=\"$drop_down_spacing>\"</TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$RETURN{$key}{name}\',\'$key\',\'$expanded\',\'$GOC{type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Create} $assign[$GOC{type}]</font></td></TR>
					<TR><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$GOC{type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></a></td></TR>
					<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'3\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\','$GOC{type}\',\'$GOC{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Delete}</font></td></TR>
					<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'1\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$GOC{expanded}\',\'$GOC{type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Rename}</font></td></TR>
					<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quiz\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR></TABLE></span>\n";
					}
				++$dis;
				}
			}
		}
	}

###########
#
# GET_OTHER_QUESTION_CATEGORIES
#
###########
sub get_other_question_categories {
	my %GOC = @_;
	$GOC{expand} =~ s/[^0-9,]//g;
	$GOC{type} =~ s/[^0-9]//g;
	$GOC{sub_type} =~ s/[^0-9]//g;
	$GOC{from} =~ s/[^0-9]//g;
	
	my @expand = split(/,/,$GOC{expand});
	my $parent = shift(@expand);
 	my ($value1) = @expand;
	my $spacing = 20 + $GOC{spacing};
	my $drop_down_spacing = 25 + $spacing;

	my %RETURN = ();
	if ($GOC{from} == 1) { # questions page
		%RETURN = &select14("query","SELECT * from question_categories WHERE parent=\"$parent\" AND u_id=\"$ids\"");
		}
	else { # add questions to quizzes/surveys/tests
		%RETURN = &select14("query","SELECT * from question_categories WHERE parent=\"$parent\" AND u_id=\"$ids\" AND sub_type=\"$GOC{sub_type}\"");
		}
		
	if (keys %RETURN) {
		foreach my $key(sort keys %RETURN) {
			my $name = "$RETURN{$key}{name}";
            		$RETURN{$key}{name} =~ s/\"/&#34/g;
            		$RETURN{$key}{name} =~ s/\'/&\\#39/g;
            		$RETURN{$key}{name} =~ s/\</&\\\#60/g;
            		$RETURN{$key}{name} =~ s/\>/&\\\#62/g;
			my $type = "$RETURN{$key}{type}";
			if($type == 0) {
				$type = "$RETURN{$key}{sub_type}";
				}
			my $expanded = "$GOC{expanded}".","."$key";
			
			if($key == $value1) { # expand the folder
				my $new_expand = "@expand";
				$new_expand =~ s/\s/\,/g;
				
				if ($GOC{from} == 1) { # questions page, show drop down menu
					print"<TABLE name=\"table1\" ><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$GOC{expanded}\'\)\">$image5</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$name</B></TD></TR></TABLE>\n";
					
					if($RETURN{$key}{type} != 0) { # can rename and delete question folders
						print"<span ID=\"display$dis\" style=\"display\:none\;\"><table ><tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$RETURN{$key}{name}\',\'$parent\',\'$expanded\',\'$RETURN{$key}{type}\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Createquestion}</font></td><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'3\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">Delete</font></a></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'1\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Rename}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"export_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Exportquestions}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"import_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Importquestions}</font></td></TR></TABLE></span>\n";
						}
						
					else { #cannot rename or delete Default and Survey Question folders
						print"<span ID=\"display$dis\" style=\"display\:none\;\"><table ><tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$RETURN{$key}{name}\',\'$parent\',\'$expanded\',\'$RETURN{$key}{sub_type}\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Createquestion}</a></font></td><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></a></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"export_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Exportquestions}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"import_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Importquestions}</font></td></TR></TABLE></span>\n";
						}
					++$dis;
					}
					
				else { # add questions to quizzes/surveys/tests page, don't show drop down menu
					print"<TABLE name=\"table1\"><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$GOC{expanded}\'\)\">$image5</a> <B style='font-family:Arial\; font-size:11pt\;'>$name</B></TD></TR></TABLE>\n";
					}

				&get_other_question_categories("spacing","$spacing","expand","$new_expand","expanded","$expanded","from","$GOC{from}","name","$name","type","$type","sub_type","$RETURN{$key}{sub_type}","u_id","$GOC{u_id}","session_id","$GOC{session_id}");
				
				&get_questions("spacing","$spacing","number","$key","i_n","$GOC{i_n}","name","$RETURN{$key}{name}","parent","$key","expand","$expanded","from","$GOC{from}","sub_type","$RETURN{$key}{sub_type}","u_id","$GOC{u_id}","session_id","$GOC{session_id}","branch","$GOC{branch}");
				}
				
			else { # don't expand folder
				if ($GOC{from} == 1) { #questions page, show drop down menu
					print"<TABLE name=\"table1\"><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$expanded\'\)\">$image4</a> <B STYLE=\"cursor: pointer\; font-family:Arial\; font-size:11pt\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$name</B></TD></TR></TABLE>\n";
					
					if($RETURN{$key}{type} != 0) { # can rename or delete questions folders
						print"<span ID=\"display$dis\" style=\"display\:none\"><table >
						<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$RETURN{$key}{name}\',\'$parent\',\'$expanded\',\'$RETURN{$key}{type}\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Createquestion}</font></td></tr>
						<TR><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR>
						<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'3\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Delete}</font></td></TR>
						<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'1\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$GOC{expanded}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Rename}</font></td></TR>
						<TR><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"export_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Exportquestions}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"import_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Importquestions}</font></td></TR></TABLE></span>\n";
						}
						
					else { # cannot rename and delete question folder
						print"<span ID=\"display$dis\" style=\"display\:none\;\"><table >
						<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$RETURN{$key}{name}\',\'$parent\',\'$expanded\',\'$RETURN{$key}{sub_type}\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Createquestion}</font></td></tr>
						<TR><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR>
						<TR><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"export_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Exportquestions}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"import_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Importquestions}</font></td></TR></TABLE></span>\n";
						}
					}
					
				else { # add questions to quizzes/surveys/tests page, don't show drop down menu
					print"<TABLE name=\"table1\"><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$expanded\'\)\">$image4</a> <B style='font-family:Arial\; font-size:11pt\;'>$name</B></TD></TR></TABLE>\n";
					}
				++$dis;
				}
			}
		}
	}

#################
#
# GET_INSTRUCTORS_QUESTION_CATEGORIES
#
#################
sub get_instructors_question_categories {
	my %GIQC = @_;
	$GIQC{type} =~ s/\D//g;
	$GIQC{sub_type} =~ s/\D//g;
	$GIQC{from} =~ s/\D//g;
	$GIQC{expand} =~ s/[^0-9,]//g;
	$GIQC{branch} =~ s/\D//g;

	my @expand = split(/,/,$GIQC{expand});
	my $value = shift(@expand);

        #get the number for their organization question bank
        my $query = qq{SELECT number from question_categories WHERE parent=\"0\" AND org_id=\"$org_id\"};
        my $sth = $dbh->prepare($query);
        $sth->execute();
        my $bank_no = $sth->fetchrow_array();

        if(defined $GIQC{qbank} && $GIQC{qbank} == 1) {
                if($GIQC{from} == 2 || $GIQC{branch} == 1) { # add bank questions to a qst
                        print"<BR><a href=\"javascript:sub_form\(\'1\'\)\">$image4</a> <B STYLE=\"font-size: 11pt\; font-family:Arial\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\"> $LANGUAGE{$set_language}{Questions}</B>\n";

                        if($GIQC{expand} ==1) {
                                $GIQC{expand} = "$bank_no";
                                }

                        print"<P>";
                        
                        &get_bank_question_categories_show("expand","$GIQC{expand}","bank_no","$bank_no","type","$GIQC{type}","sub_type","$GIQC{sub_type}","from","1","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}","from","$GIQC{from}","branch","$GIQC{branch}");
                        }
                
                else {
                        print"<BR><a href=\"javascript:sub_form\(\'1\'\)\">$image4</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\"> $LANGUAGE{$set_language}{Questions}</B>\n";
                        
                        print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'1\',\' $LANGUAGE{$set_language}{Questions}\',\'1\',\'1\',\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'1\',\' $LANGUAGE{$set_language}{Questions}\',\'1\',\'1\',\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Createquestion}</td></TR><TR><TD width=\"20\"></TD><TD width=100  STYLE=\"cursor: pointer\;\" onClick=\"copy_quest\(\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR></TABLE></span>\n";
                        }
                }
                
        else {
                if ($value != 0) { # show headings
                        if($GIQC{from} == 1) { # questions page, show drop down menu
                                print"<BR><a href=\"javascript:sub_form\(\'0\'\)\">$image5</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\"> $LANGUAGE{$set_language}{Questions}</B>\n";
                                
                                print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'1\',\' $LANGUAGE{$set_language}{Questions}\',\'1\',\'1\',\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'1\',\' $LANGUAGE{$set_language}{Questions}\',\'1\',\'1\',\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Createquestion}</td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quest\(\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"export_quest\(\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Exportquestions}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"import_quest\(\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Importquestions}</font></td></TR></TABLE></span>\n";
                                ++$dis;
                                
                                &get_other_question_categories("expand","$GIQC{expand}","expanded","1","from","$GIQC{from}","name","$LANGUAGE{$set_language}{MyQuestions}","type","$GIQC{type}","sub_type","$GIQC{sub_type}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}","branch","$GIQC{branch}");
                                
                                &get_questions("number","1","expand","$GIQC{expand}","name","$LANGUAGE{$set_language}{MyQuestions}","parent","1","from","$GIQC{from}","type","$GIQC{type}","sub_type","$GIQC{sub_type}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}","branch","$GIQC{branch}");
                                }
                                
                        else { # add questions to quizzes/surveys/tests don't show drop down menu                        
                                print"<BR><a href=\"javascript:sub_form\(\'0\')\">$image5</a> <B> $LANGUAGE{$set_language}{Questions}</B>\n";
                                
                                &get_other_question_categories("expand","$GIQC{expand}","expanded","1","from","$GIQC{from}","name"," $LANGUAGE{$set_language}{Questions}","type","$GIQC{type}","sub_type","$GIQC{sub_type}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}","branch","$GIQC{branch}");
                     
                                &get_questions("number","1","expand","$GIQC{expand}","name"," $LANGUAGE{$set_language}{Questions}","parent","1","from","$GIQC{from}","type","$GIQC{type}","sub_type","$GIQC{sub_type}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}","branch","$GIQC{branch}");
                                
                                if($GIQC{qbank} == 1) {
                                        print"<P><a href=\"javascript:sub_form1\(\'0\'\)\">$image5</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\">$LANGUAGE{$set_language}{qbank}</B>\n";
                                        }
                                else {
                                        print"<P><a href=\"javascript:sub_form1\(\'$bank_no\'\)\">$image4</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\">$LANGUAGE{$set_language}{qbank}</B>\n";
                                        }
                                }
                        }
		
                else { # show headings
                        if($GIQC{from} == 2 || $GIQC{from} == 3 || $GIQC{from} == 4 || $GIQC{branch} > 0) { # add questions to quiz/survey/test page, don't show drop down menu
                                print"<BR><a href=\"javascript:sub_form\(\'1\'\)\">$image4</a> <B STYLE=\"font-size: 11pt\; font-family:Arial\;\"> $LANGUAGE{$set_language}{Questions} </B>\n";

                                print"<P><a href=\"javascript:sub_form1\(\'$bank_no\'\)\">$image4</a> <B STYLE=\"font-size: 11pt\; font-family:Arial\;\">$LANGUAGE{$set_language}{qbank}</B>\n";

                                }
                        else { # show drop down menu
                                print"<BR><a href=\"javascript:sub_form\(\'1\'\)\">$image4</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\"> $LANGUAGE{$set_language}{Questions}</B>\n";
                                
                                print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'1\',\' $LANGUAGE{$set_language}{Questions}\',\'1\',\'1\',\'1'\,\'1\')\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'1\',\' $LANGUAGE{$set_language}{Questions}\',\'1\',\'1\',\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Createquestion}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quest\(\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"export_quest\(\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Exportquestions}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"import_quest\(\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Importquestions}</font></td></TR></TABLE></span>\n";
                                ++$dis;
                                }
                        }
                }
	}

	
#################
#
# GET_BANK_QUESTION_CATEGORIES
#
#################
sub get_bank_question_categories {
	my %GIQC = @_;
	$GIQC{type} =~ s/\D//g;
	$GIQC{sub_type} =~ s/\D//g;
	$GIQC{from} =~ s/\D//g;
	$GIQC{expand} =~ s/[^0-9,]//g;
	$GIQC{bank_no} =~ s/\D//g;
	$GIQC{branch} =~ s/\D//g;
        my $value;
	
        if($GIQC{expand} eq "") {
                $value = 0;
                }
        else {
                my @expand = split(/,/,$GIQC{expand});
                $value = shift(@expand);
                }
                
	if ($value != 0) { # show headings
		if($GIQC{from} == 1) { # questions bank page, show drop down menu

			print"<BR><a href=\"javascript:sub_form\(\'0\'\)\">$image5</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$LANGUAGE{$set_language}{qbank}</B>\n";
			print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\"  onClick=\"click_handler\(\'2\',\'$value\',\'$LANGUAGE{$set_language}{qbank}\',\'1\',\'$value\',\'1\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder} </font></td></TR>
                        </TABLE></span>\n";
			++$dis;
			
 			&get_other_question_bank_categories("expand","$GIQC{expand}","expanded","$value","from","$GIQC{from}","name"," $LANGUAGE{$set_language}{qbank}","type","$GIQC{type}","sub_type","$GIQC{sub_type}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}","branch","$GIQC{branch}");

			&get_bank_questions("number","$GIQC{expand}","expand","$GIQC{expand}","name"," $LANGUAGE{$set_language}{qbank}","parent","$GIQC{expand}","from","$GIQC{from}","type","$GIQC{type}","sub_type","$GIQC{sub_type}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}","branch","$GIQC{branch}");
			}
		else { # add questions to quizzes/surveys/tests don't show drop down menu
			print"<BR><a href=\"javascript:sub_form\(\'$GIQC{bank_no}\')\">$image5</a> <B>$LANGUAGE{$set_language}{qbank}</B>\nank";
			
	 		&get_other_question_bank_categories("expand","$GIQC{expand}","expanded","$value","from","$GIQC{from}","name"," $LANGUAGE{$set_language}{qbank}","type","$GIQC{type}","sub_type","$GIQC{sub_type}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}","branch","$GIQC{branch}");
	 		
			&get_bank_questions("number","1","expand","$GIQC{expand}","name"," $LANGUAGE{$set_language}{qbank}","parent","$GIQC{expand}","from","$GIQC{from}","type","$GIQC{type}","sub_type","$GIQC{sub_type}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}","branch","$GIQC{branch}");
			}
		}
		
	else { # show headings
		if($GIQC{from} == 2 || $GIQC{from} == 3 || $GIQC{from} == 4) { # add questions to quiz/survey/test page, don't show drop down menu
			print"<BR><a href=\"javascript:sub_form\(\'$GIQC{bank_no}\'\)\">$image4</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\">$LANGUAGE{$set_language}{qbank}</B>\n";
			}
			
		else { # show drop down menu
			print"<BR><a href=\"javascript:sub_form\(\'$GIQC{bank_no}\'\)\">$image4</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$LANGUAGE{$set_language}{qbank}</B>\n";
			print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$GIQC{expand}\',\'$LANGUAGE{$set_language}{qbank}\',\'1\',\'1\',\'1'\,\'1\')\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder} </font></td></TR>
			</TABLE></span>\n";
			++$dis;
			}
		}
	}

#################
#
# GET_BANK_QUESTION_CATEGORIES_SHOW
#
#################
sub get_bank_question_categories_show {
	my %GIQC = @_;
	$GIQC{type} =~ s/\D//g;
	$GIQC{sub_type} =~ s/\D//g;
	$GIQC{from} =~ s/\D//g;
	$GIQC{expand} =~ s/[^0-9,]//g;
	$GIQC{bank_no} =~ s/\D//g;
	$GIQC{branch} =~ s/\D//g;

	my @expand = split(/,/,$GIQC{expand});
	my $value = shift(@expand);

	if ($value != 0) { # show headings
		if($GIQC{from} == 1) { # questions page show
			print"<a href=\"javascript:sub_form\(\'0\'\)\">$image5</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\" >$LANGUAGE{$set_language}{qbank}</B>\n";
			++$dis;
			
 			&get_other_question_bank_categories_show("expand","$GIQC{expand}","expanded","$value","from","$GIQC{from}","name"," $LANGUAGE{$set_language}{qbank}","type","$GIQC{type}","sub_type","$GIQC{sub_type}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}");

			&get_bank_questions_show("number","$GIQC{expand}","expand","$GIQC{expand}","name"," $LANGUAGE{$set_language}{qbank}","parent","$GIQC{expand}","from","$GIQC{from}","type","$GIQC{type}","sub_type","$GIQC{sub_type}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}");
			}
		else { # add questions to quizzes/surveys/tests don't show drop down menu
			print"<a href=\"javascript:sub_form\(\'0\')\">$image5</a> <B>$LANGUAGE{$set_language}{qbank}</B>\n";
			
	 		&get_other_question_bank_categories_show("expand","$GIQC{expand}","expanded","$value","from","$GIQC{from}","name"," $LANGUAGE{$set_language}{qbank}","type","$GIQC{type}","sub_type","$GIQC{sub_type}","u_id","$GIQC{u_id}","session_id","$GIQC{session_id}","branch","$GIQC{branch}");
			}
		}
		
	else { # show headings
		if($GIQC{from} == 2 || $GIQC{from} == 3 || $GIQC{from} == 4) { # add questions to quiz/survey/test page, don't show drop down menu
			print"<BR><a href=\"javascript:sub_form\(\'$GIQC{bank_no}\'\)\">$image4</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\">$LANGUAGE{$set_language}{qbank}</B>\n";
			}
			
		else { # show paste menu
			print"<BR><a href=\"javascript:sub_form\(\'$GIQC{bank_no}\'\)\">$image5</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\">$LANGUAGE{$set_language}{qbank}</B>\n";
			++$dis;
			}
		}
	}

###########
#
# GET_OTHER_QUESTION_BANK_CATEGORIES
#
###########
sub get_other_question_bank_categories {
	my %GOC = @_;
	$GOC{from} =~ s/[^0-9]//g;
	$GOC{branch} =~ s/\D//g;
	my @expand = split(/,/,$GOC{expand});
	my $parent = shift(@expand);
 	my ($value1) = @expand;
	my $spacing = 20 + $GOC{spacing};
	my $drop_down_spacing = 25 + $spacing;

	my %RETURN = ();
	if ($GOC{from} == 1) { # questions bank page
		%RETURN = &select14("query","SELECT * from question_categories WHERE parent=\"$parent\" AND u_id=\"0\" AND org_id=\"$org_id\"");
		}
	else { # add questions to quizzes/surveys/tests
		%RETURN = &select14("query","SELECT * from question_categories WHERE parent=\"$parent\" AND u_id=\"0\" AND sub_type=\"$GOC{sub_type}\"  org_id=\"$org_id\"");
		}
		
	if (keys %RETURN) {
		foreach my $key(sort keys %RETURN) {
			my $name = "$RETURN{$key}{name}";
            		$RETURN{$key}{name} =~ s/\"/&#34/g;
            		$RETURN{$key}{name} =~ s/\'/&\\#39/g;
            		$RETURN{$key}{name} =~ s/\</&\\\#60/g;
            		$RETURN{$key}{name} =~ s/\>/&\\\#62/g;
			my $type = "$RETURN{$key}{type}";
			if($type == 0) {
				$type = "$RETURN{$key}{sub_type}";
				}
			my $expanded = "$GOC{expanded}".","."$key";
			
			if($key == $value1) { # expand the folder
				my $new_expand = "@expand";
				$new_expand =~ s/\s/\,/g;
				if ($GOC{from} == 1) { # questions bank page, show drop down menu
					print"<TABLE name=\"table1\" ><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$GOC{expanded}\'\)\">$image5</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">\n";
					print"$name</B></TD></TR></TABLE>\n";
					if($RETURN{$key}{type} != 0) { # can rename and delete question folders
						print"<span ID=\"display$dis\" style=\"display\:none\;\"><table ><tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$RETURN{$key}{name}\',\'$parent\',\'$expanded\',\'$RETURN{$key}{type}\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Createquestion}</font></td><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=click_handler\(\'3\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Delete}</font></td></TR><tr><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'1\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Rename}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></a></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"export_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Exportquestions}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"import_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Importquestions}</font></td></TR>
						</TABLE></span>\n";
						}
					else { #cannot rename or delete Default and Survey Question folders
						print"<span ID=\"display$dis\" style=\"display\:none\;\"><table ><tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$RETURN{$key}{name}\',\'$parent\',\'$expanded\',\'$RETURN{$key}{type}\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Createquestion}</font></td><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></a></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"export_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Exportquestions}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"import_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Importquestions}</font></td></TR></TABLE></span>\n";
						}
					++$dis;
					}
				else { # add questions to quizzes/surveys/tests page, don't show drop down menu
					print"<TABLE name=\"table1\"><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$GOC{expanded}\'\)\">$image5</a> <B>$name</B></TD></TR></TABLE>\n";
					}

				&get_other_question_bank_categories("spacing","$spacing","expand","$new_expand","expanded","$expanded","from","$GOC{from}","name","$name","type","$type","sub_type","$RETURN{$key}{sub_type}","u_id","$GOC{u_id}","session_id","$GOC{session_id}","branch","$GOC{branch}");
				
				&get_bank_questions("spacing","$spacing","number","$key","i_n","$GOC{i_n}","name","$RETURN{$key}{name}","parent","$key","expand","$expanded","from","$GOC{from}","sub_type","$RETURN{$key}{sub_type}","u_id","$GOC{u_id}","session_id","$GOC{session_id}","branch","$GOC{branch}");
				}
				
			else { # don't expand folder
				if ($GOC{from} == 1) { #questions page, show drop down menu
					print"<TABLE name=\"table1\"><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$expanded\'\)\">$image4</a> <B STYLE=\"cursor: pointer\; font-family:Arial\; font-size:11pt\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$name</B></TD></TR></TABLE>\n";
					if($RETURN{$key}{type} != 0) { # cannot rename or delete questions folders
						print"<span ID=\"display$dis\" style=\"display\:none\"><table >
						<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$RETURN{$key}{name}\',\'$parent\',\'$expanded\',\'$RETURN{$key}{type}\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Createquestion}</font></td></tr>
						<TR><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR>
						
						<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\" click_handler\(\'3\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\'\)\">
						
						<font STYLE=\"text-decoration:none\;\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Delete}</font></td></TR>
						
						<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'1\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$GOC{expanded}\'\)\">
						
						<font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Rename}</font></td></TR>
						
						<TR><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"export_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Exportquestions}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"import_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Importquestions}</font></td></TR></TABLE></span>\n";
						}
					else { # cannot rename and delete question folder
						print"<span ID=\"display$dis\" style=\"display\:none\;\"><table >
						<tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$RETURN{$key}{name}\',\'$parent\',\'$expanded\',\'$RETURN{$key}{type}\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Createquestion}</font></td></tr>
						<TR><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR>
						<TR><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"export_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Exportquestions}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"import_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Importquestions}</font></td></TR></TABLE></span>\n";
						}
					}
				else { # add questions to quizzes/surveys/tests page, don't show drop down menu
					print"<TABLE name=\"table1\"><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form\(\'$expanded\'\)\">$image4</a> <B>$name</B></TD></TR></TABLE>\n";
					}
				++$dis;

				}
			}
		}
	}

###########
#
# GET_OTHER_QUESTION_BANK_CATEGORIES_SHOW
#
###########
sub get_other_question_bank_categories_show {
	my %GOC = @_;
	$GOC{from} =~ s/[^0-9]//g;
	my @expand = split(/,/,$GOC{expand});
	my $parent = shift(@expand);
 	my ($value1) = @expand;
	my $spacing = 20 + $GOC{spacing};
	my $drop_down_spacing = 25 + $spacing;

	my %RETURN = ();
	if ($GOC{from} == 1) { # questions bank page
		%RETURN = &select14("query","SELECT * from question_categories WHERE parent=\"$parent\" AND u_id=\"0\" AND org_id=\"$org_id\"");
		}
	else { # add questions to quizzes/surveys/tests
		%RETURN = &select14("query","SELECT * from question_categories WHERE parent=\"$parent\" AND u_id=\"0\" AND sub_type=\"$GOC{sub_type}\" AND org_id=\"$org_id\"");
		}
		
	if (keys %RETURN) {
		foreach my $key(sort keys %RETURN) {
			my $name = "$RETURN{$key}{name}";
            		$RETURN{$key}{name} =~ s/\"/&#34/g;
            		$RETURN{$key}{name} =~ s/\'/&\\#39/g;
            		$RETURN{$key}{name} =~ s/\</&\\\#60/g;
            		$RETURN{$key}{name} =~ s/\>/&\\\#62/g;
			my $type = "$RETURN{$key}{type}";
			if($type == 0) {
				$type = "$RETURN{$key}{sub_type}";
				}
			my $expanded = "$GOC{expanded}".","."$key";
			
			if($key == $value1) { # expand the folder
				my $new_expand = "@expand";
				$new_expand =~ s/\s/\,/g;
				if ($GOC{from} == 1) { # questions page
					print"<TABLE name=\"table1\" ><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form1\(\'$GOC{expanded}\'\)\">$image5</a> <B STYLE=\"cursor: pointer\; font-size: 11pt\; font-family:Arial\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">\n";
					print"$name</B></TD></TR></TABLE>\n";
					if($RETURN{$key}{type} != 0) {

						}
					else { #cannot rename or delete Default and Survey Question folders
						print"<span ID=\"display$dis\" style=\"display\:none\;\"><table ><tr><TD width=\"$drop_down_spacing\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'4\',\'$key\',\'$RETURN{$key}{name}\',\'$parent\',\'$expanded\',\'$RETURN{$key}{type}\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Createquestion}</font></td><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$key\',\'$RETURN{$key}{name}\',\'$GOC{parent}\',\'$expanded\',\'$RETURN{$key}{sub_type}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{CreateFolder}</font></td></TR><TR><TD width=\"20\"></TD><TD width=100 STYLE=\"cursor: pointer\;\" onClick=\"copy_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></a></td></TR></TABLE></span>\n";
						}
					++$dis;
					}
				else { # add questions to quizzes/surveys/tests page, don't show drop down menu
					print"<TABLE name=\"table1\"><TR><TD width=\"$spacing\"></TD><TD STYLE=\"font-family:Arial\; font-size:11pt\;\"><a href=\"javascript:sub_form1\(\'$GOC{expanded}\'\)\">$image5</a> <B>$name</B></TD></TR></TABLE>\n";
					}

				&get_other_question_bank_categories_show("spacing","$spacing","expand","$new_expand","expanded","$expanded","from","$GOC{from}","name","$name","type","$type","sub_type","$RETURN{$key}{sub_type}","u_id","$GOC{u_id}","session_id","$GOC{session_id}");
				
				&get_bank_questions_show("spacing","$spacing","number","$key","i_n","$GOC{i_n}","name","$RETURN{$key}{name}","parent","$key","expand","$expanded","from","$GOC{from}","sub_type","$RETURN{$key}{sub_type}","u_id","$GOC{u_id}","session_id","$GOC{session_id}");
				}
				
			else { # don't expand folder
				if ($GOC{from} == 1) { #questions page, show drop down menu
					print"<TABLE name=\"table1\"><TR><TD width=\"$spacing\"></TD><TD><a href=\"javascript:sub_form1\(\'$expanded\'\)\">$image4</a> <B STYLE=\"cursor: pointer\; font-family:Arial\; font-size:11pt\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$name</B></TD></TR></TABLE>\n";
					if($RETURN{$key}{type} != 0) { # cannot rename or delete questions folders

						}
					else { # cannot rename and delete question folder
						print"<span ID=\"display$dis\" style=\"display\:none\;\"><table >
						<TR><TD width=\"$drop_down_spacing\"></TD><TD width=100 ><a href=\"javascript\:copy_quest\(\'$key\',\'$expanded\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></a></td></TR></TABLE></span>\n";
						}
					}
				else { # add questions to quizzes/surveys/tests page, don't show drop down menu
					print"<TABLE name=\"table1\"><TR><TD width=\"$spacing\"></TD><TD STYLE=\"font-family:Arial\; font-size:11pt\;\"><a href=\"javascript:sub_form1\(\'$expanded\'\)\">$image4</a> <B>$name</B></TD></TR></TABLE>\n";
					}
				++$dis;
				}
			}
		}
	}
	
################
#
# GET_QUESTIONS
#
################
sub get_questions {
	my %GQ = @_;
	$GQ{number} =~ s/\D//g;
	$GQ{type} =~ s/\D//g;
	$GQ{sub_type} =~ s/\D//g;
	$GQ{from} =~ s/\D//;
	$GQ{branch} =~ s/\D//g;

	my $spacing = 20 + $GQ{spacing};
	my $drop_down_spacing = 70 + $spacing;
	my $question_display_number = 1;
	my %RETURN = &select5("query","SELECT number,question from categories_to_questions WHERE number=\"$GQ{number}\"");
	my %RETURN1 = &select4("query","SELECT number,type from question_categories WHERE number=\"$GQ{number}\"");
	if (keys %RETURN && defined $RETURN1{$GQ{number}}) {
		my $select;
		my $i = 1;
		foreach my $key(keys %RETURN) {
			if($i == 1) {
				$select = "number=\"$key\"";
				++$i;
				}
			else {
				$select = "$select"." OR number=\"$key\"";
				}
			}

                my %QUESTIONS = &select_question("query","SELECT * from questions WHERE u_id=\"$ids\" AND sub_type=\"$GQ{sub_type}\" AND ($select)");

                if(keys %QUESTIONS > 4 && $GQ{from} != 1 && ($GQ{branch} eq"" || $GQ{branch} < 1)) { # Show Select All for questions in folder if more then 4 questions, non branching and not from questions page
                	print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><font size=\"-1\"><span ID=\"selectq$GQ{number}\" onClick=\"select_all_questions\($GQ{number}\)\" style=\"display:block\; cursor: pointer\;\">Select All</span>
                	<span ID=\"unselectq$GQ{number}\" onClick=\"unselect_all_questions\($GQ{number}\)\" style=\"display:none\; cursor: pointer\;\">Unselect All</span></font></TD></TR></TABLE>\n";
                	}
                	
		foreach my $key(sort {$a<=>$b} keys %QUESTIONS) {
			my $clean = "$QUESTIONS{$key}{question}";
			$clean =~ s/\r\n/ /g;
			my $cols = 60;
			if( length($clean) < 65) {
				$cols = length($clean);
				}
			my $question = substr($clean,0,64);

			if($GQ{from} == 1) { # from questions page, show drop down menu
                                my $descrip = $QUESTIONS{$key}{descrip};
                                my $col = length($descrip);
                                $col = $col + 2;
                                    
                                print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><font size=\"-1\">$question_display_number\. &nbsp\;</font><font size=\"+1\"><B>?</B></font> <font size=\"-1\">$QUESTIONS{$key}{type}</font><font size=\"-1\"><sup> $QUESTIONS{$key}{value}</sup></font></TD><TD valign=\"bottom\"><font style=\"font-family\:Arial\; font-size\: 11pt\; cursor: pointer\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\"> $descrip</font></TD></TR>\n";
                                
				print"<table></table><span ID=\"display$dis\" style=\"display\:none\;\"><table>
				<TR><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'2\',\'$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$RETURN1{$GQ{number}}\',\'$QUESTIONS{$key}{sub_type}\',\'$GQ{from}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"> $LANGUAGE{$set_language}{Change} </font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'3\',\'$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$QUESTIONS{$key}{sub_type}\',\'$GQ{from}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"><center>$LANGUAGE{$set_language}{Delete}</font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'1\',\'$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$RETURN1{$GQ{number}}\',\'$QUESTIONS{$key}{sub_type}\',\'$GQ{from}\',\'$question_display_number\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"><center>$LANGUAGE{$set_language}{View}</center></font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'5\',\'$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$QUESTIONS{$key}{sub_type}\',\'$GQ{from}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"><center>$LANGUAGE{$set_language}{Copy}</center></font></td></TR></TABLE></span>\n";
				++$dis;
				++$question_display_number;
				}

			else { # add questions to quiz/survey/test page, branch questions, don't show drop down menu
                                if($GQ{branch} > 0) { # branching questions
                                        if($QUESTIONS{$key}{type} eq"TF" || $QUESTIONS{$key}{type} eq"YN" || $QUESTIONS{$key}{type} eq"MC" || $QUESTIONS{$key}{type} eq"AD") {
                                                my $descrip = $QUESTIONS{$key}{descrip};
                                                my $col = length($descrip);
                                                $col = $col + 2;
                                                
                                                print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><font size=\"-1\">$question_display_number</font> <input type=\"checkbox\" onClick=\"check_box\(\'$key\',\'$descrip\'\)\" name=\"$key\" id=\"$key\" value=\"$key-$QUESTIONS{$key}{value}\"> &nbsp\;<font size=\"+1\"><B>?</B></font> <font size=\"-1\">$QUESTIONS{$key}{type} <sup>$QUESTIONS{$key}{value}</sup></font></TD>\n";
                                                        
                                                print"<TD valign=\"bottom\"><font style=\" font-family\:Arial\; font-size\: 11pt\; cursor: pointer\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest($key)\"> $descrip</font></TD></TR></TABLE>\n";
						++$question_display_number;
                                                }
                                        }
                                        
                                else { #non branching questions
                                        my $descrip = $QUESTIONS{$key}{descrip};
                                        my $col = length($descrip);
                                        $col = $col +2;
                                                
                                        print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><font size=\"-1\">$question_display_number </font> <input type=\"checkbox\" class=\"$GQ{number}\" onClick=\"check_box\(\'$key\',\'$descrip\'\)\" name=\"$key\" id=\"$key\" value=\"$key-$QUESTIONS{$key}{value}\"> &nbsp\;<font size=\"+1\"><B>?</B></font> <font size=\"-1\">$QUESTIONS{$key}{type} <sup>$QUESTIONS{$key}{value}</sup></font></TD><TD valign=\"bottom\"><font style=\" font-family\:Arial\; font-size\: 11pt\; cursor: pointer\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$descrip</font></TD></TR></TABLE>\n";
					++$question_display_number;
                                        }
				}
			}
		}
	}

################
#
# GET_BANK_QUESTIONS
#
################
sub get_bank_questions {
	my %GQ = @_;
	$GQ{number} =~ s/\D//g;
	$GQ{type} =~ s/\D//g;
	$GQ{sub_type} =~ s/\D//g;
	$GQ{from} =~ s/\D//;
	$GQ{mode} =~ s/\D//;
	
	my $spacing = 20 + $GQ{spacing};
	my $drop_down_spacing = 70 + $spacing;
	my $question_display_number = 1;
	my %RETURN = &select5("query","SELECT number,question from categories_to_questions WHERE number=\"$GQ{number}\" AND org_id=\"$org_id\" ");
	my %RETURN1 = &select4("query","SELECT number,type from question_categories WHERE number=\"$GQ{number}\"");
	if (keys %RETURN && defined $RETURN1{$GQ{number}}) {
		my $select;
		my $i = 1;
		foreach my $key(keys %RETURN) {
			if($i == 1) {
				$select = "number=\"$key\"";
				++$i;
				}
			else {
				$select = "$select"." OR number=\"$key\"";
				}
			}

                my %QUESTIONS = &select_question("query","SELECT * from questions WHERE u_id=\"0\" AND sub_type=\"$GQ{sub_type}\" AND org_id=\"$org_id\" AND ($select)");

		foreach my $key(sort {$a<=>$b} keys %QUESTIONS) {
			my $clean = "$QUESTIONS{$key}{question}";
			$clean =~ s/\r\n/ /g;
			my $cols = 70;
			if( length($clean) < 65) {
				$cols = length($clean);
				}
			my $question = substr($clean,0,64);

			if($GQ{from} == 1) { # from questions bank page, show drop down menu
                                my $descrip = $QUESTIONS{$key}{descrip};
                                my $col = length($descrip);
                                $col = $col +2;
                                
                                print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><font size=\"-1\">$question_display_number\. &nbsp\;</font><font size=\"+1\"><B>?</B></font> <font size=\"-1\">$QUESTIONS{$key}{type}</font><font size=\"-1\"><sup> $QUESTIONS{$key}{value}</sup></font></TD><TD valign=\"bottom\"><font style=\" font-family\:Arial\; font-size\: 11pt\; cursor: pointer\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$descrip</font></TD></TR>\n";
                                        
                                print"<table></table><span ID=\"display$dis\" style=\"display\:none\;\"><table><tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\"  onClick=\"create_rename_handler\(\'2\',\'$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$RETURN1{$GQ{number}}\',\'$QUESTIONS{$key}{sub_type}\',\'$GQ{from}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#222222\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"> $LANGUAGE{$set_language}{Change} </font></td></TR><tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'3\',\'$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$QUESTIONS{$key}{sub_type}\',\'$GQ{from}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#444444\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"><center>$LANGUAGE{$set_language}{Delete}</font></td></TR><tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'1\',\'$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$RETURN1{$GQ{number}}\',\'$QUESTIONS{$key}{sub_type}\',\'$GQ{from}\',\'$question_display_number\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"><center>$LANGUAGE{$set_language}{View}</center></font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'5\',\'$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$QUESTIONS{$key}{sub_type}\',\'$GQ{from}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"><center>$LANGUAGE{$set_language}{Copy}</center></font></td></TR></TABLE></span>\n";
                                        
				++$dis;
				}

			else { # add questions to quiz/survey/test page, don't show drop down menu
                                my $descrip = $QUESTIONS{$key}{descrip};
                                my $col = length($descrip);
                                $col = $col +2;
                                
				print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><font size=\"-1\">$question_display_number</font> <input type=\"checkbox\" onClick=\"check_box\(\'$key\'\)\" name=\"$key\" value=\"$key-$QUESTIONS{$key}{value}\"> &nbsp\;<font size=\"+1\"><B>?</B></font> <font size=\"-1\">$QUESTIONS{$key}{type} <sup>$QUESTIONS{$key}{value}</sup></font></TD><TD valign=\"bottom\"><font style=\" font-family\:Arial\; font-size\: 11pt\; cursor: pointer\;\">$descrip</font></TD></TR></TABLE>\n";
				}
			++$question_display_number;
			}
		}
	}

################
#
# GET_BANK_QUESTIONS_SHOW
#
################
sub get_bank_questions_show {
	my %GQ = @_;
	$GQ{number} =~ s/\D//g;
	$GQ{type} =~ s/\D//g;
	$GQ{sub_type} =~ s/\D//g;
	$GQ{from} =~ s/\D//;
	my $spacing = 20 + $GQ{spacing};
	my $drop_down_spacing = 70 + $spacing;
	my $question_display_number = 1;
	my %RETURN = &select5("query","SELECT number,question from categories_to_questions WHERE number=\"$GQ{number}\"");
	my %RETURN1 = &select4("query","SELECT number,type from question_categories WHERE number=\"$GQ{number}\"");
	if (keys %RETURN && defined $RETURN1{$GQ{number}}) {
		my $select;
		my $i = 1;
		foreach my $key(keys %RETURN) {
			if($i == 1) {
				$select = "number=\"$key\"";
				++$i;
				}
			else {
				$select = "$select"." OR number=\"$key\"";
				}
			}

                my %QUESTIONS = &select_question("query","SELECT * from questions WHERE u_id=\"0\" AND sub_type=\"$GQ{sub_type}\" AND ($select)");
                
                if(keys %QUESTIONS > 4 && $GQ{from} != 1 && ($GQ{branch} eq"" || $GQ{branch} < 1)) { # Show Select All for questions in folder if more then 4 questions, non branching and not from questions page
                	print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><font size=\"-1\"><span ID=\"selectq$GQ{number}\" onClick=\"select_all_questions\($GQ{number}\)\" style=\"display:block\; cursor: pointer\;\">Select All</span>
                	<span ID=\"unselectq$GQ{number}\" onClick=\"unselect_all_questions\($GQ{number}\)\" style=\"display:none\; cursor: pointer\;\">Unselect All</span></font></TD></TR></TABLE>\n";
                	}

		foreach my $key(sort {$a<=>$b} keys %QUESTIONS) {
			my $clean = "$QUESTIONS{$key}{question}";
			$clean =~ s/\r\n/ /g;
			my $cols = 70;
			if( length($clean) < 65) {
				$cols = length($clean);
				}
			my $question = substr($clean,0,64);
			
			if($GQ{from} == 1) { # from questions page, show view/copy
                                my $descrip = $QUESTIONS{$key}{descrip};
                                my $col = length($descrip);
                                $col = $col +2;
                                
				print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><font size=\"-1\">$question_display_number\. &nbsp\;</font><font size=\"+1\"><B>?</B></font> <font size=\"-1\">$QUESTIONS{$key}{type}</font><font size=\"-1\"><sup> $QUESTIONS{$key}{value}</sup></font></TD><TD valign=\"bottom\"><font style=\" font-family\:Arial\; font-size\: 11pt\; cursor: pointer\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$descrip</font></TD></TR><TABLE>\n";
                                        
				print"<table></table><span ID=\"display$dis\" style=\"display\:none\;\"><table>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"display_bank_quest\(\'1\',\'$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$RETURN1{$GQ{number}}\',\'$QUESTIONS{$key}{sub_type}\',\'$GQ{from}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"><center>$LANGUAGE{$set_language}{View}</center></font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'5\',\'$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$QUESTIONS{$key}{sub_type}\',\'$GQ{from}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"><center>$LANGUAGE{$set_language}{Copy}</center></font></td></TR></TABLE></span>\n";
				++$dis;
				}

                        elsif($GQ{from} == 11) { # add branching questions from question bank
                                if($QUESTIONS{$key}{type} eq"TF" || $QUESTIONS{$key}{type} eq"YN" || $QUESTIONS{$key}{type} eq"MC" || $QUESTIONS{$key}{type} eq"AD") {
                                        my $descrip = $QUESTIONS{$key}{descrip};
                                        my $col = length($descrip);
                                        $col = $col + 2;
                                        
                                        print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><font size=\"-1\">$question_display_number</font> <input type=\"checkbox\" onClick=\"check_box\(\'$key\',\'$descrip\'\)\" name=\"$key\" id=\"$key\" value=\"$key-$QUESTIONS{$key}{value}\"> &nbsp\;<font size=\"+1\"><B>?</B></font> <font size=\"-1\">$QUESTIONS{$key}{type} <sup>$QUESTIONS{$key}{value}</sup></font></TD><TD valign=\"bottom\"><font style=\" font-family\:Arial\; font-size\: 11pt\; cursor: pointer\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vquest($key)\"> $descrip</font></TD></TR></TABLE>\n";
                                        }
                                }
                                        
			else { # add questions to quiz/survey/test page, don't show drop down menu
                                my $descrip = $QUESTIONS{$key}{descrip};
                                my $col = length($descrip);
                                $col = $col +2;
                                
				print"<TABLE><TR><TD width=\"$spacing\"></TD><TD><font size=\"-1\">$question_display_number</font> <input type=\"checkbox\" class=\"$GQ{number}\" onClick=\"check_box\(\'$key\',\'$descrip\'\)\" name=\"$key\" value=\"$key-$QUESTIONS{$key}{value}\"> &nbsp\;<font size=\"+1\"><B>?</B></font> <font size=\"-1\">$QUESTIONS{$key}{type} <sup>$QUESTIONS{$key}{value}</sup></font></TD><TD valign=\"bottom\"><font style=\" font-family\:Arial\; font-size\: 11pt\; cursor: pointer\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">$descrip</font></TD></TR><TABLE>\n";
				}
			++$question_display_number;
			}
		}
	}

################
#
# GET_QST
#
################
sub get_qst {
	my %GQ = @_;
	$GQ{number} =~ s/\D//g;
	$GQ{type} =~ s/\D//g;
	$GQ{sub_type} =~ s/\D//g;
	$GQ{drop_down_spacing} =~ s/\D//g;
 	my $spacing = 20 + $GQ{spacing};
 	my $drop_down_spacing = 80 + $spacing;
	my %RETURN = &select5("query","SELECT number,qst from categories_to_qst WHERE number=\"$GQ{number}\" AND u_id=\"$ids\" AND type=\"$GQ{type}\"");

	if (keys %RETURN) {
		my $select;
		my $i = 1;
		foreach my $key(keys %RETURN) {
			if($i == 1) {
				$select = "number=$key";
				++$i;
				}
			else {
				$select = "$select"." OR number=$key";
				}
			}
		my %QST = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE $select AND u_id=\"$ids\"");
		
		foreach my $key(sort keys %QST) {
			print"<TABLE><TR><TD width=\"$spacing\"></TD><TD>";
			if ($QST{$key}{random_q} != 0) {
				print"$image13 \n";
				}
			elsif ($QST{$key}{random_order} != 0){
				print"$image14 \n";
				}
			else {
				print"$image10 \n";
				}
                        if($QST{$key}{branching} == 1) {
                                print"<B style=\"cursor:pointer\;\" data-toggle=\"tooltip\" title=\"Branching questions\">&nbsp\;$image22 </B>";
                                }
                        else {
                                print"<font align=\"top\" size=\"-1\"><B>$QST{$key}{questions}<font color=\"#FF3300\">\?</font>\n";
                                }
                                
			if ($GQ{type} != 2) { #quizzes/tests
                                if($QST{$key}{branching} == 1) {
                                        print"&nbsp\;";
                                        }
                                else {
                                        print"$QST{$key}{marks}$image15</B></font>\n";
                                        }
                                        
				print"<font STYLE=\"cursor: pointer\; font-family:Arial\; font-size:11pt\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">&nbsp\; $QST{$key}{name}</font></TD></TR></TABLE>";
				
				print"<span ID=\"display$dis\" style=\"display\:none\"><table >
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\"  onClick=\"create_rename_handler\(\'2\',\'$key\',\'$QST{$key}{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$GQ{type}\',\'$GQ{sub_type}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\" color=\"\#222222\" size=\"-1\"> $LANGUAGE{$set_language}{Change} </font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'5\',\'$key\',\'$QST{$key}{name}\',\'$GQ{parent}\',\'$GQ{expand}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\" color=\"\#444444\" size=\"-1\"><center>$LANGUAGE{$set_language}{Delete}</font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'8\',\'$key\',\'$GQ{name}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\" color=\"\#666666\" size=\"-1\"><center>$LANGUAGE{$set_language}{View}</center></font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'5\',\'$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$GQ{type}\','$GQ{sub_type}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\" color=\"\#888888\" size=\"-1\"><center>$LANGUAGE{$set_language}{Copy}</center></font></td></TR>";
				
				if($QST{$key}{branching} == 0) {
                                        print"<TR><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"print_handler\('$key\',\'$QST{$key}{name}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\" color=\"\#888888\" size=\"-1\"><center>$LANGUAGE{$set_language}{Print}</center></font></td></TR>";
                                        }
                                        
				print"<TR><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'6\',\'$key\',\'$QST{$key}{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$GQ{type}\',\'\',\'\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\" color=\"\#888888\" size=\"-1\"><center>$LANGUAGE{$set_language}{Rename}</center></font></td></TR></TABLE></span>\n";
				}
				
			else { #surveys
				print"</B></font><font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\))\">\ $QST{$key}{name}</font></TD></TR></TABLE>";
				
				print"<span ID=\"display$dis\" style=\"display\:none\"><table >
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\"  onClick=\"create_rename_handler\(\'2\',\'$key\',\'$QST{$key}{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$GQ{type}\',\'$GQ{sub_type}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\"  color=\"\#222222\" size=\"-1\"> $LANGUAGE{$set_language}{Change} </font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'5\',\'$key\',\'$QST{$key}{name}\',\'$GQ{parent}\',\'$GQ{expand}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\" color=\"\#444444\" size=\"-1\"><center>$LANGUAGE{$set_language}{Delete}</font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'8\',\'$key\',\'$GQ{name}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\" color=\"\#666666\" size=\"-1\"><center>$LANGUAGE{$set_language}{View}</center></font></td></TR>
				<tr><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"create_rename_handler\(\'5\',\'$key\',\'$GQ{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$GQ{type}\','$GQ{sub_type}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\" color=\"\#888888\" size=\"-1\"><center>$LANGUAGE{$set_language}{Copy}</center></font></td></TR>";
				
				if($QST{$key}{branching} == 0) {
                                        print"<TR><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"print_handler\('$key\',\'$QST{$key}{name}\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\" color=\"\#888888\" size=\"-1\"><center>$LANGUAGE{$set_language}{Print}</center></font></td></TR>";
                                        }
                                        
				print"<TR><TD width=\"$drop_down_spacing\"></TD><TD STYLE=\"cursor: pointer\;\" onClick=\"click_handler\(\'6\',\'$key\',\'$QST{$key}{name}\',\'$GQ{parent}\',\'$GQ{expand}\',\'$GQ{type}\',\'\',\'\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff(document.getElementById\(\'display$dis\'\)\)\" color=\"\#888888\" size=\"-1\"><center>$LANGUAGE{$set_language}{Rename}</center></font></td></TR></TABLE></span>\n";
				}
			++$dis;
			}
		}
	}

###############
#
# INSERT_QUEST
#
###############
sub insert_quest{
	my %IQ = @_;
	$IQ{expand} =~ s/[^0-9,]//g;
	$IQ{type} =~ s/\D//g;
	$IQ{sub_type} =~ s/\D//g;
	$IQ{image_number} =~ s/\D//g;
	$IQ{image1} =~ s/\D//g;
	$IQ{image2} =~ s/\D//g;
	$IQ{image3} =~ s/\D//g;
	$IQ{image4} =~ s/\D//g;
        $IQ{image5} =~ s/\D//g;
        $IQ{image6} =~ s/\D//g;
        $IQ{image7} =~ s/\D//g;
        $IQ{image8} =~ s/\D//g;
        $IQ{image9} =~ s/\D//g;
        $IQ{image10} =~ s/\D//g;
        $IQ{image11} =~ s/\D//g;
	$IQ{image12} =~ s/\D//g;
	$IQ{image13} =~ s/\D//g;
	$IQ{image14} =~ s/\D//g;
        $IQ{image15} =~ s/\D//g;
        $IQ{kolum} =~ s/\D//g;
        $IQ{mode} =~ s/\D//g;
        $IQ{value} =~ s/\D//g;
        $IQ{ans_mode} =~ s/\D//g;
        $IQ{again} =~ s/\D//g;

        my $value = 1;
	my $empty = $IQ{question};
	$empty =~ s/\s//g;
	my @expand = split(/,/,$IQ{expand});
	my $folder = pop(@expand);
	my $no;
	my $error = 0;
	$error = &check_many_length_return("$IQ{question}","$max_question_size","$IQ{type}","2","$IQ{sub_type}","1","$IQ{expand}","50");

	# check for legit folder to put under
	my $count;
	if($folder != 1) {
		$count = &is_there("table","question_categories","number","$folder");
		}
	elsif ($folder == 1) {
		$count =1;
		}

	# check whether they own the images
	my $image_num;
	my $image_error = 0;
	for ($image_num = 1; $image_num <= 15; ++$image_num) {
		my $i_image = "image"."$image_num";
		my $empty_image = $IQ{$i_image};
		$empty_image =~ s/\s//g;
		if (defined $IQ{$i_image} && $empty_image ne"" && $IQ{$i_image} > 0) {
			my %RETURN_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$IQ{$i_image}\" and u_id =\"$ids\"");
			if(!keys %RETURN_IMAGE) {
				++$image_error;
				}
			}
		}
	# and the question image
	if (defined $IQ{image_number} && $IQ{image_number} > 0) {
		my %RETURN_QUESTION_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$IQ{image_number}\" and u_id =\"$ids\"");
		if(!keys %RETURN_QUESTION_IMAGE) {
			++$image_error;
			}
		}
	
	if (!defined $IQ{image_number}) {
		$IQ{image_number} = 0;
		}

	# check they own the pdf
	my $pdf_error = 0;
	
	if (defined $IQ{pptx_number} && $IQ{pptx_number} > 0) {
		my %RETURN_PDF = &select4("query","select number,file_name from qst_files where number=\"$IQ{pptx_number}\" and u_id =\"$ids\"");
		if(!keys %RETURN_PDF) {
			++$pdf_error;
			}
		}

	if (!defined $IQ{pptx_number}) {
		$IQ{pptx_number} = 0;
		}
		
        if (!defined $IQ{vlink}) {
		$IQ{vlink} = 0;
		}
		
        if (!defined $IQ{alink}) {
		$IQ{alink} = 0;
		}

        if (!defined $IQ{kolum}) {
		$IQ{kolum} = 0;
		}
		
        if (!defined $IQ{value}) {
		$value = 1;
		}

        if (!defined $IQ{ans_mode}) {
		$IQ{ans_mode} = 0;
		}

	if (($empty ne "" || $IQ{image_number} > 0 || $IQ{vlink} ne "0" || $IQ{alink} ne "0") && $IQ{descrip} ne "" && $count == 1 && $error == 0 && $image_error == 0 && $pdf_error == 0) {

		if ($IQ{select} eq"TF") {
			$IQ{TFans} =~ s/[^T,F]//g;
			if($IQ{sub_type} == 2) { # survey questions
				$no = &insert_question_quote_return("query","$IQ{question}","query1","TF","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				
				&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"\",\"1\",\"$ids\",\"$org_id\",\"0\")");
				}
			elsif($IQ{TFans} ne"") { # quiz/test questions
				$no = &insert_question_quote_return("query","$IQ{question}","query1","TF","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}","pdf","$IQ{pptx_number}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"$IQ{TFans}\",\"1\",\"$ids\",\"$org_id\",\"0\")");
				}
			}
			
                elsif ($IQ{select} eq"YN") {
			$IQ{YNans} =~ s/[^Y,N]//g;
			if($IQ{sub_type} == 2) { # survey questions
				$no = &insert_question_quote_return("query","$IQ{question}","query1","YN","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				
				&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"\",\"1\",\"$ids\",\"$org_id\",\"0\")");
				}
			elsif($IQ{YNans} ne"") { # quiz/test questions
				$no = &insert_question_quote_return("query","$IQ{question}","query1","YN","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}","pdf","$IQ{pptx_number}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				
				&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"$IQ{YNans}\",\"1\",\"$ids\",\"$org_id\",\"0\")");
				}
			}
			
		elsif ($IQ{select} eq"MC") {
			# check whether there are enough answers
			my $enough_answers = 0;
			my $no =1;
			for ($no = 1; $no <= $mc_num; ++$no) {
				my $n_select = "select"."$no";
				my $empty_mcans = $IQ{$n_select};
				$empty_mcans =~ s/\s//g;
				my $i_select = "image"."$no";
				my $empty_image = $IQ{$i_select};
				$empty_image =~ s/\s//g;

				if ((defined $IQ{$n_select} && length($IQ{$n_select}) < 76 && $empty_mcans ne"" && $IQ{ans_mode} == 0) || (defined $IQ{$i_select} && $empty_image ne"" && $IQ{ans_mode} == 0)) {
					++$enough_answers;
					}
                                elsif(defined $IQ{$n_select} && ($IQ{ans_mode} == 1 || $IQ{ans_mode} == 2)) {
                                        ++$enough_answers;
                                        }
				}

			if($enough_answers > 1) { # at least 2 answers
				if($IQ{sub_type} == 2) { # survey questions
					$no = &insert_question_quote_return("query","$IQ{question}","query1","MC","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","$IQ{kolum}","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
					}
				else { # quiz/test questions
					$no = &insert_question_quote_return("query","$IQ{question}","query1","MC","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","$IQ{kolum}","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}","pdf","$IQ{pptx_number}");
					}
					
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				
				my $i =1 ;
				my $num = 1;
				for ($i = 1; $i <= $mc_num; ++$i) {
					my $n_select = "select"."$i";
					my $i_select = "image"."$i";
					
						
					if ($IQ{MCans} == $i && $IQ{ans_mode} == 0) { #BASIC MODE has image
                                                &insert_mc_question_answers_quote("number","$no","ids","$ids","quote","$IQ{$n_select}","num","$num","correct","1","image_id","$IQ{$i_select}");
                                                ++$num;
						}
                                        elsif ($IQ{MCans} == $i && ($IQ{ans_mode} == 1 || $IQ{ans_mode} == 2)) { # ADVANCED EQUATION MODE
                                                &insert_mc_question_answers_quote("number","$no","ids","$ids","quote","$IQ{$n_select}","num","$num","correct","1","image_id","0");
                                                ++$num;
						}
					elsif((defined $IQ{$n_select} || $IQ{$i_select} > 0) && $IQ{ans_mode} == 0) {
                                                &insert_mc_question_answers_quote("number","$no","ids","$ids","quote","$IQ{$n_select}","num","$num","correct","0","image_id","$IQ{$i_select}");
                                                ++$num;
						}
                                        elsif(defined $IQ{$n_select} && ($IQ{ans_mode} == 1 || $IQ{ans_mode} == 2)) {
                                                &insert_mc_question_answers_quote("number","$no","ids","$ids","quote","$IQ{$n_select}","num","$num","correct","0","image_id","0");
                                                ++$num;
						}
					}
				}
			}
			
                elsif ($IQ{select} eq"MX") { # Matching
			# check whether there are matching answers
			my $no_matching_answer = 0;
			my $no =1;
			my %ANSWERS = ();
			for ($no = 1; $no <= $mx_num; ++$no) {
				my $n_select = "select"."$no";
				my $matching = "select"."$no"."mx";
				my $empty_mxans = $IQ{$n_select};
				my $empty_match = $IQ{$matching};
				$empty_mxans =~ s/\s//g;
				$empty_match =~ s/\s//g;
				
				# check to remove doubles
				if(!exists $ANSWERS{$empty_match}) {
                                        $ANSWERS{$empty_match} = $no;
                                        }
                                        
				#check to see it has a matching answer
				if (($empty_mxans ne "" && $empty_match eq"") || length($IQ{$n_select}) > 30 || length($IQ{$matching}) > 30) {
					++$no_matching_answer;
					}
				}

			if($no_matching_answer == 0) { # add the question
				if($IQ{sub_type} == 2) { # survey questions
					}
				else { # quiz/test questions
					$no = &insert_question_quote_return("query","$IQ{question}","query1","MX","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}","pdf","$IQ{pptx_number}");
					}
					
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
		
                                # insert the matching answers
				my $i =1 ;
				my $num = 1;
				for ($i = 1; $i <= $mx_num; ++$i) {
					my $n_select = "select"."$i";
					my $cor_ans = "select"."$i"."mx";
					my $i_select = "image"."$i";
					
					if ($IQ{$n_select} ne"") {
                                                # insert matching answers first
                                                &insert_mx_question_answers_quote("number","$no","ids","$ids","quote","$IQ{$cor_ans}","num","$num","correct","1","image_id","$IQ{$i_select}");
                                                my $old = $num;
                                                ++$num;
                                                
                                                # insert text
                                                &insert_mx_question_answers_quote("number","$no","ids","$ids","quote","$IQ{$n_select}","num","$old","correct","0","image_id","$IQ{$i_select}");
                                                }
                                        if ($IQ{$cor_ans} ne"" && $IQ{$n_select} eq"") {
                                                # insert other matching ansers
                                                &insert_mx_question_answers_quote("number","$no","ids","$ids","quote","$IQ{$cor_ans}","num","$num","correct","1","image_id","$IQ{$i_select}");
                                                ++$num;
                                                }
					}
				}
			}
			
                elsif ($IQ{select} eq"MA") { # Muliple Answers
			# check whether there are answers
			my $not_enough_answers = 0;
			my $no =1;
			for ($no = 1; $no <= $ma_num; ++$no) {
				my $n_select = "select"."$no";
				my $empty_mcans = $IQ{$n_select};
				$empty_mcans =~ s/\s//g;
				my $i_select = "image"."$no";
				my $empty_image = $IQ{$i_select};
				$empty_image =~ s/\s//g;
				
				if ((!defined $IQ{$n_select} && length($IQ{$n_select}) > 75 && $empty_mcans eq"" && $IQ{ans_mode} == 0) && (!defined $IQ{$i_select} && $empty_image eq"" && $IQ{ans_mode} == 0)) {
					++$not_enough_answers;
					}
				}

			if($not_enough_answers == 0) { # add the question

				if($IQ{sub_type} == 2) { # survey questions
					$no = &insert_question_quote_return("query","$IQ{question}","query1","MA","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","$IQ{kolum}","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
					}
				else { # quiz/test questions
					$no = &insert_question_quote_return("query","$IQ{question}","query1","MA","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","$IQ{kolum}","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}","pdf","$IQ{pptx_number}");
					}
					
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				my $i =1 ;
				my $num = 1;
				for ($i = 1; $i <= $ma_num; ++$i) {
					my $n_select = "select"."$i";
					my $cor_ans;
					my $i_select = "image"."$i";
                                        
                                        if($IQ{ans_mode} == 1) {
                                                $cor_ans = "select"."$i"."mam";
                                                }
                                        elsif($IQ{ans_mode} == 2) {
                                                $cor_ans = "select"."$i"."maeq";
                                                }
                                        else {
                                               $cor_ans = "select"."$i"."ma";
                                                }
                                                
					if ($IQ{$n_select} ne"" || $IQ{$i_select} > 0) {
                                                if($IQ{$cor_ans} == $i ) {
                                                        &insert_ma_question_answers_quote("number","$no","ids","$ids","quote","$IQ{$n_select}","num","$num","correct","1","image_id","$IQ{$i_select}");
                                                        }
                                                else {
                                                        &insert_ma_question_answers_quote("number","$no","ids","$ids","quote","$IQ{$n_select}","num","$num","correct","0","image_id","$IQ{$i_select}");
                                                        }
                                                }
					++$num;
					}
				}
			}
			
		elsif ($IQ{select} eq"SA") {
			if($IQ{sub_type} == 2) { # survey questions
				$no = &insert_question_quote_return("query","$IQ{question}","query1","SA","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				
				&insert_question_answers_quote("number","$no","ids","$ids","quote","","image_id","0");
				}
			else { # quiz/test questions
				my $empty_sans = $IQ{SAans};
				$empty_sans =~ s/\s//g;
				if($empty_sans ne"") {
					$no = &insert_question_quote_return("query","$IQ{question}","query1","SA","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}","pdf","$IQ{pptx_number}");
					
					&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
					&insert_question_answers_quote("number","$no","ids","$ids","quote","$IQ{SAans}","image_id","0");
					}
				}
			}
			
		elsif ($IQ{select} eq"P") {
			if($IQ{sub_type} == 2) { # survey questions
				$no = &insert_question_quote_return("query","$IQ{question}","query1","P","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				
				&insert_question_answers_quote("number","$no","ids","$ids","quote","$IQ{Pans}","image_id","0");
				}
			else { # quiz/test questions
				my $empty_pans = $IQ{Pans};
				$empty_pans =~ s/\s//g;
				if($empty_pans ne"") {
					$no = &insert_question_quote_return("query","$IQ{question}","query1","P","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}","pdf","$IQ{pptx_number}");
					
					&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
					&insert_question_answers_quote("number","$no","ids","$ids","quote","$IQ{Pans}","image_id","0");
					}
				}
			}
			
		elsif ($IQ{select} eq"AD") {
			$no = &insert_question_quote_return("query","$IQ{question}","query1","AD","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}","pdf","$IQ{pptx_number}");
			
			&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
			}
		}
	# what to display in right side
	if($IQ{from} == 6) {
                &questions("type","$IQ{type}","sub_type","$IQ{sub_type}","name","$IQ{name}","expand","$IQ{expand}","u_id","$IQ{u_id}","session_id","$IQ{session_id}");
		}
	else {
                &make_quest("type","$IQ{type}","sub_type","$IQ{sub_type}","name","$IQ{name}","expand","$IQ{expand}","from","$IQ{from}","u_id","$IQ{u_id}","session_id","$IQ{session_id}","again","$IQ{again}");
		}

	}

###############
#
# INSERT_BANK_QUEST
#
###############
sub insert_bank_quest{
	my %IQ = @_;
	$IQ{expand} =~ s/[^0-9,]//g;
	$IQ{type} =~ s/\D//g;
	$IQ{from} =~ s/\D//g;
	$IQ{bank_no} =~ s/\D//g;
	$IQ{sub_type} =~ s/\D//g;
	$IQ{mode} =~ s/\D//g;
	$IQ{image_number} =~ s/\D//g;
	$IQ{image1} =~ s/\D//g;
	$IQ{image2} =~ s/\D//g;
	$IQ{image3} =~ s/\D//g;
	$IQ{image4} =~ s/\D//g;
        $IQ{image5} =~ s/\D//g;
	$IQ{image6} =~ s/\D//g;
	$IQ{image7} =~ s/\D//g;
	$IQ{image8} =~ s/\D//g;
	$IQ{image9} =~ s/\D//g;
	$IQ{image10} =~ s/\D//g;
	$IQ{image11} =~ s/\D//g;
	$IQ{image12} =~ s/\D//g;
	$IQ{image13} =~ s/\D//g;
	$IQ{image14} =~ s/\D//g;
	$IQ{image15} =~ s/\D//g;
	$IQ{ans_mode} =~ s/\D//g;
	$IQ{again} =~ s/\D//g;
	
	my $empty = $IQ{question};
	$empty =~ s/\s//g;
	my @expand = split(/,/,$IQ{expand});
	my $folder = pop(@expand);
	my $no;
	my $error = 0;
	$error = &check_many_length_return("$IQ{question}","1550","$IQ{type}","2","$IQ{sub_type}","1","$IQ{expand}","50");

	# check for legit folder to put under
	my $count;
	if($folder != 1) {
		$count = &bank_is_there("table","question_categories","number","$folder");
		}
	elsif ($folder == 1) {
		$count =1;
		}

	# check whether they own the images
	my $image_num;
	my $image_error = 0;
	for ($image_num = 1; $image_num <= 4; ++$image_num) {
		my $i_image = "image"."$image_num";
		my $empty_image = $IQ{$i_image};
		$empty_image =~ s/\s//g;
		if (defined $IQ{$i_image} && $empty_image ne"" && $IQ{$i_image} > 0) {
			my %RETURN_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$IQ{$i_image}\" and org_id =\"$org_id\" AND u_id=\"0\"");
			if(!keys %RETURN_IMAGE) {
				++$image_error;
				}
			}
		}
		
	# and the question image
	if (defined $IQ{image_number} && $IQ{image_number} > 0) {
		my %RETURN_QUESTION_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$IQ{image_number}\" and org_id =\"$org_id\" AND u_id=\"0\"");
		if(!keys %RETURN_QUESTION_IMAGE) {
			++$image_error;
			}
		}
	
	if (!defined $IQ{image_number}) {
		$IQ{image_number} = 0;
		}
		
        if (!defined $IQ{vlink}) {
		$IQ{vlink} = 0;
		}
		
        if (!defined $IQ{alink}) {
		$IQ{alink} = 0;
		}
		
        if (!defined $IQ{mode}) {
		$IQ{mode} = 0;
		}
		
        if (!defined $IQ{ans_mode}) {
		$IQ{ans_mode} = 0;
		}
		
	if (($empty ne "" || $IQ{image_number} > 0 || $IQ{vlink} ne "0" || $IQ{alink} ne "0") && $IQ{descrip} ne "" && $count == 1 && $error == 0 && $image_error == 0) {
		my $value = 1;
		$value = "$IQ{value}";

		if ($IQ{select} eq"TF") {
			$IQ{TFans} =~ s/[^T,F]//g;
			if($IQ{sub_type} == 2) { # survey questions
				$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","TF","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"0\",\"$org_id\")");
				&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"\",\"1\",\"0\",\"$org_id\",\"0\")");
				}
			elsif($IQ{TFans} ne"") { # quiz/test questions
				$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","TF","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"0\",\"$org_id\")");
				&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"$IQ{TFans}\",\"1\",\"0\",\"$org_id\",\"0\")");
				}
			}
			
                elsif ($IQ{select} eq"YN") {
			$IQ{YNans} =~ s/[^Y,N]//g;
			if($IQ{sub_type} == 2) { # survey questions
				$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","YN","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"0\",\"$org_id\")");
				&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"\",\"1\",\"0\",\"$org_id\",\"0\")");
				}
			elsif($IQ{YNans} ne"") { # quiz/test questions
				$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","YN","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"0\",\"$org_id\")");
				&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"$IQ{YNans}\",\"1\",\"0\",\"$org_id\",\"0\")");
				}
			}
			
		elsif ($IQ{select} eq"MC") {
			# check whether there are enough answers
			my $enough_answers = 0;
			my $no =1;
			for ($no = 1; $no <= $mc_num; ++$no) {
				my $n_select = "select"."$no";
				my $empty_mcans = $IQ{$n_select};
				$empty_mcans =~ s/\s//g;
				my $i_select = "image"."$no";
				my $empty_image = $IQ{$i_select};
				$empty_image =~ s/\s//g;

				if ((defined $IQ{$n_select} && length($IQ{$n_select}) < 76 && $empty_mcans ne"" && $IQ{ans_mode} == 0) || (defined $IQ{$i_select} && $empty_image ne"" && $IQ{ans_mode} == 0)) {
					++$enough_answers;
					}
                                elsif(defined $IQ{$n_select} && ($IQ{ans_mode} == 1 || $IQ{ans_mode} == 2)) {
                                        ++$enough_answers;
                                        }
				}

			if($enough_answers > 1) { # at least 2 answers
				if($IQ{sub_type} == 2) { # survey questions
					$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","MC","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","$IQ{kolum}","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
					}
				else { # quiz/test questions
					$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","MC","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","$IQ{kolum}","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
					}
					
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"0\",\"$org_id\")");
				my $i =1 ;
				my $num = 1;
				for ($i = 1; $i <= $mc_num; ++$i) {
					my $n_select = "select"."$i";
					my $i_select = "image"."$i";
					
					if ($IQ{MCans} == $i && $IQ{ans_mode} == 0) { #BASIC MODE has image
                                                &insert_mc_question_answers_quote("number","$no","ids","0","quote","$IQ{$n_select}","num","$num","correct","1","image_id","$IQ{$i_select}");
                                                ++$num;
						}
                                        elsif ($IQ{MCans} == $i && ($IQ{ans_mode} == 1 || $IQ{ans_mode} == 2)) { # ADVANCED MODE
                                                &insert_mc_question_answers_quote("number","$no","ids","0","quote","$IQ{$n_select}","num","$num","correct","1","image_id","0");
                                                ++$num;
						}
					elsif((defined $IQ{$n_select} || $IQ{$i_select} > 0) && $IQ{ans_mode} == 0) {
                                                &insert_mc_question_answers_quote("number","$no","ids","0","quote","$IQ{$n_select}","num","$num","correct","0","image_id","$IQ{$i_select}");
                                                ++$num;
						}
                                        elsif(defined $IQ{$n_select} && ($IQ{ans_mode} == 1 || $IQ{ans_mode} == 2)) {
                                                &insert_mc_question_answers_quote("number","$no","ids","0","quote","$IQ{$n_select}","num","$num","correct","0","image_id","0");
                                                ++$num;
						}
					}
				}
			}
			
            elsif ($IQ{select} eq"MA") { # Muliple Answers
			# check whether there are answers
			my $not_enough_answers = 0;
			my $no =1;
			for ($no = 1; $no <= $ma_num; ++$no) {
				my $n_select = "select"."$no";
				my $empty_mcans = $IQ{$n_select};
				$empty_mcans =~ s/\s//g;
				my $i_select = "image"."$no";
				my $empty_image = $IQ{$i_select};
				$empty_image =~ s/\s//g;
				if ((!defined $IQ{$n_select} && length($IQ{$n_select}) > 75 && $empty_mcans eq"") && (!defined $IQ{$i_select} && $empty_image eq"")) {
					++$not_enough_answers;
					}
				}

			if($not_enough_answers == 0) { # add the question

				if($IQ{sub_type} == 2) { # survey questions
					$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","MA","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","$IQ{kolum}","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
					}
				else { # quiz/test questions
					$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","MA","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","$IQ{kolum}","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
					}
					
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"0\",\"$org_id\")");
				
				# insert answers
				my $i =1 ;
				my $num = 1;
				for ($i = 1; $i <= $ma_num; ++$i) {
					my $n_select = "select"."$i";
					my $cor_ans;
					
					if($IQ{ans_mode} == 1) {
                                                $cor_ans = "select"."$i"."mam";
                                                }
                                        elsif($IQ{ans_mode} == 2) {
                                                $cor_ans = "select"."$i"."maeq";
                                                }
                                        else {
                                               $cor_ans = "select"."$i"."ma";
                                                }
                                                
					my $i_select = "image"."$i";

					if ($IQ{$n_select} ne"" || $IQ{$i_select} > 0) {
                                                if($IQ{$cor_ans} == $i ) {
                                                        &insert_ma_question_answers_quote("number","$no","ids","0","quote","$IQ{$n_select}","num","$num","correct","1","image_id","$IQ{$i_select}");
                                                        ++$num;
                                                        }
                                                elsif(defined $IQ{$n_select}) {
                                                        &insert_ma_question_answers_quote("number","$no","ids","0","quote","$IQ{$n_select}","num","$num","correct","0","image_id","$IQ{$i_select}");
                                                        ++$num;
                                                        }
                                                }
					
					}
				}
			}
			
                elsif ($IQ{select} eq"MX") { # Matching
			# check whether there are matching answers
			my $no_matching_answer = 0;
			my $no =1;
			my %ANSWERS = ();
			for ($no = 1; $no <= $mx_num; ++$no) {
				my $n_select = "select"."$no";
				my $matching = "select"."$no"."mx";
				my $empty_mxans = $IQ{$n_select};
				my $empty_match = $IQ{$matching};
				$empty_mxans =~ s/\s//g;
				$empty_match =~ s/\s//g;
				
				# check to remove doubles
				if(!exists $ANSWERS{$empty_match}) {
                                        $ANSWERS{$empty_match} = $no;
                                        }
                                        
				#check to see it has a matching answer
				if (($empty_mxans ne "" && $empty_match eq"") || length($IQ{$n_select}) > 30 || length($IQ{$matching}) > 30) {
					++$no_matching_answer;
					}
				}

			if($no_matching_answer == 0) { # add the question
				if($IQ{sub_type} == 2) { # survey questions
					}
				else { # quiz/test questions
					$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","MX","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
					}
					
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"0\",\"$org_id\")");
		
                                # insert the matching answers
				my $i =1 ;
				my $num = 1;
				for ($i = 1; $i <= $mx_num; ++$i) {
					my $n_select = "select"."$i";
					my $cor_ans = "select"."$i"."mx";
					my $i_select = "image"."$i";
					
					if ($IQ{$n_select} ne"") {
                                                # insert matching answers first
                                                &insert_mx_question_answers_quote("number","$no","ids","0","quote","$IQ{$cor_ans}","num","$num","correct","1","image_id","$IQ{$i_select}");
                                                my $old = $num;
                                                
                                                # insert text
                                                &insert_mx_question_answers_quote("number","$no","ids","0","quote","$IQ{$n_select}","num","$old","correct","0","image_id","$IQ{$i_select}");
                                                ++$num;
                                                }
                                        if ($IQ{$cor_ans} ne"" && $IQ{$n_select} eq"") {
                                                # insert other matching ansers
                                                &insert_mx_question_answers_quote("number","$no","ids","0","quote","$IQ{$cor_ans}","num","$num","correct","1","image_id","$IQ{$i_select}");
                                                ++$num;
                                                }
					}
				}
			}
			
		elsif ($IQ{select} eq"SA") {
			if($IQ{sub_type} == 2) { # survey questions
				$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","SA","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"0\",\"$org_id\")");
				&insert_question_answers_quote("number","$no","ids","0","quote","","image_id","0");
				}
			else { # quiz/test questions
				my $empty_sans = $IQ{SAans};
				$empty_sans =~ s/\s//g;
				if($empty_sans ne"") {
					$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","SA","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
					
					&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"0\",\"$org_id\")");
					&insert_question_answers_quote("number","$no","ids","0","quote","$IQ{SAans}","image_id","0");
					}
				}
			}
			
		elsif ($IQ{select} eq"P") {
			if($IQ{sub_type} == 2) { # survey questions
				$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","P","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"0\",\"$org_id\")");
				&insert_question_answers_quote("number","$no","ids","0","quote","$IQ{Pans}","image_id","0");
				}
			else { # quiz/test questions
				my $empty_pans = $IQ{Pans};
				$empty_pans =~ s/\s//g;
				if($empty_pans ne"") {
					$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","P","query2","$value","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}","ans_mode","$IQ{ans_mode}");
					
					&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"0\",\"$org_id\")");
					&insert_question_answers_quote("number","$no","ids","0","quote","$IQ{Pans}","image_id","0");
					}
				}
			}
			
		elsif ($IQ{select} eq"AD") {
			$no = &insert_bank_question_quote_return("query","$IQ{question}","query1","AD","query2","0","sub_type","$IQ{sub_type}","image_id","$IQ{image_number}","vlink","$IQ{vlink}","alink","$IQ{alink}","kolum","0","mode","$IQ{mode}","descrip","$IQ{descrip}");
			
			&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"0\",\"$org_id\")");
			}
		}
	# what to display in right side
	if($IQ{from} == 6) {
                &questions_bank("type","$IQ{type}","sub_type","$IQ{sub_type}","name","$IQ{name}","expand","$IQ{expand}","u_id","$IQ{u_id}","session_id","$IQ{session_id}");
		}
	else {
                &make_bank_quest("type","$IQ{type}","sub_type","$IQ{sub_type}","name","$IQ{name}","bank_no","$IQ{bank_no}","expand","$IQ{expand}","from","$IQ{from}","u_id","$IQ{u_id}","session_id","$IQ{session_id}","again","$IQ{again}");
		}

	}

###############
#
# INSERT_QUEST_TO_CURRENT_QST   insert new question to new or current quizzes, surveys, tests
#
###############
sub insert_quest_to_current_qst{
	my %IQTCQ = @_;
	my $empty = $IQTCQ{question};
	$empty =~ s/\s//g;
	$IQTCQ{image_number} =~ s/\D//g;
	$IQTCQ{image1} =~ s/\D//g;
	$IQTCQ{image2} =~ s/\D//g;
	$IQTCQ{image3} =~ s/\D//g;
	$IQTCQ{image4} =~ s/\D//g;
        $IQTCQ{image5} =~ s/\D//g;
	$IQTCQ{image6} =~ s/\D//g;
	$IQTCQ{image7} =~ s/\D//g;
	$IQTCQ{image8} =~ s/\D//g;
	$IQTCQ{image9} =~ s/\D//g;
	$IQTCQ{image10} =~ s/\D//g;
	$IQTCQ{image11} =~ s/\D//g;
	$IQTCQ{image12} =~ s/\D//g;
	$IQTCQ{image13} =~ s/\D//g;
	$IQTCQ{image14} =~ s/\D//g;
	$IQTCQ{image15} =~ s/\D//g;
	$IQTCQ{kolum} =~ s/\D//g;
	$IQTCQ{mode} =~ s/\D//g;
	$IQTCQ{ans_mode} =~ s/\D//g;
	$IQTCQ{expand} =~ s/[^0-9,]//g;
	
	my @expand = split(/,/,$IQTCQ{expand});
	my $folder;
	my $error = 0;
	$error = &check_many_length_return("$IQTCQ{quiz_no}","10","$IQTCQ{type}","1","$IQTCQ{expand}","50","$IQTCQ{question}","750","$IQTCQ{n_select}","10");
	
	# see if qst is there
	my $count; 
	$count = &is_there("table","qst","number","$IQTCQ{quiz_no}");

	# check whether they own the images
	my $image_num;
	my $image_error = 0;
	
	# images for MC question answers
	for ($image_num = 1; $image_num <= $mc_num; ++$image_num) {
		my $i_image = "image"."$image_num";
		my $empty_image = $IQTCQ{$i_image};
		$empty_image =~ s/\s//g;
		if (defined $IQTCQ{$i_image} && $empty_image ne"" && $IQTCQ{$i_image} > 0) {
			my %RETURN_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$IQTCQ{$i_image}\" and u_id =\"$ids\"");
			if(!keys %RETURN_IMAGE) {
				++$image_error;
				}
			}
		}

	# and the question image
	if (defined $IQTCQ{image_number}) {
		my %RETURN_QUESTION_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$IQTCQ{image_number}\" and u_id =\"$ids\"");
		if(!keys %RETURN_QUESTION_IMAGE) {
			++$image_error;
			}
		}
		
	if (!defined $IQTCQ{image_number}) {
		$IQTCQ{image_number} = 0;
		}

        if (!defined $IQTCQ{vlink}) {
		$IQTCQ{vlink} = 0;
		}
	if (!defined $IQTCQ{alink}) {
		$IQTCQ{alink} = 0;
		}
		
        if (!defined $IQTCQ{kolum}) {
		$IQTCQ{kolum} = 0;
		}
	if (!defined $IQTCQ{mode}) {
		$IQTCQ{mode} = 0;
		}
		
        if (!defined $IQTCQ{ans_mode}) {
		$IQTCQ{ans_mode} = 0;
		}
		
       if (($empty ne "" || $IQTCQ{image_number} > 0 || $IQTCQ{vlink} ne"0" || $IQTCQ{alink} ne"0") && $error != 1 && $count == 1 && $image_error == 0 && $IQTCQ{descrip} ne "") {
       		if($IQTCQ{type} != 2) { # quiz/test questions, Default question folder
			$folder = &select10("query","SELECT number from question_categories WHERE type=\"0\" AND u_id=\"$ids\" AND sub_type=\"1\"");
			}
		else { # survey questions, Survey questions folder
			$folder = &select10("query","SELECT number from question_categories WHERE type=\"0\" AND u_id=\"$ids\" AND sub_type=\"2\"");
			}
			
		my $order_no = "$IQTCQ{order_no}";
		my %ORDER = &select4("query","SELECT quest_no,q_order from qst_questions WHERE qst_no=\"$IQTCQ{quiz_no}\" AND u_id=\"$ids\"");
		if(keys %ORDER) {
			foreach my $value(values %ORDER) {
				if($value > $order_no) {
					$order_no = $value;
					}
				}
			}
			
		++$order_no;
		my $no;
		my $value;
		if ($IQTCQ{value} ne"" && $IQTCQ{value} < 999 && $IQTCQ{value} =~ /\d/) {
			$value = "$IQTCQ{value}";
			}
		else {
			$value = 1;
			}

		if ($IQTCQ{select} eq"TF") {
			$IQTCQ{TFans} =~ s/[^T,F]//g;
			if($IQTCQ{type} == 2) { # survey questions
				$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","TF","query2","0","sub_type","2","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","0","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"0\",\"1\",\"$ids\",\"$org_id\",\"0\")");
				}
			elsif($IQTCQ{TFans} ne"") { # quiz/test questions
				$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","TF","query2","$value","sub_type","1","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","0","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"$IQTCQ{TFans}\",\"1\",\"$ids\",\"$org_id\",\"0\")");
				}

                   	}
                   	
                if ($IQTCQ{select} eq"YN") {
			$IQTCQ{YNans} =~ s/[^Y,N]//g;
			if($IQTCQ{type} == 2) { # survey questions
				$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","YN","query2","0","sub_type","2","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","0","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"0\",\"1\",\"$ids\",\"$org_id\",\"0\")");
				}
			elsif($IQTCQ{YNans} ne"") { # quiz/test questions
				$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","YN","query2","$value","sub_type","1","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","0","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
				
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"$IQTCQ{YNans}\",\"1\",\"$ids\",\"$org_id\",\"0\")");
				}

                   	}
                   	
		elsif ($IQTCQ{select} eq"MC") {
			# check whether there are 2 answers
			my $not_enough_answers = 0;
			my $numm =1;
			for ($numm = 1; $numm <= $mc_num; ++$numm) {
				my $n_select = "select"."$numm";
				my $empty_mcans = $IQTCQ{$n_select};
				$empty_mcans =~ s/\s//g;
				my $i_select = "image"."$numm";
				my $empty_image = $IQTCQ{$i_select};
				$empty_image =~ s/\s//g;
				if ((defined $IQTCQ{$n_select} && length($IQTCQ{$n_select}) < 76 && $empty_mcans ne"" && $IQTCQ{ans_mode} == 0) || (defined $IQTCQ{$i_select} && $empty_image ne"" && $empty_mcans ne"")) {
					++$not_enough_answers;
					}
                                elsif(defined $IQTCQ{$n_select} && $IQTCQ{ans_mode} == 1) {
                                        ++$not_enough_answers;
                                        }
				}
			if($not_enough_answers > 1) { # there are at least 2 answers
				if($IQTCQ{sub_type} == 2) { # survey questions
					$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","MC","query2","0","sub_type","$IQTCQ{sub_type}","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","$IQTCQ{kolum}","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
					}
				else { # quiz/test questions
					$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","MC","query2","$value","sub_type","$IQTCQ{sub_type}","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","$IQTCQ{kolum}","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
					}
					
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				my $i =1 ;
				my $num = 1;
				for ($i = 1; $i <= $mc_num; ++$i) {
					my $n_select = "select"."$i";
					my $i_select = "image"."$i";
					
					if ($IQTCQ{MCans} == $i && $IQTCQ{ans_mode} != 1) { #BASIC MODE has image
                                                &insert_mc_question_answers_quote("number","$no","ids","$ids","quote","$IQTCQ{$n_select}","num","$num","correct","1","image_id","$IQTCQ{$i_select}");
                                                ++$num;
						}
                                        elsif ($IQTCQ{MCans} == $i && $IQTCQ{ans_mode} == 1) { # ADVANCED MODE
                                                &insert_mc_question_answers_quote("number","$no","ids","$ids","quote","$IQTCQ{$n_select}","num","$num","correct","1","image_id","0");
                                                ++$num;
						}
					elsif((defined $IQTCQ{$n_select} || $IQTCQ{$i_select} > 0) && $IQTCQ{ans_mode} != 1) {
                                                &insert_mc_question_answers_quote("number","$no","ids","$ids","quote","$IQTCQ{$n_select}","num","$num","correct","0","image_id","$IQTCQ{$i_select}");
                                                ++$num;
						}
                                        elsif(defined $IQTCQ{$n_select} && $IQTCQ{ans_mode} == 1) {
                                                &insert_mc_question_answers_quote("number","$no","ids","$ids","quote","$IQTCQ{$n_select}","num","$num","correct","0","image_id","0");
                                                ++$num;
						}
					}
				}
			}
			
                elsif ($IQTCQ{select} eq"MA") { # Muliple Answers
			# check whether there are answers
			my $not_enough_answers = 0;
			my $nom =1;
			for ($nom = 1; $nom <= $ma_num; ++$nom) {
				my $n_select = "select"."$nom";
				my $empty_mcans = $IQTCQ{$n_select};
				$empty_mcans =~ s/\s//g;
				my $i_select = "image"."$nom";
				my $empty_image = $IQTCQ{$i_select};
				$empty_image =~ s/\s//g;
				if ((!defined $IQTCQ{$n_select} && length($IQTCQ{$n_select}) > 75 && $empty_mcans eq"" && $IQTCQ{ans_mode} == 0) && (!defined $IQTCQ{$i_select} && $empty_image eq"")) {
					++$not_enough_answers;
					}
				}

			if($not_enough_answers == 0) { # add the question

				if($IQTCQ{sub_type} == 2) { # survey questions
					$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","MA","query2","0","sub_type","$IQTCQ{sub_type}","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","$IQTCQ{kolum}","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
					}
				else { # quiz/test questions
					$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","MA","query2","$value","sub_type","$IQTCQ{sub_type}","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","$IQTCQ{kolum}","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
					}
					
				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
				my $i =1 ;
				my $num = 1;
				for ($i = 1; $i <= 10; ++$i) {
					my $n_select = "select"."$i";
					my $cor_ans;
					
                                        if($IQTCQ{ans_mode} == 1) {
                                                $cor_ans = "select"."$i"."mam";
                                                }
                                        elsif($IQTCQ{ans_mode} == 2) {
                                                $cor_ans = "select"."$i"."maeq";
                                                }
                                        else {
                                               $cor_ans = "select"."$i"."ma";
                                                }
                                                
					my $i_select = "image"."$i";

					if ($IQTCQ{$n_select} ne"" || $IQTCQ{$i_select} > 0) {
                                                if($IQTCQ{$cor_ans} == $i ) {
                                                        &insert_ma_question_answers_quote("number","$no","ids","$ids","quote","$IQTCQ{$n_select}","num","$num","correct","1","image_id","$IQTCQ{$i_select}");
                                                        }
                                                else {
                                                        &insert_ma_question_answers_quote("number","$no","ids","$ids","quote","$IQTCQ{$n_select}","num","$num","correct","0","image_id","$IQTCQ{$i_select}");
                                                        }
                                                }
					++$num;
					}
				}
			}
			
                elsif ($IQTCQ{select} eq"MX") { # Matching
			# check whether there are matching answers
			my $no_matching_answer = 0;
			my $numb =1;
			my %ANSWERS = ();
			for ($numb = 1; $numb <= 10; ++$numb) {
				my $n_select = "select"."$numb";
				my $matching = "select"."$numb"."mx";
				my $empty_mxans = $IQTCQ{$n_select};
				my $empty_match = $IQTCQ{$matching};
				$empty_mxans =~ s/\s//g;
				$empty_match =~ s/\s//g;
				
				# check to remove doubles
				if(!exists $ANSWERS{$empty_match}) {
                                        $ANSWERS{$empty_match} = $numb;
                                        }
                                        
				#check to see it has a matching answer
				if (($empty_mxans ne "" && $empty_match eq"") || length($IQTCQ{$n_select}) > 30 || length($IQTCQ{$matching}) > 30) {
					++$no_matching_answer;
					}
				}

			if($no_matching_answer == 0) { # add the question
				if($IQTCQ{sub_type} == 2) { # survey questions
					}
				else { # quiz/test questions
					$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","MX","query2","$value","sub_type","$IQTCQ{sub_type}","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","0","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
					}

				&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
		
                                # insert the matching answers
				my $i =1 ;
				my $num = 1;
				for ($i = 1; $i <= $mx_num; ++$i) {
					my $n_select = "select"."$i";
					my $cor_ans = "select"."$i"."mx";
					my $i_select = "image"."$i";
					
					if ($IQTCQ{$n_select} ne"") {
                                                # insert matching answers first
                                                &insert_mx_question_answers_quote("number","$no","ids","$ids","quote","$IQTCQ{$cor_ans}","num","$num","correct","1","image_id","$IQTCQ{$i_select}");
                                                my $old = $num;
                                                ++$num;
                                                
                                                # insert text
                                                &insert_mx_question_answers_quote("number","$no","ids","$ids","quote","$IQTCQ{$n_select}","num","$old","correct","0","image_id","$IQTCQ{$i_select}");
                                                }
                                                
                                        if ($IQTCQ{$cor_ans} ne"" && $IQTCQ{$n_select} eq"") {
                                                # insert other matching ansers
                                                &insert_mx_question_answers_quote("number","$no","ids","$ids","quote","$IQTCQ{$cor_ans}","num","$num","correct","1","image_id","$IQTCQ{$i_select}");
                                                ++$num;
                                                }
					}
				}

			}
			
            	elsif ($IQTCQ{select} eq"SA") {
			if($IQTCQ{type} == 2) { # survey questions
				$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","SA","query2","0","sub_type","2","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","0","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
				}
			else { # quiz/test questions
				$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","SA","query2","$value","sub_type","1","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","0","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
				}
			&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
			&insert_question_answers_quote("number","$no","ids","$ids","quote","$IQTCQ{SAans}","image_id","0");
                   	}

            	elsif ($IQTCQ{select} eq"P") {
			if($IQTCQ{type} == 2) { # survey questions
				$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","P","query2","0","sub_type","2","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","0","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
				}
			else { # quiz/test questions
				$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","P","query2","$value","sub_type","1","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","0","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
				}
			&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
			&insert_question_answers_quote("number","$no","ids","$ids","quote","$IQTCQ{Pans}","image_id","0");
                   	}

            	elsif ($IQTCQ{select} eq"AD") { # survey questions
			$no = &insert_question_quote_return("query","$IQTCQ{question}","query1","AD","query2","0","sub_type","2","image_id","$IQTCQ{image_number}","vlink","$IQTCQ{vlink}","alink","$IQTCQ{alink}","kolum","0","mode","$IQTCQ{mode}","descrip","$IQTCQ{descrip}","ans_mode","$IQTCQ{ans_mode}");
			
			&insert_generic("query","INSERT categories_to_questions VALUES(\"$folder\",\"$no\",\"$ids\",\"$org_id\")");
			&insert_generic("query","INSERT question_answers VALUES(\"$no\",\"1\",\"0\",\"1\",\"$ids\",\"$org_id\")");
                   	}

		&insert_generic("query","INSERT qst_questions VALUES(\"$IQTCQ{quiz_no}\",\"$no\",\"$order_no\",\"$value\",\"0\",\"$ids\",\"$org_id\",\"\",\"0\")");

		my @return = &select3("query","select questions,marks from qst WHERE number=\"$IQTCQ{quiz_no}\"");
		my $num_of_questions = "$return[0]";
		++$num_of_questions;
		$value = $value + $return[1];
		
		&update_general("query","UPDATE qst SET questions=\"$num_of_questions\", marks=\"$value\" WHERE number=\"$IQTCQ{quiz_no}\" AND u_id=\"$ids\"");
		&print_add_quest_to_qst("reload","1","name","$IQTCQ{name}","order_no","$order_no","status","1","from","$IQTCQ{from}","quiz_no","$IQTCQ{quiz_no}","type","$IQTCQ{type}","sub_type","$IQTCQ{sub_type}","action_type","$IQTCQ{action_type}","refresh_right","$IQTCQ{refresh_right}","open_class","$IQTCQ{open_class}","class_open","$IQTCQ{class_open}","u_id","$IQTCQ{u_id}","session_id","$IQTCQ{session_id}","expand","$IQTCQ{expand}");
		}
	}

#############
#
# LOGOUT
#
#############
sub logout {
	my %L = @_;
	&generic_delete("query","DELETE from logged_in WHERE u_id=\"$L{u_id}\" AND session_id=\"$L{session_id}\"");
	$u_type = "";

      	&print_new_login();
	}
	
#############
#
# MAKE_TOP_SCREEN
#
#############
sub make_top_screen {
	my %MTS = @_;
	$MTS{type} =~ s/\D//g;
	$MTS{sub_type} =~ s/\D//g;
	$MTS{from} =~ s/\D//g;
	$MTS{u_id} =~ s/\D//g;
	$MTS{session_id} =~ s/\D//g;

	my $from;
	my $add_quest_to_new_qst;
	my $error = 0;
	$error = &check_many_length_return("$MTS{from}","2","$MTS{sub_type}","1","$MTS{type}","2","$MTS{expand}","50","$MTS{number}","10","$MTS{parent}","10","$MTS{refresh_right}","50");

        if ($error != 1) {
		if($MTS{from} == 2) { # coming from quizzes/tests page
			$from = 2;
			$add_quest_to_new_qst = 4;
			}
		if($MTS{from} == 4) { # coming from quizzes/tests page
			$from = 4;
			}
		print"<style>
		table\{ border-radius:4px\; font-size:10pt\; font-family:Arial\;\}
		</style>\n";
		
		&print_javascript_begin();
		print"var left1\n";
		print"var right1\n";
		
		print"function close_window\(\) \{
		parent.close\(\)
		\}\n";
		
		print"function mkbank\(\) \{
		top.mida.location=\"\/schools\/blank.htm\" 
		document.form_bank.submit\(\)
		document.form2.submit\(\)
		\}\n";
		
		print"function mkadd\(\) \{\n";
		print"top.mida.document.writeln('<html><head><title>aa</title></head>')\n";
		print"top.mida.document.writeln('<frameset rows=\"58%,42%,*\" FRAMEBORDER=\"0\" FRAMESPACING=\"0\">')\n";
		print"top.mida.document.writeln('<frame src=\"\" name=\"quest1\" scrolling=\"no\">')\n";
		print"top.mida.document.writeln('<frame src=\"\" name=\"quest2\">')\n";
		print"top.mida.document.writeln('</frameset>')\n";
		print"top.mida.document.writeln('</html>')\n";
		print"top.mida.document.close()\n";
		print"document.make_quest.submit\(\)\n";
		print"document.form5.submit\(\)\n";
		print"\}\n";
		&print_javascript_end();

  		&print_form("form_name","form_bank","form_target","mida","input","create_the_qst","name","","type","$MTS{type}","sub_type","$MTS{sub_type}","expand","$MTS{expand}","refresh_right","$MTS{refresh_right}","parent","","from","$MTS{from}","action_type","mkbank","new","1","u_id","$MTS{u_id}","session_id","$MTS{session_id}");
  		&print_form("form_name","form2","input","make_top_screen1","name","","type","$MTS{type}","sub_type","$MTS{sub_type}","expand","$MTS{expand}","refresh_right","$MTS{refresh_right}","from","$MTS{from}","u_id","$MTS{u_id}","session_id","$MTS{session_id}");
  		&print_form("form_name","make_quest","form_target","quest1","input","create_the_qst","name","","type","$MTS{type}","sub_type","$MTS{sub_type}","expand","$MTS{expand}","number","$MTS{number}","parent","$MTS{parent}","from","$MTS{from}","action_type","mkadd","status","","new","1","refresh_right","$MTS{refresh_right}","u_id","$MTS{u_id}","session_id","$MTS{session_id}");
  		&print_form("form_name","form5","input","make_top1_screen","name","","type","$MTS{type}","sub_type","$MTS{sub_type}","expand","$MTS{expand}","number","$MTS{number}","parent","$MTS{parent}","from","$MTS{from}","action_type","mkbank","refresh_right","$MTS{refresh_right}","u_id","$MTS{u_id}","session_id","$MTS{session_id}");
  		
		print"<FORM><center><TABLE $style border-radius:6px\;\"  border=\"0\" align=\"center\" width=\"100%\" cellspacing=\"0\"><TR><TD><TABLE align=\"center\"><TR><TD><font color=\"white\" STYLE=\"cursor: pointer\" align=\"right\" onClick=\"\(self.parent.mida.check_handler\(\'mkadd\',\'$add_quest_to_new_qst\'\)\)\"><B>$LANGUAGE{$set_language}{Addnewquestion} </B></font> </TD><TD width=\"20\"></TD><TD align=\"center\"><font color=\"white\" STYLE=\"cursor: pointer\" onClick=\"\(self.parent.mida.check_handler\(\'mkbank\'\)\)\"><B> $LANGUAGE{$set_language}{Addquestionsfrombank} </B></font> </TD><TD width=\"20\"></TD><TD align=\"left\"><font color=\"white\" STYLE=\"cursor: pointer\" onClick=\"close_window\(\)\"><B> $LANGUAGE{$set_language}{Cancel} </B></font></TD></TR></TABLE></TR></TD></TABLE></center></FORM>\n";
		}
	}

###################
#
# MAKE_TOP_SCREEN1
#
###################
sub make_top_screen1 {
	my %MTS1 = @_;
	my $error = 0;
	$error = &check_many_length_return("$MTS1{from}","2","$MTS1{sub_type}","1","$MTS1{type}","2","$MTS1{expand}","50","$MTS1{name}","80","$MTS1{class_open}","10","$MTS1{expand}","50","$MTS1{open_class}","10","$MTS1{refresh_right}","50");

        if ($error != 1) {
        	print"<style>
		table\{ border-radius:4px\; font-size:10pt\; font-family:Arial\;\}
		</style>\n";
		&print_javascript_begin();
		print" var view_quest = 1
		 var quest1
		 var quest2\n";

		print"function close_window_refresh_theright\(\) \{
		document.form4.submit\(\)
		parent.close\(\)
		\}\n";
		
		print"function focus_handler\(\) \{
		if\(self.parent.bota.document.focus1.quiz_no.value !=\"\"\) \{
		self.parent.bota.focus_handler\(\)
		document.focus2.submit\(\)
		self.parent.bota.location=\"\/schools\/blank.htm\"
		\}
		\}\n";

		print"function check_handler2\(i_n\) \{
		var quiz_no = self.parent.mida.document.form3.quiz_no.value
		var type = self.parent.mida.document.form3.type.value
		var name = self.parent.mida.document.form3.name.value
		document.form1.name.value=name
		document.form1.type.value=type
		document.form1.quiz_no.value=quiz_no\n";
		print"top.mida.document.writeln\(\'<html><head><title>aa<\/title><\/head>\'\)\n";
		print"top.mida.document.writeln\(\'<frameset rows=\"58\%,42\%,\*\" FRAMEBORDER=\"0\" FRAMESPACING=\"0\">\'\)\n";
		print"top.mida.document.writeln\(\'<frame src=\"\" name=\"quest1\" scrolling=\"no\">\'\)\n";
		print"top.mida.document.writeln\(\'<frame src=\"\" name=\"quest2\">\'\)\n";
		print"top.mida.document.writeln\(\'<\/frameset>\'\)\n";
		print"top.mida.document.writeln\(\'<\/html>\'\)\n";
		print"top.mida.document.close()\n";
		print"document.form1.submit\(\)\n";
		print"document.form2.submit\(\)\n";
		print"\}\n";
		&print_javascript_end();


		if($MTS1{type} != 2) { # Quiz/Test
			print"<center><TABLE $style border-radius:6px\;\"  border=\"0\" width=\"100%\" cellspacing=\"0\"><TR align=\"center\"><TD style=\"padding-top: 9px\; padding-bottom:9px\;\"><font color=\"white\" onClick=\"check_handler2\(\'mkadd\'\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Addnewquestion}</B></font></TD><TD><font color=\"white\" onClick=\"\(self.parent.mida.check_handler3\(\'mkbank\'\)\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Addthequestions}</B></font></TD><TD><font color=\"white\" onClick=\"\(self.parent.mida.check_handler4\(\'mkgrp\'\)\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Addquestionsasgroup}</B></font></TD><TD><font color=\"white\" onClick=\"\(self.parent.bota.delete_handler\(\)\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Deletequestions}</B></font></TD><TD><font color=\"white\" onClick=\"focus_handler\(\'focus\'\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Focus}</B></font></TD><TD><font color=\"white\" onClick=\"\(self.parent.mida.view_handler\(\'view_qst\'\)\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Preview}</B></font></TD><TD><font color=\"white\" onClick=\"close_window_refresh_theright\(\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Close}</B></font></TD></TR></TABLE></center>\n";
			}
		else {
			print"<center><TABLE $style border-radius:6px\;\"  border=\"0\" width=\"100%\" cellspacing=\"0\"><TR align=\"center\"><TD style=\"padding-top: 9px\; padding-bottom:9px\;\"><font color=\"white\" onClick=\"check_handler2\(\'mkadd\'\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Addnewquestion}</B></font></TD><TD><font color=\"white\" onClick=\"\(self.parent.mida.check_handler3\(\'mkbank\'\)\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Addthequestions}</B></font></TD><TD><font color=\"white\" onClick=\"\(self.parent.bota.delete_handler\(\)\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Deletequestions}</B></font></TD><TD><font color=\"white\" onClick=\"focus_handler\(\'focus\'\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Focus}</B></font></TD><TD><font color=\"white\" onClick=\"\(self.parent.mida.view_handler\(\'view_qst\'\)\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Preview}</B></font></TD><TD><font color=\"white\" onClick=\"close_window_refresh_theright\(\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Close}</B></font></TD></TR></TABLE></center>\n";
			}
			
		print"<P><B><center>$MTS1{name}</center></B>\n";
	
  		&print_form("form_name","form1","form_target","quest1","input","print_add_quest_to_qst","name","$MTS1{name}","type","$MTS1{type}","sub_type","$MTS1{sub_type}","quiz_no","$MTS1{quiz_no}","action_type","mkadd","from","$MTS1{from}","status","1","refresh_right","$MTS1{refresh_right}","open_class","$MTS1{open_class}","class_open","$MTS1{class_open}","u_id","$MTS1{u_id}","session_id","$MTS1{session_id}");
  		&print_form("form_name","form2","input","make_top1_screen","name","$MTS1{name}","type","$MTS1{type}","sub_type","$MTS1{sub_type}","quiz_no","$MTS1{quiz_no}","open_class","$MTS1{open_class}","class_open","$MTS1{class_open}","refresh_right","$MTS1{refresh_right}","from","$MTS1{from}","u_id","$MTS1{u_id}","session_id","$MTS1{session_id}");
  		&print_form("form_name","focus2","input","make_top_screen2","name","$MTS1{name}","type","$MTS1{type}","sub_type","$MTS1{sub_type}","quiz_no","$MTS1{quiz_no}","open_class","$MTS1{open_class}","class_open","$MTS1{class_open}","refresh_right","$MTS1{refresh_right}","from","$MTS1{from}","u_id","$MTS1{u_id}","session_id","$MTS1{session_id}","expand","$MTS1{expand}");
		&print_form("form_name","form4","form_target","theright","input","make_type","name","$MTS1{name}","type","$MTS1{type}","sub_type","$MTS1{sub_type}","quiz_no","$MTS1{quiz_no}","action_type","mkadd","from","$MTS1{from}","status","1","refresh_right","$MTS1{refresh_right}","open_class","$MTS1{open_class}","class_open","$MTS1{class_open}","u_id","$MTS1{u_id}","session_id","$MTS1{session_id}","expand","$MTS1{expand}");
		}
	}

###################
#
# MAKE_TOP_SCREEN2
#
###################
sub make_top_screen2 {
	my %MTS2 = @_;
	my $error = 0;
	$error = &check_many_length_return("$MTS2{from}","2","$MTS2{sub_type}","1","$MTS2{type}","2","$MTS2{expand}","50","$MTS2{name}","80","$MTS2{class_open}","10","$MTS2{open_class}","10","$MTS2{refresh_right}","50");

        if ($error != 1) {
        	print"<style>
		table\{ border-radius:4px\; font-size:10pt\; font-family:Arial\;\}
		</style>\n";
		
		&print_javascript_begin();
		print" var view_quest = 2
		 var quest1
		 var quest2\n";

		print"function close_window_refresh_theright\(\) \{
		document.form4.submit\(\)
		parent.close\(\)
		\}\n";

		print"function set_variables\(i_n\) \{
		self.parent.mida.delete_handler\(\)
		\}\n";

		print"function set_var\(i_n\) \{
		if\(i_n == \"mkbank\"\) \{
		self.parent.mida.check_handler2\(i_n\)
		document.form5.submit\(\)
		document.form2.submit\(\)
		\}
		else \{
		self.parent.mida.check_handler2\(i_n\)
		document.form2.submit\(\)
		\}
		\}\n";

		print"function check_handler2\(i_n\) \{\n";
		print"top.mida.document.writeln\(\'<html><head><title>aa<\/title><\/head>\'\)\n";
		print"top.mida.document.writeln\(\'<frameset rows=\"60\%,40\%,\*\" FRAMEBORDER=\"0\" FRAMESPACING=\"0\">\'\)\n";
		print"top.mida.document.writeln\(\'<frame src=\"\" name=\"quest1\">\'\)\n";
		print"top.mida.document.writeln\(\'<frame src=\"\" name=\"quest2\">\'\)\n";
		print"top.mida.document.writeln\(\'<\/frameset>\'\)\n";
		print"top.mida.document.writeln\(\'<\/html>\'\)\n";
		print"top.mida.document.close()\n";
		print"document.form1.submit\(\)\n";
		print"document.form3.submit\(\)\n";
		print"document.form5.submit\(\)\n";
		print"\}\n";
		&print_javascript_end();

		print"<center><TABLE $style cellspacing=\"0\" border=\"0\" width=\"100%\" ><TR align=\"center\"><TD style=\"padding-top: 9px\; padding-bottom:9px\;\"><center><font color=\"white\" onClick=\"check_handler2\(\'mkadd\'\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Addnewquestion}</B></font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><font color=\"white\" onClick=\"\set_var\(\'mkbank\'\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Addquestionsfrombank}</B></font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><font color=\"white\" onClick=\"set_variables\(\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Deletequestions}</B></font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><font color=\"white\" onClick=\"\(self.parent.mida.save_handler\(\)\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Savechanges}</B></font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><font color=\"white\" onClick=\"\(self.parent.mida.view_handler\(\'view_qst\'\)\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Preview}</B></font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><font color=\"white\" onClick=\"close_window_refresh_theright\(\)\" STYLE=\"cursor:pointer\"><B>$LANGUAGE{$set_language}{Close}</B></font>&nbsp\;&nbsp\;&nbsp\;</TD></TR></TABLE></center>\n";

		print"<P><B><center>$MTS2{name}</center></B>\n";
	
  		&print_form("form_name","form1","form_target","quest1","input","print_add_quest_to_qst","type","$MTS2{type}","sub_type","$MTS2{sub_type}","quiz_no","$MTS2{quiz_no}","name","$MTS2{name}","from","$MTS2{from}","action_type","mkadd","status","1","refresh_right","$MTS2{refresh_right}","class_open","$MTS2{class_open}","open_class","$MTS2{open_class}","u_id","$MTS2{u_id}","session_id","$MTS2{session_id}","expand","$MTS2{expand}");
  		&print_form("form_name","form2","input","make_top_screen1","type","$MTS2{type}","sub_type","$MTS2{sub_type}","quiz_no","$MTS2{quiz_no}","name","$MTS2{name}","from","$MTS2{from}","refresh_right","$MTS2{refresh_right}","class_open","$MTS2{class_open}","open_class","$MTS2{open_class}","u_id","$MTS2{u_id}","session_id","$MTS2{session_id}","expand","$MTS2{expand}");
  		&print_form("form_name","form6","input","make_top_screen1","type","$MTS2{type}","sub_type","$MTS2{sub_type}","quiz_no","$MTS2{quiz_no}","name","$MTS2{name}","from","$MTS2{from}","refresh_right","$MTS2{refresh_right}","class_open","$MTS2{class_open}","open_class","$MTS2{open_class}","u_id","$MTS2{u_id}","session_id","$MTS2{session_id}","expand","$MTS2{expand}");
  		&print_form("form_name","form3","input","make_top1_screen","type","$MTS2{type}","sub_type","$MTS2{sub_type}","quiz_no","$MTS2{quiz_no}","name","$MTS2{name}","from","$MTS2{from}","refresh_right","$MTS2{refresh_right}","class_open","$MTS2{class_open}","open_class","$MTS2{open_class}","u_id","$MTS2{u_id}","session_id","$MTS2{session_id}","expand","$MTS2{expand}");
  		&print_form("form_name","form5","form_target","bota","input","write_bottom_screen","type","$MTS2{type}","sub_type","$MTS2{sub_type}","quiz_no","$MTS2{quiz_no}","name","$MTS2{name}","from","$MTS2{from}","refresh_right","$MTS2{refresh_right}","class_open","$MTS2{class_open}","open_class","$MTS2{open_class}","u_id","$MTS2{u_id}","session_id","$MTS2{session_id}","expand","$MTS2{expand}");
		&print_form("form_name","form4","form_target","theright","input","make_type","type","$MTS2{type}","sub_type","$MTS2{sub_type}","quiz_no","$MTS2{quiz_no}","name","$MTS2{name}","from","$MTS2{from}","refresh_right","$MTS2{refresh_right}","class_open","$MTS2{class_open}","open_class","$MTS2{open_class}","u_id","$MTS2{u_id}","session_id","$MTS2{session_id}","expand","$MTS2{expand}");
		}
	}

###################
#
# MAKE_TOP1_SCREEN
#
###################
sub make_top1_screen {
	my %MT1S = @_;
	my $error = 0;
	$error = &check_many_length_return("$MT1S{from}","2","$MT1S{sub_type}","1","$MT1S{type}","2","$MT1S{expand}","50","$MT1S{name}","50","$MT1S{category}","10","$MT1S{quiz_no}","10","$MT1S{name}","50","$MT1S{refresh_right}","50","$MT1S{class_open}","10","$MT1S{open_class}","10");

        if ($error != 1) {
        	print"<style>\n";
		print"table\{ border-radius:4px\; font-size:10pt\; font-family:Arial\;\}\n";
		print"</style>\n";
		&print_javascript_begin();
		print" var view_quest = 2\n";

		print"function close_window_refresh_theright\(\) \{
		document.form4.submit\(\)
		parent.close\(\)
		\}\n";

		print"function focus_handler\(\) \{
		if\(self.parent.bota.document.focus1.quiz_no.value !=\"\"\) \{
		self.parent.bota.focus_handler\(\)
		document.focus2.submit\(\)
		self.parent.bota.location=\"\/schools\/blank.htm\"
		\}
		\}\n";
		&print_javascript_end();

		if ($MT1S{type} != 2) { #quizzes/tests
			print"<TABLE $style border=\"0\" width=\"100%\" cellspacing=\"0\"><TR align=\"center\" ><TD style=\"padding-top: 9px\; padding-bottom:9px\;\"><font color=\"white\" onClick=\"\(self.parent.mida.quest1.check_handler1\(\'mkbank\'\)\)\" STYLE=\"cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Addquestionsfrombank}</B></font></TD><TD><font color=\"white\" onClick=\"\(self.parent.bota.delete_handler\(\)\)\" STYLE=\"cursor:pointer\;\"><B>$LANGUAGE{$set_language}{DeleteQuestions}</B></font></TD><TD><font color=\"white\" STYLE=\"cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Savechanges}</B></font></TD><TD><font color=\"white\" onClick=\"focus_handler\(\'focus\'\)\" STYLE=\"cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Focus}</B></font></TD><TD><font color=\"white\" onClick=\"\(self.parent.mida.quest1.view_handler\(\'view_qst\'\)\)\" STYLE=\"cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Preview}</B></font></TD><TD><font color=\"white\" onClick=\"close_window_refresh_theright\(\)\" STYLE=\"cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Close}</B></font></TD></TR></TABLE>\n";
			}
		else { #surveys
			print"<TABLE $style border=\"0\" width=\"100%\" cellspacing=\"0\"><TR align=\"center\"><TD style=\"padding-top: 9px\; padding-bottom: 9px\;\"><font color=\"white\" onClick=\"\(self.parent.mida.quest1.check_handler1\(\'mkbank\'\)\)\" STYLE=\"cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Addquestionsfrombank}</B></font></TD><TD><font color=\"white\" onClick=\"\(self.parent.bota.delete_handler\(\)\)\" STYLE=\"cursor:pointer\;\"><B>$LANGUAGE{$set_language}{DeleteQuestions}</B></font></TD><TD><font color=\"white\" STYLE=\"cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Savechanges}</B></font></TD><TD><font color=\"white\" onClick=\"focus_handler\(\'focus\'\)\" STYLE=\"cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Focus}</B></font></TD><TD><font color=\"white\" onClick=\"\(self.parent.mida.quest1.view_handler\(\'view_qst\'\)\)\" STYLE=\"cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Preview}</B></font></TD><TD><font color=\"white\" onClick=\"close_window_refresh_theright\(\)\" STYLE=\"cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Close}</B></font></TD></TR></TABLE>\n";
			}
			
		print"<P><center><B>$MT1S{name}</B></center>\n";
		
  		&print_form("form_name","focus2","input","make_top_screen2","type","$MT1S{type}","sub_type","$MT1S{sub_type}","quiz_no","$MT1S{quiz_no}","name","$MT1S{name}","from","$MT1S{from}","refresh_right","$MT1S{refresh_right}","class_open","$MT1S{class_open}","open_class","$MT1S{open_class}","u_id","$MT1S{u_id}","session_id","$MT1S{session_id}");
		&print_form("form_name","form4","form_target","theright","input","make_type","type","$MT1S{type}","sub_type","$MT1S{sub_type}","quiz_no","$MT1S{quiz_no}","name","$MT1S{name}","from","$MT1S{from}","refresh_right","$MT1S{refresh_right}","class_open","$MT1S{class_open}","open_class","$MT1S{open_class}","u_id","$MT1S{u_id}","session_id","$MT1S{session_id}","expand","$MT1S{expand}");
		
		}
	}

######################
#
# MANAGE_FILES
#
#####################
sub manage_files {
	my %MF = @_;
	my %RETURN = ();
	$MF{expand} =~ s/[^0-9,]//g;
	$MF{org_id} =~ s/\D//g;

	&print_collapse_the_display();

	print"<style>table.table1\{font-size:11pt\; font-family:Arial\;\}</style>\n";

	&print_javascript_begin();
	
	print"var newwindo
	var display_it\n";

	&javascript_show_stuff();

	print"function close_open_windows\(\) \{
	if(!newwindo) \{
	\}else \{
	newwindo.close()
	\}
	\}\n";
	
	print"function click_handler\(what,folder_num,name,parent,expand,type\) \{
	if\(what == 1\)\{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=150,width=400\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Renameafolder}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form1.input.value=\"create_rename\"
	document.form1.name.value=name
	document.form1.expand.value=expand
	document.form1.number.value=folder_num
	document.form1.parent.value=parent
	document.form1.i_n.value=what
	document.form1.type.value=type
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 2\) \{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=200,width=400\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Createafolder}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close\(\)
	newwindo.focus\(\)
	document.form1.input.value=\"create_rename\"
	document.form1.name.value=name
	document.form1.number.value=folder_num
	document.form1.parent.value=folder_num
	document.form1.expand.value=expand
	document.form1.i_n.value=what
	document.form1.type.value=type
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 3\)\{
	if\(confirm\(\"$LANGUAGE{$set_language}{DeletethisfolderandallfoldersandfilesunderitContinue} \"\)\) \{
	document.form3.expand.value=expand
	document.form3.number.value=folder_num
	document.form3.parent.value=parent
	document.form3.type.value=type
	document.form3.submit\(\)
	\}
	\}\n";
	
	print"else if\(what == 4\)\{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=200,height=300,width=400\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{UploadaFile}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/html>\'\)
	newwindo.document.close\(\)
	newwindo.focus\(\)
	document.form1.input.value=\"upload_file\"
	document.form1.type.value=type
	document.form1.name.value=name
	document.form1.number.value=folder_num
	document.form1.parent.value=parent
	document.form1.expand.value=expand
	document.form1.i_n.value=what
	document.form1.submit\(\)
	\}
	\}\n";
	
	&print_javascript_sub_form("form","form5");


	print"function copy_file\(new_num,expand\) \{
	var number = document.form4.number.value
	if\(number != \"\"\) \{
	document.form4.expand.value = expand
	document.form4.folder_no.value = new_num
	document.form4.submit\(\)
	\}
	else \{
	alert\(\"A file was not chosen to copy.\"\)
	\}
	\}\n";

	
	print"function create_rename_handler\(what,q_number,dir_name,parent,expand,disply\)\{
	display_it = \"display\"+disply
	close_open_windows\(\)
	if\(what == 2\) \{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=150,width=450\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{RenameaFile}<\/title><\/head><body><\/body>\'\)
	newwindo.document.writeln\(\'<\/html>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form1.input.value=\"create_rename\"
	document.form1.name.value=dir_name
	document.form1.expand.value=expand
	document.form1.number.value=q_number
	document.form1.i_n.value=q_number
	document.form1.type.value=disply
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what ==3\)\{
	if\(confirm\(\"$LANGUAGE{$set_language}{ThisfilemaybeincludedinaquizsurveyortestContinue} \"\)\) \{
	document.form2.expand.value=expand
	document.form2.number.value=q_number
	document.form2.submit\(\)
	\}
	\}\n";
	
	print"else if\(what == 1\)\{
	newwindo = window.open\(\"\",\"newwindo\",\"top=100,left=50,height=400,width=400,scrollbars,resizable\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewaFile}<\/title><\/head><body><\/body>\'\)
	newwindo.document.writeln\(\'<\/html>\'\)
	newwindo.document.close\(\)
	newwindo.focus\(\)
	document.form6.number.value=q_number
	document.form6.submit\(\)
	\}\n";
	
	print"else if\(what == 5\)\{
	document.form4.number.value=q_number
	document.form5.copy.value = q_number
	\}
	\}\n";
	
	print"function file_descrip_handler\(what,q_number,dir_name,parent,expand,disply\)\{
	close_open_windows\(\)
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=230,width=450\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeFileDescription}<\/title><\/head><body><\/body>\'\)
	newwindo.document.writeln\(\'<\/html>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form1.input.value=\"change_file_descrip\"
	document.form1.name.value=dir_name
	document.form1.expand.value=expand
	document.form1.number.value=q_number
	document.form1.i_n.value=q_number
	document.form1.type.value=disply
	document.form1.submit\(\)
	\}\n";

	&print_javascript_end();

	print"<BR>\n";
	&top_heading19();
	print"</TABLE>\n";
	
	&get_folders("expand","$MF{expand}","org_id","$MF{org_id}");
	print"</DL><P>\n";
		
	&help;
	
	print"$LANGUAGE{$set_language}{6}\n";
  	&print_form("form_name","form1","form_target","newwindo","input","create_rename","number","","expand","","org_id","$MF{org_id}","i_n","","from","5","parent","","name","","type","","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form2","form_target","theright","input","delete_file","expand","","i_n","","org_id","$MF{org_id}","number","","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form3","input","delete_cc","number","","expand","","from","5","parent","","org_id","$MF{org_id}","name","","type","$MF{type}","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form4","form_target","theright","input","copy_file","number","$MF{copy}","org_id","$MF{org_id}","expand","","folder_no","","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form5","input","manage_files","expand","","copy","$MF{copy}","org_id","$MF{org_id}","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form6","form_target","newwindo","input","view_file","number","","org_id","$MF{org_id}","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	
	}

######################
#
# MANAGE_BANK_FILES
#
#####################
sub manage_bank_files {
	my %MF = @_;
	my %RETURN = ();
	$MF{expand} =~ s/[^0-9,]//g;
	$MF{org_id} =~ s/\D//g;

	&print_collapse_the_display();
        print"<style=\"font-size:11pt; font-family:Arial\"><style>table.table1{ border-radius:6px; font-size:11pt; font-family:Arial;}</style>\n";
        
	&print_javascript_begin();
	print"var newwindo
	var display_it\n";

	&javascript_show_stuff();

	print"function close_open_windows\(\) \{
	if(!newwindo) \{
	\}else \{
	newwindo.close()
	\}
	\}\n";


	print"function click_handler\(what,folder_num,name,parent,expand,type\) \{
	if\(what == 1\)\{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=150,width=400\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Renameafolder}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form1.input.value=\"create_rename_bank\"
	document.form1.name.value=name
	document.form1.expand.value=expand
	document.form1.number.value=folder_num
	document.form1.parent.value=parent
	document.form1.i_n.value=what
	document.form1.type.value=type
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 2\) \{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=200,width=400\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Createafolder}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close\(\)
	newwindo.focus\(\)
	document.form1.input.value=\"create_rename_bank\"
	document.form1.name.value=name
	document.form1.number.value=folder_num
	document.form1.parent.value=folder_num
	document.form1.expand.value=expand
	document.form1.i_n.value=what
	document.form1.type.value=type
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 3\)\{
	if\(confirm\(\"$LANGUAGE{$set_language}{DeletethisfolderandallfoldersandfilesunderitContinue} \"\)\) \{
	document.form3.expand.value=expand
	document.form3.number.value=folder_num
	document.form3.parent.value=parent
	document.form3.type.value=type
	document.form3.submit\(\)
	\}
	\}\n";
	
	print"else if\(what == 4\)\{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=200,height=300,width=400\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{UploadaFile}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/html>\'\)
	newwindo.document.close\(\)
	newwindo.focus\(\)
	document.form1.input.value=\"upload_file\"
	document.form1.type.value=type
	document.form1.name.value=name
	document.form1.number.value=folder_num
	document.form1.parent.value=parent
	document.form1.expand.value=expand
	document.form1.i_n.value=what
	document.form1.submit\(\)
	\}
	\}\n";
	
	&print_javascript_sub_form("form","form5");


	print"function copy_file\(new_num,expand\) \{
	var number = document.form4.number.value
	if\(number != \"\"\) \{
	document.form4.expand.value = expand
	document.form4.folder_no.value = new_num
	document.form4.submit\(\)
	\}
	else \{
	alert\(\"A file was not chosen to copy.\"\)
	\}
	\}\n";


	print"function create_rename_handler\(what,q_number,dir_name,parent,expand,disply\)\{
	display_it = \"display\"+disply
	close_open_windows\(\)
	if\(what == 2\) \{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=150,width=450\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{RenameaFile}<\/title><\/head><body><\/body>\'\)
	newwindo.document.writeln\(\'<\/html>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form1.input.value=\"create_rename_bank\"
	document.form1.name.value=dir_name
	document.form1.expand.value=expand
	document.form1.number.value=q_number
	document.form1.i_n.value=q_number
	document.form1.type.value=disply
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what ==3\)\{
	if\(confirm\(\"$LANGUAGE{$set_language}{ThisfilemaybeincludedinaquizsurveyortestContinue} \"\)\) \{
	document.form2.expand.value=expand
	document.form2.number.value=q_number
	document.form2.submit\(\)
	\}
	\}\n";
	
	print"else if\(what == 1\)\{
	newwindo = window.open\(\"\",\"newwindo\",\"top=100,left=50,height=400,width=400,scrollbars,resizable\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewaFile}<\/title><\/head><body><\/body>\'\)
	newwindo.document.writeln\(\'<\/html>\'\)
	newwindo.document.close\(\)
	newwindo.focus\(\)
	document.form6.number.value=q_number
	document.form6.submit\(\)
	\}\n";
	
	print"else if\(what == 5\)\{
	document.form4.number.value=q_number
	document.form5.copy.value = q_number
	\}
	\}\n";
	
	print"function file_descrip_handler\(what,q_number,dir_name,parent,expand,disply\)\{
	close_open_windows\(\)
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=230,width=450\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeFileDescription}<\/title><\/head><body><\/body>\'\)
	newwindo.document.writeln\(\'<\/html>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form1.input.value=\"change_bank_file_descrip\"
	document.form1.name.value=dir_name
	document.form1.expand.value=expand
	document.form1.number.value=q_number
	document.form1.i_n.value=q_number
	document.form1.type.value=disply
	document.form1.submit\(\)
	\}\n";

	&print_javascript_end();

	&top_heading31();
	print"</TABLE>\n";
	
	&get_bank_folders("expand","$MF{expand}","org_id","$MF{org_id}");
	print"</DL><P>\n";
		
	&help;
	
	print"$LANGUAGE{$set_language}{7}\n";

        &print_form("form_name","form1","form_target","newwindo","input","create_rename_bank","number","","expand","","org_id","$MF{org_id}","i_n","","from","5","parent","","name","","type","","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form2","form_target","theright","input","delete_bank_file","expand","","i_n","","org_id","$MF{org_id}","number","","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form3","input","delete_bank_cc","number","","expand","","from","5","parent","","org_id","$MF{org_id}","name","","type","$MF{type}","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form4","form_target","theright","input","copy_bank_file","number","$MF{copy}","org_id","$MF{org_id}","expand","","folder_no","","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form5","input","manage_bank_files","expand","","copy","$MF{copy}","org_id","$MF{org_id}","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form6","form_target","newwindo","input","view_bank_file","number","","org_id","$MF{org_id}","u_id","$MF{u_id}","session_id","$MF{session_id}");
	}

######################
#
# VIEW_SELECT_FILES
#
#####################
sub view_select_files {
	my %MF = @_;
	$MF{expand} =~ s/[^0-9,]//g;
	$MF{copy} =~ s/\D//g;
	$MF{mode} =~ s/\D//g;

        my $num = $MF{targit};
        $num =~ s/image/display/;
        my $numb = $MF{targit};
        $numb =~ s/image/disp/;
	
	&print_javascript_begin();
	print"var newviewwindo
	var display_it\n";

	&javascript_show_stuff();

	print"function close_open_windows\(\) \{
	if(!newviewwindo) {
	\}else \{
	newviewwindo.close()
	\}
	\}\n";
	
	&print_javascript_sub_form("form","form2");

	print"function select_file\(file,fname,e_xt,filedescrip\) \{\n";
	if($MF{targit} eq"pptx") { # PDF file
		print"var str = e_xt\;\n"; 
		print"if(str.match(/pdf\$/)) \{\n";
		print"self.parent.opener.document.question_form.pptx_number.value=file
		self.parent.opener.document.question_form.insert_pptx_name.value=fname\n";
		print"self.parent.opener.Show_PPTX_Image()\n";
		print"self.parent.opener.Show_PPTX_File()\n";
		print"\}\n";
		print"else \{ \n";
		print"alert\(\"$LANGUAGE{$set_language}{Notapdffile}\"\)\n";
		print"\}\n";
		}
		
	elsif($MF{targit} eq"question" && $MF{mode} != 1) { # QUESTION BASIC
		print"var str = e_xt\;\n"; 
		print"if(str.match(/pdf\$/)) \{\n";
		print"alert\(\"$LANGUAGE{$set_language}{Notanimagefile}\"\)\n";
		print"\}\n";
		print"else \{ \n";
		print"self.parent.opener.document.question_form.image_number.value=file
		self.parent.opener.document.question_form.insert_image_name.value=fname\n";
		print"self.parent.opener.Show_Image()\n";
		print"self.parent.opener.Show_File()\n";
		print"\}\n";
		}
		
        elsif($MF{targit} eq"question" && $MF{mode} == 1) { # QUESTION ADVANCED EQUATION IMAGE INSERT
        	print"var str = e_xt\;\n";
        	print"if(str.match(/pdf\$/)) \{\n";
		print"alert\(\"$LANGUAGE{$set_language}{Notanimagefile}\"\)\n";
		print"\}\n";
		print"else \{ \n";
                print"var image_suffix = \".\"+e_xt\n";
                print"var new_file = file + image_suffix\;\n";
		print"self.parent.opener.AddImgSrcToEditor(new_file,filedescrip)\n";
		print"\}\n";
		}
		
	else {
		print"var str = e_xt\;\n";
		print"if(str.match(/pdf\$/)) \{\n";
		print"alert\(\"$LANGUAGE{$set_language}{Notanimagefile}\"\)\n";
		print"\}\n";
		print"else \{ \n";
		print"var image_prefix = \" <img src='/schools/qst_files/\";\n";
		print"var image_suffix = \".\"+e_xt+\"' name='\"+fname+\"'> \";\n";
		print"var new_answer_value = image_prefix + + file + image_suffix\;\n";
		print"self.parent.opener.parent.quest1.document.question_form.$MF{targit}name.value=fname\n";
		print"self.parent.opener.parent.quest1.document.question_form.$MF{targit}.value=file\n";
		print"self.parent.opener.parent.quest2.document.form1.$MF{targit}.value=fname\n";
		print"self.parent.opener.Show_Image(\"$num\")\n";
		print"self.parent.opener.Show_Image(\"$numb\")\n";
		print"\}\n";
		}
		
	print"parent.close\(\)
	\}\n";

	print"function view_file_handler\(q_number\)\{
	document.form1.number.value=q_number
	document.form1.submit\(\)
	\}\n";
	
	&print_javascript_end();

	&top_heading27();
	print"</TABLE>\n";

	if($MF{expand} eq "") {
                $MF{expand} = 1; # open My QST Files files for user
                }

	&view_select_get_folders("expand","$MF{expand}");
	
	print"</DL><P>\n";
		
	&help;
	print"<B>$LANGUAGE{2}{Clickontoviewcontentsunderit}</B><P>\n";
  	&print_form("form_name","form1","form_target","view_files_right","input","view_file","number","","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form2","input","view_select_files","expand","","mode","$MF{mode}","targit","$MF{targit}","copy","$MF{copy}","u_id","$MF{u_id}","session_id","$MF{session_id}");
	}

    
######################
#
# VIEW_SELECT_MA_FILES
#
#####################
sub view_select_ma_files {
	my %MF = @_;
	$MF{expand} =~ s/[^0-9,]//g;
	$MF{copy} =~ s/\D//g;
        my $num = $MF{targit};
        $num =~ s/image/display/;
        my $numb = $MF{targit};
        $numb =~ s/image/disp/;

	my %RETURN = ();
	&print_javascript_begin();
	print"var newviewwindo
	var display_it\n";

	&javascript_show_stuff();

	print"function close_open_windows\(\) \{
	if(!newviewwindo) {
	\}else \{
	newviewwindo.close()
	\}
	\}\n";
	
	&print_javascript_sub_form("form","form2");

	print"function select_file\(file,fname,e_xt,filedescrip\) \{\n";
	if($MF{targit} eq"question") {
		print"self.parent.opener.document.question_form.image_number.value=file
		self.parent.opener.document.question_form.insert_image_name.value=fname\n";
		print"self.parent.opener.Show_Image()\n";
		print"self.parent.opener.Show_File()\n";
		}
	else {

		print"var image_prefix = \" <img src='/schools/qst_files/\";\n";
		print"var image_suffix = \".\"+e_xt+\"' name='\"+fname+\"'> \";\n";
		print"var new_answer_value = image_prefix + + file + image_suffix\;\n";
		print"self.parent.opener.parent.quest1.document.question_form.$MF{targit}name.value=fname\n";
		print"self.parent.opener.parent.quest1.document.question_form.$MF{targit}.value=file\n";
		print"self.parent.opener.parent.quest2.document.form1.$MF{targit}.value=fname\n";
		print"self.parent.opener.Show_Image(\"$num\")\n";
		}
		
	print"parent.close\(\)
	\}\n";

	print"function view_file_handler\(q_number\)\{
	document.form1.number.value=q_number
	document.form1.submit\(\)
	\}\n";
	&print_javascript_end();

	&top_heading27();
	print"</TABLE>\n";
	&view_select_get_folders("expand","$MF{expand}");
	print"</DL><P>\n";
		
	&help;
	print"<B>Click on <img src =\"/schools/blue_white_plus.jpg\"> to view folders and files under it.</B><P>\n";
	
  	&print_form("form_name","form1","form_target","view_files_right","input","view_file","number","","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form2","input","view_select_ma_files","expand","","targit","$MF{targit}","copy","$MF{copy}","u_id","$MF{u_id}","session_id","$MF{session_id}");
	}


######################
#
# VIEW_SELECT_MA_BANK_FILES
#
#####################
sub view_select_ma_bank_files {
	my %MF = @_;
	$MF{expand} =~ s/[^0-9,]//g;
	$MF{copy} =~ s/\D//g;
        my $num = $MF{targit};
        $num =~ s/image/display/;
        my $numb = $MF{targit};
        $numb =~ s/image/disp/;

	my %RETURN = ();
	&print_javascript_begin();
	print"var newviewwindo
	var display_it\n";

	&javascript_show_stuff();

	print"function close_open_windows\(\) \{
	if(!newviewwindo) {
	\}else \{
	newviewwindo.close()
	\}
	\}\n";
	
	&print_javascript_sub_form("form","form2");

	print"function select_file\(file,fname,e_xt,filedescrip\) \{\n";
	if($MF{targit} eq"question") {
		print"self.parent.opener.document.question_form.image_number.value=file
		self.parent.opener.document.question_form.insert_image_name.value=fname\n";
		print"self.parent.opener.Show_Image()\n";
		print"self.parent.opener.Show_File()\n";
		}
	else {

		print"var image_prefix = \" <img src='/schools/qst_files/\";\n";
		print"var image_suffix = \".\"+e_xt+\"' name='\"+fname+\"'> \";\n";
		print"var new_answer_value = image_prefix + + file + image_suffix\;\n";
		print"self.parent.opener.parent.quest1.document.question_form.$MF{targit}name.value=fname\n";
		print"self.parent.opener.parent.quest1.document.question_form.$MF{targit}.value=file\n";
		print"self.parent.opener.parent.quest2.document.form1.$MF{targit}.value=fname\n";
		print"self.parent.opener.Show_Image(\"$num\")\n";
		}
		
	print"parent.close\(\)
	\}\n";

	print"function view_file_handler\(q_number\)\{
	document.form1.number.value=q_number
	document.form1.submit\(\)
	\}\n";
	&print_javascript_end();

	&top_heading27();
	print"</TABLE>\n";
	&view_select_get_bank_folders("expand","$MF{expand}");
	print"</DL><P>\n";
	
	&help;
	print"<B>Click on <img src =\"/schools/new_plus_white.jpg\"> to view folders and files under it.</B><P>\n";
	
  	&print_form("form_name","form1","form_target","view_files_right","input","view_file","number","","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form2","input","view_select_ma_bank_files","expand","","targit","$MF{targit}","copy","$MF{copy}","u_id","$MF{u_id}","session_id","$MF{session_id}");
	}

######################
#
# VIEW_SELECT_MC_FILES
#
#####################
sub view_select_mc_files {
	my %MF = @_;
	$MF{expand} =~ s/[^0-9,]//g;
	$MF{copy} =~ s/\D//g;
        $MF{mode} =~ s/\D//g;
        
        my $num = $MF{targit};
        $num =~ s/image/display/;
        my $numb = $MF{targit};
        $numb =~ s/image/disp/;

	my %RETURN = ();
	&print_javascript_begin();
	print"var newviewwindo
	var display_it\n";

	&javascript_show_stuff();

	print"function close_open_windows\(\) \{
	if(!newviewwindo) {
	\}else \{
	newviewwindo.close()
	\}
	\}\n";
	
	&print_javascript_sub_form("form","form2");

	print"function select_file\(file,fname,e_xt,filedescrip\) \{\n";
	if($MF{targit} eq"question") {
                print"var image_suffix = \".\"+e_xt\n";
                print"var new_file = file + image_suffix\;\n";
		print"self.parent.opener.AddImgSrcToEditor(new_file,filedescrip)\n";
		}
	else {

		print"var image_prefix = \" <img src='/schools/qst_files/\";\n";
		print"var image_suffix = \".\"+e_xt+\"' name='\"+fname+\"'> \";\n";
		print"var new_answer_value = image_prefix + + file + image_suffix\;\n";
		print"self.parent.opener.parent.quest1.document.question_form.$MF{targit}name.value=fname\n";
		print"self.parent.opener.parent.quest1.document.question_form.$MF{targit}.value=file\n";
		print"self.parent.opener.parent.quest2.document.form1.$MF{targit}.value=fname\n";
		print"self.parent.opener.Show_Image(\"$num\")\n";
		}
		
	print"parent.close\(\)
	\}\n";

	print"function view_file_handler\(q_number\)\{
	document.form1.number.value=q_number
	document.form1.submit\(\)
	\}\n";
	&print_javascript_end();

	&top_heading27();
	print"</TABLE>\n";
	&view_select_get_folders("expand","$MF{expand}");
	print"</DL><P>\n";
	
	&help;
	print"<B>$LANGUAGE{$set_language}{Clickontoviewfoldersandfilesunderit}</B><P>\n";
	
  	&print_form("form_name","form1","form_target","view_files_right","input","view_file","number","","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form2","input","view_select_mc_files","expand","","targit","$MF{targit}","copy","$MF{copy}","u_id","$MF{u_id}","session_id","$MF{session_id}","mode","$MF{mode}");
	}

######################
#
# VIEW_SELECT_BANK_MC_FILES
#
#####################
sub view_select_bank_mc_files {
	my %MF = @_;
	$MF{expand} =~ s/[^0-9,]//g;
	$MF{copy} =~ s/\D//g;
	$MF{mode} =~ s/\D//g;
	
        my $num = $MF{targit};
        $num =~ s/image/display/;
        my $numb = $MF{targit};
        $numb =~ s/image/disp/;

	my %RETURN = ();
	&print_javascript_begin();
	print"var newviewwindo
	var display_it\n";

	&javascript_show_stuff();

	print"function close_open_windows\(\) \{
	if(!newviewwindo) {
	\}else \{
	newviewwindo.close()
	\}
	\}\n";
	
	&print_javascript_sub_form("form","form2");

	print"function select_file\(file,fname,e_xt,filedescrip\) \{\n";
	if($MF{targit} eq"question") {
                print"var image_suffix = \".\"+e_xt
                var new_file = file + image_suffix\;
		self.parent.opener.AddImgSrcToEditor(new_file,filedescrip)\n";
		}
	else {

		print"var image_prefix = \" <img src='/schools/qst_files/\";\n";
		print"var image_suffix = \".\"+e_xt+\"' name='\"+fname+\"'> \";\n";
		print"var new_answer_value = image_prefix + + file + image_suffix\;\n";
		print"self.parent.opener.parent.quest1.document.question_form.$MF{targit}name.value=fname\n";
		print"self.parent.opener.parent.quest1.document.question_form.$MF{targit}.value=file\n";
		print"self.parent.opener.parent.quest2.document.form1.$MF{targit}.value=fname\n";
		print"self.parent.opener.Show_Image(\"$num\")\n";
		}
		
	print"parent.close\(\)
	\}\n";

	print"function view_file_handler\(q_number\)\{
	document.form1.number.value=q_number
	document.form1.submit\(\)
	\}\n";
	&print_javascript_end();

	&top_heading27();
	print"</TABLE>\n";
	&view_select_get_bank_folders("expand","$MF{expand}");
	print"</DL><P>\n";
		
	&help;
	print"<B>$LANGUAGE{$set_language}{27}</B><P>\n";
	
  	&print_form("form_name","form1","form_target","view_files_right","input","view_bank_file","number","","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form2","input","view_select_bank_mc_files","expand","","targit","$MF{targit}","copy","$MF{copy}","u_id","$MF{u_id}","session_id","$MF{session_id}","mode","$MF{mode}");
	}

######################
#
# VIEW_SELECT_BANK_FILES
#
#####################
sub view_select_bank_files {
	my %MF = @_;
	$MF{expand} =~ s/[^0-9,]//g;
	$MF{copy} =~ s/\D//g;
	$MF{mode} =~ s/\D//g;
	
        my $num = $MF{targit};
        $num =~ s/image/display/;
        my $numb = $MF{targit};
        $numb =~ s/image/disp/;
	my %RETURN = ();
	
	&print_javascript_begin();
	print"var newviewwindo
	var display_it\n";

	&javascript_show_stuff();

	print"function close_open_windows\(\) \{
	if(!newviewwindo) {
	\}else \{
	newviewwindo.close()
	\}
	\}\n";
	
	&print_javascript_sub_form("form","form2");

	print"function select_file\(file,fname,e_xt,filedescrip\) \{\n";
	if($MF{targit} eq"question" && $MF{mode} != 1) {
		print"self.parent.opener.document.question_form.image_number.value=file
		self.parent.opener.document.question_form.insert_image_name.value=fname\n";
		print"self.parent.opener.Show_Image()\n";
		print"self.parent.opener.Show_File()\n";
		}
        elsif($MF{targit} eq"question" && $MF{mode} == 1) {
                print"var image_suffix = \".\"+e_xt\n";
                print"var new_file = file + image_suffix\;\n";
		print"self.parent.opener.AddImgSrcToEditor(new_file,filedescrip)\n";
		}
	else {

		print"var image_prefix = \" <img src='/schools/qst_files/\";\n";
		print"var image_suffix = \".\"+e_xt+\"' name='\"+fname+\"'> \";\n";
		print"var new_answer_value = image_prefix + + file + image_suffix\;\n";
		print"self.parent.opener.parent.quest1.document.question_form.$MF{targit}name.value=fname\n";
		print"self.parent.opener.parent.quest1.document.question_form.$MF{targit}.value=file\n";
		print"self.parent.opener.parent.quest2.document.form1.$MF{targit}.value=fname\n";
		print"self.parent.opener.Show_Image(\"$num\")\n";
		print"self.parent.opener.Show_Image(\"$numb\")\n";
		}
		
	print"parent.close\(\)
	\}\n";

	print"function view_file_handler\(q_number\)\{
	document.form1.number.value=q_number
	document.form1.submit\(\)
	\}\n";
	&print_javascript_end();

	&top_heading27();
	
	print"</TABLE>\n";
	
	&view_select_get_bank_folders("expand","$MF{expand}");
	
	print"</DL><P>\n";
			
	&help;
	print"<B>$LANGUAGE{$set_language}{Clickontoviewfoldersandfilesunderit}</B><P>\n";
	
        &print_form("form_name","form1","form_target","view_files_right","input","view_bank_file","number","","u_id","$MF{u_id}","session_id","$MF{session_id}");
  	&print_form("form_name","form2","input","view_select_bank_files","expand","","mode","$MF{mode}","targit","$MF{targit}","copy","$MF{copy}","u_id","$MF{u_id}","session_id","$MF{session_id}");
	}

######################
#
# MAKE_QUEST
#
#####################
sub make_quest {
	my %MQUEST = @_;
	$MQUEST{sub_type} =~ s/\D//g;
	$MQUEST{type} =~ s/\D//g;
	$MQUEST{expand} =~ s/[^0-9,]//g;
	$MQUEST{expand1} =~ s/[^0-9,]//g;
	$MQUEST{under} =~ s/\D//g;
	$MQUEST{category} =~ s/\D//g;
	$MQUEST{from} =~ s/\D//g;
	$MQUEST{again} =~ s/\D//g;

	my $error = 0;
	$error = &check_many_length_return("$MQUEST{from}","2","$MQUEST{sub_type}","1","$MQUEST{type}","2","$MQUEST{expand}","50","$MQUEST{name}","50","$MQUEST{category}","10","$MQUEST{expand1}","50");

        if ($error != 1) {
                &print_javascript_begin();
                
                &print_mode_display("mode","1");
                
                &print_javascript_end();
                
                &print_editor();
                
		if(!defined $MQUEST{sub_type}) {
			$MQUEST{sub_type} = "$MQUEST{type}";
			}

                if ($MQUEST{from} != 1) { #second time in, clear screen, from =1 in from create/manage questions screen
                        &print_javascript_begin();
                        
                        print"function load_handler\(inn\) \{
                        if\(inn === 1\) \{
                        self.parent.quest2.location=\"\/schools\/blank.htm\"
                        \}
                        else \{
                        document.load_right.submit\(\)
                        self.parent.close\(\)
                        \}
                        \}\n";
                        
                        &print_javascript_end();
			}
		
	    ##### QUIZ/TEST questions
		if ($MQUEST{sub_type} != 2) { 
                        &top_heading23();
                        
                        print"</TD><TD width=\"40\"></TD><TD>  <B>$LANGUAGE{$set_language}{QuestionFolder} - </B> <i>$MQUEST{name}</i></TD></TR></TABLE>\n";
                        
                        &write_quest("type","$MQUEST{type}","from","$MQUEST{from}","sub_type","$MQUEST{sub_type}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}","again","$MQUEST{again}");
                        
			&show_tf();
			&show_yn();
			&show_sa();
			&show_p();
			&show_mc();
			&show_ma();
			&show_mx();
			
			if ($MQUEST{from} != 1) { #second time in, refresh create/manage questions screen
                                &print_form("form_name","load_right","form_target","theright","input","questions","expand","$MQUEST{expand}","sub_type","$MQUEST{sub_type}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}");
				}

                        &print_form_wo_end_tag("form_name","question_form","form_target","","input","","from","","expand","$MQUEST{expand}","name","$MQUEST{name}","type","$MQUEST{type}","sub_type","$MQUEST{sub_type}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}");
                        
      			&print_out_question_form("type","$MQUEST{type}","sub_type","$MQUEST{sub_type}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}","ans_mode","0");
      			
      			print"<TABLE width=\"100%\"  $action_bar ><TR><TD align=\"center\" style=\"padding-top: 4px\; padding-bottom: 4px\;\"><B><font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\"  OnClick=\"click_handler\(\'1\'\)\"> $LANGUAGE{$set_language}{Preview} </font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\" OnClick=\"click_handler\(\'2\'\)\">$LANGUAGE{$set_language}{Save}</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Saveandcreateanother}\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\" OnClick=\"click_handler\(\'4\'\)\">$LANGUAGE{$set_language}{Save}</font> <font color=\"white\" style=\"vertical-align: middle\; font-size:16pt\">+</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\"  OnClick=\"self.parent.close\(\)\"> $LANGUAGE{$set_language}{Cancel} </font></B></TD></TR></TABLE> \n";
      			
			if ($MQUEST{from} != 1) { #second time in, refresh create/manage questions screen
				print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\($MQUEST{again}\)\"> \n";
				}
			}
			
	   ##### SURVEY question
		else { 
                        &top_heading32();

                        print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{QuestionFolder} - </B> <i>$MQUEST{name}</i></TD></TR>\n";
                        
                        # write_quest2 writes it's own click_handler
                        &write_quest2("type","$MQUEST{type}","from","$MQUEST{from}","sub_type","$MQUEST{sub_type}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}");

			&show_tf();
			&show_ynq();
			&show_mc();
			&show_ad();
			&show_ma();
			
			if ($MQUEST{from} != 1) { #second time in, refresh create/manage questions screen
                                &print_form("form_name","load_right","form_target","theright","input","questions","expand","$MQUEST{expand}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}");
				}
				
  			&print_form("form_name","form4","form_target","theright","input","questions","type","$MQUEST{type}","number","$MQUEST{number}","expand","$MQUEST{expand}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}");
  			&print_form_wo_end_tag("form_name","question_form","input","insert_quest","type","$MQUEST{type}","under","$MQUEST{under}","expand","$MQUEST{expand}","expand1","$MQUEST{expand1}","action_type","","name","$MQUEST{name}","from","","sub_type","$MQUEST{sub_type}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}");
  			
      			print"<input type=\"hidden\" name=\"category\" value=\"$MQUEST{category}\"> \n";
      			
      			&print_out_question_form("type","$MQUEST{type}","sub_type","$MQUEST{sub_type}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}");

      			print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\" style=\"padding-top: 4px\; padding-bottom: 4px\;\"><B><font color=\"white\" STYLE=\" cursor:pointer\; font-family:Arial\; font-size:11pt\;\"  OnClick=\"click_handler\(\'1\'\)\"> $LANGUAGE{$set_language}{Preview} </font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\" OnClick=\"click_handler\(\'2\'\)\">$LANGUAGE{$set_language}{Save}</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Saveandcreateanother}\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\" OnClick=\"click_handler\(\'4\'\)\">$LANGUAGE{$set_language}{Save}</font> <font color=\"white\" style=\"vertical-align: middle\; font-size:16pt\">+</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\"  OnClick=\"self.parent.close\(\)\"> $LANGUAGE{$set_language}{Cancel} </font></B></TD></TR></TABLE> \n";
      			
      			if ($MQUEST{from} != 1) {
				print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\('$MQUEST{again}'\)\"> \n";
				}
			}
		}
	}

######################
#
# GET_PANS
#
######################
sub get_pans {
        my %GP = @_;
        print"function get_pans\(\) \{
        var p_ans
        var answer_mode = document.form1.ans_mode.value
	if\(answer_mode == 1\) \{
                if (\$('#summernote').summernote('isEmpty')) \{
                        p_ans = \"\"
                        \}
                else \{
                        p_ans = \$('#summernote').summernote('code')\;
                        \}

            \}
        else \{
                p_ans = document.form1.Pans0.value
                \}
        self.parent.quest1.document.question_form.Pans.value=p_ans
        \}\n";
        }

######################
#
# Print_Mode_display
#
#####################
sub print_mode_display {
        my %PMD = @_;

        print"function mode_display\(mode\) \{
        var u = document.getElementById(\"mode0\")\;
        var v = document.getElementById(\"mode1\")\;
        var w = document.getElementById(\"mode2\")\;
        var u1 = document.getElementById(\"mode_display0\")\;
        var v1 = document.getElementById(\"mode_display1\")\;
        var w1 = document.getElementById(\"mode_display2\")\;
        var w2 = document.getElementById(\"output\")\;
        var w3 = document.getElementById(\"hidep\")\;\n";
        
        print"if (mode === \"1\") {
                u.style.display = \"none\"\;
                u1.style.display = \"none\"\;
                v.style.display = \"block\"\;
                v1.style.display = \"block\"\;
                w.style.display = \"none\"\;
                w1.style.display = \"none\"\;
                w2.style.display = \"none\"\;
                w3.style.display = \"none\"\;
                document.question_form.mode.value=1
                }
        else if (mode === \"2\"){
                u.style.display = \"none\"\;
                u1.style.display = \"none\"\;
                v.style.display = \"none\"\;
                v1.style.display = \"none\"\;
                w.style.display = \"block\"\;
                w1.style.display = \"block\"\;
                document.question_form.mode.value=2
                }
        else if (mode === \"0\"){
                document.question_form.mode.value=0
                u.style.display = \"block\"\;
                u1.style.display = \"block\"\;
                v.style.display = \"none\"\;
                v1.style.display = \"none\"\;
                w.style.display = \"none\"\;
                w1.style.display = \"none\"\;
                w2.style.display = \"none\"\;
                w3.style.display = \"none\"\;
                }\n";
        print"\}\n";
        }
        
######################
#
# Print_Mode_display_ANSWERS_MC
#
#####################
sub print_mode_display_answers_mc {
        my %PMD = @_;

        print"function mc_mode_display\(i_n\) \{
        var w = document.getElementById(\"mc_mode0\")\;
        var x = document.getElementById(\"mc_mode1\")\;
        var y = document.getElementById(\"mc_mode2\")\;
        var w1 = document.getElementById(\"mc_mode_disply0\")\;
        var x1 = document.getElementById(\"mc_mode_disply1\")\;
        var y1 = document.getElementById(\"mc_mode_disply2\")\;\n";
  
                print"if (i_n == \"1\") {
                        w.style.display = \"none\"\;
                        w1.style.display = \"none\"\;
                        x.style.display = \"block\"\;
                        x1.style.display = \"block\"\;
                        y.style.display = \"none\"\;
                        y1.style.display = \"none\"\;
                        document.form1.ans_mode.value=1
                        }
                else if (i_n == \"2\") {
                        w.style.display = \"none\"\;
                        w1.style.display = \"none\"\;
                        x.style.display = \"none\"\;
                        x1.style.display = \"none\"\;
                        y.style.display = \"block\"\;
                        y1.style.display = \"block\"\;
                        document.form1.ans_mode.value=2
                        }
                else {
                        w.style.display = \"block\"\;
                        w1.style.display = \"block\"\;
                        x.style.display = \"none\"\;
                        x1.style.display = \"none\"\;
                        y.style.display = \"none\"\;
                        y1.style.display = \"none\"\;
                        document.form1.ans_mode.value=0
                        }\n";
                
        print"\}\n";
        }

######################
#
# PRINT_MODE_DISPLAY_ANSWERS_P
#
#####################
sub print_mode_display_answers_p {
        my %PMD = @_;

        print"function p_mode_display\(i_n\) \{
        var w = document.getElementById(\"p_mode0\")\;
        var x = document.getElementById(\"p_mode1\")\;
        var w1 = document.getElementById(\"p_mode_disply0\")\;
        var x1 = document.getElementById(\"p_mode_disply1\")\;\n";
  
                print"if (i_n == \"1\") {
                        w.style.display = \"none\"\;
                        w1.style.display = \"none\"\;
                        x.style.display = \"block\"\;
                        x1.style.display = \"block\"\;
                        document.form1.ans_mode.value=1
                        var p_ans
                        if (\$('#summernote').summernote('isEmpty')) {
                                p_ans = \"\"
                                }
                        else {
                                p_ans = \$('#summernote').summernote('code')\;
                                }
                        self.parent.quest1.document.question_form.ans_mode.value=1
                        self.parent.quest1.document.question_form.Pans.value=p_ans
                        document.form1.Pans.value=p_ans
                        }
                else {
                        var p_ans
                        w.style.display = \"block\"\;
                        w1.style.display = \"block\"\;
                        x.style.display = \"none\"\;
                        x1.style.display = \"none\"\;
                        document.form1.ans_mode.value=0
                        self.parent.quest1.document.question_form.ans_mode.value=0
                        p_ans = document.form1.Pans0.value
                        document.form1.Pans.value=p_ans
                        }\n";
                
        print"\}\n";
        }

######################
#
# Print_Mode_display_ANSWERS_MA
#
#####################
sub print_mode_display_answers_ma {
        my %PMD = @_;
        print"function ma_mode_display\(i_n\) \{
        var w = document.getElementById(\"ma_mode0\")\;
        var x = document.getElementById(\"ma_mode1\")\;
        var y = document.getElementById(\"ma_mode2\")\;
        var w1 = document.getElementById(\"ma_mode_disply0\")\;
        var x1 = document.getElementById(\"ma_mode_disply1\")\;
        var y1 = document.getElementById(\"ma_mode_disply2\")\;\n";
        
        print"if (i_n == \"1\") {
                        w.style.display = \"none\"\;
                        w1.style.display = \"none\"\;
                        x.style.display = \"block\"\;
                        x1.style.display = \"block\"\;
                        y.style.display = \"none\"\;
                        y1.style.display = \"none\"\;
                        document.form1.ans_mode.value=1
                        }
                else if (i_n == \"2\") {
                        w.style.display = \"none\"\;
                        w1.style.display = \"none\"\;
                        x.style.display = \"none\"\;
                        x1.style.display = \"none\"\;
                        y.style.display = \"block\"\;
                        y1.style.display = \"block\"\;
                        document.form1.ans_mode.value=2
                        }
                else {
                        w.style.display = \"block\"\;
                        w1.style.display = \"block\"\;
                        x.style.display = \"none\"\;
                        x1.style.display = \"none\"\;
                        y.style.display = \"none\"\;
                        y1.style.display = \"none\"\;
                        document.form1.ans_mode.value=0
                        }\n";
                
        print"\}\n";
        }
	
######################
#
# PRINT_EQ
#
######################
sub print_eq {
        my $aa = '\\\(';
        my $bb = '\\\)';
                #<script src="https://example.com/mathjax/MathJax.js?config=TeX-AMS_CHTML&locale=fr"></script>
                #<script src="/Math/MathJax.js?config=TeX-AMS_CHTML&locale=fr"></script>
        print"<script src=\"https://polyfill.io/v3/polyfill.min.js?features=es6\"></script>
        <script id=\"MathJax-script\" async src=\"https://cdn.jsdelivr.net/npm/mathjax\@3/es5/tex-mml-chtml.js\"></script>\n";
        
        print"<script>
        MathJax = \{
        tex: \{inlineMath: [['\$', '\$'], ['$aa\', '$bb\']]\},
        startup: \{
        ready: function () \{
        MathJax.startup.defaultReady()\;
        \}
        \}
        \}
        </script>\n";
        }
        
######################
#
# PRINT_EQ_SRC
#
######################
sub print_eq_src {
        print"<script src=\"https://polyfill.io/v3/polyfill.min.js?features=es6\"></script>
        <script id=\"MathJax-script\" async src=\"https://cdn.jsdelivr.net/npm/mathjax\@3/es5/tex-mml-chtml.js\"></script>\n";
        }
        
######################
#
# EQFORM
#
#####################
sub eqform {
        my %EF = @_;
        my $ex = 'When $a \ne 0$, there are two solutions to $ax^2 + bx + c = 0$ and they are $$x = {-b \pm \sqrt{b^2-4ac} \over 2a}.$$';
        my $instructions ="$LANGUAGE{$set_language}{28}";
        &print_eq();
        
        print"
        <style>
        #output \{background-image: linear-gradient(yellow , white);\}
        </style>
        
        <script>
        function convertques() \{
            var input = document.getElementById(\"inputeq\").value.trim()\;
            output = document.getElementById('output')\;
            output.style.display = \"block\"\;
            hide_p = document.getElementById('hidep')\;
            hide_p.style.display = \"block\"\;
            var rend = document.getElementById(\"render\")\;
            rend.style.display = \"none\"\;
            output.innerHTML = input\;
            MathJax.texReset()\;
            MathJax.typesetClear()\;
            MathJax.typesetPromise()
                .catch(function (err) \{
                output.innerHTML = ''\;
                output.appendChild(document.createElement('pre')).appendChild(document.createTextNode(err.message))\;
                \})
                .then(function() \{
                
                \})\;
            \}
            
        function hide_preview() \{
            var u = document.getElementById(\"output\")\;
            u.style.display = \"none\"\;
            var rend = document.getElementById(\"render\")\;
            render.style.display = \"block\"\;
            var v = document.getElementById(\"hidep\")\;
            v.style.display = \"none\"\;
            \}
            
        function go_qst_eq() \{
            MathJaax = window.open\(\"/blank.htm\",\"MathJaax\",\"top=20,left=300,height=680,width=875\"\)
            MathJaax.document.close()
            MathJaax.focus\(\)
            document.eq_quest.submit\(\)
            \}
            
        </script>\n";
        
        print"<center><TABLE width=\"90%\"><TR><TD style=\"padding-bottom:6px\"><font STYLE=\" font-family:Arial\; font-size:11pt\" >Use<B data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Advancedequationeditor}\" style=\"cursor: pointer\;\" onclick=\"go_qst_eq()\"> QST <i>EQ</i></B></font><font STYLE=\" font-family:Arial\; font-size:10pt\" > or $instructions</font></TD></TR></TABLE></center>\n";
        
        if($EF{change} == 1) {
                print"<center><div id=\"frameeq\"><textarea id=\"inputeq\" rows=\"3\" cols=\"75\">$EF{quest}</textarea><br></center>\n";
                }
        else{
                print"<center><div id=\"frameeq\"><textarea id=\"inputeq\" rows=\"3\" cols=\"75\">$ex</textarea><br></center>\n";
                }
                
        print"<center><TABLE><TR><TD style=\"padding-top:4px\"><span id=\"render\" onclick=\"convertques()\" style=\"display:block\; cursor: pointer\; font-size:10pt\;\"><B>$LANGUAGE{$set_language}{PreviewEquation}</B></span><span ID=\"hidep\" style=\"display:none\; cursor: pointer\; font-size:10pt\;\" onclick=\"hide_preview()\"><B>$LANGUAGE{$set_language}{HidePreview}</B></span></TD></TR></TABLE></center><P><center><span id=\"output\"></span></center>\n";
        
	}
	
#####################
#
# PRINT_EQ_QUEST_ANS
#
#####################
sub print_eq_quest_ans {
        my %PEQA = @_;
        
        
        print <<"EOQ";
        
<link href="../Math/MasterPage.css" type="text/css" rel="stylesheet" />

<meta http-equiv="X-UA-Compatible" content="IE=edge">  

<script type="text/javascript" src="../Math/MyConfig.js"></script>
<script type="text/javascript" src="../Math/MathJax.js"></script>

<link href="../Math/codemirror.css" rel="stylesheet" type="text/css" />
<script src="../Math/codemirror.js" type="text/javascript"></script>
<script src="../Math/stex.js" type="text/javascript"></script>
        
<script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.7.1.min.js"></script>  


<script src="../Math/SetUI.js" type="text/javascript"></script>
<link href="../Math/SetUI.css" rel="stylesheet" type="text/css" />

<script type="text/javascript">
    \$(function () {
        var aa = \$("#HiddenField1").val();
        \$("#TextAreaInput").text(aa);

        \$.initSetGlobal("TextAreaInput", "MathOutput", "TextAreaLinkCode", "divURL", "divMathML");
        \$.iniEmbeded("ShowHideEmbeded", "divEmbed", "selectEquation", "ShowHideURL", "ShowHideMathML");
        \$("#MyTools").initTool();
        \$("#MyMath20").initMath();
        \$("#MyMath3528").initMath3528();
        \$("#MyMath3545").initMath3545();
        \$("#MyMathHeigh45").initMathHeigh45();
        \$("#MyFun4020").initFun();
        \$("#MyGreek20").initGreek();
        \$("#MyLogic20").initLogic();
        \$("#MyArrow20").initArrow();
        \$("#MySymbol20").initSymbol();
        \$("#MyColor4020").initColor();
        \$("#MyFontStyleHeigh20").initFontStyle();
        \$("#MyFontSizeHeigh20").initFontSize();

        //
        var n = \$("#HiddenFieldIsAsc").val();
        if (n != "") {
            useASCII = false;
            \$("#MyTools ul li a.Asc").click();
            }
    });
</script>      
    
    <script src="../Math/Js/jquery-ui-1.8.17.custom.min.js" type="text/javascript"></script>
    <link href="../Math/jquery-ui-1.8.17.custom.css" rel="stylesheet" type="text/css" />     
    <link href="../Math/MainPage.css" rel="stylesheet" type="text/css" /> 
          
    <script type="text/javascript">
        \$(function () {
            \$('#tabs').tabs({
               // event: "mouseover"
            });
        });
    </script>

    <script type="text/javascript">
          \$(function () {
              \$('#HyHome').removeClass().addClass("MainMenuSelected");
              \$(".MainMenuSelected").removeAttr("href");
          });
    </script>

	
    <script type="text/javascript">
          function save_eq(i_n) {
                var u = \$("#poutput").val();
                var n = \$("#QSTAsc").val();
                var ltex = \$("#QSTTeX").val();
                var eq;
                if (n == 1) {
                    eq = '&#96;'+u+'&#96;'
                    }
                else {
                        if (ltex == 1) {
                            eq = '\$\$'+u+'\$\$'
                            }
                    else {
                            eq = u
                            }
                    
                    }
                self.parent.opener.document.question_form.inputeq.value = eq
                self.close();
                }
                
        function view_eq(i_n) {
                var u = \$("#poutput").val();
                convert();
                }
    </script>
    
    <script type="text/javascript" src="../Math/ASCIIMathML.js"></script>
    <script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
    <script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>

        <style>
        #output {background-image: linear-gradient(yellow , white);}
        </style>
        <script>
        function convert() {
            var input = document.getElementById("poutput").value.trim();
            var n = \$("#QSTAsc").val();
            var ltex = \$("#QSTTeX").val();
            
            var inputt
            if (n == 1) {
                    inputt = '`'+input+'`'
                    }
            else {
                    if (ltex == 1) {
                            inputt = '\$\$'+input+'\$\$'
                            }
                    else {
                            inputt = input
                            }
                    }
            output = document.getElementById('output');
            output.style.display = "block";
            output.innerHTML = inputt;
            MathJax.texReset();
            MathJax.typesetClear();
            MathJax.typesetPromise()
                .catch(function (err) {
                output.innerHTML = '';
                output.appendChild(document.createElement('pre')).appendChild(document.createTextNode(err.message));
                })
                .then(function() {
                });
            }
        </script>

        <script type="text/javascript">
        function Collapse_The_Display() {
        }
        </script>
    
<form  id="form1">
<div class="aspNetHidden">
</div>

    <div id="container">  
        <div id="header" style="background-color:white">        
            <div id="ADHead" style="background-color:white">
            </div>
        </div>

    <div id="content">            
            
        <input type="hidden" name="ctl00\$ContentPlaceHolder1\$HiddenField1" id="HiddenField1" value="\\frac{-b\\pm\\sqrt{b^2-4ac}}{2a}" />
        <input type="hidden" name="ctl00\$ContentPlaceHolder1\$HiddenFieldIsAsc" id="HiddenFieldIsAsc" value=""/>
        <input type="hidden" name="QSTAsc" id="QSTAsc" value="0"/>
        <input type="hidden" name="QSTTeX" id="QSTTeX" value="1"/>
        <input type="hidden" name="poutput" id="poutput" value="\\frac{-b\\pm\\sqrt{b^2-4ac}}{2a}"/>
        <TABLE><TR><TD>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B  style="font-family:Arial; font-size:15pt;">QST <i>EQ</i></B></TD><TD>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD><TD><center style="font-family:Arial; font-size:11pt;">
        $LANGUAGE{$set_language}{SelectanitemorinputLaTeXTeXMathMLorAsciiMathnotation}
        </center></TD></TR></TABLE>
   
   <table cellpadding="0" cellspacing="0" class="MainTable">
        <tr>
            <td style="width: 35%;">
                <div id="tabs">
                    <ul>
                        <li><a href="#tabs-Math">$LANGUAGE{$set_language}{Math}</a></li>
                        <li title="$LANGUAGE{$set_language}{GreekandFunction}"><a href="#tabs-Function">GK/Func</a></li>                     
                        <li><a href="#tabs-Logic">$LANGUAGE{$set_language}{Logic}</a></li>
                        <li><a href="#tabs-Arrow">$LANGUAGE{$set_language}{Arrow}</a></li>
                        <li><a href="#tabs-Symbol">$LANGUAGE{$set_language}{Symbol}</a></li>
                        <li><a href="#tabs-Format">$LANGUAGE{$set_language}{Format}
</a></li>
                    </ul>
                    <div id="tabs-Math" >
                        <div id="MyMath20" class="ForAllNormal">
                        </div>
                        <div id="MyMath3528" class="ForAllNormal">
                        </div>
                        <div id="MyMath3545" class="ForAllNormal">
                        </div>
                        <div id="MyMathHeigh45" class="ForAllNormal">
                        </div>
                    </div>
                    <div id="tabs-Function">
                        <div id="MyGreek20" class="ForAllNormal">
                        </div>
                        <div id="MyFun4020" class="ForAllNormal">
                        </div>
                    </div>
                    <div id="tabs-Logic">
                        <div id="MyLogic20" class="ForAllNormal">
                        </div>
                    </div>
                    <div id="tabs-Arrow">
                        <div id="MyArrow20" class="ForAllNormal">
                        </div>
                    </div>
                    <div id="tabs-Symbol">
                        <div id="MySymbol20" class="ForAllNormal">
                        </div>
                    </div>
                    <div id="tabs-Format">
                        <div id="MyColor4020" class="ForAllNormal">
                        </div>
                        <div id="MyFontStyleHeigh20" class="ForAllNormal" style="margin-top:5px;margin-bottom:5px; " >
                        </div>
                        <div id="MyFontSizeHeigh20" class="ForAllNormal">
                        </div>
                    </div>
                </div>
            </td>
            <td>
                &nbsp;
            </td>
            <td style="width: 65%;">
                <div id="MyTools">                   
                </div>
                <div id="MyInput">
                   <textarea id="TextAreaInput"></textarea>
                </div>
                
EOQ
                
                if($PEQA{eq} != 1) {
                        print"<center style=\"font-family:Arial\; font-size:11pt\;\"><span ID=\"la_tex\" style=\"display:block\;\"><B>LaTeX/TeX Mode</B> <BR> $LANGUAGE{$set_language}{Copyandpasteintoanswerssurroundedby}<BR><center style=\"font-family:Arial\; font-size:11pt\;\">$LANGUAGE{$set_language}{RightclickyellowhighlightbelowforMathML}</center></span><span ID=\"as_cii\" style=\"display:none\;\"><B>AsciiMath Mode</B><BR> $LANGUAGE{$set_language}{Copyandpasteintoanswerssurroundedbycode}</span><span ID=\"math_ml\" style=\"display:none\;\"><B>MathML Mode</B><BR>$LANGUAGE{$set_language}{Copyandpasteintoanswers}</span></center></BR>
                <TABLE width=\"100%\" $action_bar><TR><TD><font color=\"white\"><center><B style=\"cursor: pointer\; font-family:Arial\; font-size:11pt\;\" onClick=\"self.close()\">$LANGUAGE{$set_language}{Cancel}</B></center></font></TD></TR></TABLE>\n";
                        }
                        
                if($PEQA{eq} == 1) {
                        print"<center style=\"font-family:Arial\; font-size:11pt\;\"><span ID=\"la_tex\" style=\"display:block\;\"><B>LaTeX/TeX Mode</B> <BR><center style=\"font-family:Arial\; font-size:11pt\;\">$LANGUAGE{$set_language}{RightclickyellowhighlightbelowforMathML}</center></span><span ID=\"as_cii\" style=\"display:none\;\"><B>AsciiMath Mode</B></span><span ID=\"math_ml\" style=\"display:none\;\"><B>MathML Mode</B></span></center><BR><TABLE width=\"100%\" $action_bar><TR><TD><font color=\"white\">
                        <center>\n";
                
                        print"<B style=\"cursor: pointer\; font-family:Arial\; font-size:11pt\;\" onClick=\"save_eq()\">$LANGUAGE{$set_language}{SaveandClose}</B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B style=\"cursor: pointer\; font-family:Arial\; font-size:11pt\;\" onClick=\"self.close()\">$LANGUAGE{$set_language}{Cancel}</B></center></font></TD></TR></TABLE>\n";
                        }
                
                            
        print <<"EQQ";
                
                <div id="output" style="clear:both; text-align: center;">
                    <script>
                    MathJax = {
                        tex: {inlineMath: [['\$', '\$'], ['\\(', '\\)']]},
                        }
                    </script>
                </div>
                <div>
                </div>
                <div>
                </div>
            </td>
        </tr>
    </table>
    </div> 
    </div>
    </form>
    

EQQ

        }
        
######################
#
# EQFORM_ANSWER
#
#####################
sub eqform_answer {
        my %EFA = @_;
        
        &print_eq();
        
        print"
        <script>
        function convert(i_nn,outt,hidep) \{
            var input = document.getElementById(i_nn).value.trim()\;
            output = document.getElementById(outt)\;
            output.style.display = \"block\"\;
            hide_p = document.getElementById(hidep)\;
            hide_p.style.display = \"block\"\;
            output.innerHTML = input\;
            MathJax.texReset()\;
            MathJax.typesetClear()\;
            MathJax.typesetPromise()
                .catch(function (err) \{
                output.innerHTML = ''\;
                output.appendChild(document.createElement('pre')).appendChild(document.createTextNode(err.message))\;
                \})
                .then(function() \{
                
                \})\;
            \}
            
        function hide_preview(outt,hidep) \{
            var u = document.getElementById(outt)\;
            u.style.display = \"none\"\;
            var v = document.getElementById(hidep)\;
            v.style.display = \"none\"\;
            \}
            
        function go_qst_eq() \{
            MathJaax = window.open\(\"/blank.htm\",\"MathJaax\",\"top=20,left=300,height=680,width=865\"\)
            MathJaax.document.close()
            MathJaax.focus\(\)
            document.eq_quest.submit()
            \}
            
        </script>\n";
	}

######################
#
# Print_Editor
#
#####################
sub print_editor {
        #Summernote editor
        print <<"EOA";

        
  <link href="https://netdna.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.css" rel="stylesheet">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.js"></script> 
  <script src="https://netdna.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.js"></script> 
  <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.12/summernote.css" rel="stylesheet">
  <script src="/summernote.js"></script>
  
  
  <script>
        \$(document).ready(function() {
        \$('#summernote').summernote({
        toolbar: [['style', ['bold', 'italic', 'underline', 'clear']],
        ['font', ['superscript', 'subscript', 'fontname', 'fontsize']],
        ['color', ['color']],
        ['para', ['ul', 'ol', 'paragraph']],
        ['table', ['table']],
        ['image', ['picture']],
        ['video', ['video']],
        ['view', ['codeview']],
        ],
        height: 125,                 // set editor height
        minHeight: 50,             // set minimum height of editor
        maxHeight: 125,             // set maximum height of editor
        width: 678,
        codeviewIframeFilter: true,
        focus: true
        });
        \$('#summernote').summernote('fontSize','16')
    
        });
        </script>

        <script>
        function AddImgSrcToEditor(uRL,filedescrip) \{
        \$(document).ready(function() {
        \$('#summernote').summernote('insertImage','/schools/qst_files/'+uRL,''+filedescrip)
        })\;
        \}
        </script>
                
EOA
        # end of editor stuff
        
        }
        
######################
#
# Print_SMALL_Editor
#
#####################
sub print_small_editor {
       
        print <<"EOA";

  <link href="https://netdna.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.css" rel="stylesheet">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.js"></script> 
  <script src="https://netdna.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.12/summernote.css" rel="stylesheet">
  <script src="/summernote.js"></script>
  
  <script>
        \$(document).ready(function() {
        \$('#summernote').summernote({
        toolbar: [['style', ['bold', 'italic', 'underline', 'clear']],
        ['font', ['superscript', 'subscript','fontname','fontsize']],
        ['color', ['color']],
        ['para', ['ul', 'ol', 'paragraph']],
        ['table', ['table']],
        ['image', ['picture']],
        ['video', ['video']],
        ['view', ['codeview']]
        ],
        height: 70,                 // set editor height
        minHeight: 50,             // set minimum height of editor
        maxHeight: 70,             // set maximum height of editor
        width: 678,
        codeviewIframeFilter: true,
        focus: true
        });
        \$('#summernote').summernote('fontSize','16')
        
        });
        </script>

        <script>
        function AddImgSrcToEditor(uRL,filedescrip) \{
        \$(document).ready(function() {
        \$('#summernote').summernote('insertImage','/schools/qst_files/'+uRL,''+filedescrip)
        })\;
        \}
        </script>
                
EOA
        # end of editor stuff
        }
        
######################
#
# Print_P_Editor
#
#####################
sub print_p_editor {
        #Summernote editor
        print <<"EOA";

  <link href="https://netdna.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.css" rel="stylesheet">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.js"></script> 
  <script src="https://netdna.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.js"></script> 
  <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.12/summernote.css" rel="stylesheet">
  <script src="/summernote.js"></script>
  
  
  <script>
        \$(document).ready(function() {
        \$('#summernote').summernote({
        toolbar: [['style', ['bold', 'italic', 'underline']],
        ['font', ['superscript', 'subscript', 'fontname', 'fontsize']],
        ['color', ['color']],
        ['para', ['ul', 'ol', 'paragraph']],
        ['table', ['table']],
        ['image', ['picture']],
        ],
        height: 150,                 // set editor height 125
        minHeight: 50,             // set minimum height of editor 50
        maxHeight: 150,             // set maximum height of editor 125
        width: 570,
        codeviewIframeFilter: true,
        focus: true
        });
        \$('#summernote').summernote('fontSize','16')
    
        });
        </script>

        <script>
        function AddImgSrcToEditor(uRL,filedescrip) \{
        \$(document).ready(function() {
        \$('#summernote').summernote('insertImage','/schools/qst_files/'+uRL,''+filedescrip)
        })\;
        \}
        </script>
                
EOA
        # end of editor stuff
        }

######################
#
# Print_MULTIPLE_Editor
#
#####################
sub print_m_editor {
        #Summernote editor
        my %PME =@_;
        print <<"EOD";

  <link href="https://netdna.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.css" rel="stylesheet">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.js"></script> 
  <script src="https://netdna.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.js"></script> 
  <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.12/summernote.css" rel="stylesheet">
  <script src="/summernote.js"></script>
  
  
EOD
  

  print"<script>
        \$(document).ready(function() {
        \$('.summernote').summernote({\n";
        
        
        print <<"EOA";
        
        toolbar: [['style', ['bold', 'italic', 'underline']],
        ['font', ['superscript', 'subscript', 'fontname', 'fontsize']],
        ['color', ['color']],
        ['para', ['ul', 'ol', 'paragraph']],
        ['table', ['table']],
        ['image', ['picture']],
        ],
        minHeight: 25,             // set minimum height of editor
        maxHeight: 125,             // set maximum height of editor
        width: 570,
        codeviewIframeFilter: true,
        codeviewFilter: true,
        focus: true,
        disableDragAndDrop: true
        });
        \$('.summernote').summernote('fontSize','16')
        
        });

        </script>

        
                
EOA

            
        # end of editor stuff
        }

######################
#
# MAKE_BANK_QUEST
#
#####################
sub make_bank_quest {
	my %MQUEST = @_;
	$MQUEST{sub_type} =~ s/\D//g;
	$MQUEST{type} =~ s/\D//g;
	$MQUEST{expand} =~ s/[^0-9,]//g;
	$MQUEST{expand1} =~ s/[^0-9,]//g;
	$MQUEST{under} =~ s/\D//g;
	$MQUEST{category} =~ s/\D//g;
	$MQUEST{from} =~ s/\D//g;
	$MQUEST{bank_no} =~ s/\D//g;
        $MQUEST{again} =~ s/\D//g;
        
	my $error = 0;
	$error = &check_many_length_return("$MQUEST{from}","2","$MQUEST{sub_type}","1","$MQUEST{type}","2","$MQUEST{expand}","50","$MQUEST{name}","50","$MQUEST{category}","10","$MQUEST{expand1}","50");

        if ($error != 1) {
                print"<style>
                    #grad1 \{
                    background-color: blue\; /* For browsers that do not support gradients */
                    background-image: linear-gradient(blue , black)\; /* Standard syntax (must be last) */
                    border-radius:6px\; 
                    \}
                </style>\n";
                
                &print_javascript_begin();
                
                &print_mode_display("mode","1");
                
                &print_javascript_end();
                
                &print_editor();
                
		if(!defined $MQUEST{sub_type}) {
			$MQUEST{sub_type} = "$MQUEST{type}";
			}

                if ($MQUEST{from} != 1) { #second time in, clear screen, from =1 in from create/manage questions screen
			&print_javascript_begin();
			
			print"function load_handler\(inn\) \{
                        if\(inn === 1\) \{
                        self.parent.quest2.location=\"\/schools\/blank.htm\"
                        \}
                        else \{
                        document.load_right.submit\(\)
                        self.parent.close\(\)
                        \}
                        \}\n";
			
			&print_javascript_end();
			}
			
		&top_heading23();
		
		print"</TD><TD width=\"100\"></TD><TD>  <B>$LANGUAGE{$set_language}{QuestionFolder} - </B> <i>$MQUEST{name}</i></TD></TABLE>\n";

		if ($MQUEST{sub_type} != 2) { # quiz/test questions
                        &write_bank_quest("type","$MQUEST{type}","from","$MQUEST{from}","sub_type","$MQUEST{sub_type}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}","again","$MQUEST{again}");
                        
			&show_tf();
			&show_yn();
			&show_sa();
			&show_p();
			&show_mc();
			&show_ma();
			&show_mx();
			
			if ($MQUEST{from} != 1) { #second time in, refresh create/manage questions screen
                                &print_form("form_name","load_right","form_target","theright","input","questions_bank","expand","$MQUEST{expand}","sub_type","$MQUEST{sub_type}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}");
				}

			&print_form_wo_end_tag("form_name","question_form","form_target","","input","","bank_no","$MQUEST{bank_no}","from","","expand","$MQUEST{expand}","name","$MQUEST{name}","type","$MQUEST{type}","sub_type","$MQUEST{sub_type}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}");
      			&print_out_question_form("type","$MQUEST{type}","sub_type","$MQUEST{sub_type}","u_id","$MQUEST{u_id}","session_id","$MQUEST{session_id}","ans_mode","0");
      			
      			print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\" style=\"padding-top: 4px\; padding-bottom: 4px\;\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B STYLE=\"cursor:pointer\"  onClick=\"click_handler\(\'1\'\)\">$LANGUAGE{$set_language}{Preview} </B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"click_handler\(\'2\'\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Save}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B><font color=\"white\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Saveandcreateanother}\" STYLE=\"cursor:pointer\; font-family:Arial\; font-size:11pt\;\" OnClick=\"click_handler\(\'4\'\)\">$LANGUAGE{$set_language}{Save} </font><font color=\"white\" style=\"vertical-align: middle\; font-size:16pt\">+</font></B> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"self.parent.close\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
      			
			if ($MQUEST{from} != 1) { #second time in, refresh create/manage questions screen
				#print"<script> document.getElementById(mode2).onload = load_handler\(\'$MQUEST{type}\'\)</script>\n";
				#print"<script> document.getElementById(mode2).onload = load_handler\(\'$MQUEST{again}\'\)</script>\n";
				print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\($MQUEST{again}\)\"> \n";
				}
			}
			
		else { # survey question
                        
			}
		}
	}
	
##################
#
# MOBILE_MARK_TYPE
#
################
sub mobile_mark_type {
	my %MT = @_;
	$MT{mobile} =~ s/\D//g;
	my $screen_width = $MT{screen_width};
	$screen_width =~ s/\D//g;
	my $class_id = $MT{class_id};
	$class_id =~ s/\D//g;
	my $qst = $MT{qst};
	my $type = $MT{type};
	$type =~ s/\D//g;
	my $u_id = $MT{u_id};
	$u_id =~ s/\D//g;
	my $session_id = $MT{session_id};
	$session_id =~ s/\D//g;
	my $qst_name = $MT{qst_name};
	my $number_to_mark = 0;
	my $valu_of_quests_to_be_marked = 0;
	my %QUESTIONS = ();
	my %ANSWERS = ();
     	my $score = 0;
     	my $index_pt2 = 1;
	my $na = 0;
	my $correct = 0;
	my $wrong = 0;
	my %TO_BE_MARKED = ();
	my $index_to_quest_no;
        my %MA = (); # for MA questions
        my $show_eq = 1;

        &print_style_sheet();

	&print_javascript_begin();

	print"function c_window\(\)\{
	top.close\(\)\}\n";
	
        
	&print_javascript_end();

	my %ACCESS = ();
	
	#see if they have access to posted qst
	my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
	if($POSTED_QST{$qst}{forall} != 1) { # only certain students have access
		%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
		}
		
	my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
	my $attempt = &select10("query","SELECT attempts from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

	#find which questions are associated with their qst
	my %THEIR_QUESTIONS = &select4("query","SELECT quest_order,quest_no from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");

	#get their answers to the qst questions
	my %THEIR_ANSWERS = &select4("query","SELECT quest_no,answer from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
	
	#QUIZZES/TESTS BELOW HERE ########
	if (keys %POSTED_QST && $QST_INFO{$qst}{type} == 1 && ($POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #quizzes/tests
		my @results;
		my $questions_in_student_qst = 0;
		my %QUESTIONS_IN_QST = ();
		my %ENTERED_QUESTIONS = ();
		my $questions_in_qst_query = "select quest_no,value,q_select from qst_questions WHERE qst_no=\"$qst\" AND (";
		
		foreach my $quest_no(values %THEIR_QUESTIONS) {
                        $questions_in_student_qst = 1;
			$questions_in_qst_query = "$questions_in_qst_query"." "."quest_no=\"$quest_no\" OR";
			}
		$questions_in_qst_query =~ s/ OR$/)/;

		if($questions_in_student_qst == 1) {
                        %QUESTIONS_IN_QST = &select_users_qst_questions("query","$questions_in_qst_query");
                        }
                        
		my $query = "SELECT * from questions WHERE ";
		my $questions = "$QST_INFO{$qst}{questions}";
		my $marks = "$QST_INFO{$qst}{marks}";
		my $name = "$QST_INFO{$qst}{name}";
		
		if(keys %QUESTIONS_IN_QST) {
     			foreach my $key(keys %QUESTIONS_IN_QST) {
				$query = "$query"." "."number=\"$key\" OR";
				}
			$query =~ s/ OR$//;
			%QUESTIONS = &select_questions("query","$query");
			
			my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE ";
			foreach my $key(keys %QUESTIONS) {
				$query1 = "$query1"." "."number=\"$key\" OR";
				}
			$query1 =~ s/ OR$//;
			
			#correct answers
			%ANSWERS = &select_question_answers("query","$query1");
			}
			
		##### Print the QST NAME
		print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><center><B><i><font style=\"font-size:16pt\; font-family:Arial\;\" color=\"white\"> $MT{qst_name} </font></i></b></center></TD></TR></TABLE>";
		
			
		foreach my $quest(sort {$a<=>$b} keys %THEIR_QUESTIONS) {
			my $quest_no = "$THEIR_QUESTIONS{$quest}";
			$index_to_quest_no = "$index_to_quest_no"."$index_pt2=$quest_no"."-"."$QUESTIONS{$quest_no}{type}"."-"."$QUESTIONS_IN_QST{$quest_no}{value}".",";

			
			
                    ### PRINT OUT QUESTION
           		if ($POSTED_QST{$qst}{submissions} == 1) { # can view their qst
                  		print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index_pt2\">$index_pt2</a>\.</b></TD>
	        		<TD NOWRAP valign=\"top\"><font size=\"-1\">\($QUESTIONS_IN_QST{$quest_no}{value}\)</font></TD><TD valign=\"top\">";
	        		
             			my $question_rows = 1;
 				my $question_length = length($QUESTIONS{$quest_no}{question});
 				
 				# fix display to show new lines in text of question
                                my $content = $QUESTIONS{$quest_no}{question};
                                $content =~ s/\r[\n]*/\n/gm;
                                my @lines = split(/\n/,$content);
                                my $rows = @lines;
                                $question_rows = $question_rows + $rows;

				my $empty_question = $QUESTIONS{$quest_no}{question};
				$empty_question =~ s/\r\n//g;
				$empty_question =~ s/\s//g;
				
				if($QUESTIONS{$quest_no}{ans_mode} == 2) {
					$show_eq = 2;
					}
	
				if($QUESTIONS{$quest_no}{mode} == 1) { # ADVANCED
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                elsif($QUESTIONS{$quest_no}{mode} == 2) { # EQUATION
                                        $show_eq = 2;
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                else { # BASIC
                                        if($empty_question eq "") { # no text in question
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"&nbsp\;<img src=\"$image\"></TD></TR></TABLE>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">Your browser does not support the video tag.</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">Your browser does not support the audio tag.</video</td></table><P>\n";
                                                        }
                                                }
                                                
                                        else { # text in question
                                                if($MT{mobile} == 1) {
                                                        &print_mobile_textarea_p_question("screen_width","$screen_width","question","$QUESTIONS{$quest_no}{question}");
                                                        }
                                                else {
                                                        print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"60\">$QUESTIONS{$quest_no}{question}</textarea></b></TD></TR></TABLE>\n";
                                                        }
                                                
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">Your browser does not support the video tag.</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">Your browser does not support the audio tag.</video</td></table><P>\n";
                                                        }
                                                print"</TD></TR></TABLE>\n";
                                                }
					} 
				}
			
                    
                    
                ### PRINT ANSWERS
			if ($QUESTIONS{$quest_no}{type} eq"TF") { # True False
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{T} == 1) {
					$correct_answer = "T";
					}
				else {
					$correct_answer = "F";
					}

                       		if (defined $THEIR_ANSWERS{$quest_no} && $correct_answer eq "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_tf("correct","$THEIR_ANSWERS{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                             		}
                             		
                        	elsif (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"" && $correct_answer ne "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_tf("wrong","$THEIR_ANSWERS{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_tf("na","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}

                        if ($QUESTIONS{$quest_no}{type} eq"YN") { # Yes No
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{Y} == 1) {
					$correct_answer = "Y";
					}
				else {
					$correct_answer = "N";
					}

                       		if (defined $THEIR_ANSWERS{$quest_no} && $correct_answer eq "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_yn("correct","$THEIR_ANSWERS{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                             		}
                             		
                        	elsif (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"" && $correct_answer ne "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_yn("wrong","$THEIR_ANSWERS{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_yn("na","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}
				
			elsif ($QUESTIONS{$quest_no}{type} eq"SA") { # Short Answer
                                print"</TD></TR></TABLE>\n";
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
				my $fake_real_no = "sa"."$quest_no"; #short answer question numbers have prefix of sa
                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"") {
					$quest_no =~ s/\D//g;
					$TO_BE_MARKED{$quest_no} = -1;
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                        	     	&mark_sa("answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer","mobile","1","screen_width","$screen_width");
						push(@results,"$index_pt2"."=4"); #must be marked
                                	  	}
                                        $ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_sa("correct_answer","$correct_answer","mobile","1","screen_width","$screen_width");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"P") { # Paragraph
                                print"</TD></TR></TABLE>\n";
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
				my $fake_real_no = "p"."$quest_no"; #paragraph questions numbers have prefix of p

                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"") {
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_p("answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer","mobile","1","screen_width","$screen_width");
						push(@results,"$index_pt2"."=4"); #must be marked
                                  		}
					$TO_BE_MARKED{$quest_no} = -1;
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_p("correct_answer","$correct_answer","mobile","1","screen_width","$screen_width");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"MC") { # Multiple Choice
				my $correct_answer;
				my $answers;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
				my $pass_answers;
                                my $pass_images_mc;
                                
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
					foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
						if($ANSWERS{$quest_no}{q_order}{$key}{answers}{$key1} == 1) {
							$correct_answer = "$key";
	
							}
						$answers = "$answers".","."$key1";
						$ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
						$MC_ANSWERS{$key} = "$key1";
						$pass_answers = "$pass_answers"."|#"."$key"."~@"."$MC_ANSWERS{$key}";
						$pass_images_mc = "$pass_images_mc"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
						}
					}
				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_mc =~ s/^-//;
				
				my $fake_real_no = "m"."$quest_no"; #multiple choice question numbers have prefix of m

                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} > 0) {
                             		if ($THEIR_ANSWERS{$quest_no} == $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("correct","1","correct_answer","$correct_answer","answers","$answers","users_answer","$THEIR_ANSWERS{$quest_no}","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}","mobile","1","screen_width","$screen_width");
                                                        
							push(@results,"$index_pt2"."=1"); #correct answer
							}
						$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
						++$correct;
                             			}
                             		elsif ($THEIR_ANSWERS{$quest_no} != $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("wrong","1","users_answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}","mobile","1","screen_width","$screen_width");
                                                        
							push(@results,"$index_pt2"."=0"); #incorrect answer
							++$wrong;
							} 
                                 		}
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
                             		}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_mc("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}","mobile","1","screen_width","$screen_width");
                                                
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                             		}
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       	
                       	elsif ($QUESTIONS{$quest_no}{type} eq"MX") { # Matching
                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 0");
                                
                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 1");
                                my %MYANS = ();
                                        
                                my @their_answers = split(/\n/,$THEIR_ANSWERS{$quest_no});
                                my %SAVED_ANSWERS = ();
                                foreach my $ans(@their_answers) {
                                        my @an = split(/=/,$ans);
                                        $SAVED_ANSWERS{$an[0]} = $an[1];
                                        }
                                        
                                my @mx_string;
                                my $pass = 'correct';
                                
                                for (my $i = 1; $i <= $mx_num; $i++){ 
                                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        else { # no matching text
                                                delete($RETURN_MX_MATCHING{$i});
                                                }
                                        }

                                if(keys %SAVED_ANSWERS) {
                                        foreach my $key1(keys %RETURN_MX_TEXT) {
                                                next if(!defined $RETURN_MX_TEXT{$key1}{answer});
                                        
                                                if(defined $RETURN_MX_TEXT{$key1}{answer} && $RETURN_MX_MATCHING{$key1}{answer} ne "$SAVED_ANSWERS{$key1}") {
                                                        $pass = 'wrong';
                                                        }
                                                }
                                        }
                                else {
                                        $pass = 'na';
                                        } 
                                        
                                if($pass eq "correct") {
                                        push(@results,"$index_pt2"."=1"); #correct answer
                                        $score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
                                        ++$correct;
                                        }
                                elsif($pass eq "na") {
                                        push(@results,"$index_pt2"."=3"); #no answer
                                        ++$na;
                                        }
                                else {
                                        push(@results,"$index_pt2"."=0"); #incorrect answer
                                        ++$wrong;
                                        }
                                        
                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                        &mark_mx("$pass","1","1","1","mx1","$RETURN_MX_TEXT{1}{answer}","mx2","$RETURN_MX_TEXT{2}{answer}","mx3","$RETURN_MX_TEXT{3}{answer}","mx4","$RETURN_MX_TEXT{4}{answer}","mx5","$RETURN_MX_TEXT{5}{answer}","mx6","$RETURN_MX_TEXT{6}{answer}","mx7","$RETURN_MX_TEXT{7}{answer}","mx8","$RETURN_MX_TEXT{8}{answer}","mx9","$RETURN_MX_TEXT{9}{answer}","mx10","$RETURN_MX_TEXT{10}{answer}","mx11","$RETURN_MX_TEXT{11}{answer}","mx12","$RETURN_MX_TEXT{12}{answer}","mx13","$RETURN_MX_TEXT{13}{answer}","mx14","$RETURN_MX_TEXT{14}{answer}","mx15","$RETURN_MX_TEXT{15}{answer}","mxans1","$RETURN_MX_MATCHING{1}{answer}","mxans2","$RETURN_MX_MATCHING{2}{answer}","mxans3","$RETURN_MX_MATCHING{3}{answer}","mxans4","$RETURN_MX_MATCHING{4}{answer}","mxans5","$RETURN_MX_MATCHING{5}{answer}","mxans6","$RETURN_MX_MATCHING{6}{answer}","mxans7","$RETURN_MX_MATCHING{7}{answer}","mxans8","$RETURN_MX_MATCHING{8}{answer}","mxans9","$RETURN_MX_MATCHING{9}{answer}","mxans10","$RETURN_MX_MATCHING{10}{answer}","mxans11","$RETURN_MX_MATCHING{11}{answer}","mxans12","$RETURN_MX_MATCHING{12}{answer}","mxans13","$RETURN_MX_MATCHING{13}{answer}","mxans14","$RETURN_MX_MATCHING{14}{answer}","mxans15","$RETURN_MX_MATCHING{15}{answer}","m1","$SAVED_ANSWERS{1}","m2","$SAVED_ANSWERS{2}","m3","$SAVED_ANSWERS{3}","m4","$SAVED_ANSWERS{4}","m5","$SAVED_ANSWERS{5}","m6","$SAVED_ANSWERS{6}","m7","$SAVED_ANSWERS{7}","m8","$SAVED_ANSWERS{8}","m9","$SAVED_ANSWERS{9}","m10","$SAVED_ANSWERS{10}","m11","$SAVED_ANSWERS{11}","m12","$SAVED_ANSWERS{12}","m13","$SAVED_ANSWERS{13}","m14","$SAVED_ANSWERS{14}","m15","$SAVED_ANSWERS{15}","screen_width","$screen_width","mobile","1");
                                        }
                                        
                                if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                                }
                                
                        elsif ($QUESTIONS{$quest_no}{type} eq"MA") { # Multiple Answer
				my $correct_answer;
				my $answers;
				my $input_answers;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
				my %CORRECT_ANSWERS = ();
				my %INPUT_ANSWER = ();
				my %ANSWER_IN = ();
				my $pass_answers;
                                my $pass_images_ma;
                                
                                my @in_ans = split(/\,/,$THEIR_ANSWERS{$quest_no});
                                foreach my $ans(@in_ans) {
                                        $INPUT_ANSWER{$ans}{$ans} = $ans;
                                        $ANSWER_IN{$ans} = $ans;
                                        $input_answers = "$input_answers".","."$ans";
                                       }

                                $input_answers =~ s/^,//;
                                $MA{$quest_no} = $input_answers;
                                
                                # get all the answers for the question
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
                                        foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
                                                if($QUESTIONS{$quest_no}{ans_mode} == 1) {
                                                        $key1 =~ s/&quot;/"/g; #change back
                                                        $key1 =~ s/&apos;/'/g; #change back
                                                        }

                                                $MC_ANSWERS{$key} = $key1;
                                                 $pass_answers = "$pass_answers"."|#"."$key"."~@"."$key1";
                                                }
                                                
                                        # correct answers
                                        if($ANSWERS{$quest_no}{q_order}{$key}{c_answer} == 1) {
                                                $CORRECT_ANSWERS{$key} = $key;
                                                $correct_answer = "$correct_answer".","."$key";
                                                }
                                        $answers = "$answers".","."$key";
                                        $ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
                                        $pass_images_ma = "$pass_images_ma"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
                                        }

				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_ma =~ s/^-//;
				$correct_answer =~ s/^,//;
				my $fake_real_no = "ma"."$quest_no"; #multiple answer question numbers have prefix of ma

                       		if (keys %INPUT_ANSWER) {
                                        my $ma_correct = 0;

                                        # see if all input answers are correct
                                        foreach my $an(keys %CORRECT_ANSWERS) {
                                                delete($ANSWER_IN{$an});
                                                if(!defined $INPUT_ANSWER{$an}{$an}) {
                                                        $ma_correct = 1;
                                                        }
                                                }
                       		
                             		if ($ma_correct == 0 && !keys %ANSWER_IN) { # no keys in %ANSWER_IN means they did not select everything
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("correct","1","correct_answer","$correct_answer","input_answers","$input_answers","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","users_answer","$MT{$fake_real_no}","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}","mobile","1","screen_width","$screen_width");
                                                
							push(@results,"$index_pt2"."=1"); #correct answer
							}

						$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
						++$correct;
                             			}
                             		else {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("wrong","1","users_answer","$input_answers","input_answers","$input_answers","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}","mobile","1","screen_width","$screen_width");
                                                        
							push(@results,"$index_pt2"."=0"); #incorrect answer
							++$wrong;
							} 
                                 		}
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
                             		}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_ma("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}","mobile","1","screen_width","$screen_width");
                                                
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                             		}
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       		
                 	++$index_pt2;
			}
			
                if($show_eq == 2) {
                        &print_eq();
                        }
                        
           ## done with answers
                
		&print_form("form_name","mobile_done","input","print_mobile","u_id","$u_id","session_id","$session_id","mobile","$MT{mobile}");
		
                print"<center><TABLE><TR><TD> <img src = \"/schools/x-icon.png\" border=\"0\" onClick=\"document.mobile_done.submit\(\)\" STYLE=\"cursor: pointer\"></TD></TR></TABLE></center><P>\n";
		
                if ($POSTED_QST{$qst}{result} == 1) { # result/mark is viewable
                	print "<center><B><font size=\"+1\"> Mark: $score/$QST_INFO{$qst}{marks} ";
                	
                	if($number_to_mark > 0) {
                                print"&nbsp\;&nbsp\;&nbsp\;Number to Mark: $number_to_mark ";
                                }
                                
                        print"</font></B></center><P>\n";
			}
			
		if ($POSTED_QST{$qst}{submissions}!= 1) {
                	print"<center><B>Submissions have not been released.</B></center><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{result}!= 1) {
                	print"<center><B>Marks have not been released.</b></center><P>\n";
                	}
			
			
		# record mark, the highest mark if more than one try
		if($POSTED_QST{$qst}{rhm} == 1) { 
			my %RETURN6 = &select_qst_scores("query","SELECT u_id,qst,mark,marked from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			my %TIME = &get_org_time("org_id","$MT{org_id}");
			my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"$attempt\"");
			my $entered_answers;
			
			
			if(!keys %RETURN6) { # no previous score
                 		if ($number_to_mark > 0) {#must be marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"1\",\"0\",\"$org_id\")");
					}
				else { #marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"0\",\"0\",\"$org_id\")");
					}
				}
				
			else { # must be marked or previous score
                 		if ($number_to_mark > 0) { #must be marked, contains questions other than TF and mult choice
					# enter new score
					&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"1\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					
					# delete previous attempt answers
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
					}
					
				else { # previous score there
				 	if($RETURN6{$ids}{mark} < $score) { # if new score is greater than old score, enter new score and answers and delete previous attempt answers
						&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"0\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
						
						# delete previous attempt
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
						}
						
					else { # delete this attempt, score is lower
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
						}
					}
				}
                        
                        my %TIMEZONE = ();
                        my $org_time1;
                        my $adjusted_time;
                        my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$MT{org_id}\"};
                        my $sth = $dbh->prepare($queryt);
                        $sth->execute();
                        while(my @row = $sth->fetchrow_array()) {
                                $TIMEZONE{$row[0]}= "$row[1]";
                                $adjusted_time = "$row[1]";
                                }

                        if($adjusted_time != 0) {
                                $org_time1 = "$adjusted_time" * 3600;
                                }
                        else {
                        	$org_time1 = 0; 
                                }
                

                        #time with time zone included
                        my $time1 = time + "$org_time1";

                        my %TIME1 = &get_time_to_display("time","$time1");

			&update_general("query","UPDATE qst_attempts SET finish_time=\"$TIME1{time}{hour_minute}\", finish_day=\"$TIME1{time}{day}\", finish_month=\"$TIME1{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
			
		else { #do not record mark
			&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			}
      		}
      		
      		
      		
     ### surveys below here
	elsif ((keys %POSTED_QST && $QST_INFO{$qst}{type} == 2 && $POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #surveys
		my %QUESTIONS_IN_QST = &select4("query","select quest_no,q_order from qst_questions WHERE qst_no=\"$qst\"");
		my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"1\"");
		my %TIME = &get_time();

		if($attempt == 0) { # deleted by instructor while in progress
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
                else {
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}

                &print_form("form_name","mobile_done","input","print_mobile","u_id","$u_id","session_id","$session_id","mobile","$MT{mobile}");
                
		if(keys %QUESTIONS_IN_QST) {
			#see if already submitted by instructor
			my $submitted = &select10("query","SELECT qst from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			
			if($submitted == $qst) {
				&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
				}
				
			&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"0\",\"0\",\"0\",\"$org_id\")");
			
       	    		print "<center><BR><P><B>$LANGUAGE{$set_language}{Thankyoufortakingthetimetocompletethesurvey}</b></center><P> \n";
       	    		print"<center><TABLE><TR><TD> <img src = \"/schools/x-icon.png\" border=\"0\" onClick=\"document.mobile_done.submit\(\)\" STYLE=\"cursor: pointer\"></TD></TR></TABLE></center><P>\n";
			
			}
		else {
                        print"<center><TABLE><TR><TD> <img src = \"/schools/x-icon.png\" border=\"0\" onClick=\"document.mobile_done.submit\(\)\" STYLE=\"cursor: pointer\"></TD></TR></TABLE></center><P>\n";
            		print "<center><P><B> Invalid input.</b></center><P> \n";
			}
		}
	else {
                &print_form("form_name","mobile_done","input","print_mobile","u_id","$u_id","session_id","$session_id","mobile","$MT{mobile}");
                
                print"<center><TABLE><TR><TD> <img src = \"/schools/x-icon.png\" border=\"0\" onClick=\"document.mobile_done.submit\(\)\" STYLE=\"cursor: pointer\"></TD></TR></TABLE></center><P>\n";
		print "<center><P><B> Invalid input.</b></center><P> \n";
		}
	}

##################
#
# MARK_TYPE
#
################
sub mark_type {
	my %MT = @_;
	my $class_id = $MT{class_id};
	my $class_name = $MT{class_name};
	$class_id =~ s/\D//g;
	my $qst = $MT{qst};
	my $type = $MT{type};
	$type =~ s/\D//g;
	my $u_id = $MT{u_id};
	$u_id =~ s/\D//g;
	my $session_id = $MT{session_id};
	$session_id =~ s/\D//g;

	my $qst_name = $MT{qst_name};
	my $number_to_mark = 0;
	my $valu_of_quests_to_be_marked = 0;
	my %QUESTIONS = ();
	my %ANSWERS = ();
     	my $score = 0;
     	my $index_pt2 = 1;
	my $na = 0;
	my $correct = 0;
	my $wrong = 0;
	my %TO_BE_MARKED = ();
	my $index_to_quest_no;
        my %MA = (); # for MA questions
        my %MX = (); # for Matching questions
        my $show_eq = 1;
        
	delete($MT{class_id});
	delete($MT{qst});
	delete($MT{type});
	delete($MT{input});
	delete($MT{qst_name});
	delete($MT{u_id});
	delete($MT{session_id});
        delete($MT{class_name});
        delete($MT{view_org_id});
        delete($MT{u_type});
        
	&print_style_sheet();

	&print_javascript_begin();
	
	print"function right_clear\(\)\{
	self.top.right_top.location = \"/schools/empty.htm\"
	self.top.right_bot.location = \"/schools/empty.htm\"
	\}\n";

	print"function c_window\(\)\{
	top.close\(\)\}\n";
	
	&print_javascript_end();

	my %ACCESS = ();
	
	#see if they have access to posted qst
	my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
	
	if($POSTED_QST{$qst}{forall} != 1) { # only certain students have access
		%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
		}
		
	my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
	
	my $attempt = &select10("query","SELECT attempts from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

	#find which questions are associated with their qst
	my %THEIR_QUESTIONS = &select4("query","SELECT quest_order,quest_no from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");

	#check there is still time
        my %END_TIME = &select4("query","SELECT u_id,end from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
        my $now_time = time;
        my $good_time = 0;
        

    #### QUIZZES/TESTS here, SURVEYS farther down
	if (keys %POSTED_QST && $QST_INFO{$qst}{type} == 1 && ($POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { # THEY HAVE ACCESS

                # ALLOTTED TIME HAS ENDED
                if($now_time > $END_TIME{$ids}) {
                        $good_time = 1;

                        #delete their submitted answers
                        %MT = ();

                        #get their previously submitted answers to the qst questions
                        %MT = &select_their_answers("query","SELECT quest_no,answer from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");                        
                        }
                        
                &print_javascript_begin();
                
                print"function close_qst() {
                document.form_reload.submit\(\)
                parent.self.close()
                \}\n";
                
                &print_javascript_end();
                
                &print_form("form_name","form_reload","form_target","orig_Window","input","print_modal_students_screen","class_name","$class_name","class_id","$class_id","u_id","$ids","session_id","$session_id");
                
		print"<center><font size=\"+2\"><B>  $qst_name </b></font></center><P> \n";
		
		my @results;
		my %ENTERED_QUESTIONS = ();
		
		my $questions_in_qst_query = "select quest_no,value,q_select from qst_questions WHERE qst_no=\"$qst\" AND (";
		
		foreach my $quest_no(values %THEIR_QUESTIONS) {
			$questions_in_qst_query = "$questions_in_qst_query"." "."quest_no=\"$quest_no\" OR";
			}
		$questions_in_qst_query =~ s/ OR$/)/;

		my %QUESTIONS_IN_QST = &select_users_qst_questions("query","$questions_in_qst_query");

		my $query = "SELECT * from questions WHERE ";
		my $questions = "$QST_INFO{$qst}{questions}";
		my $marks = "$QST_INFO{$qst}{marks}";
		my $name = "$QST_INFO{$qst}{name}";
		
		if(keys %QUESTIONS_IN_QST) {
     			foreach my $key(keys %QUESTIONS_IN_QST) {
				$query = "$query"." "."number=\"$key\" OR";
				}
			$query =~ s/ OR$//;
			%QUESTIONS = &select_questions("query","$query");
			
			my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE ";
			foreach my $key(keys %QUESTIONS) {
				$query1 = "$query1"." "."number=\"$key\" OR";
				}
			$query1 =~ s/ OR$//;
			%ANSWERS = &select_question_answers("query","$query1");
			}
			
           	if ($POSTED_QST{$qst}{submissions} == 1) { # submitted qst is viewable
           		&print_javascript_begin();
           		
			print"var frame_url = self.top.qst_left.location.href
			function load_right\(\)\{
			self.top.right_top.location = \"/schools/empty.htm\"
			document.form1.submit\(\)
			\}
            		function link_anchor\(l_nk\) \{
			var this_link = l_nk
			self.top.qst_left.location = frame_url + \"#\" + this_link
		   	\}\n";
		   	
		   	&print_javascript_end();
			}

		foreach my $quest(sort {$a<=>$b} keys %THEIR_QUESTIONS) {
			my $quest_no = "$THEIR_QUESTIONS{$quest}";
			$index_to_quest_no = "$index_to_quest_no"."$index_pt2=$quest_no"."-"."$QUESTIONS{$quest_no}{type}"."-"."$QUESTIONS_IN_QST{$quest_no}{value}".",";

			
                    #### PRINT OUT QUESTION
           		if ($POSTED_QST{$qst}{submissions} == 1) {
                  		print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index_pt2\">$index_pt2</a>\.</b></TD>
	        		<TD NOWRAP valign=\"top\"><font size=\"-1\">\($QUESTIONS_IN_QST{$quest_no}{value}\)</font></TD><TD valign=\"top\" STYLE=\"border-radius:6px\;\">";
             			my $question_rows = 1;
 				my $question_length = length($QUESTIONS{$quest_no}{question});
 		
 				# fix display to show new lines in text of question
                                my $content = $QUESTIONS{$quest_no}{question};
                                $content =~ s/\r[\n]*/\n/gm;
                                my @lines = split(/\n/,$content);
                                my $rows = @lines;
                                $question_rows = $question_rows + $rows;

				my $empty_question = $QUESTIONS{$quest_no}{question};
				$empty_question =~ s/\r\n//g;
				$empty_question =~ s/\s//g;
				
				if($QUESTIONS{$quest_no}{ans_mode} == 2) {
					$show_eq = 2;
					}
	
				if($QUESTIONS{$quest_no}{mode} == 1) {
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                elsif($QUESTIONS{$quest_no}{mode} == 2) {
                                        $show_eq = 2;
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                else {
                                        if($empty_question eq "") {
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
						
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"&nbsp\;<img src=\"$image\"></TD></TR></TABLE>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                        }
                                                }
                                        else {
                                                print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"60\">$QUESTIONS{$quest_no}{question}</textarea></b></TD></TR></TABLE>\n";
          				
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
						
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                        }
                                                }
					} 
				}
			

                    ##### NOW PRINT ANSWERS
			if ($QUESTIONS{$quest_no}{type} eq"TF") { # True False
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{T} == 1) {
					$correct_answer = "T";
					}
				else {
					$correct_answer = "F";
					}

                       		if (defined $MT{$quest_no} && $correct_answer eq "$MT{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_tf("correct","$MT{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$MT{$quest_no}";
                             		}
                             		
                        	elsif (defined $MT{$quest_no} && $correct_answer ne "$MT{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_tf("wrong","$MT{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$MT{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_tf("na","$correct_answer","answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}

                        elsif ($QUESTIONS{$quest_no}{type} eq"YN") { # Yes No
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{Y} == 1) {
					$correct_answer = "Y";
					}
				else {
					$correct_answer = "N";
					}

                       		if (defined $MT{$quest_no} && $correct_answer eq "$MT{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_yn("correct","$MT{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$MT{$quest_no}";
                             		}
                             		
                        	elsif (defined $MT{$quest_no} && $correct_answer ne "$MT{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_yn("wrong","$MT{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$MT{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_yn("na","$correct_answer","answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}
				
			elsif ($QUESTIONS{$quest_no}{type} eq"SA") { # Short Answer
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
					
				my $fake_real_no;
								
				if($good_time == 1) { # QST is past END TIME so not getting the prefix to the question numbers for short answer
					$fake_real_no = $quest_no;
					}
				else {
					$fake_real_no = "sa"."$quest_no"; #short answer question numbers have prefix of sa
					}
				
                       		if (defined $MT{$fake_real_no}) {
					$quest_no =~ s/\D//g;
					$TO_BE_MARKED{$quest_no} = -1;
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                        	     	&mark_sa("answer","$MT{$fake_real_no}","correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=4"); #must be marked
                                	  	}
                                        $ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_sa("correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"P") { # Paragraph
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
					
				my $fake_real_no;
												
				if($good_time == 1) { # QST is past END TIME so not getting the prefix to the question numbers for paragraph
					$fake_real_no = $quest_no;
					}
				else {
					$fake_real_no = "p"."$quest_no"; #paragraph questions numbers have prefix of p
					}
					
                       		if (defined $MT{$fake_real_no}) {
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
					
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_p("answer","$MT{$fake_real_no}","correct_answer","$correct_answer","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
						push(@results,"$index_pt2"."=4"); #must be marked
                                  		}
					$TO_BE_MARKED{$quest_no} = -1;
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_p("correct_answer","$correct_answer","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"MC") { # Multiple Choice
				my $correct_answer;
				my $answers;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
				my $pass_answers;
                                my $pass_images_mc;
				
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
					foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
						if($ANSWERS{$quest_no}{q_order}{$key}{answers}{$key1} == 1) {
							$correct_answer = "$key";
							}
							
						$answers = "$answers".","."$key1";
						$ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
						$MC_ANSWERS{$key} = "$key1";
						$pass_answers = "$pass_answers"."|#"."$key"."~@"."$MC_ANSWERS{$key}";
						$pass_images_mc = "$pass_images_mc"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
						}
					}
				
				$answers =~ s/^,//;
                                $pass_answers =~ s/^\|#//;
				$pass_images_mc =~ s/^-//;

				my $fake_real_no;
				
				if($good_time == 1) { # QST is past END TIME so not getting the prefix to the question numbers for multiple choice
					$fake_real_no = $quest_no;
					}
				else {
					$fake_real_no = "m"."$quest_no"; #multiple choice question numbers have prefix of m
					}
					
                       		if (defined $MT{$fake_real_no}) {
                             		if ($MT{$fake_real_no} == $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("correct","1","correct_answer","$correct_answer","answers","$answers","users_answer","$MT{$fake_real_no}","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=1"); #correct answer
							}
						$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
						++$correct;
                             			}
                             			
                             		elsif ($MT{$fake_real_no} != $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("wrong","1","users_answer","$MT{$fake_real_no}","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=0"); #incorrect answer
							++$wrong;
							} 
                                 		}
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
                             		}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_mc("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                             		}
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       		
                        elsif ($QUESTIONS{$quest_no}{type} eq"MA") { # Multiple Answer
				my $correct_answer;
				my $answers;
				my $input_answers;
				my %ANSWER_IMAGES = ();
				my %MA_ANSWERS = ();
				my %CORRECT_ANSWERS = ();
				my %INPUT_ANSWER = ();
				my %ANSWER_IN = ();
				my $pass_answers;
                                my $pass_images_ma;
                                
				# find the answers they entered in
				foreach my $ans(keys %MT) {
                                        if ($ans =~ /^ma$quest_no/) {
                                                my @in_ans = split(/-/,$ans);
                                                $INPUT_ANSWER{$in_ans[0]}{$in_ans[1]} = $in_ans[1];
                                                $ANSWER_IN{$in_ans[1]} = $in_ans[1];
                                                $input_answers = "$input_answers".","."$in_ans[1]";
                                                }
                                        elsif ($ans =~ /^$quest_no/ && $good_time == 1) { # SUBMITTED AFTER ALOTTED TIME
                                        	my @there_ans = split(/,/,$MT{$ans});
                                        	foreach my $p(@there_ans) {
							$INPUT_ANSWER{$ans}{$p} = $p;
							$ANSWER_IN{$p} = $p;
                                                	$input_answers = "$input_answers".","."$p";
                                                	}
                                        	}
                                        }
                                $input_answers =~ s/^,//;
                                $MA{$quest_no} = $input_answers;
                                
                                #
                                my %STUDENT_ANS = %INPUT_ANSWER;
                                
                                # get all the answers for the question
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
                                        foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
                                                if($QUESTIONS{$quest_no}{ans_mode} == 1) {
                                                        $key1 =~ s/&quot;/"/g; #change back
                                                        $key1 =~ s/&apos;/'/g; #change back
                                                        }

                                                $MA_ANSWERS{$key} = $key1;
                                                }
                                                
                                        # correct answers
                                        if($ANSWERS{$quest_no}{q_order}{$key}{c_answer} == 1) {
                                                $CORRECT_ANSWERS{$key} = $key;
                                                $correct_answer = "$correct_answer".","."$key";
                                                }
                                                
                                        $answers = "$answers".","."$key";
                                        $ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
                                        $pass_answers = "$pass_answers"."|#"."$key"."~@"."$MA_ANSWERS{$key}";
                                        $pass_images_ma = "$pass_images_ma"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
                                        }

                                $pass_answers =~ s/^\|#//;
				$pass_images_ma =~ s/^-//;
				$answers =~ s/^,//;
				$correct_answer =~ s/^,//;
				
				my $fake_real_no;
												
				if($good_time == 1) { # QST is past END TIME so not getting the prefix to the question numbers for multiple answers
					$fake_real_no = $quest_no;
					}
				else {
					$fake_real_no = "ma"."$quest_no"; #multiple answer question numbers have prefix of ma
					}
					
                       		if (keys %INPUT_ANSWER) {
                                        my $ma_correct = 0;

                                        # see if all input answers are correct
                                        foreach my $an(keys %CORRECT_ANSWERS) {
                                                delete($ANSWER_IN{$an});
                                                if(!defined $INPUT_ANSWER{$fake_real_no}{$an}) {
                                                        $ma_correct = 1;
                                                        }
                                                }
                                                
                                        if ($ma_correct == 0 && !keys %ANSWER_IN) { # no keys in %ANSWER_IN means they did not select everything
                                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("correct","1","correct_answer","$correct_answer","input_answers","$input_answers","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","users_answer","$MT{$fake_real_no}","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        }
                                                        
                                                push(@results,"$index_pt2"."=1"); #correct answer
                                                $score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
                                                ++$correct;
                                                }
                                                
                                        elsif (keys %ANSWER_IN || $ma_correct == 1) {
                                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("wrong","1","users_answer","$input_answers","input_answers","$input_answers","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        }
                                                push(@results,"$index_pt2"."=0"); #incorrect answer
                                                ++$wrong;
                                                }
                                        else {
                                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        }
                                                        
                                                push(@results,"$index_pt2"."=3"); #no answer
                                                ++$na;
                                                }
					
					}
					
                                else {
                                        if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_ma("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                }
                                    
                                        push(@results,"$index_pt2"."=3"); #no answer
                                        ++$na;
                                        }
					
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       		
                        elsif ($QUESTIONS{$quest_no}{type} eq"MX") { # Matching
                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 0");
                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 1");
                                my @mx_string;
                                my $pass = 'correct';
                                my %MX = ();
                                my %NEW_MT = ();
                                
                                for (my $i = 1; $i <= 10; $i++){ 
                                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        else { # no matching text
                                                delete($RETURN_MX_MATCHING{$i});
                                                }
                                        }

                		if($good_time == 1) { # ARRANGE THE HASH
                			my @ans = split(/\n/,$MT{$quest_no});
                			delete($MT{$quest_no});
                			
                			foreach my $chunk(@ans) { # QQQQQQ 1=France
                				my @chunk1 = split(/=/,$chunk);
                				my $new_mt = "selectmx"."$quest_no"."$chunk1[0]";
                				$MT{$new_mt} = "$index_pt2".","."$quest_no".","."$chunk1[1]".","."$chunk1[0]";
                				}
                			}
                			
                                foreach my $key1(keys %RETURN_MX_TEXT) {
                                        next if(!defined $RETURN_MX_TEXT{$key1}{answer});
                                        
                                        my $select = "select"."mx"."$quest_no"."$key1";
                                        my @select = split(/\,/,$MT{$select});
                                        $MX{$key1} = $select[2];

                                        if($MT{$select} eq"") {
                                                if($pass eq "wrong") {
                                                        }
                                                else {
                                                        $pass = 'na';
                                                        }
                                                }
                                                
                                        if(defined $RETURN_MX_TEXT{$key1}{answer} && $RETURN_MX_MATCHING{$key1}{answer} ne "$select[2]" && $MT{$select} ne "") {
                                                $pass = 'wrong';
                                                }
                                        }
                                        
                                if($pass eq "correct") {
                                        push(@results,"$index_pt2"."=1"); #correct answer
                                        $score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
                                        ++$correct;
                                        }
                                        
                                elsif($pass eq "na") {
                                        push(@results,"$index_pt2"."=3"); #no answer
                                        ++$na;
                                        }
                                        
                                else {
                                        push(@results,"$index_pt2"."=0"); #incorrect answer
                                        ++$wrong;
                                        }
                                        
                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                        &mark_mx("$pass","1","1","1","mx1","$RETURN_MX_TEXT{1}{answer}","mx2","$RETURN_MX_TEXT{2}{answer}","mx3","$RETURN_MX_TEXT{3}{answer}","mx4","$RETURN_MX_TEXT{4}{answer}","mx5","$RETURN_MX_TEXT{5}{answer}","mx6","$RETURN_MX_TEXT{6}{answer}","mx7","$RETURN_MX_TEXT{7}{answer}","mx8","$RETURN_MX_TEXT{8}{answer}","mx9","$RETURN_MX_TEXT{9}{answer}","mx10","$RETURN_MX_TEXT{10}{answer}","mx11","$RETURN_MX_TEXT{11}{answer}","mx12","$RETURN_MX_TEXT{12}{answer}","mx13","$RETURN_MX_TEXT{13}{answer}","mx14","$RETURN_MX_TEXT{14}{answer}","mx15","$RETURN_MX_TEXT{15}{answer}","mxans1","$RETURN_MX_MATCHING{1}{answer}","mxans2","$RETURN_MX_MATCHING{2}{answer}","mxans3","$RETURN_MX_MATCHING{3}{answer}","mxans4","$RETURN_MX_MATCHING{4}{answer}","mxans5","$RETURN_MX_MATCHING{5}{answer}","mxans6","$RETURN_MX_MATCHING{6}{answer}","mxans7","$RETURN_MX_MATCHING{7}{answer}","mxans8","$RETURN_MX_MATCHING{8}{answer}","mxans9","$RETURN_MX_MATCHING{9}{answer}","mxans10","$RETURN_MX_MATCHING{10}{answer}","mxans11","$RETURN_MX_MATCHING{11}{answer}","mxans12","$RETURN_MX_MATCHING{12}{answer}","mxans13","$RETURN_MX_MATCHING{13}{answer}","mxans14","$RETURN_MX_MATCHING{14}{answer}","mxans15","$RETURN_MX_MATCHING{15}{answer}","m1","$MX{1}","m2","$MX{2}","m3","$MX{3}","m4","$MX{4}","m5","$MX{5}","m6","$MX{6}","m7","$MX{7}","m8","$MX{8}","m9","$MX{9}","m10","$MX{10}","m11","$MX{11}","m12","$MX{12}","m13","$MX{13}","m14","$MX{14}","m15","$MX{15}");
                                        }
				
                                if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                                }
                 	++$index_pt2;
			}
                    
                if($show_eq == 2) {
                        &print_eq();
                        }
                        
                # DONE WITH ANSWERS
                
		if ($POSTED_QST{$qst}{submissions} == 1) { # submitted qst is viewable
			my $pass;
			foreach my $piece(@results) {
				$pass = "$pass".","."$piece";
				}
			$pass =~ s/^,//;
                	print "</TABLE></FORM>\n";
                	
			&print_form("form_name","form1","form_target","right_bot","input","qst_mark","done","1","score","$score","qst_total","$QST_INFO{$qst}{marks}","pass","$pass","to_mark","$number_to_mark","na","$na","correct","$correct","wrong","$wrong","value_of_quests_to_be_marked","$valu_of_quests_to_be_marked","index_to_quest_no","$index_to_quest_no","u_id","$u_id","session_id","$session_id");
			print"<img src=\"/schools/blank.gif\" onLoad=\"load_right\(\)\">\n";
			}
    
                elsif ($POSTED_QST{$qst}{result} == 1) { # result/mark is viewable                        
                	print "<center><B><font size=\"+1\"> $LANGUAGE{$set_language}{Mark}: $score/$QST_INFO{$qst}{marks} ";
                	if($number_to_mark > 0) {
                                print"&nbsp\;&nbsp\;&nbsp\;Number to Mark: $number_to_mark ";
                                }
                        print"</font></B></center><P>\n";
			}
			
                print"$close_button\n";
                
		if ($POSTED_QST{$qst}{submissions}!= 1) {
                	print"<P><center><B>Submissions have not been released.</center></B><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{result}!= 1) {
                	print"<center><B>Marks have not been released.</center></b><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{submissions}!= 1 || $POSTED_QST{$qst}{result}!= 1) {
			print"<img src=\"/schools/blank.gif\" onLoad=\"right_clear\(\)\">\n";
			}
			
			
		# RECORD mark, the highest mark if more than one try
		if($POSTED_QST{$qst}{rhm} == 1) { 
			my %RETURN6 = &select_qst_scores("query","SELECT u_id,qst,mark,marked from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			my %TIME = &get_org_time("org_id","$org_id");
			my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"$attempt\"");
			my $entered_answers;
			
			
			if(!keys %RETURN6) { # no previous score
				foreach my $number(keys %QUESTIONS_IN_QST) { # enter their answers
					if(defined $ENTERED_QUESTIONS{$number}) {
                                                my $my_answer;
                                                my $fake_number;
                                                if ($ENTERED_QUESTIONS{$number} =~ /^ma/){ # multiple answers
                                                        $fake_number = "ma"."$number"; 
                                                        $my_answer = $MA{$number};
                                                        }
                                                elsif($ENTERED_QUESTIONS{$number} =~ /^m/){ # multiple choice
                                                        $fake_number = "m"."$number";
                                                        }
                                                elsif($ENTERED_QUESTIONS{$number} =~ /^sa/){ # short answer
                                                        $fake_number = "sa"."$number";
                                                        }
                                                elsif($ENTERED_QUESTIONS{$number} =~ /^p/){ # paragraph
                                                        $fake_number = "p"."$number";
                                                        }
                                                else {
                                                        $fake_number = "$number"; # for TF
                                                        }
                                                        
						if($QUESTIONS_ALREADY_ANSWERED{$number} !~ /$MT{$fake_number}/) { # enter their new answer if different than what they had already submitted and enter new time stamp
                                                        if($my_answer ne"") {
                                                                &update_qsts_quote("quote","$my_answer","qst","$qst","quest_no","$number","attempt","$attempt","marked","$TO_BE_MARKED{$number}","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                $my_answer = "";
                                                                }
                                                        else {
                                                                &update_qsts_quote("quote","$MT{$fake_number}","qst","$qst","quest_no","$number","attempt","$attempt","marked","$TO_BE_MARKED{$number}","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                }
							}
						}
					}
					
                 		if ($number_to_mark > 0) {#must be marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"1\",\"0\",\"$org_id\")");
					}
				else { #marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"0\",\"0\",\"$org_id\")");
					}
				}
				
			else { # must be marked or previous score
                 		if ($number_to_mark > 0) { #must be marked, contains questions other than TF and mult choice
                                        foreach my $number(keys %QUESTIONS_IN_QST) { # enter their answers
                                                if(defined $ENTERED_QUESTIONS{$number}) {
                                                        my $my_answer;
                                                        my $fake_number;
                                                        if ($ENTERED_QUESTIONS{$number} =~ /^ma/){ # multiple answers
                                                                $fake_number = "ma"."$number"; 
                                                                $my_answer = $MA{$number};
                                                                }
                                                        elsif($ENTERED_QUESTIONS{$number} =~ /^m/){ # multiple chice
                                                                $fake_number = "m"."$number";
                                                                }
                                                        elsif($ENTERED_QUESTIONS{$number} =~ /^sa/){ # short answer
                                                                $fake_number = "sa"."$number";
                                                                }
                                                        elsif($ENTERED_QUESTIONS{$number} =~ /^p/){ # paragraph
                                                                $fake_number = "p"."$number";
                                                                }
                                                                
                                                        else {
                                                                $fake_number = "$number"; # TF
                                                                }
                                                                
                                                        if($QUESTIONS_ALREADY_ANSWERED{$number} !~ /$MT{$fake_number}/) { # enter their new answer if different than what they had already submitted and enter new time stamp
                                                                if($my_answer ne"") {
                                                                        &update_qsts_quote("quote","$my_answer","qst","$qst","quest_no","$number","attempt","$attempt","marked","$TO_BE_MARKED{$number}","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                        $my_answer = "";
                                                                        }
                                                                else {
                                                                        &update_qsts_quote("quote","$MT{$fake_number}","qst","$qst","quest_no","$number","attempt","$attempt","marked","$TO_BE_MARKED{$number}","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                        }
                                                                }
                                                        }
                                                }
                                        
					# enter new score
					&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"1\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					
					# delete previous attempt answers
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");

					}
					
				else { # previous score there
					if($RETURN6{$ids}{mark} < $score) { # if new score is greater than old score, enter new score and answers and delete previous attempt answers
						foreach my $slice(keys %QUESTIONS_IN_QST) {
							my $number = "$slice";
							if(defined $ENTERED_QUESTIONS{$number}) {
                                                                my $my_answer;
                                                                my $fake_number;
                                                                if ($ENTERED_QUESTIONS{$number} =~ /^ma/){ # multiple answers
                                                                        $fake_number = "ma"."$number"; 
                                                                        $my_answer = $MA{$number};
                                                                        }
                                                                elsif($ENTERED_QUESTIONS{$number} =~ /^m/){ # multiple choice
                                                                        $fake_number = "m"."$number";
                                                                        }
                                                                elsif($ENTERED_QUESTIONS{$number} =~ /^sa/){ # short answer
                                                                        $fake_number = "sa"."$number";
                                                                        }
                                                                elsif($ENTERED_QUESTIONS{$number} =~ /^p/){ # paragraph
                                                                        $fake_number = "p"."$number";
                                                                        }
                                                                 else {
                                                                        $fake_number = "$number"; # TF
                                                                        }
                                                                        
                                                                if($QUESTIONS_ALREADY_ANSWERED{$number} !~ /$MT{$fake_number}/) { # enter their new answer if different than what they had already submitted and enter new time stamp
                                                                        if($my_answer ne"") {
                                                                                &update_qsts_quote("quote","$my_answer","qst","$qst","quest_no","$number","attempt","$attempt","marked","$TO_BE_MARKED{$number}","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                                $my_answer = "";
                                                                                }
                                                                        else {
                                                                                &update_qsts_quote("quote","$MT{$fake_number}","qst","$qst","quest_no","$number","attempt","$attempt","marked","$TO_BE_MARKED{$number}","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                                }
                                                                        }
                                                                }
                                                        }
                                                        
						&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"0\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
						
						# delete previous attempt
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
						}
						
					else { # delete this attempt, score is lower
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
						}
					}
				}
                        
                        my %TIMEZONE = ();
                        my $org_time1;
                        my $adjusted_time;
                        my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$org_id\"};
                        my $sth = $dbh->prepare($queryt);
                        $sth->execute();
                        while(my @row = $sth->fetchrow_array()) {
                                $TIMEZONE{$row[0]}= "$row[1]";
                                $adjusted_time = "$row[1]";
                                }

                        if($adjusted_time != 0) {
                                $org_time1 = "$adjusted_time" * 3600;
                                }
                        else {
                                $org_time1 = 0; 
                                }
                

                        #time with time zone included
                        my $time1 = time + "$org_time1";

                        my %TIME1 = &get_time_to_display("time","$time1");

			&update_general("query","UPDATE qst_attempts SET finish_time=\"$TIME1{time}{hour_minute}\", finish_day=\"$TIME1{time}{day}\", finish_month=\"$TIME1{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
			
		else { # DO NOT record mark
			&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			}
      		}
      		
      		
      		
    #### SURVEYS below here
	elsif ((keys %POSTED_QST && $QST_INFO{$qst}{type} == 2 && $POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #surveys
		my %QUESTIONS_IN_QST = &select4("query","select quest_no,q_order from qst_questions WHERE qst_no=\"$qst\"");
		my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"1\"");
		my %TIME = &get_time();
		
		&print_javascript_begin();
                
                print"function close_qst() {
                document.form_reload.submit\(\)
                parent.self.close()
                \}\n";
                
                &print_javascript_end();
                
                &print_form("form_name","form_reload","form_target","orig_Window","input","print_modal_students_screen","class_name","$class_name","class_id","$class_id","u_id","$ids","session_id","$session_id");

		if($attempt == 0) { # deleted by instructor while in progress
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
                else {
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}

		my %ENTERED_QUESTIONS = ();
		foreach my $question_answered(keys %MT) {
			my $orig_question_num = "$question_answered";
			$question_answered =~ s/^sa//;
			$question_answered =~ s/^p//;
			$ENTERED_QUESTIONS{$question_answered} = "$orig_question_num";
			}
		foreach my $number(keys %QUESTIONS_IN_QST) { # enter their answers, if different
			if(defined $ENTERED_QUESTIONS{$number}) {
				if($QUESTIONS_ALREADY_ANSWERED{$number} !~ /$MT{$ENTERED_QUESTIONS{$number}}/) { # enter their new answer if different than what they had already submitted and enter new time stamp
					&update_qsts_quote("quote","$MT{$ENTERED_QUESTIONS{number}}","qst","$qst","quest_no","$number","attempt","$attempt","marked","0","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
					}
				}
			}

		if(keys %QUESTIONS_IN_QST) {
			#see if already submitted by instructor
			my $submitted = &select10("query","SELECT qst from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			if($submitted == $qst) {
				&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
				}
				
			&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"0\",\"0\",\"0\",\"$org_id\")");
       	    		print "<center><BR><P><B>$LANGUAGE{$set_language}{Thankyoufortakingthetimetocompletethesurvey}</b></center><P> \n";
       	    		print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"close_qst\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Close}&nbsp\;</font></B></TD></TABLE></center><P>\n";
			}
		else {
            		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
			}
		}
	else {
		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
		}
	}

##################
#
# MODAL_MARK_TYPE
#
################
sub modal_mark_type {
	my %MT = @_;
	my $class_id = $MT{class_id};
	$class_id =~ s/\D//g;
	my $qst = $MT{qst};
	my $type = $MT{type};
	$type =~ s/\D//g;
	my $u_id = $MT{u_id};
	$u_id =~ s/\D//g;
	my $session_id = $MT{session_id};
	$session_id =~ s/\D//g;

	my $qst_name = $MT{qst_name};
	my $number_to_mark = 0;
	my $valu_of_quests_to_be_marked = 0;
	my %QUESTIONS = ();
	my %ANSWERS = ();
     	my $score = 0;
     	my $index_pt2 = 1;
	my $na = 0;
	my $correct = 0;
	my $wrong = 0;
	my %TO_BE_MARKED = ();
	my $index_to_quest_no;
        my %MA = (); # for MA questions
        my %MX = (); # for Matching questions
        my $show_eq = 1;
        
	delete($MT{class_id});
	delete($MT{qst});
	delete($MT{type});
	delete($MT{input});
	delete($MT{qst_name});
	delete($MT{u_id});
	delete($MT{session_id});

	&print_style_sheet();

	&print_javascript_begin();
	print"function right_clear\(\)\{
	self.parent.m1right_top.location = \"/schools/empty.htm\"
	self.parent.m1right_bot.location = \"/schools/empty.htm\"
	\}\n";

	print"function c_window\(\)\{
	top.close\(\)\}\n";
	
	print"function close_modal\(\) \{
        self.top.location=\"/qst/one#close\"
        self.top.document.form_reload.submit()
        \}\n";
			  	      	
	&print_javascript_end();

	my %ACCESS = ();
	
	#see if they have access to posted qst
	my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
	
	if($POSTED_QST{$qst}{forall} != 1) { # only certain students have access
		%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
		}
		
	my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
	
	my $attempt = &select10("query","SELECT attempts from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

	#find which questions are associated with their qst
	my %THEIR_QUESTIONS = &select4("query","SELECT quest_order,quest_no from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");

	#check there is still time
        my %END_TIME = &select4("query","SELECT u_id,end from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
        my $now_time = time;
        my $good_time = 0;

	#quizzes/tests below here
	if (keys %POSTED_QST && $QST_INFO{$qst}{type} == 1 && ($POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #quizzes/tests
	
                #alotted time has ended
                if($now_time > $END_TIME{$ids}) {
                        $good_time = 1;

                        #delete their submitted answers
                        %MT = ();

                        #get their previously submitted answers to the qst questions
                        %MT = &select4("query","SELECT quest_no,answer from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
                        }
		
		my @results;
		my %ENTERED_QUESTIONS = ();
		
		my $questions_in_qst_query = "select quest_no,value,q_select from qst_questions WHERE qst_no=\"$qst\" AND (";
		
		foreach my $quest_no(values %THEIR_QUESTIONS) {
			$questions_in_qst_query = "$questions_in_qst_query"." "."quest_no=\"$quest_no\" OR";
			}
		$questions_in_qst_query =~ s/ OR$/)/;
		my %QUESTIONS_IN_QST = &select_users_qst_questions("query","$questions_in_qst_query");

		my $query = "SELECT * from questions WHERE ";
		my $questions = "$QST_INFO{$qst}{questions}";
		my $marks = "$QST_INFO{$qst}{marks}";
		my $name = "$QST_INFO{$qst}{name}";
		
		if(keys %QUESTIONS_IN_QST) {
     			foreach my $key(keys %QUESTIONS_IN_QST) {
				$query = "$query"." "."number=\"$key\" OR";
				}
			$query =~ s/ OR$//;
			%QUESTIONS = &select_questions("query","$query");
			
			my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE ";
			foreach my $key(keys %QUESTIONS) {
				$query1 = "$query1"." "."number=\"$key\" OR";
				}
			$query1 =~ s/ OR$//;
			%ANSWERS = &select_question_answers("query","$query1");
			}
			
           	if ($POSTED_QST{$qst}{submissions} == 1) { # submitted qst is viewable
           		&print_javascript_begin();
           		
			print"var frame_url = self.parent.m1qst_left.location.href
			function load_right\(\)\{
			self.parent.m1right_top.location = \"/mod_blank.htm\"
			document.form1.submit\(\)
			\}
            		function link_anchor\(l_nk\) \{
			var this_link = l_nk
			self.parent.m1qst_left.location = frame_url + \"#\" + this_link
		   	\}\n";
		   	
		   	&print_javascript_end();
			}

		foreach my $quest(sort {$a<=>$b} keys %THEIR_QUESTIONS) {
			my $quest_no = "$THEIR_QUESTIONS{$quest}";
			$index_to_quest_no = "$index_to_quest_no"."$index_pt2=$quest_no"."-"."$QUESTIONS{$quest_no}{type}"."-"."$QUESTIONS_IN_QST{$quest_no}{value}".",";

			
                    #### PRINT OUT QUESTION
           		if ($POSTED_QST{$qst}{submissions} == 1) {
                  		print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index_pt2\">$index_pt2</a>\.</b></TD>
	        		<TD NOWRAP valign=\"top\"><font size=\"-1\">\($QUESTIONS_IN_QST{$quest_no}{value}\)</font></TD><TD valign=\"top\" STYLE=\"border-radius:6px\;\">";
             			my $question_rows = 1;
 				my $question_length = length($QUESTIONS{$quest_no}{question});
 		
 				# fix display to show new lines in text of question
                                my $content = $QUESTIONS{$quest_no}{question};
                                $content =~ s/\r[\n]*/\n/gm;
                                my @lines = split(/\n/,$content);
                                my $rows = @lines;
                                $question_rows = $question_rows + $rows;

				my $empty_question = $QUESTIONS{$quest_no}{question};
				$empty_question =~ s/\r\n//g;
				$empty_question =~ s/\s//g;
				
				if($QUESTIONS{$quest_no}{ans_mode} == 2) {
					$show_eq = 2;
					}
	
				if($QUESTIONS{$quest_no}{mode} == 1) {
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                elsif($QUESTIONS{$quest_no}{mode} == 2) {
                                        $show_eq = 2;
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                else {
                                        if($empty_question eq "") {
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
						
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"&nbsp\;<img src=\"$image\"></TD></TR></TABLE>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }

                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                        }
                                                }
                                        else {
                                                print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"60\">$QUESTIONS{$quest_no}{question}</textarea></b></TD></TR></TABLE>\n";
          				
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
						
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                        }
                                                }
					} 
				}
			

                    ##### NOW PRINT ANSWERS
			if ($QUESTIONS{$quest_no}{type} eq"TF") { # True False
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{T} == 1) {
					$correct_answer = "T";
					}
				else {
					$correct_answer = "F";
					}

                       		if (defined $MT{$quest_no} && $correct_answer eq "$MT{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_tf("correct","$MT{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$MT{$quest_no}";
                             		}
                             		
                        	elsif (defined $MT{$quest_no} && $correct_answer ne "$MT{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_tf("wrong","$MT{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$MT{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_tf("na","$correct_answer","answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}

                        elsif ($QUESTIONS{$quest_no}{type} eq"YN") { # Yes No
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{Y} == 1) {
					$correct_answer = "Y";
					}
				else {
					$correct_answer = "N";
					}

                       		if (defined $MT{$quest_no} && $correct_answer eq "$MT{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_yn("correct","$MT{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$MT{$quest_no}";
                             		}
                             		
                        	elsif (defined $MT{$quest_no} && $correct_answer ne "$MT{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_yn("wrong","$MT{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$MT{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_yn("na","$correct_answer","answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}
				
			elsif ($QUESTIONS{$quest_no}{type} eq"SA") { # Short Answer
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}

				my $fake_real_no;
								
				if($good_time == 1) { # QST is past END TIME so not getting the prefix to the question numbers for short answer
					$fake_real_no = $quest_no;
					}
				else {
					$fake_real_no = "sa"."$quest_no"; #short answer question numbers have prefix of sa
					}
				
                       		if (defined $MT{$fake_real_no}) {
					$quest_no =~ s/\D//g;
					$TO_BE_MARKED{$quest_no} = -1;
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                        	     	&mark_sa("answer","$MT{$fake_real_no}","correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=4"); #must be marked
                                	  	}
                                        $ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_sa("correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"P") { # Paragraph
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}

				my $fake_real_no;
												
				if($good_time == 1) { # QST is past END TIME so not getting the prefix to the question numbers for paragraph
					$fake_real_no = $quest_no;
					}
				else {
					$fake_real_no = "p"."$quest_no"; #paragraph questions numbers have prefix of p
					}

                       		if (defined $MT{$fake_real_no}) {
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_p("answer","$MT{$fake_real_no}","correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=4"); #must be marked
                                  		}
					$TO_BE_MARKED{$quest_no} = -1;
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_p("correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"MC") { # Multiple Choice
				my $correct_answer;
				my $answers;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
				my $pass_answers;
                                my $pass_images_mc;
				
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
					foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
						if($ANSWERS{$quest_no}{q_order}{$key}{answers}{$key1} == 1) {
							$correct_answer = "$key";
	
							}
						$answers = "$answers".","."$key1";
						$ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
						$MC_ANSWERS{$key} = "$key1";
						$pass_answers = "$pass_answers"."|#"."$key"."~@"."$MC_ANSWERS{$key}";
						$pass_images_mc = "$pass_images_mc"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
						}
					}
				
				$answers =~ s/^,//;
                                $pass_answers =~ s/^\|#//;
				$pass_images_mc =~ s/^-//;

				my $fake_real_no;
				
				if($good_time == 1) { # QST is past END TIME so not getting the prefix to the question numbers for multiple choice
					$fake_real_no = $quest_no;
					}
				else {
					$fake_real_no = "m"."$quest_no"; #multiple choice question numbers have prefix of m
					}

                       		if (defined $MT{$fake_real_no}) {
                             		if ($MT{$fake_real_no} == $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("correct","1","correct_answer","$correct_answer","answers","$answers","users_answer","$MT{$fake_real_no}","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=1"); #correct answer
							}
						$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
						++$correct;
                             			}
                             			
                             		elsif ($MT{$fake_real_no} != $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("wrong","1","users_answer","$MT{$fake_real_no}","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=0"); #incorrect answer
							++$wrong;
							} 
                                 		}
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
                             		}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_mc("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                             		}
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       		
                        elsif ($QUESTIONS{$quest_no}{type} eq"MA") { # Multiple Answer
				my $correct_answer;
				my $answers;
				my $input_answers;
				my %ANSWER_IMAGES = ();
				my %MA_ANSWERS = ();
				my %CORRECT_ANSWERS = ();
				my %INPUT_ANSWER = ();
				my %ANSWER_IN = ();
				my $pass_answers;
                                my $pass_images_ma;
                                
				# find the answers they entered in
				foreach my $ans(keys %MT) {
                                        if ($ans =~ /^ma$quest_no/) {
                                                my @in_ans = split(/-/,$ans);
                                                $INPUT_ANSWER{$in_ans[0]}{$in_ans[1]} = $in_ans[1];
                                                $ANSWER_IN{$in_ans[1]} = $in_ans[1];
                                                $input_answers = "$input_answers".","."$in_ans[1]";
                                                }
                                        elsif ($ans =~ /^$quest_no/ && $good_time == 1) { # SUBMITTED AFTER ALOTTED TIME
                                        	my @there_ans = split(/,/,$MT{$ans});
                                        	foreach my $p(@there_ans) {
							$INPUT_ANSWER{$ans}{$p} = $p;
							$ANSWER_IN{$p} = $p;
                                                	$input_answers = "$input_answers".","."$p";
                                                	}
                                        	}
                                        }
                                $input_answers =~ s/^,//;
                                $MA{$quest_no} = $input_answers;
                                
                                #
                                my %STUDENT_ANS = %INPUT_ANSWER;
                                
                                # get all the answers for the question
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
                                        foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
                                                if($QUESTIONS{$quest_no}{ans_mode} == 1) {
                                                        $key1 =~ s/&quot;/"/g; #change back
                                                        $key1 =~ s/&apos;/'/g; #change back
                                                        }

                                                $MA_ANSWERS{$key} = $key1;
                                                }
                                                
                                        # correct answers
                                        if($ANSWERS{$quest_no}{q_order}{$key}{c_answer} == 1) {
                                                $CORRECT_ANSWERS{$key} = $key;
                                                $correct_answer = "$correct_answer".","."$key";
                                                }
                                                
                                        $answers = "$answers".","."$key";
                                        $ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
                                        $pass_answers = "$pass_answers"."|#"."$key"."~@"."$MA_ANSWERS{$key}";
                                        $pass_images_ma = "$pass_images_ma"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
                                        }

                                $pass_answers =~ s/^\|#//;
				$pass_images_ma =~ s/^-//;
				$answers =~ s/^,//;
				$correct_answer =~ s/^,//;

				my $fake_real_no;
												
				if($good_time == 1) { # QST is past END TIME so not getting the prefix to the question numbers for multiple answers
					$fake_real_no = $quest_no;
					}
				else {
					$fake_real_no = "ma"."$quest_no"; #multiple answer question numbers have prefix of ma
					}

                       		if (keys %INPUT_ANSWER) {
                                        my $ma_correct = 0;

                                        # see if all input answers are correct
                                        foreach my $an(keys %CORRECT_ANSWERS) {
                                                delete($ANSWER_IN{$an});
                                                if(!defined $INPUT_ANSWER{$fake_real_no}{$an}) {
                                                        $ma_correct = 1;
                                                        }
                                                }
                                                
                                        if ($ma_correct == 0 && !keys %ANSWER_IN) { # no keys in %ANSWER_IN means they did not select everything
                                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("correct","1","correct_answer","$correct_answer","input_answers","$input_answers","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","users_answer","$MT{$fake_real_no}","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        }
                                                        
                                                push(@results,"$index_pt2"."=1"); #correct answer
                                                $score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
                                                ++$correct;
                                                }
                                                
                                        elsif (keys %ANSWER_IN || $ma_correct == 1) {
                                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("wrong","1","users_answer","$input_answers","input_answers","$input_answers","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        }
                                                push(@results,"$index_pt2"."=0"); #incorrect answer
                                                ++$wrong;
                                                }
                                        else {
                                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        }
                                                        
                                                push(@results,"$index_pt2"."=3"); #no answer
                                                ++$na;
                                                }
					}
					
                                else {
                                        if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_ma("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                }
                                    
                                        push(@results,"$index_pt2"."=3"); #no answer
                                        ++$na;
                                        }
					
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       		
                        elsif ($QUESTIONS{$quest_no}{type} eq"MX") { # Matching
                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 0");
                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 1");
                                my @mx_string;
                                my $pass = 'correct';
                                my %MX = ();
                                
                                for (my $i = 1; $i <= 10; $i++){ 
                                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        else { # no matching text
                                                delete($RETURN_MX_MATCHING{$i});
                                                }
                                        }

                		if($good_time == 1) { # ARRANGE THE HASH
                			my @ans = split(/\n/,$MT{$quest_no});
                			delete($MT{$quest_no});
                			
                			foreach my $chunk(@ans) { # QQQQQQ 1=France
                				my @chunk1 = split(/=/,$chunk);
                				my $new_mt = "selectmx"."$quest_no"."$chunk1[0]";
                				$MT{$new_mt} = "$index_pt2".","."$quest_no".","."$chunk1[1]".","."$chunk1[0]";
                				}
                			}

                                foreach my $key1(keys %RETURN_MX_TEXT) {
                                        next if(!defined $RETURN_MX_TEXT{$key1}{answer});
                                        my $select = "select"."mx"."$quest_no"."$key1";
                                        my @select = split(/\,/,$MT{$select});
                                        $MX{$key1} = $select[2];

                                        if($MT{$select} eq"") {
                                                if($pass eq "wrong") {
                                                        }
                                                else {
                                                        $pass = 'na';
                                                        }
                                                }
                                                
                                        if(defined $RETURN_MX_TEXT{$key1}{answer} && $RETURN_MX_MATCHING{$key1}{answer} ne "$select[2]" && $MT{$select} ne "") {
                                                $pass = 'wrong';
                                                }
                                        }
                                        
                                if($pass eq "correct") {
                                        push(@results,"$index_pt2"."=1"); #correct answer
                                        $score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
                                        ++$correct;
                                        }
                                        
                                elsif($pass eq "na") {
                                        push(@results,"$index_pt2"."=3"); #no answer
                                        ++$na;
                                        }
                                        
                                else {
                                        push(@results,"$index_pt2"."=0"); #incorrect answer
                                        ++$wrong;
                                        }
                                        
                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                        &mark_mx("$pass","1","1","1","mx1","$RETURN_MX_TEXT{1}{answer}","mx2","$RETURN_MX_TEXT{2}{answer}","mx3","$RETURN_MX_TEXT{3}{answer}","mx4","$RETURN_MX_TEXT{4}{answer}","mx5","$RETURN_MX_TEXT{5}{answer}","mx6","$RETURN_MX_TEXT{6}{answer}","mx7","$RETURN_MX_TEXT{7}{answer}","mx8","$RETURN_MX_TEXT{8}{answer}","mx9","$RETURN_MX_TEXT{9}{answer}","mx10","$RETURN_MX_TEXT{10}{answer}","mx11","$RETURN_MX_TEXT{11}{answer}","mx12","$RETURN_MX_TEXT{12}{answer}","mx13","$RETURN_MX_TEXT{13}{answer}","mx14","$RETURN_MX_TEXT{14}{answer}","mx15","$RETURN_MX_TEXT{15}{answer}","mxans1","$RETURN_MX_MATCHING{1}{answer}","mxans2","$RETURN_MX_MATCHING{2}{answer}","mxans3","$RETURN_MX_MATCHING{3}{answer}","mxans4","$RETURN_MX_MATCHING{4}{answer}","mxans5","$RETURN_MX_MATCHING{5}{answer}","mxans6","$RETURN_MX_MATCHING{6}{answer}","mxans7","$RETURN_MX_MATCHING{7}{answer}","mxans8","$RETURN_MX_MATCHING{8}{answer}","mxans9","$RETURN_MX_MATCHING{9}{answer}","mxans10","$RETURN_MX_MATCHING{10}{answer}","mxans11","$RETURN_MX_MATCHING{11}{answer}","mxans12","$RETURN_MX_MATCHING{12}{answer}","mxans13","$RETURN_MX_MATCHING{13}{answer}","mxans14","$RETURN_MX_MATCHING{14}{answer}","mxans15","$RETURN_MX_MATCHING{15}{answer}","m1","$MX{1}","m2","$MX{2}","m3","$MX{3}","m4","$MX{4}","m5","$MX{5}","m6","$MX{6}","m7","$MX{7}","m8","$MX{8}","m9","$MX{9}","m10","$MX{10}","m11","$MX{11}","m12","$MX{12}","m13","$MX{13}","m14","$MX{14}","m15","$MX{15}");
                                        }
				
                                if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                                }
                 	++$index_pt2;
			}
                    
                if($show_eq == 2) {
                        &print_eq();
                        }
                        
                # done with answers
                
		if ($POSTED_QST{$qst}{submissions} == 1) { # submitted qst is viewable
			my $pass;
			foreach my $piece(@results) {
				$pass = "$pass".","."$piece";
				}
			$pass =~ s/^,//;
                	print "</TABLE></FORM>\n";
                	
			&print_form("form_name","form1","form_target","m1right_bot","input","modal_qst_mark","done","1","score","$score","qst_total","$QST_INFO{$qst}{marks}","pass","$pass","to_mark","$number_to_mark","na","$na","correct","$correct","wrong","$wrong","value_of_quests_to_be_marked","$valu_of_quests_to_be_marked","index_to_quest_no","$index_to_quest_no","u_id","$u_id","session_id","$session_id");
			
			print"<img src=\"/schools/blank.gif\" onLoad=\"load_right\(\)\">\n";
			}
    
                elsif ($POSTED_QST{$qst}{result} == 1) { # result/mark is viewable
                	print "<center><B><font size=\"+1\"> $LANGUAGE{$set_language}{Mark}: $score/$QST_INFO{$qst}{marks} ";
                	
                	if($number_to_mark > 0) {
                                print"&nbsp\;&nbsp\;&nbsp\;Number to Mark: $number_to_mark ";
                                }
                                
                        print"</font></B></center><P>\n";
			}
			
                print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"close_modal\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Close}&nbsp\;</font></B></TD></TABLE></center><P>\n";
                        
		if ($POSTED_QST{$qst}{submissions}!= 1) {
                	print"<center><B>Submissions have not been released.</center></B><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{result}!= 1) {
                	print"<center><B>Marks have not been released.</center></b><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{submissions}!= 1 || $POSTED_QST{$qst}{result}!= 1) {
			print"<img src=\"/schools/blank.gif\" onLoad=\"right_clear\(\)\">\n";
			}
			
			
		# record mark, the highest mark if more than one try
		if($POSTED_QST{$qst}{rhm} == 1) { 
			my %RETURN6 = &select_qst_scores("query","SELECT u_id,qst,mark,marked from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			my %TIME = &get_org_time("org_id","$org_id");
			my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"$attempt\"");
			my $entered_answers;
			
			
			if(!keys %RETURN6) { # no previous score
				foreach my $number(keys %QUESTIONS_IN_QST) { # enter their answers
					if(defined $ENTERED_QUESTIONS{$number}) {
                                                my $my_answer;
                                                my $fake_number;
                                                if ($ENTERED_QUESTIONS{$number} =~ /^ma/){ # multiple answers
                                                        $fake_number = "ma"."$number"; 
                                                        $my_answer = $MA{$number};
                                                        }
                                                elsif($ENTERED_QUESTIONS{$number} =~ /^m/){ # multiple choice
                                                        $fake_number = "m"."$number";
                                                    #    $my_answer = $MA{$number};
                                                        }
                                                elsif($ENTERED_QUESTIONS{$number} =~ /^sa/){ # short answer
                                                        $fake_number = "sa"."$number";
                                                    #    $my_answer = $MA{$number};
                                                        }
                                                elsif($ENTERED_QUESTIONS{$number} =~ /^p/){ # paragraph
                                                        $fake_number = "p"."$number";
                                                    #    $my_answer = $MA{$number};
                                                        }
                                                else {
                                                        $fake_number = "$number"; # for TF
                                                        }
                                                        
						if($QUESTIONS_ALREADY_ANSWERED{$number} !~ /$MT{$fake_number}/) { # enter their new answer if different than what they had already submitted and enter new time stamp
                                                        if($my_answer ne"") {
                                                                &update_qsts_quote("quote","$my_answer","qst","$qst","quest_no","$number","attempt","$attempt","marked","$TO_BE_MARKED{$number}","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                $my_answer = "";
                                                                }
                                                        else {
                                                                &update_qsts_quote("quote","$MT{$fake_number}","qst","$qst","quest_no","$number","attempt","$attempt","marked","$TO_BE_MARKED{$number}","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                }
							}
						}
					}
					
                 		if ($number_to_mark > 0) {#must be marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"1\",\"0\",\"$org_id\")");
					}
				else { #marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"0\",\"0\",\"$org_id\")");
					}
				}
				
			else { # must be marked or previous score
                 		if ($number_to_mark > 0) { #must be marked, contains questions other than TF and mult choice
                                        foreach my $number(keys %QUESTIONS_IN_QST) { # enter their answers
                                                if(defined $ENTERED_QUESTIONS{$number}) {
                                                        my $my_answer;
                                                        my $fake_number;
                                                        if ($ENTERED_QUESTIONS{$number} =~ /^ma/){ # multiple answers
                                                                $fake_number = "ma"."$number"; 
                                                                $my_answer = $MA{$number};
                                                                }
                                                        elsif($ENTERED_QUESTIONS{$number} =~ /^m/){ # multiple chice
                                                                $fake_number = "m"."$number";
                                                                }
                                                        elsif($ENTERED_QUESTIONS{$number} =~ /^sa/){ # short answer
                                                                $fake_number = "sa"."$number";
                                                                }
                                                        elsif($ENTERED_QUESTIONS{$number} =~ /^p/){ # paragraph
                                                                $fake_number = "p"."$number";
                                                                }
                                                                
                                                        else {
                                                                $fake_number = "$number"; # TF
                                                                }
                                                                
                                                        if($QUESTIONS_ALREADY_ANSWERED{$number} !~ /$MT{$fake_number}/) { # enter their new answer if different than what they had already submitted and enter new time stamp
                                                                if($my_answer ne"") {
                                                                        &update_qsts_quote("quote","$my_answer","qst","$qst","quest_no","$number","attempt","$attempt","marked","$TO_BE_MARKED{$number}","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                        $my_answer = "";
                                                                        }
                                                                else {
                                                                        &update_qsts_quote("quote","$MT{$fake_number}","qst","$qst","quest_no","$number","attempt","$attempt","marked","$TO_BE_MARKED{$number}","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                        }
                                                                }
                                                        }
                                                }
                                        
					# enter new score
					&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"1\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					
					# delete previous attempt answers
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
					}
					
				else { # previous score there
					if($RETURN6{$ids}{mark} < $score) { # if new score is greater than old score, enter new score and answers and delete previous attempt answers
						foreach my $slice(keys %QUESTIONS_IN_QST) {
							my $number = "$slice";
							if(defined $ENTERED_QUESTIONS{$number}) {
                                                                my $my_answer;
                                                                my $fake_number;
                                                                if ($ENTERED_QUESTIONS{$number} =~ /^ma/){ # multiple answers
                                                                        $fake_number = "ma"."$number"; 
                                                                        $my_answer = $MA{$number};
                                                                        }
                                                                elsif($ENTERED_QUESTIONS{$number} =~ /^m/){ # multiple choice
                                                                        $fake_number = "m"."$number";
                                                                        }
                                                                elsif($ENTERED_QUESTIONS{$number} =~ /^sa/){ # short answer
                                                                        $fake_number = "sa"."$number";
                                                                        }
                                                                elsif($ENTERED_QUESTIONS{$number} =~ /^p/){ # paragraph
                                                                        $fake_number = "p"."$number";
                                                                        }
                                                                 else {
                                                                        $fake_number = "$number"; # TF
                                                                        }
                                                                        
                                                                if($QUESTIONS_ALREADY_ANSWERED{$number} !~ /$MT{$fake_number}/) { # enter their new answer if different than what they had already submitted and enter new time stamp
                                                                        if($my_answer ne"") {
                                                                                &update_qsts_quote("quote","$my_answer","qst","$qst","quest_no","$number","attempt","$attempt","marked","$TO_BE_MARKED{$number}","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                                $my_answer = "";
                                                                                }
                                                                        else {
                                                                                &update_qsts_quote("quote","$MT{$fake_number}","qst","$qst","quest_no","$number","attempt","$attempt","marked","$TO_BE_MARKED{$number}","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                                }
                                                                        }
                                                                }
                                                        }
                                                        
						&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"0\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
						
						# delete previous attempt
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
						}
						
					else { # delete this attempt, score is lower
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
						}
					}
				}
                        
                        my %TIMEZONE = ();
                        my $org_time1;
                        my $adjusted_time;
                        my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$org_id\"};
                        my $sth = $dbh->prepare($queryt);
                        $sth->execute();
                        while(my @row = $sth->fetchrow_array()) {
                                $TIMEZONE{$row[0]}= "$row[1]";
                                $adjusted_time = "$row[1]";
                                }

                        if($adjusted_time != 0) {
                                $org_time1 = "$adjusted_time" * 3600;
                                }
                        else {
                                $org_time1 = 0; 
                                }
                

                        #time with time zone included
                        my $time1 = time + "$org_time1";

                        my %TIME1 = &get_time_to_display("time","$time1");

			&update_general("query","UPDATE qst_attempts SET finish_time=\"$TIME1{time}{hour_minute}\", finish_day=\"$TIME1{time}{day}\", finish_month=\"$TIME1{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
			
		else { #do not record mark
			&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			}
      		}
      		
      		
      		
      	# surveys below here
	elsif ((keys %POSTED_QST && $QST_INFO{$qst}{type} == 2 && $POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #surveys
		my %QUESTIONS_IN_QST = &select4("query","select quest_no,q_order from qst_questions WHERE qst_no=\"$qst\"");
		my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"1\"");
		my %TIME = &get_time();

		if($attempt == 0) { # deleted by instructor while in progress
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
                else {
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}

		my %ENTERED_QUESTIONS = ();
		foreach my $question_answered(keys %MT) {
			my $orig_question_num = "$question_answered";
			$question_answered =~ s/^sa//;
			$question_answered =~ s/^p//;
			$ENTERED_QUESTIONS{$question_answered} = "$orig_question_num";
			}
			
		foreach my $number(keys %QUESTIONS_IN_QST) { # enter their answers, if different
			if(defined $ENTERED_QUESTIONS{$number}) {
				if($QUESTIONS_ALREADY_ANSWERED{$number} !~ /$MT{$ENTERED_QUESTIONS{$number}}/) { # enter their new answer if different than what they had already submitted and enter new time stamp
					&update_qsts_quote("quote","$MT{$ENTERED_QUESTIONS{number}}","qst","$qst","quest_no","$number","attempt","$attempt","marked","0","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
					}
				}
			}

		if(keys %QUESTIONS_IN_QST) {
			#see if already submitted by instructor
			my $submitted = &select10("query","SELECT qst from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			
			if($submitted == $qst) {
				&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
				}
				
			&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"0\",\"0\",\"0\",\"$org_id\")");
			
       	    		print "<center><BR><P><B>$LANGUAGE{$set_language}{Thankyoufortakingthetimetocompletethesurvey}</b></center><P> \n";
			print"<center><input type=\"BUTTON\" style=\"cursor: pointer\" name=\"del\" value=\"$LANGUAGE{$set_language}{Close}\" onClick=\"close_modal\(\)\"></center>\n";
			}
		else {
            		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
			}
		}
	else {
		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
		}
	}
	

##################
#
# MARK_TYPE2
#
################
sub mark_type2 {
	my %MT = @_;
	my $class_id = $MT{class_id};
	my $class_name = $MT{class_name};
	$class_id =~ s/\D//g;
	my $qst = $MT{qst};
	my $type = $MT{type};
	$type =~ s/\D//g;
	my $u_id = $MT{u_id};
	$u_id =~ s/\D//g;
	my $session_id = $MT{session_id};
	$session_id =~ s/\D//g;
	my $qst_name = $MT{qst_name};
	my $number_to_mark = 0;
	my $valu_of_quests_to_be_marked = 0;
	my %QUESTIONS = ();
	my %ANSWERS = ();
     	my $score = 0;
     	my $index_pt2 = 1;
	my $na = 0;
	my $correct = 0;
	my $wrong = 0;
	my %TO_BE_MARKED = ();
	my $index_to_quest_no;
        my %MA = (); # for MA questions
        my $show_eq = 1;

        &print_style_sheet();

	&print_javascript_begin();
	print"function right_clear\(\)\{
	self.top.right_top.location = \"/schools/empty.htm\"
	self.top.right_bot.location = \"/schools/empty.htm\"
	\}\n";

	print"function close_qst() {
        document.form_reload.submit\(\)
        self.parent.close()
        \}\n";
	
	&print_javascript_end();

	my %ACCESS = ();
	
	#see if they have access to posted qst
	my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
	
	if($POSTED_QST{$qst}{forall} != 1) { # only certain students have access
		%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
		}
		
	my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
	my $attempt = &select10("query","SELECT attempts from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

	#find which questions are associated with their qst
	my %THEIR_QUESTIONS = &select4("query","SELECT quest_order,quest_no from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");

	#get their answers to the qst questions
	my %THEIR_ANSWERS = &select4("query","SELECT quest_no,answer from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
	
	#quizzes/tests below here
	if (keys %POSTED_QST && $QST_INFO{$qst}{type} == 1 && ($POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #quizzes/tests
		print"<center><font size=\"+2\"><B>  $qst_name </b></font></center><P> \n";
		my @results;
		my $questions_in_student_qst = 0;
		my %QUESTIONS_IN_QST = ();
		my %ENTERED_QUESTIONS = ();
		my $questions_in_qst_query = "select quest_no,value,q_select from qst_questions WHERE qst_no=\"$qst\" AND (";
		
		foreach my $quest_no(values %THEIR_QUESTIONS) {
                        $questions_in_student_qst = 1;
			$questions_in_qst_query = "$questions_in_qst_query"." "."quest_no=\"$quest_no\" OR";
			}
		$questions_in_qst_query =~ s/ OR$/)/;

		if($questions_in_student_qst == 1) {
                        %QUESTIONS_IN_QST = &select_users_qst_questions("query","$questions_in_qst_query");
                        }
                        
		my $query = "SELECT * from questions WHERE ";
		my $questions = "$QST_INFO{$qst}{questions}";
		my $marks = "$QST_INFO{$qst}{marks}";
		my $name = "$QST_INFO{$qst}{name}";
		
		if(keys %QUESTIONS_IN_QST) {
     			foreach my $key(keys %QUESTIONS_IN_QST) {
				$query = "$query"." "."number=\"$key\" OR";
				}
			$query =~ s/ OR$//;
			%QUESTIONS = &select_questions("query","$query");
			
			my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE ";
			foreach my $key(keys %QUESTIONS) {
				$query1 = "$query1"." "."number=\"$key\" OR";
				}
			$query1 =~ s/ OR$//;
			
			#correct answers
			%ANSWERS = &select_question_answers("query","$query1");
			}
			
           	if ($POSTED_QST{$qst}{submissions} == 1) { # submitted qst is viewable
           		&print_javascript_begin();
           		
			print"var frame_url = self.top.qst_left.location.href
			function load_right\(\)\{
			self.top.right_top.location = \"/schools/empty.htm\"
			document.form1.submit\(\)
			\}
            		function link_anchor\(l_nk\) \{
			var this_link = l_nk
			self.top.qst_left.location = frame_url + \"#\" + this_link
		   	\}\n";
		   	
		   	&print_javascript_end();
			}

		foreach my $quest(sort {$a<=>$b} keys %THEIR_QUESTIONS) {
			my $quest_no = "$THEIR_QUESTIONS{$quest}";
			$index_to_quest_no = "$index_to_quest_no"."$index_pt2=$quest_no".",";
			
			
                    ### PRINT OUT QUESTION
           		if ($POSTED_QST{$qst}{submissions} == 1) { # can view their qst
                  		print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index_pt2\">$index_pt2</a>\.</b></TD>
	        		<TD NOWRAP valign=\"top\"><font size=\"-1\">\($QUESTIONS_IN_QST{$quest_no}{value}\)</font></TD><TD valign=\"top\">";
	        		
             			my $question_rows = 1;
 				my $question_length = length($QUESTIONS{$quest_no}{question});
 				
 				# fix display to show new lines in text of question
                                my $content = $QUESTIONS{$quest_no}{question};
                                $content =~ s/\r[\n]*/\n/gm;
                                my @lines = split(/\n/,$content);
                                my $rows = @lines;
                                $question_rows = $question_rows + $rows;

				my $empty_question = $QUESTIONS{$quest_no}{question};
				$empty_question =~ s/\r\n//g;
				$empty_question =~ s/\s//g;
				
				if($QUESTIONS{$quest_no}{ans_mode} == 2) {
					$show_eq = 2;
					}
					
				if($QUESTIONS{$quest_no}{mode} == 1) {
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                elsif($QUESTIONS{$quest_no}{mode} == 2) {
                                        $show_eq = 2;
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                else {
                                        if($empty_question eq "") { # no text in question
	            		
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"&nbsp\;<img src=\"$image\"></TD></TR></TABLE>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                        }
                                                }
                                        else { # text in question
                                                print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"60\">$QUESTIONS{$quest_no}{question}</textarea></b></TD></TR></TABLE>\n";
                                                
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                        }
                                                }
					} 
				}
			
                    
                    
                ### PRINT ANSWERS
			if ($QUESTIONS{$quest_no}{type} eq"TF") { # True False
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{T} == 1) {
					$correct_answer = "T";
					}
				else {
					$correct_answer = "F";
					}

                       		if (defined $THEIR_ANSWERS{$quest_no} && $correct_answer eq "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_tf("correct","$THEIR_ANSWERS{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                             		}
                             		
                        	elsif (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"" && $correct_answer ne "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_tf("wrong","$THEIR_ANSWERS{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_tf("na","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}

                        if ($QUESTIONS{$quest_no}{type} eq"YN") { # Yes No
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{Y} == 1) {
					$correct_answer = "Y";
					}
				else {
					$correct_answer = "N";
					}

                       		if (defined $THEIR_ANSWERS{$quest_no} && $correct_answer eq "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_yn("correct","$THEIR_ANSWERS{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                             		}
                             		
                        	elsif (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"" && $correct_answer ne "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_yn("wrong","$THEIR_ANSWERS{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_yn("na","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}
				
			elsif ($QUESTIONS{$quest_no}{type} eq"SA") { # Short Answer
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
				my $fake_real_no = "sa"."$quest_no"; #short answer question numbers have prefix of sa
                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"") {
					$quest_no =~ s/\D//g;
					$TO_BE_MARKED{$quest_no} = -1;
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                        	     	&mark_sa("answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=4"); #must be marked
                                	  	}
                                        $ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_sa("correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"P") { # Paragraph
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
				my $fake_real_no = "p"."$quest_no"; #paragraph questions numbers have prefix of p

                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"") {
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_p("answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=4"); #must be marked
                                  		}
					$TO_BE_MARKED{$quest_no} = -1;
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_p("correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"MC") { # Multiple Choice
				my $correct_answer;
				my $answers;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
				my $pass_answers;
                                my $pass_images_mc;
                                
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
					foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
						if($ANSWERS{$quest_no}{q_order}{$key}{answers}{$key1} == 1) {
							$correct_answer = "$key";
	
							}
						$answers = "$answers".","."$key1";
						$ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
						$MC_ANSWERS{$key} = "$key1";
						$pass_answers = "$pass_answers"."|#"."$key"."~@"."$MC_ANSWERS{$key}";
						$pass_images_mc = "$pass_images_mc"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
						}
					}
				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_mc =~ s/^-//;
				
				my $fake_real_no = "m"."$quest_no"; #multiple choice question numbers have prefix of m

                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} > 0) {
                             		if ($THEIR_ANSWERS{$quest_no} == $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("correct","1","correct_answer","$correct_answer","answers","$answers","users_answer","$THEIR_ANSWERS{$quest_no}","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=1"); #correct answer
							}
						$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
						++$correct;
                             			}
                             		elsif ($THEIR_ANSWERS{$quest_no} != $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("wrong","1","users_answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=0"); #incorrect answer
							++$wrong;
							} 
                                 		}
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
                             		}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_mc("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                             		}
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       	
                       	elsif ($QUESTIONS{$quest_no}{type} eq"MX") { # Matching
                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 0");
                                
                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 1");
                                my %MYANS = ();
                                        
                                my @their_answers = split(/\n/,$THEIR_ANSWERS{$quest_no});
                                my %SAVED_ANSWERS = ();
                                foreach my $ans(@their_answers) {
                                        my @an = split(/=/,$ans);
                                        $SAVED_ANSWERS{$an[0]} = $an[1];
                                        }
                                        
                                my @mx_string;
                                my $pass = 'correct';
                                
                                for (my $i = 1; $i <= $mx_num; $i++){ 
                                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        else { # no matching text
                                                delete($RETURN_MX_MATCHING{$i});
                                                }
                                        }

                                if(keys %SAVED_ANSWERS) {
                                        foreach my $key1(keys %RETURN_MX_TEXT) {
                                                next if(!defined $RETURN_MX_TEXT{$key1}{answer});
                                        
                                                if(defined $RETURN_MX_TEXT{$key1}{answer} && $RETURN_MX_MATCHING{$key1}{answer} ne "$SAVED_ANSWERS{$key1}") {
                                                        $pass = 'wrong';
                                                        }
                                                }
                                        }
                                else {
                                        $pass = 'na';
                                        } 
                                        
                                if($pass eq "correct") {
                                        push(@results,"$index_pt2"."=1"); #correct answer
                                        $score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
                                        ++$correct;
                                        }
                                elsif($pass eq "na") {
                                        push(@results,"$index_pt2"."=3"); #no answer
                                        ++$na;
                                        }
                                else {
                                        push(@results,"$index_pt2"."=0"); #incorrect answer
                                        ++$wrong;
                                        }
                                        
                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                        &mark_mx("$pass","1","1","1","mx1","$RETURN_MX_TEXT{1}{answer}","mx2","$RETURN_MX_TEXT{2}{answer}","mx3","$RETURN_MX_TEXT{3}{answer}","mx4","$RETURN_MX_TEXT{4}{answer}","mx5","$RETURN_MX_TEXT{5}{answer}","mx6","$RETURN_MX_TEXT{6}{answer}","mx7","$RETURN_MX_TEXT{7}{answer}","mx8","$RETURN_MX_TEXT{8}{answer}","mx9","$RETURN_MX_TEXT{9}{answer}","mx10","$RETURN_MX_TEXT{10}{answer}","mx11","$RETURN_MX_TEXT{11}{answer}","mx12","$RETURN_MX_TEXT{12}{answer}","mx13","$RETURN_MX_TEXT{13}{answer}","mx14","$RETURN_MX_TEXT{14}{answer}","mx15","$RETURN_MX_TEXT{15}{answer}","mxans1","$RETURN_MX_MATCHING{1}{answer}","mxans2","$RETURN_MX_MATCHING{2}{answer}","mxans3","$RETURN_MX_MATCHING{3}{answer}","mxans4","$RETURN_MX_MATCHING{4}{answer}","mxans5","$RETURN_MX_MATCHING{5}{answer}","mxans6","$RETURN_MX_MATCHING{6}{answer}","mxans7","$RETURN_MX_MATCHING{7}{answer}","mxans8","$RETURN_MX_MATCHING{8}{answer}","mxans9","$RETURN_MX_MATCHING{9}{answer}","mxans10","$RETURN_MX_MATCHING{10}{answer}","mxans11","$RETURN_MX_MATCHING{11}{answer}","mxans12","$RETURN_MX_MATCHING{12}{answer}","mxans13","$RETURN_MX_MATCHING{13}{answer}","mxans14","$RETURN_MX_MATCHING{14}{answer}","mxans15","$RETURN_MX_MATCHING{15}{answer}","m1","$SAVED_ANSWERS{1}","m2","$SAVED_ANSWERS{2}","m3","$SAVED_ANSWERS{3}","m4","$SAVED_ANSWERS{4}","m5","$SAVED_ANSWERS{5}","m6","$SAVED_ANSWERS{6}","m7","$SAVED_ANSWERS{7}","m8","$SAVED_ANSWERS{8}","m9","$SAVED_ANSWERS{9}","m10","$SAVED_ANSWERS{10}","m11","$SAVED_ANSWERS{11}","m12","$SAVED_ANSWERS{12}","m13","$SAVED_ANSWERS{13}","m14","$SAVED_ANSWERS{14}","m15","$SAVED_ANSWERS{15}");
                                        }
                                        
                                if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                                }
                                
                        elsif ($QUESTIONS{$quest_no}{type} eq"MA") { # Multiple Answer
				my $correct_answer;
				my $answers;
				my $input_answers;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
				my %CORRECT_ANSWERS = ();
				my %INPUT_ANSWER = ();
				my %ANSWER_IN = ();
				my $pass_answers;
                                my $pass_images_ma;
                                
                                my @in_ans = split(/\,/,$THEIR_ANSWERS{$quest_no});
                                foreach my $ans(@in_ans) {
                                        $INPUT_ANSWER{$ans}{$ans} = $ans;
                                        $ANSWER_IN{$ans} = $ans;
                                        $input_answers = "$input_answers".","."$ans";
                                       }

                                $input_answers =~ s/^,//;
                                $MA{$quest_no} = $input_answers;
                                
                                # get all the answers for the question
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
                                        foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
                                                if($QUESTIONS{$quest_no}{ans_mode} == 1) {
                                                        $key1 =~ s/&quot;/"/g; #change back
                                                        $key1 =~ s/&apos;/'/g; #change back
                                                        }

                                                $MC_ANSWERS{$key} = $key1;
                                                 $pass_answers = "$pass_answers"."|#"."$key"."~@"."$key1";
                                                }
                                                
                                        # correct answers
                                        if($ANSWERS{$quest_no}{q_order}{$key}{c_answer} == 1) {
                                                $CORRECT_ANSWERS{$key} = $key;
                                                $correct_answer = "$correct_answer".","."$key";
                                                }
                                        $answers = "$answers".","."$key";
                                        $ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
                                        $pass_images_ma = "$pass_images_ma"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
                                        }

				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_ma =~ s/^-//;
				$correct_answer =~ s/^,//;
				my $fake_real_no = "ma"."$quest_no"; #multiple answer question numbers have prefix of ma

                       		if (keys %INPUT_ANSWER) {
                                        my $ma_correct = 0;

                                        # see if all input answers are correct
                                        foreach my $an(keys %CORRECT_ANSWERS) {
                                                delete($ANSWER_IN{$an});
                                                if(!defined $INPUT_ANSWER{$an}{$an}) {
                                                        $ma_correct = 1;
                                                        }
                                                }
                       		
                             		if ($ma_correct == 0 && !keys %ANSWER_IN) { # no keys in %ANSWER_IN means they did not select everything
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("correct","1","correct_answer","$correct_answer","input_answers","$input_answers","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","users_answer","$MT{$fake_real_no}","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
							push(@results,"$index_pt2"."=1"); #correct answer
							}

						$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
						++$correct;
                             			}
                             		else {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("wrong","1","users_answer","$input_answers","input_answers","$input_answers","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=0"); #incorrect answer
							++$wrong;
							} 
                                 		}
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
                             		}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_ma("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                             		}
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       		
                 	++$index_pt2;
			}
			
                if($show_eq == 2) {
                        &print_eq();
                        }
                        
                # done with answers
                
		if ($POSTED_QST{$qst}{submissions} == 1) { # submitted qst is viewable
			my $pass;
			foreach my $piece(@results) {
				$pass = "$pass".","."$piece";
				}
			$pass =~ s/^,//;
                	print "</TABLE></FORM>\n";
			&print_form("form_name","form1","form_target","right_bot","input","qst_mark","done","1","score","$score","qst_total","$QST_INFO{$qst}{marks}","pass","$pass","to_mark","$number_to_mark","na","$na","correct","$correct","wrong","$wrong","value_of_quests_to_be_marked","$valu_of_quests_to_be_marked","index_to_quest_no","$index_to_quest_no","u_id","$u_id","session_id","$session_id");
			
			print"<img src=\"/schools/blank.gif\" onLoad=\"load_right\(\)\">\n";
			}
		
                print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"close_qst\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Close}&nbsp\;</font></B></TD></TABLE></center><P>\n";
		
                if ($POSTED_QST{$qst}{result} == 1) { # result/mark is viewable
                	print "<center><B><font size=\"+1\"> $LANGUAGE{$set_language}{Mark}: $score/$QST_INFO{$qst}{marks} ";
                	
                	if($number_to_mark > 0) {
                                print"&nbsp\;&nbsp\;&nbsp\;Number to Mark: $number_to_mark ";
                                }
                                
                        print"</font></B></center><P>\n";
			}
			
		if ($POSTED_QST{$qst}{submissions}!= 1) {
                	print"<P><center><B>Submissions have not been released.</B></center><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{result}!= 1) {
                	print"<center><B>Marks have not been released.</b></center><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{submissions}!= 1 || $POSTED_QST{$qst}{result}!= 1) {
			print"<img src=\"/schools/blank.gif\" onLoad=\"right_clear\(\)\">\n";
			}
			
                &print_form("form_name","form_reload","form_target","orig_Window","input","print_modal_students_screen","class_name","$class_name","class_id","$class_id","u_id","$ids","session_id","$session_id");
		
		
		# record mark, the highest mark if more than one try
		if($POSTED_QST{$qst}{rhm} == 1) { 
			my %RETURN6 = &select_qst_scores("query","SELECT u_id,qst,mark,marked from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			my %TIME = &get_org_time("org_id","$MT{org_id}");
			my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"$attempt\"");
			my $entered_answers;
			
			
			if(!keys %RETURN6) { # no previous score
                 		if ($number_to_mark > 0) {#must be marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"1\",\"0\",\"$org_id\")");
					}
				else { #marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"0\",\"0\",\"$org_id\")");
					}
				}
				
			else { # must be marked or previous score
                 		if ($number_to_mark > 0) { #must be marked, contains questions other than TF, Y/N, mult choice, multi answer, mx
					# enter new score
					&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"1\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					
					# delete previous attempt answers
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
					}
					
				else { # previous score there
				 	if($RETURN6{$ids}{mark} < $score) { # if new score is greater than old score, enter new score and answers and delete previous attempt answers
						&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"0\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
						
						# delete previous attempt
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
						}
						
					else { # delete this attempt, score is lower
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
						}
					}
				}
                        
                        my %TIMEZONE = ();
                        my $org_time1;
                        my $adjusted_time;
                        my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$MT{org_id}\"};
                        my $sth = $dbh->prepare($queryt);
                        $sth->execute();
                        while(my @row = $sth->fetchrow_array()) {
                                $TIMEZONE{$row[0]}= "$row[1]";
                                $adjusted_time = "$row[1]";
                                }

                        if($adjusted_time != 0) {
                                $org_time1 = "$adjusted_time" * 3600;
                                }
                        else {
                                $org_time1 = 0; 
                                }
                

                        #time with time zone included
                        my $time1 = time + "$org_time1";

                        my %TIME1 = &get_time_to_display("time","$time1");

			&update_general("query","UPDATE qst_attempts SET finish_time=\"$TIME1{time}{hour_minute}\", finish_day=\"$TIME1{time}{day}\", finish_month=\"$TIME1{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
			
		else { #do not record mark
			&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			}
      		}
      		
      		
      		
      	# surveys below here
	elsif ((keys %POSTED_QST && $QST_INFO{$qst}{type} == 2 && $POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #surveys
		my %QUESTIONS_IN_QST = &select4("query","select quest_no,q_order from qst_questions WHERE qst_no=\"$qst\"");
		my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"1\"");
		my %TIME = &get_time();

		if($attempt == 0) { # deleted by instructor while in progress
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
                else {
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}

		if(keys %QUESTIONS_IN_QST) {
			#see if already submitted by instructor
			my $submitted = &select10("query","SELECT qst from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			if($submitted == $qst) {
				&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
				}
				
			&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"0\",\"0\",\"0\",\"$org_id\")");
			
       	    		print "<center><BR><P><B>$LANGUAGE{$set_language}{Thankyoufortakingthetimetocompletethesurvey}</b></center><P> \n";
			print"<center><input type=\"BUTTON\" style=\"cursor: pointer\" name=\"del\" value=\"$LANGUAGE{$set_language}{Close}\" onClick=\"close_qst\(\)\"></center>\n";
			
                        &print_form("form_name","form_reload","form_target","orig_Window","input","print_modal_students_screen","class_name","$class_name","class_id","$class_id","u_id","$ids","session_id","$session_id");
			
			print"<img src=\"/schools/blank.gif\" onLoad=\"right_clear\(\)\">\n";
			}
		else {
            		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
			}
		}
	else {
		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
		}
	}

##################
#
# MODAL2_MARK_TYPE2
#
################
sub modal2_mark_type2 {
	my %MT = @_;
	my $class_id = $MT{class_id};
	$class_id =~ s/\D//g;
	my $qst = $MT{qst};
	my $type = $MT{type};
	$type =~ s/\D//g;
	my $u_id = $MT{u_id};
	$u_id =~ s/\D//g;
	my $session_id = $MT{session_id};
	$session_id =~ s/\D//g;
	my $qst_name = $MT{qst_name};
	my $number_to_mark = 0;
	my $valu_of_quests_to_be_marked = 0;
	my %QUESTIONS = ();
	my %ANSWERS = ();
     	my $score = 0;
     	my $index_pt2 = 1;
	my $na = 0;
	my $correct = 0;
	my $wrong = 0;
	my %TO_BE_MARKED = ();
	my $index_to_quest_no;
        my %MA = (); # for MA questions
        my $show_eq = 1;

        &print_style_sheet();

	&print_javascript_begin();
	
	print"function right_clear\(\)\{
	self.parent.m2right_top.location = \"/schools/empty.htm\"
	self.parent.m2right_bot.location = \"/schools/empty.htm\"
	\}\n";

	print"function c_window\(\)\{
	top.close\(\)\}\n";
	
	print"function close_modal\(\) \{
        self.top.location=\"/qst/one#close\"
        self.top.document.form_reload.submit()
        \}\n";
        
	&print_javascript_end();

	my %ACCESS = ();
	
	#see if they have access to posted qst
	my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
	if($POSTED_QST{$qst}{forall} != 1) { # only certain students have access
		%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
		}
		
	my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
	my $attempt = &select10("query","SELECT attempts from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

	#find which questions are associated with their qst
	my %THEIR_QUESTIONS = &select4("query","SELECT quest_order,quest_no from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");

	#get their answers to the qst questions
	my %THEIR_ANSWERS = &select4("query","SELECT quest_no,answer from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
	
	
    #####quizzes/tests below here
	if (keys %POSTED_QST && $QST_INFO{$qst}{type} == 1 && ($POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #quizzes/tests
		my @results;
		my $questions_in_student_qst = 0;
		my %QUESTIONS_IN_QST = ();
		my %ENTERED_QUESTIONS = ();
		my $questions_in_qst_query = "select quest_no,value,q_select from qst_questions WHERE qst_no=\"$qst\" AND (";
		
		foreach my $quest_no(values %THEIR_QUESTIONS) {
                        $questions_in_student_qst = 1;
			$questions_in_qst_query = "$questions_in_qst_query"." "."quest_no=\"$quest_no\" OR";
			}
		$questions_in_qst_query =~ s/ OR$/)/;

		if($questions_in_student_qst == 1) {
                        %QUESTIONS_IN_QST = &select_users_qst_questions("query","$questions_in_qst_query");
                        }
                        
		my $query = "SELECT * from questions WHERE ";
		my $questions = "$QST_INFO{$qst}{questions}";
		my $marks = "$QST_INFO{$qst}{marks}";
		my $name = "$QST_INFO{$qst}{name}";
		
		if(keys %QUESTIONS_IN_QST) {
     			foreach my $key(keys %QUESTIONS_IN_QST) {
				$query = "$query"." "."number=\"$key\" OR";
				}
			$query =~ s/ OR$//;
			%QUESTIONS = &select_questions("query","$query");
			
			my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE ";
			foreach my $key(keys %QUESTIONS) {
				$query1 = "$query1"." "."number=\"$key\" OR";
				}
			$query1 =~ s/ OR$//;
			
			#correct answers
			%ANSWERS = &select_question_answers("query","$query1");
			}
			
           	if ($POSTED_QST{$qst}{submissions} == 1) { # submitted qst is viewable
           		&print_javascript_begin();
           		
			print"var frame_url = self.parent.m2qst_left.location.href
			function load_right\(\)\{
			self.parent.m2right_top.location = \"/schools/empty.htm\"
			document.form1.submit\(\)
			\}
            		function link_anchor\(l_nk\) \{
			var this_link = l_nk
			self.parent.m2qst_left.location = frame_url + \"#\" + this_link
		   	\}\n";
		   	
		   	&print_javascript_end();
			}

		foreach my $quest(sort {$a<=>$b} keys %THEIR_QUESTIONS) {
			my $quest_no = "$THEIR_QUESTIONS{$quest}";
			$index_to_quest_no = "$index_to_quest_no"."$index_pt2=$quest_no"."-"."$QUESTIONS{$quest_no}{type}"."-"."$QUESTIONS_IN_QST{$quest_no}{value}".",";

			
			
                    ### PRINT OUT QUESTION
           		if ($POSTED_QST{$qst}{submissions} == 1) { # can view their qst
                  		print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index_pt2\">$index_pt2</a>\.</b></TD>
	        		<TD NOWRAP valign=\"top\"><font size=\"-1\">\($QUESTIONS_IN_QST{$quest_no}{value}\)</font></TD><TD valign=\"top\">";
	        		
             			my $question_rows = 1;
 				my $question_length = length($QUESTIONS{$quest_no}{question});
 				
 				# fix display to show new lines in text of question
                                my $content = $QUESTIONS{$quest_no}{question};
                                $content =~ s/\r[\n]*/\n/gm;
                                my @lines = split(/\n/,$content);
                                my $rows = @lines;
                                $question_rows = $question_rows + $rows;

				my $empty_question = $QUESTIONS{$quest_no}{question};
				$empty_question =~ s/\r\n//g;
				$empty_question =~ s/\s//g;
				
				if($QUESTIONS{$quest_no}{ans_mode} == 2) {
					$show_eq = 2;
					}
					
				if($QUESTIONS{$quest_no}{mode} == 1) {
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                elsif($QUESTIONS{$quest_no}{mode} == 2) {
                                        $show_eq = 2;
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                else {
                                        if($empty_question eq "") { # no text in question
	            		
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"&nbsp\;<img src=\"$image\"></TD></TR></TABLE>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                        }
                                                }
                                        else { # text in question
                                                print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"60\">$QUESTIONS{$quest_no}{question}</textarea></b></TD></TR></TABLE>\n";
                                                
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                        }
                                                }
					} 
				}
			
                    
                    
                ### PRINT ANSWERS
			if ($QUESTIONS{$quest_no}{type} eq"TF") { # True False
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{T} == 1) {
					$correct_answer = "T";
					}
				else {
					$correct_answer = "F";
					}

                       		if (defined $THEIR_ANSWERS{$quest_no} && $correct_answer eq "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_tf("correct","$THEIR_ANSWERS{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                             		}
                             		
                        	elsif (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"" && $correct_answer ne "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_tf("wrong","$THEIR_ANSWERS{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_tf("na","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}

                        if ($QUESTIONS{$quest_no}{type} eq"YN") { # Yes No
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{Y} == 1) {
					$correct_answer = "Y";
					}
				else {
					$correct_answer = "N";
					}

                       		if (defined $THEIR_ANSWERS{$quest_no} && $correct_answer eq "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_yn("correct","$THEIR_ANSWERS{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                             		}
                             		
                        	elsif (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"" && $correct_answer ne "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_yn("wrong","$THEIR_ANSWERS{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_yn("na","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}
				
			elsif ($QUESTIONS{$quest_no}{type} eq"SA") { # Short Answer
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
				my $fake_real_no = "sa"."$quest_no"; #short answer question numbers have prefix of sa
                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"") {
					$quest_no =~ s/\D//g;
					$TO_BE_MARKED{$quest_no} = -1;
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                        	     	&mark_sa("answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=4"); #must be marked
                                	  	}
                                        $ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_sa("correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"P") { # Paragraph
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
				my $fake_real_no = "p"."$quest_no"; #paragraph questions numbers have prefix of p

                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"") {
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_p("answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=4"); #must be marked
                                  		}
					$TO_BE_MARKED{$quest_no} = -1;
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_p("correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"MC") { # Multiple Choice
				my $correct_answer;
				my $answers;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
				my $pass_answers;
                                my $pass_images_mc;
                                
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
					foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
						if($ANSWERS{$quest_no}{q_order}{$key}{answers}{$key1} == 1) {
							$correct_answer = "$key";
	
							}
						$answers = "$answers".","."$key1";
						$ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
						$MC_ANSWERS{$key} = "$key1";
						$pass_answers = "$pass_answers"."|#"."$key"."~@"."$MC_ANSWERS{$key}";
						$pass_images_mc = "$pass_images_mc"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
						}
					}
				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_mc =~ s/^-//;
				
				my $fake_real_no = "m"."$quest_no"; #multiple choice question numbers have prefix of m

                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} > 0) {
                             		if ($THEIR_ANSWERS{$quest_no} == $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("correct","1","correct_answer","$correct_answer","answers","$answers","users_answer","$THEIR_ANSWERS{$quest_no}","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=1"); #correct answer
							}
						$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
						++$correct;
                             			}
                             		elsif ($THEIR_ANSWERS{$quest_no} != $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("wrong","1","users_answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=0"); #incorrect answer
							++$wrong;
							} 
                                 		}
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
                             		}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_mc("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                             		}
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       	
                       	elsif ($QUESTIONS{$quest_no}{type} eq"MX") { # Matching
                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 0");
                                
                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 1");
                                my %MYANS = ();
                                        
                                my @their_answers = split(/\n/,$THEIR_ANSWERS{$quest_no});
                                my %SAVED_ANSWERS = ();
                                foreach my $ans(@their_answers) {
                                        my @an = split(/=/,$ans);
                                        $SAVED_ANSWERS{$an[0]} = $an[1];
                                        }
                                        
                                my @mx_string;
                                my $pass = 'correct';
                                
                                for (my $i = 1; $i <= $mx_num; $i++){ 
                                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        else { # no matching text
                                                delete($RETURN_MX_MATCHING{$i});
                                                }
                                        }

                                if(keys %SAVED_ANSWERS) {
                                        foreach my $key1(keys %RETURN_MX_TEXT) {
                                                next if(!defined $RETURN_MX_TEXT{$key1}{answer});
                                        
                                                if(defined $RETURN_MX_TEXT{$key1}{answer} && $RETURN_MX_MATCHING{$key1}{answer} ne "$SAVED_ANSWERS{$key1}") {
                                                        $pass = 'wrong';
                                                        }
                                                }
                                        }
                                else {
                                        $pass = 'na';
                                        } 
                                        
                                if($pass eq "correct") {
                                        push(@results,"$index_pt2"."=1"); #correct answer
                                        $score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
                                        ++$correct;
                                        }
                                elsif($pass eq "na") {
                                        push(@results,"$index_pt2"."=3"); #no answer
                                        ++$na;
                                        }
                                else {
                                        push(@results,"$index_pt2"."=0"); #incorrect answer
                                        ++$wrong;
                                        }
                                        
                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                        &mark_mx("$pass","1","1","1","mx1","$RETURN_MX_TEXT{1}{answer}","mx2","$RETURN_MX_TEXT{2}{answer}","mx3","$RETURN_MX_TEXT{3}{answer}","mx4","$RETURN_MX_TEXT{4}{answer}","mx5","$RETURN_MX_TEXT{5}{answer}","mx6","$RETURN_MX_TEXT{6}{answer}","mx7","$RETURN_MX_TEXT{7}{answer}","mx8","$RETURN_MX_TEXT{8}{answer}","mx9","$RETURN_MX_TEXT{9}{answer}","mx10","$RETURN_MX_TEXT{10}{answer}","mx11","$RETURN_MX_TEXT{11}{answer}","mx12","$RETURN_MX_TEXT{12}{answer}","mx13","$RETURN_MX_TEXT{13}{answer}","mx14","$RETURN_MX_TEXT{14}{answer}","mx15","$RETURN_MX_TEXT{15}{answer}","mxans1","$RETURN_MX_MATCHING{1}{answer}","mxans2","$RETURN_MX_MATCHING{2}{answer}","mxans3","$RETURN_MX_MATCHING{3}{answer}","mxans4","$RETURN_MX_MATCHING{4}{answer}","mxans5","$RETURN_MX_MATCHING{5}{answer}","mxans6","$RETURN_MX_MATCHING{6}{answer}","mxans7","$RETURN_MX_MATCHING{7}{answer}","mxans8","$RETURN_MX_MATCHING{8}{answer}","mxans9","$RETURN_MX_MATCHING{9}{answer}","mxans10","$RETURN_MX_MATCHING{10}{answer}","mxans11","$RETURN_MX_MATCHING{11}{answer}","mxans12","$RETURN_MX_MATCHING{12}{answer}","mxans13","$RETURN_MX_MATCHING{13}{answer}","mxans14","$RETURN_MX_MATCHING{14}{answer}","mxans15","$RETURN_MX_MATCHING{15}{answer}","m1","$SAVED_ANSWERS{1}","m2","$SAVED_ANSWERS{2}","m3","$SAVED_ANSWERS{3}","m4","$SAVED_ANSWERS{4}","m5","$SAVED_ANSWERS{5}","m6","$SAVED_ANSWERS{6}","m7","$SAVED_ANSWERS{7}","m8","$SAVED_ANSWERS{8}","m9","$SAVED_ANSWERS{9}","m10","$SAVED_ANSWERS{10}","m11","$SAVED_ANSWERS{11}","m12","$SAVED_ANSWERS{12}","m13","$SAVED_ANSWERS{13}","m14","$SAVED_ANSWERS{14}","m15","$SAVED_ANSWERS{15}");
                                        }
                                        
                                if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                                }
                                
                        elsif ($QUESTIONS{$quest_no}{type} eq"MA") { # Multiple Answer
				my $correct_answer;
				my $answers;
				my $input_answers;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
				my %CORRECT_ANSWERS = ();
				my %INPUT_ANSWER = ();
				my %ANSWER_IN = ();
				my $pass_answers;
                                my $pass_images_ma;
                                
                                my @in_ans = split(/\,/,$THEIR_ANSWERS{$quest_no});
                                foreach my $ans(@in_ans) {
                                        $INPUT_ANSWER{$ans}{$ans} = $ans;
                                        $ANSWER_IN{$ans} = $ans;
                                        $input_answers = "$input_answers".","."$ans";
                                       }

                                $input_answers =~ s/^,//;
                                $MA{$quest_no} = $input_answers;
                                
                                # get all the answers for the question
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
                                        foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
                                                if($QUESTIONS{$quest_no}{ans_mode} == 1) {
                                                        $key1 =~ s/&quot;/"/g; #change back
                                                        $key1 =~ s/&apos;/'/g; #change back
                                                        }

                                                $MC_ANSWERS{$key} = $key1;
                                                 $pass_answers = "$pass_answers"."|#"."$key"."~@"."$key1";
                                                }
                                                
                                        # correct answers
                                        if($ANSWERS{$quest_no}{q_order}{$key}{c_answer} == 1) {
                                                $CORRECT_ANSWERS{$key} = $key;
                                                $correct_answer = "$correct_answer".","."$key";
                                                }
                                        $answers = "$answers".","."$key";
                                        $ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
                                        $pass_images_ma = "$pass_images_ma"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
                                        }

				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_ma =~ s/^-//;
				$correct_answer =~ s/^,//;
				my $fake_real_no = "ma"."$quest_no"; #multiple answer question numbers have prefix of ma

                       		if (keys %INPUT_ANSWER) {
                                        my $ma_correct = 0;

                                        # see if all input answers are correct
                                        foreach my $an(keys %CORRECT_ANSWERS) {
                                                delete($ANSWER_IN{$an});
                                                if(!defined $INPUT_ANSWER{$an}{$an}) {
                                                        $ma_correct = 1;
                                                        }
                                                }
                       		
                             		if ($ma_correct == 0 && !keys %ANSWER_IN) { # no keys in %ANSWER_IN means they did not select everything
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("correct","1","correct_answer","$correct_answer","input_answers","$input_answers","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","users_answer","$MT{$fake_real_no}","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
							push(@results,"$index_pt2"."=1"); #correct answer
							}

						$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
						++$correct;
                             			}
                             		else {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("wrong","1","users_answer","$input_answers","input_answers","$input_answers","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=0"); #incorrect answer
							++$wrong;
							} 
                                 		}
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
                             		}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_ma("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                             		}
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       		
                 	++$index_pt2;
			}
			
                if($show_eq == 2) {
                        &print_eq();
                        }
                        
            ##done with answers
                
		if ($POSTED_QST{$qst}{submissions} == 1) { # submitted qst is viewable
			my $pass;
			foreach my $piece(@results) {
				$pass = "$pass".","."$piece";
				}
			$pass =~ s/^,//;
                	print "</TABLE></FORM>\n";
			&print_form("form_name","form1","form_target","m2right_bot","input","modal2_qst_mark2","done","1","score","$score","qst_total","$QST_INFO{$qst}{marks}","pass","$pass","to_mark","$number_to_mark","na","$na","correct","$correct","wrong","$wrong","value_of_quests_to_be_marked","$valu_of_quests_to_be_marked","index_to_quest_no","$index_to_quest_no","u_id","$u_id","session_id","$session_id");
			print"<img src=\"/schools/blank.gif\" onLoad=\"load_right\(\)\">\n";
			}
		
                print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"close_modal\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Close}&nbsp\;</font></B></TD></TABLE></center><P>\n";
		
                if ($POSTED_QST{$qst}{result} == 1) { # result/mark is viewable
                	print "<center><B><font size=\"+1\"> $LANGUAGE{$set_language}{Mark}: $score/$QST_INFO{$qst}{marks} ";
                	
                	if($number_to_mark > 0) {
                                print"&nbsp\;&nbsp\;&nbsp\;Number to Mark: $number_to_mark ";
                                }
                                
                        print"</font></B></center><P>\n";
			}
			
		if ($POSTED_QST{$qst}{submissions}!= 1) {
                	print"<center><B>Submissions have not been released.</B></center><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{result}!= 1) {
                	print"<center><B>Marks have not been released.</b></center><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{submissions}!= 1 || $POSTED_QST{$qst}{result}!= 1) {
			print"<img src=\"/schools/blank.gif\" onLoad=\"right_clear\(\)\">\n";
			}
			
			
		# record mark, the highest mark if more than one try
		if($POSTED_QST{$qst}{rhm} == 1) { 
			my %RETURN6 = &select_qst_scores("query","SELECT u_id,qst,mark,marked from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			my %TIME = &get_org_time("org_id","$MT{org_id}");
			my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"$attempt\"");
			my $entered_answers;
			
			
			if(!keys %RETURN6) { # no previous score
                 		if ($number_to_mark > 0) {#must be marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"1\",\"0\",\"$org_id\")");
					}
				else { #marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"0\",\"0\",\"$org_id\")");
					}
				}
				
			else { # must be marked or previous score
                 		if ($number_to_mark > 0) { #must be marked, contains questions other than TF and mult choice
					# enter new score
					&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"1\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					
					# delete previous attempt answers
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
					}
					
				else { # previous score there
				 	if($RETURN6{$ids}{mark} < $score) { # if new score is greater than old score, enter new score and answers and delete previous attempt answers
						&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"0\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
						
						# delete previous attempt
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
						}
						
					else { # delete this attempt, score is lower
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
						}
					}
				}
                        
                        my %TIMEZONE = ();
                        my $org_time1;
                        my $adjusted_time;
                        my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$MT{org_id}\"};
                        my $sth = $dbh->prepare($queryt);
                        $sth->execute();
                        while(my @row = $sth->fetchrow_array()) {
                                $TIMEZONE{$row[0]}= "$row[1]";
                                $adjusted_time = "$row[1]";
                                }

                        if($adjusted_time != 0) {
                                $org_time1 = "$adjusted_time" * 3600;
                                }
                        else {
                                $org_time1 = 0; 
                                }
                

                        #time with time zone included
                        my $time1 = time + "$org_time1";

                        my %TIME1 = &get_time_to_display("time","$time1");

			&update_general("query","UPDATE qst_attempts SET finish_time=\"$TIME1{time}{hour_minute}\", finish_day=\"$TIME1{time}{day}\", finish_month=\"$TIME1{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
			
		else { #do not record mark
			&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			}
      		}
      		
      		
      		
     ### surveys below here
	elsif ((keys %POSTED_QST && $QST_INFO{$qst}{type} == 2 && $POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #surveys
		my %QUESTIONS_IN_QST = &select4("query","select quest_no,q_order from qst_questions WHERE qst_no=\"$qst\"");
		my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"1\"");
		my %TIME = &get_time();

		if($attempt == 0) { # deleted by instructor while in progress
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
                else {
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}

		if(keys %QUESTIONS_IN_QST) {
			#see if already submitted by instructor
			my $submitted = &select10("query","SELECT qst from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			
			if($submitted == $qst) {
				&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
				}
				
			&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"0\",\"0\",\"0\",\"$org_id\")");
			
       	    		print "<center><BR><P><B>$LANGUAGE{$set_language}{Thankyoufortakingthetimetocompletethesurvey}</b></center><P> \n";
			print"<center><input type=\"BUTTON\" style=\"cursor: pointer\" name=\"del\" value=\"$LANGUAGE{$set_language}{Close}\" onClick=\"close_modal\(\)\"></center>\n";
			}
		else { 
            		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
			}
                
                print"<img src=\"/schools/blank.gif\" onLoad=\"right_clear\(\)\">\n";
		}
	else {
		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
		}
	}

##################
#
# MODAL3_MARK_TYPE3
#
################
sub modal3_mark_type3 {
	my %MT = @_;
	my $class_id = $MT{class_id};
	$class_id =~ s/\D//g;
	my $qst = $MT{qst};
	my $type = $MT{type};
	$type =~ s/\D//g;
	my $u_id = $MT{u_id};
	$u_id =~ s/\D//g;
	my $session_id = $MT{session_id};
	$session_id =~ s/\D//g;
	my $qst_name = $MT{qst_name};
	my $number_to_mark = 0;
	my $valu_of_quests_to_be_marked = 0;
	my %QUESTIONS = ();
	my %ANSWERS = ();
     	my $score = 0;
     	my $index_pt2 = 1;
	my $na = 0;
	my $correct = 0;
	my $wrong = 0;
	my %TO_BE_MARKED = ();
	my $index_to_quest_no;
        my %MA = (); # for MA questions
        my $show_eq = 1;

        &print_style_sheet();

	&print_javascript_begin();
	print"function right_clear\(\)\{
	self.parent.m3right_top.location = \"/schools/empty.htm\"
	self.parent.m3right_bot.location = \"/schools/empty.htm\"
	\}\n";

	print"function c_window\(\)\{
	top.close\(\)\}\n";
	
	print"function close_modal\(\) \{
        self.top.location=\"/qst/one#close\"
        self.top.document.form_reload.submit()
        \}\n";
        
	&print_javascript_end();

	my %ACCESS = ();
	
	#see if they have access to posted qst
	my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
	if($POSTED_QST{$qst}{forall} != 1) { # only certain students have access
		%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
		}
		
	my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
	my $attempt = &select10("query","SELECT attempts from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

	#find which questions are associated with their qst
	my %THEIR_QUESTIONS = &select4("query","SELECT quest_order,quest_no from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");

	#get their answers to the qst questions
	my %THEIR_ANSWERS = &select4("query","SELECT quest_no,answer from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
	
	#quizzes/tests below here
	if (keys %POSTED_QST && $QST_INFO{$qst}{type} == 1 && ($POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #quizzes/tests
		my @results;
		my $questions_in_student_qst = 0;
		my %QUESTIONS_IN_QST = ();
		my %ENTERED_QUESTIONS = ();
		my $questions_in_qst_query = "select quest_no,value,q_select from qst_questions WHERE qst_no=\"$qst\" AND (";
		
		foreach my $quest_no(values %THEIR_QUESTIONS) {
                        $questions_in_student_qst = 1;
			$questions_in_qst_query = "$questions_in_qst_query"." "."quest_no=\"$quest_no\" OR";
			}
		$questions_in_qst_query =~ s/ OR$/)/;

		if($questions_in_student_qst == 1) {
                        %QUESTIONS_IN_QST = &select_users_qst_questions("query","$questions_in_qst_query");
                        }
                        
		my $query = "SELECT * from questions WHERE ";
		my $questions = "$QST_INFO{$qst}{questions}";
		my $marks = "$QST_INFO{$qst}{marks}";
		my $name = "$QST_INFO{$qst}{name}";
		
		if(keys %QUESTIONS_IN_QST) {
     			foreach my $key(keys %QUESTIONS_IN_QST) {
				$query = "$query"." "."number=\"$key\" OR";
				}
			$query =~ s/ OR$//;
			%QUESTIONS = &select_questions("query","$query");
			
			my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE ";
			foreach my $key(keys %QUESTIONS) {
				$query1 = "$query1"." "."number=\"$key\" OR";
				}
			$query1 =~ s/ OR$//;
			
			#correct answers
			%ANSWERS = &select_question_answers("query","$query1");
			}
			
           	if ($POSTED_QST{$qst}{submissions} == 1) { # submitted qst is viewable
           		&print_javascript_begin();
           		
			print"var frame_url = self.parent.m3qst_left.location.href
			function load_right\(\)\{
			self.parent.m3right_top.location = \"/schools/empty.htm\"
			document.form1.submit\(\)
			\}
            		function link_anchor\(l_nk\) \{
			var this_link = l_nk
			self.parent.m3qst_left.location = frame_url + \"#\" + this_link
		   	\}\n";
		   	
		   	&print_javascript_end();
			}

		foreach my $quest(sort {$a<=>$b} keys %THEIR_QUESTIONS) {
			my $quest_no = "$THEIR_QUESTIONS{$quest}";
			$index_to_quest_no = "$index_to_quest_no"."$index_pt2=$quest_no"."-"."$QUESTIONS{$quest_no}{type}"."-"."$QUESTIONS_IN_QST{$quest_no}{value}".",";

			
			
                    ### PRINT OUT QUESTION
           		if ($POSTED_QST{$qst}{submissions} == 1) { # can view their qst
                  		print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index_pt2\">$index_pt2</a>\.</b></TD>
	        		<TD NOWRAP valign=\"top\"><font size=\"-1\">\($QUESTIONS_IN_QST{$quest_no}{value}\)</font></TD><TD valign=\"top\">";
	        		
             			my $question_rows = 1;
 				my $question_length = length($QUESTIONS{$quest_no}{question});
 				
 				# fix display to show new lines in text of question
                                my $content = $QUESTIONS{$quest_no}{question};
                                $content =~ s/\r[\n]*/\n/gm;
                                my @lines = split(/\n/,$content);
                                my $rows = @lines;
                                $question_rows = $question_rows + $rows;

				my $empty_question = $QUESTIONS{$quest_no}{question};
				$empty_question =~ s/\r\n//g;
				$empty_question =~ s/\s//g;
				
				if($QUESTIONS{$quest_no}{ans_mode} == 2) {
					$show_eq = 2;
					}
					
				if($QUESTIONS{$quest_no}{mode} == 1) {
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                elsif($QUESTIONS{$quest_no}{mode} == 2) {
                                        $show_eq = 2;
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                else {
                                        if($empty_question eq "") { # no text in question
	            		
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"&nbsp\;<img src=\"$image\"></TD></TR></TABLE>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                        }
                                                }
                                        else { # text in question
                                                print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"60\">$QUESTIONS{$quest_no}{question}</textarea></b></TD></TR></TABLE>\n";
                                                
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                        }
                                                }
					} 
				}
			
                    
                    
                ### PRINT ANSWERS
			if ($QUESTIONS{$quest_no}{type} eq"TF") { # True False
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{T} == 1) {
					$correct_answer = "T";
					}
				else {
					$correct_answer = "F";
					}

                       		if (defined $THEIR_ANSWERS{$quest_no} && $correct_answer eq "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_tf("correct","$THEIR_ANSWERS{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                             		}
                             		
                        	elsif (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"" && $correct_answer ne "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_tf("wrong","$THEIR_ANSWERS{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_tf("na","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}

                        if ($QUESTIONS{$quest_no}{type} eq"YN") { # Yes No
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{Y} == 1) {
					$correct_answer = "Y";
					}
				else {
					$correct_answer = "N";
					}

                       		if (defined $THEIR_ANSWERS{$quest_no} && $correct_answer eq "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_yn("correct","$THEIR_ANSWERS{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                             		}
                             		
                        	elsif (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"" && $correct_answer ne "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_yn("wrong","$THEIR_ANSWERS{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_yn("na","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}
				
			elsif ($QUESTIONS{$quest_no}{type} eq"SA") { # Short Answer
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
				my $fake_real_no = "sa"."$quest_no"; #short answer question numbers have prefix of sa
                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"") {
					$quest_no =~ s/\D//g;
					$TO_BE_MARKED{$quest_no} = -1;
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                        	     	&mark_sa("answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=4"); #must be marked
                                	  	}
                                        $ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_sa("correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"P") { # Paragraph
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
				my $fake_real_no = "p"."$quest_no"; #paragraph questions numbers have prefix of p

                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"") {
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_p("answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=4"); #must be marked
                                  		}
					$TO_BE_MARKED{$quest_no} = -1;
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_p("correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"MC") { # Multiple Choice
				my $correct_answer;
				my $answers;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
				my $pass_answers;
                                my $pass_images_mc;
                                
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
					foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
						if($ANSWERS{$quest_no}{q_order}{$key}{answers}{$key1} == 1) {
							$correct_answer = "$key";
	
							}
						$answers = "$answers".","."$key1";
						$ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
						$MC_ANSWERS{$key} = "$key1";
						$pass_answers = "$pass_answers"."|#"."$key"."~@"."$MC_ANSWERS{$key}";
						$pass_images_mc = "$pass_images_mc"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
						}
					}
				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_mc =~ s/^-//;
				
				my $fake_real_no = "m"."$quest_no"; #multiple choice question numbers have prefix of m

                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} > 0) {
                             		if ($THEIR_ANSWERS{$quest_no} == $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("correct","1","correct_answer","$correct_answer","answers","$answers","users_answer","$THEIR_ANSWERS{$quest_no}","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=1"); #correct answer
							}
						$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
						++$correct;
                             			}
                             		elsif ($THEIR_ANSWERS{$quest_no} != $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("wrong","1","users_answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=0"); #incorrect answer
							++$wrong;
							} 
                                 		}
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
                             		}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_mc("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                             		}
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       	
                       	elsif ($QUESTIONS{$quest_no}{type} eq"MX") { # Matching
                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 0");
                                
                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 1");
                                my %MYANS = ();
                                        
                                my @their_answers = split(/\n/,$THEIR_ANSWERS{$quest_no});
                                my %SAVED_ANSWERS = ();
                                foreach my $ans(@their_answers) {
                                        my @an = split(/=/,$ans);
                                        $SAVED_ANSWERS{$an[0]} = $an[1];
                                        }
                                        
                                my @mx_string;
                                my $pass = 'correct';
                                
                                for (my $i = 1; $i <= $mx_num; $i++){ 
                                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        else { # no matching text
                                                delete($RETURN_MX_MATCHING{$i});
                                                }
                                        }

                                if(keys %SAVED_ANSWERS) {
                                        foreach my $key1(keys %RETURN_MX_TEXT) {
                                                next if(!defined $RETURN_MX_TEXT{$key1}{answer});
                                        
                                                if(defined $RETURN_MX_TEXT{$key1}{answer} && $RETURN_MX_MATCHING{$key1}{answer} ne "$SAVED_ANSWERS{$key1}") {
                                                        $pass = 'wrong';
                                                        }
                                                }
                                        }
                                else {
                                        $pass = 'na';
                                        } 
                                        
                                if($pass eq "correct") {
                                        push(@results,"$index_pt2"."=1"); #correct answer
                                        $score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
                                        ++$correct;
                                        }
                                elsif($pass eq "na") {
                                        push(@results,"$index_pt2"."=3"); #no answer
                                        ++$na;
                                        }
                                else {
                                        push(@results,"$index_pt2"."=0"); #incorrect answer
                                        ++$wrong;
                                        }
                                        
                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                        &mark_mx("$pass","1","1","1","mx1","$RETURN_MX_TEXT{1}{answer}","mx2","$RETURN_MX_TEXT{2}{answer}","mx3","$RETURN_MX_TEXT{3}{answer}","mx4","$RETURN_MX_TEXT{4}{answer}","mx5","$RETURN_MX_TEXT{5}{answer}","mx6","$RETURN_MX_TEXT{6}{answer}","mx7","$RETURN_MX_TEXT{7}{answer}","mx8","$RETURN_MX_TEXT{8}{answer}","mx9","$RETURN_MX_TEXT{9}{answer}","mx10","$RETURN_MX_TEXT{10}{answer}","mx11","$RETURN_MX_TEXT{11}{answer}","mx12","$RETURN_MX_TEXT{12}{answer}","mx13","$RETURN_MX_TEXT{13}{answer}","mx14","$RETURN_MX_TEXT{14}{answer}","mx15","$RETURN_MX_TEXT{15}{answer}","mxans1","$RETURN_MX_MATCHING{1}{answer}","mxans2","$RETURN_MX_MATCHING{2}{answer}","mxans3","$RETURN_MX_MATCHING{3}{answer}","mxans4","$RETURN_MX_MATCHING{4}{answer}","mxans5","$RETURN_MX_MATCHING{5}{answer}","mxans6","$RETURN_MX_MATCHING{6}{answer}","mxans7","$RETURN_MX_MATCHING{7}{answer}","mxans8","$RETURN_MX_MATCHING{8}{answer}","mxans9","$RETURN_MX_MATCHING{9}{answer}","mxans10","$RETURN_MX_MATCHING{10}{answer}","mxans11","$RETURN_MX_MATCHING{11}{answer}","mxans12","$RETURN_MX_MATCHING{12}{answer}","mxans13","$RETURN_MX_MATCHING{13}{answer}","mxans14","$RETURN_MX_MATCHING{14}{answer}","mxans15","$RETURN_MX_MATCHING{15}{answer}","m1","$SAVED_ANSWERS{1}","m2","$SAVED_ANSWERS{2}","m3","$SAVED_ANSWERS{3}","m4","$SAVED_ANSWERS{4}","m5","$SAVED_ANSWERS{5}","m6","$SAVED_ANSWERS{6}","m7","$SAVED_ANSWERS{7}","m8","$SAVED_ANSWERS{8}","m9","$SAVED_ANSWERS{9}","m10","$SAVED_ANSWERS{10}","m11","$SAVED_ANSWERS{11}","m12","$SAVED_ANSWERS{12}","m13","$SAVED_ANSWERS{13}","m14","$SAVED_ANSWERS{14}","m15","$SAVED_ANSWERS{15}");
                                        }
                                        
                                if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                                }
                                
                        elsif ($QUESTIONS{$quest_no}{type} eq"MA") { # Multiple Answer
				my $correct_answer;
				my $answers;
				my $input_answers;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
				my %CORRECT_ANSWERS = ();
				my %INPUT_ANSWER = ();
				my %ANSWER_IN = ();
				my $pass_answers;
                                my $pass_images_ma;
                                
                                my @in_ans = split(/\,/,$THEIR_ANSWERS{$quest_no});
                                foreach my $ans(@in_ans) {
                                        $INPUT_ANSWER{$ans}{$ans} = $ans;
                                        $ANSWER_IN{$ans} = $ans;
                                        $input_answers = "$input_answers".","."$ans";
                                       }

                                $input_answers =~ s/^,//;
                                $MA{$quest_no} = $input_answers;
                                
                                # get all the answers for the question
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
                                        foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
                                                if($QUESTIONS{$quest_no}{ans_mode} == 1) {
                                                        $key1 =~ s/&quot;/"/g; #change back
                                                        $key1 =~ s/&apos;/'/g; #change back
                                                        }

                                                $MC_ANSWERS{$key} = $key1;
                                                 $pass_answers = "$pass_answers"."|#"."$key"."~@"."$key1";
                                                }
                                                
                                        # correct answers
                                        if($ANSWERS{$quest_no}{q_order}{$key}{c_answer} == 1) {
                                                $CORRECT_ANSWERS{$key} = $key;
                                                $correct_answer = "$correct_answer".","."$key";
                                                }
                                        $answers = "$answers".","."$key";
                                        $ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
                                        $pass_images_ma = "$pass_images_ma"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
                                        }

				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_ma =~ s/^-//;
				$correct_answer =~ s/^,//;
				my $fake_real_no = "ma"."$quest_no"; #multiple answer question numbers have prefix of ma

                       		if (keys %INPUT_ANSWER) {
                                        my $ma_correct = 0;

                                        # see if all input answers are correct
                                        foreach my $an(keys %CORRECT_ANSWERS) {
                                                delete($ANSWER_IN{$an});
                                                if(!defined $INPUT_ANSWER{$an}{$an}) {
                                                        $ma_correct = 1;
                                                        }
                                                }
                       		
                             		if ($ma_correct == 0 && !keys %ANSWER_IN) { # no keys in %ANSWER_IN means they did not select everything
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("correct","1","correct_answer","$correct_answer","input_answers","$input_answers","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","users_answer","$MT{$fake_real_no}","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
							push(@results,"$index_pt2"."=1"); #correct answer
							}

						$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
						++$correct;
                             			}
                             		else {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("wrong","1","users_answer","$input_answers","input_answers","$input_answers","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=0"); #incorrect answer
							++$wrong;
							} 
                                 		}
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
                             		}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_ma("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                             		}
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       		
                 	++$index_pt2;
			}
			
                if($show_eq == 2) {
                        &print_eq();
                        }
                        
           ## done with answers
                
		if ($POSTED_QST{$qst}{submissions} == 1) { # submitted qst is viewable
			my $pass;
			foreach my $piece(@results) {
				$pass = "$pass".","."$piece";
				}
			$pass =~ s/^,//;
                	print "</TABLE></FORM>\n";
			&print_form("form_name","form1","form_target","m3right_bot","input","modal3_qst_mark3","done","1","score","$score","qst_total","$QST_INFO{$qst}{marks}","pass","$pass","to_mark","$number_to_mark","na","$na","correct","$correct","wrong","$wrong","value_of_quests_to_be_marked","$valu_of_quests_to_be_marked","index_to_quest_no","$index_to_quest_no","u_id","$u_id","session_id","$session_id");
			
			print"<img src=\"/schools/blank.gif\" onLoad=\"load_right\(\)\">\n";
			}
		
                print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"close_modal\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Close}&nbsp\;</font></B></TD></TABLE></center><P>\n";
		
                if ($POSTED_QST{$qst}{result} == 1) { # result/mark is viewable
                	print "<center><B><font size=\"+1\"> $LANGUAGE{$set_language}{Mark}: $score/$QST_INFO{$qst}{marks} ";
                	
                	if($number_to_mark > 0) {
                                print"&nbsp\;&nbsp\;&nbsp\;Number to Mark: $number_to_mark ";
                                }
                                
                        print"</font></B></center><P>\n";
			}
			
		if ($POSTED_QST{$qst}{submissions}!= 1) {
                	print"<center><B>Submissions have not been released.</B></center><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{result}!= 1) {
                	print"<center><B>Marks have not been released.</b></center><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{submissions}!= 1 || $POSTED_QST{$qst}{result}!= 1) {
			print"<img src=\"/schools/blank.gif\" onLoad=\"right_clear\(\)\">\n";
			}
			
			
		# record mark, the highest mark if more than one try
		if($POSTED_QST{$qst}{rhm} == 1) { 
			my %RETURN6 = &select_qst_scores("query","SELECT u_id,qst,mark,marked from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			my %TIME = &get_org_time("org_id","$MT{org_id}");
			my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"$attempt\"");
			my $entered_answers;
			
			
			if(!keys %RETURN6) { # no previous score
                 		if ($number_to_mark > 0) {#must be marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"1\",\"0\",\"$org_id\")");
					}
				else { #marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"0\",\"0\",\"$org_id\")");
					}
				}
				
			else { # must be marked or previous score
                 		if ($number_to_mark > 0) { #must be marked, contains questions other than TF and mult choice
					# enter new score
					&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"1\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					
					# delete previous attempt answers
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
					}
					
				else { # previous score there
				 	if($RETURN6{$ids}{mark} < $score) { # if new score is greater than old score, enter new score and answers and delete previous attempt answers
						&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"0\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
						
						# delete previous attempt
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
						}
						
					else { # delete this attempt, score is lower
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
						}
					}
				}
                        
                        my %TIMEZONE = ();
                        my $org_time1;
                        my $adjusted_time;
                        my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$MT{org_id}\"};
                        my $sth = $dbh->prepare($queryt);
                        $sth->execute();
                        while(my @row = $sth->fetchrow_array()) {
                                $TIMEZONE{$row[0]}= "$row[1]";
                                $adjusted_time = "$row[1]";
                                }

                        if($adjusted_time != 0) {
                                $org_time1 = "$adjusted_time" * 3600;
                                }
                        else {
                                $org_time1 = 0; 
                                }
                
                        #time with time zone included
                        my $time1 = time + "$org_time1";

                        my %TIME1 = &get_time_to_display("time","$time1");

			&update_general("query","UPDATE qst_attempts SET finish_time=\"$TIME1{time}{hour_minute}\", finish_day=\"$TIME1{time}{day}\", finish_month=\"$TIME1{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
			
		else { #do not record mark
			&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			}
      		}
      		
      		
      		
     ### surveys below here
	elsif ((keys %POSTED_QST && $QST_INFO{$qst}{type} == 2 && $POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #surveys
		my %QUESTIONS_IN_QST = &select4("query","select quest_no,q_order from qst_questions WHERE qst_no=\"$qst\"");
		my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"1\"");
		my %TIME = &get_time();

		if($attempt == 0) { # deleted by instructor while in progress
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
                else {
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}

		if(keys %QUESTIONS_IN_QST) {
			#see if already submitted by instructor
			my $submitted = &select10("query","SELECT qst from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			
			if($submitted == $qst) {
				&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
				}
				
			&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"0\",\"0\",\"0\",\"$org_id\")");
			
       	    		print "<center><BR><P><B>$LANGUAGE{$set_language}{Thankyoufortakingthetimetocompletethesurvey}</b></center><P> \n";
			print"<center><input type=\"BUTTON\" style=\"cursor: pointer\" name=\"del\" value=\"$LANGUAGE{$set_language}{Close}\" onClick=\"close_modal\(\)\"></center>\n";
			}
		else {
            		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
			}
			
                print"<img src=\"/schools/blank.gif\" onLoad=\"right_clear\(\)\">\n";
		}
	else {
		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
		}
	}

	
##################
#
# MODAL4_MARK_TYPE4
#
################
sub modal4_mark_type4 {
	my %MT = @_;
	my $class_id = $MT{class_id};
	$class_id =~ s/\D//g;
	my $qst = $MT{qst};
	my $type = $MT{type};
	$type =~ s/\D//g;
	my $u_id = $MT{u_id};
	$u_id =~ s/\D//g;
	my $session_id = $MT{session_id};
	$session_id =~ s/\D//g;
	my $qst_name = $MT{qst_name};
	my $number_to_mark = 0;
	my $valu_of_quests_to_be_marked = 0;
	my %QUESTIONS = ();
	my %ANSWERS = ();
     	my $score = 0;
     	my $index_pt2 = 1;
	my $na = 0;
	my $correct = 0;
	my $wrong = 0;
	my %TO_BE_MARKED = ();
	my $index_to_quest_no;
        my %MA = (); # for MA questions
        my $show_eq = 1;

        &print_style_sheet();

	&print_javascript_begin();
	print"function right_clear\(\)\{
	self.parent.m4right_top.location = \"/schools/empty.htm\"
	self.parent.m4right_bot.location = \"/schools/empty.htm\"
	\}\n";

	print"function c_window\(\)\{
	top.close\(\)\}\n";
	
	print"function close_modal\(\) \{
        self.top.location=\"/qst/one#close\"
        self.top.document.form_reload.submit()
        \}\n";
        
	&print_javascript_end();

	my %ACCESS = ();
	
	#see if they have access to posted qst
	my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
	
	if($POSTED_QST{$qst}{forall} != 1) { # only certain students have access
		%ACCESS = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
		}
		
	my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
	my $attempt = &select10("query","SELECT attempts from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

	#find which questions are associated with their qst
	my %THEIR_QUESTIONS = &select4("query","SELECT quest_order,quest_no from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");

	#get their answers to the qst questions
	my %THEIR_ANSWERS = &select4("query","SELECT quest_no,answer from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
	
	#quizzes/tests below here
	if (keys %POSTED_QST && $QST_INFO{$qst}{type} == 1 && ($POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #quizzes/tests
		my @results;
		my $questions_in_student_qst = 0;
		my %QUESTIONS_IN_QST = ();
		my %ENTERED_QUESTIONS = ();
		my $questions_in_qst_query = "select quest_no,value,q_select from qst_questions WHERE qst_no=\"$qst\" AND (";
		
		foreach my $quest_no(values %THEIR_QUESTIONS) {
                        $questions_in_student_qst = 1;
			$questions_in_qst_query = "$questions_in_qst_query"." "."quest_no=\"$quest_no\" OR";
			}
		$questions_in_qst_query =~ s/ OR$/)/;

		if($questions_in_student_qst == 1) {
                        %QUESTIONS_IN_QST = &select_users_qst_questions("query","$questions_in_qst_query");
                        }
                        
		my $query = "SELECT * from questions WHERE ";
		my $questions = "$QST_INFO{$qst}{questions}";
		my $marks = "$QST_INFO{$qst}{marks}";
		my $name = "$QST_INFO{$qst}{name}";
		
		if(keys %QUESTIONS_IN_QST) {
     			foreach my $key(keys %QUESTIONS_IN_QST) {
				$query = "$query"." "."number=\"$key\" OR";
				}
			$query =~ s/ OR$//;
			%QUESTIONS = &select_questions("query","$query");
			
			my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE ";
			foreach my $key(keys %QUESTIONS) {
				$query1 = "$query1"." "."number=\"$key\" OR";
				}
			$query1 =~ s/ OR$//;
			
			#correct answers
			%ANSWERS = &select_question_answers("query","$query1");
			}
			
           	if ($POSTED_QST{$qst}{submissions} == 1) { # submitted qst is viewable
           		&print_javascript_begin();
           		
			print"var frame_url = self.parent.m4qst_left.location.href
			function load_right\(\)\{
			self.parent.m4right_top.location = \"/schools/empty.htm\"
			document.form1.submit\(\)
			\}
            		function link_anchor\(l_nk\) \{
			var this_link = l_nk
			self.parent.m4qst_left.location = frame_url + \"#\" + this_link
		   	\}\n";
		   	
		   	&print_javascript_end();
			}

		foreach my $quest(sort {$a<=>$b} keys %THEIR_QUESTIONS) {
			my $quest_no = "$THEIR_QUESTIONS{$quest}";
			$index_to_quest_no = "$index_to_quest_no"."$index_pt2=$quest_no"."-"."$QUESTIONS{$quest_no}{type}"."-"."$QUESTIONS_IN_QST{$quest_no}{value}".",";

			
			
                    	### PRINT OUT QUESTION
           		if ($POSTED_QST{$qst}{submissions} == 1) { # can view their qst
                  		print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index_pt2\">$index_pt2</a>\.</b></TD>
	        		<TD NOWRAP valign=\"top\"><font size=\"-1\">\($QUESTIONS_IN_QST{$quest_no}{value}\)</font></TD><TD valign=\"top\">";
	        		
             			my $question_rows = 1;
 				my $question_length = length($QUESTIONS{$quest_no}{question});
 				
 				# fix display to show new lines in text of question
                                my $content = $QUESTIONS{$quest_no}{question};
                                $content =~ s/\r[\n]*/\n/gm;
                                my @lines = split(/\n/,$content);
                                my $rows = @lines;
                                $question_rows = $question_rows + $rows;

				my $empty_question = $QUESTIONS{$quest_no}{question};
				$empty_question =~ s/\r\n//g;
				$empty_question =~ s/\s//g;
				
				if($QUESTIONS{$quest_no}{ans_mode} == 2) {
					$show_eq = 2;
					}
					
				if($QUESTIONS{$quest_no}{mode} == 1) {
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                elsif($QUESTIONS{$quest_no}{mode} == 2) {
                                        $show_eq = 2;
                                        print"$QUESTIONS{$quest_no}{question}</TD></TR></TABLE>\n";
                                        }
                                        
                                else {
                                        if($empty_question eq "") { # no text in question
	            		
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"&nbsp\;<img src=\"$image\"></TD></TR></TABLE>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                        }
                                                }
                                        else { # text in question
                                                print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"60\">$QUESTIONS{$quest_no}{question}</textarea></b></TD></TR></TABLE>\n";
                                                
                                                if(defined $QUESTIONS{$quest_no}{image_id} && $QUESTIONS{$quest_no}{image_id} > 0) {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$quest_no}{image_id}\"");
                                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$quest_no}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{image_id}"."\."."$extension[1]";
                                                        print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                                                        }
						
						if(defined $QUESTIONS{$quest_no}{pdf} && $QUESTIONS{$quest_no}{pdf} > 0) {
							my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$quest_no}{pdf}"."\."."pdf";
							print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						        }
						        
                                                if($QUESTIONS{$quest_no}{vlink} && $QUESTIONS{$quest_no}{vlink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$quest_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                        }
                                        
                                                if($QUESTIONS{$quest_no}{alink} && $QUESTIONS{$quest_no}{alink} ne "0") {
                                                        print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$quest_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                        }
                                                }
					} 
				}
			
                    
                    
                	### PRINT ANSWERS
			if ($QUESTIONS{$quest_no}{type} eq"TF") { # True False
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{T} == 1) {
					$correct_answer = "T";
					}
				else {
					$correct_answer = "F";
					}

                       		if (defined $THEIR_ANSWERS{$quest_no} && $correct_answer eq "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_tf("correct","$THEIR_ANSWERS{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                             		}
                             		
                        	elsif (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"" && $correct_answer ne "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_tf("wrong","$THEIR_ANSWERS{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_tf("na","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}

                        if ($QUESTIONS{$quest_no}{type} eq"YN") { # Yes No
				my $correct_answer;
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{Y} == 1) {
					$correct_answer = "Y";
					}
				else {
					$correct_answer = "N";
					}

                       		if (defined $THEIR_ANSWERS{$quest_no} && $correct_answer eq "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                            		&mark_yn("correct","$THEIR_ANSWERS{$quest_no}");
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                             		}
                             		
                        	elsif (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"" && $correct_answer ne "$THEIR_ANSWERS{$quest_no}") {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                              			&mark_yn("wrong","$THEIR_ANSWERS{$quest_no}","answer","$correct_answer");
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$THEIR_ANSWERS{$quest_no}";
                        		}

                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_yn("na","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                           		}

				$TO_BE_MARKED{$quest_no} = 0;
    	       			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
				}
				
			elsif ($QUESTIONS{$quest_no}{type} eq"SA") { # Short Answer
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
				my $fake_real_no = "sa"."$quest_no"; #short answer question numbers have prefix of sa
                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"") {
					$quest_no =~ s/\D//g;
					$TO_BE_MARKED{$quest_no} = -1;
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                        	     	&mark_sa("answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=4"); #must be marked
                                	  	}
                                        $ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_sa("correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"P") { # Paragraph
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
				my $fake_real_no = "p"."$quest_no"; #paragraph questions numbers have prefix of p

                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} ne"") {
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS{$quest_no}{value};
					++$number_to_mark;
           				if ($POSTED_QST{$qst}{submissions} == 1) {
	                             		&mark_p("answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=4"); #must be marked
                                  		}
					$TO_BE_MARKED{$quest_no} = -1;
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
					}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
						$TO_BE_MARKED{$quest_no} = 0;
                                  		&mark_p("correct_answer","$correct_answer");
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
                                  		}
					}
					
       	    			if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}

			elsif ($QUESTIONS{$quest_no}{type} eq"MC") { # Multiple Choice
				my $correct_answer;
				my $answers;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
				my $pass_answers;
                                my $pass_images_mc;
                                
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
					foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
						if($ANSWERS{$quest_no}{q_order}{$key}{answers}{$key1} == 1) {
							$correct_answer = "$key";
	
							}
						$answers = "$answers".","."$key1";
						$ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
						$MC_ANSWERS{$key} = "$key1";
						$pass_answers = "$pass_answers"."|#"."$key"."~@"."$MC_ANSWERS{$key}";
						$pass_images_mc = "$pass_images_mc"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
						}
					}
				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_mc =~ s/^-//;
				
				my $fake_real_no = "m"."$quest_no"; #multiple choice question numbers have prefix of m

                       		if (defined $THEIR_ANSWERS{$quest_no} && $THEIR_ANSWERS{$quest_no} > 0) {
                             		if ($THEIR_ANSWERS{$quest_no} == $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("correct","1","correct_answer","$correct_answer","answers","$answers","users_answer","$THEIR_ANSWERS{$quest_no}","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=1"); #correct answer
							}
						$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
						++$correct;
                             			}
                             		elsif ($THEIR_ANSWERS{$quest_no} != $correct_answer) {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_mc("wrong","1","users_answer","$THEIR_ANSWERS{$quest_no}","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=0"); #incorrect answer
							++$wrong;
							} 
                                 		}
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
                             		}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_mc("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                             		}
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       	
                       	elsif ($QUESTIONS{$quest_no}{type} eq"MX") { # Matching
                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 0");
                                
                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$quest_no\" AND c_answer = 1");
                                my %MYANS = ();
                                        
                                my @their_answers = split(/\n/,$THEIR_ANSWERS{$quest_no});
                                my %SAVED_ANSWERS = ();
                                foreach my $ans(@their_answers) {
                                        my @an = split(/=/,$ans);
                                        $SAVED_ANSWERS{$an[0]} = $an[1];
                                        }
                                        
                                my @mx_string;
                                my $pass = 'correct';
                                
                                for (my $i = 1; $i <= $mx_num; $i++){ 
                                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        else { # no matching text
                                                delete($RETURN_MX_MATCHING{$i});
                                                }
                                        }

                                if(keys %SAVED_ANSWERS) {
                                        foreach my $key1(keys %RETURN_MX_TEXT) {
                                                next if(!defined $RETURN_MX_TEXT{$key1}{answer});
                                        
                                                if(defined $RETURN_MX_TEXT{$key1}{answer} && $RETURN_MX_MATCHING{$key1}{answer} ne "$SAVED_ANSWERS{$key1}") {
                                                        $pass = 'wrong';
                                                        }
                                                }
                                        }
                                else {
                                        $pass = 'na';
                                        } 
                                        
                                if($pass eq "correct") {
                                        push(@results,"$index_pt2"."=1"); #correct answer
                                        $score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
                                        ++$correct;
                                        }
                                elsif($pass eq "na") {
                                        push(@results,"$index_pt2"."=3"); #no answer
                                        ++$na;
                                        }
                                else {
                                        push(@results,"$index_pt2"."=0"); #incorrect answer
                                        ++$wrong;
                                        }
                                        
                                if ($POSTED_QST{$qst}{submissions} == 1) {
                                        &mark_mx("$pass","1","1","1","mx1","$RETURN_MX_TEXT{1}{answer}","mx2","$RETURN_MX_TEXT{2}{answer}","mx3","$RETURN_MX_TEXT{3}{answer}","mx4","$RETURN_MX_TEXT{4}{answer}","mx5","$RETURN_MX_TEXT{5}{answer}","mx6","$RETURN_MX_TEXT{6}{answer}","mx7","$RETURN_MX_TEXT{7}{answer}","mx8","$RETURN_MX_TEXT{8}{answer}","mx9","$RETURN_MX_TEXT{9}{answer}","mx10","$RETURN_MX_TEXT{10}{answer}","mx11","$RETURN_MX_TEXT{11}{answer}","mx12","$RETURN_MX_TEXT{12}{answer}","mx13","$RETURN_MX_TEXT{13}{answer}","mx14","$RETURN_MX_TEXT{14}{answer}","mx15","$RETURN_MX_TEXT{15}{answer}","mxans1","$RETURN_MX_MATCHING{1}{answer}","mxans2","$RETURN_MX_MATCHING{2}{answer}","mxans3","$RETURN_MX_MATCHING{3}{answer}","mxans4","$RETURN_MX_MATCHING{4}{answer}","mxans5","$RETURN_MX_MATCHING{5}{answer}","mxans6","$RETURN_MX_MATCHING{6}{answer}","mxans7","$RETURN_MX_MATCHING{7}{answer}","mxans8","$RETURN_MX_MATCHING{8}{answer}","mxans9","$RETURN_MX_MATCHING{9}{answer}","mxans10","$RETURN_MX_MATCHING{10}{answer}","mxans11","$RETURN_MX_MATCHING{11}{answer}","mxans12","$RETURN_MX_MATCHING{12}{answer}","mxans13","$RETURN_MX_MATCHING{13}{answer}","mxans14","$RETURN_MX_MATCHING{14}{answer}","mxans15","$RETURN_MX_MATCHING{15}{answer}","m1","$SAVED_ANSWERS{1}","m2","$SAVED_ANSWERS{2}","m3","$SAVED_ANSWERS{3}","m4","$SAVED_ANSWERS{4}","m5","$SAVED_ANSWERS{5}","m6","$SAVED_ANSWERS{6}","m7","$SAVED_ANSWERS{7}","m8","$SAVED_ANSWERS{8}","m9","$SAVED_ANSWERS{9}","m10","$SAVED_ANSWERS{10}","m11","$SAVED_ANSWERS{11}","m12","$SAVED_ANSWERS{12}","m13","$SAVED_ANSWERS{13}","m14","$SAVED_ANSWERS{14}","m15","$SAVED_ANSWERS{15}");
                                        }
                                        
                                if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                                }
                                
                        elsif ($QUESTIONS{$quest_no}{type} eq"MA") { # Multiple Answer
				my $correct_answer;
				my $answers;
				my $input_answers;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
				my %CORRECT_ANSWERS = ();
				my %INPUT_ANSWER = ();
				my %ANSWER_IN = ();
				my $pass_answers;
                                my $pass_images_ma;
                                
                                my @in_ans = split(/\,/,$THEIR_ANSWERS{$quest_no});
                                foreach my $ans(@in_ans) {
                                        $INPUT_ANSWER{$ans}{$ans} = $ans;
                                        $ANSWER_IN{$ans} = $ans;
                                        $input_answers = "$input_answers".","."$ans";
                                       }

                                $input_answers =~ s/^,//;
                                $MA{$quest_no} = $input_answers;
                                
                                # get all the answers for the question
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
                                        foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
                                                if($QUESTIONS{$quest_no}{ans_mode} == 1) {
                                                        $key1 =~ s/&quot;/"/g; #change back
                                                        $key1 =~ s/&apos;/'/g; #change back
                                                        }

                                                $MC_ANSWERS{$key} = $key1;
                                                 $pass_answers = "$pass_answers"."|#"."$key"."~@"."$key1";
                                                }
                                                
                                        # correct answers
                                        if($ANSWERS{$quest_no}{q_order}{$key}{c_answer} == 1) {
                                                $CORRECT_ANSWERS{$key} = $key;
                                                $correct_answer = "$correct_answer".","."$key";
                                                }
                                        $answers = "$answers".","."$key";
                                        $ANSWER_IMAGES{$key} = $ANSWERS{$quest_no}{q_order}{$key}{image_id};
                                        $pass_images_ma = "$pass_images_ma"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
                                        }

				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_ma =~ s/^-//;
				$correct_answer =~ s/^,//;
				my $fake_real_no = "ma"."$quest_no"; #multiple answer question numbers have prefix of ma

                       		if (keys %INPUT_ANSWER) {
                                        my $ma_correct = 0;

                                        # see if all input answers are correct
                                        foreach my $an(keys %CORRECT_ANSWERS) {
                                                delete($ANSWER_IN{$an});
                                                if(!defined $INPUT_ANSWER{$an}{$an}) {
                                                        $ma_correct = 1;
                                                        }
                                                }
                       		
                             		if ($ma_correct == 0 && !keys %ANSWER_IN) { # no keys in %ANSWER_IN means they did not select everything
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("correct","1","correct_answer","$correct_answer","input_answers","$input_answers","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","users_answer","$MT{$fake_real_no}","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
							push(@results,"$index_pt2"."=1"); #correct answer
							}

						$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
						++$correct;
                             			}
                             		else {
           					if ($POSTED_QST{$qst}{submissions} == 1) {
                                                        &mark_ma("wrong","1","users_answer","$input_answers","input_answers","$input_answers","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                        
							push(@results,"$index_pt2"."=0"); #incorrect answer
							++$wrong;
							} 
                                 		}
					$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
                             		}
                       		else {
           				if ($POSTED_QST{$qst}{submissions} == 1) {
                                                &mark_ma("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","kolum","$QUESTIONS{$quest_no}{kolum}","ans_mode","$QUESTIONS{$quest_no}{ans_mode}");
                                                
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
                             		}
				$TO_BE_MARKED{$quest_no} = 0;
				
        	   		if ($POSTED_QST{$qst}{submissions} == 1) {
	                       		print"<HR width=90\%>\n";
					}
                       		}
                       		
                 	++$index_pt2;
			}
			
                if($show_eq == 2) {
                        &print_eq();
                        }
                        
            # done with answers
                
		if ($POSTED_QST{$qst}{submissions} == 1) { # submitted qst is viewable
			my $pass;
			foreach my $piece(@results) {
				$pass = "$pass".","."$piece";
				}
			$pass =~ s/^,//;
                	print "</TABLE></FORM>\n";
			&print_form("form_name","form1","form_target","m4right_bot","input","modal4_qst_mark4","done","1","score","$score","qst_total","$QST_INFO{$qst}{marks}","pass","$pass","to_mark","$number_to_mark","na","$na","correct","$correct","wrong","$wrong","value_of_quests_to_be_marked","$valu_of_quests_to_be_marked","index_to_quest_no","$index_to_quest_no","u_id","$u_id","session_id","$session_id");
			print"<img src=\"/schools/blank.gif\" onLoad=\"load_right\(\)\">\n";
			}
		
                print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"close_modal\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Close}&nbsp\;</font></B></TD></TABLE></center><P>\n";
		
                if ($POSTED_QST{$qst}{result} == 1) { # result/mark is viewable
                	print "<center><B><font size=\"+1\"> $LANGUAGE{$set_language}{Mark}: $score/$QST_INFO{$qst}{marks} ";
                	
                	if($number_to_mark > 0) {
                                print"&nbsp\;&nbsp\;&nbsp\;Number to Mark: $number_to_mark ";
                                }
                                
                        print"</font></B></center><P>\n";
			}
			
		if ($POSTED_QST{$qst}{submissions}!= 1) {
                	print"<center><B>Submissions have not been released.</B></center><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{result}!= 1) {
                	print"<center><B>Marks have not been released.</b></center><P>\n";
                	}
                	
		if ($POSTED_QST{$qst}{submissions}!= 1 || $POSTED_QST{$qst}{result}!= 1) {
			print"<img src=\"/schools/blank.gif\" onLoad=\"right_clear\(\)\">\n";
			}
			
			
		# record mark, the highest mark if more than one try
		if($POSTED_QST{$qst}{rhm} == 1) { 
			my %RETURN6 = &select_qst_scores("query","SELECT u_id,qst,mark,marked from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			my %TIME = &get_org_time("org_id","$MT{org_id}");
			my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"$attempt\"");
			my $entered_answers;
			
			
			if(!keys %RETURN6) { # no previous score
                 		if ($number_to_mark > 0) {#must be marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"1\",\"0\",\"$org_id\")");
					}
				else { #marked
					&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"$score\",\"0\",\"0\",\"$org_id\")");
					}
				}
				
			else { # must be marked or previous score
                 		if ($number_to_mark > 0) { #must be marked, contains questions other than TF and mult choice
					# enter new score
					&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"1\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
					
					# delete previous attempt answers
					&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
					}
					
				else { # previous score there
				 	if($RETURN6{$ids}{mark} < $score) { # if new score is greater than old score, enter new score and answers and delete previous attempt answers
						&update_general("query","UPDATE qst_scores SET mark=\"$score\", marked=\"0\" WHERE qst=\"$qst\" AND u_id=\"$ids\"");
						
						# delete previous attempt
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt!=\"$attempt\"");
						}
						
					else { # delete this attempt, score is lower
						&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\" AND attempt=\"$attempt\"");
						}
					}
				}
                        
                        my %TIMEZONE = ();
                        my $org_time1;
                        my $adjusted_time;
                        my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$MT{org_id}\"};
                        my $sth = $dbh->prepare($queryt);
                        $sth->execute();
                        while(my @row = $sth->fetchrow_array()) {
                                $TIMEZONE{$row[0]}= "$row[1]";
                                $adjusted_time = "$row[1]";
                                }

                        if($adjusted_time != 0) {
                                $org_time1 = "$adjusted_time" * 3600;
                                }
                        else {
                                $org_time1 = 0; 
                                }
                
                        #time with time zone included
                        my $time1 = time + "$org_time1";

                        my %TIME1 = &get_time_to_display("time","$time1");

			&update_general("query","UPDATE qst_attempts SET finish_time=\"$TIME1{time}{hour_minute}\", finish_day=\"$TIME1{time}{day}\", finish_month=\"$TIME1{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
			
		else { #do not record mark
			&generic_delete("query","DELETE from qsts WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			}
      		}
      		
      		
      		
      	# surveys below here
	elsif ((keys %POSTED_QST && $QST_INFO{$qst}{type} == 2 && $POSTED_QST{$qst}{forall} == 1 || keys %ACCESS)) { #surveys
		my %QUESTIONS_IN_QST = &select4("query","select quest_no,q_order from qst_questions WHERE qst_no=\"$qst\"");
		my %QUESTIONS_ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\"AND qst=\"$qst\" AND attempt=\"1\"");
		my %TIME = &get_time();

		if($attempt == 0) { # deleted by instructor while in progress
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}
                else {
			&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
			}

		if(keys %QUESTIONS_IN_QST) {
			#see if already submitted by instructor
			my $submitted = &select10("query","SELECT qst from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
			
			if($submitted == $qst) {
				&generic_delete("query","DELETE from qst_scores WHERE qst=\"$qst\" AND u_id=\"$ids\"");
				}
				
			&insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$qst\",\"0\",\"0\",\"0\",\"$org_id\")");
			
       	    		print "<center><BR><P><B>$LANGUAGE{$set_language}{Thankyoufortakingthetimetocompletethesurvey}</b></center><P> \n";
			print"<center><input type=\"BUTTON\" style=\"cursor: pointer\" name=\"del\" value=\"$LANGUAGE{$set_language}{Close}\" onClick=\"close_modal\(\)\"></center>\n";
			}
		else {
            		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
			}
			
                print"<img src=\"/schools/blank.gif\" onLoad=\"right_clear\(\)\">\n";
		}
	else {
		print "<center><P><img src=\"/schools/x.gif\"><B> Invalid input.</b></center><P> \n";
		}
	}

##################
#
# MARK_MC
#
##################
sub mark_mc {
	my %MC = @_;

	foreach my $key(keys %MC) {
		if ($MC{$key} eq"") {
			delete($MC{$key});
			}
		}
		
	my $correct_answer = $MC{correct_answer};
	my @pass_mc = split(/\|#/,$MC{pass_answers});
	foreach my $piece(@pass_mc) {
                my @answer = split(/\~@/,$piece);
                $MC{$answer[0]} = $answer[1];
                }
	
	my @pass_images_mc = split(/-/,$MC{pass_images_mc});
	foreach my $piece(@pass_images_mc) {
                my @answer = split(/\,/,$piece);
                $MC{$answer[0]} = $answer[1];
                }
                
	print"<TABLE>";
	
	if (defined $MC{correct}) {
		print"<TR><TD width=\"60\"></TD><TD><font size=\"-1\" color=\"green\"><i>$LANGUAGE{$set_language}{Correct}</i></TD></TR>";
		}
		
	if (defined $MC{wrong}) {
 		print"<TR><TD width=\"60\"></TD><TD><font size=\"-1\" color=\"red\"><i>$LANGUAGE{$set_language}{Incorrect}</i></TD></TR>";
 		}
 		
	if (defined $MC{na}) {
 		print"<TR><TD width=\"60\"></TD><TD><font size=\"-1\" color=\"black\"><i>$LANGUAGE{$set_language}{NoAnswer}</i></TD></TR>";
 		}
 		
	print"</TABLE>\n";
		
        # print the answers
	for(my $i = 1; $i <= $mc_num; $i++) {
		if ($MC{users_answer} == $i) { # ANSWER USER CHOSE
                        if($correct_answer == $i && $MC{branch} != 1) { # Actual Correct answer
                        	if($MC{mobile} == 1) {
					print"<TABLE> <TR><TD width=\"1\"></TD><TD style=\"vertical-align:middle\"><img src=\"/schools/checkmark4.png\" border=\"0\">\n";
				        }
                                else {
                                	print"<TABLE> <TR><TD width=\"26\"></TD><TD style=\"vertical-align:middle\"><img src=\"/schools/checkmark_3.png\" border=\"0\">\n";
                                	}
                                }
                        else { # not correct answer
                        	if($MC{mobile} == 1) {
					print"<TABLE> <TR><TD width=\"25\"></TD><TD style=\"vertical-align:middle\">\n";
				        }
                                else {
                                	print"<TABLE> <TR><TD width=\"50\"></TD><TD style=\"vertical-align:middle\">\n";
                                	}
                                }
                                
                        # user chose correct answer
                        print"<input type =\"checkbox\" class=\"medium\" onclick=\"return false\" name =\"\" value=\"1\" checked>&nbsp\;</TD> ";
                        
                        if ($MC{ans_mode} == 1 || $MC{ans_mode} == 2) { #Advanced or EQ
                                $MC{$i} =~ s/&quot;/"/g; #change back
                                $MC{$i} =~ s/&apos;/'/g; #change back
                                print"<TD style=\"vertical-align:text-top\">$MC{$i}</TD></TR></TABLE>\n";
                                }
                                
                        else { # Basic
                                if(!defined $MC{$i}) { # NO text
                                        my $image = "image"."$i";
                                        if(defined $MC{$image} && $MC{$image} > 0) {
                                                my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$MC{$image}\"");
					
                                                my @extension = split(/\./, $QUEST_IMAGE{$MC{$image}});
                                                my $image_show = "\/schools\/qst_files\/"."$MC{$image}"."\."."$extension[1]";
                                                print"<TD style=\"vertical-align:middle\">&nbsp\;<img src=\"$image_show\">\n";
                                                print"</TD></TR></TABLE>\n";
                                                }
                                        }
                                else { # TEXT
                                        my $image = "image"."$i";
                                        my $sub_length = length($MC{$i});
					                                        
					if($sub_length < 10) {
						$sub_length = 10;
					        }
					else {
					        $sub_length = $sub_length * .7;
					        if($sub_length =~ /\./) {
					        	my @num = split(/\./,$sub_length);
					                $sub_length = $num[0] + 1;
					                }
                                                }
                                                
                                        if($MC{mobile} == 1) {
						if($MC{screen_width} < 321) {
					        	if($sub_length > 25) {
					                	print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"3\" cols=\"25\" readonly>$MC{$i}</textarea>\n";
					                        }
					                else {
					                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MC{$i}</textarea>\n";
					                        }
					                }
					        elsif($MC{screen_width} < 481) {
					                if($sub_length > 40) {
					                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"2\" cols=\"40\" readonly>$MC{$i}</textarea>\n";
					                        }
					                else {
					                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MC{$i}</textarea>\n";
					                        }
					                }
					        elsif($MC{screen_width} < 641) {
					                if($sub_length > 50) {
					                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"2\" cols=\"50\" readonly>$MC{$i}</textarea>\n";
					                        }
					                else {
					                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MC{$i}</textarea>\n";
					                        }
					                }
					        else {
					                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MC{$i}</textarea>\n";
					                }
					        }
                                        else {
                                        	print"<TD><textarea class=\"show_mc_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"60\">$MC{$i}</textarea>\n";
                                        	}
                                        print"</TD></TR></TABLE>\n";
          			
                                        if(defined $MC{$image} && $MC{$image} > 0) {
                                                my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$MC{$image}\"");
					
                                                my @extension = split(/\./, $QUEST_IMAGE{$MC{$image}});
                                                my $image_show = "\/schools\/qst_files\/"."$MC{$image}"."\."."$extension[1]";
                                                print"<table><td WIDTH=\"60\"></td><td valign=\"middle\"><img src=\"$image_show\"></td></table><P>\n";
                                                }
					}
				}
			}
			
		else { # 
                        if(defined $MC{$i}) { # ANSWER TEXT
                                if($correct_answer == $i && $MC{branch} != 1) { # Actual Correct Answer
                                	if($MC{mobile} == 1) {
						print"<TABLE> <TR><TD width=\"1\"></TD><TD style=\"vertical-align:top\"><img src=\"/schools/checkmark4.png\" border=\"0\">\n";
					        }
                                        else {
                                        	print"<TABLE> <TR><TD width=\"26\"></TD><TD style=\"vertical-align:text-top\"><img src=\"/schools/checkmark_3.png\" border=\"0\">\n";
                                        	}
                                        }
                                else {
                                	if($MC{mobile} == 1) {
						print"<TABLE> <TR><TD width=\"25\"></TD><TD style=\"vertical-align:top\">\n";
					        }
                                        else {
                                        	print"<TABLE> <TR><TD width=\"50\"></TD><TD style=\"vertical-align:text-top\">\n";
                                        	}
                                        }
                                        
                                print"<input type =\"checkbox\" class=\"medium\" onclick=\"return false\" name =\"\" value=\"1\">&nbsp\;</TD>";
                                
                                if($MC{ans_mode} == 1 || $MC{ans_mode} == 2) {
                                        $MC{$i} =~ s/&quot;/"/g; #change back
                                        $MC{$i} =~ s/&apos;/'/g; #change back
                                        
                                        print"<TD style=\"vertical-align:text-top\">$MC{$i}</TD></TR></TABLE>\n";
                                        }
                                
                                else {
                                        if(!defined $MC{$i}) {
                                                my $image = "image"."$i";
                                                if(defined $MC{$image} && $MC{$image} > "0") {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$MC{$image}\"");
                                                
                                                        my @extension = split(/\./, $QUEST_IMAGE{$MC{$image}});
                                                        my $image_show = "\/schools\/qst_files\/"."$MC{$image}"."\."."$extension[1]";
                                                        print"<TD style=\"vertical-align:middle\">&nbsp\;<img src=\"$image_show\">\n";
                                                        print"</TD></TR></TABLE>\n";
                                                        }
                                                }
                                        else {
                                                my $image = "image"."$i";
						my $sub_length = length($MC{$i});
						                                        
						if($sub_length < 10) {
							$sub_length = 10;
						        }
						else {
						        $sub_length = $sub_length * .7;
						        if($sub_length =~ /\./) {
						        	my @num = split(/\./,$sub_length);
						                $sub_length = $num[0] + 1;
						                }
                                                        }
                                                        
                                                if($MC{mobile} == 1) {
							if($MC{screen_width} < 321) {
						        	if($sub_length > 25) {
						                	print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"3\" cols=\"25\" readonly>$MC{$i}</textarea>\n";
						                        }
						                else {
						                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MC{$i}</textarea>\n";
						                        }
						                }
						        elsif($MC{screen_width} < 481) {
						                if($sub_length > 40) {
						                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"2\" cols=\"40\" readonly>$MC{$i}</textarea>\n";
						                        }
						                else {
						                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MC{$i}</textarea>\n";
						                        }
						                }
						        elsif($MC{screen_width} < 641) {
						                if($sub_length > 50) {
						                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"2\" cols=\"50\" readonly>$MC{$i}</textarea>\n";
						                        }
						                else {
						                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MC{$i}</textarea>\n";
						                        }
						                }
						        else {
						                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MC{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MC{$i}</textarea>\n";
						                }
						        }
                                                else {
                                                	print"<TD valign=\"bottom\"><textarea class=\"show_mc_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"60\">$MC{$i}</textarea>\n";
                                                	}
                                                	
                                                print"</TD></TR></TABLE>\n";
                                                
                                                if(defined $MC{$image} && $MC{$image} > "0") {
                                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$MC{$image}\"");
                                                
                                                        my @extension = split(/\./, $QUEST_IMAGE{$MC{$image}});
                                                        my $image_show = "\/schools\/qst_files\/"."$MC{$image}"."\."."$extension[1]";
                                                        print"<table><td WIDTH=\"60\"></td><td valign=\"middle\"><img src=\"$image_show\"></td></table><P>\n";
                                                        }
                                                }
                                        }
                                }
                                
                        else { # Image only
                                my $image = "image"."$i";
                                if(defined $MC{$image} && $MC{$image} > "0") {
                                        if($correct_answer == $i && $MC{branch} != 1) { # Correct Answer
						if($MC{mobile} == 1) {
							print"<TABLE> <TR><TD width=\"1\"></TD><TD style=\"vertical-align:middle\"><img src=\"/schools/checkmark4.png\" border=\"0\">\n";
						        }
                                                else {
                                                	print"<TABLE> <TR><TD width=\"26\"></TD><TD style=\"vertical-align:middle\"><img src=\"/schools/checkmark_3.png\" border=\"0\">\n";
                                                	}
                                                }
                                        else {
                                        	if($MC{mobile} == 1) {
							print"<TABLE> <TR><TD width=\"25\"></TD><TD style=\"vertical-align:middle\">\n";
						        }
                                                else {
                                                	print"<TABLE> <TR><TD width=\"50\"></TD><TD style=\"vertical-align:middle\">\n";
                                                	}
                                                }
                                        
                                        print"<input type =\"checkbox\" class=\"medium\" onclick=\"return false\" name =\"\" value=\"1\">&nbsp\;</TD>";
                                        
                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$MC{$image}\"");
                                        
                                        my @extension = split(/\./, $QUEST_IMAGE{$MC{$image}});
                                        my $image_show = "\/schools\/qst_files\/"."$MC{$image}"."\."."$extension[1]";
                                        print"<TD style=\"vertical-align:middle\">&nbsp\;<img src=\"$image_show\">\n";
                                        print"</TD></TR></TABLE>\n";
                                        }
                                }
                        }
		}
	}

##################
#
# MARK_MA
#
##################
sub mark_ma {
	my %MA = @_;
        my %INPUT_ANSWERS = ();
        my %U_ANSWERS = ();

	my @input_answer = split(/,/,$MA{input_answers});
	foreach my $ke(@input_answer) {
                $INPUT_ANSWERS{$ke} = $ke;
                }
                
        my %CORRECT_ANSWERS = ();
	my @correct_answer = split(/,/,$MA{correct_answer});
	foreach my $key(@correct_answer) {
                $CORRECT_ANSWERS{$key} = $key;
                }
                
	my %ANSWERS = ();
	my @answers = split(/,/,$MA{answers});
	foreach my $keyy(@answers) {
                $ANSWERS{$keyy} = $keyy;
                }

        my @pass_ma = split(/\|#/,$MA{pass_answers});
	foreach my $piece(@pass_ma) {
                my @answer = split(/~@/,$piece); 
                $MA{$answer[0]} = $answer[1];
                }
        $MA{pass_answers} = "";
        
        if($MA{ans_mode} == 0) {
                my @pass_images_ma = split(/-/,$MA{pass_images_ma});
                foreach my $piece(@pass_images_ma) {
                        my @answer = split(/\,/,$piece);
                        $MA{$answer[0]} = $answer[1];
                        }
                }
                
        if($MA{branch} == 1) {
                %U_ANSWERS = ();
                my @answers = split(/,/,$MA{users_answer});
                foreach my $keyy(@answers) {
                        $U_ANSWERS{$keyy} = $keyy;
                        }
                }
        

    #### PRINT THE STATE
	print"<TABLE>";
	if (defined $MA{correct}) {
		print"<TR><TD width=\"50\"></TD><TD><font size=\"-1\" color=\"green\"><i>$LANGUAGE{$set_language}{Correct}</i></TD></TR>";
		}
	if (defined $MA{wrong}) {
 		print"<TR><TD width=\"50\"></TD><TD><font size=\"-1\" color=\"red\"><i>$LANGUAGE{$set_language}{Incorrect}</i></TD></TR>";
 		}
	if (defined $MA{na}) {
 		print"<TR><TD width=\"50\"></TD><TD><font size=\"-1\" color=\"black\"><i>$LANGUAGE{$set_language}{NoAnswer}</i></TD></TR>";
 		}
	print"</TABLE>\n";
	
	
    ### PRINT ANSWERS
	for(my $i = 1; $i <= $ma_num; $i++) {
                if($ANSWERS{$i} > 0) {
                    if (defined $CORRECT_ANSWERS{$i} && $MA{branch} != 1) { # Not branching, show correct answer
			    if($MA{mobile} == 1) {
			    		print"<TABLE><TR><TD width=\"1\"></TD><TD style=\"vertical-align:middle\"><img src=\"/schools/checkmark4.png\" border=\"0\">\n";
			    		}
                            else {
                            		print"<TABLE> <TR><TD width=\"26\"></TD><TD style=\"vertical-align:middle\"><img src=\"/schools/checkmark_3.png\" border=\"0\">\n";
                            		}
                            		
                            if(defined $INPUT_ANSWERS{$i}) {
                                    print"<input type =\"checkbox\" class=\"medium\" onclick=\"return false\" name =\"\" value=\"1\" checked>&nbsp\;</TD> ";
                                    }
                            else {
                                    print"<input type =\"checkbox\" class=\"medium\" onclick=\"return false\" name =\"\" value=\"1\">&nbsp\;</TD> ";
                                    }
                                    
                            if($MA{ans_mode} == 1) {
                                    $MA{$i} =~ s/&quot;/"/g; #change back
                                    $MA{$i} =~ s/&apos;/'/g; #change back
                                    print"<TD>$MA{$i}</TD></TR></TABLE>\n"
                                    }
                            elsif($MA{ans_mode} == 2) {
                                    print"<TD>$MA{$i}</TD></TR></TABLE>\n"
                                    }
                            elsif((!exists $MA{$i} || $MA{$i} eq "") && $MA{ans_mode} == 0) {
                                    my $image = "image"."$i";
                                    
                                    if(defined $MA{$image} && $MA{$image} > 0) {
                                            my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$MA{$image}\"");
                                            my @extension = split(/\./, $QUEST_IMAGE{$MA{$image}});
                                            my $image_show = "\/schools\/qst_files\/"."$MA{$image}"."\."."$extension[1]";
                                            print"<TD style=\"vertical-align:middle\">&nbsp\;<img src=\"$image_show\"></TD></TR></TABLE>\n";
                                            }
                                    }
                            else { # basic mode
                                    my $image = "image"."$i";
                                    my $sub_length = length($MA{$i});
				                                            
				    if($sub_length < 10) {
				    		$sub_length = 10;
				                }
				    else {
				                $sub_length = $sub_length * .7;
				                if($sub_length =~ /\./) {
				                	my @num = split(/\./,$sub_length);
				                        $sub_length = $num[0] + 1;
				                        }
                                            	}
                                    
                                     if($MA{mobile} == 1) {
				     		if($MA{screen_width} < 321) {
				                	if($sub_length > 25) {
				                        	print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"3\" cols=\"25\" readonly>$MA{$i}</textarea>\n";
				                                }
				                        else {
				                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MA{$i}</textarea>\n";
				                                }
				                        }
				                elsif($MA{screen_width} < 481) {
				                        if($sub_length > 40) {
				                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"2\" cols=\"40\" readonly>$MA{$i}</textarea>\n";
				                                }
				                        else {
				                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MA{$i}</textarea>\n";
				                                }
				                        }
				                elsif($MA{screen_width} < 641) {
				                        if($sub_length > 50) {
				                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"2\" cols=\"50\" readonly>$MA{$i}</textarea>\n";
				                                }
				                        else {
				                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MA{$i}</textarea>\n";
				                                }
				                        }
				                else {
				                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MA{$i}</textarea>\n";
				                        }
				                }
				                                        
                                    else { 
                                    		print"<TD><textarea class=\"show_mc_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"60\">$MA{$i}</textarea>\n";
                                    		}
                                    		
                                    print"</TD></TR></TABLE>\n";
                                    
                                    if(defined $MA{$image} && $MA{$image} > 0) {
                                            my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$MA{$image}\"");
                                            my @extension = split(/\./, $QUEST_IMAGE{$MA{$image}});
                                            my $image_show = "\/schools\/qst_files\/"."$MA{$image}"."\."."$extension[1]";
                                            print"<table><td WIDTH=\"60\"></td><td style=\"vertical-align:middle\"><img src=\"$image_show\"></td></table><P>\n";
                                            }
                                            
                                    }
                            }
                            
                    else { # Branching or not a correct answer selected, show students answer
                            if($MA{mobile} == 1) {
			    		print"<TABLE><TR><TD width=\"26\"></TD><TD style=\"vertical-align:";
			    		}
			    else {
			                print"<TABLE> <TR><TD width=\"50\"></TD><TD style=\"vertical-align:";
                            		}
                            		
                            if((!exists $MA{$i} || $MA{$i} eq "") && $MA{ans_mode} == 0) { # no text
					print"middle\">";
                           	    	}
                            else {
                            	    	print"text-top\">";
                            	    	}
                            	    
                            if(defined $U_ANSWERS{$i} || defined $INPUT_ANSWERS{$i}) {
                                    print"<input type =\"checkbox\" class=\"medium\" onclick=\"return false\" name =\"\" value=\"1\" checked>&nbsp\;</TD>";
                                    }
                            else {
                                    print"<input type =\"checkbox\" class=\"medium\" onclick=\"return false\" name =\"\" value=\"1\">&nbsp\;</TD>";
                                    }
                                    
                            if($MA{ans_mode} == 1) {
                                    $MA{$i} =~ s/&quot;/"/g; #change back
                                    $MA{$i} =~ s/&apos;/'/g; #change back
                                    print"<TD>$MA{$i}</TD></TR></TABLE>\n"
                                    }
                                    
                            elsif($MA{ans_mode} == 2) {
                                    print"<TD>$MA{$i}</TD></TR></TABLE>\n"
                                    }
                                    
                            elsif((!exists $MA{$i} || $MA{$i} eq "") && $MA{ans_mode} == 0) { # no text
                                    my $image = "image"."$i";
                                            
                                    if(defined $MA{$image} && $MA{$image} > 0) {
                                            my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$MA{$image}\"");
                                            my @extension = split(/\./, $QUEST_IMAGE{$MA{$image}});
                                            my $image_show = "\/schools\/qst_files\/"."$MA{$image}"."\."."$extension[1]";
                                            print"<TD style=\"vertical-align:middle\">&nbsp\;<img src=\"$image_show\"></TD></TR></TABLE>\n";
                                            }
                                    }
                                    
                            else { # ans_mode 0 with text
                            		my $image = "image"."$i";
                            		my $sub_length = length($MA{$i});
				    				                                            
					if($sub_length < 10) {
				 		$sub_length = 10;
				    		}
				    	else {
				    		$sub_length = $sub_length * .7;
				    		if($sub_length =~ /\./) {
				    			my @num = split(/\./,$sub_length);
				   			$sub_length = $num[0] + 1;
				    			}
				                }
                                            
                                        if($MA{mobile} == 1) {
						if($MA{screen_width} < 321) {
					        	if($sub_length > 25) {
					                	print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"3\" cols=\"25\" readonly>$MA{$i}</textarea>\n";
					                        }
					                else {
					                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MA{$i}</textarea>\n";
					                        }
					                }
					        elsif($MA{screen_width} < 481) {
					                if($sub_length > 40) {
					                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"2\" cols=\"40\" readonly>$MA{$i}</textarea>\n";
					                        }
					                else {
					                      	print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MA{$i}</textarea>\n";
					                        }
					                }
					        elsif($MA{screen_width} < 641) {
					                if($sub_length > 50) {
					                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"2\" cols=\"50\" readonly>$MA{$i}</textarea>\n";
					                        }
					                else {
					                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MA{$i}</textarea>\n";
					                        }
					                }
					        else {
					                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$MA{$i}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$MA{$i}</textarea>\n";
					                }
					        }
					                                    
                                    	else {
                                    		print"<TD><textarea class=\"show_mc_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"60\">$MA{$i}</textarea>\n";
                                    		}
                                    		
                                    	print"</TD></TR></TABLE>\n"; 
                                    	
                                    	if(defined $MA{$image} && $MA{$image} > 0) {
                                            	my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$MA{$image}\"");
                                            	my @extension = split(/\./, $QUEST_IMAGE{$MA{$image}});
                                            	my $image_show = "\/schools\/qst_files\/"."$MA{$image}"."\."."$extension[1]";
                                            	print"<table><td WIDTH=\"60\"></td><td style=\"vertical-align:middle\"><img src=\"$image_show\"></td></table><P>\n";
                                            	}
                                    	}
                             	 }
                      	 }
                }
	}
	
####################
#
# MARK_MX
#
####################
sub mark_mx {
        my %MX = @_;
        
        print"<TABLE>";
	if (defined $MX{correct}) {
		print"<TR><TD width=\"50\"></TD><TD><font size=\"-1\" color=\"green\"><i>$LANGUAGE{$set_language}{Correct}</i></TD></TR>";
		}
		
	elsif (defined $MX{wrong}) {
 		print"<TR><TD width=\"50\"></TD><TD><font size=\"-1\" color=\"red\"><i>$LANGUAGE{$set_language}{Incorrect}</i></TD></TR>";
 		}
 		
	elsif (defined $MX{na}) {
 		print"<TR><TD width=\"50\"></TD><TD><font size=\"-1\" color=\"black\"><i>$LANGUAGE{$set_language}{NoAnswer}</i></TD></TR>";
 		}
 		
	print"</TABLE><TABLE>\n";
	
	for(my $i = 1; $i <= $mx_num; $i++) {
                my $num = "mx"."$i";
                my $ans = "mxans"."$i";
                my $m = "m"."$i";

                if(defined $MX{$num} && $MX{$num} ne"") {
                        my $size = length($MX{$num});
                        if($size >= 30) {
                                $size = 26;
                                }
                                
                        my $size1 = length($MX{$ans});
                        if($size1 >= 30) {
                                $size1 = 26;
                                }
                                
                        my $size2 = length($MX{$m});
                        if($size2 >= 30) {
                                $size2 = 26;
                                }
            
                        if($MX{$ans} eq "$MX{$m}") { # CORRECT
                        	if($MX{mobile} == 1) {
					&print_mobile_mark_mx_correct("screen_width","$MX{screen_width}","mobile","$MX{mobile}","size","$size","size1","$size1","ans","$MX{$ans}","num","$MX{$num}");
				        }
                                else {
                                	print" <TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD style=\"vertical-align:top\;\" border=\"0\"><img src=\"/schools/checkmark_3.png\" alt=\"Picture of Checkmark\" style=\"vertical-align:top\;\"></TD><TD style=\"vertical-align:middle\;\"><textarea class=\"show_mx_ans\" border =\"1\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$size\">$MX{$num}</textarea></TD><TD style=\"vertical-align:middle\;\"><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$size1\">$MX{$ans}</textarea></TD></TR>\n";
                               		}
                               }
                        else {
                        	if($MX{mobile} == 1) {
					&print_mobile_mark_mx_incorrect("screen_width","$MX{screen_width}","mobile","$MX{mobile}","size","$size","size1","$size1","ans","$MX{$ans}","num","$MX{$num}","m","$MX{$m}","size2","$size2");
				        }
                                else {
                                	print" <TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$size\">$MX{$num}</textarea></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$size2\">$MX{$m}</textarea></TD><TD style=\"vertical-align:top\;\"><img src=\"/schools/check.gif\" alt=\"Picture of Checkmark\" style=\"vertical-align:middle\;padding-top: 6px \" border=\"0\"></TD><TD style=\"vertical-align:middle\;\"><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$size1\">$MX{$ans}</textarea></TD></TR>\n";
                               		}
                               }
                        }
                }
        print"</TABLE>\n";
        }
	
####################
#
# MARK_TF
#
####################
sub mark_tf {
	my %MTF = @_;
	print"<TABLE>";
	if (defined $MTF{correct}) {
		print"<TR><TD width=\"50\" ></TD><TD><font size=\"-1\" color=\"green\"><i>$LANGUAGE{$set_language}{Correct}</i></TD></TR>\n";
		if ($MTF{correct} eq"T") { 
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"T\" checked> $LANGUAGE{$set_language}{True} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"F\"> $LANGUAGE{$set_language}{False}</TD></TR>\n";
			}
		else {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; vertical-align: middle\" ><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"T\"> $LANGUAGE{$set_language}{True} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"F\" checked> $LANGUAGE{$set_language}{False}</TD></TR>\n";
			}
		}
		
	elsif (defined $MTF{wrong}) {
           	print"<TR><TD width=\"50\"></TD><TD><font size=\"-1\" color=\"red\"><i>$LANGUAGE{$set_language}{Incorrect} \- Answer is </i>";
		if ($MTF{answer} eq"T") {
			print" $LANGUAGE{$set_language}{True}";
			}
		else {
			print" $LANGUAGE{$set_language}{False}";
			}
		print"</TD></TR>\n";
		if ($MTF{wrong} eq"T") {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"T\" checked> $LANGUAGE{$set_language}{True} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"F\"> $LANGUAGE{$set_language}{False}</TD></TR>\n";
			}
		else {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"T\"> $LANGUAGE{$set_language}{True} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"F\" checked> $LANGUAGE{$set_language}{False}</TD></TR>\n";
			}
		}
		
	elsif (defined $MTF{na}) {
		print"<TR><TD width=\"50\"></TD><TD><font size=\"-1\" color=\"black\"><i>$LANGUAGE{$set_language}{NoAnswer}</i></TD></TR>\n";
		if ($MTF{na} eq"T") {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"T\" checked> $LANGUAGE{$set_language}{True} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"F\"> $LANGUAGE{$set_language}{False}</TD></TR>\n";
			}
		else {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"T\"> $LANGUAGE{$set_language}{True} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"F\" checked> $LANGUAGE{$set_language}{False}</TD></TR>\n";
			}
		}
		
        elsif (defined $MTF{branch}) {
		if ($MTF{branch} eq"T") {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 10pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"T\" checked> $LANGUAGE{$set_language}{True} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"F\"> $LANGUAGE{$set_language}{False}</TD></TR>\n";
			}
		else {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 10pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"T\"> $LANGUAGE{$set_language}{True} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"F\" checked> $LANGUAGE{$set_language}{False}</TD></TR>\n";
			}
		}
		
	print"</TABLE>\n";
	}
	
####################
#
# MARK_YN
#
####################
sub mark_yn {
	my %MYN = @_;
	print"<TABLE>";
	if (defined $MYN{correct}) {
		print"<TR><TD width=\"50\" ></TD><TD><font size=\"-1\" color=\"green\"><i>$LANGUAGE{$set_language}{Correct}</i></TD></TR>\n";
		if ($MYN{correct} eq"Y") { 
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"Y\" checked> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"N\"> $LANGUAGE{$set_language}{No}</TD></TR>\n";
			}
		else {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\" ><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"Y\"> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"N\" checked> $LANGUAGE{$set_language}{No}</TD></TR>\n";
			}
		}
		
	elsif (defined $MYN{wrong}) {
           	print"<TR><TD width=\"50\"></TD><TD><font size=\"-1\" color=\"red\"><i>$LANGUAGE{$set_language}{Incorrect} \- Answer is </i>";
		if ($MYN{answer} eq"Y") {
			print" $LANGUAGE{$set_language}{Yes}";
			}
		else {
			print" $LANGUAGE{$set_language}{No}";
			}
		print"</TD></TR>\n";
		if ($MYN{wrong} eq"Y") {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"Y\" checked> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"N\"> $LANGUAGE{$set_language}{No}</TD></TR>\n";
			}
		else {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"Y\"> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"N\" checked> $LANGUAGE{$set_language}{No}</TD></TR>\n";
			}
		}
		
	elsif (defined $MYN{na}) {
		print"<TR><TD width=\"50\"></TD><TD><font size=\"-1\" color=\"black\"><i>$LANGUAGE{$set_language}{NoAnswer}</i></TD></TR>\n";
		if ($MYN{na} eq"Y") {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"Y\" checked> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"N\"> $LANGUAGE{$set_language}{No}</TD></TR>\n";
			}
		else {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"Y\"> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"N\" checked> $LANGUAGE{$set_language}{No}</TD></TR>\n";
			}
		}
		
        elsif (defined $MYN{branch}) {
		if ($MYN{branch} eq"Y") {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 10pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"Y\" checked> $LANGUAGE{$set_language}{Yes} &mnsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"N\"> $LANGUAGE{$set_language}{No}</TD></TR>\n";
			}
		else {
			print" <TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 10pt\; vertical-align: middle\"><input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"Y\"> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type =\"checkbox\" class=\"larger\" onclick=\"return false\" name =\"\" value=\"N\" checked> $LANGUAGE{$set_language}{No}</TD></TR>\n";
			}
		}
		
	print"</TABLE>\n";
	}

####################
#
# MARK_SA
#
####################
sub mark_sa {
	my %SA = @_;
	print"<TABLE>";

	if (defined $SA{answer}) {
		if (!defined $SA{marked}) {
			if($SA{mobile} == 1) {
				# print_mobile_not_marked_size("screen_size","$screen_size"):
			        print"<TR><TD width=\"1\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"blue\">Not marked.</font></TD></TR>\n";
			        }
                        else {
				print"<TR><TD width=\"60\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"blue\">$LANGUAGE{$set_language}{Notmarked}</font></TD></TR>\n";
				}
			}
      		else {
      			if($SA{value} == 0) {
				print"<TR><TD width=\"60\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"red\"><i>$LANGUAGE{$set_language}{Incorrect}</i></font>  &nbsp\; $SA{value} pts</TD></TR>\n";
      				}
      			else {
				print"<TR><TD width=\"60\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"blue\"><i>Marked</i></font>  &nbsp\; $SA{value} pts</TD></TR>\n";
				}
			}
			
		if($SA{mobile} == 1) {
			&print_mobile_textarea_sa_answer_mark("screen_width","$SA{screen_width}","answer","$SA{answer}","correct_answer","$SA{correct_answer}");
		        }
                else {
			print"<TR><TD width=\"60\" ></TD><TD><input type=\"text\" style=\"resize:none\;\" readonly size=\"50\" value=\"$SA{answer}\"></TD></TR><TR><TD width=\"60\" ></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">$LANGUAGE{$set_language}{CorrectAnswer}:</font></TD></TR><TR><TD width=\"60\" ></TD><TD><input type=\"text\" style=\"border-color: Transparent\;\" style=\"resize:none\;\" readonly size=\"50\" value=\"$SA{correct_answer}\"></TD></TR>\n";
			}
		}
		
	else {
		if($SA{mobile} == 1) {
			&print_mobile_textarea_sa_answer_mark("screen_width","$SA{screen_width}","correct_answer","$SA{correct_answer}");
		        }
                else {
			print"<TR><TD width=\"60\" ></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"black\"><i>$LANGUAGE{$set_language}{NoAnswer} - 0 pts</i></TD></TR><TR><TD width=\"60\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">$LANGUAGE{$set_language}{CorrectAnswer}:</font></TD></TR><TR><TD width=\"60\"></TD><TD><input type=\"text\" style=\"border-color: Transparent\;\" style=\"resize:none\;\" readonly size=\"50\" value=\"$SA{correct_answer}\"></TD></TR>\n";
			}
		}
	print"</TABLE>\n";
	}

###############
#
# MARK_SA_FULL
#
###############
sub mark_sa_full {
	my %SA = @_;
	print"<TABLE>";
	if (defined $SA{answer}) {
		if ($SA{value} == -1) {
			print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"blue\"><span ID=\"display$SA{index}\" style=\"display:\" foo=\"display$SA{index}\"><i>Not marked</i></span>\n";
			if ($SA{submitted} != 0) {
				print" <input type=\"text\" size=\"3\" maxlength=\"3\" name=\"$SA{quest}\" value=\"\" style=\"text-align:right\"></font><font style=\"font-family:Arial\; font-size:10pt\;\"> pts</font>\&nbsp\;&nbsp\;&nbsp\;&nbsp\; <B STYLE=\"cursor: pointer\" onClick=\"add_mark\(\'$SA{quest}\',\'$SA{real_value}\',\'$SA{index}\',\'display$SA{index}\'\)\"><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"blue\">Save mark</font></B>\n";
				}
			print"</TD></TR>\n";
			}
		else {
			print"<TR><TD width=\"50\"></TD><TD><font color=\"blue\"> <input type=\"text\" size=\"3\" maxlength=\"3\" name=\"$SA{quest}\" value=\"$SA{value}\" style=\"text-align:right\"> </font><font style=\"font-family:Arial\; font-size:10pt\;\"> pts</font>\&nbsp\;&nbsp\;&nbsp\;&nbsp\; <B STYLE=\"cursor: pointer\" onClick=\"add_mark\(\'$SA{quest}\',\'$SA{real_value}\',\'$SA{index}\',\'\'\)\"><font color=\"blue\" style=\"font-family:Arial\; font-size:10pt\;\">Save mark</font></B></TD></TR>\n";
			}
		print"<TR><TD width=\"50\"></TD><TD><input type=\"text\" style=\"resize:none\;\" readonly size=\"50\" value=\"$SA{answer}\"></TD></TR><TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\"><i>$LANGUAGE{$set_language}{CorrectAnswer}:</i></font></TD></TR><TR><TD width=\"50\"></TD><TD><input type=\"text\" style=\"border-color: Transparent\;\"style=\"resize:none\;\" readonly size=\"50\" value=\"$SA{correct_answer}\"></TD></TR>\n";
		}
		
	else {
		print"<TR><TD width=\"50\" ></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"black\"><i>$LANGUAGE{$set_language}{NoAnswer} - 0 pts</i></font></TD></TR><TR><TD width=\"50\" ></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">$LANGUAGE{$set_language}{CorrectAnswer}:</font></TD></TR><TR><TD width=\"50\" ></TD><TD><input type=\"text\" style=\"border-color: Transparent\;\" style=\"resize:none\;\" readonly size=\"50\" value=\"$SA{correct_answer}\"></TD></TR>\n";
		}
	print"</TABLE>\n";
	}

####################
#
# MARK_P
#
####################
sub mark_p {
	my %P = @_;
	print"<TABLE>";
	$P{correct_answer} =~ s/&quot;/"/g;
	
	if (defined $P{answer}) {
		if (!defined $P{marked}) {
			if($P{mobile} == 1) {
				print"<TR><TD width=\"1\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"blue\"><i>Not marked.</i></font></TD></TR>\n";
			        }
                        else {
				print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"blue\"><i>$LANGUAGE{$set_language}{Notmarked}</i></font></TD></TR>\n";
				}
			}
		else {
			if ($P{value} == 0) {
				print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"red\"><i>$LANGUAGE{$set_language}{Incorrect}</i></font><font style=\"font-family:Arial\; font-size:10pt\;\">  &nbsp\; $P{value} pts</font></TD></TR>\n";
				}
			else {
				print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"blue\"><i>Marked</i></font>  &nbsp\; <font style=\"font-family:Arial\; font-size:10pt\;\">$P{value} pts</font></TD></TR>\n";
				}
			}
			
		if($P{mobile} == 1) {
			&print_mobile_textarea_p_question_mark("screen_width","$P{screen_width}","question","$P{answer}");
		        }
                else {
                	print"<TR><TD width=\"50\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize:none\;\" readonly rows=\"5\" cols=\"60\" name=\"\" value=\"\">$P{answer}</textarea></TD></TR>\n";
			}
		
                if($P{ans_mode} == 1) { # SHOW CORRECT ANSWER ADVANCED
                	if($P{mobile} == 1) {
				&print_mobile_textarea_p_correct_ans_advanced("screen_width","$P{screen_width}","correct_answer","$P{correct_answer}");
			        }
                        else {
                        	print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR><TR><TD width=\"50\"></TD><TD width=\"568\" valign=\"top\">$P{correct_answer}</TD></TR>\n";
                        	}
                        }
                else { # BASIC
                	if($P{mobile} == 1) {
				&print_mobile_textarea_p_correct_ans_basic("screen_width","$P{screen_width}","correct_answer","$P{correct_answer}");
			        }
                        else {
                        	print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">$LANGUAGE{$set_language}{CorrectAnswer}:</font></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize:none\;\" readonly rows=\"8\" cols=\"60\" name=\"\" value=\"\">$P{correct_answer}</textarea></TD></TR>\n";
                        	}
                        }
		
		}
		
	else {
		print"<TR><TD width=\"50\" ></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"black\"><i>$LANGUAGE{$set_language}{NoAnswer} - 0 pts</i></font></TD></TR>\n";
		
		if($P{ans_mode} == 1) { # ADVANCED
			if($P{mobile} == 1) {
				&print_mobile_textarea_p_correct_ans_advanced("screen_width","$P{screen_width}","correct_answer","$P{correct_answer}");
			        }
                        else {
                        	print"<TR><TD width=\"50\" ></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">$LANGUAGE{$set_language}{CorrectAnswer}:</font></TD></TR><TR><TD width=\"50\" ></TD><TD width=\"568\" valign=\"top\">$P{correct_answer}</TD></TR>\n";
                        	}
                        }
                else { # BASIC
                	if($P{mobile} == 1) {
				&print_mobile_textarea_p_correct_ans_basic("screen_width","$P{screen_width}","correct_answer","$P{correct_answer}");
			        }
                        else {
                        	print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">$LANGUAGE{$set_language}{CorrectAnswer}:</font></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize:none\;\" readonly rows=\"8\" cols=\"60\" name=\"\" value=\"\">$P{correct_answer}</textarea></TD></TR>\n";
                        	}
                        }
		}
	print"</TABLE>\n";
	}

####################
#
# MARK_P_FULL
#
####################
sub mark_p_full {
	my %P = @_;
	$P{correct_answer} =~ s/&quot;/"/g;

	print"<TABLE>";
	if (defined $P{answer}) {
		if ($P{value} == -1) {
			print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"blue\"><span ID=\"display$P{index}\" style=\"display:\" foo=\"display$P{index}\">Not marked</span></font>\n";
			if ($P{submitted} != 0) {
				print" <input type=\"text\" size=\"3\" maxlength=\"3\" name=\"$P{quest}\" value=\"\" style=\"text-align:right\"><font style=\"font-family:Arial\; font-size:10pt\;\"> pts</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\; <B STYLE=\"cursor: pointer\" onClick=\"add_mark\(\'$P{quest}\',\'$P{real_value}\',\'$P{index}\',\'display$P{index}\'\)\"><font color=\"blue\" style=\"font-family:Arial\; font-size:10pt\;\"> Save mark</font>\n";
				} 
			print"</B></TD></TR>\n";
			}
		else {
			print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"blue\"> <input type=\"text\" size=\"3\" maxlength=\"3\" name=\"$P{quest}\" value=\"$P{value}\" style=\"text-align:right\"> </font><font style=\"font-family:Arial\; font-size:10pt\;\"> pts</font>\&nbsp\;&nbsp\;&nbsp\;&nbsp\; <B STYLE=\"cursor: pointer\" onClick=\"add_mark\(\'$P{quest}\',\'$P{real_value}\',\'$P{index}\',\'\'\)\"><font color=\"blue\" style=\"font-family:Arial\; font-size:10pt\;\">Save mark</font></B></TD></TR>\n";
			}
			
                print"<TR><TD width=\"50\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize:none\;\" readonly rows=\"5\" cols=\"60\" name=\"\" value=\"\">$P{answer}</textarea></TD></TR>\n";
                
                if($P{ans_mode} == 1) {
                        print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">$LANGUAGE{$set_language}{CorrectAnswer}:</font></TD></TR><TR><TD width=\"50\"></TD><TD width=\"568\" valign=\"top\">$P{correct_answer}</TD></TR>\n";
                        }
                else {
                        print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">$LANGUAGE{$set_language}{CorrectAnswer}:</font></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize:none\; border-color: Transparent\;\" readonly rows=\"8\" cols=\"60\" name=\"\" value=\"\">$P{correct_answer}</textarea></TD></TR>\n";
                        }
		}
		
	else {
                print"<TR><TD width=\"50\" ></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"black\"><i>$LANGUAGE{$set_language}{NoAnswer} - 0 pts</i></font></TD></TR>\n";
		
		if($P{ans_mode} == 1) {
                        print"<TR><TD width=\"50\" ></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">$LANGUAGE{$set_language}{CorrectAnswer}:</font></TD></TR><TR><TD width=\"50\" ></TD><TD width=\"568\" valign=\"top\">$P{correct_answer}</TD></TR>\n";
                        }
                else {
                        print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">$LANGUAGE{$set_language}{CorrectAnswer}:</font></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize:none\; border-color: Transparent\;\" readonly rows=\"8\" cols=\"60\" name=\"\" value=\"\">$P{correct_answer}</textarea></TD></TR>\n";
                        }
		}
	print"</TABLE>\n";
	}

##############
#
# MAKE_TYPE
#
##############
sub make_type {
	my %MT = @_;
	my $selection;
	my $error = 0;
    
        $error = &check_many_length_return("$MT{from}","2","$MT{sub_type}","1","$MT{type}","2","$MT{expand}","50","$MT{quiz_no}","10","$MT{copy_quiz}","10");
	
	&print_collapse_the_display();
	
        if ($error != 1) {
	&print_javascript_begin();
	my $pass_course = "";
	my $pass_course1 = "";
	print"var createqst
	var mida
	var bota
	var topb
	var topa
	var rename1
	var rename2
	var printqst
	var quest1
	var quest2
	var isIE = document.all?1:0\;\n";

	&javascript_show_stuff();

	print"function close_open_windows\(\) {
	if(!rename1) \{
	\}else \{
	rename1.close()
	\}
	if(!printqst) \{
	\}else \{
	printqst.close()
	\}
	if(!rename2) \{
	\}else \{
	rename2.close()
	\}
	if(!createqst) \{
	\}else \{
	createqst.close()
	\}
	\}\n";

#do I need this?
	print"function writeblankwindo\(\) \{
	return\"<HTML><\/HTML>\"
	\}\n";

	print"function print_handler\(num,name\) \{
	close_open_windows\(\)\n";
	if ($MT{type} != 2) {
		print"rename1 = window.open\(\"\",\"rename1\",\"top=200,left=350,height=100,width=400\"\)
		rename1.focus\(\)\n";
		print"rename1.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Print} $assign[$MT{type}]</title></head>\'\)\n";
		print"rename1.document.writeln\(\'\<script language=\"Javascript\" type=\"text\/javascript\"\>\'\)\n";
		print"rename1.document.writeln\(\'var url = \"\/qst\/one\?input=print_top\"\'\)\n";
		print"rename1.document.writeln\(\'function check_ok\(in1\) \{\'\)\n";
      		print"rename1.document.writeln\(\'if\(in1 == 3\)\{\'\)\n";
      		print"rename1.document.writeln\(\'self.close\(\)\'\)\n";
      		print"rename1.document.writeln\(\'\}\'\)\n";
      		print"rename1.document.writeln\(\'else \{\'\)\n";
		print"rename1.document.writeln\(\'if\(in1 == 1\) \{\'\)\n";
		print"rename1.document.writeln\(\'printqst = window.open\(\"\",\"printqst\",\"top=0,left=0,height=700,width=720\"\)\'\)\n";
      		print"rename1.document.writeln\(\'printqst.document.writeln\\\(\\\'<html><head><title>$LANGUAGE{$set_language}{Print} $assign[$MT{type}]<\/title><\/head>\\\'\)\'\)\n";
		print"rename1.document.writeln\(\'printqst.document.writeln\\\(\\\'<frameset rows=\\\"10\\\%,90\\\%\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\\\'\\\)\'\)\n";
		print"rename1.document.writeln\(\'printqst.document.writeln\\\(\\\'<frame src=\\\"\\\" name=\\\"print_top\\\" scrolling=\\\"no\\\">\\\'\\\)\'\)\n";
		print"rename1.document.writeln\(\'printqst.document.writeln\\\(\\\'<frame src=\\\"\\\" name=\\\"print_bot\\\">\\\'\\\)\'\)\n";
		print"rename1.document.writeln\(\'printqst.document.writeln\\\(\\\'<\/frameset>\\\'\\\)\'\)\n";
		print"rename1.document.writeln\(\'printqst.document.writeln\\\(\\\'<\/html>\\\'\\\)\'\)\n";
		print"rename1.document.writeln\(\'document.form1.print.value=\"1\"\'\)\n";
		print"rename1.document.writeln\(\'document.form1.submit\(\)\'\)\n";
		print"rename1.document.writeln\(\'document.form2.submit\(\)\'\)\n";
		print"rename1.document.writeln\(\'\}\'\)\n";
		print"rename1.document.writeln\(\'else \{\'\)\n";
		print"rename1.document.writeln\(\'printqst = window.open\\\(\\\"\\\",\\\"printqst\\\",\\\"top=0,left=0,height=700,width=720\\\"\\\)\'\)\n";
      		print"rename1.document.writeln\(\'printqst.document.writeln\\\(\\\'<html><head><title>$LANGUAGE{$set_language}{Print} $assign[$MT{type}]<\/title><\/head>\\\'\\\)\'\)\n";
		print"rename1.document.writeln\(\'printqst.document.writeln\\\(\\\'<frameset rows=\\\"10\\\%,90\\\%\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\\\'\\\)\'\)\n";
		print"rename1.document.writeln\(\'printqst.document.writeln\\\(\\\'<frame src=\\\"\\\" name=\\\"print_top\\\" scrolling=\\\"no\\\">\\\'\\\)\'\)\n";
		print"rename1.document.writeln\(\'printqst.document.writeln\\\(\\\'<frame src=\\\"\\\" name=\\\"print_bot\\\">\\\'\\\)\'\)\n";
		print"rename1.document.writeln\(\'printqst.document.writeln\\\(\\\'<\/frameset>\\\'\\\)\'\)\n";
		print"rename1.document.writeln\(\'printqst.document.writeln\\\(\\\'<\/html>\\\'\\\)\'\)\n";
		print"rename1.document.writeln\(\'document.form1.print.value=\"2\"\'\)\n";
		print"rename1.document.writeln\(\'document.form1.submit\(\)\'\)\n";
		print"rename1.document.writeln\(\'document.form2.submit\(\)\'\)\n";
		print"rename1.document.writeln\(\'\}\'\)\n";
		print"rename1.document.writeln\(\'self.close\(\)\'\)\n";
		print"rename1.document.writeln\(\'\}\'\)\n";
		print"rename1.document.writeln\(\'\}\'\)\n";
		print"rename1.document.writeln\(\'\\<\\/script\\>\'\)\n";
		print"rename1.document.writeln\(\'\\<BODY\\>\'\)\n";
		print"rename1.document.write\(\'\<center><B>'+name+'</B> \'\)\n";
		print"rename1.document.writeln\(\'\<\/center\>\'\)\n";
		print"rename1.document.writeln\(\'<P><FORM name=\"form2\" action=\"\/qst\/one\" target=\"print_top\">\'\)\n";
		print"rename1.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"print_top\">\'\)\n";
		print"rename1.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$MT{u_id}\">\'\)\n";
		print"rename1.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$MT{session_id}\">\'\)\n";
		print"rename1.document.writeln\(\'</FORM>\'\)\n";
		print"rename1.document.writeln\(\'<P><FORM name=\"form1\" action=\"\/qst\/one\" target=\"print_bot\">\'\)\n";
		print"rename1.document.write\(\'<input type=\"hidden\" name=\"quiz_no\" value=\"\'\)\n";
		print"rename1.document.write\(\'\'+num\)\n";
		print"rename1.document.writeln\(\'\">\'\)\n";
		print"rename1.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"print_qst\">\'\)\n";
		print"rename1.document.writeln\(\'<input type=\"hidden\" name=\"type\" value=\"$MT{type}\">\'\)\n";
		print"rename1.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$MT{u_id}\">\'\)\n";
		print"rename1.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$MT{session_id}\">\'\)\n";
		print"rename1.document.writeln\(\'<input type=\"hidden\" name=\"print\" value=\"\">\'\)\n";
		
		print"rename1.document.writeln\(\'<TABLE width=\"100%\" $action_bar><TR><TD style=\"padding-top: 5px\; padding-bottom: 5px\" align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B  STYLE=\"cursor: pointer\" onClick=\"check_ok\(1\)\">QST </B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"check_ok\(2\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{AnswerSheet}</B> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"check_ok\(3\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\'\)\n";
                        
		print"rename1.document.writeln\(\'</FORM></body></html>\'\)\n";
		print"rename1.document.close\(\)\n";
		print"\}\n";
		}
	else {
		print"printqst = window.open\(\"\",\"printqst\",\"top=0,left=0,height=700,width=720\"\)\n";
      		print"printqst.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Print} $assign[$MT{type}]<\/title><\/head>\'\)\n";
		print"printqst.document.writeln\(\'<frameset rows=\"10\%,90\%\" FRAMEBORDER=\"0\" FRAMESPACING=\"0\">\'\)\n";
		print"printqst.document.writeln\(\'<frame src=\"\" name=\"print_top\" scrolling=\"no\">\'\)\n";
		print"printqst.document.writeln\(\'<frame src=\"\" name=\"print_bot\">\'\)\n";
		print"printqst.document.writeln\(\'<\/frameset>\'\)\n";
		print"printqst.document.writeln\(\'<\/html>\'\)\n";
		print"printqst.document.close()\n";
		print"document.form12.quiz_no.value=num
		document.form12.submit\(\)
		document.form13.submit\(\)
		\}\n";
		}

	print"function click_handler\(what,i_n,name,parent,expand,type,sub_type,class_open,open_class\) \{
	close_open_windows\(\)
	if\(what == 1\)\{\n";
	print"rename2 = window.open\(\"\",\"rename2\",\"top=200,left=350,height=150,width=400\"\)\n";
	print"rename2.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Renameafolder}<\/title><\/head><body>\'\)\n";
	print"rename2.document.writeln\(\'<\/body><\/HTML>\'\)\n";
	print"rename2.document.close()\n";
	print"rename2.focus\(\)\n";
	print"document.form1.name.value=name
	document.form1.expand.value=expand
	document.form1.number.value=i_n
	document.form1.parent.value=parent
	document.form1.i_n.value=what
	document.form1.type.value=type
	document.form1.qst.value=\"\"
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 2\) \{\n";
	print"rename2 = window.open\(\"\",\"rename2\",\"top=200,left=350,height=200,width=400\"\)\n";
	print"rename2.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Createafolder}<\/title><\/head><body>\'\)\n";
	print"rename2.document.writeln\(\'<\/body><\/HTML>\'\)\n";
	print"rename2.document.close()\n";
	print"rename2.focus\(\)\n";
	print"document.form1.name.value=name
	document.form1.number.value=i_n
	document.form1.parent.value=i_n
	document.form1.expand.value=expand
	document.form1.i_n.value=what
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 3\)\{
	var reg_exp1 = \/\&\#39\/g
	var replace_string =\"\'\"
	name = name.replace\(reg_exp1,replace_string\)
	if\(confirm\(\"$LANGUAGE{$set_language}{Deletefolder} \' \"+name+\" \' $LANGUAGE{$set_language}{andallcontentsunderit}\? \"\)\) \{
	document.form11.expand.value=expand
	document.form11.number.value=i_n
	document.form11.type.value=type
	document.form11.expand.value=expand
	document.form11.submit\(\)
	\}
	\}\n";
	
	print"else if\(what ==4\)\{\n";
	print"createqst = window.open\(\"\",\"createqst\",\"top=0,left=0,height=800,width=800\"\)\n";
	print"createqst.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Create} $assign[$MT{type}]<\/title><\/head>\'\)\n";
	print"createqst.document.writeln\(\'<frameset rows=\"15\%,65\%,\*\" FRAMEBORDER=\"0\" FRAMESPACING=\"0\">\'\)\n";
	print"createqst.document.writeln\(\'<frame src=\"\" name=\"topb\" scrolling=\"no\">\'\)\n";
	print"createqst.document.writeln\(\'<frame src=\"\" name=\"mida\">\'\)\n";
	print"createqst.document.writeln\(\'<frame src=\"\" name=\"bota\" FRAMEBORDER=\"1\">\'\)\n";
	print"createqst.document.writeln\(\'<\/frameset>\'\)\n";
	print"createqst.document.writeln\(\'<\/html>\'\)\n";
	print"createqst.document.close()\n";
	print"createqst.focus\(\)\n";
	print"document.form6.name.value=name
	document.form6.parent.value=parent
	document.form6.expand.value=expand
	document.form6.i_n.value=what
	document.form6.submit\(\)
	document.form7.name.value=name
	document.form7.parent.value=parent
	document.form7.expand.value=expand
	document.form7.i_n.value=what
	document.form7.submit\(\)
	\}\n";
	
	print"else if\(what == 5\)\{
	if\(confirm\(\"$LANGUAGE{$set_language}{Delete} \' \" +name+ \" \' \? \"\)\) \{
	document.form3.expand.value=expand
	document.form3.open_class.value=open_class
	document.form3.class_open.value=class_open
	document.form3.number.value=i_n
	document.form3.parent.value=parent
	document.form3.submit\(\)
	\}
	\}\n";
	
	print"else if\(what == 6\)\{
	rename2 = window.open\(\"\",\"rename2\",\"top=200,left=350,height=150,width=400\"\)
	rename2.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Rename} a $assign[$MT{type}]<\/title><\/head><body>\'\)
	rename2.document.writeln\(\'<\/body><\/HTML>\'\)
	rename2.document.close()
	rename2.focus\(\)
	document.form1.name.value=name
	document.form1.expand.value=expand
	document.form1.number.value=i_n
	document.form1.parent.value=parent
	document.form1.i_n.value=what
	document.form1.qst.value=i_n
	document.form1.open_class.value=open_class
	document.form1.class_open.value=class_open
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 7\)\{
	rename2 = window.open\(\"\",\"rename2\",\"top=200,left=350,height=150,width=400\"\)
	rename2.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Rename} a $assign[$MT{type}]<\/title><\/head><body>\'\)
	rename2.document.writeln\(\'<\/body><\/HTML>\'\)
	rename2.document.close()
	rename2.focus\(\)
	document.form1.name.value=name
	document.form1.expand.value=expand
	document.form1.number.value=i_n
	document.form1.parent.value=parent
	document.form1.i_n.value=what
	document.form1.type.value=type
	document.form1.qst.value=i_n
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 8\)\{\n";
	print"rename2 = window.open\(\"\",\"rename2\",\"top=0,left=0,height=800,width=720,scrollbars\"\)\n";
	print"rename2.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Viewa} $assign[$MT{type}]<\/title><\/head><body>\'\)\n";
	print"rename2.document.writeln\(\'<\/body><\/HTML>\'\)\n";
	print"rename2.document.close()\n";
	print"rename2.focus\(\)\n";
	print"document.form8.quiz_no.value=i_n
	document.form8.submit\(\)
	\}
	\}\n";
	
	&print_javascript_sub_form("form","form5");

	print"function show_classes\(class_open,c_lass\) \{
	if\(class_open != \"\"\) \{
	document.form5.class_open.value = class_open
	\}
	document.form5.open_class.value = c_lass
	document.form5.submit\(\)
	\}\n";

	print"function copy_quiz\(new_num,expand,sub_type\) \{
	var number = document.form8a.number.value
	if\(number != \"\"\) \{
	document.form8a.expand.value=expand
	document.form8a.folder_no.value=new_num
	document.form8a.sub_type.value=sub_type
	document.form8a.submit\(\)
	\}
	else \{
	alert\(\"$LANGUAGE{$set_language}{Aquiztestwasnotchosentocopy}\"\)
	\}
	\}\n";

	print"function copy_quiz_to_class\(new_num,expand\) \{
	var number = document.form10.number.value
	if\(number != \"\"\) \{
	document.form10.expand.value=new_num
	document.form10.folder_no.value=new_num
	document.form10.submit\(\)
	\}
	else \{
	alert\(\"$LANGUAGE{$set_language}{Aquiztestwasnotchosentocopy}\"\)
	\}
	\}\n";

	print"function create_rename_handler\(what,i_n,name,parent,expand,type,sub_type\)\{
	close_open_windows\(\)
	if\(what == 1\)\{
	document.form1a.expand.value=expand
	document.form1a.number.value=i_n
	document.form1a.submit\(\)
	\}
	else if\(what == 2\) \{
	if\(parent == \"x\"\) \{
	alert\(\"$LANGUAGE{$set_language}{The} $assign[$MT{type}] $LANGUAGE{$set_language}{hasalreadybeenstartedbystudentsandcannotbechanged}\"\)
	\}
	else \{\n";
	print"rename2 = window.open\(\"\",\"rename2\",\"top=0,left=0,height=800,width=810\"\)\n";
	print"rename2.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Change} $assign[$MT{type}]<\/title><\/head>\'\)\n";
	print"rename2.document.writeln\(\'<frameset rows=\\\"13\%,67\%,\*\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"rename2.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"topb\\\">\'\)\n";
	print"rename2.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"mida\\\">\'\)\n";
	print"rename2.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"bota\\\">\'\)\n";
	print"rename2.document.writeln\(\'<\/frameset>\'\)\n";
	print"rename2.document.writeln\(\'<\/html>\'\)\n";
	print"rename2.document.close()\n";
	print"rename2.focus\(\)\n";
	print"document.form7a.name.value=name
	document.form8c.name.value=name
	document.form8c.quiz_no.value=i_n
	if\(expand.indexOf\(\"-\"\)==0\) \{
	document.form7a.class_open.value=1
	document.form8c.class_open.value=1
	var reg_exp1 = \/-\/g
	var replace_string =\"\"
	var new_num = expand.replace\(reg_exp1,replace_string\)
	document.form7a.open_class.value=new_num
	document.form8c.open_class.value=new_num
	\}
	else \{
	document.form7a.expand.value=expand
	document.form8c.expand.value=expand
	document.form8c.refresh_right.value=expand
	\}
	document.form7a.quiz_no.value=i_n
	document.form7a.i_n.value=i_n
	document.form7a.submit\(\)
	document.form8c.submit\(\)\n";

	print"\}
	\}
	else if\(what ==3\)\{
	if\(confirm\(\"$LANGUAGE{$set_language}{ThisquestionmaybeincludedinaquizortestContinue} \"\)\) \{
	document.form2a.expand.value=expand
	document.form2a.number.value=i_n
	document.form2a.submit\(\)
	\}
	\}
	else if\(what == 5\)\{
	document.form8a.number.value=i_n
	document.form10.number.value=i_n
	document.form5.copy_quiz.value = i_n
	\}
	\}\n";

	print"function post_handler\(qst_no,name,class_id,class_name\) \{\n";
	print"rename1 = window.open\(\"\",\"rename1\",\"top=50,left=150,height=800,width=750\"\)\n";
	print"rename1.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Post} $assign[$MT{type}]<\/title><\/head>\'\)\n";
	print"rename1.document.writeln\(\'<frameset rows=\\\"58\%,42\%\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"rename1.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"topa\\\">\'\)\n";
	print"rename1.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"bota\\\">\'\)\n";
	print"rename1.document.writeln\(\'<\/frameset>\'\)\n";
	print"rename1.document.writeln\(\'<\/html>\'\)\n";
	print"rename1.document.close()\n";
	print"rename1.focus\(\)\n";
	print"document.form15.class_id.value = class_id
	document.form15.qst_no.value = qst_no
	document.form15.name.value = name
	document.form15.class_name.value = class_name
	document.form15.submit\(\)
	\}\n";

	print"function import_handler\(open_sub\) \{
	document.form1.submit\(\)
	\}\n";

	print"function show_handler\(open_sub\) \{
	document.form1.submit\(\)
	\}\n";

	print"function make_type_handler\(select,expand\) \{
	document.form4.select.value = select
	document.form4.expand.value = expand
	document.form4.submit\(\)
	\}\n";
	
	&print_javascript_end();

	print"<BR>\n";
        &top_heading18("value","$assign[$MT{type}]");
                
	print"</TABLE>\n";

	if (!defined $MT{expand}) {
                &get_instructors_qst_categories("type","$MT{type}","from","$MT{from}","sub_type","$MT{sub_type}","u_id","$MT{u_id}","session_id","$MT{session_id}");
		}
	else {
                &get_instructors_qst_categories("expand","$MT{expand}","type","$MT{type}","from","$MT{from}","sub_type","$MT{sub_type}","u_id","$MT{u_id}","session_id","$MT{session_id}");
		}
		
	if(keys %{$USER{$ids}}) {
		print"<DL>\n";
		if (defined $MT{class_open} && $MT{class_open} ne"") {
			print"<a href=\"javascript\:show_classes\(\'\',\'\'\)\">$image5</a> <B>$LANGUAGE{$set_language}{MyClasses}</B>\n";
			&get_instructors_classes("drop_down_spacing","45","open_class","$MT{open_class}","type","$MT{type}","u_id","$MT{u_id}","session_id","$MT{session_id}");
			}
		else {
			print"<a href=\"javascript\:show_classes\(\'1\',\'\'\)\">$image4</a> <B>$LANGUAGE{$set_language}{MyClasses}</B>\n";
			}
		print"</DL>";
		}
		
	if ($MT{type} != 2) {
		if ($MT{open_sub} == 1) {
			print"<a href=\"\/qst\/one\?input=make_type&$selection=make_type&type=$MT{type}&from=$MT{from}\">$image5</a> <B>$assign[$MT{type}] Bank</B>\n";
			}
		}

	&help;
	
	if($f_ile[$MT{type}] eq"tests") {
                print"$LANGUAGE{$set_language}{2}\n";
                }
        else {
                print"$LANGUAGE{$set_language}{3}\n";
                }
	&print_form("form_name","form0","form_target","rename1","type","$MT{type}","sub_type","$MT{sub_type}","input","get_q","name","","choice","","status","","under","","under1","","expand","","id","","view","","open","","course","","open_class","1","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form1","form_target","rename2","type","$MT{type}","sub_type","$MT{sub_type}","input","create_rename","number","","expand","","i_n","","from","$MT{from}","parent","","name","","qst","","class_open","","open_class","","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form2","form_target","left1","type","$MT{type}","sub_type","$MT{sub_type}","input","change_qst","where","","course","","from","$MT{from}","clas","","v_under","","v_under1","","id","","name","","choice","1","pass_course","$pass_course1","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form3","from_target","theright","type","$MT{type}","sub_type","$MT{sub_type}","input","delete_qst","number","","open_class","","class_open","","expand","","i_n","","from","$MT{from}","parent","","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form4","input","make_type","type","$MT{type}","select","","expand","","sub_type","$MT{sub_type}","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form5","input","make_type","expand","","class_open","","sub_type","$MT{sub_type}","from","$MT{from}","open_class","","copy_quiz","$MT{copy_quiz}","type","$MT{type}","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form6","form_target","mida","type","$MT{type}","sub_type","$MT{sub_type}","input","create_qst","expand","","parent","","i_n","","name","","from","$MT{from}","target","mida","refresh_right","$MT{expand}","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form7","form_target","topb","type","$MT{type}","sub_type","$MT{sub_type}","input","make_top_screen","number","","expand","","i_n","","from","$MT{from}","parent","","name","","refresh_right","$MT{expand}","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form7a","form_target","mida","type","$MT{type}","sub_type","$MT{sub_type}","input","change_qst","quiz_no","","expand","","i_n","","from","2","parent","","name","","class_open","","open_class","","refresh_right","$MT{expand}","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form8","form_target","rename2","type","$MT{type}","sub_type","$MT{sub_type}","input","view_qst","quiz_no","","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form8a","input","copy_qst","number","$MT{copy_quiz}","expand","","folder_no","","type","$MT{type}","from","$MT{from}","sub_type","$MT{sub_type}","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form8c","form_target","topb","input","make_top_screen2","quiz_no","$MT{quiz_no}","expand","","from","2","type","$MT{type}","sub_type","$MT{sub_type}","parent","","name","","class_open","","open_class","","refresh_right","","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form10","input","copy_qst_to_class","number","$MT{copy_quiz}","expand","","folder_no","","type","$MT{type}","sub_type","$MT{sub_type}","class_open","","open_class","","from","$MT{from}","refresh_right","$MT{expand}","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form11","input","delete_cc","number","","expand","","type","$MT{type}","sub_type","$MT{sub_type}","from","$MT{from}","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form12","form_target","print_bot","input","print_qst","quiz_no","","type","$MT{type}","sub_type","$MT{sub_type}","print","1","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form13","form_target","print_top","input","print_top","u_id","$MT{u_id}","session_id","$MT{session_id}");
	&print_form("form_name","form15","form_target","topa","class_id","","input","post_qst_top","qst_no","","type","$MT{type}","sub_type","$MT{sub_type}","name","","class_name","","from","$MT{from}","u_id","$MT{u_id}","session_id","$MT{session_id}");

	&print_javascript_begin();
			
	if($MT{no_delete} == 2) {
		print"alert\(\"$LANGUAGE{$set_language}{This} $assign[$MT{type}] $LANGUAGE{$set_language}{30} $assign[$MT{type}] $LANGUAGE{$set_language}{31}\"\)";
		}
	&print_javascript_end();
	}
}


########################
#
# NO CLASSES - students
#
########################
sub no_classes {
      print"<P><center><img src=\"/schools/x.gif\"><B>$LANGUAGE{$set_language}{Youarenotregisteredinanyclasses}</b></center> \n";
	}

############
#
# ORG
#
############
sub org {
	my %O = @_;
	
	&print_javascript_begin();
	
	print"var org_window
	function close_open_windows\(\) \{
	if(!org_window) \{
	\}else \{
	org_window.close()
	\}
	\}\n";

	print"function removestudents\(org\) \{
	newwindo = window.open\(\"\",\"newwindo\",\"top=150,left=200,height=320,width=600\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{RemoveStudents}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/html>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form3.input.value=\"remove_students\"
	document.form3.org_id.value=org
	document.form3.submit\(\)
	\}\n";
	
	print"function resetstudents\(org\) \{
	newwindo = window.open\(\"\",\"newwindo\",\"top=150,left=200,height=320,width=600\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ResetStudents}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/html>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form3.input.value=\"reset_students\"
	document.form3.org_id.value=org
	document.form3.submit\(\)
	\}\n";
	
	print"function bulk_upload_photos\(org\) \{
	newwindo = window.open\(\"\",\"newwindo\",\"top=150,left=200,height=610,width=600\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Bulkuploadphotos}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/html>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form3.input.value=\"bulk_upload_photos\"
	document.form3.org_id.value=org
	document.form3.submit\(\)
	\}\n";
	
	
	print"function upload_file\(org\) \{
	newwindo = window.open\(\"\",\"newwindo\",\"top=150,left=200,height=620,width=600\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{UploadaFileofUsersandClasses}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/html>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form3.input.value=\"upload_file_users_and_classes\"
	document.form3.org_id.value=org
	document.form3.submit\(\)
	\}\n";


	print"function delete_org\(id,org\) \{
	close_open_windows\(\)
	org_window = window.open\(\"\",\"org_window\",\"top=200,left=200,height=140,width=450\"\)
	org_window.focus\(\)
	org_window.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{DeleteOrganization}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)
	org_window.document.writeln\(\'\<script language=\"Javascript\" type=\"text\/javascript\"\>\'\)
	org_window.document.writeln\(\'\<\!--\'\)
	org_window.document.writeln\(\'function submit_handler\(\)\{\'\)
	org_window.document.writeln\(\'document.form1.submit\(\)\'\)
	org_window.document.writeln\(\'self.close\(\)\'\)
	org_window.document.writeln\(\'\}\'\)
	org_window.document.writeln\(\'\/\/--\\>\'\)
	org_window.document.writeln\(\'\\<\\/script\\>\'\)
	org_window.document.writeln\(\'<form name=\"form1\" method=\"POST\" action=\"\/qst\/one\" target=\"theright\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"del_org\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"type\" value=\"6\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$O{u_id}\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$O{session_id}\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"value\" value=\"\'\)
	org_window.document.write\(\'\'\ +id)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.writeln\(\'<center>$LANGUAGE{$set_language}{DeleteOrganization} <B>\'\)
	org_window.document.writeln\(\'\' +org\)
 	org_window.document.writeln\(\'</B><BR> $LANGUAGE{$set_language}{andallstudentsinstructorsclassesfilestestssurveysandquizzesunderit}</B> </center>\'\)
	org_window.document.writeln\(\'<BR><center><TABLE width=\"100%\" $action_bar><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\" onClick=\"submit_handler\(\)\">$LANGUAGE{$set_language}{Delete}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TR></TABLE></center></FORM>\'\)
	org_window.document.writeln\(\'<\/body><\/html>\'\)
	org_window.document.close()
	\}\n";


	print"function create_it\(org,name,org1\) \{
	close_open_windows\(\)
	if \( org == \"1\"\) \{
      	org_window = window.open\(\"\",\"org_window\",\"top=200,left=200,height=160,width=450\"\)
	org_window.focus\(\)
	org_window.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{CreateOrganization}\'\)
	\}
	else if \( org == \"2\"\) \{
      	org_window = window.open\(\"\",\"org_window\",\"top=200,left=200,height=220,width=470\"\)
	org_window.focus\(\)
	org_window.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{CreateClass}\'\)
	\}
	else \{
      	org_window = window.open\(\"\",\"org_window\",\"top=200,left=400,height=480,width=460\"\)
	org_window.focus\(\)
	org_window.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{CreateUser}'\)
	\}\n";
	
	
	print"org_window.document.writeln\(\'</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)\n";
	
	print"if \( org == \"1\"\) \{\n";
	
	&javascript_new_windo_check_input_not_empty("form","form1","windo","org_window","error_message","$LANGUAGE{$set_language}{Anamewasnotentered}","fields","org");
	
	print"org_window.document.writeln\(\'<form name=\"form1\" method=\"POST\" action=\"\/qst\/one\" target=\"theright\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"type\" value=\"6\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"add_org\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$O{u_id}\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$O{session_id}\">\'\)
	org_window.document.writeln\(\'<center><B>$LANGUAGE{$set_language}{CreateOrganization}<b></center><BR><center>$LANGUAGE{$set_language}{Name}\: <input type=\"text\" name=\"org\" value=\"\" size=\"30\"\></center><center><font size=\"-2\">$LANGUAGE{$set_language}{Max80characters}</font></center>\'\)
	org_window.document.writeln\(\'<BR><center><TABLE width=\"100%\" $action_bar ><TR><TD><center><B style=\"cursor: pointer\; \" onClick=\"check_handler\(\)\"><font style=\"family: Arial\;\" color=\"white\">$LANGUAGE{$set_language}{Create}</font></b>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor: pointer\" onClick=\"self.close\(\)\"><font color=\"white\">$LANGUAGE{$set_language}{Cancel}</font></B></center></TD></TR></TABLE></center></FORM>\'\)
	org_window.document.writeln\(\'<\/body><\/html>\'\)
	org_window.document.close()
	\}\n";
	
	print"else if \( org == \"2\"\) \{\n";
	&javascript_new_windo_check_input_not_empty("form","form1","windo","org_window","error_message","$LANGUAGE{$set_language}{Anamewasnotentered}","fields","org");
	
	print"org_window.document.writeln\(\'<form name=\"form1\" method=\"POST\" action=\"\/qst\/one\" target=\"theright\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"type\" value=\"6\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$O{u_id}\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$O{session_id}\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"org_id\" value=\"\'\)
	org_window.document.write\(\'\'+org1\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.writeln\(\'<center><B>\'\)
	org_window.document.writeln\(\'\'+name\)
	org_window.document.writeln\(\'</B> - $LANGUAGE{$set_language}{CreateClass}</center><P>\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"add_class\">\'\)
	org_window.document.writeln\(\'<TABLE width=\"100%\"><TR><TD align=\"right\">$LANGUAGE{$set_language}{Name}\:</TD><TD><input type=\"text\" name=\"org\" value=\"\" size=\"30\"\><BR>&nbsp\;&nbsp\;&nbsp\;<font size=\"-2\">$LANGUAGE{$set_language}{Max80characters}</font></TD></TR>\'\)
	org_window.document.writeln\(\'<TR><TD align=\"right\">$LANGUAGE{$set_language}{Classid}\:</TD><TD><input type=\"text\" name=\"institution_id\" value=\"\" size=\"10\"\> <font size=\"-2\">$LANGUAGE{$set_language}{spaceswillberemoved}</font><BR>&nbsp\;&nbsp\;&nbsp\;<font size=\"-2\">$LANGUAGE{$set_language}{Max20characters}</font></TD></TR></TABLE>\'\)
	org_window.document.writeln\(\'<BR><center><TABLE width=\"100%\" $action_bar ><TR><TD><center><B style=\"cursor: pointer\" onClick=\"check_handler\(\)\"><font color=\"white\">$LANGUAGE{$set_language}{Create}</font></B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor: pointer\" onClick=\"self.close\(\)\"><font color=\"white\">$LANGUAGE{$set_language}{Cancel}</font></B></center></TD></TABLE></center></FORM>\'\)
	org_window.document.writeln\(\'<\/body><\/html>\'\)
	org_window.document.close()
	\}\n";
	
	print"else \{\n";
	
	&javascript_new_windo_check_input_not_empty_user("form","form1","windo","org_window","error_message","$LANGUAGE{$set_language}{Arequiredfieldwasnotentered}","fields","f_name;l_name;u_name;pass;pass1");
	print"org_window.document.writeln\(\'<form name=\"form1\" method=\"POST\" action=\"\/qst\/one\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"type\" value=\"\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"add_user\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$O{u_id}\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"addp\" value=\"\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$O{session_id}\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"org\" value=\"\'\)
	org_window.document.writeln\(\'\'+name\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.writeln\(\'<center><B>\'\)
	org_window.document.writeln\(\'\'+name\)
	org_window.document.writeln\(\'</B> - $LANGUAGE{$set_language}{Users}</center>\'\)
	org_window.document.writeln\(\'<center><font color=\"red\">*</font> $LANGUAGE{$set_language}{required}</center><P>\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"org_id\" value=\"\'\)
	org_window.document.write\(\'\'+org1\)
	org_window.document.write\(\'\">\'\)
	org_window.document.writeln\(\'<TABLE width=\"100%\"><TR><TD width=\"10 \"><TD align=\"right\">$LANGUAGE{$set_language}{Firstname}\:</TD><TD> <input type=\"text\" name=\"f_name\" value=\"\" size=\"20\"\><font color=\"red\">*<\/TD></TR>\'\)
	org_window.document.writeln\(\'<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{MiddleInitial}\:</TD><TD> <input type=\"text\" name=\"m_name\" value=\"\" size=\"20\"\><\/TD></TR>\'\)
	org_window.document.writeln\(\'<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{LastName}\:</TD><TD> <input type=\"text\" name=\"l_name\" value=\"\" size=\"30\"\><font color=\"red\">*</font><\/TD></TR>\'\)
	org_window.document.writeln\(\'<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{UserName}\:</TD><TD> <input type=\"text\" name=\"u_name\" value=\"\" size=\"15\"\><font color=\"red\">*</font><font size=\"-1\">$LANGUAGE{$set_language}{Alphanumeric}</font><\/TD></TR>\'\)
	org_window.document.writeln\(\'<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{Password}\:</TD><TD> <input type=\"text\" name=\"pass\" value=\"\" size=\"10\"\><font color=\"red\">*</font><font size=\"-1\">$LANGUAGE{$set_language}{Alphanumeric}</font><\/TD></TR>\'\)
	org_window.document.writeln\(\'<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{Passwordagain}\:</TD><TD> <input type=\"text\" name=\"pass1\" value=\"\" size=\"10\"\><font color=\"red\">*</font><font size=\"-1\">$LANGUAGE{$set_language}{Alphanumeric}</font><\/TD></TR>\'\)
	org_window.document.writeln\(\'<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{Usertype}\:</TD><TD>\'\)
	org_window.document.writeln\(\'<SELECT name=\"u_type\">\'\)
	org_window.document.writeln\(\'<Option value=\"2\"> $LANGUAGE{$set_language}{Instructor}\'\)
	org_window.document.writeln\(\'<Option value=\"3\" selected> $LANGUAGE{$set_language}{Student}\'\)
	org_window.document.writeln\(\'<Option value=\"5\"> $LANGUAGE{$set_language}{qbank_admin}\'\)
	org_window.document.writeln\(\'<Option value=\"6\"> $LANGUAGE{$set_language}{OrganizationAdmin}\'\)
	org_window.document.writeln\(\'<\/SELECT><\/TD></TR>\'\)
	org_window.document.writeln\(\'<TR><TD width=\"10 \"><TD  align=\"right\"> $LANGUAGE{$set_language}{Institutionid}\:</TD><TD> <input type=\"text\" name=\"institute_id\" value=\"\" size=\"10\"\><font size=\"-1\"> $LANGUAGE{$set_language}{Numeric}</font><\/TD></TR></TABLE>\'\)
	org_window.document.writeln\(\'<BR><center><TABLE width=\"100%\" $action_bar><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Create}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\" onClick=\"check_handler\(2\)\">$LANGUAGE{$set_language}{AddPhoto}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</font></center></TD></TR></TABLE></center></FORM>\'\)
	org_window.document.writeln\(\'<\/body><\/html>\'\)
	org_window.document.close()
	\}
	\}\n";


	print"function rename_it\(org,what\) \{
	close_open_windows\(\)
	var rename_string = new String\(org\)
	var rename_array = rename_string.split\(\",\"\)
	org_window = window.open\(\"\",\"org_window\",\"top=200,left=200,height=150,width=450\"\)
	org_window.focus\(\)
	if\(what == \"class\"\) \{
	org_window.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeClass}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)
	\}
	else if\(what == \"user\"\) \{
	org_window.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeUser}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)
	\}
	else \{
	org_window.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{RenameOrganization}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)
	\}\n";
	
	&javascript_new_windo_check_input_not_empty("form","form1","windo","org_window","error_message","$LANGUAGE{$set_language}{Anamewasnotentered}","fields","name");
	
	print"if\(what == \"class\"\ || what == \"user\"\) \{
	org_window.document.writeln\(\'<form name=\"form1\" action=\"\/qst\/one\" target=\"theleft\">\'\)
	\}\n";
	
	print"else \{
	org_window.document.writeln\(\'<form name=\"form1\" method=\"POST\" action=\"\/qst\/one\" target=\"theright\">\'\)
	\}
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"rename_it\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"type\" value=\"6\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$O{u_id}\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$O{session_id}\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"org_id\" value=\"\'\)
	org_window.document.write\(\'\'\ +rename_array\[0\])
	org_window.document.writeln\(\'\">\'\)
	if\(what == \"class\"\ || what == \"user\"\) \{
	org_window.document.write\(\'<input type=\"hidden\" name=\"\'\)
	org_window.document.write\(\'\'\ +what)
	org_window.document.write\(\'\"\'\)
	org_window.document.write\(\' value=\"\'\)
	org_window.document.write\(\'\'\ +rename_array\[2\]\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"org_letter\" value=\"\'\)
	org_window.document.write\(\'\'\ +rename_array\[3\]\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.write(\'<input type=\"hidden\" name=\"org_name\" value=\"\'\)
	org_window.document.write\(\'\'\ +rename_array\[4\]\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"org_type\" value=\"\'\)
	org_window.document.write\(\'\'\ +rename_array\[5\]\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"class_id\" value=\"\'\)
	org_window.document.write\(\'\'\ +rename_array\[2\]\)
	org_window.document.writeln\(\'\">\'\)
	\}
	org_window.document.write\(\'<center>$LANGUAGE{$set_language}{Name}\: <input type=\"text\" name=\"name\" value=\"\'\)
	org_window.document.write\(\'\'+rename_array\[1\]\)
	org_window.document.writeln\(\'\" size=\"20\"\></center>\'\)
	org_window.document.writeln\(\'<BR><center><TABLE width=\"100%\" $action_bar><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Rename}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TR></TABLE></center></FORM>\'\)
	org_window.document.writeln\(\'<\/body><\/html>\'\)
	org_window.document.close()
	\}\n";
	
	print"function view_it\(org_id,org_name,type,letter,view\) \{
	document.form1.org_id.value = org_id
	document.form1.org_name.value = org_name
	document.form1.org_type.value = type
	document.form1.org_letter.value = letter
	document.form1.view.value = view
	document.form1.submit\(\)
	\}\n";

	print"function expandit\(expand\) \{
	document.form2.expand_it.value = expand
	document.form2.submit\(\)
	\}\n";
	
	print"function searchclasses\(orgid,orgname\) \{
	document.searchclass.org_id.value = orgid
	document.searchclass.org_name.value = orgname
	class1 = document.searchc.institution_id.value
	document.searchclass.institution_id.value = class1
	document.searchclass.submit\(\)
	\}\n";

	print"function searchstudents\(orgid,orgname\) \{
	document.searchstudent.org_id.value = orgid
	document.searchstudent.org_name.value = orgname
	student = document.searchs.student_id.value
	document.searchstudent.student_id.value = student
	document.searchstudent.submit\(\)
	\}\n";

	&print_javascript_end();
	

	my @expand = "$O{expand_it}";
	my $to_expand = shift(@expand);
	
	&top_heading1();
	
	print"</TABLE>
	<DL>$image5 \n";
	
	my %ORG = ();
	
	if ($org_id == 0) { # Administrators who have access to ALL
                print"<B STYLE=\"cursor: pointer\" OnClick=\"create_it\(\'1\'\)\">\n";
                %ORG = &select("from","organization");
                }
        else { # Administrators who only have access to ONE Organization
                print"<B>";
                %ORG = &select5("query","select * from organization where org_id =$org_id");
                }
                
	print"QST</B>\n";
	
	if (keys %ORG) {
		print"<DL>\n";
		foreach my $key(sort keys %ORG) {
			if($ORG{$key} != 1) {
				if($to_expand == $ORG{$key}) {
					print"<DT>&nbsp\;&nbsp\;&nbsp\; <font STYLE=\"cursor: pointer; vertical-align:middle\" OnClick=\"delete_org\(\'$ORG{$key}\',\'$key\'\)\">$image7</font> <font STYLE=\"cursor: pointer; vertical-align:middle\" OnClick=\"rename_it\(\'$ORG{$key},$key\'\)\">$image8</font> <font STYLE=\"cursor: pointer\" onClick=\"expandit\(\'0\'\)\">$image5</font> $key </B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i STYLE=\"cursor: pointer\" OnClick=\"upload_file\(\'$ORG{$key}\'\)\">$image28 $LANGUAGE{$set_language}{Fileofusersandclasses}</i>
					&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i STYLE=\"cursor: pointer\" OnClick=\"bulk_upload_photos\(\'$ORG{$key}\'\)\">$image28 $LANGUAGE{$set_language}{Bulkphotos}</i>
					&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<P>\n";
					print"<DL>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image9  <font STYLE=\"cursor: pointer\" onClick=\"create_it\(\'2\',\'$key\',\'$ORG{$key}\'\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{CreateClass}\">$image31 $LANGUAGE{$set_language}{Classes}</font>
					<DT><TABLE width=\"70\%\"><TD align=\"center\"><font size=\"-1\"> \($LANGUAGE{$set_language}{byfirstletterinname}\)</font></TD></TABLE>
					<DT>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image9  $image9 $image9 <a href=\"javascript\:void\(0\)\" onClick=\"view_it\(\'$ORG{$key}\',\'$key\'\,\'1\',\'$LANGUAGE{$set_language}{All}\')\">$LANGUAGE{$set_language}{All}</a> ";
					
					foreach my $letter(@alpha_bet) {
						print" <a href=\"javascript\:void\(0\)\" onClick=\"view_it\(\'$ORG{$key}\',\'$key\'\,\'1\',\'$letter\')\">$letter</a>";
						}
						
                                        print"<DL><DT>
					<TABLE><TR><TD valign=\"top\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><form name=\"searchc\">$LANGUAGE{$set_language}{SearchbyClassId}\: <input type=\"text\" name=\"institution_id\" value=\"\" size=\"20\"></form></TD><TD valign=\"top\">&nbsp\;<B STYLE=\"cursor: pointer\;\" onClick=\"searchclasses\(\'$ORG{$key}\',\'$key\'\)\">$LANGUAGE{$set_language}{Search} </b></TD></TR></TABLE>\n";
					print"</DL><DT>$image9</DL>
					<DL>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\; $image9  <font STYLE=\"cursor: pointer\"  onClick=\"create_it\(\'3\',\'$key\',\'$ORG{$key}\'\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{CreateUser}\">$image27 $LANGUAGE{$set_language}{Users} </font>
					<DT><TABLE width=\"70\%\"><TD align=\"center\"><font size=\"-1\"> \($LANGUAGE{$set_language}{byfirstletterinlastname}\)</font></TD></TABLE>
					<DT>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\; $image9  $image9 $image9 <a href=\"javascript\:void\(0\)\" onClick=\"view_it\(\'$ORG{$key}\',\'$key\'\,\'2\',\'$LANGUAGE{$set_language}{All}\',\'0\')\">$LANGUAGE{$set_language}{All}</a>\n";
					
					foreach my $letter(@alpha_bet) {
						print" <a href=\"javascript\:void\(0\)\" onClick=\"view_it\(\'$ORG{$key}\',\'$key\'\,\'2\',\'$letter\',\'0\')\">$letter</a>";
						}
					print"<DL><DT>
					<TABLE><TR><TD valign=\"top\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><form name=\"searchs\">$LANGUAGE{$set_language}{SearchbyStudentId}\: <input type=\"text\" name=\"student_id\" value=\"\" size=\"10\"></form></TD><TD valign=\"top\">&nbsp\;<B STYLE=\"cursor: pointer\" onClick=\"searchstudents\(\'$ORG{$key}\',\'$key\'\)\">$LANGUAGE{$set_language}{Search} </b></TD></TR></TABLE>
					</DL>\n";
					
					print"<DL><DT>
					<TABLE><TR><TD valign=\"top\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD>$image23 <span STYLE=\"cursor: pointer\;\" onClick=\"resetstudents\(\'$ORG{$key}\',\'$key\'\)\">$LANGUAGE{$set_language}{ResetStudents} </span></TD></TR></TABLE></DL>\n";

					print"<DL><DT>
					<TABLE><TR><TD valign=\"top\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD>$image7 &nbsp\;<span STYLE=\"cursor: pointer\;\" onClick=\"removestudents\(\'$ORG{$key}\',\'$key\'\)\">$LANGUAGE{$set_language}{RemoveStudents} </span></TD></TR></TABLE></DL><BR><P>\n";

					}
				 else {
					print"<DT style=\"padding-top: 3px\;\">&nbsp\;&nbsp\;&nbsp\; <font STYLE=\"cursor: pointer\; vertical-align:middle\" OnClick=\"delete_org\(\'$ORG{$key}\',\'$key\'\)\">$image7</font> <font STYLE=\"cursor: pointer\; vertical-align:middle\" OnClick=\"rename_it\(\'$ORG{$key},$key\'\)\">$image8</font> <font STYLE=\"cursor: pointer\" onClick=\"expandit\(\'$ORG{$key}\'\)\">$image4</font> $key </B>\n";
					}
				}
			}
		print"</DL>\n";
		}
		
	print"</DL><P><P>\n";
	
	&help;
	
	if($org_id == 0) {
                print"<B>$LANGUAGE{$set_language}{ClickonQSTtocreateanORGANIZATIONunderit}</B><P>\n";
                }
                
	print"<B>$LANGUAGE{$set_language}{Clickontoviewcontentsunderit}</B>\n";

  	&print_form("form_name","form1","form_target","theleft","input","view_it","org_id","","org_name","","org_type","","org_letter","","view","","u_id","$O{u_id}","session_id","$O{session_id}");
  	
  	&print_form("form_name","form2","selection6","org","input","org","expand_it","","u_id","$O{u_id}","session_id","$O{session_id}");
  	
  	&print_form("form_name","form3","form_target","newwindo","input","upload_file_users_and_classes","org_id","","u_id","$O{u_id}","session_id","$O{session_id}");
  	&print_form("form_name","searchclass","form_target","theleft","input","view_it","institution_id","","org_id","","org_name","","u_id","$O{u_id}","session_id","$O{session_id}");
  	&print_form("form_name","searchstudent","form_target","theleft","input","view_it","student_id","","org_id","","org_name","","u_id","$O{u_id}","session_id","$O{session_id}","org_type","2");

	if($O{no_good} ne"0" && defined $O{no_good}) {
		&alert("no_good","$O{no_good}","alert","1");
		}
	}

#####################
#
# PRINT_BOTA
#
#####################
sub print_bota {
	my %PB = @_;

        print <<"EOA";

	<script language="Javascript" type="text/javascript">
	
	var what = 1;
	function delete_handler() {
	alert("$LANGUAGE{$set_language}{Noquestionshavebeenaddedyet}")
	}
	function focus_handler() {
	alert("$LANGUAGE{$set_language}{Noquestionshavebeenaddedyet}")
	}
	//-->
	</script>
	</HEAD>
	<BODY>
	<FORM name="focus1">
	<input type="hidden" name="quiz_no" value="">
	
EOA

	print"<input type=\"hidden\" name=\"u_id\" value=\"$PB{u_id}\">
	<input type=\"hidden\" name=\"session_id\" value=\"$PB{session_id}\">
	</FORM>\n";

	}

#####################
#
# PRINT_MIDA
#
#####################
sub print_mida {
	my %PB = @_;

        print <<"EOA";

	<script language="Javascript" type="text/javascript">
	
	var what = 1;
	function delete_handler() {
	alert("$LANGUAGE{$set_language}{Noquestionshavebeenaddedyet}")
	}
	function focus_handler() {
	alert("$LANGUAGE{$set_language}{Noquestionshavebeenaddedyet}")
	}
	
	</script>
	</HEAD>
	<BODY>
	<FORM name="focus1">
	<input type="hidden" name="quiz_no" value="">
	
EOA

	print"<input type=\"hidden\" name=\"u_id\" value=\"$PB{u_id}\">
	<input type=\"hidden\" name=\"session_id\" value=\"$PB{session_id}\">
	</FORM>\n";

	}
	
#####################
#
# PRINT_TOPB
#
#####################
sub print_topb {
	my %PB = @_;

        print <<"EOA";

	<script language="Javascript" type="text/javascript">
	
	var what = 1;
	function delete_handler() {
	alert("$LANGUAGE{$set_language}{Noquestionshavebeenaddedyet}")
	}
	function focus_handler() {
	alert("$LANGUAGE{$set_language}{Noquestionshavebeenaddedyet}")
	}
	
	</script>
	</HEAD>
	<BODY>
	<FORM name="focus1">
	<input type="hidden" name="quiz_no" value="">
	
EOA

	print"<input type=\"hidden\" name=\"u_id\" value=\"$PB{u_id}\">
	<input type=\"hidden\" name=\"session_id\" value=\"$PB{session_id}\">
	</FORM>\n";

	}

#####################
#
# POST_QST
#
####################
sub post_qst {
	my %PQ = @_;
	my $error = 0;
	my $qst_no = $PQ{qst_no};
	$qst_no =~ s/\D//g;
	my $class_id = $PQ{class_id};
	$class_id =~ s/\D//g;
	my $attempts = $PQ{attempts};
	$attempts =~ s/\D//g;
	++$attempts;
	
	my $start = $PQ{start};
	my $end = $PQ{end};
	
	if($PQ{result} == 1) {
                }
        else {
                $PQ{result} = 0;
                }
	my $result = $PQ{result};
	$result =~ s/\D//g;
	
	if($PQ{submissions} == 1) {
                }
        else {
                $PQ{submissions} = 0;
                }
	my $submissions = $PQ{submissions};
	$submissions =~ s/\D//g;
	
	my $rhm = $PQ{rhm};
	$rhm =~ s/\D//g;
	
	if($PQ{forall} == 1) {
                }
        else {
                $PQ{forall} = 0;
                }
        my $forall = $PQ{forall};

        if($PQ{shuffle} == 1) {
                }
        else {
                $PQ{shuffle} = 0;
                }
                
        my $shuffle = $PQ{shuffle};
        
        if($PQ{shuffle_ans} == 1) {
                }
        else {
                $PQ{shuffle_ans} = 0;
                }
                
        my $shuffle_ans = $PQ{shuffle_ans};
       
        
        if($PQ{display} == 1) {
                }
        else {
                $PQ{display} = 0;
                }
                
	my $type = $PQ{type};
	$type =~ s/\D//g;
	my $sub_type = $PQ{sub_type};
	$sub_type =~ s/\D//g;
	my $class_open = $PQ{class_open};
	$class_open =~ s/\D//g;
	my $open_class = $PQ{open_class};
	$open_class =~ s/\D//g;
	my $unpost = $PQ{unpost};
	$unpost =~ s/\D//g;
	my $from = $PQ{from};
	$from =~ s/\D//g;
	my $avail = $PQ{avail};
	$avail =~ s/\D//g;
	my $start_month = $PQ{start_month};
	$start_month =~ s/\D//g;
	my $start_day = $PQ{start_day};
	$start_day =~ s/\D//g;
	my $start_hour = $PQ{start_hour};
	$start_hour =~ s/\D//g;
	my $finish_month = $PQ{finish_month};
	$finish_month =~ s/\D//g;
	my $finish_day = $PQ{finish_day};
	$finish_day =~ s/\D//g;
	my $finish_hour = $PQ{finish_hour};
	$finish_hour =~ s/\D//g;
	my $qtime = $PQ{qtime};
	$qtime =~ s/\D//g;
	my $delivery = $PQ{delivery};
	$delivery =~ s/\D//g;
	my $u_id = $PQ{u_id};
	$u_id =~ s/\D//g;
	my $session_id = $PQ{session_id};
	$session_id =~ s/\D//g;
	my $display = $PQ{display};
	$display  =~ s/\D//g;
	
        my %TIMEZONE = ();
	$error = &check_many_length_return("$qst_no","10","$class_id","10","start","10","end","10","$attempts","3","$result","1","$submissions","1","$rhm","1","$forall","1","$type","2","$class_open","10","$open_class","10","$avail","1","$start_month","2","$start_day","2","$start_hour","4","$finish_month","2","$finish_day","2","$finish_hour","4","$qtime","3","$delivery","1");

	# DELETE 
	delete($PQ{from});
	delete($PQ{qst_no});
	delete($PQ{class_id});
	delete($PQ{attempts});
	delete($PQ{start});
	delete($PQ{end});
	delete($PQ{result});
	delete($PQ{submissions});
	delete($PQ{rhm});
	delete($PQ{forall});
	delete($PQ{type});
	delete($PQ{sub_type});
	delete($PQ{class_open});
	delete($PQ{open_class});
	delete($PQ{input});
	delete($PQ{unpost});
	delete($PQ{avail});
	delete($PQ{start_month});
	delete($PQ{start_day});
	delete($PQ{start_hour});
	delete($PQ{finish_month});
	delete($PQ{finish_day});
	delete($PQ{finish_hour});
	delete($PQ{qtime});
	delete($PQ{delivery});
	delete($PQ{u_id});
	delete($PQ{session_id});
	delete($PQ{org_id});
        delete($PQ{u_type});
        delete($PQ{shuffle});
        delete($PQ{display});
        delete($PQ{descrip});
        delete($PQ{question});
        delete($PQ{shuffle_ans});
        delete($PQ{view_org_id});
        
	my %RETURN = &select1("query","select qst from posted_qst WHERE qst=\"$qst_no\" AND class_id=\"$class_id\" AND u_id=\"$ids\"");
 
        if(!defined $start) {
                $start = "1000-01-01";
                }
                
        if(!defined $end) {
                $end = "1000-01-01";
                }

        if(!defined $rhm) {
                $rhm = 0;
                }
                
	if(keys %RETURN && $error != 1) { # Already Posted and input is clean
		if(defined $RETURN{$qst_no}) { # changing post
			if($unpost == 1) {
				&update_general("query","UPDATE posted_qst SET posted=\"0\" WHERE qst=\"$qst_no\"");
				}
			else {
 				if($type != 2) { # quizzes/tests
					&update_general("query","UPDATE posted_qst SET attempts=\"$attempts\", start=\"$start\", end=\"$end\", result=\"$result\", submissions=\"$submissions\", rhm=\"$rhm\", forall=\"$forall\", posted=\"1\", avail=\"$avail\", start_month=\"$start_month\", start_day=\"$start_day\", start_hour=\"$start_hour\", finish_month=\"$finish_month\", finish_day=\"$finish_day\", finish_hour=\"$finish_hour\", qtime=\"$qtime\", delivery=\"$delivery\", shuffle=\"$shuffle\",display=\"$display\", shuffle_ans=\"$shuffle_ans\" WHERE qst=\"$qst_no\"");
					}
					
				else { # surveys
					&update_general("query","UPDATE posted_qst SET attempts=\"1\", start=\"$start\", end=\"$end\", result=\"$result\", submissions=\"$submissions\", rhm=\"$rhm\", forall=\"$forall\", posted=\"1\", avail=\"$avail\", start_month=\"$start_month\", start_day=\"$start_day\", start_hour=\"$start_hour\", finish_month=\"$finish_month\", finish_day=\"$finish_day\", finish_hour=\"$finish_hour\", qtime=\"$qtime\", delivery=\"$delivery\", shuffle=\"$shuffle\",display=\"$display\", shuffle_ans=\"$shuffle_ans\" WHERE qst=\"$qst_no\"");
					}

				my %RETURN1 = &select5("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst_no\"");
				delete($RETURN1{$ids});

				if($forall != 1) { # just for selected students
					if(keys %PQ) {
						my %ACCESS = %RETURN1;
						foreach my $key1(keys %RETURN1) {
							if(defined $PQ{$key1}) {
								delete($PQ{$key1});
								delete($ACCESS{$key1});
								}
							}
							
						if(keys %PQ) {
							my $there = 0;
							my %RETURN4 = &select5("query","SELECT qst_no,u_id from qst_attempts WHERE qst_no=\"$qst_no\"");
							my $query = "INSERT access_to_qst VALUES";
							my $query1 = "INSERT qst_attempts VALUES";
							foreach my $key(keys %PQ) {
								$query = "$query"."\(\"$qst_no\","."\"$key\","."\"$org_id\"\),";

								if(!defined $RETURN4{$key}) {
									$query1 = "$query1"."\(\"$qst_no\","."\"$key\","."\"0\","."\"$org_id\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\"),";
									$there = 1;
									}
								else {
									delete($RETURN4{$key});
									}
								}
							$query =~ s/,$//;

							&insert_generic("query","$query");
            
							if($there == 1) {
								$query1 =~ s/,$//;
								&insert_generic("query","$query1");
								}
							if(keys %RETURN4) {
								my $query1 = "DELETE FROM qst_attempts WHERE ";
								foreach my $key(keys %RETURN4) {
									$query1 = "$query1"."u_id=\"$key\" AND qst_no=\"$qst_no\" OR ";
									}
								$query1 =~ s/OR $//;
								&generic_delete("query","$query1");
								}
							}
							
						if(keys %ACCESS) {
							my $query = "DELETE FROM access_to_qst WHERE ";
							my $query1 = "DELETE FROM qst_attempts WHERE ";
							foreach my $key(keys %ACCESS) {
								$query = "$query"."u_id=\"$key\" AND qst_no=\"$qst_no\" OR ";
								$query1 = "$query1"."u_id=\"$key\" AND qst_no=\"$qst_no\" OR ";
								}
							$query =~ s/OR $//;

							&generic_delete("query","$query");
							$query1 =~ s/OR $//;

							&generic_delete("query","$query1");
							}
						}
						
					else { # not posted for any students
						if(keys %RETURN1) {
							my $query = "DELETE FROM access_to_qst WHERE ";
							my $query1 = "DELETE FROM qst_attempts WHERE ";
							foreach my $key(keys %RETURN1) {
								$query = "$query"."u_id=\"$key\" AND qst_no=\"$qst_no\" OR ";
								$query1 = "$query1"."u_id=\"$key\" AND qst_no=\"$qst_no\" OR ";
								}
							$query =~ s/OR $//;

							&generic_delete("query","$query");
							$query1 =~ s/OR $//;

							&generic_delete("query","$query1");
							}
							
						my %RETURN4 = &select5("query","SELECT qst_no,u_id from qst_attempts WHERE qst_no=\"$qst_no\"");
						if(keys %RETURN4) {
							my $query1 = "DELETE FROM qst_attempts WHERE ";
							foreach my $key(keys %RETURN4) {
								$query1 = "$query1"."u_id=\"$key\" AND qst_no=\"$qst_no\" OR ";
								}
							$query1 =~ s/OR $//;

							&generic_delete("query","$query1");
							}
							
						my $query = "DELETE FROM posted_qst WHERE qst=\"$qst_no\" AND class_id=\"$class_id\"";
						&generic_delete("query","$query");
						}
					}
					
				else { # for everyone in class
					my %RETURN2 = &select_class_users("class_id","$class_id");
					delete($RETURN2{$ids});
					my %RETURN3 = &select5("query","SELECT qst_no,u_id from qst_attempts WHERE qst_no=\"$qst_no\"");
					foreach my $key(keys %RETURN3) {
						delete($RETURN2{$key});
						}
						
					if(keys %RETURN2) {
						my $query1 = "INSERT qst_attempts VALUES";
						foreach my $key(keys %RETURN2) {
							$query1 = "$query1"."\(\"$qst_no\","."\"$key\","."\"0\","."\"$org_id\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\"),";
							}
						$query1 =~ s/,$//;

						&insert_generic("query","$query1");
						}

					if(keys %RETURN1) {
						my $query = "DELETE FROM access_to_qst WHERE ";
						foreach my $key(keys %RETURN1) {
							$query = "$query"."u_id=\"$key\" AND qst_no=\"$qst_no\" OR ";
							}
						$query =~ s/OR $//;
						&generic_delete("query","$query");
						}
					}
				}
			}
			
		else {
			my $count = &is_there("table","qst","number","$qst_no");
			
			my %RETURN3 = &select_qst("query","select number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE number=\"$qst_no\" AND u_id=\"$ids\"");
			
			if($unpost != 1 && $count == 1) {
				if($type != 2) {
                                        &insert_qst("qst","$qst_no","attempts","$attempts","start","","end","","class_id","$class_id","result","$result","submissions","$submissions","rhm","$rhm","forall","$forall","avail","$avail","start_month","$start_month","start_day","$start_day","start_hour","$start_hour","finish_month","$finish_month","finish_day","$finish_day","finish_hour","$finish_hour","qtime","$qtime","delivery","$delivery","branching","$RETURN3{$qst_no}{branching}","shuffle","$shuffle","display","$display","shuffle_ans","$shuffle_ans");
					}
				else {
                                        &insert_qst("qst","$qst_no","attempts","1","start","","end","","class_id","$class_id","result","0","submissions","0","rhm","0","forall","$forall","avail","$avail","start_month","$start_month","start_day","$start_day","start_hour","$start_hour","finish_month","$finish_month","finish_day","$finish_day","finish_hour","$finish_hour","qtime","$qtime","delivery","$delivery","branching","$RETURN3{$qst_no}{branching}","shuffle","$shuffle","display","$display","shuffle_ans","$shuffle_ans");
					}
					
				if($forall != 1) {
					if(keys %PQ) {
						my $query = "INSERT access_to_qst VALUES";
						my $query1 = "INSERT qst_attempts VALUES";
						foreach my $key(keys %PQ) {
							$query = "$query"."\(\"$qst_no\","."\"$key\"\,"."\"$org_id\"),";
							$query1 = "$query1"."\(\"$qst_no\","."\"$key\","."\"0\","."\"$org_id\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\"),";
							}
						$query =~ s/,$//;
						&insert_generic("query","$query");
						$query1 =~ s/,$//;
						&insert_generic("query","$query1");
						}
					}
				}
			}
		}
		
	elsif ($error != 1) { # First Post
		my $count = &is_there("table","qst","number","$qst_no");
		my %RETURN3 = &select_qst("query","select number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE number=\"$qst_no\" AND u_id=\"$ids\"");
		
		if($unpost != 1 && $count == 1) {
			if($forall != 1 && keys %PQ) { # only available for select students, otherwise do not post it

				if($type != 2) { # quizzes/tests
                                        &insert_qst("qst","$qst_no","attempts","$attempts","start","$start","end","$end","class_id","$class_id","result","$result","submissions","$submissions","rhm","$rhm","forall","$forall","avail","$avail","start_month","$start_month","start_day","$start_day","start_hour","$start_hour","finish_month","$finish_month","finish_day","$finish_day","finish_hour","$finish_hour","qtime","$qtime","delivery","$delivery","branching","$RETURN3{$qst_no}{branching}","shuffle","$shuffle","display","$display","shuffle_ans","$shuffle_ans");
					}
					
				else { # surveys
                                        &insert_qst("qst","$qst_no","attempts","1","start","","end","","class_id","$class_id","result","0","submissions","0","rhm","0","forall","$forall","avail","$avail","start_month","$start_month","start_day","$start_day","start_hour","$start_hour","finish_month","$finish_month","finish_day","$finish_day","finish_hour","$finish_hour","qtime","$qtime","delivery","$delivery","branching","$RETURN3{$qst_no}{branching}","shuffle","$shuffle","display","$display","shuffle_ans","$shuffle_ans");
					}

				if(keys %PQ) { # students it is available to
					my $query = "INSERT access_to_qst VALUES";
					my $query1 = "INSERT qst_attempts VALUES";
					foreach my $key(keys %PQ) {
						$query = "$query"."\(\"$qst_no\","."\"$key\"\,"."\"$org_id\"),";
						$query1 = "$query1"."\(\"$qst_no\","."\"$key\","."\"0\","."\"$org_id\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\"),";
						}
					$query =~ s/,$//;
					$query1 =~ s/,$//;

					&insert_generic("query","$query");
					&insert_generic("query","$query1");
					}
				}
				
			elsif ($forall == 1) { # for all students in class
				if($type != 2) { # quizzes/tests
                                        &insert_qst("qst","$qst_no","attempts","$attempts","start","$start","end","$end","class_id","$class_id","result","$result","submissions","$submissions","rhm","$rhm","forall","$forall","avail","$avail","start_month","$start_month","start_day","$start_day","start_hour","$start_hour","finish_month","$finish_month","finish_day","$finish_day","finish_hour","$finish_hour","qtime","$qtime","delivery","$delivery","branching","$RETURN3{$qst_no}{branching}","shuffle","$shuffle","display","$display","shuffle_ans","$shuffle_ans");
					}
					
				else {	# surveys
                                        &insert_qst("qst","$qst_no","attempts","1","start","$start","end","$end","class_id","$class_id","result","0","submissions","0","rhm","0","forall","$forall","avail","$avail","start_month","$start_month","start_day","$start_day","start_hour","$start_hour","finish_month","$finish_month","finish_day","$finish_day","finish_hour","$finish_hour","qtime","$qtime","delivery","$delivery","branching","$RETURN3{$qst_no}{branching}","shuffle","$shuffle","display","$display","shuffle_ans","$shuffle_ans");
					}
					
				my %RETURN2 = &select_class_users("class_id","$class_id");
				delete($RETURN2{$ids});
				my $query1 = "INSERT qst_attempts VALUES";
				foreach my $key(keys %RETURN2) {
					$query1 = "$query1"."\(\"$qst_no\","."\"$key\","."\"0\","."\"$org_id\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\","."\"0\"),";
					}
					
				$query1 =~ s/,$//;

				&insert_generic("query","$query1");
				}
			}
		}
	&make_type("class_open","1","open_class","$class_id","type","$type","sub_type","$sub_type","from","$from","expand","x","u_id","$u_id","session_id","$session_id");
	
	}

#####################
#
# POST_QST_TOP
#
####################
sub post_qst_top {
	my %PQT = @_;
	$PQT{sub_type} =~ s/\D//g;
	$PQT{qst_no} =~ s/\D//g;
	$PQT{class_id} =~ s/\D//g;
	$PQT{type} =~ s/\D//g;

	my %RETURN = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$PQT{qst_no}\" AND class_id=\"$PQT{class_id}\"");
	my %RETURN1 = &select1("query","select qst from qst_to_classes WHERE qst=\"$PQT{qst_no}\" AND class_id=\"$PQT{class_id}\"");
	my %RETURN2 = &select_qst("query","select number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE number=\"$PQT{qst_no}\" AND u_id=\"$ids\"");
	
	my %QST_TIME = ("5","5","10","10","15","15","30","30","45","45","60","60","75","75","90","90","105","105","120","120","135","135","150","150","165","165","180","180");   #,"1","unlimited");
	
	

    #### ALREADY POSTED
	if(keys %RETURN1) { # Already Posted
		&print_javascript_begin();
	 	print"var submissions_status\;
	 	var results_status\;
	 	var check_who_posted_for\;\n";

		print"function check_ok\(in1\) \{\n";
	 	print"if\(in1 == 1\) \{\n";
	 	
		if($PQT{type} != 2) { # QUIZZES/TESTS
	 		print"var subm\;
	 		var res\;
	 		var rhm\;
	 		var att = document.form1.attempts.selectedIndex
			var avail\;
	 		var start_month = document.form1.start_month.options\[document.form1.start_month.selectedIndex\].value
	 		var start_day = document.form1.start_day.options\[document.form1.start_day.selectedIndex\].value
	 		var start_hour = document.form1.start_hour.options\[document.form1.start_hour.selectedIndex\].value
	 		var finish_month = document.form1.finish_month.options\[document.form1.finish_month.selectedIndex\].value
	 		var finish_day = document.form1.finish_day.options\[document.form1.finish_day.selectedIndex\].value
	 		var finish_hour = document.form1.finish_hour.options\[document.form1.finish_hour.selectedIndex\].value
	 		var qtime = document.form1.qtime.options\[document.form1.qtime.selectedIndex\].value
	 		var shuffle = document.form1.shuffle.value
	 		var shuffle_ans = document.form1.shuffle_ans.value
	 		var display = document.form1.display.options\[document.form1.display.selectedIndex\].value
                        var delivery = document.form1.delivery.options\[document.form1.delivery.selectedIndex\].value\n";
                        
			print"for\(var i=0\; i \< document.form1.avail.length\; i++\)\{
			if \(document.form1.avail[i].checked\)\{
			avail = document.form1.avail[i].value\;
      			\}
      			\}\n";

	 		print"if\(document.form1.rhm.checked\) \{
	 		rhm = \"1\"
       			\}
       			else \{
	 		rhm = \"\"
       			\}
	 		if\(document.form1.submissions.checked\) \{
	 		subm = \"1\"
       			\}
       			else \{
	 		subm = \"\"
       			\}
	 		if\(document.form1.result.checked\) \{
	 		res = \"1\"
       			\}
       			else \{
	 		res = \"\"
       			\}
		 	self.parent.bota.document.post_qst.submissions.value =subm
		 	self.parent.bota.document.post_qst.result.value =res
		 	self.parent.bota.document.post_qst.attempts.value =att
		 	self.parent.bota.document.post_qst.rhm.value =rhm
		 	self.parent.bota.document.post_qst.avail.value =avail
		 	self.parent.bota.document.post_qst.start_month.value =start_month
		 	self.parent.bota.document.post_qst.start_day.value =start_day
		 	self.parent.bota.document.post_qst.start_hour.value =start_hour
		 	self.parent.bota.document.post_qst.finish_month.value =finish_month
		 	self.parent.bota.document.post_qst.finish_day.value =finish_day
		 	self.parent.bota.document.post_qst.finish_hour.value =finish_hour
		 	self.parent.bota.document.post_qst.qtime.value =qtime
		 	self.parent.bota.document.post_qst.shuffle.value =shuffle
		 	self.parent.bota.document.post_qst.shuffle_ans.value =shuffle_ans
		 	self.parent.bota.document.post_qst.display.value =display
		 	self.parent.bota.document.post_qst.delivery.value =delivery\n";
			}
			
		else { # SURVEYS
	 		print"var res\;
			var avail\;
	 		var start_month = document.form1.start_month.options\[document.form1.start_month.selectedIndex\].value
	 		var start_day = document.form1.start_day.options\[document.form1.start_day.selectedIndex\].value
	 		var start_hour = document.form1.start_hour.options\[document.form1.start_hour.selectedIndex\].value
	 		var finish_month = document.form1.finish_month.options\[document.form1.finish_month.selectedIndex\].value
	 		var finish_day = document.form1.finish_day.options\[document.form1.finish_day.selectedIndex\].value
	 		var finish_hour = document.form1.finish_hour.options\[document.form1.finish_hour.selectedIndex\].value
	 		var qtime = document.form1.qtime.options\[document.form1.qtime.selectedIndex\].value
	 		var display = document.form1.display.options\[document.form1.display.selectedIndex\].value
                        var delivery = document.form1.delivery.options\[document.form1.delivery.selectedIndex\].value\n";
                        
			print"for\(var i=0\; i \< document.form1.avail.length\; i++\)\{
			if \(document.form1.avail[i].checked\)\{
			avail = document.form1.avail[i].value\;
      			\}
      			\}\n";

		 	print"self.parent.bota.document.post_qst.attempts.value =1
		 	self.parent.bota.document.post_qst.avail.value =avail
		 	self.parent.bota.document.post_qst.start_month.value =start_month
		 	self.parent.bota.document.post_qst.start_day.value =start_day
		 	self.parent.bota.document.post_qst.start_hour.value =start_hour
		 	self.parent.bota.document.post_qst.finish_month.value =finish_month
		 	self.parent.bota.document.post_qst.finish_day.value =finish_day
		 	self.parent.bota.document.post_qst.finish_hour.value =finish_hour
		 	self.parent.bota.document.post_qst.qtime.value =qtime
		 	self.parent.bota.document.post_qst.display.value =display
		 	self.parent.bota.document.post_qst.delivery.value =delivery\n";
			}
			
		print"self.parent.bota.check_who_posted_for\(\)
		if\(self.parent.bota.document.form_check_who.studentselected.value == 1 || self.parent.bota.document.post_qst.forall.value ==1\) \{
	 	self.parent.bota.document.post_qst.submit\(\)
	 	self.parent.close\(\)
       		\}
       		else \{
       		alert\(\"$LANGUAGE{$set_language}{Nostudentswerechosen}\"\)
       		\}
       		\}
       		else \{
	 	self.parent.close\(\)
       		\}
       		\}\n";


		print"function unpost\(in2\) \{
		self.parent.bota.document.post_qst.unpost.value =in2
	 	self.parent.bota.document.post_qst.submit\(\)
	 	self.parent.close\(\)
       		\}\n";

		print"function check_submiss\(in3\) \{
	 	if\(submissions_status == false\) \{
		document.form1.result.checked = true
		document.form1.submissions.checked = true
	 	results_status = true
	 	submissions_status = true
		\}
	 	else if\(submissions_status == true\) \{
	 	submissions_status = false
       		\}
       		\}\n";

		print"function check_results\(in4\) \{
	 	if\(results_status == false\) \{
	 	results_status = true
                document.form1.result.checked = true
		\}
	 	else if\(results_status == true\) \{
		results_status = false
		document.form1.result.checked = false
		document.form1.submissions.checked = false
	 	submissions_status = false
       		\}
       		\}\n";
       		
		&print_javascript_end();
		print"<form name=\"form1\" method=\"POST\" action=\"/qst\">
		<input type=\"hidden\" name=\"u_id\" value=\"$PQT{u_id}\">
		<input type=\"hidden\" name=\"session_id\" value=\"$PQT{session_id}\">
		<input type=\"hidden\" name=\"sub_type\" value=\"$PQT{sub_type}\">\n";

		print"<center><B>$PQT{name}</B></center>
		<TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\">\n";
		
		
        ######## PRINT SCREEN
		if(keys %RETURN) {
			print"<TR><TD width=\"10\"></TD><TD>$LANGUAGE{$set_language}{Availability}:</TD></TR> \n";
			if($RETURN{$PQT{qst_no}}{avail} == 1) {
				print"<TR><TD width=\"10\"></TD><TD><input type=\"radio\" name=\"avail\" value=\"1\" checked> $LANGUAGE{$set_language}{Always}</TD><TD style=\"font-family\:Arial\; font-size\: 10pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" name=\"avail\" value=\"2\"> \n";
				}
			else {
				print"<TR><TD width=\"10\"></TD><TD><input type=\"radio\" name=\"avail\" value=\"1\"> $LANGUAGE{$set_language}{Always}</TD><TD style=\"font-family\:Arial\; font-size\: 10pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" name=\"avail\" value=\"2\" checked> \n";
				}

			&get_dates("prefix","start","start_month","$RETURN{$PQT{qst_no}}{start_month}","start_day","$RETURN{$PQT{qst_no}}{start_day}","start_hour","$RETURN{$PQT{qst_no}}{start_hour}");
			print" to \n";
			
			&get_dates("prefix","finish","finish_month","$RETURN{$PQT{qst_no}}{finish_month}","finish_day","$RETURN{$PQT{qst_no}}{finish_day}","finish_hour","$RETURN{$PQT{qst_no}}{finish_hour}");

			print"</TD></TR></TABLE>";
		
			print"<TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\">
			<TR><TD width=\"10\"><TD>$LANGUAGE{$set_language}{Delivery}: <SELECT name=\"delivery\">\n";
			
			if($PQT{type} != 2) { # QUIZZES/TESTS
                                if($RETURN{$PQT{qst_no}}{delivery} == 1) {
                                        print"<option value=\"1\" selected>$LANGUAGE{$set_language}{PaperAllQuestions}</option>
                                        <option value=\"2\">$LANGUAGE{$set_language}{SingleQuestionJump}</option>
                                        <option value=\"3\">$LANGUAGE{$set_language}{SingleQuestionNext}</option>
                                        <option value=\"4\">$LANGUAGE{$set_language}{SingleQuestionAnswer}</option></select></TD>\n";
                                        }
                                elsif($RETURN{$PQT{qst_no}}{delivery} == 2) {
                                        print"<option value=\"1\">$LANGUAGE{$set_language}{PaperAllQuestions}</option>
                                        <option value=\"2\" selected>$LANGUAGE{$set_language}{SingleQuestionJump}</option>
                                        <option value=\"3\">$LANGUAGE{$set_language}{SingleQuestionNext}</option>
                                        <option value=\"4\">$LANGUAGE{$set_language}{SingleQuestionAnswer}</option></select></TD>\n";
                                        }
                                elsif($RETURN{$PQT{qst_no}}{delivery} == 3) {
                                        print"<option value=\"1\">$LANGUAGE{$set_language}{PaperAllQuestions}</option>
                                        <option value=\"2\">$LANGUAGE{$set_language}{SingleQuestionJump}</option>
                                        <option value=\"3\" selected>$LANGUAGE{$set_language}{SingleQuestionNext}</option>
                                        <option value=\"4\">$LANGUAGE{$set_language}{SingleQuestionAnswer}</option></select></TD>\n";
                                        }
                                elsif($RETURN{$PQT{qst_no}}{delivery} == 4) {
                                        print"<option value=\"1\">$LANGUAGE{$set_language}{PaperAllQuestions}</option>
                                        <option value=\"2\">$LANGUAGE{$set_language}{SingleQuestionJump}</option>
                                        <option value=\"3\">$LANGUAGE{$set_language}{SingleQuestionNext}</option>
                                        <option value=\"4\" selected>$LANGUAGE{$set_language}{SingleQuestionAnswer}</option></select></TD>\n";
                                        }
                                elsif($RETURN{$PQT{qst_no}}{delivery} == 5) { # BRANCHING QUESTIONS
                                        print"
                                        <option value=\"5\" selected>$LANGUAGE{$set_language}{SingleQuestionBranch}</option></select></TD>\n";
                                        }
                                }
                                
                        else { #SURVEYS
                                if($RETURN{$PQT{qst_no}}{delivery} == 1) {
                                        print"<option value=\"1\" selected>$LANGUAGE{$set_language}{PaperAllQuestions}</option>
                                        <option value=\"2\">$LANGUAGE{$set_language}{SingleQuestionJump}</option>
                                        <option value=\"3\">$LANGUAGE{$set_language}{SingleQuestionNext}</option>
                                        </select></TD>\n";
                                        }
                                elsif($RETURN{$PQT{qst_no}}{delivery} == 2) {
                                        print"<option value=\"1\">$LANGUAGE{$set_language}{PaperAllQuestions}</option>
                                        <option value=\"2\" selected>$LANGUAGE{$set_language}{SingleQuestionJump}</option>
                                        <option value=\"3\">$LANGUAGE{$set_language}{SingleQuestionNext}</option>
                                        </select></TD>\n";
                                        }
                                elsif($RETURN{$PQT{qst_no}}{delivery} == 3) {
                                        print"<option value=\"1\">$LANGUAGE{$set_language}{PaperAllQuestions}</option>
                                        <option value=\"2\">$LANGUAGE{$set_language}{SingleQuestionJump}</option>
                                        <option value=\"3\" selected>$LANGUAGE{$set_language}{SingleQuestionNext}</option>
                                        </select></TD>\n";
                                        }
                                elsif($RETURN{$PQT{qst_no}}{delivery} == 4) {
                                        print"<option value=\"1\">$LANGUAGE{$set_language}{PaperAllQuestions}</option>
                                        <option value=\"2\">$LANGUAGE{$set_language}{SingleQuestionJump}</option>
                                        <option value=\"3\">$LANGUAGE{$set_language}{SingleQuestionNext}</option>
                                        </select></TD>\n";
                                        }
                                elsif($RETURN{$PQT{qst_no}}{delivery} == 5) { # BRANCHING QUESTIONS
                                        print"
                                        <option value=\"5\" selected>$LANGUAGE{$set_language}{SingleQuestionBranch}</option></select></TD>\n";
                                        }
                                }
                                
                                
                        print"<TD width=\"10\"></TD>\n";
                        if($RETURN{$PQT{qst_no}}{display} == 1) { # Modal
                                print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Display} <SELECT name=\"display\">\n";
                                print"<option value=\"0\">$LANGUAGE{$set_language}{NewWindowResizeable}</option>
                                <option value=\"1\" selected>$LANGUAGE{$set_language}{ModalNoresize}</option></select></TD></TR>\n";
                                }
                        else {
                                print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Display} <SELECT name=\"display\">\n";
                                print"<option value=\"0\" selected>$LANGUAGE{$set_language}{NewWindowResizeable}</option>
                                <option value=\"1\">$LANGUAGE{$set_language}{ModalNoresize}</option></select></TD></TR>\n";
                                }
                                
			print"<TR><TD width=\"10\"><TD>$LANGUAGE{$set_language}{Duration}:
			<SELECT name=\"qtime\">\n";
			
			foreach my $key(sort {$a<=>$b} keys %QST_TIME) {
				if($key == $RETURN{$PQT{qst_no}}{qtime}) {
					print"<option value=\"$key\" selected>$QST_TIME{$key}</option>\n";
					}
				else {
					print"<option value=\"$key\">$QST_TIME{$key}</option>\n";

					}
				}
				
			print"</select>\n";
			print"$LANGUAGE{$set_language}{minutes}</TD>\n";

			if($PQT{type} != 2) { #quizzes/tests
				print"<TD width=\"10\"></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Attempts}\:
				<SELECT name=\"attempts\">\n";
				
				if($RETURN{$PQT{qst_no}}{branching} != 1) {
                                        for(my $i = 1; $i < 11; ++$i) {
                                                if($RETURN{$PQT{qst_no}}{attempts} == $i) {
                                                        print"<option value=\"$i\" selected> $i\n";
                                                        }
                                                else {
                                                        print"<option value=\"$i\"> $i\n";
                                                        }
                                                }
                                        }
                                else {
                                        print"<option value=\"1\" selected> 1\n";
                                        }
                                        
				print"</select>\n";
				print"</TD></TR></TABLE><TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\">\n";

				if($RETURN{$PQT{qst_no}}{branching} == 1) {
                                        print"<TR><TD width=\"10\"></TD><TD><label for=\"m1\"><input type=\"hidden\" name=\"rhm\" value=\"1\" id=\"m1\" > </label></TD>\n";
                                        
                                        print"<TR><TD width=\"10\"></TD><TD><input type=\"hidden\" name=\"shuffle\" value=\"0\"checked><input type=\"hidden\" name=\"shuffle_ans\" value=\"0\"checked></TD></TD></TR>\n";
                                        
                                        print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD></TR></TABLE><TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\">\n";
                                        }
                                        
                                else {
                                        if($RETURN2{$PQT{qst_no}}{random_q} > 0) { # Cannot shuffle random question groups
                                                print"<TR><TD width=\"10\"></TD><TD><input type=\"hidden\" name=\"shuffle\" value=\"0\"checked></TD></TD></TR>\n";
                                                
                                                if($RETURN{$PQT{qst_no}}{shuffle_ans} == 1) {
                                                                print"<TR><TD width=\"10\"></TD><TD style=\"vertical-align:middle\;\">$LANGUAGE{$set_language}{Shuffleanswers}:&nbsp\; <input type=\"radio\" name=\"shuffle_ans\" value=\"1\" checked> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" name=\"shuffle_ans\" value=\"0\"> $LANGUAGE{$set_language}{No}</TD></TD></TR>\n";
                                                                }
                                                        else {
                                                                print"<TR><TD width=\"10\"></TD><TD style=\"vertical-align:middle\;\">$LANGUAGE{$set_language}{Shuffleanswers}:&nbsp\; <input type=\"radio\" name=\"shuffle_ans\" value=\"1\"> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" name=\"shuffle_ans\" value=\"0\" checked> $LANGUAGE{$set_language}{No}</TD></TD></TR>\n";
                                                                }
                                                }
                                        else {
                                                if($RETURN2{$PQT{qst_no}}{random_q} == 0) {
                                                        if($RETURN{$PQT{qst_no}}{shuffle} == 1) {
                                                                print"<TR><TD width=\"10\"></TD><TD style=\"vertical-align:middle\;\">$LANGUAGE{$set_language}{Shufflequestionsforeachuser}:&nbsp\; <input type=\"radio\" name=\"shuffle\" value=\"1\" checked> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" name=\"shuffle\" value=\"0\"> $LANGUAGE{$set_language}{No}</TD></TD></TR>\n";
                                                                }
                                                        else {
                                                                print"<TR><TD width=\"10\"></TD><TD style=\"vertical-align:middle\;\">$LANGUAGE{$set_language}{Shufflequestionsforeachuser}:&nbsp\; <input type=\"radio\" name=\"shuffle\" value=\"1\"> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" name=\"shuffle\" value=\"0\" checked> $LANGUAGE{$set_language}{No}</TD></TD></TR>\n";
                                                                }
                                                        
                                                        if($RETURN{$PQT{qst_no}}{shuffle_ans} == 1) {
                                                                print"<TR><TD width=\"10\"></TD><TD style=\"vertical-align:middle\;\">$LANGUAGE{$set_language}{Shuffleanswers}:&nbsp\; <input type=\"radio\" name=\"shuffle_ans\" value=\"1\" checked> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" name=\"shuffle_ans\" value=\"0\"> $LANGUAGE{$set_language}{No}</TD></TD></TR>\n";
                                                                }
                                                        else {
                                                                print"<TR><TD width=\"10\"></TD><TD style=\"vertical-align:middle\;\">$LANGUAGE{$set_language}{Shuffleanswers}:&nbsp\; <input type=\"radio\" name=\"shuffle_ans\" value=\"1\"> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" name=\"shuffle_ans\" value=\"0\" checked> $LANGUAGE{$set_language}{No}</TD></TD></TR>\n";
                                                                }
                                                        }
                                                }
                                                
                                        print"</TABLE><TABLE>\n";
                                        if($RETURN{$PQT{qst_no}}{rhm} == 1) {
                                                print"<TR><TD width=\"10\"></TD><TD width=\"20%\"><label for=\"m1\"><input type=\"checkbox\" name=\"rhm\" value=\"\" id=\"m1\" checked> $LANGUAGE{$set_language}{Recordmark} </label></TD>\n";
                                                }
                                        else {
                                                print"<TR><TD width=\"10\"></TD><TD width=\"20%\"><label for=\"m1\"><input type=\"checkbox\" name=\"rhm\" value=\"\" id=\"m1\"> $LANGUAGE{$set_language}{Recordmark} </label></TD>\n";
                                                }
					
                                        print"<TD ><font size =\"-1\">- $LANGUAGE{$set_language}{ifmultipleattempts}</font></TD></TR></TABLE><TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\">\n";
                                        }
				}
				
			if($PQT{type} != 2) { # quizzes/tests
                                if($RETURN{$PQT{qst_no}}{branching} == 1) {
                                        print"<TR><TD width=\"10\"></TD><TD><label for=\"radio1\"><input type=\"hidden\" name=\"submissions\" value=\"0\" id=\"radio1\"> </label></TD></TR>\n";
                                        
                                        print"<TR><TD width=\"10\"></TD><TD><label for=\"radio3\"><input type=\"hidden\" name=\"result\" value=\"0\" id=\"radio3\"> </label></TD></TR></TABLE>\n";
                                        }
                                else {
                                        
                                        
                                        if($RETURN{$PQT{qst_no}}{submissions} == 0) {
                                                print"<TR><TD width=\"10\"></TD><TD><label for=\"radio1\"><input type=\"checkbox\" name=\"submissions\" value=\"1\" id=\"radio1\" onClick=\"check_submiss\(1\)\"> $LANGUAGE{$set_language}{Submissionsareviewable} </label></TD></TR>\n";
                                                }
                                        else {
                                                print"<TR><TD width=\"10\"></TD><TD><label for=\"radio1\"><input type=\"checkbox\" name=\"submissions\" value=\"1\" id=\"radio1\" checked onClick=\"check_submiss\(1\)\">  $LANGUAGE{$set_language}{Submissionsareviewable} </label></TD></TR>\n";
                                                }
					
                                        if($RETURN{$PQT{qst_no}}{result} == 0) {
                                                print"<TR><TD width=\"10\"></TD><TD><label for=\"radio3\"><input type=\"checkbox\" name=\"result\" value=\"1\" id=\"radio3\" onClick=\"check_results\(1\)\"> $LANGUAGE{$set_language}{ResultsMarkisviewable} </label></TD></TR></TABLE>\n";
                                                }
                                        else {
                                                print"<TR><TD width=\"10\"></TD><TD><label for=\"radio3\"><input type=\"checkbox\" name=\"result\" value=\"1\" id=\"radio3\" checked onClick=\"check_results\(1\)\"> $LANGUAGE{$set_language}{ResultsMarkisviewable} </label></TD></TR></TABLE>\n";
                                                }
					}
				}
			}
			
			
			
        ######### FIRST POST
		else { # First Post
			print"<TR><TD width=\"10\"></TD><TD>$LANGUAGE{$set_language}{Availability}:</TD></TR>
			<TR><TD width=\"10\"></TD><TD>&nbsp\;&nbsp\;<input type=\"radio\" name=\"avail\" value=\"1\" checked> $LANGUAGE{$set_language}{Always}</TD>
			<TD width=\"10\"></TD><TD>&nbsp\;&nbsp\;<input type=\"radio\" name=\"avail\" value=\"2\"> \n";
			
			&get_dates("prefix","start");
			print" to \n";
			&get_dates("prefix","finish");
			print"</TD></TR></TABLE>\n";

			if($RETURN2{$PQT{qst_no}}{branching} == 1) {
                                print"</TABLE><TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\">
                                <TR><TD width=\"10\"><TD>$LANGUAGE{$set_language}{Delivery}: <SELECT name=\"delivery\"><option value=\"5\" selected>$LANGUAGE{$set_language}{SingleQuestionBranch}</option>\n";
                                }
                        else {
                                print"</TABLE><TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\">
                                <TR><TD width=\"10\"><TD>$LANGUAGE{$set_language}{Delivery}: <SELECT name=\"delivery\"><option value=\"1\" selected>$LANGUAGE{$set_language}{PaperAllQuestions}</option><option value=\"2\">$LANGUAGE{$set_language}{SingleQuestionJump}</option><option value=\"3\">$LANGUAGE{$set_language}{SingleQuestionNext}</option>\n";
                                }
                                
			if($PQT{type} != 2 && $RETURN2{$PQT{qst_no}}{branching} != 1) {# quizzes/tests
                                print"<option value=\"4\">$LANGUAGE{$set_language}{SingleQuestionAnswer}</option></select></TD>";
                                }
                        else {
                                print"</select></TD>";
                                }
			
			print"<TD width=\"10\"></TD>\n";
                        print"<TD>&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Display} <SELECT name=\"display\">\n";
                        print"<option value=\"0\">$LANGUAGE{$set_language}{NewWindowResizeable}</option>
                            <option value=\"1\">$LANGUAGE{$set_language}{ModalNoresize}</option></select></TD></TR>\n";
                                
			if($PQT{type} != 2) { # QUIZZES/TESTS
                                if($RETURN2{$PQT{qst_no}}{branching} == 1) {
                                        print"<TD width=\"15\"></TD><TD>$LANGUAGE{$set_language}{Attempts}\:
                                        <SELECT name=\"attempts\">
                                        <option value=\"1\" selected> 1 </select></TD></TR></table>\n";
                                        
                                        print"<TR><TD width=\"10\"><TD>$LANGUAGE{$set_language}{Duration}:
                                        <SELECT name=\"qtime\">
                                        <option value=\"5\">5</option>
                                        <option value=\"10\">10</option>
                                        <option value=\"15\">15</option>
                                        <option value=\"30\">30</option>
                                        <option value=\"45\">45</option>
                                        <option value=\"60\" selected>60</option>
                                        <option value=\"75\">75</option>
                                        <option value=\"90\">90</option>
                                        <option value=\"105\">105</option>
                                        <option value=\"120\">120</option>
                                        <option value=\"135\">135</option>
                                        <option value=\"150\">150</option>
                                        <option value=\"165\">165</option>
                                        <option value=\"180\">180</option>
                                        </select>
                                        $LANGUAGE{$set_language}{minutes}</TD></TR></TABLE>\n";
                                        
                                        # Cannot shuffle branching
                                        print"<input type=\"hidden\" name=\"shuffle\" value=\"0\" checked>\n";
                                               
                                        print"<TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\"><TR><TD width=\"10\"></TD><TD><label for=\"m1\"><input type=\"hidden\" name=\"rhm\" value=\"1\" id=\"m1\"></label></TD>\n";
                                        
                                        print"<TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\"><TR><TD width=\"10\"></TD><TD><label for=\"radio1\"><input type=\"hidden\" name=\"submissions\" value=\"0\" id=\"radio1\"></label></TD></TR><TR><TD width=\"10\"></TD><TD><label for=\"radio3\"><input type=\"hidden\" name=\"result\" value=\"0\" id=\"radio3\"></label></TD></TR>\n";
                                        }
                                        
                                else { # NOT BRANCHING
                                        print"<TR><TD width=\"10\"><TD>$LANGUAGE{$set_language}{Duration}:
                                        <SELECT name=\"qtime\">
                                        <option value=\"5\">5</option>
                                        <option value=\"10\">10</option>
                                        <option value=\"15\">15</option>
                                        <option value=\"30\">30</option>
                                        <option value=\"45\">45</option>
                                        <option value=\"60\" selected>60</option>
                                        <option value=\"75\">75</option>
                                        <option value=\"90\">90</option>
                                        <option value=\"105\">105</option>
                                        <option value=\"120\">120</option>
                                        <option value=\"135\">135</option>
                                        <option value=\"150\">150</option>
                                        <option value=\"165\">165</option>
                                        <option value=\"180\">180</option>
                                        </select>
                                        $LANGUAGE{$set_language}{minutes}</TD>\n";
                                        
                                        print"<TD width=\"15\"></TD><TD>$LANGUAGE{$set_language}{Attempts}\:
                                        <SELECT name=\"attempts\">
                                        <option value=\"1\" selected> 1
                                        <option value=\"2\"> 2
                                        <option value=\"3\"> 3
                                        <option value=\"4\"> 4
                                        <option value=\"5\"> 5
                                        <option value=\"6\"> 6
                                        <option value=\"7\"> 7
                                        <option value=\"8\"> 8
                                        <option value=\"9\"> 9
                                        <option value=\"10\"> 10\n";
                                        print"</select></TD></TR>\n";
    
                                        if($RETURN2{$PQT{qst_no}}{random_q} == 1) {# Cannot shuffle random question groups
                                                print"<TR><TD width=\"10\"></TD><TD><input type=\"hidden\" name=\"shuffle\" value=\"0\"checked></TD></TD></TR>\n";
                                                print"<TR><TD width=\"10\"></TD><TD style=\"vertical-align:middle\;\">$LANGUAGE{$set_language}{Shuffleanswers}:&nbsp\; <input type=\"radio\" name=\"shuffle_ans\" value=\"1\"> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" name=\"shuffle\" value=\"0\" checked> $LANGUAGE{$set_language}{No}</TD></TR>\n";
                                                }
                                        else {
                                                print"<TR><TD width=\"10\"></TD><TD style=\"vertical-align:middle\;\">$LANGUAGE{$set_language}{Shufflequestionsforeachuser}:&nbsp\; <input type=\"radio\" name=\"shuffle\" value=\"1\"> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" name=\"shuffle\" value=\"0\" checked> $LANGUAGE{$set_language}{No}</TD></TR>\n";
                                                
                                                print"<TR><TD width=\"10\"></TD><TD style=\"vertical-align:middle\;\">$LANGUAGE{$set_language}{Shuffleanswers}:&nbsp\; <input type=\"radio\" name=\"shuffle_ans\" value=\"1\"> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" name=\"shuffle_ans\" value=\"0\" checked> $LANGUAGE{$set_language}{No}</TD></TR>\n";
                                                }
                                                
                                        print"</TR></TABLE><BR>\n";
                                        
                                        print"<TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\"><TR><TD width=\"10\"></TD><TD><label for=\"m1\"><input type=\"checkbox\" name=\"rhm\" value=\"\" id=\"m1\"> $LANGUAGE{$set_language}{Recordmark} </label></TD>\n";
				
                                        print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font size =\"-1\">- if multiple attempts records highest mark only if all questions are T/F,<BR>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\; multiple choice or multiple answer, otherwise records last attempt.</font></TD></TR></TABLE>";
                                        
                                        print"<TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\"><TR><TD width=\"10\"></TD><TD><label for=\"radio1\"><input type=\"checkbox\" name=\"submissions\" value=\"1\" id=\"radio1\"> $LANGUAGE{$set_language}{Submissionsareviewable} </label></TD></TR><TR><TD width=\"10\"></TD><TD><label for=\"radio3\"><input type=\"checkbox\" name=\"result\" value=\"1\" id=\"radio3\"> Results \(mark\) is viewable </label></TD></TR>\n";
                                        }
				}
				
                        else { # SURVEYS
                                if($RETURN2{$PQT{qst_no}}{branching} == 1) {
                                        print"<TD width=\"20\"></TD><TD>$LANGUAGE{$set_language}{Attempts}\:
                                        <SELECT name=\"attempts\">
                                        <option value=\"1\" selected> 1 </select></TD></TR></table>\n";
                                        
                                        print"<TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\"><TR><TD width=\"10\"><TD>$LANGUAGE{$set_language}{Duration}:
                                        <SELECT name=\"qtime\">
                                        <option value=\"5\">5</option>
                                        <option value=\"10\">10</option>
                                        <option value=\"15\">15</option>
                                        <option value=\"30\">30</option>
                                        <option value=\"45\">45</option>
                                        <option value=\"60\" selected>60</option>
                                        <option value=\"75\">75</option>
                                        <option value=\"90\">90</option>
                                        <option value=\"105\">105</option>
                                        <option value=\"120\">120</option>
                                        <option value=\"135\">135</option>
                                        <option value=\"150\">150</option>
                                        <option value=\"165\">165</option>
                                        <option value=\"180\">180</option>
                                        </select>
                                        $LANGUAGE{$set_language}{minutes}</TD></TR></TABLE>\n";
                                        
                                        # Cannot shuffle branching
                                        print"<input type=\"hidden\" name=\"shuffle\" value=\"0\" checked>\n";
                                               
                                        print"<TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\"><TR><TD width=\"10\"></TD><TD><label for=\"m1\"><input type=\"hidden\" name=\"rhm\" value=\"1\" id=\"m1\"></label></TD>\n";
                                        
                                        print"<TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\"><TR><TD width=\"10\"></TD><TD><label for=\"radio1\"><input type=\"hidden\" name=\"submissions\" value=\"0\" id=\"radio1\"></label></TD></TR><TR><TD width=\"10\"></TD><TD><label for=\"radio3\"><input type=\"hidden\" name=\"result\" value=\"0\" id=\"radio3\"></label></TD></TR>\n";
                                        }
                                        
                                else {  #NOT BRANCHING
                                        print"<TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\"><TR><TD width=\"10\"><TD>$LANGUAGE{$set_language}{Duration}:
                                        <SELECT name=\"qtime\">
                                        <option value=\"5\">5</option>
                                        <option value=\"10\">10</option>
                                        <option value=\"15\">15</option>
                                        <option value=\"30\">30</option>
                                        <option value=\"45\">45</option>
                                        <option value=\"60\" selected>60</option>
                                        <option value=\"75\">75</option>
                                        <option value=\"90\">90</option>
                                        <option value=\"105\">105</option>
                                        <option value=\"120\">120</option>
                                        <option value=\"135\">135</option>
                                        <option value=\"150\">150</option>
                                        <option value=\"165\">165</option>
                                        <option value=\"180\">180</option>
                                        </select>
                                        $LANGUAGE{$set_language}{minutes}</TD>\n";
                                        
                                        print"<TD width=\"25\"></TD><TD>$LANGUAGE{$set_language}{Attempts}\:
                                        <SELECT name=\"attempts\">
                                        <option value=\"1\" selected> 1
                                        <option value=\"2\"> 2
                                        <option value=\"3\"> 3
                                        <option value=\"4\"> 4
                                        <option value=\"5\"> 5
                                        <option value=\"6\"> 6
                                        <option value=\"7\"> 7
                                        <option value=\"8\"> 8
                                        <option value=\"9\"> 9
                                        <option value=\"10\"> 10\n";
                                        print"</select></TD></TR>\n";
    
                                        if($RETURN2{$PQT{qst_no}}{random_q} == 1) {# Cannot shuffle random question groups
                                                print"<TR><TD width=\"10\"></TD><TD><input type=\"hidden\" name=\"shuffle\" value=\"0\"checked></TD></TD></TR>\n";
                                                }
                                        else {
                                                print"<TR><TD width=\"10\"></TD><TD>$LANGUAGE{$set_language}{Shufflequestionsforeachuser}:&nbsp\; <input type=\"radio\" name=\"shuffle\" value=\"1\"> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" name=\"shuffle\" value=\"0\"> $LANGUAGE{$set_language}{No}</TD></TR>\n";
                                                }
                                                
                                        print"</TR></TABLE><BR>\n";
                                        
                                        print"<TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\"><TR><TD width=\"10\"></TD><TD><label for=\"m1\"><input type=\"hidden\" name=\"rhm\" value=\"\" id=\"m1\"></label></TD>\n";
				
                                        print"<TD></TD></TR></TABLE>";
                                        
                                        print"<TABLE style=\"font-family\:Arial\; font-size\: 11pt\;\"><TR><TD width=\"10\"></TD><TD><label for=\"radio1\"><input type=\"hidden\" name=\"submissions\" value=\"1\" id=\"radio1\"></label></TD></TR><TR><TD width=\"10\"></TD><TD><label for=\"radio3\"><input type=\"hidden\" name=\"result\" value=\"1\" id=\"radio3\"></label></TD></TR>\n";
                                        }
                                }
			}
			
		print"</TABLE>\n";
		
		if($PQT{type} == 2) {
			print"<BR><P>\n";
			}
		
		print"<P><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" style=\"font-family\:Arial\; font-size\: 11pt\; cursor:pointer\" onClick=\"check_ok\(1\)\"><B>$LANGUAGE{$set_language}{Postit} </font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\"  style=\"font-family\:Arial\; font-size\: 11pt\;cursor:pointer\" onClick=\"self.parent.close\(\)\">$LANGUAGE{$set_language}{Cancel}</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\" style=\"font-family\:Arial\; font-size\: 11pt\; cursor:pointer\" onClick=\"unpost\(1\)\">$LANGUAGE{$set_language}{Unpost} </font></B></TD></TABLE>\n";
                        
		print"<P><center><TABLE style=\"font-family\:Arial\; font-size\: 9pt\;\"><TR><TD><B STYLE=\"cursor: pointer\" onClick=\"self.parent.bota.select_all\(1\)\"> $LANGUAGE{$set_language}{SelectAllStudents} </B></TD><TD width=\"20\"></TD><TD><B STYLE=\"cursor: pointer\" onClick=\"self.parent.bota.un_select_all\(1\)\"> $LANGUAGE{$set_language}{UnselectAllStudents}</B></TD></TR></TABLE></center>
		</FORM>\n";

  		&print_form_wo_end_tag("form_name","form2","form_target","bota","input","view_students_in_class","class_id","$PQT{class_id}","qst_no","$PQT{qst_no}","type","$PQT{type}","sub_type","$PQT{sub_type}","from","$PQT{from}","u_id","$PQT{u_id}","session_id","$PQT{session_id}");

		if($RETURN{$PQT{qst_no}}{forall} == 1) {
			print"<input type=\"hidden\" name=\"forall\" value=\"$RETURN{$PQT{qst_no}}{forall}\">\n";
			}
			
		print"</FORM>\n";
		&print_javascript_begin();
		
		if($PQT{type} != 2) {
			print"submissions_status = document.form1.submissions.checked\n";
			print"results_status = document.form1.result.checked\n";
			}
			
		print"document.form2.submit\(\)\n";
		&print_javascript_end();
		}
	}


#####################
#
# PRINT_QST
#
####################
sub print_qst {
	my %PQ = @_;
	$PQ{quiz_no} =~ s/\D//g;
	my $index = 1;
	my $query = "SELECT * from questions WHERE "; 
	my %ORDER = ();
	my %QUESTIONS = ();
	my $i = 1;
	my $show_eq = 1;
	
	my %RETURN = &select_qst("query","select number,name,questions,marks,random_q,random_order from qst WHERE number=\"$PQ{quiz_no}\" AND u_id=\"$ids\"");
	
	my %RETURN1 = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$PQ{quiz_no}\" AND u_id=\"$ids\"");
	
	if(keys %RETURN1) {
     		foreach my $key( keys %RETURN1) {
			if($i == 1) {
				$query = "$query"." "."number=\"$key\"";
				++$i;
				}
			else {
				$query = "$query"." "." OR number=\"$key\"";
				}
				
			if (!defined $ORDER{$RETURN1{$key}{order}}) {
				$ORDER{$RETURN1{$key}{order}} = "$key";
				}
			else {
				my $new = "$ORDER{$RETURN1{$key}{order}}";
				$ORDER{$RETURN1{$key}{order}} = "$new".","."$key";
				}
			}

		%QUESTIONS = &select_questions("query","$query AND u_id=\"$ids\"");
		}
            
        &print_style_sheet();
	
	&print_javascript_begin();
	print"function print_handler\(i_n\)\{\n";
	print"window.print\(\)\n";
	print"\}\n";
	&print_javascript_end();

     	print"<center><font size=\"\+2\"><B> $RETURN{$PQ{quiz_no}}{name} </font></b></center>\n";
     	
     	print"<center>\($LANGUAGE{$set_language}{Questions}\: $RETURN{$PQ{quiz_no}}{questions}";
     	
     	if ($PQ{type} == 1) {
                print"&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Marks}\: $RETURN{$PQ{quiz_no}}{marks}";
                }
        
     	print"\)</center><BR> <FORM>\n";
	if ($PQ{type} == 1) {
		print"<center><B>$LANGUAGE{$set_language}{Institute} :</b> _______________________________________</CENTER><P>\n";
		print"<center><B>$LANGUAGE{$set_language}{Class} :</b> _______________________________________</CENTER><P>\n";
		print"<center><B>$LANGUAGE{$set_language}{Name} :</b> _______________________________________</CENTER><BR><P>\n";
		}
		
	if ($PQ{print} == 1) {# Print the QST
      		foreach my $key(sort {$a<=>$b} keys %ORDER) {
      		
			if ($ORDER{$key} =~ /\,/) { # Random question group
				my @new_group;
				my @group = split(/\,/, $ORDER{$key});
				my $length = "$RETURN1{$group[1]}{q_select}";
                  		for (my $i = 1; $i <= $length; $i++){       
                       			my $chosen_question = &get_random(@group);
                  			my @new_array;
                  			$#new_array = -1;
                  			foreach my $var(@group) {
                     	      			if ($chosen_question != $var) {
                    	                		push(@new_array, $var);
                      	              			}
                      	         		}
                        		push(@new_group, $chosen_question);
                        		$#group = -1;
                        		@group = @new_array;
                        		}
                        		
				foreach my $key(@new_group) {
                                        print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD><TD><font size=\"-1\">\($QUESTIONS{$key}{value}\)</font></TD><TD valign=\"top\"> <B>$QUESTIONS{$key}{question}</b></TD></TR></TABLE>\n";
                                         
                                        # PRINT QUESTION
                                        print"<TD valign=\"top\"><font size=\"-1\">\($QUESTIONS{$key}{value}\)</font></TD><TD valign=\"top\">";
                                        	
                                        if($QUESTIONS{$key}{mode} == 1) {
                                                print"$QUESTIONS{$key}{question}";
                                                }
                                                
                                        elsif($QUESTIONS{$key}{mode} == 2) { # EQUATION EDITOR
                                                $show_eq = 2;                                        
                                                print"<TABLE><TR><TD>$QUESTIONS{$key}{question}</TD></TR></TABLE><P>\n";
                                                }
                                                
                                        else {
                                                print"<B>$QUESTIONS{$key}{question}</b>";
                                                }
                                                
                                                
                                        ## PRINT ANSWERS
                                        if($QUESTIONS{$ORDER{$key}}{ans_mode} == 2) {
					        $show_eq = 2;
                            			}
                            			
            				if ($QUESTIONS{$key}{type} eq"TF") {
                 		 		print" <TABLE><TR><TD width=\"40\" ></TD><TD valign=\"top\" ><input type =\"radio\" name =\"$key\" value=\"T\"> $LANGUAGE{$set_language}{True} <input type =\"radio\" name =\"$key\" value=\"F\"> $LANGUAGE{$set_language}{False}</TD></TR></TABLE>\n";
                  				}
                  				
                                        elsif ($QUESTIONS{$key}{type} eq"YN") {
                                                print" <TABLE><TR><TD width=\"40\" ></TD><TD valign=\"top\" ><input type =\"radio\" name =\"$key\" value=\"Y\"> $LANGUAGE{$set_language}{Yes} <input type =\"radio\" name =\"$key\" value=\"N\"> $LANGUAGE{$set_language}{No}</TD></TR></TABLE>\n";
                                                }
                  			
            				elsif ($QUESTIONS{$key}{type} eq"SA") {
                  				print"<TABLE><TR><TD width=\"40\" ></TD><TD valign=\"top\" ><input type=\"text\" name=\"$key\" value=\"\"></TD></TR></TABLE>\n";
                  				}
                  				
            				elsif ($QUESTIONS{$key}{type} eq"P") {
                  				print"<TABLE><TR><TD width=\"40\" ></TD><TD valign=\"top\" ><textarea style=\"overflow:auto\;\" rows=5 cols=60 name=\"$key\" value=\"\"></textarea></TD></TR></TABLE>\n";
                  				}
                  				
            				elsif ($QUESTIONS{$key}{type} eq"MC") {
                                                &mc_display("number","$key","kolum","$QUESTIONS{$ORDER{$key}}{kolum}","ans_mode","$QUESTIONS{$ORDER{$key}}{ans_mode}");
                  				}
                  				
                                        elsif ($QUESTIONS{$key}{type} eq"MA") {
                                                &ma_display("number","$key","kolum","$QUESTIONS{$ORDER{$key}}{kolum}","ans_mode","$QUESTIONS{$ORDER{$key}}{ans_mode}");
                                                }
                                                
                                        elsif ($QUESTIONS{$key}{type} eq"MX") {
                                                my %ANSWERS = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$key\" AND c_answer =\"1\"");
					
                                                my %ANSWERS1 = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$key\" AND c_answer =\"0\"");
               				
                                                my %ANS = ();
                                                foreach my $ans(keys %ANSWERS) {
                                                        $ANS{$ANSWERS{$ans}{answer}} = 1;
                                                        }
                                                        
                                                print"<BR><TABLE>\n";
                                                
                                                foreach my $key1(sort {$a<=>$b} keys %ANSWERS) {
                                                        my $anser = &get_random_hash(%ANS);
                                                        delete($ANS{$anser});
                                                        if($ANSWERS1{$key1}{answer}) {
                                                                print" <TR><TD width=\"50\"></TD><TD valign=\"top\">&nbsp\;$ANSWERS1{$key1}{answer}&nbsp\;&nbsp\;&nbsp\; </TD><TD width=\"90\"></TD><TD>$anser</TD></TR>\n";
                                                                }
                                                        else {
                                                                print" <TR><TD width=\"50\"></TD><TD valign=\"top\"></TD><TD width=\"90\"></TD><TD>$anser</TD></TR>\n";
                                                                }
                                                        }
                                                }
                                        ++$index;
            				print"<HR width=90\%>\n";
            				}
				}
				
			else { # REGULAR QUESTIONS
                                # Print Question
                                
                                print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
                                if ($PQ{type} != 2) { # QUIZ/TEST
                                        print"<TD valign=\"top\"><font size=\"-1\">\($QUESTIONS{$ORDER{$key}}{value}\)</font></TD><TD valign=\"top\">";
                                        
                                        if($QUESTIONS{$ORDER{$key}}{mode} == 1) {
                                                print"$QUESTIONS{$ORDER{$key}}{question}";
                                                }
                                                
                                        elsif($QUESTIONS{$ORDER{$key}}{mode} == 2 ) { # EQUATION EDITOR
                                                $show_eq = 2;
                                        
                                                print"$QUESTIONS{$ORDER{$key}}{question}\n";
                                                }
                                                
                                        else {
                                                print"<B>$QUESTIONS{$ORDER{$key}}{question}</b>";
                                                }
                                        }
                                        
                                else { #SURVEY
                                        print"<TD valign=\"top\">";
                                        if($QUESTIONS{$ORDER{$key}}{mode} == 1) {
                                                print"$QUESTIONS{$ORDER{$key}}{question}";
                                                }
                                        else {
                                                print"<B>$QUESTIONS{$ORDER{$key}}{question}</b>";
                                                }
                                        }
					
                                print"</TD></TR></TABLE>\n";
                                
                                if($QUESTIONS{$ORDER{$key}}{mode} != 1) {
                                        print"<BR>";
                                        }
                                        
                                if($QUESTIONS{$ORDER{$key}}{mode} == 0) {
                                        if(defined $QUESTIONS{$ORDER{$key}}{image_id} && $QUESTIONS{$ORDER{$key}}{image_id} > 0) {
                                                my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$ORDER{$key}}{image_id}\"");
  					
                                                my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$ORDER{$key}}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$QUESTIONS{$ORDER{$key}}{image_id}"."\."."$extension[1]";
                                                print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                                                }
                                        }
  					
  					
                            ##### Print Answers
                            	if($QUESTIONS{$ORDER{$key}}{ans_mode} == 2) {
                            		$show_eq = 2;
                            		}
                            		
            			if ($QUESTIONS{$ORDER{$key}}{type} eq"TF") {
                		  	print" <TABLE><TR><TD width=\"40\" ></TD><TD valign=\"top\" ><input type =\"radio\" name =\"$key\" value=\"T\"> $LANGUAGE{$set_language}{True} <input type =\"radio\" name =\"$key\" value=\"F\"> $LANGUAGE{$set_language}{False}</TD></TR></TABLE>\n";
                  			}
                  			
                                elsif ($QUESTIONS{$ORDER{$key}}{type} eq"YN") {
                		  	print" <TABLE><TR><TD width=\"40\" ></TD><TD valign=\"top\" ><input type =\"radio\" name =\"$key\" value=\"Y\"> $LANGUAGE{$set_language}{Yes} <input type =\"radio\" name =\"$key\" value=\"N\"> $LANGUAGE{$set_language}{No}</TD></TR></TABLE>\n";
                  			}
                  			
            			elsif ($QUESTIONS{$ORDER{$key}}{type} eq"SA") {
                 		 	print"<TABLE><TR><TD width=\"40\" ></TD><TD valign=\"top\" ><textarea style=\"overflow:auto\;\" row=\"1\" cols=\"75\" name=\"$key\" value=\"\"></textarea></TD></TR></TABLE>\n";
                		  	}
                		  	
            			elsif ($QUESTIONS{$ORDER{$key}}{type} eq"P") {
                  			print"<TABLE><TR><TD width=\"40\" ></TD><TD valign=\"top\" ><textarea style=\"overflow:auto\;\" rows=5 cols=60 name=\"$key\" value=\"\"></textarea></TD></TR></TABLE>\n";
                  			}
                  			
            			elsif ($QUESTIONS{$ORDER{$key}}{type} eq"MC") {
                                        &mc_display("number","$ORDER{$key}","kolum","$QUESTIONS{$ORDER{$key}}{kolum}","ans_mode","$QUESTIONS{$ORDER{$key}}{ans_mode}");
					}
                  			
                                elsif ($QUESTIONS{$ORDER{$key}}{type} eq"MA") {
                                        &ma_display("number","$ORDER{$key}","kolum","$QUESTIONS{$ORDER{$key}}{kolum}","ans_mode","$QUESTIONS{$ORDER{$key}}{ans_mode}");
                  			}
                  			
                                elsif ($QUESTIONS{$ORDER{$key}}{type} eq"MX") {
                                        my %ANSWERS = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$ORDER{$key}\" AND c_answer =\"1\"");
                                        
                                        my %ANS = ();
                                        foreach my $ans(keys %ANSWERS) {
                                                $ANS{$ANSWERS{$ans}{answer}} = 1;
                                                }
					
					my %ANSWERS1 = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$ORDER{$key}\" AND c_answer =\"0\"");
               				
               				print"<BR><TABLE>\n";
               				
               				foreach my $key1(sort {$a<=>$b} keys %ANSWERS) {
                                                my $anser = &get_random_hash(%ANS);
                                                delete($ANS{$anser});
                                                if($ANSWERS1{$key1}{answer}) {
                                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\">&nbsp\;$ANSWERS1{$key1}{answer}&nbsp\;&nbsp\;&nbsp\; </TD><TD width=\"90\"></TD><TD>$anser</TD></TR>\n";
                                                        }
                                                else {
                                                        print" <TR><TD width=\"50\"></TD><TD valign=\"top\"></TD><TD width=\"90\"></TD><TD>$anser</TD></TR>\n";
                                                        }
                        			}
                                        
                                        print"</TABLE>\n";
                  			}
                                
            			elsif ($QUESTIONS{$ORDER{$key}}{type} eq"AD") {
                 			print" <TABLE><TR><TD width=\"20\"></TD><TD valign=\"top\" ><input type =\"radio\" name =\"$key\" value=\"1\">  $standard[0]</TD><TD width=\"10\"></TD><TD valign=\"top\"><input type =\"radio\" name =\"$key\" value=\"2\">  $standard[1]</TD><TD width=\"10\"></TD><TD valign=\"top\"><input type =\"radio\" name =\"$key\" value=\"3\">  $standard[2]</TD><TD width=\"10\"></TD><TD valign=\"top\"><input type =\"radio\" name =\"$key\" value=\"4\">  $standard[3]</TD><TD width=\"10\"></TD><TD valign=\"top\"><input type =\"radio\" name =\"$key\" value=\"4\">  $standard[4]</TD></TR></TABLE>\n"; 
                  			}
                  			
				++$index;
				
                                print"<HR width=90\%>\n";
            			}
			}
			
                if($show_eq == 2) {
                        &print_eq();
                        }
		}
		
		
	elsif ($PQ{print} == 2) { # print answer sheet
      		foreach my $key(sort {$a<=>$b} keys %ORDER) {
      			if($QUESTIONS{$ORDER{$key}}{ans_mode} == 2) {
      				$show_eq = 2;
		                }

			if ($ORDER{$key} =~ /\,/) { # Random Question group
				my @new_group;
				my @group = split(/\,/, $ORDER{$key});
				my $length = "$RETURN1{$group[1]}{q_select}";
                  		for (my $i = 1; $i <= $length; $i++){       
                       			my $chosen_question = &get_random(@group);
                  			my @new_array;
                  			$#new_array = -1;
                  			foreach my $var(@group) {
                     	      			if ($chosen_question != $var) {
                    	                		push(@new_array, $var);
                      	              			}
                      	         		}
                        		push(@new_group, $chosen_question);
                        		$#group = -1;
                        		@group = @new_array;
                        		}
                        		
				foreach my $key(@new_group) {
            				print"<TABLE><TR><TD ><B>$index\.</b></TD>
            				<TD><font size=\"-1\">\($QUESTIONS{$key}{value}\)</font></TD><TD> \n";
            				
            				if ($QUESTIONS{$key}{type} eq"TF") {
	             				if ($QUESTIONS{$key}{answer} eq"T") {
                     	 				print" $LANGUAGE{$set_language}{True}\n";
                     	 				}
               	 				else {
                         				print" $LANGUAGE{$set_language}{False} \n";
                         				}
                  				print"</TD></TR></TABLE>\n";
                  				}
                  				
                                        elsif ($QUESTIONS{$key}{type} eq"YN") {
	             				if ($QUESTIONS{$key}{answer} eq"Y") {
                     	 				print" $LANGUAGE{$set_language}{Yes}\n";
                     	 				}
               	 				else {
                         				print" $LANGUAGE{$set_language}{No} \n";
                         				}
                  				print"</TD></TR></TABLE>\n";
                  				}
                  				
            				elsif ($QUESTIONS{$key}{type} eq"SA") {
                                                my %ANSWERS = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$ORDER{$key}\"");
                                                print"$ANSWERS{1}{answer}</TD></TR></TABLE>\n";
                  				}
                  				
            				elsif ($QUESTIONS{$key}{type} eq"P") {
                                                my %ANSWERS = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$ORDER{$key}\"");
                                                print"$ANSWERS{1}{answer}</TD></TR></TABLE>\n";
                                                }
                  				
            				elsif ($QUESTIONS{$key}{type} eq"MC") {
                                                my %ANSWERS = &select6("query","SELECT number,answer,c_answer,image_id from question_answers WHERE number=\"$key\"");
                                        
                                                if($ANSWERS{$ORDER{$key}}{answer} eq"") { # display image
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$ANSWERS{$key}{image_id}\"");

                                                        my @extension = split(/\./, $IMAGE{$ANSWERS{$key}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$ANSWERS{$key}{image_id}"."\."."$extension[1]";
                                            
                                                        print" &nbsp\;<img src=\"$image\">\n";
                                                        }
                                                else {
                                                        print" &nbsp\;$ANSWERS{$key}{answer}\n";
                                                        }
                                
                                                print"</TD></TR></TABLE>\n";
                  				}
                  				
                                        elsif ($QUESTIONS{$key}{type} eq"MA") {
                                                my %ANSWERS = &select6("query","SELECT q_order,answer,c_answer,image_id FROM question_answers WHERE number=\"$key\" AND c_answer =\"1\"");
               				
                                                foreach my $key1(sort {$a<=>$b} keys %ANSWERS) {
                                                        if($ANSWERS{$key1}{answer} eq"") { # display image
                                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$ANSWERS{$key1}{image_id}\"");

                                                                my @extension = split(/\./, $IMAGE{$ANSWERS{$key1}{image_id}});
                                                                my $image = "\/schools\/qst_files\/"."$ANSWERS{$key1}{image_id}"."\."."$extension[1]";
                                            
                                                                print" &nbsp\;<img src=\"$image\">\n";
                                                                }
                                                        else {
                                                                print" &nbsp\;$ANSWERS{$key1}{answer},\n";
                                                                }
                                                        }
                                        
                                                print"</TD></TR></TABLE>\n";
                  				}
                  				
                                        elsif ($QUESTIONS{$key}{type} eq"MX") {
                                                my %ANSWERS = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$key\" AND c_answer =\"1\"");
					
                                                my %ANSWERS1 = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$key\" AND c_answer =\"0\"");
               				
                                                foreach my $key1(sort {$a<=>$b} keys %ANSWERS1) {
                                                        print" &nbsp\;$ANSWERS1{$key1}{answer}&nbsp\; - &nbsp\;$ANSWERS{$key1}{answer}<BR>\n";
                                                        }
                                                        
                                                print"</TD></TR></TABLE>\n";
                  				}
                  				
					++$index;
            				print"<HR width=90\%>\n";
            				}
				}
				
			else { # Not question group
            			print"<TABLE><TR><TD><B>$index\.</b></TD>
            			<TD><font size=\"-1\">\($QUESTIONS{$ORDER{$key}}{value}\)</font></TD><TD>\n";

            			if ($QUESTIONS{$ORDER{$key}}{type} eq"TF") {
                                        my %ANSWERS = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$ORDER{$key}\"");
	             			if ($ANSWERS{1}{answer} eq"T") {
                     	 			print" $LANGUAGE{$set_language}{True} \n";
                     	 			}
               	 			else {
                         			print" $LANGUAGE{$set_language}{False} \n";
                         			}
                  			print"</TD></TR></TABLE>\n";
                  			}
                  			
                                elsif ($QUESTIONS{$ORDER{$key}}{type} eq"YN") {
                                        my %ANSWERS = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$ORDER{$key}\"");
	             			if ($ANSWERS{1}{answer} eq"Y") {
                     	 			print" $LANGUAGE{$set_language}{Yes} \n";
                     	 			}
               	 			else {
                         			print" $LANGUAGE{$set_language}{No} \n";
                         			}
                  			print"</TD></TR></TABLE>\n";
                  			}
                  			
            			elsif ($QUESTIONS{$ORDER{$key}}{type} eq"SA") {
                                        my %ANSWERS = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$ORDER{$key}\"");
                 		 	print"$ANSWERS{1}{answer}</TD></TR></TABLE>\n";
                		  	}
                		  	
            			elsif ($QUESTIONS{$ORDER{$key}}{type} eq"P") {
                                        my %ANSWERS = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$ORDER{$key}\"");
                  			print"$ANSWERS{1}{answer}</TD></TR></TABLE>\n";
                  			}
                  			
            			elsif ($QUESTIONS{$ORDER{$key}}{type} eq"MC") {
                                        my %ANSWERS = &select6("query","SELECT number,answer,c_answer,image_id from question_answers WHERE number=\"$ORDER{$key}\"");

                                        if($ANSWERS{$ORDER{$key}}{answer} eq"") { # display image
                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$ANSWERS{$ORDER{$key}}{image_id}\"");

                                                my @extension = split(/\./, $IMAGE{$ANSWERS{$ORDER{$key}}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$ANSWERS{$ORDER{$key}}{image_id}"."\."."$extension[1]";
                                            
                                                print" &nbsp\;<img src=\"$image\">\n";
                                                }
                                        else {
                                                print" &nbsp\;$ANSWERS{$ORDER{$key}}{answer}\n";
                                                }
                                                
                                        print"</TD></TR></TABLE>\n";
                   			}
                   			
                                elsif ($QUESTIONS{$ORDER{$key}}{type} eq"MA") {
					my %ANSWERS = &select6("query","SELECT q_order,answer,c_answer,image_id FROM question_answers WHERE number=\"$ORDER{$key}\" AND c_answer =\"1\"");
               				
					foreach my $key1(sort {$a<=>$b} keys %ANSWERS) {
                                                if($ANSWERS{$key1}{answer} eq"") { # display image
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$ANSWERS{$key1}{image_id}\"");

                                                        my @extension = split(/\./, $IMAGE{$ANSWERS{$key1}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$ANSWERS{$key1}{image_id}"."\."."$extension[1]";
                                            
                                                        print" &nbsp\;<img src=\"$image\">\n";
                                                        }
                                                else {
                                                        print" &nbsp\;$ANSWERS{$key1}{answer},\n";
                                                        }
                        			}
                        			
                                        print"</TD></TR></TABLE>\n";
                   			}
                   			
                                elsif ($QUESTIONS{$ORDER{$key}}{type} eq"MX") {
					my %ANSWERS = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$ORDER{$key}\" AND c_answer =\"1\"");
					
					my %ANSWERS1 = &select7("query","SELECT q_order,number,answer,c_answer FROM question_answers WHERE number=\"$ORDER{$key}\" AND c_answer =\"0\"");
               				
					foreach my $key1(sort {$a<=>$b} keys %ANSWERS1) {
                                                print" &nbsp\;$ANSWERS1{$key1}{answer}&nbsp\; - &nbsp\;$ANSWERS{$key1}{answer}<BR>\n";
                        			}
                                        print"</TD></TR></TABLE>\n";
                   			}
                   			
				++$index;
            			print"<HR width=90\%>\n";
            			}
			}
			
                 if($show_eq == 2) {
			&print_eq();
                        }

		}
	}

#################
#
# MA_DISPLAY
#
#################
sub ma_display {
        my %MAD = @_;
        my %RETURN = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$MAD{number}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
				
        my $num_of_answers = keys(%RETURN);
        my @answers;
	my $no_image = 0;
	
        foreach my $key(sort {$a<=>$b} keys %RETURN) {
        	if($RETURN{$key}{image_id} > 0)  {
			$no_image = $RETURN{$key}{image_id};
			}
                push(@answers,$key);
                }
                
        if($num_of_answers > $MAD{kolum}  && $MAD{kolum}  > 1) {
                                        
                # print out columns
                if($MAD{kolum} == 2 && $num_of_answers > $MAD{kolum}) { # 2 columns
                        print"<TABLE>";
                                           
                        while(@answers) {
                                my $answer = shift(@answers);
                                $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back

                                my %IMAGE = ();
                                                
                                print"<TR>";

                                if($RETURN{$answer}{image_id} > 0) {
                                        %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                        }
                                                        
                                &print_out_2columns("no_image","$no_image","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","type","MA","ans_mode","$MAD{ans_mode}");
                                                
                                my $answer1 = shift(@answers);
                                $RETURN{$answer1}{answer} =~ s/&quot;/"/g; #change back
                                $RETURN{$answer1}{answer} =~ s/&apos;/'/g; #change back

                                my %IMAGE1 = ();
                                                
                                if($RETURN{$answer1}{image_id} > 0) {
                                        %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                        }
                                                        
                                &print_out_2columns("no_image","$no_image","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","type","MA","ans_mode","$MAD{ans_mode}");
                                print"</TR>";
                                }
                                                
                        print"</TABLE>\n";
                        }
                
                elsif($MAD{kolum} == 3 && $num_of_answers > $MAD{kolum}) { # 3 columns
                        print"<TABLE>";
                                           
                        while(@answers) {
                                my $answer = shift(@answers);
                                $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back

                                my %IMAGE = ();
                                                
                                print"<TR>";
                                              
                                if($RETURN{$answer}{image_id} > 0) {
                                        %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                        }

                                &print_out_3columns("no_image","$no_image","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","type","MA","ans_mode","$MAD{ans_mode}");
                                                
                                my $answer1 = shift(@answers);
                                $RETURN{$answer1}{answer} =~ s/&quot;/"/g; #change back
                                $RETURN{$answer1}{answer} =~ s/&apos;/'/g; #change back

                                my %IMAGE1 = ();
                                                
                                if($RETURN{$answer1}{image_id} > 0) {
                                        %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                        }
                                                        
                                &print_out_3columns("no_image","$no_image","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","type","MA","ans_mode","$MAD{ans_mode}");
                                                
                                my $answer2 = shift(@answers);
                                $RETURN{$answer2}{answer} =~ s/&quot;/"/g; #change back
                                $RETURN{$answer2}{answer} =~ s/&apos;/'/g; #change back

                                my %IMAGE2 = ();
                                                
                                if($RETURN{$answer2}{image_id} > 0) {
                                        %IMAGE2 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer2}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                        }
                                                        
                                &print_out_3columns("no_image","$no_image","select","$RETURN{$answer2}{answer}","image","$RETURN{$answer2}{image_id}","image_name","$IMAGE2{$RETURN{$answer2}{image_id}}","type","MA","ans_mode","$MAD{ans_mode}");
                                                
                                print"</TR>";
                                }
                                                
                        print"</TABLE>\n";
                        }
                }
                                        
        else { # only one column
                my $i;
                                        
                for ($i = 1; $i <= $num_of_answers; ++$i) {
                        my $answer = "answer$i";
                        if ($RETURN{$i}{c_answer} == 1) {
                                if($MAD{ans_mode} == 1) {
                                        $RETURN{$i}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$i}{answer} =~ s/&apos;/'/g; #change back

                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><input type=\"checkbox\" class=\"medium\" disabled></TD><TD style=\"vertical-align:text-top\">$RETURN{$i}{answer}</TD></TR></TABLE><BR>\n";
                                        }
                                
                                elsif($MAD{ans_mode} == 2) {
                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><input type=\"checkbox\" class=\"medium\" disabled></TD><TD style=\"vertical-align:text-top\">$RETURN{$i}{answer}</TD></TR></TABLE><BR>\n";
                                        }
                                        
                                elsif($MAD{ans_mode} == 0) {
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") {
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><input type=\"checkbox\" class=\"medium\" disabled></TD><TD><textarea class=\"show_ma_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"60\" readonly> $RETURN{$i}{answer}</textarea>\n";
  							
                                                if($RETURN{$i}{image_id} > 0) {
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
								
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }
				
                                                }
                                        else {
                                                if($RETURN{$i}{image_id} > 0) {
                                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><input type=\"checkbox\" class=\"medium\" disabled></TD><TD></TD>\n";
								
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
								
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"<td style=\"vertical-align:middle\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_ma_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
                                                }
                                        }
                                }
						
                        else {
                                if($MAD{ans_mode} == 1) {
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") {
                                                $RETURN{$i}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$i}{answer} =~ s/&apos;/'/g; #change back

                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><input type=\"checkbox\" class=\"medium\" disabled></TD><TD>$RETURN{$i}{answer}</TD></TR></TABLE><BR>\n";
                                                }
                                        }
                                        
                                elsif($MAD{ans_mode} != 1) {
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") {
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><input type=\"checkbox\" class=\"medium\" disabled></TD><TD><textarea class=\"show_ma_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"60\" readonly>$RETURN{$i}{answer}</textarea>\n";
                                                                
                                                if($RETURN{$i}{image_id} > 0) {
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
								
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }

                                                }
                                        else {
                                                if($RETURN{$i}{image_id} > 0) {
                                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><input type=\"checkbox\" class=\"medium\" disabled></TD>\n";
                                                                        
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
								
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"<td style=\"vertical-align:middle\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                }
                                        }
                                }
                        }
                }
        }
        
#################
#
# MC_DISPLAY
#
#################
sub mc_display {
        my %MCD = @_;
        my %RETURN = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$MCD{number}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
					
        my $num_of_answers = keys(%RETURN);
        my @answers;
	my $no_image = 0;
	
        foreach my $key(sort {$a<=>$b} keys %RETURN) {
        	if($RETURN{$key}{image_id} > 0)  {
			$no_image = $RETURN{$key}{image_id};
			}
                push(@answers,$key);
                }
                                                
        if($num_of_answers > $MCD{kolum}  && $MCD{kolum}  > 1) {
                # print out columns
                if($MCD{kolum} == 2 && $num_of_answers > $MCD{kolum}) { # 2 columns
                        print"<TABLE>";
                                           
                        while(@answers) {
                                my $answer = shift(@answers);
                                $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                        
                                my %IMAGE = ();
                                                
                                print"<TR>";
                                
                                if($RETURN{$answer}{image_id} > 0) {
                                        %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                                        }
                                                        
                                        &print_out_2columns("no_image","$no_image","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","ans_mode","$MCD{ans_mode}");
                                                
                                        my $answer1 = shift(@answers);
                                        $RETURN{$answer1}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer1}{answer} =~ s/&apos;/'/g; #change back
                                        my %IMAGE1 = ();
                                                
                                        if($RETURN{$answer1}{image_id} > 0) {
                                                %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_2columns("no_image","$no_image","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","ans_mode","$MCD{ans_mode}");
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                
                        elsif($MCD{kolum} == 3 && $num_of_answers > $MCD{kolum}) { # 3 columns
                                print"<TABLE>";
                                           
                                while(@answers) {
                                        my $answer = shift(@answers);
                                        $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back =~ s/&quot;/"/g; #change back
                                        
                                        my %IMAGE = ();
                                                
                                        print"<TR>";
                                              
                                        if($RETURN{$answer}{image_id} > 0) {
                                                %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }

                                        &print_out_3columns("no_image","$no_image","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","ans_mode","$MCD{ans_mode}");
                                                
                                        my $answer1 = shift(@answers);
                                        $RETURN{$answer1}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer1}{answer} =~ s/&apos;/'/g; #change back
                                        
                                        my %IMAGE1 = ();
                                                
                                        if($RETURN{$answer1}{image_id} > 0) {
                                                %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_3columns("no_image","$no_image","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","ans_mode","$MCD{ans_mode}");
                                                
                                        my $answer2 = shift(@answers);
                                        $RETURN{$answer2}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer2}{answer} =~ s/&apos;/'/g; #change back
                                    
                                        my %IMAGE2 = ();
                                                
                                        if($RETURN{$answer2}{image_id} > 0) {
                                                %IMAGE2 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer2}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_3columns("no_image","$no_image","select","$RETURN{$answer2}{answer}","image","$RETURN{$answer2}{image_id}","image_name","$IMAGE2{$RETURN{$answer2}{image_id}}","ans_mode","$MCD{ans_mode}");
                                                
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                        }
       
                else { # only one column
                        my $i;

                        for ($i = 1; $i <= $num_of_answers; ++$i) {
                                my $answer = "answer$i";
                                if ($RETURN{$i}{c_answer} == 1) {
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($MCD{ans_mode} ==1 || $MCD{ans_mode} == 2)) {
                                                $RETURN{$i}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$i}{answer} =~ s/&apos;/'/g; #change back
                                                
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><input type =\"radio\" class=\"medium\" disabled></TD><TD style=\"vertical-align:text-top\">$RETURN{$i}{answer}</TD></TR></TABLE><BR>\n";
                                                }
                                                
                                        elsif($MCD{ans_mode} == 0) {
                                                if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" ) {
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><input type =\"radio\" class=\"medium\" disabled></TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"60\" readonly>$RETURN{$i}{answer}</textarea>\n";
 								
                                                        if($RETURN{$i}{image_id} > 0) {
                                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                                                
                                                                my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                                my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                                print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                                }
                                                        else {
                                                                print"</TD></TR></TABLE>\n";
                                                                }
					
                                                        }
                                                else {
                                                        if($RETURN{$i}{image_id} > 0) {
                                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><input type =\"radio\" class=\"medium\" disabled></TD>\n";
                                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                                                
                                                                my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                                my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                                print"<TD><style=\"vertical-align:middle\"><img src=\"$image\"></td></TR></table><P>\n";
                                                                }
                                                        else {
                                                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                                }
                                                        }
                                                }
                                        }
							
                                else {
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($MCD{ans_mode} == 1 || $MCD{ans_mode} == 2)) {
                                                $RETURN{$i}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$i}{answer} =~ s/&apos;/'/g; #change back
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><input type =\"radio\" class=\"medium\" disabled></TD><TD style=\"vertical-align:text-top\">$RETURN{$i}{answer}</TD></TR></TABLE><BR>\n";
                                                }
                                                
                                        elsif($MCD{ans_mode} == 0) {
                                                if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") {
                                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><input type =\"radio\" class=\"medium\" disabled></TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"60\" readonly>$RETURN{$i}{answer}</textarea>\n";
 								
                                                        if($RETURN{$i}{image_id} > 0) {
                                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                                                
                                                                my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                                my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                                print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                                }
                                                        else {
                                                                print"</TD></TR></TABLE>\n";
                                                                }
	
                                                        }
                                                else {
                                                        if($RETURN{$i}{image_id} > 0) {
                                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><input type =\"radio\" class=\"medium\" disabled></TD>\n";
                                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                                                
                                                                my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                                my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                                print"<td style=\"vertical-align:middle\"><img src=\"$image\"></td></TR></table><P>\n";
                                                                }
                                                        else {
                                                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                                }
                                                        }
                                                }
                                        }
                                }
                        }
                }
        
        
#################
#
# MC_DISPLAY_ANSWERS_QST
#
#################
sub mc_display_answers_qst {
        my %MCDAQ = @_;
        my $index = $MCDAQ{index};
        my $i = 0;
	my $no_image = 0;

        my %RETURN = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$MCDAQ{number}\" AND org_id=\"$org_id\" ");
					
        my $num_of_answers = keys(%RETURN);
        my @answers;

        if($MCDAQ{shuffle_ans} == 0) { # CREATED Order of Answers
                foreach my $key(sort {$a<=>$b} keys %RETURN) {
                	if($RETURN{$key}{image_id} > 0) {
                		$no_image = $RETURN{$key}{image_id};
                		}
                        push(@answers,$key);
                        }
                }
                
        else { # RANDOMIZE ANSWERS
                my %RAND_ANSWERS = ();
                
                foreach my $nom(keys %RETURN) {
                	if($RETURN{$nom}{image_id} > 0) {
				$no_image = $RETURN{$nom}{image_id};
                		}
                        $RAND_ANSWERS{$nom} = $nom;
                        }
                                                                                
                for (my $i = 1; $i <= $num_of_answers ; $i++){ # randomly choose the answers
                        my $chosen_answer = &get_random_hash(%RAND_ANSWERS);
                        delete($RAND_ANSWERS{$chosen_answer});
                        push(@answers,$chosen_answer);
                        }
                }
                        
        # COLUMNS of answers
        if($num_of_answers > $MCDAQ{kolum}  && $MCDAQ{kolum}  > 1) {
                # print out columns
                if($MCDAQ{kolum} == 2 && $num_of_answers > $MCDAQ{kolum}) { # 2 columns
                        print"<TABLE>";
                                           
                        while(@answers) {
                                my $answer = shift(@answers);
                                my %IMAGE = ();
                                                
                                print"<TR>";
                                
                                if($RETURN{$answer}{image_id} > 0) {
                                        %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                        }
                                                        
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                        
                                &print_out_2columns_active("no_image","$no_image","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name",
                                "$IMAGE{$RETURN{$answer}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order","$answer","quest_no",
                                "$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$MCDAQ{their_answer}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                ++$i;
                                my $answer1 = shift(@answers);
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer1}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer1}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                my %IMAGE1 = ();
                                                
                                if($RETURN{$answer1}{image_id} > 0) {
                                        %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\"  AND org_id=\"$org_id\"");
                                        }
                                                        
                                &print_out_2columns_active("no_image","$no_image","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order","$answer1","quest_no",
                                "$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$MCDAQ{their_answer}","ans_mode","$MCDAQ{ans_mode}");
                                
                                print"</TR>";
                                ++$i;
                                }
                        print"</TABLE>\n";
                        }
                
                elsif($MCDAQ{kolum} == 3 && $num_of_answers > $MCDAQ{kolum}) { # 3 columns
                                print"<TABLE>";
                                           
                                while(@answers) {
                                        my $answer = shift(@answers);
                                        if($MCDAQ{ans_mode} == 1) {
                                                $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                                }
                                                
                                        my %IMAGE = ();
                                                
                                        print"<TR>";
                                              
                                        if($RETURN{$answer}{image_id} > 0) {
                                                %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                }

                                        &print_out_3columns_active("no_image","$no_image","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name",
                                        "$IMAGE{$RETURN{$answer}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order","$answer",
                                        "quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$MCDAQ{their_answer}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                        ++$i;
                                        my $answer1 = shift(@answers);
                                        if($MCDAQ{ans_mode} == 1) {
                                                $RETURN{$answer1}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$answer1}{answer} =~ s/&apos;/'/g; #change back
                                                }
                                        my %IMAGE1 = ();
                                                
                                        if($RETURN{$answer1}{image_id} > 0) {
                                                %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND org_id=\"$org_id\"");
                                                }
                                                        
                                        &print_out_3columns_active("no_image","$no_image","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","index","$index","type","$MCDAQ{type}","i",
                                        "$i","order","$answer1","quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$MCDAQ{their_answer}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                        ++$i;
                                        my $answer2 = shift(@answers);
                                        if($MCDAQ{ans_mode} == 1) {
                                                $RETURN{$answer2}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$answer2}{answer} =~ s/&apos;/'/g; #change back
                                                }
                                                
                                        my %IMAGE2 = ();
                                                
                                        if($RETURN{$answer2}{image_id} > 0) {
                                                %IMAGE2 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer2}{image_id}\" AND org_id=\"$org_id\"");
                                                }

                                        &print_out_3columns_active("no_image","$no_image","select","$RETURN{$answer2}{answer}","image","$RETURN{$answer2}{image_id}","image_name",
                                        "$IMAGE2{$RETURN{$answer2}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order","$answer2",
                                        "quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$MCDAQ{their_answer}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                        print"</TR>";
                                        ++$i;
                                        }
                                                
                                print"</TABLE>\n";
                                }
                        }
       
                else { # only one column
                        while(@answers) {
                                my $answer = shift(@answers);

                                if ($RETURN{$answer}{c_answer} == 1) { # correct answer
                                        if(defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && ($MCDAQ{ans_mode} == 1 || $MCDAQ{ans_mode} == 2)) {
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><label for=\"radioa$MCDAQ{number}$answer\"><input type =\"radio\" class=\"medium\" name=\"m$MCDAQ{number}\" value=\"$answer\" ";
                                                
                                                if($answer == $MCDAQ{their_answer}) {
                                                        print"checked ";
                                                        }
                                                        
                                                print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                if($MCDAQ{branch} == 1) {
                                                        print",\'b\'";
                                                        }
                        
                                                print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
 

                                                $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                                
                                                print"</TD><TD>$RETURN{$answer}{answer}</TD></TR></TABLE>\n"
                                                }
                                
                                        elsif (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && $MCDAQ{ans_mode} == 0) { # text in BASIC answer
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><label for=\"radioa$MCDAQ{number}$answer\"><input type=\"radio\" class=\"medium\" name=\"m$MCDAQ{number}\" value=\"$answer\" ";
                                                
                                                if($answer == $MCDAQ{their_answer}) {
                                                        print"checked ";
                                                        }
                                                        
                                                print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                if($MCDAQ{branch} == 1) {
                                                        print",\'b\'";
                                                        }
                        
                                                print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
 
 						# Check for MOBILE
						my $cols = 60;
						my $rows = 1;
											
						if($MCDAQ{mobile} == 1) {
							$cols = 40;
							my $len = length($RETURN{$answer}{answer});
							if ($len > 30) {
								$rows = 2;
								}
 							}
 							
                                                print"</TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$RETURN{$answer}{answer}\" maxlength=\"75\" rows=\"$rows\" cols=\"$cols\" readonly>$RETURN{$answer}{answer}</textarea>\n";
 								
                                                if($RETURN{$answer}{image_id} > 0) { # image to
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                        
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }
                                                }
                                                
                                        else { # no text in answer
                                                if($RETURN{$answer}{image_id} > 0 && $MCDAQ{ans_mode} == 0) {
                                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><label for=\"radioa$MCDAQ{number}$answer\"><input type=\"radio\" class=\"medium\" name=\"m$MCDAQ{number}\" value=\"$answer\" ";
                                                        
                                                        if($answer == $MCDAQ{their_answer}) {
                                                                print"checked ";
                                                                }
                                                                
                                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                        if($MCDAQ{branch} == 1) {
                                                                print",\'b\'";
                                                                }
                        
                                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
                                                
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                        print"<td style=\"vertical-align:middle\"><img src=\"$image\"></td></TR></table><P>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
                                                }
                                        }
							
                                else { # not correct answer
                                        if (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && ($MCDAQ{ans_mode} == 1 || $MCDAQ{ans_mode} == 2)) { # text in answer
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><label for=\"radioa$MCDAQ{number}$answer\"><input type=\"radio\" class=\"medium\" name=\"m$MCDAQ{number}\" value=\"$answer\" ";

                                                if($answer == $MCDAQ{their_answer}) {
                                                        print"checked ";
                                                        }
                                                        
                                                print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                if($MCDAQ{branch} == 1) {
                                                        print",\'b\'";
                                                        }
                        
                                                print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
                                                
                                                $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                                
                                                print"</TD><TD>$RETURN{$answer}{answer}</TD></TR></TABLE>\n";
                                                }
                                                
                                        elsif (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && $MCDAQ{ans_mode} == 0) { # text in BASIC answer
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><label for=\"radioa$MCDAQ{number}$answer\"><input type=\"radio\" class=\"medium\" name=\"m$MCDAQ{number}\" value=\"$answer\" ";

                                                if($answer == $MCDAQ{their_answer}) {
                                                        print"checked ";
                                                        }
                                                        
                                                print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                if($MCDAQ{branch} == 1) {
                                                        print",\'b\'";
                                                        }
                        
                                                print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
                                                
                                                # Check for MOBILE
						my $cols = 60;
						my $rows = 1;
																	
						if($MCDAQ{mobile} == 1) {
							$cols = 40;
							my $len = length($RETURN{$answer}{answer});
							if ($len > 30) {
								$rows = 2;
								}
						 	}

                                                print"</TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$answer}{answer}\" maxlength=\"75\" rows=\"$rows\" cols=\"$cols\" readonly>$RETURN{$answer}{answer}</textarea>\n";
                                                
                                                if($RETURN{$answer}{image_id} > 0) { # image to
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }
	
                                                }
                                        else { # no text in answer
                                                if($RETURN{$answer}{image_id} > 0 && $MCDAQ{ans_mode} == 0) {
                                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><label for=\"radioa$MCDAQ{number}$answer\"><input type=\"radio\" class=\"medium\" name=\"m$MCDAQ{number}\" value=\"$answer\" ";
                                                        
                                                        if($answer == $MCDAQ{their_answer}) {
                                                                print"checked ";
                                                                }
                                                                
                                                        print" onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                        if($MCDAQ{branch} == 1) {
                                                                print",\'b\'";
                                                                }
                        
                                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
                                                        
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                        print"<td valign=\"top\"><img src=\"$image\"></td></TR></table><P>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
                                                }
                                        }
                                }
                        }
                }
        
#################
#
# MC_DISPLAY_ANSWERS_QST_RESUME
#
#################
sub mc_display_answers_qst_resume {
        my %MCDAQ = @_;
        my $index = $MCDAQ{index};
        my $i = 0;
	my $no_image = 0;
        my %RETURN = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$MCDAQ{number}\" AND org_id=\"$org_id\" ");
					
        my $num_of_answers = keys(%RETURN);
        my @answers;

        if($MCDAQ{shuffle_ans} == 0) { # CREATED Order of Answers
                foreach my $key(sort {$a<=>$b} keys %RETURN) {
                	if($RETURN{$key}{image_id} > 0) {
                		$no_image = $RETURN{$key}{image_id};
                		}
                        push(@answers,$key);
                        }
                }
                
        else { # RANDOMIZE ANSWERS
                my %RAND_ANSWERS = ();
                
                foreach my $nom(keys %RETURN) {
                	if($RETURN{$nom}{image_id} > 0) {
				$no_image = $RETURN{$nom}{image_id};
                		}
                        $RAND_ANSWERS{$nom} = $nom;
                        }
                                                                                
                for (my $i = 1; $i <= $num_of_answers ; $i++){ # randomly choose the answers
                        my $chosen_answer = &get_random_hash(%RAND_ANSWERS);
                        delete($RAND_ANSWERS{$chosen_answer});
                        push(@answers,$chosen_answer);
                        }
                }
                        
        # COLUMNS of answers
        if($num_of_answers > $MCDAQ{kolum}  && $MCDAQ{kolum}  > 1) {
                # print out columns
                if($MCDAQ{kolum} == 2 && $num_of_answers > $MCDAQ{kolum}) { # 2 columns
                        print"<TABLE>";
                                           
                        while(@answers) {
                                my $answer = shift(@answers);
                                my %IMAGE = ();
                                                
                                print"<TR>";
                                
                                if($RETURN{$answer}{image_id} > 0) {
                                        %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                        }
                                                        
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                        
                                &print_out_2columns_active("no_image","$no_image","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name",
                                "$IMAGE{$RETURN{$answer}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order","$answer","quest_no",
                                "$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$MCDAQ{their_answer}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                ++$i;
                                my $answer1 = shift(@answers);
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer1}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer1}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                my %IMAGE1 = ();
                                                
                                if($RETURN{$answer1}{image_id} > 0) {
                                        %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\"  AND org_id=\"$org_id\"");
                                        }
                                                        
                                &print_out_2columns_active("no_image","$no_image","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order","$answer1","quest_no",
                                "$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$MCDAQ{their_answer}","ans_mode","$MCDAQ{ans_mode}");
                                
                                print"</TR>";
                                ++$i;
                                }
                        print"</TABLE>\n";
                        }
                
                elsif($MCDAQ{kolum} == 3 && $num_of_answers > $MCDAQ{kolum}) { # 3 columns
                                print"<TABLE>";
                                           
                                while(@answers) {
                                        my $answer = shift(@answers);
                                        if($MCDAQ{ans_mode} == 1) {
                                                $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                                }
                                                
                                        my %IMAGE = ();
                                                
                                        print"<TR>";
                                              
                                        if($RETURN{$answer}{image_id} > 0) {
                                                %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                }

                                        &print_out_3columns_active("no_image","$no_image","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name",
                                        "$IMAGE{$RETURN{$answer}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order","$answer",
                                        "quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$MCDAQ{their_answer}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                        ++$i;
                                        my $answer1 = shift(@answers);
                                        if($MCDAQ{ans_mode} == 1) {
                                                $RETURN{$answer1}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$answer1}{answer} =~ s/&apos;/'/g; #change back
                                                }
                                        my %IMAGE1 = ();
                                                
                                        if($RETURN{$answer1}{image_id} > 0) {
                                                %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND org_id=\"$org_id\"");
                                                }
                                                        
                                        &print_out_3columns_active("no_image","$no_image","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","index","$index","type","$MCDAQ{type}","i",
                                        "$i","order","$answer1","quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$MCDAQ{their_answer}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                        ++$i;
                                        my $answer2 = shift(@answers);
                                        if($MCDAQ{ans_mode} == 1) {
                                                $RETURN{$answer2}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$answer2}{answer} =~ s/&apos;/'/g; #change back
                                                }
                                                
                                        my %IMAGE2 = ();
                                                
                                        if($RETURN{$answer2}{image_id} > 0) {
                                                %IMAGE2 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer2}{image_id}\" AND org_id=\"$org_id\"");
                                                }

                                        &print_out_3columns_active("no_image","$no_image","select","$RETURN{$answer2}{answer}","image","$RETURN{$answer2}{image_id}","image_name",
                                        "$IMAGE2{$RETURN{$answer2}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order","$answer2",
                                        "quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$MCDAQ{their_answer}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                        print"</TR>";
                                        ++$i;
                                        }
                                                
                                print"</TABLE>\n";
                                }
                        }
       
                else { # only one column
                        while(@answers) {
                                my $answer = shift(@answers);

                                if ($RETURN{$answer}{c_answer} == 1) { # correct answer
                                        if(defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && ($MCDAQ{ans_mode} == 1 || $MCDAQ{ans_mode} == 2)) {
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><label for=\"radioa$MCDAQ{number}$answer\"><input type =\"radio\" class=\"medium\" name =\"m$MCDAQ{number}\" value=\"$answer\" ";
                                                
                                                if($answer == $MCDAQ{their_answer}) {
                                                        print"checked ";
                                                        }
                                                        
                                                print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                if($MCDAQ{branch} == 1) {
                                                        print",\'b\'";
                                                        }
                        
                                                print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
 

                                                $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                                
                                                print"</TD><TD>$RETURN{$answer}{answer}</TD></TR></TABLE>\n"
                                                }
                                
                                        elsif (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && $MCDAQ{ans_mode} == 0) { # text in BASIC answer
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><label for=\"radioa$MCDAQ{number}$answer\"><input type =\"radio\" class=\"medium\" name =\"m$MCDAQ{number}\" value=\"$answer\" ";
                                                
                                                if($answer == $MCDAQ{their_answer}) {
                                                        print"checked ";
                                                        }
                                                        
                                                print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                if($MCDAQ{branch} == 1) {
                                                        print",\'b\'";
                                                        }
                        
                                                print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
 
  						# Check for MOBILE
 						my $cols = 60;
 						my $rows = 1;
 											
 						if($MCDAQ{mobile} == 1) {
 							$cols = 40;
 							my $len = length($RETURN{$answer}{answer});
 							if ($len > 30) {
 								$rows = 2;
 								}
  							}

                                                print"</TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$RETURN{$answer}{answer}\" maxlength=\"75\" rows=\"$rows\" cols=\"$cols\" readonly>$RETURN{$answer}{answer}</textarea>\n";
 								
                                                if($RETURN{$answer}{image_id} > 0) { # image to
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                        
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }
                                                }
                                                
                                        else { # no text in answer
                                                if($RETURN{$answer}{image_id} > 0 && $MCDAQ{ans_mode} == 0) {
                                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><label for=\"radioa$MCDAQ{number}$answer\"><input type =\"radio\" class=\"medium\" name =\"m$MCDAQ{number}\" value=\"$answer\" ";
                                                        
                                                        if($answer == $MCDAQ{their_answer}) {
                                                                print"checked ";
                                                                }
                                                                
                                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                        if($MCDAQ{branch} == 1) {
                                                                print",\'b\'";
                                                                }
                        
                                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
                                                
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                        print"<td style=\"vertical-align:middle\"><img src=\"$image\"></td></TR></table><P>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
                                                }
                                        }
							
                                else { # not correct answer
                                        if (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && ($MCDAQ{ans_mode} == 1 || $MCDAQ{ans_mode} == 2)) { # text in answer
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><label for=\"radioa$MCDAQ{number}$answer\"><input type =\"radio\" class=\"medium\" name =\"m$MCDAQ{number}\" value=\"$answer\" ";

                                                if($answer == $MCDAQ{their_answer}) {
                                                        print"checked ";
                                                        }
                                                        
                                                print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                if($MCDAQ{branch} == 1) {
                                                        print",\'b\'";
                                                        }
                        
                                                print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
                                                
                                                $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                                $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                                
                                                print"</TD><TD>$RETURN{$answer}{answer}</TD></TR></TABLE>\n";
                                                }
                                                
                                        elsif (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && $MCDAQ{ans_mode} == 0) { # text in answer
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><label for=\"radioa$MCDAQ{number}$answer\"><input type =\"radio\" class=\"medium\" name =\"m$MCDAQ{number}\" value=\"$answer\" ";

                                                if($answer == $MCDAQ{their_answer}) {
                                                        print"checked ";
                                                        }
                                                        
                                                print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                if($MCDAQ{branch} == 1) {
                                                        print",\'b\'";
                                                        }
                        
                                                print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
                                                
 						# Check for MOBILE
						my $cols = 60;
						my $rows = 1;
											
						if($MCDAQ{mobile} == 1) {
							$cols = 40;
							my $len = length($RETURN{$answer}{answer});
							if ($len > 30) {
								$rows = 2;
								}
 							}

                                                print"</TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$answer}{answer}\" maxlength=\"75\" rows=\"$rows\" cols=\"$cols\" readonly>$RETURN{$answer}{answer}</textarea>\n";
                                                
                                                if($RETURN{$answer}{image_id} > 0) { # image to
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }
	
                                                }
                                        else { # no text in answer
                                                if($RETURN{$answer}{image_id} > 0 && $MCDAQ{ans_mode} == 0) {
                                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><label for=\"radioa$MCDAQ{number}$answer\"><input type =\"radio\" class=\"medium\" name =\"m$MCDAQ{number}\" value=\"$answer\" ";
                                                        
                                                        if($answer == $MCDAQ{their_answer}) {
                                                                print"checked ";
                                                                }
                                                                
                                                        print" onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                        if($MCDAQ{branch} == 1) {
                                                                print",\'b\'";
                                                                }
                        
                                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
                                                        
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                        print"<td valign=\"top\"><img src=\"$image\"></td></TR></table><P>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
                                                }
                                        }
                                }
                        }
                }

#################
#
# MA_DISPLAY_ANSWERS_QST
#
#################
sub ma_display_answers_qst {
        my %MCDAQ = @_;       
        my $index = $MCDAQ{index};
        my $i = 0;
        my $org;
        if($MCDAQ{demo} == 2) {
                $org = 2;
                }
        else {
                $org = $org_id;
                }
                
        my %RETURN = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$MCDAQ{number}\" AND org_id=\"$org\" ");
					
        my $num_of_answers = keys(%RETURN);
        my @answers;
        my $no_image = 0;
        
        if($MCDAQ{shuffle_ans} == 0) { # CREATED Order of Answers
                foreach my $key(sort {$a<=>$b} keys %RETURN) {
                	if($RETURN{$key}{image_id} > 0) {
				$no_image = $RETURN{$key}{image_id};
                		}
                        push(@answers,$key);
                        }
                }
                
        else { # RANDOMIZE ANSWERS
                my %RAND_ANSWERS = ();
                
                foreach my $nom(keys %RETURN) {
                	if($RETURN{$nom}{image_id} > 0) {
				$no_image = $RETURN{$nom}{image_id};
                		}
                        $RAND_ANSWERS{$nom} = $nom;
                        }
                                                                                
                for (my $i = 1; $i <= $num_of_answers ; $i++){ # randomly choose the answers
                        my $chosen_answer = &get_random_hash(%RAND_ANSWERS);
                        delete($RAND_ANSWERS{$chosen_answer});
                        push(@answers,$chosen_answer);
                        }
                }
        
        my %THEIR_ANSWERS;
        my @their_answers = split(/\,/, $MCDAQ{their_answer});
        
        while (@their_answers) {
                my $answers = shift(@their_answers);
                $THEIR_ANSWERS{$answers} = $answers;
                }
          
        # COLUMNS of answers
        if($num_of_answers > $MCDAQ{kolum}  && $MCDAQ{kolum}  > 1) {
                # print out columns
                if($MCDAQ{kolum} == 2 && $num_of_answers > $MCDAQ{kolum}) { # 2 columns
                        print"<TABLE>";
                                           
                        while(@answers) {
                                my $answer = shift(@answers);
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                my %IMAGE = ();
                                                
                                print"<TR>";
                                
                                if($RETURN{$answer}{image_id} > 0) {
                                        %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" ");
                                        }

                                &print_out_2columns_active("no_image","$no_image","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name",
                                "$IMAGE{$RETURN{$answer}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order","$answer","quest_no",
                                "$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$THEIR_ANSWERS{$answer}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                ++$i;
                                my $answer1 = shift(@answers);
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer1}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer1}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                        
                                my %IMAGE1 = ();
                                                
                                if($RETURN{$answer1}{image_id} > 0) {
                                        %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" ");
                                        }
                                                        
                                &print_out_2columns_active("no_image","$no_image","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order",
                                "$answer1","quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$THEIR_ANSWERS{$answer1}","ans_mode","$MCDAQ{ans_mode}");
                                
                                print"</TR>";
                                ++$i;
                                }
                        print"</TABLE>\n";
                        }
                
                elsif($MCDAQ{kolum} == 3 && $num_of_answers > $MCDAQ{kolum}) { # 3 columns
                        print"<TABLE>";
                                           
                        while(@answers) {
                                my $answer = shift(@answers);
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                        
                                my %IMAGE = ();
                                                
                                print"<TR>";
                                              
                                if($RETURN{$answer}{image_id} > 0) {
                                        %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" ");
                                        }

                                &print_out_3columns_active("no_image","$no_image","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order"
                                ,"$answer","quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$THEIR_ANSWERS{$answer}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                ++$i;
                                my $answer1 = shift(@answers);
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer1}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer1}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                my %IMAGE1 = ();
                                                
                                if($RETURN{$answer1}{image_id} > 0) {
                                        %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" ");
                                        }
                                                        
                                &print_out_3columns_active("no_image","$no_image","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order"
                                ,"$answer1","quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$THEIR_ANSWERS{$answer1}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                ++$i;
                                my $answer2 = shift(@answers);
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer2}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer2}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                        
                                my %IMAGE2 = ();
                                                
                                if($RETURN{$answer2}{image_id} > 0) {
                                        %IMAGE2 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer2}{image_id}\" ");
                                        }

                                &print_out_3columns_active("no_image","$no_image","select","$RETURN{$answer2}{answer}","image","$RETURN{$answer2}{image_id}","image_name","$IMAGE2{$RETURN{$answer2}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order"
                                ,"$answer2","quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$THEIR_ANSWERS{$answer2}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                print"</TR>";
                                ++$i;
                                }
                                                
                        print"</TABLE>\n";
                        }
                }
       
        else { # only one column
                while(@answers) {
                        my $answer = shift(@answers);

                        if ($RETURN{$answer}{c_answer} == 1) { # correct answer
                                if (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && ($MCDAQ{ans_mode} == 1 || $MCDAQ{ans_mode} == 2)) { # text in answer
                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><label for=\"checka$MCDAQ{number}$answer\"><input type=\"checkbox\" class=\"medium\" name=\"ma$MCDAQ{number}-$answer\" value=\"$answer\" ";
                                        
                                        if(defined $THEIR_ANSWERS{$answer}) {
                                                print"checked ";
                                                }
                                        
                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                        if($MCDAQ{branch} == 1) {
                                                print",\'b\'";
                                                } 
                        
                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";

                                        $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                         
                                        print"</TD><TD>$RETURN{$answer}{answer}</TD></TR></TABLE>\n";
                                        }
                                        
                                elsif (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && $MCDAQ{ans_mode} == 0) { # text in BASIC answer
                                	
                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><label for=\"checka$MCDAQ{number}$answer\"><input type=\"checkbox\" class=\"medium\" name=\"ma$MCDAQ{number}-$answer\" value=\"$answer\" ";
                                        
                                        if(defined $THEIR_ANSWERS{$answer}) {
                                                print"checked ";
                                                }
                                        
                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                        if($MCDAQ{branch} == 1) {
                                                print",\'b\'";
                                                }
                        
                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
 
 					# Check for MOBILE
					my $cols = 60;
					my $rows = 1;
					
					if($MCDAQ{mobile} == 1) {
					 	$cols = 40;
					 	my $len = length($RETURN{$answer}{answer});
					 	if ($len > 30) {
					 		$rows = 2;
					 		}
 						}
 					
                                        print"</TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$RETURN{$answer}{answer}\" maxlength=\"75\" rows=\"$rows\" cols=\"$cols\" readonly>$RETURN{$answer}{answer}</textarea>\n";
 								
                                        if($RETURN{$answer}{image_id} > 0) { # image to
                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                }
                                        else {
                                                print"</TD></TR></TABLE>\n";
                                                }
					
                                        }
                                else { # only image in answer
                                        if($RETURN{$answer}{image_id} > 0 && $MCDAQ{ans_mode} == 0) {
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><input type=\"checkbox\" class=\"medium\" disabled></TD>\n";
                                                        
                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                print"<td valign=\"top\"><img src=\"$image\"></td></TR></table><P>\n";
                                                }
                                        else {
                                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                }
                                        }
                                }
							
                        else { # not correct answer
                                if (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && ($MCDAQ{ans_mode} == 1 || $MCDAQ{ans_mode} == 2)) { # text in answer
                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><label for=\"checka$MCDAQ{number}$answer\"><input type=\"checkbox\" class=\"medium\" name=\"ma$MCDAQ{number}-$answer\" value=\"$answer\" ";
                                        
                                        if(defined $THEIR_ANSWERS{$answer}) {
                                                print"checked ";
                                                }
                                        
                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                        if($MCDAQ{branch} == 1) {
                                                print",\'b\'";
                                                }
                        
                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
                                                
                                        $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                        
                                        print"</TD><TD>$RETURN{$answer}{answer}</TD></TR></TABLE>\n";
                                        }
                                        
                                elsif (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && $MCDAQ{ans_mode} == 0) { # text in BASIC answer
                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:text-top\"><label for=\"checka$MCDAQ{number}$answer\"><input type=\"checkbox\" class=\"medium\" name=\"ma$MCDAQ{number}-$answer\" value=\"$answer\" ";
                                        
                                        if(defined $THEIR_ANSWERS{$answer}) {
                                                print"checked ";
                                                }
                                        
                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                        if($MCDAQ{branch} == 1) {
                                                print",\'b\'";
                                                }
                        
                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
                                        
                                        # Check for MOBILE
					my $cols = 60;
					my $rows = 1;
										
					if($MCDAQ{mobile} == 1) {
						$cols = 40;
						my $len = length($RETURN{$answer}{answer});
						if ($len > 30) {
							$rows = 2;
							}
 						}
 						
                                        print"</TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$answer}{answer}\" maxlength=\"75\" rows=\"$rows\" cols=\"$cols\" readonly>$RETURN{$answer}{answer}</textarea>\n";
                                                
                                        if($RETURN{$answer}{image_id} > 0) { # image to
                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                }
                                        else {
                                                print"</TD></TR></TABLE>\n";
                                                }
	
                                        }
                                else { # no text in answer                                
                                        if($MCDAQ{ans_mode} == 0) {
                                                if($RETURN{$answer}{image_id} > 0) {
                                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><label for=\"checka$MCDAQ{number}$answer\"><input type=\"checkbox\" class=\"medium\" name=\"ma$MCDAQ{number}-$answer\" value=\"$i\" ";
                                                        
                                                         if(defined $THEIR_ANSWERS{$answer}) {
								print"checked ";
                                                		}
                                                		
                                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\')\" id=\"radioa$MCDAQ{number}$answer\"></TD>\n";
                                                
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                        print"<td valign=\"top\"><img src=\"$image\"></td></TR></table><P>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
                                                }
                                        }
                                }
                        }
                }
        }

#################
#
# PRINT_MOBILE_MARK_MX_INCORRECT
#
#################
sub print_mobile_mark_mx_incorrect{
        my %PMMMC = @_;
        
        if($PMMMC{size2} == 0) {
                $PMMMC{size2} = 1;
                }
                
        $PMMMC{size} = $PMMMC{size} +1;
        
        if($PMMMC{screen_width} < 321) {
                print" <TR><TD>&nbsp\;</TD><TD></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size}\">$PMMMC{num}</textarea></TD><TD align=\"left\"><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size2}\">$PMMMC{m}</textarea></TD><TD align=\"left\"><img src=\"/schools/check.gif\" border=\"0\"></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size1}\">$PMMMC{ans}</textarea></TD></TR>\n";
                }
                
        elsif($PMMMC{screen_width} < 481) {
                print" <TR><TD>&nbsp\;&nbsp\;</TD><TD></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size}\">$PMMMC{num}</textarea></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size2}\">$PMMMC{m}</textarea></TD><TD><img src=\"/schools/check.gif\" border=\"0\"></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size1}\">$PMMMC{ans}</textarea></TD></TR>\n";
                }
                
        elsif($PMMMC{screen_width} < 641) {
                print" <TR><TD>&nbsp\;&nbsp\;&nbsp\;</TD><TD></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size}\">$PMMMC{num}</textarea></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size2}\">$PMMMC{m}</textarea></TD><TD><img src=\"/schools/check.gif\" border=\"0\"></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size1}\">$PMMMC{ans}</textarea></TD></TR>\n";
                }
                
        else {
                print" <TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size}\">$PMMMC{num}</textarea></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size2}\">$PMMMC{m}</textarea></TD><TD><img src=\"/schools/check.gif\" border=\"0\" STYLE=\"padding-bottom:14px\"></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size1}\">$PMMMC{ans}</textarea></TD></TR>\n";
                }                             
        }

#################
#
# PRINT_MOBILE_MARK_MX_CORRECT
#
#################
sub print_mobile_mark_mx_correct{
        my %PMMMC = @_;

        if($PMMMC{screen_width} < 321) {
                print" <TR><TD>&nbsp\;</TD><TD style=\"vertical-align:middle\;\"><img src=\"/schools/checkmark_3.png\" border=\"0\"></TD><TD style=\"vertical-align:middle\;\"><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size}\">$PMMMC{num}</textarea></TD><TD></TD><TD></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size1}\">$PMMMC{ans}</textarea></TD></TR>\n";
                }
                
        elsif($PMMMC{screen_width} < 481) {
                print" <TR><TD>&nbsp\;&nbsp\;</TD><TD style=\"vertical-align:middle\;\"><img src=\"/schools/checkmark_3.png\" border=\"0\"></TD><TD style=\"vertical-align:middle\;\"><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size}\">$PMMMC{num}</textarea></TD><TD></TD><TD></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size1}\">$PMMMC{ans}</textarea></TD></TR>\n";
                }
                
        elsif($PMMMC{screen_width} < 641) {
                print" <TR><TD>&nbsp\;&nbsp\;&nbsp\;</TD><TD style=\"vertical-align:middle\;\"><img src=\"/schools/checkmark_3.png\" border=\"0\"></TD><TD style=\"vertical-align:middle\;\"><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size}\">$PMMMC{num}</textarea></TD><TD></TD><TD></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size1}\">$PMMMC{ans}</textarea></TD></TR>\n";
                }
                
        else {
                print" <TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD style=\"vertical-align:middle\;\"><img src=\"/schools/checkmark_3.png\" border=\"0\"></TD><TD style=\"vertical-align:middle\;\"><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size}\">$PMMMC{num}</textarea></TD><TD></TD><TD></TD><TD><textarea class=\"show_mx_ans\" style=\"resize\:none\;\" readonly rows=\"1\" cols=\"$PMMMC{size1}\">$PMMMC{ans}</textarea></TD></TR>\n";
                }                             
        }

#################
#
# PRINT_MOBILE_TEXTAREA_P_CORRECT_ANS_BASIC
#
#################
sub print_mobile_textarea_p_correct_ans_basic {
        my %PMTAPCAB = @_;
  
        if($PMTAPCAB{screen_width} < 321) {
                print"<TR><TD width=\"1\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR><TR><TD width=\"1\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize:none\;\" readonly rows=\"8\" cols=\"25\" name=\"\" value=\"\">$PMTAPCAB{correct_answer}</textarea></TD></TR>\n";
                }
                
        elsif($PMTAPCAB{screen_width} < 481) {
                print"<TR><TD width=\"1\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR><TR><TD width=\"1\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize:none\;\" readonly rows=\"8\" cols=\"35\" name=\"\" value=\"\">$PMTAPCAB{correct_answer}</textarea></TD></TR>\n";
                }
                
        elsif($PMTAPCAB{screen_width} < 641) {
                print"<TR><TD width=\"10\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR><TR><TD width=\"10\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize:none\;\" readonly rows=\"8\" cols=\"50\" name=\"\" value=\"\">$PMTAPCAB{correct_answer}</textarea></TD></TR>\n";
                }
                
        else {
                print"<TR><TD width=\"50\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR><TR><TD width=\"50\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize:none\;\" readonly rows=\"8\" cols=\"60\" name=\"\" value=\"\">$PMTAPCAB{correct_answer}</textarea></TD></TR>\n"
                }                             
        }

#################
#
# PRINT_MOBILE_TEXTAREA_P_CORRECT_ANS_ADVANCED
#
#################
sub print_mobile_textarea_p_correct_ans_advanced {
        my %PMTAPQM = @_;
  
        if($PMTAPQM{screen_width} < 321) {
                print"<TR><TD width=\"1\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR><TR><TD width=\"1\"></TD><TD width=\"25\" valign=\"top\">$PMTAPQM{correct_answer}</TD></TR>\n";
                }
                
        elsif($PMTAPQM{screen_width} < 481) {
                print"<TR><TD width=\"1\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR><TR><TD width=\"1\"></TD><TD width=\"35\" valign=\"top\">$PMTAPQM{correct_answer}</TD></TR>\n";
                }
                
        elsif($PMTAPQM{screen_width} < 641) {
                print"<TR><TD width=\"10\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR><TR><TD width=\"10\"></TD><TD width=\"300\" valign=\"top\">$PMTAPQM{correct_answer}</TD></TR>\n";
                }
                
        else {
                print"<TR><TD width=\"25\"></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR><TR><TD width=\"25\"></TD><TD width=\"568\" valign=\"top\">$PMTAPQM{correct_answer}</TD></TR>\n";
                }                             
        }

#################
#
# PRINT_MOBILE_TEXTAREA_P_QUESTION_MARK
#
#################
sub print_mobile_textarea_p_question_mark {
        my %PMTAPQM = @_;
  
        if($PMTAPQM{screen_width} < 321) {
                print"<TR><TD width=\"1\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"5\" cols=\"25\">$PMTAPQM{question}</textarea></b></TD></TR>\n";
                }
                
        elsif($PMTAPQM{screen_width} < 481) {
                print"<TR><TD width=\"1\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"5\" cols=\"35\">$PMTAPQM{question}</textarea></b></TD></TR>\n";
                }
                
        elsif($PMTAPQM{screen_width} < 641) {
                print"<TR><TD width=\"1\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"5\" cols=\"50\">$PMTAPQM{question}</textarea></b></TD></TR>\n";
                }
                
        else {
                print"<TR><TD width=\"1\"></TD><TD valign=\"top\"><textarea class=\"show_panswer\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"5\" cols=\"60\">$PMTAPQM{question}</textarea></b></TD></TR>\n";
                }                             
        }

#################
#
# PRINT_MOBILE_TEXTAREA_P_QUESTION
#
#################
sub print_mobile_textarea_p_question {
        my %PMTA = @_;
       
        if($PMTA{screen_width} < 321) {
                print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"5\" cols=\"25\">$PMTA{question}</textarea></b>\n";
                }
                
        elsif($PMTA{screen_width} < 481) {
                print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"5\" cols=\"35\">$PMTA{question}</textarea></b>\n";
                }
                
        elsif($PMTA{screen_width} < 641) {
                print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"5\" cols=\"50\">$PMTA{question}</textarea></b>\n";
                }
                
        else {
                print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"5\" cols=\"60\">$PMTA{question}</textarea></b>\n";
                }                             
        }

#################
#
# PRINT_MOBILE_TEXTAREA_P_ANSWER
#
#################
sub print_mobile_textarea_p_answer {
        my %PMTA = @_;
        
        if($PMTA{screen_width} < 321) {
                print"<TABLE><TR><TD width=\"1\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"10\" style=\"resize\:none\;\" cols=\"25\" name=\"p$PMTA{quest}\" maxlength=\"700\" value=\"\"></textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$PMTA{quest}\" value=\"Save Answer\" onClick=\"activated_this\(\'$PMTA{index}\',\'$PMTA{quest}\',\'$PMTA{type}\',\'p$PMTA{quest}\'\)\"></TD></TR></TABLE>\n";
                }
                
        elsif($PMTA{screen_width} < 481) {
                print"<TABLE><TR><TD width=\"1\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"7\" style=\"resize\:none\;\" cols=\"35\" name=\"p$PMTA{quest}\" maxlength=\"700\" value=\"\"></textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$PMTA{quest}\" value=\"Save Answer\" onClick=\"activated_this\(\'$PMTA{index}\',\'$PMTA{quest}\',\'$PMTA{type}\',\'p$PMTA{quest}\'\)\"></TD></TR></TABLE>\n";
                }
                
        elsif($PMTA{screen_width} < 641) {
                print"<TABLE><TR><TD width=\"5\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" style=\"resize\:none\;\" cols=\"50\" name=\"p$PMTA{quest}\" maxlength=\"700\" value=\"\"></textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$PMTA{quest}\" value=\"Save Answer\" onClick=\"activated_this\(\'$PMTA{index}\',\'$PMTA{quest}\',\'$PMTA{type}\',\'p$PMTA{quest}\'\)\"></TD></TR></TABLE>\n";
                }
                
        else {
                print"<TABLE><TR><TD width=\"10\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" style=\"resize\:none\;\" cols=\"60\" name=\"p$PMTA{quest}\" maxlength=\"700\" value=\"\"></textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$PMTA{quest}\" value=\"Save Answer\" onClick=\"activated_this\(\'$PMTA{index}\',\'$PMTA{quest}\',\'$PMTA{type}\',\'p$PMTA{quest}\'\)\"></TD></TR></TABLE>\n";
                }                             
        }
                        
#################
#
# PRINT_MOBILE_TEXTAREA_SA_ANSWER_MARK
#
#################
sub print_mobile_textarea_sa_answer_mark {
        my %PMTA = @_;

        if($PMTA{screen_width} < 321) {
                print"<TR><TD width=\"1\" ></TD><TD><input type=\"text\" style=\"resize:none\;\" readonly size=\"25\" value=\"$PMTA{answer}\"></TD></TR>
                <TR><TD width=\"1\" ></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR>
                <TR><TD width=\"1\" ></TD><TD><input type=\"text\" style=\"border-color: Transparent\;\" style=\"resize:none\;\" readonly size=\"25\" value=\"$PMTA{correct_answer}\"></TD></TR>\n";
                }
                
        elsif($PMTA{screen_width} < 481) {
                print"<TR><TD width=\"1\" ></TD><TD><input type=\"text\" style=\"resize:none\;\" readonly size=\"355\" value=\"$PMTA{answer}\"></TD></TR><TR><TD width=\"1\" ></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR><TR><TD width=\"1\" ></TD><TD><input type=\"text\" style=\"border-color: Transparent\;\" style=\"resize:none\;\" readonly size=\"35\" value=\"$PMTA{correct_answer}\"></TD></TR>\n";
                }
                
        elsif($PMTA{screen_width} < 641) {
                print"<TR><TD width=\"1\" ></TD><TD><input type=\"text\" style=\"resize:none\;\" readonly size=\"50\" value=\"$PMTA{answer}\"></TD></TR><TR><TD width=\"1\" ></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR><TR><TD width=\"1\" ></TD><TD><input type=\"text\" style=\"border-color: Transparent\;\" style=\"resize:none\;\" readonly size=\"50\" value=\"$PMTA{correct_answer}\"></TD></TR>\n";
                }
                
        else {
                print"<TR><TD width=\"1\" ></TD><TD><input type=\"text\" style=\"resize:none\;\" readonly size=\"60\" value=\"$PMTA{answer}\"></TD></TR><TR><TD width=\"1\" ></TD><TD><font style=\"font-family:Arial\; font-size:10pt\;\" color=\"#585858\">Correct answer:</font></TD></TR><TR><TD width=\"1\" ></TD><TD><input type=\"text\" style=\"border-color: Transparent\;\" style=\"resize:none\;\" readonly size=\"60\" value=\"$PMTA{correct_answer}\"></TD></TR>\n";
                }                             
        }

#################
#
# PRINT_MOBILE_TEXTAREA_SA_ANSWER
#
#################
sub print_mobile_textarea_sa_answer {
        my %PMTA = @_;
        
        if($PMTA{screen_width} < 321) {
                print"<TABLE><TR><TD width=\"1\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"25\" style=\"resize\:none\;\" name=\"sa$PMTA{quest}\" maxlength=\"70\" value=\"\"></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$PMTA{index}\',\'$PMTA{quest}\',\'$PMTA{type}\',\'sa$PMTA{quest}\'\)\"></TD></TR></TABLE>\n";
                }
                
        elsif($PMTA{screen_width} < 481) {
                print"<TABLE><TR><TD width=\"1\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"35\" style=\"resize\:none\;\" name=\"sa$PMTA{quest}\" maxlength=\"70\" value=\"\"></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$PMTA{index}\',\'$PMTA{quest}\',\'$PMTA{type}\',\'sa$PMTA{quest}\'\)\"></TD></TR></TABLE>\n";
                }
                
        elsif($PMTA{screen_width} < 641) {
                print"<TABLE><TR><TD width=\"1\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize\:none\;\" name=\"sa$PMTA{quest}\" maxlength=\"70\" value=\"\"></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$PMTA{index}\',\'$PMTA{quest}\',\'$PMTA{type}\',\'sa$PMTA{quest}\'\)\"></TD></TR></TABLE>\n";
                }
                
        else {
                 print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize\:none\;\" name=\"sa$PMTA{quest}\" maxlength=\"70\" value=\"\"></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$PMTA{index}\',\'$PMTA{quest}\',\'$PMTA{type}\',\'sa$PMTA{quest}\'\)\"></TD></TR></TABLE>\n";
                }                             
        }

#################
#
# PRINT_MOBILE_TEXTAREA
#
#################
sub print_mobile_textarea {
        my %PMTA = @_;
        
        if($PMTA{screen_width} < 321) {
                if($PMTA{sub_length} > 27) {
                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$PMTA{answer}\" maxlength=\"75\" rows=\"3\" cols=\"27\" readonly>$PMTA{answer}</textarea>\n";
                        }
                else {
                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$PMTA{answer}\" maxlength=\"75\" rows=\"1\" cols=\"$PMTA{sub_length}\" readonly>$PMTA{answer}</textarea>\n";
                        }
                }
                
        elsif($PMTA{screen_width} < 481) {
                if($PMTA{sub_length} > 40) {
                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$PMTA{answer}\" maxlength=\"75\" rows=\"2\" cols=\"40\" readonly>$PMTA{answer}</textarea>\n";
                        }
                else {
                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$PMTA{answer}\" maxlength=\"75\" rows=\"1\" cols=\"$PMTA{sub_length}\" readonly>$PMTA{answer}</textarea>\n";
                        }
                }
                
        elsif($PMTA{screen_width} < 641) {
                if($PMTA{sub_length} > 50) {
                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$PMTA{answer}\" maxlength=\"75\" rows=\"2\" cols=\"50\" readonly>PMTA{answer}</textarea>\n";
                        }
                else {
                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$PMTA{answer}\" maxlength=\"75\" rows=\"1\" cols=\"$PMTA{sub_length}\" readonly>$PMTA{answer}</textarea>\n";
                        }
                }
                
        else {
                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$PMTA{answer}\" maxlength=\"75\" rows=\"1\" cols=\"$PMTA{sub_length}\" readonly>$PMTA{answer}</textarea>\n";
                }                             
            }

#################
#
# PREVIEW_QUEST
#
#################
sub preview_quest {
	my %PVQ = @_;
	$PVQ{image_number} =~ s/\D//g;
	$PVQ{kolum} =~ s/\D//g;
	$PVQ{mode} =~ s/\D//g;
	$PVQ{ans_mode} =~ s/\D//g;
	$PVQ{MCans} =~ s/\D//g;

	&print_style_sheet();
	
	my $question_rows = 1;
	my $question_length = length($PVQ{question});
        
	# fix display to show new lines in text of question
        my $content = $PVQ{question};
	$content =~ s/\r[\n]*/\n/gm;
        my @lines = split(/\n/,$content);
        my $rows = @lines;
        $rows = $question_rows + $rows;

    #### PRINT QUESTION
	print"$image1 $LANGUAGE{$set_language}{PreviewQuestion}</TD><TD width=\"100\"></TD><TD align=\"right\"><input type=\"button\" style=\"cursor\:pointer\;\"onClick=\"window.close\(\)\" value=\"$LANGUAGE{$set_language}{Close}\"></TD></table><P> \n";
	
	if($PVQ{mode} == 1) { # ADVANCED EDITOR
                if($PVQ{question} =~ /float\:/){
                        print"<FORM><TABLE><TR><TD>$PVQ{question}</TD></TR></TABLE><P>\n";
                        }
                elsif ($PVQ{question} =~ /vertical-align\:middle/){
                        print"<FORM><TABLE><TR><TD>$PVQ{question}</TD></TR></TABLE><P>\n";
                        }
                else {
                        $PVQ{question} =~ s/width\:/vertical-align\:middle\; width\:/g;
                        print"<FORM><TABLE><TR><TD>$PVQ{question}</TD></TR></TABLE><P>\n";
                        }
                }
                
        elsif($PVQ{mode} == 2) { # EQUATION EDITOR
                &print_eq();
                print"<FORM><TABLE><TR><TD>$PVQ{question}</TD></TR></TABLE><P>\n";
                }
                
        else { # BASIC EDITOR
                print"<FORM><TABLE><TD><textarea class=\"show_quest\" style=\"resize\:none\;\" wrap=\"hard\" readonly rows=\"$rows\" cols=\"56\">$PVQ{question} </textarea></TD></TABLE>\n";

                if(defined $PVQ{image_number}  && $PVQ{image_number} > 0) {
                        my @extension = split(/\./, $PVQ{insert_image_name});
                        my $image = "\/schools\/qst_files\/"."$PVQ{image_number}"."\."."$extension[1]";
                        print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                        }

		if(defined $PVQ{pptx_number} && $PVQ{pptx_number} > 0) {
                        my @extension = split(/\./, $PVQ{insert_pptx_name});
                        my $pdf = "\/schools\/qst_files\/"."$PVQ{pptx_number}"."\."."$extension[1]";
                        print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
                        }
                        
                if(defined $PVQ{vlink}  && $PVQ{vlink} ne"") {
                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls>
                        <source src=\"$PVQ{vlink}\" type=\"video/mp4\">
                        <source src=\"$PVQ{vlink}\" type=\"video/ogg\">
                        <source src=\"$PVQ{vlink}\" type=\"video/webm\">
                        $LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}
                        </video</td></table><P>\n";
                        }
		
                if(defined $PVQ{alink}  && $PVQ{alink} ne"") {
                        print"<table><td WIDTH=\"60\"></td><td><audio controls>
                        <source src=\"$PVQ{alink}\" type=\"audio/mpeg\">
                        <source src=\"$PVQ{alink}\" type=\"audio/ogg\">
                        <source src=\"$PVQ{alink}\" type=\"audio/wav\">
                        $LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}
                        </video</td></table><P>\n";
                        }
		}
		
		
    #### PRINT ANSWERS
    
        if($PVQ{ans_mode} == 2 && $PVQ{mode} != 2) {
                &print_eq();
                }
                
	if ($PVQ{select} eq"TF") { # True/False
		print"<TABLE>\n";
		if($PVQ{TFans} eq"T") {
            		print" <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\" class=\"larger\" checked> $LANGUAGE{$set_language}{True} &nbsp\;</TD><TD width=\"5\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\" class=\"larger\"> $LANGUAGE{$set_language}{False} </TD></TR>\n";
			}
		elsif ($PVQ{TFans} eq"F") {
			print" <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\" class=\"larger\">  $LANGUAGE{$set_language}{True} &nbsp\;</TD><TD width=\"5\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\" class=\"larger\" checked> $LANGUAGE{$set_language}{False} </TD></TR>\n";
			}
		else {
			print" <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" disabled name=\"\" value=\"\" class=\"larger\"> $LANGUAGE{$set_language}{True} &nbsp\;</TD><TD width=\"5\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" disabled name=\"\" value=\"\" class=\"larger\"> $LANGUAGE{$set_language}{False}</B> </TD></TR>\n";
			}
		print"</TABLE>\n";
		}

        elsif ($PVQ{select} eq"YN") { # Yes/No
		print"<TABLE>\n";
		if($PVQ{YNans} eq"Y") {
            		print" <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\" class=\"larger\" checked> $LANGUAGE{$set_language}{Yes} &nbsp\;</TD><TD width=\"5\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\" class=\"larger\"> $LANGUAGE{$set_language}{No} </TD></TR>\n";
			}
		elsif ($PVQ{YNans} eq"N") {
			print" <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\" class=\"larger\">  $LANGUAGE{$set_language}{Yes} &nbsp\;</TD><TD width=\"5\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\" class=\"larger\"checked> $LANGUAGE{$set_language}{No} </TD></TR>\n";
			}
		else {
			print" <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" disabled name=\"\" value=\"\" class=\"larger\"> $LANGUAGE{$set_language}{Yes} &nbsp\;</TD><TD width=\"5\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" disabled name=\"\" value=\"\" class=\"larger\"> $LANGUAGE{$set_language}{No} </TD></TR>\n";
			}
		print"</TABLE>\n";
		}
		
	elsif ($PVQ{select} eq"SA") { # Short Answer
                my $sa_size = length($PVQ{SAans});
                if($sa_size > 60) {
                        $sa_size = 50;
                        }
		print"<P>ANSWER:<BR><TABLE><TD width=\"30\"></TD><TD><input type=\"text\" style=\"resize:none\;\" maxlength=\"70\" name=\"\" value=\"$PVQ{SAans}\" size=\"$sa_size\" readonly></TD></TABLE>\n";
		}

	elsif ($PVQ{select} eq"P") { # Paragraph
                $PVQ{Pans} =~ s/&quot;/"/g;
                
                if($PVQ{ans_mode} == 1) {
                        print"<P>Answer:<BR><TABLE width=\"568\"><TD width=\"10\"></TD><TD>$PVQ{Pans}</TD></TABLE>\n";
                        }
                else {
                        print"<P>ANSWER:<BR><TABLE><TD width=\"30\"></TD><TD><textarea style=\"resize:none\; border-color: Transparent\; font-family:Arial\;\" name=\"\" value=\"\" rows=\"12\" cols=\"60\" readonly>$PVQ{Pans}</textarea></TD></TABLE>\n";
                        }
		}

	elsif ($PVQ{select} eq"MC") { # Multiple Choice 
                my $num_of_answers;
                my @answers;
                my $no_image = 0;
                
                for (my $i = 1; $i <= $mc_num; $i++){ # get the number of answers
                        my $select = "select$i";
                        my $image = "image$i";
                        if(defined $PVQ{$select} || $PVQ{$image} > 0)   {
                                ++$num_of_answers;
                                if($PVQ{$select} ne"") {
                                        push(@answers,$select);
                                        }
                                elsif ($PVQ{$image} > 0)   {
                                	$no_image = $PVQ{$image};
                                        push(@answers,$image);
                                        }
                                }
                        }
                                
                if($PVQ{kolum} > 1 && $num_of_answers > $PVQ{kolum}) { # more than 1 column of answers
                        # print out columns
                        if($PVQ{kolum} == 2) { # 2 columns
                                print"<TABLE>";
                                my $index = 0;
                                while(@answers) {
                                        ++$index;
                                        my $answer = shift(@answers);
                                        my $select;
                                        my $image;
                                        my $image_name;
                                        if($answer =~ /^select/) {
                                                my $num = $answer;
                                                $num =~ s/select//;
                                                $select = $answer;
                                                $image = "image"."$num";
                                                $image_name = "$image"."name";
                                                }
                                                        
                                        elsif ($answer =~ /^image/) {
                                                $image = $answer;
                                                $image_name = "$image"."name";
                                                }
 
                                        print"<TR>";
                                        
                                        &print_out_2columns("no_image","$no_image","ans_mode","$PVQ{ans_mode}","select","$PVQ{$select}","image","$PVQ{$image}","image_name","$PVQ{$image_name}","correct_ans","$PVQ{MCans}","this_ans","$index");
                                                
                                        ++$index;
                                        my $answer1 = shift(@answers);
                                        my $select1;
                                        my $image1;
                                        my $image_name1;
                                                
                                        if($answer1 =~ /^select/) {
                                                my $num = $answer1;
                                                $num =~ s/select//;
                                                $select1 = $answer1;
                                                $image1 = "image"."$num";
                                                $image_name1 = "$image1"."name";
                                                }
                                                        
                                        elsif ($answer1 =~ /^image/) {
                                                $image1 = $answer1;
                                                $image_name1 = "$image1"."name";
                                                }

                                        &print_out_2columns("no_image","$no_image","ans_mode","$PVQ{ans_mode}","select","$PVQ{$select1}","image","$PVQ{$image1}","image_name","$PVQ{$image_name1}","correct_ans","$PVQ{MCans}","this_ans","$index");
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                                        
                        elsif($PVQ{kolum} == 3) { # 3 columns
                                print"<TABLE>";
                                 my $index = 0;
                                 
                                while(@answers) {
                                        ++$index;
                                        my $answer = shift(@answers);
                                        my $select;
                                        my $image;
                                        my $image_name;
                                        
                                        if($answer =~ /^select/) {
                                                my $num = $answer;
                                                $num =~ s/select//;
                                                $select = $answer;
                                                $image = "image"."$num";
                                                $image_name = "$image"."name";
                                                }
                                                        
                                        elsif ($answer =~ /^image/) {
                                                $image = $answer;
                                                $image_name = "$image"."name";
                                                }
 
                                        print"<TR>";
                                                
                                        &print_out_3columns("no_image","$no_image","ans_mode","$PVQ{ans_mode}","select","$PVQ{$select}","image","$PVQ{$image}","image_name","$PVQ{$image_name}","correct_ans","$PVQ{MCans}","this_ans","$index");
                                                
                                        ++$index;
                                        my $answer1 = shift(@answers);
                                        my $select1;
                                        my $image1;
                                        my $image_name1;
                                                
                                        if($answer1 =~ /^select/) {
                                                my $num = $answer1;
                                                $num =~ s/select//;
                                                $select1 = $answer1;
                                                $image1 = "image"."$num";
                                                $image_name1 = "$image1"."name";
                                                }
                                                        
                                        elsif ($answer1 =~ /^image/) {
                                                $image1 = $answer1;
                                                $image_name1 = "$image1"."name";
                                                }
                                                
                                        &print_out_3columns("no_image","$no_image","ans_mode","$PVQ{ans_mode}","select","$PVQ{$select1}","image","$PVQ{$image1}","image_name","$PVQ{$image_name1}","correct_ans","$PVQ{MCans}","this_ans","$index");
                                                
                                        ++$index;
                                        my $answer2 = shift(@answers);
                                        my $select2;
                                        my $image2;
                                        my $image_name2;
                                                
                                        if($answer2 =~ /^select/) {
                                                my $num = $answer2;
                                                $num =~ s/select//;
                                                $select2 = $answer2;
                                                $image2 = "image"."$num";
                                                $image_name2 = "$image2"."name";
                                                }
                                                        
                                        elsif ($answer2 =~ /^image/) {
                                                $image2 = $answer2;
                                                $image_name2 = "$image2"."name";
                                                }
                                                
                                        &print_out_3columns("no_image","$no_image","ans_mode","$PVQ{ans_mode}","select","$PVQ{$select2}","image","$PVQ{$image2}","image_name","$PVQ{$image_name2}","correct_ans","$PVQ{MCans}","this_ans","$index");
                                                
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                        }
                        
                else { # only one column of answers in MC
                        for (my $i = 1; $i <= $mc_num; $i++){ 
                                my $select = "select$i";
                                my $image = "image$i";
                                my $image_name = "$image"."name";
                                
                                if (defined $PVQ{$select}) { # text in answer
                                        if($PVQ{MCans} == $i) {
                                                print"<TABLE> <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" class=\"medium\" checked></TD>\n";
                                                }
                                        else {
                                                print"<TABLE> <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" class=\"medium\" disabled></TD>\n";
                                                }
                                                
                                        if( length($PVQ{$select}) > 75 && $PVQ{ans_mode} == 0) {
                                                my $sub_length = length($PVQ{$select});
                                                print" $LANGUAGE{$set_language}{Toomanycharacters75 allowed} $LANGUAGE{$set_language}{Submitted} $sub_length .</TD></TR></TABLE>\n";
                                                }
                                        else {
                                                if($PVQ{ans_mode} == 1 || $PVQ{ans_mode} == 2) {
                                                        print"<TD>$PVQ{$select}</TD></TR></TABLE><BR>";
                                                        }
                                                else {
                                                        print"<TD style=\"vertical-align:middle\"><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$PVQ{$select}\" maxlength=\"75\" rows=\"1\" cols=\"64\" readonly>$PVQ{$select}</textarea>\n";
                                                
                                                        if(defined $PVQ{$image} && $PVQ{$image} > 0) { # image in answer
                                                                my @extension = split(/\./, $PVQ{$image_name});
                                                                my $image = "\/schools\/qst_files\/"."$PVQ{$image}"."\."."$extension[1]";
                                                                print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                                }
                                                        else {
                                                                print"</TD></TR></TABLE>\n";
                                                                }
                                                        }
                                                }
                                        }
                                else { # no text in answer
                                        if(defined $PVQ{$image} && $PVQ{$image} > 0 && $PVQ{ans_mode} == 0) {
                                                if($PVQ{MCans} == $i) {
                                                        print"<TABLE> <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" class=\"medium\" checked></TD>\n";
                                                        }
                                                else {
                                                        print"<TABLE> <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" class=\"medium\" disabled></TD>\n";
                                                        }
                                                
                                                my @extension = split(/\./, $PVQ{$image_name});
                                                my $image = "\/schools\/qst_files\/"."$PVQ{$image}"."\."."$extension[1]";
                                                print"<TD><img src=\"$image\">\n";
                                                print"</TD></TR></TABLE>\n";
                                                }
					}
				}
				
			}
		}

	elsif ($PVQ{select} eq"MA") {
                my $num_of_answers;
                my @answers;
                my $no_image = 0;
                
                for (my $i = 1; $i <= $ma_num; $i++){ # get the number of answers
                        my $select = "select$i";
                        my $image = "image$i";

                        if(defined $PVQ{$select} || $PVQ{$image} > 0)   {
                                ++$num_of_answers;
                                if($PVQ{$select} ne"") {
                                        push(@answers,$select);
                                        }
                                elsif ($PVQ{$image} > 0)   {
                                	$no_image = $PVQ{$image};
                                        push(@answers,$image);
                                        }
                                }
                        }

                if($PVQ{kolum} > 1 && $num_of_answers > $PVQ{kolum}) { # more than 1 column of answers
                        
                        # print out columns
                        if($PVQ{kolum} == 2) { # 2 columns
                                print"<TABLE>";

                                while(@answers) {
                                        my $answer = shift(@answers);
                                        my $select;
                                        my $image;
                                        my $image_name;
                                        my $this_ans;
                                        my $ans_num;
                                        
                                        if($answer =~ /^select/) {
                                                my $num = $answer;
                                                $num =~ s/select//;
                                                $select = $answer;
                                                $image = "image"."$num";
                                                $image_name = "$image"."name";
                                                $this_ans = "select"."$num"."mam";
                                                $ans_num = $num;
                                                }
                                                        
                                        elsif ($answer =~ /^image/) {
                                                $image = $answer;
                                                $image_name = "$image"."name";
                                                }
 
                                        print"<TR>";

                                        &print_out_2columns("no_image","$no_image","ans_mode","$PVQ{ans_mode}","select","$PVQ{$select}","image","$PVQ{$image}","image_name","$PVQ{$image_name}","type","MA","correct_ans","$ans_num","this_ans","$PVQ{$this_ans}");
                                                
                                        my $answer1 = shift(@answers);
                                        my $select1;
                                        my $image1;
                                        my $image_name1;
                                        $ans_num = 0;
                                        
                                        if($answer1 =~ /^select/) {
                                                my $num = $answer1;
                                                $num =~ s/select//;
                                                $select1 = $answer1;
                                                $image1 = "image"."$num";
                                                $image_name1 = "$image1"."name";
                                                $this_ans = "select"."$num"."mam";
                                                $ans_num = $num;
                                                }
                                                        
                                        elsif ($answer1 =~ /^image/) {
                                                $image1 = $answer1;
                                                $image_name1 = "$image1"."name";
                                                }

                                        &print_out_2columns("no_image","$no_image","ans_mode","$PVQ{ans_mode}","select","$PVQ{$select1}","image","$PVQ{$image1}","image_name","$PVQ{$image_name1}","type","MA","correct_ans","$ans_num","this_ans","$PVQ{$this_ans}");
                                        
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                                        
                        elsif($PVQ{kolum} == 3) { # 3 columns
                                print"<TABLE>";

                                while(@answers) {
                                        my $answer = shift(@answers);
                                        my $select;
                                        my $image;
                                        my $image_name;
                                        my $ans_num;
                                        my $this_ans;
                                        
                                        if($answer =~ /^select/) {
                                                my $num = $answer;
                                                $num =~ s/select//;
                                                $select = $answer;
                                                $image = "image"."$num";
                                                $image_name = "$image"."name";
                                                $this_ans = "select"."$num"."mam";
                                                $ans_num = $num;
                                                }
                                                        
                                        elsif ($answer =~ /^image/) {
                                                $image = $answer;
                                                $image_name = "$image"."name";
                                                }
 
                                        print"<TR>";

                                        &print_out_3columns("no_image","$no_image","ans_mode","$PVQ{ans_mode}","select","$PVQ{$select}","image","$PVQ{$image}","image_name","$PVQ{$image_name}","type","MA","correct_ans","$ans_num","this_ans","$PVQ{$this_ans}");
                                                
                                        my $answer1 = shift(@answers);
                                        my $select1;
                                        my $image1;
                                        my $image_name1;
                                        $ans_num = 0;
                                        
                                        if($answer1 =~ /^select/) {
                                                my $num = $answer1;
                                                $num =~ s/select//;
                                                $select1 = $answer1;
                                                $image1 = "image"."$num";
                                                $image_name1 = "$image1"."name";
                                                $this_ans = "select"."$num"."mam";
                                                $ans_num = $num;
                                                }
                                                        
                                        elsif ($answer1 =~ /^image/) {
                                                $image1 = $answer1;
                                                $image_name1 = "$image1"."name";
                                                }
                                                
                                        &print_out_3columns("no_image","$no_image","ans_mode","$PVQ{ans_mode}","select","$PVQ{$select1}","image","$PVQ{$image1}","image_name","$PVQ{$image_name1}","type","MA","correct_ans","$ans_num","this_ans","$PVQ{$this_ans}");
                                                
                                        my $answer2 = shift(@answers);
                                        my $select2;
                                        my $image2;
                                        my $image_name2;
                                        $ans_num = 0;
                                        
                                        if($answer2 =~ /^select/) {
                                                my $num = $answer2;
                                                $num =~ s/select//;
                                                $select2 = $answer2;
                                                $image2 = "image"."$num";
                                                $image_name2 = "$image2"."name";
                                                $this_ans = "select"."$num"."mam";
                                                $ans_num = $num;
                                                }
                                                        
                                        elsif ($answer2 =~ /^image/) {
                                                $image2 = $answer2;
                                                $image_name2 = "$image2"."name";
                                                }
                                                
                                        &print_out_3columns("no_image","$no_image","ans_mode","$PVQ{ans_mode}","select","$PVQ{$select2}","image","$PVQ{$image2}","image_name","$PVQ{$image_name2}","type","MA","correct_ans","$ans_num","this_ans","$PVQ{$this_ans}");
                                                
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                        }
                        
                else { # only one column of answers in MA
                        &print_checkbox_css();
                        
                        for (my $i = 1; $i <= $ma_num; $i++){ 
                                my $select = "select$i";
                                my $cor_ans;
                                
                                if($PVQ{ans_mode} == 2) {
                                        $cor_ans = "select"."$i"."maeq";
                                        }
                                else{
                                        $cor_ans = "select"."$i"."mam";
                                        }
                                my $image = "image$i";
                                my $image_name = "$image"."name";

                                if (defined $PVQ{$select}) {
                                        if($PVQ{$cor_ans} == $i) {
                                                print"<TABLE> <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"checkbox\" class=\"medium\" checked></TD>\n";
                                                }
                                        else {
                                                print"<TABLE> <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"checkbox\" class=\"medium\" disabled></TD>\n";
                                                }
                                                                                                
                                        if( length($PVQ{$select}) > 75 && $PVQ{ans_mode} == 0) {
                                        
                                                my $sub_length = length($PVQ{$select});
                                                print" $LANGUAGE{$set_language}{Toomanycharacters75 allowed} $LANGUAGE{$set_language}{Submitted} $sub_length .</TD></TR></TABLE>\n";
                                                }
                                        else {
                                                if($PVQ{ans_mode} == 1 || $PVQ{ans_mode} == 2) {
                                                        print"<TD>$PVQ{$select}</TD></TR></TABLE><BR>";
                                                        }
                                                else {
                                                        print"<TD style=\"vertical-align:middle\"><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$PVQ{$select}\" maxlength=\"75\" rows=\"1\" cols=\"64\" readonly>$PVQ{$select}</textarea>\n";
                                                
                                                        if(defined $PVQ{$image} && $PVQ{$image} > 0) { # image in answer
                                                                my @extension = split(/\./, $PVQ{$image_name});
                                                                my $image = "\/schools\/qst_files\/"."$PVQ{$image}"."\."."$extension[1]";
                                                                print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                                }
                                                        else {
                                                                print"</TD></TR></TABLE>\n";
                                                                }
                                                        }
                                                }
                                        }
                                else {
                                        if(defined $PVQ{$image} && $PVQ{$image} > 0 && $PVQ{ans_mode} == 0) {
                                                print"<TABLE> <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"checkbox\" class=\"medium\" disabled></TD>\n";
                                                my @extension = split(/\./, $PVQ{$image_name});
                                                my $image = "\/schools\/qst_files\/"."$PVQ{$image}"."\."."$extension[1]";
                                                print"<TD style=\"vertical-align:middle\"><img src=\"$image\">\n";
                                                print"</TD></TR></TABLE>\n";
                                                }
                                        }
                                }
                        }
		}


        elsif ($PVQ{select} eq"MX") {
                my @mx_string;
                for (my $i = 1; $i <= $mx_num; $i++){ 
                        my $select = "select$i";
			my $selectm = "select$i"."mx";
                        if (defined $PVQ{$selectm} && defined $PVQ{$select}) {
                                push(@mx_string,$i);
                                push(@mx_string,$PVQ{$selectm});
                                }
                        elsif(defined $PVQ{$selectm}) {
                                push(@mx_string,$i);
                                push(@mx_string,$PVQ{$selectm});
                                }
                        else { # no matching text
                                delete($PVQ{$select});
                                }
			}
                print"<TABLE>";
                
		for (my $i = 1; $i <= $mx_num; $i++){ 
			my $select = "select$i";
			if (defined $PVQ{$select}) {
                                print"<TR><TD width=\"30\"></TD>\n";
                                my $col_length = length($PVQ{$select});
                                if($col_length > 30) {
                                        $col_length = 26
                                        }
                                        
				if( length($PVQ{$select}) > 30) {
					my $sub_length = length($PVQ{$select});
					print" Too many characters, 30 allowed. $LANGUAGE{$set_language}{Submitted} $sub_length .</TD></TR></TABLE>\n";
					}
				else {
                                        if(defined $PVQ{$select}) {
                                                print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\;\" name=\"\" value=\"$PVQ{$select}\" maxlength=\"30\" rows=\"1\" cols=\"$col_length\" readonly>$PVQ{$select}</textarea></TD><TD>\n";
                                                print"<select name=\"mx_select$i\">\n";
                                                &print_mx_select(@mx_string);
                                                print"</select>";
                                                print"</TD></TR>\n";
						}
					}
				}
			}
                print"<TABLE>";
		}
		
	elsif ($PVQ{select} eq"AD") {
		print"<TABLE>
		 <TR><TD width=\"20\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\"></TD><TD width=\"5\"></TD><TD style=\"vertical-align:middle\"> $standard[0] </TD></TR>
		 <TR><TD width=\"20\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\"></TD><TD width=\"5\"></TD><TD style=\"vertical-align:middle\"> $standard[1] </TD></TR>
		 <TR><TD width=\"20\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\"></TD><TD width=\"5\"></TD><TD style=\"vertical-align:middle\"> $standard[2] </TD></TR>
		 <TR><TD width=\"20\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\"></TD><TD width=\"5\"></TD><TD style=\"vertical-align:middle\"> $standard[3] </TD></TR>
		 <TR><TD width=\"20\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" name=\"\" value=\"\"></TD><TD width=\"5\"></TD><TD style=\"vertical-align:middle\"> $standard[4] </TD></TR>
		</TABLE>\n";
		}
	print"</FORM>\n";
	}
    
##########################
#
# PRINT_OUT_2COLUMNS_ACTIVE
#
#########################
sub print_out_2columns_active {
        my %POC = @_;
        my $sub_length = length($POC{select});
 
        if (defined $POC{select} && $sub_length > 0) { # text in answer
                if($POC{type} eq "MA") { # MA
                        print"<TD width=\"50\"></TD><TD style=\"vertical-align:";
                        if($POC{ans_mode} == 0 && $POC{no_image} == 0) {
				print"top\">";
			        }
			else {
			        print"middle\">";
				}
                        print"<label for=\"checka$POC{quest_no}$POC{i}\"><input type =\"checkbox\" class=\"medium\" name =\"ma$POC{quest_no}-$POC{order}\" value=\"$POC{order}\" ";
                        
                        if($POC{their_answer} == $POC{order}) {
                                print"checked ";
                                }
                        
                        print"onClick=\"activated_this\(\'$POC{index}\',\'$POC{quest_no}\',\'$POC{type}\',\'$POC{order}\'";
                        
                        if($POC{branch} == 1) { # branching question
                                print",\'b\'";
                                }
                        
                        else {
                                print",\'1\'";
                                }
                                
                        print"\)\" id=\"checka$POC{quest_no}$POC{i}\"></TD><TD valign=\"middle\">";
                        }
                else { # MC
                        print"<TD width=\"50\"></TD><TD style=\"vertical-align:";
                        
                        if($POC{ans_mode} == 0 && $POC{no_image} == 0) {
				print"top\">";
				}
			else {
				print"middle\">";
				}
				
                        print"<label for=\"radioa$POC{quest_no}$POC{i}\"><input type=\"radio\" class=\"medium\" name =\"m$POC{quest_no}\" value=\"$POC{order}\" ";
                        
                        if($POC{their_answer} == $POC{order}) {
                                print"checked ";
                                }
                        
                        print"onClick=\"activated_this\(\'$POC{index}\',\'$POC{quest_no}\',\'$POC{type}\',\'$POC{order}\'";
                        
                        if($POC{branch} == 1) {
                                print",\'b\'";
                                }
                        
                        print"\)\" id=\"radioa$POC{quest_no}$POC{i}\"></TD><TD valign=\"middle\">";
 
                        }
                        
                if($sub_length < 10) {
                        $sub_length = 10;
                        }
                else {
                        $sub_length = $sub_length * .7;
                        if($sub_length =~ /\./) {
				my @num = split(/\./,$sub_length);
			        $sub_length = $num[0] + 1;
                                }
                        }
                
                if($POC{ans_mode} == 1 || $POC{ans_mode} == 2) {
                        print"<TD>$POC{select}</TD>\n";
                        }
                        
                else {
                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$POC{select}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$POC{select}</textarea>\n";
                                                
                        if(defined $POC{image} && $POC{image} > 0) { # image in answer
                                my @extension = split(/\./, $POC{image_name});
                                my $image = "\/schools\/qst_files\/"."$POC{image}"."\."."$extension[1]";
                                print"<BR><img src=\"$image\"></td>\n";
                                }
                        else {
                                print"</TD>\n";
                                }
                        }
                }
                
        else { # no text in answer
                if(defined $POC{image} && $POC{image} > 0) {
                        if($POC{type} eq "MA") {
                                print"<TD width=\"50\"></TD><TD style=\"vertical-align:middle\"><label for=\"checka$POC{quest_no}$POC{i}\"><input type =\"checkbox\" class=\"medium\" name =\"ma$POC{quest_no}-$POC{order}\" value=\"$POC{order}\" ";
                            
                                if($POC{their_answer} == $POC{order}) {
                                        print"checked ";
                                        }
                                
                                print"onClick=\"activated_this\(\'$POC{index}\',\'$POC{quest_no}\',\'$POC{type}\',\'$POC{order}\'";
                        
                                if($POC{branch} == 1) { # branching question
                                        print",\'b\'";
                                        }
                        
                                else {
                                        print",\'1\'";
                                        }
                                
                                print"\)\" id=\"checka$POC{quest_no}$POC{i}\"></TD><TD valign=\"middle\">";
                                }
                                
                        else { # Multiple Choice
                                print"<TD width=\"50\"></TD><TD style=\"vertical-align:middle\"><label for=\"radioa$POC{quest_no}$POC{i}\"><input type=\"radio\" class=\"medium\" name =\"m$POC{quest_no}\" value=\"$POC{order}\" ";
                                
                                if($POC{their_answer} == $POC{order}) {
                                        print"checked ";
                                        }
                                
                                print"onClick=\"activated_this\(\'$POC{index}\',\'$POC{quest_no}\',\'$POC{type}\',\'$POC{order}\'";
                        
                                if($POC{branch} == 1) {
                                        print",\'b\'";
                                        }
                        
                                print"\)\" id=\"radioa$POC{quest_no}$POC{i}\"></TD><TD valign=\"middle\">";
                                }
                                
                        my @extension = split(/\./, $POC{image_name});
                        my $image = "\/schools\/qst_files\/"."$POC{image}"."\."."$extension[1]";
                        print"<TD><img src=\"$image\"></TD>\n";
                        }
                }
        }
        
##########################
#
# PRINT_OUT_2COLUMNS
#
#########################
sub print_out_2columns {
        my %PVQ = @_;
        my $sub_length = length($PVQ{select});
        $PVQ{correct_ans} =~ s/\D//g;

        if (defined $PVQ{select} && $sub_length > 0) { # text in answer
                print"<TD width=\"40\"></TD><TD style=\"vertical-align:";
                
                if($PVQ{ans_mode} == 0 && $PVQ{no_image} == 0) {
                	print"top\"><input ";
                	}
                else {
               		 print"middle\"><input ";
			}
			
                if($PVQ{type} eq "MA") {
                        if($PVQ{correct_ans} == $PVQ{this_ans} && $PVQ{this_ans} > 0 ) {
                                print"type=\"checkbox\" class=\"medium\" checked></TD>\n";
                                }
                        else {
                                print"type=\"checkbox\" class=\"medium\" disabled></TD>\n";
                                }
                        }
                else {
                        if($PVQ{correct_ans} == $PVQ{this_ans} && $PVQ{this_ans} > 0) {
                                print"type=\"radio\" class=\"medium\" checked></TD>\n";
                                }
                        else {
                                print"type=\"radio\" class=\"medium\" disabled></TD>\n";
                                }
                        }
                        
                
                if( length($PVQ{select}) > 75 && $PVQ{ans_mode} == 0) {
                        my $sub_length = length($PVQ{select});
                        print" $LANGUAGE{$set_language}{Toomanycharacters75 allowed} $LANGUAGE{$set_language}{Submitted} $sub_length .</TD>\n";
                        }
                else {
                        if($sub_length < 10) {
                                $sub_length = 10;
                                }
                        else {
                                $sub_length = $sub_length * .7;
                                if($sub_length =~ /\./) {
                                	my @num = split(/\./,$sub_length);
                                	$sub_length = $num[0] + 1;
                                	}
                                }
                        
                        if($PVQ{ans_mode} == 1 || $PVQ{ans_mode} == 2) {
                                print"<TD style=\"vertical-align:middle\">$PVQ{select}</TD>\n";
                                }
                        else {
                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$PVQ{select}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$PVQ{select}</textarea>\n";
                                                
                                if(defined $PVQ{image} && $PVQ{image} > 0) { # image in answer
                                        my @extension = split(/\./, $PVQ{image_name});
                                        my $image = "\/schools\/qst_files\/"."$PVQ{image}"."\."."$extension[1]";
                                        print"<BR><img src=\"$image\"></td>\n";
                                        }
                                else {
                                        print"</TD>\n";
                                        }
                                }
                        }
                }
                
        else { # no text in answer
                if(defined $PVQ{image} && $PVQ{image} > 0) {
                        print"<TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><input ";
                        
                        if($PVQ{type} eq "MA") {
				if($PVQ{correct_ans} == $PVQ{this_ans} && $PVQ{this_ans} > 0 ) {
			        	print"type=\"checkbox\" class=\"medium\" checked></TD>\n";
			                }
			        else {
			                 print"type=\"checkbox\" class=\"medium\" disabled></TD>\n";
			                 }
			        }
			  else {
			         if($PVQ{correct_ans} == $PVQ{this_ans} && $PVQ{this_ans} > 0) {
			                  print"type=\"radio\" class=\"medium\" checked></TD>\n";
			                  }
			         else {
			                  print"type=\"radio\" class=\"medium\" disabled></TD>\n";
			                  }
                       		 }
                        
                        my @extension = split(/\./, $PVQ{image_name});
                        my $image = "\/schools\/qst_files\/"."$PVQ{image}"."\."."$extension[1]";
                        print"<TD style=\"vertical-align:middle\"><img src=\"$image\"></TD>\n";
                        }
                }
        }

##########################
#
# PRINT_OUT_3COLUMNS
#
#########################
sub print_out_3columns {
        my %PVQ = @_;
        my $sub_length = length($PVQ{select});

        if (defined $PVQ{select} && $sub_length > 0) { # text in answer
                print"<TD width=\"40\"></TD><TD style=\"vertical-align:";
                
                if($PVQ{ans_mode} == 0 && $PVQ{no_image} == 0) {
			print"top\"><input ";
		        }
		else {
			print"middle\"><input ";
			}
			
                if($PVQ{type} eq "MA") {
                        if($PVQ{correct_ans} == $PVQ{this_ans} && $PVQ{this_ans} > 0) {
                                print"type=\"checkbox\" class=\"medium\" checked></TD>\n";
                                }
                        else {
                                print"type=\"checkbox\" class=\"medium\" disabled></TD>\n";
                                }
                        }
                else {
                        if($PVQ{correct_ans} == $PVQ{this_ans} && $PVQ{this_ans} > 0) {
                                print"type=\"radio\" class=\"medium\" checked></TD>\n";
                                }
                        else {
                                print"type=\"radio\" class=\"medium\" disabled></TD>\n";
                                }
                        }
                       
                if($PVQ{ans_mode} == 0) {
                        if( length($PVQ{select}) > 75) {
                                my $sub_length = length($PVQ{select});
                                print" $LANGUAGE{$set_language}{Toomanycharacters75 allowed} $LANGUAGE{$set_language}{Submitted} $sub_length .</TD>\n";
                                }
                        else {
                                if($sub_length < 10) {
                                        $sub_length = 10;
                                        }
                                else {
                                        $sub_length = $sub_length * .7;
                                        if($sub_length =~ /\./) {
					        my @num = split(/\./,$sub_length);
					        $sub_length = $num[0] + 1;
                                		}
                                        }
                        
                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$PVQ{select}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$PVQ{select}</textarea>\n";
                                                
                                if(defined $PVQ{image} && $PVQ{image} > 0) { # image in answer
                                        my @extension = split(/\./, $PVQ{image_name});
                                        my $image = "\/schools\/qst_files\/"."$PVQ{image}"."\."."$extension[1]";
                                        print"<BR><img src=\"$image\"></td>\n";
                                        }
                                else {
                                        print"</TD>\n";
                                        }
                                }
                        }
                        
                else {
                        print"<TD style=\"vertical-align:middle\">$PVQ{select}</TD>\n"
                        }
                }
                
        else { # no text in answer
                if(defined $PVQ{image} && $PVQ{image} > 0) {
                        print"<TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><input \n";
                        
                        if($PVQ{type} eq "MA") {
				if($PVQ{correct_ans} == $PVQ{this_ans} && $PVQ{this_ans} > 0) {
			        	print"type=\"checkbox\" class=\"medium\" checked></TD>\n";
			                }
			        else {
			                print"type=\"checkbox\" class=\"medium\" disabled></TD>\n";
			                }
			        }
			 else {
			        if($PVQ{correct_ans} == $PVQ{this_ans} && $PVQ{this_ans} > 0) {
			                print"type=\"radio\" class=\"medium\" checked></TD>\n";
			                }
			        else {
			                print"type=\"radio\" class=\"medium\" disabled></TD>\n";
			                }
                        	}
                        
                        my @extension = split(/\./, $PVQ{image_name});
                        my $image = "\/schools\/qst_files\/"."$PVQ{image}"."\."."$extension[1]";
                        print"<TD style=\"vertical-align:middle\"><img src=\"$image\"></TD>\n";
                        }
                }
        }

##########################
#
# PRINT_OUT_3COLUMNS_ACTIVE
#
#########################
sub print_out_3columns_active {
        my %POC3 = @_;
        $POC3{order} =~ s/\D//g;
        $POC3{their_answer} =~ s/\D//g;
        my $sub_length = length($POC3{select});

        if (defined $POC3{select} && $sub_length > 0) { # text in answer
                if($POC3{type} eq "MA") {
                        print"<TD width=\"50\"></TD><TD style=\"vertical-align:";
                        
                        if($POC3{ans_mode} == 0 && $POC3{no_image} == 0) {
				print"top\">";
				}
			else {
				print"middle\">";
				}
                        
                        print"<label for=\"checka$POC3{quest_no}$POC3{i}\"><input type =\"checkbox\" class=\"medium\" name =\"ma$POC3{quest_no}-$POC3{order}\" value=\"$POC3{order}\" ";
                        
                        if($POC3{their_answer} == "$POC3{order}") {
                        	print"checked ";
                        	}
                        	
                        print"onClick=\"activated_this\(\'$POC3{index}\',\'$POC3{quest_no}\',\'$POC3{type}\',\'$POC3{order}\'";
                        
                        if($POC3{branch} == 1) { # branching question
                                print",\'b\'";
                                }
                        
                        else {
                                print",\'1\'";
                                }
                                
                        print"\)\" id=\"checka$POC3{quest_no}$POC3{i}\"></TD><TD valign=\"middle\">";
                        }
                        
                else { # MC
                        print"<TD width=\"50\"></TD><TD style=\"vertical-align:middle\"><label for=\"radioa$POC3{quest_no}$POC3{i}\"><input type=\"radio\" class=\"medium\" name =\"m$POC3{quest_no}\" value=\"$POC3{order}\" ";

                        if($POC3{their_answer} == $POC3{order}) {
                                print"checked ";
                                }
                        
                        print"onClick=\"activated_this\(\'$POC3{index}\',\'$POC3{quest_no}\',\'$POC3{type}\',\'$POC3{order}\'";
                        
                        if($POC3{branch} == 1) {
                                print",\'b\'";
                                }
                        
                        print"\)\" id=\"radioa$POC3{quest_no}$POC3{i}\"></TD><TD valign=\"middle\">";
 
                        }
                
                if($sub_length < 10) {
                        $sub_length = 10;
                        }
                else {
                        $sub_length = $sub_length * .7;
                        if($sub_length =~ /\./) {
			      my @num = split(/\./,$sub_length);
			      $sub_length = $num[0] + 1;
                              }
                        }
                        
                if($POC3{ans_mode} == 1 || $POC3{ans_mode} == 2) {
                        print"<TD>$POC3{select}</TD>\n";
                        }
                                
                else{
                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$POC3{select}\" maxlength=\"75\" rows=\"1\" cols=\"$sub_length\" readonly>$POC3{select}</textarea>\n";
                                                
                        if(defined $POC3{image} && $POC3{image} > 0) { # image in answer
                                my @extension = split(/\./, $POC3{image_name});
                                my $image = "\/schools\/qst_files\/"."$POC3{image}"."\."."$extension[1]";
                                print"<BR><img src=\"$image\"></td>\n";
                                }
                        else {
                                print"</TD>\n";
                                }
                        }
                }
                
        else { # no text in answer
                if(defined $POC3{image} && $POC3{image} > 0) {
                        if($POC3{type} eq "MA") {
                                print"<TD width=\"50\"></TD><TD style=\"vertical-align:middle\"><label for=\"checka$POC3{quest_no}$POC3{i}\"><input type =\"checkbox\" class=\"medium\" name =\"ma$POC3{quest_no}-$POC3{order}\" value=\"$POC3{order}\" ";
                        	
                        	if($POC3{their_answer} == $POC3{order}) {
			                print"checked ";
                                        }
                                
                                print"onClick=\"activated_this\(\'$POC3{index}\',\'$POC3{quest_no}\',\'$POC3{type}\',\'$POC3{order}\'";

                                        
                                if($POC3{branch} == 1) { # branching question
                                        print",\'b\'";
                                        }
                        
                                else {
                                        print",\'1\'";
                                        }
                                
                                print"\)\" id=\"checka$POC3{quest_no}$POC3{i}\"></TD><TD valign=\"middle\">";
                                
                                }
                        
                        else { # MC
                                print"<TD width=\"50\"></TD><TD style=\"vertical-align:middle\"><label for=\"radioa$POC3{quest_no}$POC3{i}\"><input type=\"radio\" class=\"medium\" name =\"m$POC3{quest_no}\" value=\"$POC3{order}\" ";
                                
                                if($POC3{their_answer} == $POC3{order}) {
                                        print"checked ";
                                        }
                                
                                print"onClick=\"activated_this\(\'$POC3{index}\',\'$POC3{quest_no}\',\'$POC3{type}\',\'$POC3{order}\'";
                        
                                if($POC3{branch} == 1) {
                                        print",\'b\'";
                                        }
                        
                                print"\)\" id=\"radioa$POC3{quest_no}$POC3{i}\"></TD><TD valign=\"middle\">";
                                }
                                
                        my @extension = split(/\./, $POC3{image_name});
                        my $image = "\/schools\/qst_files\/"."$POC3{image}"."\."."$extension[1]";
                        print"<TD><img src=\"$image\"></TD>\n";
                        }
                }
        }

##########################
#
# PRINT_MX_SELECT
#
#########################
sub print_mx_select {
        my %MS = @_;
        my %MX = ();
        my $question_number = $MS{question_number};
        delete($MS{question_number});
        my $index = $MS{index};
        delete($MS{index});
        my $select = $MS{select};
        delete($MS{select});
        
        print"<option value=\"\"></option>";
        
        foreach my $key(keys %MS) {
        print"CCCCC $key $MS{$key}<BR>\n";
                if(defined $MX{$MS{$key}}) {
                        }
                else {
                        $MX{$MS{$key}} = $key;
                        my $pass = "$index".","."$question_number".","."$MS{$key}".","."$select";
                        print"<option value=\"$pass\">$MS{$key}</option>";
                        }
                }
        }

##########################
#
# PRINT_MX_SELECT_WITH_ANSWERS
#
#########################
sub print_mx_select_with_answers {
        my %MS = @_;
        my @mx = split(/,/,$MS{mx});
        my %MX = ();
        my %TOPASS = ();
        
        foreach my $piece(@mx) {
                my @mxx = split(/\|/,$piece);
                $MX{$mxx[0]} = $mxx[1];
                }
              
        my %MYANS = ();
        my @myans = split(/,/,$MS{myans});
        foreach my $piece(@myans) {
                my @mxx = split(/\|/,$piece);
                $MYANS{$mxx[0]} = $mxx[1];
                }
                
        my @passed = split(/\,/,$MS{topass});
	foreach my $chunk(@passed) {
                my @pass = split(/\|/,$chunk); 
                $TOPASS{$pass[0]}{$pass[1]} = $pass[2]; 
                }
	
        foreach my $key(keys %MX) {
                if($MX{$key} eq "$MYANS{$key}" && $key == $MS{select}) { # matches an answer
                        $MX{$MS{$key}} = $key;
                        print"<option value=\"$MX{$key}\" onClick=\"activated_this\(\'$key\',\'$MS{question_number}\',\'MX\',\'$MX{$key}\',\'$MS{select}\'\)\" id=\"checka$key\" selected=\"selected\">$MYANS{$key} ";
                        
                        if(defined $TOPASS{$key}) {
                                print"- $TOPASS{$key}</option>";
                                }
                        else {
                                print"</option>";
                                }
                        }
                else {
                        $MX{$MS{$key}} = $key;
                        print"<option value=\"$MX{$key}\" onClick=\"activated_this\(\'$key\',\'$MS{question_number}\',\'MX\',\'$MX{$key}\',\'$MS{select}\'\)\" id=\"checka$key\">$MX{$key} ";
                        
                        if(defined $TOPASS{$key}) {
                                print"- $TOPASS{$key}</option>";
                                }
                        else {
                                print"</option>";
                                }
                        }
                }
        }

##########################
#
# PRINT_MX_SELECT_WITH_ANSWERS_NEXT
#
#########################
sub print_mx_select_with_answers_next {
        my %MS = @_;
        my @mx = split(/,/,$MS{mx});
        my %REV = ();
        my %MX = ();

	# The available answers
        foreach my $piece(@mx) {
                my @mxx = split(/\|/,$piece);
                $MX{$mxx[0]} = $mxx[1];
                }
              
        my %MYANS = ();
        my @myans = split(/,/,$MS{myans});

        foreach my $piece(@myans) {
                my @mxx = split(/\|/,$piece);
                $MYANS{$mxx[0]} = $mxx[1];
                $REV{$mxx[1]} = $mxx[0];
                }

        foreach my $key(keys %MX) { ## FFFFFF 6|Italy  5|Tokyo  4|England  3|U. S.  2|Canada  1|France 
                if(defined $REV{$MX{$key}} && $MS{select} eq"$REV{$MX{$key}}") { # matches an answer
                        $MX{$MS{$key}} = $key;
                        my $pass = "$MS{index}".","."$MS{question_number}".","."$MX{$key}".","."$MS{select}";
                        print"<option value=\"$pass\" selected=\"selected\">$MX{$key} </option>";
                        }
                else {
                        $MX{$MS{$key}} = $key;
                        my $pass = "$MS{index}".","."$MS{question_number}".","."$MX{$key}".","."$MS{select}";
                        print"<option value=\"$pass\">$MX{$key} </option>";
                        }
                }
        }

##########################
#
# PRINT_MX_SELECT_WITH_ANSWERS_STATS
#
#########################
sub print_mx_select_with_answers_stats {
        my %MS = @_;
        my @mx = split(/\~/,$MS{mx});
        my %MX = ();
        my %TOPASS = ();

        foreach my $piece(@mx) {
                my @mxx = split(/\|/,$piece);
                $MX{$mxx[0]} = $mxx[1];
                }
              
        my %MYANS = ();
        my @myans = split(/\~/,$MS{myans});
        foreach my $piece(@myans) {
                my @mxx = split(/\|/,$piece);
                $MYANS{$mxx[0]} = $mxx[1];
                }
                
        my @passed = split(/\~/,$MS{topass});

	foreach my $chunk(@passed) {
                my @pass = split(/\|/,$chunk); #$TOPASS{$pass[0]}{$pass[1]} = $pass[2]; 
                $TOPASS{$pass[0]}{$pass[1]} = $pass[2]; 
                }
	
        foreach my $key(keys %MX) {
                if($MX{$key} eq "$MYANS{$key}" && $key == $MS{select}) { # matches an answer
                        $MX{$MS{$key}} = $key;
                        print"<option value=\"$MX{$key}\" onClick=\"activated_this\(\'$key\',\'$MS{question_number}\',\'MX\',\'$MX{$key}\',\'$MS{select}\'\)\" id=\"checka$key\" selected=\"selected\">$MYANS{$key} - $TOPASS{$MS{select}}{$MX{$key}}</option>";
 
                        }
                else {
                        $MX{$MS{$key}} = $key;
                        print"<option value=\"$MX{$key}\" onClick=\"activated_this\(\'$key\',\'$MS{question_number}\',\'MX\',\'$MX{$key}\',\'$MS{select}\'\)\" id=\"checka$key\">$MX{$key}";
                        if($TOPASS{$MS{select}}{$MX{$key}} ne "") {
                                print" - $TOPASS{$MS{select}}{$MX{$key}}</option>";
                                }
                        else {
                                 print"</option>";
                                }
                        }
                }
        }
     
#########################
#
#  PRINT_NEW_LOGIN
#
#########################
sub print_new_login {
        &print_javascript_begin();
	
      	print"function load_handler\(\) \{\n";
	print"self.location=\"/index.htm\"\n";
	print"\}\n";
	
	&print_javascript_end();
        print"
	<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">
	</body>
	</HTML>\n";
        }
        
#########################
#
#  PRINT_LOGIN SCREEN
#
######################
sub print_login_screen {
        my %PLS = @_;
	my $image = "qst.gif";
	&print_javascript_begin();
	
      	print"function load_handler\(\) \{\n";
	print"self.parent.theright.location=\"/blank.htm\"\n";
	print"\}\n";
	
	&print_javascript_end();

        print"<script language=\"Javascript\" type=\"text/javascript\">\n";
        print"function check_handler()\{

        var no_good = 1
        var replace_string =\"\"
        var reg_exp1 = /\\s/g
        var replace_string2 =\"\%20\"
        var user_name_in_string = document.form1.user.value
        var new_string2 = user_name_in_string.replace(reg_exp1,replace_string)
 
        if(new_string2 ==\"\")\{
            no_good = 3
            \}
            
        var pass1_string = document.form1.pass.value
        var new_string_pass1 = pass1_string.replace(reg_exp1,replace_string)
        if(new_string_pass1 ==\"\")\{
            no_good = 2
            \}
        if(no_good == 2)\{
            alert(\"A password was not entered.\")
            \}
        else if(no_good == 3)\{
            alert(\"A user name was not entered.\")
            \}
        else \{
                document.form1.submit()
            \}
         \}
        <\/script\>\n";

	print"
	<style>
	table\{ border-radius:4px\; font-size:9pt\; font-family:Arial\;\}
	</style>
	<BR><P>
	<center><img src=\"/qst_app.jpg\"></center>
	<center>
	<Form name=\"form1\" method=\"POST\" ACTION=\"/qst\">
	<P><TABLE><TR><TD></TD><TD> <input type=\"text\" name=\"user\" size=\"10\" value=\"\" placeholder=\"  $LANGUAGE{$set_language}{Username}\"></TD></TR>
	<TR><TD></TD><TD><input type=\"password\" name=\"pass\" size=\"10\" value=\"\" placeholder=\"  $LANGUAGE{$set_language}{Password}\"> </TD></TR>
	<TR><TD></TD><TD><input type=\"hidden\" name=\"login\" value=\"1\"> </TD></TR>
	<TR><TD></TD><TD></TD></TR>
	</TABLE></FORM></center><P>
	<center><img src=\"/login_icon.jpg\" style=\"cursor:pointer\" OnClick=\" check_handler()\"></center>
	<BR><P><center><B><a href=\"/mobile_qst.htm\" target=\"_parent\" style=\"text-decoration:none\;\">Safari Browser</a><B></center><BR><P>\n";
	
	if($PLS{message} ne"") {
                print"<center><font color=\"red\">$PLS{message}</font></center>\n";
                }
                
	print"
	<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">
	</body>
	</HTML>\n";
        }

#########################
#
#  PRINT OTHER LOGIN SCREEN
#
######################
sub print_other_login_screen {
	&print_javascript_begin();
	
      	print"function load_handler\(\) \{
	self.top.location = \"/index.htm\"
	\}\n";
	
	&print_javascript_end();
	print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
        }

#########################
#
# PRINT_INSTRUCTORS_SCREEN
#
#########################
sub print_instructors_screen {
	my %PIS = @_;
	$PIS{from} =~ s/\D//g;
	

        print <<"EOA";

	<script language="Javascript" type="text/javascript">
	
	function menuClicked(value,disply) {
  		Show_Stuff(disply);
  	document.forms[value].submit();
	}

	function load_handler() {
		self.parent.theright.location="/blank.htm"
		}

	function Show_Stuff(Click_Menu) {
		if(Click_Menu.style.display =="none") {
                    info1.style.display="none"
                    info2.style.display="block"
                    let_it_go="1";
                    Click_Menu.style.display ="";
                    if(collapse_display=="") {
                        info1.style.display="none"
                        info2.style.display="block"
                        collapse_display=Click_Menu
                        }
                    else {
                        collapse_display.style.display ="none";
                        collapse_display=Click_Menu
                        }
                    }
                else {
                    info1.style.display="block"
                    info2.style.display="none"
                    Click_Menu.style.display ="none";
                    let_it_go="1";
                    collapse_display=""
                    }
	
                }
                
        function Change_Disp(hideme,showme,who) {
            var hide_me = document.getElementById(hideme)
            var show_me = document.getElementById(showme)
		hide_me.style.display ="none";
                show_me.style.display ="block";
                if(who =="0") {
                	displayqa.style.display ="none";
                	displayq.style.display ="block";
                	displaysa.style.display ="none";
                	displays.style.display ="block";
                	displayga.style.display ="none";
                	displayg.style.display ="block";
                	displayfa.style.display ="none";
                	displayf.style.display ="block";
                	document.menu0.submit();
                	}
                if(who =="1") {
                	displayqta.style.display ="none";
			displayqt.style.display ="block";
			displaysa.style.display ="none";
			displays.style.display ="block";
			displayga.style.display ="none";
			displayg.style.display ="block";
			displayfa.style.display ="none";
                	displayf.style.display ="block";
		        document.menu1.submit();
                	}
                if(who =="3") {
                	displayqta.style.display ="none";
			displayqt.style.display ="block";
			displayqa.style.display ="none";
			displayq.style.display ="block";
			displayg.style.display ="none";
			displays.style.display ="block";
			displaysa.style.display ="none";
			displayga.style.display ="block";
			displayfa.style.display ="none";
                	displayf.style.display ="block";
			document.menu2.submit();
                	}
                if(who =="2") {
                	displayqta.style.display ="none";
			displayqt.style.display ="block";
			displayqa.style.display ="none";
			displayq.style.display ="block";
			displayga.style.display ="none";
			displayg.style.display ="block";
			displayfa.style.display ="none";
			displayf.style.display ="block";
			document.menu3.submit();
                	}
                if(who =="5") {
                	displayqta.style.display ="none";
			displayqt.style.display ="block";
			displayqa.style.display ="none";
			displayq.style.display ="block";
			displaysa.style.display ="none";
			displays.style.display ="block";
			displayga.style.display ="none";
			displayg.style.display ="block";
			document.menu5.submit();
                	}
                }
                
        function Show_Format(format) {
	if(format == 2\) {
	owindo = window.open("/show_wordxml_format.htm","owindo","top=200,left=350,height=650,width=680")
	owindo.focus()
	}
	}
	
	function Show_Manual() {
	owindo = window.open("/QST_User_Manual.pdf","owindo","top=200,left=400,height=800,width=1000")
	owindo.focus()
	}
	
	</script>
	<style>
        #grad1 {
        background-color: blue; /* For browsers that do not support gradients */
        background-image: linear-gradient(blue , black); /* Standard syntax (must be last) */
        border-radius:6px; 
        }
        </style>
        
	</head>
	<style>
	table.table1{ background-color: blue; /* For browsers that do not support gradients */
        background-image: linear-gradient(blue , black); /* Standard syntax (must be last) */ border-radius:6px; font-size:11pt; font-family:Arial;}
	
        table.table2{ border-radius:6px; font-size:9pt; border: 1px solid black; font-family:Arial;}

        table.table3{ background-color: white; border-radius:6px; font-size:11pt; font-family:Arial;}
        
        table.table4{ background-color: black; border-radius:6px; font-size:11pt; font-family:Arial;}
        
	</style>
	<body>
	<div id="grad1"><center><TABLE class="table4" width=100%" ><TD><center><img src=\"/schools/qst_builder.png\" align=\"middle\" style=\" padding-top: 5px\;\"></center></TD></TABLE></center></div><P>
	
	<TABLE width="100%" style="background-image: url(/book2.jpg); background-repeat: no-repeat; background-position: center;"><TR><TD>
	
	<center><TABLE><TD><img src=\"/schools/x-icon.png\" align=\"middle\" data-toggle="tooltip" title=" $LANGUAGE{$set_language}{Logout} " onClick="document.logout.submit()" STYLE="cursor: pointer"></B></TD></TABLE></center>
        <BR><P><P>
	<DL>
	<DT><DD><TABLE class="table3"><TD><span ID="displayqt" STYLE="display:block;"><B STYLE="cursor: pointer;"><center><font onClick="Change_Disp('displayqt','displayqta','0')">&nbsp\;&nbsp\;<font style=\"font-size:13pt;\">$LANGUAGE{$set_language}{quizzestests}</font>&nbsp\;&nbsp\;</font></center></B></span>
	<span ID="displayqta" STYLE="display:none;"><B STYLE="cursor: pointer;"><center><font>&nbsp\;&nbsp\;<font style=\"font-size:14pt;\">$LANGUAGE{$set_language}{QuizzesTests}</font>&nbsp\;&nbsp\;</font></center></B></span></TD></TABLE>

	<P><DT><DD><TABLE class="table3"><TD><span ID="displayq" STYLE="display:block;"><B STYLE="cursor: pointer" onClick="Change_Disp('displayq','displayqa','1')"><center><font style=\"font-size:13pt;\">&nbsp\;&nbsp\;$LANGUAGE{$set_language}{questions}&nbsp\;&nbsp\;</font></center></B></span>
	<span ID="displayqa" STYLE="display:none;"><B STYLE="cursor: pointer"><center><font style=\"font-size:14pt;\">&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Questions}&nbsp\;&nbsp\;</font></center></B></span></TD></TABLE>

	<P><DT><DD><TABLE class="table3"><TD><span ID="displays" STYLE="display:block;"><B STYLE="cursor: pointer" onClick="Change_Disp('displays','displaysa','2')"><font style=\"font-size:13pt;\">&nbsp;&nbsp;$LANGUAGE{$set_language}{surveys}&nbsp;&nbsp;</font></B></span>
	<span ID="displaysa" STYLE="display:none;"><B STYLE="cursor: pointer"><font style=\"font-size:14pt;\">&nbsp;&nbsp;$LANGUAGE{$set_language}{Surveys}&nbsp;&nbsp;</font></B></span></TD></TABLE>

	<P><DT><DD><TABLE class="table3"><TD><span ID="displayg" STYLE="display:block;"><B STYLE="cursor: pointer" onClick="Change_Disp('displayg','displayga','3')"><font style=\"font-size:13pt;\">&nbsp;&nbsp;$LANGUAGE{$set_language}{gradebooks}&nbsp;&nbsp;</font></B></span>
	<span ID="displayga" STYLE="display:none;"><B STYLE="cursor: pointer"><font style=\"font-size:14pt;\">&nbsp;&nbsp;$LANGUAGE{$set_language}{GradeBooks}&nbsp;&nbsp;</font></B></span></TD></TABLE>

	<P><DT><DD><TABLE class="table3"><TD><span ID="displayf" STYLE="display:block;"><B STYLE="cursor: pointer" onClick="Change_Disp('displayf','displayfa','5')"><font style=\"font-size:13pt;\">&nbsp;&nbsp;$LANGUAGE{$set_language}{files}&nbsp;&nbsp;</font></B></span>
	<span ID="displayfa" STYLE="display:none;"><B STYLE="cursor: pointer" ><font style=\"font-size:14pt;\">&nbsp;&nbsp;$LANGUAGE{$set_language}{Files}&nbsp;&nbsp;</font></B></span></TD></TABLE>

	<BR></TD></TR></TABLE>
	
	</DL>
	<BR><P><div id="grad1"><center><TABLE width="100%" class="table4"><TD><center><div ID="info1" style="display:block;"><img src=\"/schools/help.png\" onClick="Show_Stuff(document.getElementById('display1'))" style="cursor:pointer; padding-top: 5px\;" data-toggle="tooltip" title=" $LANGUAGE{$set_language}{Instructions} " ></div><div ID="info2" style="display:none;"><B onClick="Show_Stuff(document.getElementById('display1'))" style="cursor:pointer;"><font color="white">&nbsp; $LANGUAGE{$set_language}{Hide} &nbsp;</font></B></div></center></TD></TABLE></div></center><P>
	
	<span ID="display1" style="display:none;">
	$LANGUAGE{$set_language}{instructors_info}
	</span>


EOA

	&print_form("form_name","menu0","form_target","theright","input","make_type","type","1","from","2","sub_type","1","u_id","$PIS{u_id}","session_id","$PIS{session_id}");
	&print_form("form_name","menu1","form_target","theright","input","questions","type","1","from","1","sub_type","1","u_id","$PIS{u_id}","session_id","$PIS{session_id}");
	&print_form("form_name","menu2","form_target","theright","input","gradebook","selection3","gradebook","u_id","$PIS{u_id}","session_id","$PIS{session_id}");
	&print_form("form_name","menu3","form_target","theright","input","make_type","type","2","from","2","sub_type","2","u_id","$PIS{u_id}","session_id","$PIS{session_id}");
	&print_form("form_name","menu5","form_target","theright","input","manage_files","expand","1","org_id","$PIS{org_id}","u_id","$PIS{u_id}","session_id","$PIS{session_id}");
        &print_form("form_name","logout","form_target","_top","input","logout","u_id","$PIS{u_id}","session_id","$PIS{session_id}");
	
	if ($PIS{from} == 1) {
		}
	else {
		print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
		}
		
	print"</body></html>\n";
	}

#########################
#
# print_qbank_admin_screen
#
#########################
sub print_qbank_admin_screen {
	my %PIS = @_;
	$PIS{from} =~ s/\D//g;
	

        print <<"EOA";

	<script language="Javascript" type="text/javascript">
	
	function menuClicked(value,disply) {
  		Show_Stuff(disply);
  	document.forms[value].submit();
	}

	function load_handler() {
		self.parent.theright.location="/blank.htm"
		}

        function Show_Stuff(Click_Menu) {
		if(Click_Menu.style.display =="none") {
                    info1.style.display="none"
                    info2.style.display="block"
                    let_it_go="1";
                    Click_Menu.style.display ="";
                    if(collapse_display=="") {
                        info1.style.display="none"
                        info2.style.display="block"
                        collapse_display=Click_Menu
                        }
                    else {
                        collapse_display.style.display ="none";
                        collapse_display=Click_Menu
                        }
                    }
                else {
                    info1.style.display="block"
                    info2.style.display="none"
                    Click_Menu.style.display ="none";
                    let_it_go="1";
                    collapse_display=""
                    }
	}
	</script>
	</head>
	<style>
	table.table1{background-color: blue; /* For browsers that do not support gradients */
        background-image: linear-gradient(blue , black); /* Standard syntax (must be last) */ border-radius:6px; font-size:11pt; font-family:Arial;}
        
        table.table2{ border-radius:6px; font-size:9pt; border: 1px solid black; font-family:Arial;}
        
        table.table3{ background-color: white; border-radius:6px; font-size:11pt; font-family:Arial;}

        table.table4{ background-color: black; border-radius:6px; font-size:11pt; font-family:Arial;}
        
	</style>
	<body>
	<center><TABLE class="table4" width=100%" ><TD><center><img src=\"/schools/qst_builder.png\" align=\"middle\" style=\" padding-top: 5px\;\"></center></TD></TABLE></center><P>
	
	<center><TABLE><TD><img src=\"/schools/x-icon.png\" align=\"middle\" data-toggle="tooltip" title=" $LANGUAGE{$set_language}{Logout} " onClick="document.logout.submit()" STYLE="cursor: pointer"></B></TD></TABLE></center><BR><P>
        
        <TABLE width="100%" style="background-image: url(quest_logo.jpg); background-repeat: no-repeat; background-position: center; "><TR><TD><BR>
	<DL>

	<P><P><DT><DD><TABLE class="table3" bgcolor="#0000FF"><TD><B STYLE="cursor: pointer" onClick="document.menu1.submit()"><font color="#08088A">$LANGUAGE{$set_language}{qbank}&nbsp;</font></B></TD></TABLE>


	<P><DT><DD><TABLE class="table3" bgcolor="#0000FF"><TD><B STYLE="cursor: pointer" onClick="document.menu5.submit()"><font color="#08088A">$LANGUAGE{$set_language}{Files}&nbsp;</font></B></TD></TABLE>

	</DL>
	<BR></TD></TR></TABLE>
	
	<BR><center><TABLE width="100%" class="table4"><TD>
	<center><div ID="info1" style="display:block;"><img src=\"/schools/help.png\" onClick="Show_Stuff(document.getElementById('display1'))" style="cursor:pointer; padding-top: 5px\;" data-toggle="tooltip" title=" $LANGUAGE{$set_language}{Instructions} " ></div></center>
	
	
	<div ID="info2" style="display:none;"><B onClick="Show_Stuff(document.getElementById('display1'))" style="cursor:pointer;"><font color="white"><center>&nbsp; $LANGUAGE{$set_language}{Hide} &nbsp;</center></font></B></div></TD></TABLE></center><P>
	
	<span ID="display1" style="display:none;">
	<TABLE class="table2" bgcolor="white" >
	<tr><TD width=20></TD><TD bgcolor="white"></TD><TD bgcolor="white"><font color="white"></font></TD></TR>
	<tr><TD width=20></TD><TD bgcolor="white" valign="top"> </TD><TD bgcolor="white" valign="top">* $LANGUAGE{$set_language}{10}</TD></TR>
	<tr><TD width=20></TD><TD bgcolor="white" valign="top">1. </TD><TD bgcolor="white" valign="top"> $LANGUAGE{$set_language}{11}</TD></TR>
	<tr><TD width=20></TD><TD bgcolor="white" valign="top"> </TD><TD bgcolor="white" valign="top" >* $LANGUAGE{$set_language}{12}</TD></TR>
	<tr><TD width=20></TD><TD bgcolor="white" valign="top">2. </TD><TD bgcolor="white" valign="top" >$LANGUAGE{$set_language}{13}</TD></TR>
	<tr><TD width=20></TD><TD bgcolor="white"></TD><TD bgcolor="white"><font color="white"></font></TD></TR>
	</td></TR></TABLE></span>


EOA

        &print_form("form_name","menu1","form_target","theright","input","questions_bank","type","1","from","1","sub_type","1","u_id","$PIS{u_id}","session_id","$PIS{session_id}");
        
        &print_form("form_name","menu5","form_target","theright","input","manage_bank_files","org_id","$PIS{org_id}","u_id","$PIS{u_id}","session_id","$PIS{session_id}");
        
        &print_form("form_name","logout","form_target","_top","input","logout","u_id","$PIS{u_id}","session_id","$PIS{session_id}");
	
	if ($PIS{from} == 1) {
		}
	else {
		print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
		}
		
	print"</body></html>\n";
	}

########################
#
# PRINT_ACCOUNT_NOT_ACTIVE
#
#######################
sub print_account_not_active {

print <<"EOA";

<style>
table{ border-radius:4px; font-size:10pt; font-family:Arial;}
</style>
<center><img src="/qst.gif"></center>
<center>
<Form method="POST" ACTION="/qst">
<P><TABLE><TR><TD>Email:</TD><TD> <input type="text" name="user" value=""></TD></TR>
<TR><TD>$LANGUAGE{$set_language}{Password}:</TD><TD><input type="password" name="pass" value=""> </TD></TR>
<TR><TD></TD><TD><input type="hidden" name="login" value="1"> </TD></TR>
<TR><TD></TD><TD></TD></TR>
<TR><TD></TD><TD><input type="submit" name="" value="$LANGUAGE{$set_language}{Login}"></TD></TR>
</TABLE></FORM></center><BR>
<center><font color="red">$LANGUAGE{$set_language}{Thisaccountisnolongeractive}</font></center>
<P><P><BR><P>
<center> <iframe src="/privacy.htm" width="300" height="200" frameborder="0">
</iframe>
</center>
<BR><P><P>
        
        
EOA
        }

#########################
#
# PRINT_NO_ANFROID
#
#########################
sub print_no_android {
	my %PSS = @_;

	print"<style>
	table.table1{ background-color: blue; /* For browsers that do not support gradients */
        background-image: linear-gradient(blue , indigo); /* Standard syntax (must be last) */border-radius:6px; font-size:11pt; font-family:Arial;}\n";
	
        print"table.table2{ border-radius:6px; font-size:9pt; border: 1px solid black; font-family:Arial;}
	</style>\n";

	&print_javascript_begin();
      	print"function mobile_handler\(\) \{
	document.logout.submit()
	\}\n";
	
	&print_javascript_end();

	&print_form("form_name","logout","form_target","_self","input","logout_mobile","u_id","$PSS{u_id}","session_id","$PSS{session_id}","mobile","1");
	
	print"<center><TABLE><TD onClick=\"mobile_handler()\" STYLE=\"cursor: pointer\" data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Logout} \">$image37</TD></TABLE></center>\n";
	print"<BR><BR><center><B>$LANGUAGE{$set_language}{ThisviewisnotsupportedforyourroleinQST}</B></center>\n";
        }

#########################
#
# PRINT_MOBILE
#
#########################
sub print_mobile {
	my %PSS = @_;

	print"<style>
	table.table1{ background-color: black;
        background-image: linear-gradient(black , black); border-radius:6px; font-size:11pt; font-family:Arial;}\n";
	
        print"table.table2{ border-radius:6px; font-size:9pt; border: 1px solid black; font-family:Arial;}
	</style>\n";

	&print_javascript_begin();
      	print"function mobile_handler\(\) \{
	document.logout.submit()
	\}\n";
	
	&print_javascript_end();

	&print_form("form_name","logout","form_target","_self","input","logout_mobile","u_id","$PSS{u_id}","session_id","$PSS{session_id}","mobile","$PSS{mobile}");
	
	print"$black_box<img src=\"/schools/qst_builder.png\" align=\"middle\" style=\" padding-top: 5px\;\"></TD><TD onClick=\"mobile_handler()\" STYLE=\"cursor: pointer\; text-align: right;\" data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Logout} \">$image37 &nbsp\;&nbsp\;</TD></TABLE></center>\n";
	
	&show_classes_mobile("u_id","$PSS{u_id}","session_id","$PSS{session_id}","org_id","$PSS{org_id}","mobile","$PSS{mobile}");
	}

#########################
#
# PRINT_MOBILE_LOGIN
#
#########################
sub print_mobile_login {
        my %PML = @_;
        $PML{mobile} =~ s/\D//g;
         print <<"EOP";

<script language="Javascript" type="text/javascript">
<!--

function check_handler(inn){
var no_good = 1;
var replace_string =""
var reg_exp1 = /\s/g
var replace_string2 ="%20"
var user_name_in_string = document.form1.user.value
var user_name_new_string = user_name_in_string.replace(reg_exp1,replace_string)
var new_string2 = user_name_in_string.replace(reg_exp1,replace_string2)

var pass_name_in_string = document.form1.pass.value
var pass_name_new_string = pass_name_in_string.replace(reg_exp1,replace_string)
var new_string2 = pass_name_in_string.replace(reg_exp1,replace_string2)
if(pass_name_new_string ==""){
no_good = 2
}


if(user_name_new_string ==""){
no_good = 2
}


if(no_good == 2){
alert("$LANGUAGE{$set_language}{AUsernameorpasswordwasnotentered}")
return false;
}
else {
document.form1.submit()
}
}


function abc() {

if(confirm("I am not a robot."))
return true;

}


function checkSubmit(e) {
   if(e && e.keyCode == 13) {
      document.check_handler();
   }
}

//-->
</script>
<body>
<style>
table{ border-radius:4px; font-size:10pt; font-family:Arial;}
</style>

<style>table{ border-radius:6px; font-size:13pt; font-family:Arial;}</style>
<style>table{ border-radius:6px; font-size:13pt; font-family:Arial;}</style>
<BR>
<P>
<center><img src="/qst_app.jpg"></center>

<center>
<Form name="form1" method="POST" ACTION="/qst/one">
<TABLE width="100%" ">
<TR><TD>
<center>
<TABLE>
<TR><TD style="padding-top:9px"></TD><TD></TD></TR>
<TR><TD><font style="font-family:Arial; font-size:10pt;"><input type="text" name="user" value="" size="10" placeholder="  $LANGUAGE{$set_language}{Username}"></TD></TR></center>
<TR><TD><font style="font-family:Arial; font-size:10pt;"><input type="password" name="pass" value="" size="10" placeholder="  $LANGUAGE{$set_language}{Password}"></center> </TD></TR>
<TR><TD></TD><TD><input type="hidden" name="login" value="1"> </TD></TR>

EOP

print"<TR><TD></TD><TD><input type=\"hidden\" name=\"mobile\" value=\"$PML{mobile}\"></TD></TR>\n";

print <<"EOPP";
<TR><TD></TD><TD></TD></TR>
</TABLE>
</TD></TR>
</TABLE></FORM></center><P>
<center><img src="/schools/qst_builder.png" style="cursor:pointer;" OnClick="return check_handler()"></center>

EOPP
        
        if($PML{message} ne"") {
                print"<BR><BR><center><B>$PML{message}</B></center>\n";
                }
        }

#########################
#
# PRINT_MODAL_STUDENTS_SCREEN
#
#########################
sub print_modal_students_screen {
	my %PSS = @_;

	print"<style>
	table.table1{ background-color: black; /* For browsers that do not support gradients */
        background-image: linear-gradient(black, black); /* Standard syntax (must be last) */border-radius:6px; font-size:11pt; font-family:Arial;}\n";
	
        print"table.table2{ border-radius:6px; font-size:9pt; border: 1px solid black; font-family:Arial;}
	</style>\n";
	

	 print <<"EOA";
	 
<script language = "Javascript" type="text\/javascript">

 var orig_Window
 window.name = "orig_Window"
 
var qst_left
var qst_right
var right_top
var right_bot


function check_handler(inn){
var no_good = 1;
var replace_string =""
var reg_exp1 = /\s/g
var replace_string2 ="%20"
var user_name_in_string = document.form1.user.value
var user_name_new_string = user_name_in_string.replace(reg_exp1,replace_string)
var new_string2 = user_name_in_string.replace(reg_exp1,replace_string2)

var pass_name_in_string = document.form1.pass.value
var pass_name_new_string = pass_name_in_string.replace(reg_exp1,replace_string)
var new_string2 = pass_name_in_string.replace(reg_exp1,replace_string2)
if(pass_name_new_string ==""){
no_good = 2
}


if(user_name_new_string ==""){
no_good = 2
}


if(no_good == 2){
alert("$LANGUAGE{$set_language}{AUsernameorpasswordwasnotentered}")
return false;
}
else {
document.form_1.submit()
}
}

function doo_modal(qst,class_id,class_name,questions,marks,name_in) {
document.mod_form.name_in.value=name_in
document.mod_form.questions.value=questions
document.mod_form.marks.value=marks
location.href="#openModal"
}

function doo_modal2(qst,class_id,class_name,questions,marks,name_in) {
document.mod_form2.name_in.value=name_in
document.mod_form2.questions.value=questions
document.mod_form2.marks.value=marks
location.href="#openModal2"
}

function doo_modal3(qst,class_id,class_name,questions,marks,name_in) {
document.mod_form3.name_in.value=name_in
document.mod_form3.questions.value=questions
document.mod_form3.marks.value=marks
location.href="#openModal3"
}

function doo_modal4(qst,class_id,class_name,questions,marks,name_in) {
document.mod_form4.name_in.value=name_in
document.mod_form4.questions.value=questions
document.mod_form4.marks.value=marks
location.href="#openModal4"
}

function doo_modal5(qst,class_id,class_name,questions,marks,name_in) {
document.mod_form5.name_in.value=name_in
location.href="#openModal5"
}

</script>
<style>
	.modalDialog {
	position: fixed;
	font-family: Arial, Helvetica, sans-serif;
	top: -100;
	right: 0;
	bottom: 0;
	left: 0;
	background: rgba(0,0,0,0.8);
	z-index: 99999;
	opacity:0;
	overflow: auto;
	-webkit-transition: opacity 400ms ease-in;
	-moz-transition: opacity 400ms ease-in;
	transition: opacity 400ms ease-in;
	pointer-events: none;
}



.modalDialog:target {
	opacity:1;
	pointer-events: auto;
}

.modalDialog > div {
	width: 940px;
	height: 790px;
	position: relative;
	margin: 10% auto;
	padding: 1px 10px 5px 10px;
	border-radius: 10px;
	background: #fff;
	background: -moz-linear-gradient(#fff, #FFFFE0);
	background: -webkit-linear-gradient(#fff, #FFFFE0);
	background: -o-linear-gradient(#fff, #FFFFE0);
}



.close {
	background: #00d9ff;
	color: #FFFFFF;
	line-height: 25px;
	position: absolute;
	right: -12px;
	text-align: center;
	top: -10px;
	width: 24px;
	text-decoration: none;
	font-weight: bold;
	-webkit-border-radius: 12px;
	-moz-border-radius: 12px;
	border-radius: 12px;
	-moz-box-shadow: 1px 1px 3px #000;
	-webkit-box-shadow: 1px 1px 3px #000;
	box-shadow: 1px 1px 3px #000;
}

.close:hover { background: #0000FF; }

	.modalDialog2 {
	position: fixed;
	font-family: Arial, Helvetica, sans-serif;
	top: -100;
	right: 0;
	bottom: 0;
	left: 0;
	background: rgba(0,0,0,0.8);
	z-index: 99999;
	opacity:0;
	overflow: auto;
	-webkit-transition: opacity 400ms ease-in;
	-moz-transition: opacity 400ms ease-in;
	transition: opacity 400ms ease-in;
	pointer-events: none;
}



.modalDialog2:target {
	opacity:1;
	pointer-events: auto;
}

.modalDialog2 > div {
	width: 940px;
	height: 600px;
	position: relative;
	margin: 10% auto;
	padding: 1px 20px 5px 20px;
	border-radius: 10px;
	background: #fff;
	background: -moz-linear-gradient(#fff, #FFFFE0);
	background: -webkit-linear-gradient(#fff, #FFFFE0);
	background: -o-linear-gradient(#fff, #FFFFE0);
}

	.modalDialog3 {
	position: fixed;
	font-family: Arial, Helvetica, sans-serif;
	top: -100;
	right: 0;
	bottom: 0;
	left: 0;
	background: rgba(0,0,0,0.8);
	z-index: 99999;
	opacity:0;
	overflow: auto;
	-webkit-transition: opacity 400ms ease-in;
	-moz-transition: opacity 400ms ease-in;
	transition: opacity 400ms ease-in;
	pointer-events: none;
}



.modalDialog3:target {
	opacity:1;
	pointer-events: auto;
}

.modalDialog3 > div {
	width: 940px;
	height: 600px;
	position: relative;
	margin: 10% auto;
	padding: 1px 20px 5px 20px;
	border-radius: 10px;
	background: #fff;
	background: -moz-linear-gradient(#fff, #FFFFE0);
	background: -webkit-linear-gradient(#fff, #FFFFE0);
	background: -o-linear-gradient(#fff, #FFFFE0);
}

.modalDialog4 {
	position: fixed;
	font-family: Arial, Helvetica, sans-serif;
	top: -100;
	right: 0;
	bottom: 0;
	left: 0;
	background: rgba(0,0,0,0.8);
	z-index: 99999;
	opacity:0;
	overflow: auto;
	-webkit-transition: opacity 400ms ease-in;
	-moz-transition: opacity 400ms ease-in;
	transition: opacity 400ms ease-in;
	pointer-events: none;
}



.modalDialog4:target {
	opacity:1;
	pointer-events: auto;
}

.modalDialog4 > div {
	width: 940px;
	height: 600px;
	position: relative;
	margin: 10% auto;
	padding: 1px 20px 5px 20px;
	border-radius: 10px;
	background: #fff;
	background: -moz-linear-gradient(#fff, #FFFFE0);
	background: -webkit-linear-gradient(#fff, #FFFFE0);
	background: -o-linear-gradient(#fff, #FFFFE0);
}

.modalDialog5 {
	position: fixed;
	font-family: Arial, Helvetica, sans-serif;
	top: -100;
	right: 0;
	bottom: 0;
	left: 0;
	background: rgba(0,0,0,0.8);
	z-index: 99999;
	opacity:0;
	overflow: auto;
	-webkit-transition: opacity 400ms ease-in;
	-moz-transition: opacity 400ms ease-in;
	transition: opacity 400ms ease-in;
	pointer-events: none;
}



.modalDialog5:target {
	opacity:1;
	pointer-events: auto;
}

.modalDialog5 > div {
	width: 940px;
	height: 600px;
	position: relative;
	margin: 10% auto;
	padding: 1px 20px 5px 20px;
	border-radius: 10px;
	background: #fff;
	background: -moz-linear-gradient(#fff, #FFFFE0);
	background: -webkit-linear-gradient(#fff, #FFFFE0);
	background: -o-linear-gradient(#fff, #FFFFE0);
}

</style> 

<div id="openModal" class="modalDialog">
<div>


<TABLE style="font-size:11pt; font-family:Arial; border-radius: 5px\;" bgcolor="#00000" width="100%"><TR><TD><font color="white">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD><TD style=\"padding-top: 6px\; padding-bottom: 6px\"> 

EOA


        print"<form name=\"mod_form\"><input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 18px\;\" type=\"text\" name=\"name_in\" value=\"\">\n";
        
        print"</font><font color=\"white\"><B> $LANGUAGE{$set_language}{Questions}: <input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 12px\;\" type=\"text\" name=\"questions\" value=\"\">\n";
        
        print" $LANGUAGE{$set_language}{Marks}: <input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 12px\;\" type=\"text\" name=\"marks\" value=\"\">\n";
        
        print"</form></B></font></TD></TR></TABLE>
        <iframe src=\"/mod1_qst.htm\" width=\"100%\" height=\"700\" style=\"border:none\;\"></iframe>
        </div></div>\n";


 
        ###### OTHER DIV ##########
        print"<div id=\"openModal2\" class=\"modalDialog2\">
        <div>
        <BR>
        <center>
        <TABLE style=\"font-family:Arial\; border-radius: 5px\;\" id=\"table1\" name=\"table1\" bgcolor=\"#00000\" width=\"100%\"><TR><TD><font color=\"white\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD><TD valign=\"middle\"> \n";
        
        print"<BR><form name=\"mod_form2\"><input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 20px\;\" type=\"text\" name=\"name_in\" value=\"\">\n";
        
        print"</font><font  color=\"white\"><B>$LANGUAGE{$set_language}{Questions}: <input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 12px\;\" type=\"text\" name=\"questions\" value=\"\">\n";
        
        print" $LANGUAGE{$set_language}{Marks}: <input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 12px\;\" type=\"text\" name=\"marks\" value=\"\">\n";
        
        print"</form></B></font></TD></TR></TABLE>
        </center><BR>
        <iframe src=\"/mod2_qst.htm\" width=\"100%\" height=\"500\" style=\"border:none\;\"></iframe>
        </div></div>\n";
        
        ############ FINISHED DIV ##########
        
         ###### OTHER DIV ##########
        print"<div id=\"openModal3\" class=\"modalDialog3\">
        <div>
        <BR>
        <center>
        <TABLE style=\"font-size:11pt\; font-family:Arial\; border-radius: 5px\;\" id=\"table1\" name=\"table1\" bgcolor=\"#00000\" width=\"100%\"><TR><TD><font color=\"white\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD><TD valign=\"middle\"> \n";
        
        print"<BR><form name=\"mod_form3\"><input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 20px\;\" type=\"text\" name=\"name_in\" value=\"\">\n";
        
        print"</font><font  color=\"white\"><B>$LANGUAGE{$set_language}{Questions}: <input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 12px\;\" type=\"text\" name=\"questions\" value=\"\">\n";
        
        print" $LANGUAGE{$set_language}{Marks}: <input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 12px\;\" type=\"text\" name=\"marks\" value=\"\">\n";
        
        print"</form></B></font></TD></TR></TABLE>
        </center><BR>
        <iframe src=\"/mod3_qst.htm\" width=\"100%\" height=\"500\" style=\"border:none\;\"></iframe>
        </div></div>\n";
        
        ############ FINISHED DIV ##########
        
          ###### OTHER DIV ##########
        print"<div id=\"openModal4\" class=\"modalDialog4\">
        <div>
        <BR>
        <center>
        <TABLE style=\"font-size:11pt\; font-family:Arial\; border-radius: 5px\;\" id=\"table1\" name=\"table1\" bgcolor=\"#00000\" width=\"100%\"><TR><TD><font color=\"white\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD><TD valign=\"middle\"> \n";
        
        print"<BR><form name=\"mod_form4\"><input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 20px\;\" type=\"text\" name=\"name_in\" value=\"\">\n";
        
        print"</font><font  color=\"white\"><B>$LANGUAGE{$set_language}{Questions}: <input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 12px\;\" type=\"text\" name=\"questions\" value=\"\">\n";
        
        print" $LANGUAGE{$set_language}{Marks}: <input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 12px\;\" type=\"text\" name=\"marks\" value=\"\">\n";
        
        print"</form></B></font></TD></TR></TABLE>
        </center><BR>
        <iframe src=\"/mod4_qst.htm\" width=\"100%\" height=\"500\" style=\"border:none\;\"></iframe>
        </div></div>\n";
        
        ############ FINISHED DIV ##########
        
          ###### OTHER DIV ##########
        print"<div id=\"openModal5\" class=\"modalDialog5\">
        <div>
        <BR>
        <center>
        <TABLE style=\"font-size:11pt\; font-family:Arial\; border-radius: 5px\;\" id=\"table1\" name=\"table1\" bgcolor=\"#00000\" width=\"100%\"><TR><TD><font color=\"white\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD><TD valign=\"middle\"> \n";
        
        print"<BR><form name=\"mod_form5\"><input style=\"border:none\; background-color: black\; color: white\; font-weight: bold\; font-size: 20px\;\" type=\"text\" name=\"name_in\" value=\"\">\n";
        
        print"</form></B></font></TD></TR></TABLE>
        </center><BR>
        <iframe src=\"/mod5_qst.htm\" width=\"100%\" height=\"500\" style=\"border:none\;\"></iframe>
        </div></div>\n";
        
        ############ FINISHED DIV ##########
        
        
        
        print"<TABLE width=\"100%\"><TR><TD width=\"35%\" valign=\"top\">\n";
        
        print"<div id=\"grad1\"><center><TABLE class=\"table1\" width=\"100%\" ><TD><center><img src=\"/schools/qst_builder.png\" align=\"middle\" style=\" padding-top: 5px\;\"></center></TD></TABLE></center></div><P>\n";
       
	&print_form("form_name","logout","form_target","","input","logout","u_id","$PSS{u_id}","session_id","$PSS{session_id}");
	
	print"<center><TABLE><TD><img src=\"/schools/x-icon.png\" align=\"middle\" data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Logout} \" onClick=\"document.logout.submit()\" STYLE=\"cursor: pointer\"></B></TD></TABLE></center>\n";
	
	my %RETURN_INFO = &select_user_info("org_id","$PSS{org_id}","u_id","$PSS{u_id}");
		
	if($RETURN_INFO{$PSS{u_id}}{photo} ne"") {
		my $path = "$directory_path"."$RETURN_INFO{$PSS{u_id}}{photo}";
		
		print"<TABLE width=\"60%\" height=\"150\"><TR><TD><center><img src=\"$path\" width=\"150\" border=\"1\"></center>\n";
		print"</TD><TD><B>&nbsp\;&nbsp\;$RETURN_INFO{$PSS{u_id}}{f_name} $RETURN_INFO{$PSS{u_id}}{m_name} $RETURN_INFO{$PSS{u_id}}{l_name}</B></TD></TR></TABLE>\n";
		}
		
	else {
		print"<BR><center><B>&nbsp\;&nbsp\;$RETURN_INFO{$PSS{u_id}}{f_name} $RETURN_INFO{$PSS{u_id}}{m_name} $RETURN_INFO{$PSS{u_id}}{l_name}</B></center><BR>\n";
		}
		
	
        &print_form("form_name","form_reload","form_target","","input","print_modal_students_screen","class_name","$PSS{class_name}","class_id","$PSS{class_id}","u_id","$PSS{u_id}","session_id","$PSS{session_id}");

	&show_modal_classes("u_id","$PSS{u_id}","session_id","$PSS{session_id}","org_id","$PSS{org_id}");

        print"</TD><TD width=\"70%\" style=\"vertical-align:top\; padding-top:7px\">\n";
        
        if($PSS{class_id} > 0) {
                &show_modal_qsts_for_students("class_id","$PSS{class_id}","class_name","$PSS{class_name}","u_id","$PSS{u_id}","session_id","$PSS{session_id}","org_id","$PSS{org_id}");
                }
                
        print"</TD></TR></TABLE>\n";
        
	}

#########################
#
# PRINT_STUDENTS_SCREEN
#
#########################
sub print_students_screen {
        my %PP = @_;
        
        &print_javascript_begin();
        print"function load_handler\(\) \{
                    document.form2.submit\(\)
                    \}\n";
        &print_javascript_end();
        
        print"<form method=\"POST\" name=\"form2\" ACTION=\"/qst\" target=\"_top\">
  	<input type=\"hidden\" name=\"input\" value=\"print_modal_students_screen\">
    	<input type=\"hidden\" name=\"u_id\" value=\"$PP{u_id}\">
    	<input type=\"hidden\" name=\"org_id\" value=\"$PP{org_id}\">
    	<input type=\"hidden\" name=\"session_id\" value=\"$PP{session_id}\">
	</FORM>
        <img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
        }
        
#########################
#
# PRINT_ADMIN_SCREEN
#
#########################
sub print_admin_screen {
	my %PAS = @_;

        print <<"EOA";


	<script language="JavaScript1.2" type="text/javascript">
	
      	function load_handler() {
      		self.parent.theright.location="/blank.htm"
		}

        function Show_Stuff(Click_Menu) {
		if(Click_Menu.style.display =="none") {
                    info1.style.display="none"
                    info2.style.display="block"
                    let_it_go="1";
                    Click_Menu.style.display ="";
                    if(collapse_display=="") {
                        info1.style.display="none"
                        info2.style.display="block"
                        collapse_display=Click_Menu
                        }
                    else {
                        collapse_display.style.display ="none";
                        collapse_display=Click_Menu
                        }
                    }
                else {
                    info1.style.display="block"
                    info2.style.display="none"
                    Click_Menu.style.display ="none";
                    let_it_go="1";
                    collapse_display=""
                    }
		}
		
        function Show_Manual() {
	owindo = window.open("/QST_Admin_Manual.pdf","owindo","top=200,left=400,height=800,width=1000")
	owindo.focus()
	}
	
        </script>
        <script language="JavaScript1.2" type="text/javascript">
	function show_file() {
		og_window = window.open("","og_window","top=100,left=300,height=350,width=550")
		og_window.focus()
		og_window.document.writeln('<html><head><title>$LANGUAGE{$set_language}{Uploadfileexample}</title></head><body>')
		og_window.document.writeln('3,00125,Albert,Smith,asmith,password,Math-30-1,Math 30')
		og_window.document.writeln('3,00125,Albert,Smith,asmith,password,Eng-10-1,English 10')
		og_window.document.writeln('3,00130,Shirley,Bolt,sbolt,password,Math-30-1,Math 30')
		og_window.document.writeln('3,00130,Shirley,Bolt,sbolt,password,Eng-10-1,English 10')
		og_window.document.writeln('3,00230,Bob,Marlie,bmarlie,password,Science-20-1,Science 20')
		og_window.document.writeln('2,00330,Rob,Crow,rcrow,password,Bio-20-1,Biology 20')
		og_window.document.writeln('<P><P>')
		og_window.document.writeln('*$LANGUAGE{$set_language}{26}*<P>')
		org_window.document.writeln('</body></html>')
		org_window.document.close()
		}
	</script>
	<style>
	table.table1{background-color: blue; /* For browsers that do not support gradients */
        background-image: linear-gradient(blue , black); /* Standard syntax (must be last) */ border-radius:6px; font-size:9pt; font-family:Arial;}
        table.table4{ background-color: black; border-radius:6px; font-size:11pt; font-family:Arial;}
        table.table3{ border-radius:6px; font-size:10pt; font-family:Arial;}
	</style>

	<body>
	<center><TABLE class="table4" width=100%" ><TD><center><img src=\"/schools/qst_builder.png\" align=\"middle\" style=\" padding-top: 5px\;\"></center></TD></TABLE></center><P>
    	<P>
    	<center><TABLE><TD><img src=\"/schools/x-icon.png\" align=\"middle\" data-toggle="tooltip" title=" $LANGUAGE{$set_language}{Logout} " onClick="document.logout.submit()" STYLE="cursor: pointer"></B></TD></TABLE></center>
    	<BR>
	<DL>
	
EOA

        if($ids == 1 || $org_id == 0) {
                print"<P><DT><DD><B STYLE=\"cursor: pointer\" onClick=\"document.menu2.submit()\"><font color=\"#08088A\">$LANGUAGE{$set_language}{ServerAdministration}</font></B>\n";
                }
                
print <<"EOB";
	<P><DT><DD><B STYLE="cursor: pointer" onClick="document.menu1.submit()"><font color="#08088A">$LANGUAGE{$set_language}{Organizations}</font></B>
	</DL>
	
	<BR><P><div id="grad1"><center><TABLE width="100%" class="table4"><TD><center><div ID="info1" style="display:block;"><img src=\"/schools/help.png\" onClick="Show_Stuff(document.getElementById('display1'))" style="cursor:pointer; padding-top: 5px\;" data-toggle="tooltip" title=" $LANGUAGE{$set_language}{Instructions} " ></div><div ID="info2" style="display:none;"><B onClick="Show_Stuff(document.getElementById('display1'))" style="cursor:pointer;"><font color="white">&nbsp; $LANGUAGE{$set_language}{Hide} &nbsp;</font></B></div></center></TD></TABLE></div></center><P>

	
	<span ID="display1" style="display:none;">
	<TABLE bgcolor="white" class="table3">
	<tr><TD width=20></TD><TD bgcolor="white"></TD><TD bgcolor="white"><font color="white"> S</font></TD></TR>
	<tr><TD width=20></TD><TD bgcolor="white" valign="top"> </TD><TD bgcolor="white" valign="top"> $LANGUAGE{$set_language}{20} </TD></TR>
	
EOB

        if($ids == 1) { # Head Administrator
                print"<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">1. </TD><TD bgcolor=\"white\" valign=\"top\"> $LANGUAGE{$set_language}{14}</TD></TR><tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">2. </TD><TD bgcolor=\"white\" valign=\"top\" >$LANGUAGE{$set_language}{22}</TD></TR><tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">3. </TD><TD bgcolor=\"white\" valign=\"top\"> $LANGUAGE{$set_language}{23}</TD></TR><tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">4. </TD><TD bgcolor=\"white\" valign=\"top\" >$LANGUAGE{$set_language}{24}</TD></TR>\n";
                }
                
        elsif($org_id == 0) {
                print"<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">1. </TD><TD bgcolor=\"white\" valign=\"top\"> $LANGUAGE{$set_language}{15}</TD></TR><tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">2. </TD><TD bgcolor=\"white\" valign=\"top\" >$LANGUAGE{$set_language}{24}</TD></TR>\n";
                }
                
        else {
                print"<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">1. </TD><TD bgcolor=\"white\" valign=\"top\" >$LANGUAGE{$set_language}{16}</TD></TR>\n";
                }
                           
                
print <<"EOC";
	<tr><TD width=20></TD><TD bgcolor="white" valign="top"> </TD><TD bgcolor="white" valign="top" >$LANGUAGE{$set_language}{17}</TD></TR>
	<tr><TD width=10></TD><TD bgcolor="white" valign="top"></TD><TD bgcolor="white" valign="top">$LANGUAGE{$set_language}{18}<BR> <B onClick="show_file()" style="cursor:pointer;"> $LANGUAGE{$set_language}{Seeexample}</B><BR><BR>  $LANGUAGE{$set_language}{ForcompletedetailsreadQSTAdminManual}</B></TD></TR>


EOC

	print"<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\"> </TD><TD bgcolor=\"white\" valign=\"top\" ></TD></TR>\n";
	print"<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">2. </TD><TD bgcolor=\"white\" valign=\"top\" >$LANGUAGE{$set_language}{32}</TD></TR>\n";

        if($org_id == 0 && $ids > 1) {
                print"<tr><TD width=20></TD><TD bgcolor=\"white\" valign=\"top\">3. </TD><TD bgcolor=\"white\" valign=\"top\" >$LANGUAGE{$set_language}{19}</TD></TR>\n";
                }
                
        print"</TABLE></span>\n";
        
	print"<form method=\"POST\" name=\"menu0\" ACTION=\"/qst\" target=\"theright\">
  	<input type=\"hidden\" name=\"input\" value=\"lock_out\">
    	<input type=\"hidden\" name=\"u_id\" value=\"$PAS{u_id}\">
    	<input type=\"hidden\" name=\"session_id\" value=\"$PAS{session_id}\">
	</FORM>\n";
	
	print"<form method=\"POST\" name=\"menu1\" ACTION=\"/qst\" target=\"theright\">
  	<input type=\"hidden\" name=\"input\" value=\"org\">
      	<input type=\"hidden\" name=\"u_id\" value=\"$PAS{u_id}\">
      	<input type=\"hidden\" name=\"session_id\" value=\"$PAS{session_id}\">
	</FORM>\n";
	
	print"<form method=\"POST\" name=\"menu2\" ACTION=\"/qst\" target=\"theright\">
  	<input type=\"hidden\" name=\"input\" value=\"admin\">
      	<input type=\"hidden\" name=\"u_id\" value=\"$PAS{u_id}\">
      	<input type=\"hidden\" name=\"session_id\" value=\"$PAS{session_id}\">
	</FORM>\n";
	
	print"<form method=\"POST\" name=\"menu3\" ACTION=\"/qst\" target=\"theright\">
  	<input type=\"hidden\" name=\"input\" value=\"com_clear_demo_accounts\">
      	<input type=\"hidden\" name=\"u_id\" value=\"$PAS{u_id}\">
      	<input type=\"hidden\" name=\"session_id\" value=\"$PAS{session_id}\">
	</FORM>\n";

	print"<form method=\"POST\" name=\"logout\" ACTION=\"/qst\" target=\"_top\">
  	<input type=\"hidden\" name=\"input\" value=\"logout\">
    	<input type=\"hidden\" name=\"u_id\" value=\"$PAS{u_id}\">
    	<input type=\"hidden\" name=\"session_id\" value=\"$PAS{session_id}\">
	</FORM>\n";

	if($PAS{from} != 9) {
		print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
		}
	}
	
###############
#
# PRINT_TOP
#
###############
sub print_top {
  	&com_print_table_style();

	&print_javascript_begin();
	
	print"function cancel_handler\(\)\{
	self.parent.close\(\)
	\}\n";
	
	&print_javascript_end();
	
	print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B STYLE=\"cursor:pointer\" onClick=\"self.parent.print_bot.print_handler\(\)\">$LANGUAGE{$set_language}{Print} </B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"cancel_handler\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
	}

###################
#
# PRINT_OUT_QUESTION_FORM
#
###################
sub print_out_question_form {
	my %POQF = @_;
	$POQF{mode} =~ s/\D//g;
	$POQF{ans_mode} =~ s/\D//g;
	
	if(!defined $POQF{ans_mode}) {
                $POQF{ans_mode} = 0;
                }
                
        my $to_show;
        
            print"<input type=\"hidden\" name=\"select\" value=\"\">
           <input type=\"hidden\" name=\"again\" value=\"\">
	   <input type=\"hidden\" name=\"TFans\" value=\"\">
	   <input type=\"hidden\" name=\"YNans\" value=\"\">
	   <input type=\"hidden\" name=\"SAans\" value=\"\">
	   <input type=\"hidden\" name=\"Pans\" value=\"\">
	   <input type=\"hidden\" name=\"MAans\" value=\"\">
	   <input type=\"hidden\" name=\"MCans\" value=\"\">
	   <input type=\"hidden\" name=\"MXans\" value=\"\">
	   <input type=\"hidden\" name=\"mode\" value=\"1\">
	   <input type=\"hidden\" name=\"pptx_number\" value=\"\">
	   <input type=\"hidden\" name=\"question\" value=\"\">
	   <input type=\"hidden\" name=\"ans_mode\" value=\"$POQF{ans_mode}\">
	   <input type=\"hidden\" name=\"kolum\" value=\"1\">\n";
	   
	   if($mc_num > $ma_num) {
                    $to_show = $mc_num;
                    }
            else {
                    $to_show = $ma_num;
                    }
            if($mx_num > $to_show) {
                    $to_show = $mx_num;
                    }
                    
            my $u = 1;
            while ($u <= $to_show) {
                print"<input type=\"hidden\" name=\"select$u\" value=\"\">\n";
                print"<input type=\"hidden\" name=\"select$u";print"ma\" value=\"\">\n";
                print"<input type=\"hidden\" name=\"select$u";print"mam\" value=\"\">\n";
                print"<input type=\"hidden\" name=\"select$u";print"maeq\" value=\"\">\n";
                print"<input type=\"hidden\" name=\"select$u";print"mx\" value=\"\">\n";
                print"<input type=\"hidden\" name=\"image$u\" value=\"\">\n";
                print"<input type=\"hidden\" name=\"image$u";print"name\" value=\"\">\n";
                ++$u;
                }
                
        print"<input type=\"hidden\" name=\"u_id\" value=\"$POQF{u_id}\">
	   <input type=\"hidden\" name=\"session_id\" value=\"$POQF{session_id}\">
	   <input type=\"hidden\" name=\"image_number\" value=\"\">\n";

        if($POQF{type} == 1) { #QUIZ/TEST question
                print"<TABLE><TR><TD style=\"padding-top:5px\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Value}</B> <input STYLE=\"outline: none\;\" type=\"text\" size=\"2\" maxlength=\"2\" name=\"value\" value=\"1\" >
                &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Description}</B> <input type=\"text\" name=\"descrip\" size=\"45\" maxlength=\"60\" STYLE=\"outline: none\; font-size:10pt\;\" placeholder=\"$LANGUAGE{$set_language}{Textherewilldisplayasquestionnameunderfolders} \"></TD>
                </TR><TR></TABLE><P><center>
                <span ID=\"mode_display0\" style=\"display:none\; padding-bottom: 3px\;\">&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">$LANGUAGE{$set_language}{Equation}</i>&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Basic}</B></span>
                <span ID=\"mode_display1\" style=\"display:block\; padding-bottom: 3px\;\"><B>&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Advanced}</B>&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('2')\">$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Basic}</i></span>
                <span ID=\"mode_display2\" style=\"display:none\; padding-bottom: 3px\;\">&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;<b>$LANGUAGE{$set_language}{Equation}</b><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\">&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Basic}</i></span>
                </center>";
                }
                
        else { #SURVEY question
        	print"<TABLE><TR><TD style=\"padding-top:5px\; padding-bottom:8px\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Description} </B><input type=\"text\" name=\"descrip\" size=\"45\" maxlength=\"60\" STYLE=\"border-radius:.2em\; outline: none\; font-size:10pt\;\" placeholder=\"$LANGUAGE{$set_language}{Textherewilldisplayasquestionnameunderfolders}\"></TD>
		</TR><TR></TABLE>\n";

                print"<center><TABLE><TR><TD style=\"padding-bottom:4px\"><div ID=\"mode_display0\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('1')\"> $LANGUAGE{$set_language}{Advanced}</i><B>&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Basic}</B></div>
                <div ID=\"mode_display1\" style=\"display:block\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\" OnClick=\"mode_display('0')\"> <B>$LANGUAGE{$set_language}{Advanced}</B>&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Basic}</i></div>";
		print"</TD></TR></TABLE></center>\n";
                }
        
        #### ADVANCED EDITOR
	print"<span ID=\"mode1\" style=\"display:block\;\">\n";
	print"<center><TABLE><TR><TD><textarea id=\"summernote\" name=\"question1\"></textarea></TD></TR></TABLE></center>\n";
	print"</span>\n";

        #### BASIC EDITOR
        print"<div ID=\"mode0\" style=\"display:none\;\">";
               
        print"<TABLE><TD width=\"40\"></TD><TD><textarea style=\"resize\:none\;\" wrap=\"hard\" rows=\"3\" cols=\"52\" name=\"question0\" value=\"\" placeholder=\" $LANGUAGE{$set_language}{Enteryourquestionhere}\n $LANGUAGE{$set_language}{AndorInsertImageorVideoAudioLink}\n $LANGUAGE{$set_language}{Thenselectananswertype}\" maxlength=\"1500\"></textarea></TD><TD>\n";
	
	# Print Insert Image
        print"<span ID=\"disp1\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\" OnClick=\"question_image_handler\(\'question\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></span>\n";
        print"<span ID=\"display1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.4em\; outline: none\;\"  readonly type=\"text\" width=\"15\" name=\"insert_image_name\" value=\"\">&nbsp\;&nbsp\;<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" STYLE=\"cursor: pointer\; font-size: 14pt\" OnClick=\"question_image_delete_handler\(\)\">X</B></span>\n";
	
	# Print Insert Power Point or PDF
	if($POQF{type} == 1) { #QUIZ/TEST question
		print"<BR><span ID=\"ppt\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{InsertPDF}\" STYLE=\"cursor: pointer\; font-size: 10pt\" OnClick=\"question_image_handler\(\'pptx\'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{PDF}</B></span>\n";
        	print"<span ID=\"ppt1\" style=\"display:none\;\">&nbsp\;&nbsp\;&nbsp\; &nbsp\;&nbsp\;&nbsp\;<input STYLE=\"border-radius:.4em\; outline: none\;\"  readonly type=\"text\" width=\"15\" name=\"insert_pptx_name\" value=\"\">&nbsp\;&nbsp\;<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemovePDF}\" STYLE=\"cursor: pointer\; font-size: 14pt\" OnClick=\"question_pptx_delete_handler\(\)\">X</B></span>\n";
		}
	print"</TD></TABLE><P>\n";
	
	# Print Insert Video Link
        print"<BR><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{VideoLink} &nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\; border-radius:.4em\; outline: none\;\" size=\"20\" maxlength=\"150\" name=\"vlink\" value=\"\" required placeholder=\"mp4, ogg, webm \"></text>\n";
	
	# Print Insert Audio Link
        print"<B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{AudioLink} &nbsp\;&nbsp\;</B><input type=\"url\" style=\"resize:none\; font-family:Arial\; font-size: 10pt\; border-radius:.4em\; outline: none\;\" size=\"20\" maxlength=\"150\" name=\"alink\" value=\"\" required placeholder=\"mp3, ogg, wav\"></text><P><BR></div>\n";

        
        #### EQUATION EDITOR
        print"<div ID=\"mode2\" style=\"display:none\;\">";
        
        &eqform("u_id","$POQF{u_id}","session_id","$POQF{session_id}");
        print"</div>\n";
        
	if($POQF{sub_type} != 2) { # Quiz/test question
                    
                # QUESTION TYPE BAR
                print"<center><TABLE><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><span ID=\"anstype1\" style=\"display:block\;\"><font OnClick=\"show_mc\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MultipleChoice}</font></span><span ID=\"anstype1a\" style=\"display:none\;\"><font OnClick=\"show_mc\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{MultipleChoice}</B></font></span></TD><TD width=\"15\"></TD><TD><span ID=\"anstype2\" style=\"display:block\;\"><font OnClick=\"show_ma\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MultipleAnswer}</font></span><span ID=\"anstype2a\" style=\"display:none\;\"><font OnClick=\"show_ma\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{MultipleAnswer}</B></font></span></TD><TD width=\"15\"></TD><TD><span ID=\"anstype7\" style=\"display:block\;\"><font OnClick=\"show_mx\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MatchXng}</font></span><span ID=\"anstype7a\" style=\"display:none\;\"><font OnClick=\"show_mx\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{MatchXng}</B></font></span></TD><TD width=\"15\"></TD><TD><span ID=\"anstype3\" style=\"display:block\;\"><font OnClick=\"show_tf\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{TF}</font></span><span ID=\"anstype3a\" style=\"display:none\;\"><font OnClick=\"show_tf\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{TF}</B></font></span></TD><TD width=\"15\"></TD><TD><span ID=\"anstype8\" style=\"display:block\;\"><font OnClick=\"show_yn\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{YN}</font></span><span ID=\"anstype8a\" style=\"display:none\;\"><font OnClick=\"show_yn\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{YN}</B></font></span></TD><TD width=\"15\"></TD><TD><span ID=\"anstype4\" style=\"display:block\;\"><font OnClick=\"show_sa\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{ShortAnswer}</font></span><span ID=\"anstype4a\" style=\"display:none\;\"><font OnClick=\"show_sa\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{ShortAnswer}</B></font></span></TD><TD width=\"15\"></TD><TD><span ID=\"anstype5\" style=\"display:block\;\"><font OnClick=\"show_p\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{Paragraph}</font></span><span ID=\"anstype5a\" style=\"display:none\;\"><font OnClick=\"show_p\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{Paragraph}</B></font></span></TD></TABLE></center><P>\n";
		
		print"<span ID=\"anstype6\" style=\"display:none\;\"></span><span ID=\"anstype6a\" style=\"display:none\;\"></span>\n";
		}
		
	else { # Survey question
                # SURVEY TYPE BAR
		print"<P><center><TABLE><TD>&nbsp\;&nbsp\;</TD>
		<TD><div ID=\"anstype1\" style=\"display:block\;\"><font OnClick=\"show_mc\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MultipleChoice}</font></div><div ID=\"anstype1a\" style=\"display:none\;\"><font OnClick=\"show_mc\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{MultipleChoice}</B></font></div></TD><TD width=\"15\"></TD><TD><div ID=\"anstype2\" style=\"display:block\;\"><font OnClick=\"show_ma\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{MultipleAnswer}</font></div><div ID=\"anstype2a\" style=\"display:none\;\"><font OnClick=\"show_ma\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{MultipleAnswer}</B></font></div></TD><TD width=\"15\"></TD><TD><div ID=\"anstype3\" style=\"display:block\;\"><font OnClick=\"show_tf\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{TF}</font></div><div ID=\"anstype3a\" style=\"display:none\;\"><font OnClick=\"show_tf\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{TF}</B></font></div></TD><TD width=\"15\"></TD><TD><div ID=\"anstype7\" style=\"display:block\;\"><font OnClick=\"show_yn\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{YN}</font></div><div ID=\"anstype7a\" style=\"display:none\;\"><font OnClick=\"show_yn\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{YN}</B></font></div></TD><TD width=\"15\"></TD><TD><div ID=\"anstype6\" style=\"display:block\;\"><font OnClick=\"show_ad\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\">$LANGUAGE{$set_language}{AgreeDisagree}</font></div><div ID=\"anstype6a\" style=\"display:none\;\"><font OnClick=\"show_ad\(\)\" STYLE=\"text-decoration:none\; cursor:pointer\;\"><B>$LANGUAGE{$set_language}{AgreeDisagree}</B></font></div></TD></TABLE></center>\n";
		
		print"<div ID=\"anstype4\" style=\"display:none\;\"></div><div ID=\"anstype4a\" style=\"display:none\;\"></div><div ID=\"anstype5\" style=\"display:none\;\"></div><div ID=\"anstype5a\" style=\"display:none\;\"></div><div ID=\"anstype8\" style=\"display:none\;\"></div><div ID=\"anstype8a\" style=\"display:none\;\"></div> ";
		}
		
	print"</FORM>\n";
	
 	&print_form("form_name","t_f","form_target","quest2","input","question_tf","type","$POQF{type}","sub_type","$POQF{sub_type}","u_id","$POQF{u_id}","session_id","$POQF{session_id}");
 	&print_form("form_name","y_n","form_target","quest2","input","question_yn","type","$POQF{type}","sub_type","$POQF{sub_type}","u_id","$POQF{u_id}","session_id","$POQF{session_id}");
        &print_form("form_name","s_a","form_target","quest2","input","question_sa","type","$POQF{type}","sub_type","$POQF{sub_type}","u_id","$POQF{u_id}","session_id","$POQF{session_id}");
	&print_form("form_name","p","form_target","quest2","input","question_p","type","$POQF{type}","sub_type","$POQF{sub_type}","u_id","$POQF{u_id}","session_id","$POQF{session_id}");
        &print_form("form_name","eq_quest","form_target","MathJaax","input","print_eq_quest_ans","u_id","$POQF{u_id}","session_id","$POQF{session_id}","type","$POQF{type}","sub_type","$POQF{sub_type}","eq","1");
       
        if($u_type == 5) { #question bank 
                &print_form("form_name","ma","form_target","quest2","input","question_bank_ma","kolum","","type","$POQF{type}","sub_type","$POQF{sub_type}","u_id","$POQF{u_id}","session_id","$POQF{session_id}","ans_mode","$POQF{ans_mode}");
                
                &print_form("form_name","mc","form_target","quest2","input","question_bank_mc","kolum","","type","$POQF{type}","sub_type","$POQF{sub_type}","u_id","$POQF{u_id}","session_id","$POQF{session_id}","ans_mode","$POQF{ans_mode}");
                
                &print_form("form_name","mx","form_target","quest2","input","question_mx","type","$POQF{type}","sub_type","$POQF{sub_type}","u_id","$POQF{u_id}","session_id","$POQF{session_id}");
                }
        else {
                &print_form("form_name","ma","form_target","quest2","input","question_ma","kolum","","type","$POQF{type}","sub_type","$POQF{sub_type}","u_id","$POQF{u_id}","session_id","$POQF{session_id}","ans_mode","$POQF{ans_mode}");
                
                &print_form("form_name","mc","form_target","quest2","input","question_mc","kolum","","type","$POQF{type}","sub_type","$POQF{sub_type}","u_id","$POQF{u_id}","session_id","$POQF{session_id}","ans_mode","$POQF{ans_mode}");
                
                &print_form("form_name","mx","form_target","quest2","input","question_mx","type","$POQF{type}","sub_type","$POQF{sub_type}","u_id","$POQF{u_id}","session_id","$POQF{session_id}");
                }
	&print_form("form_name","ad","form_target","quest2","input","question_ad","sub_type","$POQF{sub_type}","u_id","$POQF{u_id}","session_id","$POQF{session_id}");
        
        if($u_type == 5) { #question bank
                &print_form("form_name","view_files","form_target","view_files_left","input","view_select_bank_files","mode","","targit","","u_id","$POQF{u_id}","session_id","$POQF{session_id}");
                }
        else {
                &print_form("form_name","view_files","form_target","view_files_left","input","view_select_files","mode","","targit","","u_id","$POQF{u_id}","session_id","$POQF{session_id}");
                }
	}

######################
#
# QUESTIONS
#
#####################
sub questions {
	my %QUEST = @_;
	my %RETURN = ();

	&print_collapse_the_display();
	
        print"<style=\"font-size:11pt; font-family:Arial\"><style>table.table1{ border-radius:6px; font-size:11pt; font-family:Arial;}</style>\n";
        
        # print jquery and modal stuff
        print"<script src=\"https://cdnjs.cloudflare.com/ajax/libs/jquery/3.0.0/jquery.min.js\"></script>
        <script src=\"https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js\"></script>
        <link rel=\"stylesheet\" href=\"https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css\" />
        \n";
        
	&print_javascript_begin();
	
	print"var newwindo\n";
	print"var display_it\n";
	print"var quest1\n";
	print"var quest2\n";

	&javascript_show_stuff();

	print"function close_open_windows\(\) {
	if(!newwindo) {
	}else {
	newwindo.close()
	}
	\}\n";


	print"function click_handler\(what,folder_num,name,parent,expand,type,sub_type,from\) \{
	if\(what == 1\)\{
	newwindo = window.open\('','newwindo','top=200,left=350,height=150,width=400,toolbar=0,menubar=0,location=no,directories=no,status=no'\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Renameafolder}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form1.name.value=name
	document.form1.expand.value=expand
	document.form1.number.value=folder_num
	document.form1.parent.value=parent
	document.form1.i_n.value=what
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 2\) \{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=200,width=400\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Createafolder}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form1.name.value=name
	document.form1.number.value=folder_num
	document.form1.parent.value=folder_num
	document.form1.expand.value=expand
	document.form1.i_n.value=what
	document.form1.type.value=type
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 3\)\{
	var reg_exp1 = \/\&\#39\/g
	var replace_string =\"\'\"
	name = name.replace\(reg_exp1,replace_string\)
	if\(confirm\(\"$LANGUAGE{$set_language}{Deletefolder} \' \"+name+\" \' $LANGUAGE{$set_language}{andallfoldersandquestionsunderitContinue} \"\)\) \{
	document.form3.expand.value=expand
	document.form3.number.value=folder_num
	document.form3.parent.value=parent
	document.form3.submit\(\)
	\}
	\}\n";
	
	print"else if\(what ==4\)\{\n";
	print"newwindo = window.open\(\"\",\"newwindo\",\"top=0,left=200,height=800,width=750\"\)\n";
	print"newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{CreateaQuestion}<\/title><\/head>\'\)\n";
	print"newwindo.document.writeln\(\'<frameset rows=\\\"55\%,\*\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"newwindo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"quest1\\\">\'\)\n";
	print"newwindo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"quest2\\\">\'\)\n";
	print"newwindo.document.writeln\(\'<\/frameset>\'\)\n";
	print"newwindo.document.writeln\(\'<\/html>\'\)\n";
	print"newwindo.document.close()\n";
	print"newwindo.focus\(\)\n";
	print"document.form6.type.value=type
	document.form6.name.value=name
	document.form6.number.value=folder_num
	document.form6.parent.value=parent
	document.form6.expand.value=expand
	document.form6.i_n.value=what
	document.form6.sub_type.value=sub_type
	document.form6.submit\(\)
	\}
	\}\n";
	
	&print_javascript_sub_form("form","form5");

        print"function sub_form1(expand) \{
        document.form5.expand.value = expand
        document.form5.qbank.value = 1
        document.form5.submit()
        \}\n";

        print"function display_bank_quest(what,q_number,dir_name,parent,expand,disply,sub_type,from) \{
        document.form1a.expand.value = expand
        document.form1a.number.value = q_number
        document.form1a.qbank.value = 1
        document.form1a.input.value = \"view_bank_quest\"
        document.form1a.submit()
        \}\n";

	print"function copy_quest\(new_num,expand\) \{
	var number = document.form8a.number.value
	if\(number != \"\"\) \{
	document.form8a.expand.value = expand
	document.form8a.folder_no.value = new_num
	document.form8a.submit\(\)
	\}
	else \{
	alert\(\"A question was not chosen to copy.\"\)
	\}
	\}\n";

        print"function export_quest\(folder_no\) \{
        newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=160,width=400\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Exportquestions}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form9.folder_no.value=folder_no
	document.form9.submit\(\)
	\}\n";
	
	print"function import_quest\(folder_no\) \{
        newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=250,width=440\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ImportQuestions}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form10.folder_no.value=folder_no
	document.form10.submit\(\)
	\}\n";
	
	print"function create_rename_handler\(what,q_number,dir_name,parent,expand,disply,sub_type,from,display_num\)\{
	display_it = \"display\"+disply
	close_open_windows\(\)
	if\(what == 1\)\{
	document.form1a.display_num.value=display_num
	document.form1a.expand.value=expand
	document.form1a.number.value=q_number
	document.form1a.type.value=disply
	document.form1a.submit\(\)
	\}\n";
	
	print"else if\(what == 2\) \{\n";
	print"newwindo = window.open\(\"\",\"newwindo\",\"top=0,left=200,height=720,width=770\"\)\n";
	print"newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeaQuestion}<\/title><\/head>\'\)\n";
	print"newwindo.document.writeln\(\'<frameset rows=\\\"54\%,\*\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"newwindo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"quest1\\\">\'\)\n";
	print"newwindo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"quest2\\\">\'\)\n";
	print"newwindo.document.writeln\(\'<\/frameset>\'\)\n";
	print"newwindo.document.writeln\(\'<\/html>\'\)\n";
	print"newwindo.document.close()\n";
	print"newwindo.focus\(\)\n";
	print"document.form7a.name.value=dir_name
	document.form7a.expand.value=expand
	document.form7a.number.value=q_number
	document.form7a.i_n.value=q_number
	document.form7a.sub_type.value=sub_type
	document.form7a.from.value=from
	document.form7a.type.value=disply
	document.form7a.submit\(\)
	\}\n";
	
	print"else if\(what ==3\)\{
	if\(confirm\(\"$LANGUAGE{$set_language}{Deletethisquestion} \"\)\) \{
	document.form2a.expand.value=expand
	document.form2a.sub_type.value=sub_type
	document.form2a.number.value=q_number
	document.form2a.submit\(\)
	\}
	\}
	
	else if\(what == 5\)\{
	document.form8a.number.value=q_number
	document.form5.copy_quest.value = q_number
	\}
	\}\n";
	
	&print_javascript_end();

	print"<BR>\n";
	&top_heading18("value","$stuff[4]","type","$QUEST{type}");
	print"</TABLE>\n";
	&get_instructors_question_categories("expand","$QUEST{expand}","type","$QUEST{type}","sub_type","$QUEST{sub_type}","from","1","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}","qbank","$QUEST{qbank}");
	print"<P>\n";
	
	if ($QUEST{qbank} == 1) {
		&questions_bank_show("expand","$QUEST{expand}");
		}
	else {
		print"<a href =\"javascript:sub_form1('1')\"> $image4</a> <B>$LANGUAGE{$set_language}{qbank}</B> \n";
		}
		
	&help;
	print"$LANGUAGE{$set_language}{1}\n";
	
	if($QUEST{is_there} > 0) {
		&print_javascript_begin();
		print"alert\(\"This question is included in a quiz, survey or test and cannot be deleted.\"\)\n";
		&print_javascript_end();
		}
		
	&print_form("form_name","form1","form_target","newwindo","input","create_rename","number","","expand","","i_n","","from","1","parent","","name","","type","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	&print_form("form_name","form1a","form_target","theleft","input","view_quest","number","i_n","expand","expand","from","1","type","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}","qbank","","display_num","");
	&print_form("form_name","form2a","form_target","theright","input","delete_question","number","i_n","expand","expand","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}","sub_type","$QUEST{sub_type}");
	&print_form("form_name","form3","input","delete_cc","number","","expand","","from","1","parent","","name","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	&print_form("form_name","form4","form_target","mida","input","create_qst","number","parent","expand","expand","i_n","","parent","parent","name","name","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	&print_form("form_name","form5","input","questions","expand","","copy_quest","$QUEST{copy_quest}","from","$QUEST{from}","type","$QUEST{type}","sub_type","$QUEST{sub_type}","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}","qbank","");
	&print_form("form_name","form5b","form_target","topb","input","make_top_screen","number","parent","expand","expand","i_n","","parent","parent","name","name","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");	&print_form("form_name","form6","form_target","quest1","input","make_quest","number","","expand","","i_n","","type","$QUEST{type}","parent","","name","","from","1","sub_type","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	&print_form("form_name","form7a","form_target","quest1","input","change_quest","number","i_n","expand","expand","i_n","i_n","sub_type","sub_type","from","","type","$QUEST{type}","parent","parent","name","name","disply","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	&print_form("form_name","form8a","form_target","theright","input","copy_quest","number","$QUEST{copy_quest}","expand","","folder_no","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	&print_form("form_name","form9","form_target","newwindo","input","print_export_quest","folder_no","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
            
        &print_form("form_name","form10","form_target","newwindo","input","print_import_quest","folder_no","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	}

######################
#
# QUESTIONS_BANK
#
#####################
sub questions_bank {
	my %QUEST = @_;
	my %RETURN = ();

	&print_collapse_the_display();
	
        print"<style=\"font-size:11pt; font-family:Arial\"><style>table.table1{ border-radius:6px; font-size:11pt; font-family:Arial;}</style>\n";
        
	&print_javascript_begin();
	print"var newwindo\n";
	print"var display_it\n";
	print"var quest1\n";
	print"var quest2\n";

	&javascript_show_stuff();

	print"function close_open_windows\(\) {
	if(!newwindo) {
	}else {
	newwindo.close()
	}
	\}\n";


	print"function click_handler\(what,folder_num,name,parent,expand,type,sub_type,from\) \{
	if\(what == 1\)\{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=150,width=400,toolbar=no,menubar=no,location=no,directories=no,scrollbars=no,status=no\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Renameafolder}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form1.name.value=name
	document.form1.expand.value=expand
	document.form1.number.value=folder_num
	document.form1.parent.value=parent
	document.form1.i_n.value=what
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 2\) \{
	newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=240,width=400\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Createafolder}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form1.name.value=name
	document.form1.number.value=folder_num
	document.form1.parent.value=folder_num
	document.form1.expand.value=expand
	document.form1.i_n.value=what
	document.form1.type.value=type
	document.form1.submit\(\)
	\}\n";
	
	print"else if\(what == 3\)\{
	var reg_exp1 = \/\&\#39\/g
	var replace_string =\"\'\"
	name = name.replace\(reg_exp1,replace_string\)
	if\(confirm\(\"$LANGUAGE{$set_language}{Deletefolder} \' \"+name+\" \' $LANGUAGE{$set_language}{andallfoldersandquestionsunderitContinue} \"\)\) \{
	document.form3.expand.value=expand
	document.form3.number.value=folder_num
	document.form3.parent.value=parent
	document.form3.submit\(\)
	\}
	\}\n";
	
	print"else if\(what ==4\)\{\n";
	print"newwindo = window.open\(\"\",\"newwindo\",\"top=20,left=200,height=720,width=750\"\)\n";
	print"newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{CreateaQuestion}<\/title><\/head>\'\)\n";
	print"newwindo.document.writeln\(\'<frameset rows=\\\"54\%,\*\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"newwindo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"quest1\\\">\'\)\n";
	print"newwindo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"quest2\\\">\'\)\n";
	print"newwindo.document.writeln\(\'<\/frameset>\'\)\n";
	print"newwindo.document.writeln\(\'<\/html>\'\)\n";
	print"newwindo.document.close()\n";
	print"newwindo.focus\(\)\n";
	print"document.form6.type.value=type
	document.form6.name.value=name
	document.form6.number.value=folder_num
	document.form6.parent.value=parent
	document.form6.expand.value=expand
	document.form6.i_n.value=what
	document.form6.sub_type.value=sub_type
	document.form6.submit\(\)
	\}
	\}\n";
	
	&print_javascript_sub_form("form","form5");


	print"function copy_quest\(new_num,expand\) \{
	var number = document.form8a.number.value
	if\(number != \"\"\) \{
	document.form8a.expand.value = expand
	document.form8a.folder_no.value = new_num
	document.form8a.submit\(\)
	\}
	else \{
	alert\(\"A question was not chosen to copy.\"\)
	\}
	\}\n";


	print"function create_rename_handler\(what,q_number,dir_name,parent,expand,disply,sub_type,from\)\{
	display_it = \"display\"+disply
	close_open_windows\(\)
	if\(what == 1\)\{
	document.form1a.expand.value=expand
	document.form1a.number.value=q_number
	document.form1a.type.value=disply
	document.form1a.submit\(\)
	\}\n";
	
	print"else if\(what == 2\) \{\n";
	print"newwindo = window.open\(\"\",\"newwindo\",\"top=0,left=200,height=720,width=750\"\)\n";
	print"newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeaQuestion}<\/title><\/head>\'\)\n";
	print"newwindo.document.writeln\(\'<frameset rows=\\\"57\%,\*\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"newwindo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"quest1\\\">\'\)\n";
	print"newwindo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"quest2\\\">\'\)\n";
	print"newwindo.document.writeln\(\'<\/frameset>\'\)\n";
	print"newwindo.document.writeln\(\'<\/html>\'\)\n";
	print"newwindo.document.close()\n";
	print"newwindo.focus\(\)\n";
	print"document.form7a.name.value=dir_name
	document.form7a.expand.value=expand
	document.form7a.number.value=q_number
	document.form7a.i_n.value=q_number
	document.form7a.sub_type.value=sub_type
	document.form7a.from.value=from
	document.form7a.type.value=disply
	document.form7a.submit\(\)
	\}\n";
	
	print"else if\(what ==3\)\{
	if\(confirm\(\"$LANGUAGE{$set_language}{Deletethisquestion} \"\)\) \{
	document.form2a.expand.value=expand
	document.form2a.sub_type.value=sub_type
	document.form2a.number.value=q_number
	document.form2a.submit\(\)
	\}
	\}
	
	else if\(what == 5\)\{
	document.form8a.number.value=q_number
	document.form5.copy_quest.value = q_number
	\}
	\}\n";
	
	print"function export_quest\(folder_no\) \{
        newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=160,width=440\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Exportquestions}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form9.folder_no.value=folder_no
	document.form9.submit\(\)
	\}\n";
	
	print"function import_quest\(folder_no\) \{
        newwindo = window.open\(\"\",\"newwindo\",\"top=200,left=350,height=260,width=440\"\)
	newwindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ImportQuestions}<\/title><\/head><body>\'\)
	newwindo.document.writeln\(\'<\/body><\/HTML>\'\)
	newwindo.document.close()
	newwindo.focus\(\)
	document.form10.folder_no.value=folder_no
	document.form10.submit\(\)
	\}\n";

	&print_javascript_end();

	&top_heading30("value","$stuff[4]","type","$QUEST{type}");
	print"</TABLE>\n";

	#get the number for their question bank
	my $query = qq{SELECT number from question_categories WHERE parent=\"0\" AND org_id=\"$org_id\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	my $bank_no = $sth->fetchrow_array();
	&get_bank_question_categories("expand","$QUEST{expand}","bank_no","$bank_no","type","$QUEST{type}","sub_type","$QUEST{sub_type}","from","1","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	print"<P>\n";
		
	&help;
	print"$LANGUAGE{$set_language}{4}\n";
	
	if($QUEST{is_there} > 0) {
		&print_javascript_begin();
		print"alert\(\"This question is included in a quiz, survey or test and cannot be deleted.\"\)\n";
		&print_javascript_end();
		}
		
	&print_form("form_name","form1","form_target","newwindo","input","create_rename_bank","number","","expand","","i_n","","from","1","parent","","name","","type","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	&print_form("form_name","form1a","form_target","theleft","input","view_bank_quest","number","i_n","expand","expand","from","1","type","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	&print_form("form_name","form2a","form_target","theright","input","delete_bank_question","number","i_n","expand","expand","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}","sub_type","$QUEST{sub_type}");
	&print_form("form_name","form3","input","delete_bank_cc","number","","expand","","from","1","parent","","name","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}","type","1");
	&print_form("form_name","form4","form_target","mida","input","create_qst","number","parent","expand","expand","i_n","","parent","parent","name","name","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	&print_form("form_name","form5","input","questions_bank","expand","","copy_quest","$QUEST{copy_quest}","from","$QUEST{from}","type","$QUEST{type}","sub_type","$QUEST{sub_type}","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	&print_form("form_name","form5b","form_target","topb","input","make_top_screen","number","parent","expand","expand","i_n","","parent","parent","name","name","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");	&print_form("form_name","form6","form_target","quest1","input","make_bank_quest","bank_no","$bank_no","number","","expand","","i_n","","type","$QUEST{type}","parent","","name","","from","1","sub_type","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	&print_form("form_name","form7a","form_target","quest1","input","change_bank_quest","number","i_n","expand","expand","i_n","i_n","sub_type","sub_type","from","","type","$QUEST{type}","parent","parent","name","name","disply","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	&print_form("form_name","form8a","form_target","theright","input","copy_bank_quest","number","$QUEST{copy_quest}","expand","","folder_no","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	
	&print_form("form_name","form9","form_target","newwindo","input","print_export_quest","folder_no","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
            
        &print_form("form_name","form10","form_target","newwindo","input","print_import_quest","folder_no","","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
	}

######################
#
# QUESTIONS_BANK_SHOW
#
#####################
sub questions_bank_show {
	my %QUEST = @_;
	my %RETURN = ();
        
	#get the number for their question bank
	my $query = qq{SELECT number from question_categories WHERE parent=\"0\" AND org_id=\"$org_id\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	my $bank_no = $sth->fetchrow_array();

	if($QUEST{expand} ==1) {
                $QUEST{expand} = "$bank_no";
                }
	&get_bank_question_categories_show("expand","$QUEST{expand}","bank_no","$bank_no","type","$QUEST{type}","sub_type","$QUEST{sub_type}","from","1","u_id","$QUEST{u_id}","session_id","$QUEST{session_id}");
		
        if($QUEST{is_there} > 0) {
		&print_javascript_begin();
		print"alert\(\"$LANGUAGE{$set_language}{Thisquestionisincludedinaquizsurveyortestandcannotbedeleted}\"\)\n";
		&print_javascript_end();
		}
	}

######################
#
# PRINT_IMPORT_QUEST
#
######################
sub print_import_quest {
        my %PIQ = @_;
        $PIQ{folder_no} =~ s/\D//g;
        
        &print_javascript_begin();
        
        print"function Show_Format\(format\) \{
	if\(format == 2\) \{
		owindo = window.open(\"/show_wordxml_format.htm\",\"owindo\",\"top=200,left=350,height=650,width=680\"\)
		owindo.focus()
	\}
	else if\(format == 3\) \{
		owindo = window.open(\"\",\"owindo\",\"top=100,left=350,height=200,width=480\"\)

		owindo.focus\(\)
		owindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{UploadMoodleXML}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)
		owindo.document.writeln\(\'<center><B>$LANGUAGE{$set_language}{ImportMoodleQuestions} </B></center><BR>\'\)
		owindo.document.writeln\(\'<center><Table width=\"80%\"><TR><TD>&nbsp\; $LANGUAGE{$set_language}{Onlycertainmoodlequestions}</B><BR><center><FONT style=\"font-family:Arial\; font-size:10pt\;\">$LANGUAGE{$set_language}{Matchingmayonlybetext}<BR>$LANGUAGE{$set_language}{Imagesinquestionsandanswerswillbeimported}</font></center></TD></TR></TABLE></center>\'\)
		owindo.document.writeln\(\'<BR><BR><center><TABLE width=\"100%\" $action_bar><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Close}</B></font></center></TD></TR></TABLE></center></FORM>\'\)
		owindo.document.writeln\(\'<\/body><\/html>\'\)
		owindo.document.close()
	\}
	else if\(format == 4\) \{
		owindo = window.open(\"\",\"owindo\",\"top=100,left=350,height=200,width=480\"\)
	
		owindo.focus\(\)
		owindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{UploadQTIquestions}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)
		owindo.document.writeln\(\'<center><B>$LANGUAGE{$set_language}{ImportQTIQuestions} </B></center>\'\)
		owindo.document.writeln\(\'<center>$LANGUAGE{$set_language}{xmlorzip} </center><BR>\'\)
		owindo.document.writeln\(\'<center><Table width=\"80%\"><TR><TD>&nbsp\; $LANGUAGE{$set_language}{Onlycertainqtiquestions}</B><BR><center><FONT style=\"font-family:Arial\; font-size:10pt\;\">$LANGUAGE{$set_language}{Matchingmayonlybetext}<BR>$LANGUAGE{$set_language}{Imagesinquestionsandanswerswillbeimported}</font></center></TD></TR></TABLE></center>\'\)
		owindo.document.writeln\(\'<BR><center><TABLE width=\"100%\" $action_bar><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Close}</B></font></center></TD></TR></TABLE></center></FORM>\'\)
		owindo.document.writeln\(\'<\/body><\/html>\'\)
		owindo.document.close()
	\}
	
	\}\n";
	
        print"function submit_export\(\) \{
	document.form1.submit\(\)
	\}\n";
	
	print"function check_handler\(\) \{
	spinner.style.display = \"block\"\;
	document.UPLOAD_XML.submit\(\)
	\}\n";
	
        &print_javascript_end();
         
        print"<center><B>$LANGUAGE{$set_language}{ImportQuestions}</B></center><BR>\n";
		
	if($PIQ{status} == 2) {
		print"<center>$LANGUAGE{$set_language}{Thefilewasnotuploaded}</center>\n";
		}
		
	print"<FORM ACTION=\"\/qst\/one\" NAME=\"UPLOAD_XML\" METHOD=POST enctype=\"multipart\/form-data\">
	<input type=\"hidden\" name=\"u_id\" value=\"$PIQ{u_id}\">
	<input type=\"hidden\" name=\"session_id\" value=\"$PIQ{session_id}\">
	<input type=\"hidden\" name=\"expand\" value=\"$PIQ{expand}\">
	<input type=\"hidden\" name=\"org_id\" value=\"$org_id\">
        <input type=\"hidden\" name=\"folder_no\" value=\"$PIQ{folder_no}\">
        <input type=\"hidden\" name=\"mode\" value=\"4\">\n";
        
	print"<center><B>$LANGUAGE{$set_language}{File}</B>\:&nbsp;<input type=\"file\"  name=\"importxml\" value=\"\" SIZE=\"20\"></center>
	<center><font size=\"-1\">$LANGUAGE{$set_language}{OnlyQSTWordXMLMoodleorQTIFormatssupported30MBMax}</font></center><P>\n";
        
        print"<div id=\"spinner\" style=\"display:none\;\"><center><img style=\"width: 100px;\" src=\"/schools/spinner-gif.gif\" border=\"0\"></center></div>\n";
        
        print"<center><TABLE width=\"90%\"><TR><TD><center>QST XML<BR><input type=\"radio\" name=\"import_type\" value=\"1\"></center></TD><TD><center> <font STYLE=\"cursor: pointer\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ClicktoseeWordXMLformat}\" onClick=\"Show_Format(2)\">Word XML</font><BR><input type=\"radio\" name=\"import_type\" value=\"2\"></center></TD><TD><center><font STYLE=\"cursor: pointer\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ClicktoseeMoodlequestiontypes}\" onClick=\"Show_Format(3)\">Moodle XML</font><BR><input type=\"radio\" name=\"import_type\" value=\"3\"></center></TD><TD><font STYLE=\"cursor: pointer\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ClicktoseeQTIquestiontypes}\" onClick=\"Show_Format(4)\"><center>QTI 2/3</font><BR><input type=\"radio\" name=\"import_type\" value=\"4\"></center></TD></TR></TABLE></center><P></FORM>\n";
        
        print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt; font-family:Arial;\"><B STYLE=\"cursor: pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Import} </B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B onClick=\"self.close()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
        }
        
        
##################
#
# IMPORT_QUESTS
#
#################
sub import_quests {
	my %IQ = @_;
	my $xmlcontents = $IQ{xmlcontents};
	my @bad_lines;
	my $keep_reading = 0;
	my $quest_no = 0;
        my %QUESTIONS = ();
        my %ANSWER_MX = ();
        my %NO_GOOD = ();
        my $question;
        my $answer_num = 0;
        my $answer;
        my $adv_ans_image;
        my $adv_ans_image_name;
        my $baimage_id;
        my $qimage;
        my $image_id;
        my $bq_image;
        my $bq_pdf;
        my $qimage_name;
        my $name_to_long = 0;
        my $type;
        my $error = 0;
        my $missing_answers = 0;
        my $import_from;
        
        if($u_type == 5) {
                $IQ{u_id} = 0;
                }
                
	$xmlcontents =~ s/\r[\n]*/\n/gm;
        my @lines = split(/\n/,$xmlcontents);

        if($IQ{import_format} == 1) {  # QST XML              ####################################################################
        	$import_from = "QST";
        	
            	foreach my $line_read(@lines) {
                	chomp $line_read;
                
                	next if($line_read eq"");
                
                	if($keep_reading == 1) {
                  	      	if($line_read =~ /<\/bq_image>$/) { # BASIC QUESTION done with image
					$line_read =~ s/<\/bq_image>//;
                           	     	$bq_image = "$bq_image"."$line_read";
                           	     	
                           	     	if(length($image_id) < $max_import_image_upload_size) {
                             	          	 $QUESTIONS{$quest_no}{bq_image} = $bq_image;
                            	            	}
                          	      	else {
                            	          	  $NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Imagetoobig}";
                             	          	 delete($QUESTIONS{$quest_no});
                            	          	  }
                                
                            	  	$bq_image = "";
                            	   	$image_id = "";
                          	    	$keep_reading = 0;
                           	    	$line_read = "";
                            	    	next;
                             	   	}
                       		else {
                                	$bq_image = "$bq_image"."$line_read";
                                	}
                        	}        
                                
                	if($keep_reading == 5) {
                        	if($line_read =~ /<\/question>$/) { # done with question
                                	$line_read =~ s/<\/question>//;
                                	$question = "$question"."$line_read";
                                	if(length($question) < $max_question_length_import) {
                                         	$QUESTIONS{$quest_no}{question} = $question;
                                        	}
                               		else {
                                        	$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questiontoobig}";
                                        	delete($QUESTIONS{$quest_no});
                                        	}
                               
                                	$question = "";
                                	$keep_reading = 0;
                                	next;
                                	}
                        	else {
                                	$question = "$question"."$line_read";
                                	next;
                                	}
                        	}
                        
                	if($keep_reading == 7) { # PDF in Basic Question
			        if($line_read =~ /<\/bq_pdf>$/) { # BASIC QUESTION done with pdf
					$line_read =~ s/<\/bq_pdf>//;
			                $bq_pdf = "$bq_pdf"."$line_read";
			                           	     	
			                if(length($bq_pdf) < $max_import_pdf_upload_size) {
			                	$QUESTIONS{$quest_no}{bq_pdf} = $bq_pdf;
			                        }
			                else {
			                        $NO_GOOD{$quest_no} = "PDF too big";
			                        delete($QUESTIONS{$quest_no});
			                        }
			                                
			                $bq_pdf = "";
			                $keep_reading = 0;
			                $line_read = "";
			                next;
			                }
			         else {
			                $bq_pdf = "$bq_pdf"."$line_read";
			                }
                        	}
                        	
                if($keep_reading == 6) {
                        if($line_read =~ /<\/answer>$/) { # done with answer
                                $line_read =~ s/<\/answer>//;
                                $answer = "$answer"."$line_read";
                                if(length($answer) < $max_answer_length_import) {
                                        if($type eq "MX") {
 #                                               $QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$answer} = 0;
                                                }
                                        else {
                                                $QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $answer;
                                                }
                                        }
                                else {
                                        $NO_GOOD{$quest_no} = "Answer too big";
                                        delete($QUESTIONS{$quest_no});
                                        }
                                        
                                if($type ne "MX") {
                                        $answer = "";
                                        }
                                $keep_reading = 0;
                                next;
                                }
                        else {
                                $answer = "$answer"."$line_read";
                                next;
                                }
                        }
                        
                if($keep_reading == 2) {
                        if($line_read =~ /<\/baimage_id>$/) { # done with BASIC answer image_id
                                $line_read =~ s/<\/baimage_id>//;
                                $baimage_id = "$baimage_id"."$line_read";
                                if(length($baimage_id) < $max_import_image_upload_size) {
                                        $QUESTIONS{$quest_no}{answer_num}{$answer_num}{baimage_id} = $baimage_id;
                                        }
                                else {
                                        $NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Imagetoobig}";
                                        delete($QUESTIONS{$quest_no});
                                        }

                                $baimage_id = "";
                                $keep_reading = 0;
                                next;
                                }
                        else {
                                $baimage_id = "$baimage_id"."$line_read";
                                next;
                                }
                        }
                
                if($keep_reading == 3) { # ADVANCED ANSWER IMAGES DONE
                        if($line_read =~ /<\/adv_ans_image>$/) { # done with answer image_id
                                $line_read =~ s/<\/adv_ans_image>//;
                                $adv_ans_image = "$adv_ans_image"."$line_read";
                                
                                if(length($adv_ans_image) < $max_import_image_upload_size) {
                                        $QUESTIONS{$quest_no}{answer_num}{$answer_num}{adv_ans_image_name}{$adv_ans_image_name} = $adv_ans_image;
                                        }
                                else {
                                        $NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Imagetoobig}";
                                        delete($QUESTIONS{$quest_no});
                                        }
                                
                                $adv_ans_image = "";
                                $adv_ans_image_name = "";
                                $keep_reading = 0;
                                next;
                                }
                        else {
                                $adv_ans_image = "$adv_ans_image"."$line_read";
                                $keep_reading = 3;
                                next;
                                }
                        }
                        
                if($keep_reading == 4) {
                        if($line_read =~ /<\/qimage>$/) { # ADVANCED QUESTION done with image
                                $line_read =~ s/<\/qimage>//;
                                $qimage = "$qimage"."$line_read";
                                my $decoded = decode_base64($qimage);
                                
                                if(length($qimage) < $max_import_image_upload_size) {
                                        if($name_to_long == 0) {
                                                $QUESTIONS{$quest_no}{qimage_name}{$qimage_name} = $decoded;
                                                }
                                        }
                                else {
                                        $NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Imagetoobig}";
                                        delete($QUESTIONS{$quest_no});
                                        }
                                
                                $qimage = "";
                                $qimage_name = "";
                                $keep_reading = 0;
                                $name_to_long = 0;
                                $line_read = "";
                                next;
                                }
                        else {
                                $qimage = "$qimage"."$line_read";
                                next;
                                }
                        }
                        
                        
                        
                        
                # LOOK FOR FIRST MATCH
                if($line_read =~ /^<item>/) {
                        ++$quest_no;
                        $answer_num = 0;
                        $answer = "";
                        $question = "";
                        $qimage = "";
                        $baimage_id = "";
                        $type = "";
                        next;
                        }
                        
                if($line_read =~ /^<type>[A-Z]*<\/type>$/) {
                        $type = $&;
                        $type =~ s/<type>//g;
                        $type =~ s/<\/type>//g;
                        my $type1 = substr($type, 0, 2);
                        $QUESTIONS{$quest_no}{type} = $type1;
                        next;
                        }
                        
                if($line_read =~ /^<mode>[0-9]<\/mode>$/) {
                        my $mode = $&;
                        $mode =~ s/<mode>//g;
                        $mode =~ s/<\/mode>//g;
                        my $mode1 = substr($mode, 0, 1);
                        $QUESTIONS{$quest_no}{mode} = $mode1;
                        next;
                        }
                        
                if($line_read =~ /^<sub_type>[0-9]*<\/sub_type>$/) {
                        my $sub_type = $&;
                        $sub_type =~ s/<sub_type>//g;
                        $sub_type =~ s/<\/sub_type>//g;
                        my $sub_type1 = substr($sub_type, 0, 1);
                        $QUESTIONS{$quest_no}{sub_type} = $sub_type1;
                        next;
                        }
                        
                if($line_read =~ /^<ans_mode>[0-9]<\/ans_mode>$/) {
                        my $ans_mode = $&;
                        $ans_mode =~ s/<ans_mode>//g;
                        $ans_mode =~ s/<\/ans_mode>//g;
                        
                        my $ans_mode1 = substr($ans_mode, 0, 1);
                        $QUESTIONS{$quest_no}{ans_mode} = $ans_mode1;
                        next;
                        }
                        
                if($line_read =~ /^<value>[0-9]*<\/value>$/) {
                        my $value = $&;
                        $value =~ s/<value>//g;
                        $value =~ s/<\/value>//g;
                        
                        my $value1 = substr($value, 0, 2);
                        $QUESTIONS{$quest_no}{value} = $value1;
                        next;
                        }
                        
                if($line_read =~ /^<descrip>[a-zA-Z0-9 _+-=]*<\/descrip>$/) {
                        my $descrip = $&;
                        $descrip =~ s/<descrip>//g;
                        $descrip =~ s/<\/descrip>//g;

                        if(length($descrip) < $max_descrip) {
                                $QUESTIONS{$quest_no}{descrip} = $descrip;
                                }
                        else {
                                $NO_GOOD{$quest_no} = "Description longer then 70";
                                }

                        next;
                        }

		if($line_read =~ /^<bq_pdf_name>[a-zA-Z0-9_\-\.]*<\/bq_pdf_name>$/) { # BASIC question pdf name
			my $bq_pdf_name = $&;
		        $bq_pdf_name =~ s/<bq_pdf_name>//g;
		        $bq_pdf_name =~ s/<\/bq_pdf_name>//g;
		                        
		        if(length($bq_pdf_name) < $max_image_name) {
		                $QUESTIONS{$quest_no}{bq_pdf_name} = $bq_pdf_name;
		        	}
		        else {
		                $NO_GOOD{$quest_no} = "PDF name longer then 50";
		                }
		                       
		        next;
                        }
                        
		if($line_read =~ /^<bq_pdf>/) { # BASIC QUESTION pdf
		        $line_read =~ s/<bq_pdf>//;
		        $bq_pdf = "$line_read";
		        $keep_reading = 7;
		        next;
                        }
                        
                if($line_read =~ /^<bq_image_name>[a-zA-Z0-9\-_\.]*<\/bq_image_name>$/) { # BASIC question image name
                        my $bq_image_name = $&;
                        $bq_image_name =~ s/<bq_image_name>//g;
                        $bq_image_name =~ s/<\/bq_image_name>//g;
                        
                        if(length($bq_image_name) < $max_image_name) {
                                 $QUESTIONS{$quest_no}{bq_image_name} = $bq_image_name;
                                }
                        else {
                                $NO_GOOD{$quest_no} = "Image name longer then 50";
                                }
                       
                        next;
                        }
                        
                if($line_read =~ /^<bq_image>/) { # BASIC QUESTION image
                        $line_read =~ s/<bq_image>//;
                        $bq_image = "$line_read";
                        $keep_reading = 1;
                        next;
                        }
                        
                if($line_read =~ /^<qimage_name>/) { # ADVANCED question images names
                        $qimage_name = "";
                        $qimage_name = $';
                        $qimage_name =~ s/<\/qimage_name>//g;

                        if(length($qimage_name) < $max_image_name) {
                                $QUESTIONS{$quest_no}{qimage_name}{$qimage_name} = 0;
                                
                                }
                        else {
                                $name_to_long = 1;
                                $qimage_name = "";
                                $NO_GOOD{$quest_no} = "Image name longer then 50";
                                }
                                
                        next;
                        }
                        
                if($line_read =~ /^<qimage>/) { # ADVANCED question image
                        if($line_read =~ /<\/qimage>$/) {
                                $qimage = $line_read;
                                $qimage =~ s/<qimage>//;
                                $qimage =~ s/<\/qimage>//;
                                
                                if(length($qimage) < $max_import_image_upload_size) {
                                        $QUESTIONS{$quest_no}{qimage_name}{$qimage_name} = $qimage;
                                        }
                                else {
                                        $NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Imagetoobig}";
                                        delete($QUESTIONS{$quest_no});
                                        }
                                         
                                $qimage = "";
                                $qimage_name = "";
                                $keep_reading = 0;
                                $line_read = "";
                                next;
                                }
                        else {
                                $line_read =~ s/^<qimage>//;
                                $qimage = $line_read;
                                $keep_reading = 4;
                                next;
                                }
                        }
                
                if($line_read =~ /^<question>/) { 
                        $question = $';
                        
                        if($line_read =~ /<\/question>$/) {
                                $question =~ s/<\/question>//;
                                if(length($question) < $max_question_length_import || $question eq "") {
                                        $QUESTIONS{$quest_no}{question} = $question;
                                        }
                                else {
                                        $NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questiontoobigorempty}";
                                        delete($QUESTIONS{$quest_no});
                                        }
                                
                                $question = "";
                                $keep_reading = 0;
                                next;
                                }
                        else {
                                $keep_reading = 5;
                                next;
                                }
                        }
                        
                if($line_read =~ /^<vlink>[0-9]*<\/vlink>$/) { 
                        my $vlink = $&;
                        $vlink =~ s/<vlink>//g;
                        $vlink =~ s/<\/vlink>//g;
                        
                        my $vlink1 = substr($vlink, 0, 150);
                        $QUESTIONS{$quest_no}{vlink} = $vlink1;
                        next;
                        }
                        
                if($line_read =~ /^<alink>[0-9]*<\/alink>$/) {
                        my $alink = $&;
                        $alink =~ s/<alink>//g;
                        $alink =~ s/<\/alink>//g;
                        
                        my $alink1 = substr($alink, 0, 150);
                        $QUESTIONS{$quest_no}{alink} = $alink1;
                        next;
                        }
                        
                if($line_read =~ /^<kolum>[0-9]*<\/kolum>$/) {
                        my $kolum = $&;
                        $kolum =~ s/<kolum>//g;
                        $kolum =~ s/<\/kolum>//g;
                        
                        my $kolum1 = substr($kolum, 0, 1);
                        $QUESTIONS{$quest_no}{kolum} = $kolum1;
                        next;
                        }
                
                if($line_read =~ /^<answers>/) {
                        ++$answer_num;
                        next;
                        }
                        
                if($line_read =~ /^<c_answer>[0-9]*<\/c_answer>$/) {
                        my $c_answer = $&;
                        $c_answer =~ s/<c_answer>//g;
                        $c_answer =~ s/<\/c_answer>//g;
                        
                        my $c_answer1 = substr($c_answer, 0, 2);
                        
                        if($type eq "MX") {
                                $QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$c_answer1} = $answer;
                                }
                        else {
                                $QUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = $c_answer1;
                                }
                                
                        $answer = ""; # FOR MX ANSWERS
                        next;
                        }
                        
                if($line_read =~ /^<answer>/) {
                        $answer = $';
                        
                        # check for images
                        my @files;
                        
                        while($answer =~ /(\/schools\/qst_files\/[a-zA-Z0-9\-._]*)+/g) {
                                push(@files, $&);                                       
                                }
 
                        if($line_read =~ /<\/answer>$/) {
                                $answer =~ s/<\/answer>//;
                                
                                if(length($answer) < $max_answer_length_import) {
                                        if($type eq "MX") {
#                                                $QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$answer} = 0;
                                                }
                                        else {
                                                $QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $answer;
                                                }
                                        }
                                else {
                                        $NO_GOOD{$quest_no} = "Answer too big";
                                        delete($QUESTIONS{$quest_no});
                                         }
                                
                                if($type ne "MX") {
                                        $answer = "";
                                        }
                                $keep_reading = 0;
                                next;
                                }
                        else {
                                $keep_reading = 6;
                                next;
                                }
                        }
                        
                if($line_read =~ /^<adv_ans_image_name>[a-zA-Z0-9\-_\.]*<\/adv_ans_image_name>$/) { # ADVANCED ANSWER IMAGE NAME
                        $adv_ans_image_name = $&;
                        $adv_ans_image_name =~ s/<adv_ans_image_name>//g;
                        $adv_ans_image_name =~ s/<\/adv_ans_image_name>//g;

                        if(length($adv_ans_image_name) < $max_image_name) {
                                $QUESTIONS{$quest_no}{answer_num}{$answer_num}{adv_ans_image_name}{$adv_ans_image_name} = 0;
                                }
                        else {
                                $NO_GOOD{$quest_no} = "Image name longer then 50";
                                }
                        next;
                        }
                        
                        
                if($line_read =~ /^<adv_ans_image>/) { # ADVANCED ANSWER IMAGES
                        $adv_ans_image = $';
                        
                        if($adv_ans_image =~ /<\/adv_ans_image>$/) {
                                $adv_ans_image =~ s/<\/adv_ans_image>//;
                                if(length($adv_ans_image) < $max_import_image_upload_size) {
                                        $QUESTIONS{$quest_no}{answer_num}{$answer_num}{adv_ans_image_name}{$adv_ans_image_name} = $adv_ans_image;
                                        }
                                else {
                                        $NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Imagetoobig}";
                                        delete($QUESTIONS{$quest_no});
                                        }
                                         
                                $adv_ans_image = "";
                                $keep_reading = 0;
                                next;
                                }
                        else {
                                $keep_reading = 3;
                                next;
                                }
                        }
                        
                        
                if($line_read =~ /^<q_order>[0-9]*<\/q_order>$/) {
                        my $q_order = $&;
                        $q_order =~ s/<q_order>//g;
                        $q_order =~ s/<\/q_order>//g;
                        
                        my $q_order1 = substr($q_order, 0, 3);
                        $QUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $q_order1;
                        next;
                        }
                        
                if($line_read =~ /^<baimage_id_name>[a-zA-Z0-9\-_\.]*<\/baimage_id_name>$/) { # BASIC ANSWER IMAGE NAME
                        my $baimage_id_name = $&;
                        $baimage_id_name =~ s/<baimage_id_name>//g;
                        $baimage_id_name =~ s/<\/baimage_id_name>//g;

                        if(length($baimage_id_name) < $max_image_name) {
                                $QUESTIONS{$quest_no}{answer_num}{$answer_num}{baimage_id_name} = $baimage_id_name;
                                }
                        else {
                                $NO_GOOD{$quest_no} = "Image name longer then 50";
                                }
                        next;
                        }
                        
                if($line_read =~ /^<baimage_id>/) { # BASIC ANSWER IMAGE
                        $baimage_id = $';

                        if($baimage_id =~ /<\/baimage_id>$/) {
                                $baimage_id =~ s/<\/baimage_id>//;
                                if(length($baimage_id) < $max_import_image_upload_size) {
                                        $QUESTIONS{$quest_no}{answer_num}{$answer_num}{baimage_id} = $baimage_id;
                                        }
                                else {
                                        $NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Imagetoobig}";
                                        delete($QUESTIONS{$quest_no});
                                        }
                                         
                                $baimage_id = "";
                                $keep_reading = 0;
                                next;
                                }
                        else {
                                $keep_reading = 2;
                                next;
                                }
                        }
                        
                	if($line_read =~ /^<\/item>/) {
                       		$answer_num = 0;
                        	$answer = "";
                        	$question = "";
                        	$qimage = "";
                        	$qimage_name = "";
                       		$bq_image = "";
                        	$baimage_id = "";
                        	$name_to_long = 0;
                        	$image_id = "";
                        	next;
                        	}
                        
                	} # FINISHED READING $xmlcontents
                
         	} #done with QST XML
                
                
         elsif($IQ{import_format} == 3) {  # MOODLE XML    ########################################################
         	my $keep_going = 0;
         	my $question_active = 0;
         	my %CORRECT_ANSWER = ();
         	$import_from = "MOODLE";
         	my $mx_right = 0;
         	my $name_tag = 0;
         	# $xmlcontents =~ s/\r[\n]*/\n/gm;
         	
            	foreach my $line_read(@lines) {
                	chomp $line_read;
                
                	next if($line_read eq"");
                	$line_read = &l_spaces("$line_read","0");
                	$line_read = &tr_spaces("$line_read","0");
                	next if($line_read =~ /<\/name>/);
                
			if($keep_going == 1) { #
				if($line_read =~ /<text>/) { #Description
					$line_read =~ s/<text>//;
					$line_read =~ s/<\/text>//;
					$line_read = &spec_char("$line_read","0");

					if(length($line_read) > 0) {
		        			if(length($line_read) < $max_descrip) {
							$QUESTIONS{$quest_no}{descrip} = $line_read;
							}
						else {
							my $descr = substr($line_read, 0, $max_descrip);
							$QUESTIONS{$quest_no}{descrip} = $descr;
							}
						}
					else {
						my $descr = substr($line_read, 0, $max_descrip);
						$QUESTIONS{$quest_no}{descrip} = $descr; 
						}
                               		}
                               		
                        	$keep_going = 0;
                        	next;
                       		}        
                        
                 	if($keep_going == 2) { # for questiontext
				if($line_read =~ /<text>/) { # ACTUAL QUESTION
					$line_read =~ s/<text><!\[CDATA\[//;
					$line_read =~ s/\]\]><\/text>$//;
					$line_read =~ s/\@\@PLUGINFILE\@\@\//\/schools\/qst_files\//g;

					if(length($line_read) > 0) {
		        			if(length($line_read) < $max_question_size) {
		        				# Change image width to 450, remove image height
							$_ = $line_read;
							/(width=\"[0-9]*\")/;
															
							if($& ne"") {
								my @width = split(/\"/,$&);
								if($width[1] > 450) {
									$line_read =~ s/$&/width=\"450\"/;
									$line_read =~ s/height=\"[0-9]*\"//g; # Remove height cause we don't know the ratio
									}
		        					}
		        					
		        				# Remove the class the image belongs to
							if($line_read =~ /class=\"[a-zA-Z0-9\-_ ]*\"/) {
								$_ = $line_read;
								/class=\"[a-zA-Z0-9\-_ ]*\"/;
								$line_read =~ s/$&//g;
		        					}
		        					
							$QUESTIONS{$quest_no}{question} = $line_read;
							}
						else {
							$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questiontoobigorempty}";
				               	 	delete($QUESTIONS{$quest_no});
							}
						}
					$keep_going = 0;
                                	}
                                	
                                if($line_read =~ /^<file name=\"/) { # IMAGE in QUESTION
				        my @file = split(/encoding=\"base64\">/,$line_read);
				        my @image_name = split(/\"/,$file[0]);
				        my $image_nam = $image_name[1];
				        $file[1] =~ s/<\/file>//;
				        my $qimage = $file[1];

					if(length($qimage) < $max_import_image_upload_size) {
						if($question_active == 1) { #Part of question
							my $decoded = decode_base64($qimage);
							$QUESTIONS{$quest_no}{qimage_name}{$image_nam} = $decoded;
							}
										
						else {	# Part of answer IMAGE GETS DECODED LATER
						        $QUESTIONS{$quest_no}{answer_num}{$answer_num}{adv_ans_image_name}{$image_nam} = $qimage;
				              		}
						}
					else {
						$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Imagetoobig}";
						delete($QUESTIONS{$quest_no});
						}
											                               
					$qimage = "";
				        $qimage_name = "";
				        next;
	                		}
                        	next;
                        	}               
                        
                	if($keep_going == 3) { #
				if($line_read =~ /^<text>/) { # ANSWER
					if(length($line_read) < $max_answer_length_import) {
						$line_read =~ s/<text><!\[CDATA\[//;
						$line_read =~ s/\]\]><\/text>//;
						$line_read =~ s/<text>//;
						$line_read =~ s/<\/text>$//;
						$line_read =~ s/\@\@PLUGINFILE\@\@\//\/schools\/qst_files\//g;

						if($QUESTIONS{$quest_no}{type} eq "TF") {
							$QUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = 1;
							$line_read =~ s/<text>//;
							$line_read =~ s/<\/text>$//;
				      	  		if($CORRECT_ANSWER{$answer_num} == 1) {
				      	  			if($line_read eq"true") {
				        				$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = "T";
				        				}
				        			elsif ($line_read eq"false") {
				        				$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = "F";
				        				}
				      				$QUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 1;
				        			}
				        		else {
				        			delete($QUESTIONS{$quest_no}{answer_num}{$answer_num});
				        			}
                					}
                			
                				elsif($QUESTIONS{$quest_no}{type} eq "SA") { 
                					$line_read =~ s/<\/text>$//;
                					$line_read =~ s/^<text>//;
                					my $total_answers = "";
                					
                					if ($QUESTIONS{$quest_no}{answer_num}{1}{answer} ne"") {
                						$total_answers = $QUESTIONS{$quest_no}{answer_num}{1}{answer};
                						$total_answers = "$total_answers".", "."$line_read";
                						}
                					else {
                						$total_answers = $line_read;
                						}
                						
                					my $value = substr($total_answers, 0, 70);
                					$QUESTIONS{$quest_no}{answer_num}{1}{q_order} = 1;
                					$QUESTIONS{$quest_no}{answer_num}{1}{answer} = $value;
                					$QUESTIONS{$quest_no}{answer_num}{1}{c_answer} = 1;
                					}
                				
                				elsif($QUESTIONS{$quest_no}{type} eq "P") { 
                					if(length($line_read) < $max_question_size) {
					       			$line_read =~ s/<\/text>$//;
					        		$line_read =~ s/^<text>//;
					        		$line_read =~ s/"/&quot;/g;
					        		$QUESTIONS{$quest_no}{answer_num}{1}{q_order} = 1;
					        		$QUESTIONS{$quest_no}{answer_num}{1}{c_answer} = 1;
					        		$QUESTIONS{$quest_no}{answer_num}{1}{answer} = $line_read;
					        		$QUESTIONS{$quest_no}{value} = 1;
					        		$answer_num = 0
					        		}
                					}
                				
                				else {            
							# Change image width to 450, remove image height
							$_ = $line_read;
							/(width=\"[0-9]*\")/;
								
							if($& ne"") {
								my @width = split(/\"/,$&);
								
								if($width[1] > 450) {
									$line_read =~ s/$&/width=\"450\"/;
									$line_read =~ s/height=\"[0-9]*\"//g; # Remove height cause we don't know the ratio
		        						}
		        					
		        					# Remove the class the image belongs to
		        					if($line_read =~ /class=\"[a-zA-Z0-9\-_ ]*\"/) {
		        						$_ = $line_read;
		        						/class=\"[a-zA-Z0-9\-_ ]*\"/;
		        						$line_read =~ s/$&//g;
		        						}
		        						
		        					$line_read =~ s/"/&quot;/g;
				       		 		$QUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = $CORRECT_ANSWER{$answer_num};
				       		 		$QUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
				        			$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $line_read;
				        			}
				        		}
				        	}
					else {
						$NO_GOOD{$quest_no} = "Answer too big";
				       		delete($QUESTIONS{$quest_no});
						}
		                 	}
		        	$keep_going = 0;
		        	next;
                        	}               
                         
                         if($keep_going == 4) { # MATCHING TEXT 
			 	if($line_read =~ /^<text>/) { #
			 		$line_read =~ s/^<text>//;
			 		$line_read =~ s/<\/text>$//;
	
			 		if($mx_right == 1) { # The RIGHT SIDE
			 			my $value = substr($line_read, 0, 70);
			 			$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{1} = $value;
						$QUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
			 			$mx_right = 0;
			 			}
			 		
			 		else { # THE LEFT SIDE, there also can be no left side
			 			++$answer_num;
			 			
			 			if($line_read =~ /<!\[CDATA\[/) {
			 				$line_read =~ s/<!\[CDATA\[//;  #<text><![CDATA[<p dir="ltr" style="text-align: left;">edmonton<br></p>]]></text>
							$line_read =~ s/\]\]>//;
							$_ = $line_read;
							/>[a-z ]*/;
							$line_read =~ s/$`//g;
							$line_read =~ s/"/'/g;
							$line_read =~ s/^>//;
							$line_read =~ s/<BR>//ig;
							$line_read =~ s/<\/p>//ig;
							}
						
						my $value = substr($line_read, 0, 70);
						if($value ne"") {
			 				$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{0} = $value;
			 				$QUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
			 				}
			 			$mx_right = 1;
			 			}
			 		}
			 		
			 	$keep_going = 0;
			 	next;
			 	}
                        
                        
                        
                        
               		# LOOK FOR FIRST MATCH
                	if($line_read =~ /^<question type=\"[a-z]*\">/) { # QUESTION
                       		++$quest_no;
                        	my @type = split(/\"/,$line_read);
                        	if ($type[1] eq "multichoice") {
                        		$QUESTIONS{$quest_no}{type} = "MC";
                        		}
                        	elsif ($type[1] eq "truefalse") {
			        	$QUESTIONS{$quest_no}{type} = "TF";
                        		}
                       		elsif ($type[1] eq "shortanswer") {
					$QUESTIONS{$quest_no}{type} = "SA";					
                        		}
                        	elsif ($type[1] eq "matching") {
					$QUESTIONS{$quest_no}{type} = "MX";
                        		}
                        	elsif ($type[1] eq "essay") {
					$QUESTIONS{$quest_no}{type} = "P";
                        		}
                        	next;
                        	}
                        
                	if($line_read =~ /^<name>/) { # Next line has description
                        	$keep_going = 1;
                        	$name_tag = 1;
                        	next;
                        	}
                        	
                        if($line_read =~ /^<subquestion/) { # Matching
                        	$QUESTIONS{$quest_no}{mode} = 1;
				$QUESTIONS{$quest_no}{sub_type} = 1;
				$QUESTIONS{$quest_no}{kolum} = 1;
				$QUESTIONS{$quest_no}{ans_mode} = 1;
				$QUESTIONS{$quest_no}{vlink} = 0;
				$QUESTIONS{$quest_no}{alink} = 0;
			        $keep_going = 4;
			        next;
                        	}
                        
                	if($line_read =~ /^<questiontext format=\"[a-z_]*\">/) { # The QUESTION MODE
                		my @format = split(/\"/,$line_read);
                		my $mode = 0;
                		if($format[1] eq"html") {
                			$mode = 1;
                			}
                		elsif($format[1] eq"plain_text") {
			        	$mode = 0;
                			}
                		
                		$QUESTIONS{$quest_no}{mode} = $mode;
                		$QUESTIONS{$quest_no}{sub_type} = 1;
				$QUESTIONS{$quest_no}{kolum} = 1;
				$QUESTIONS{$quest_no}{ans_mode} = 1;
				$QUESTIONS{$quest_no}{vlink} = 0;
				$QUESTIONS{$quest_no}{alink} = 0;

		        	$keep_going = 2;
		        	$question_active = 1;
		        	next;
                        	}
                        
                	if($line_read =~ /^<file name=\"/) { # IMAGE in QUESTION or ANSWER
                		my @file = split(/encoding=\"base64\">/,$line_read);
                		my @image_name = split(/\"/,$file[0]);
                		my $image_nam = $image_name[1];
                		$file[1] =~ s/<\/file>//;
                		my $qimage = $file[1];
			        
			        if(length($qimage) < $max_import_image_upload_size) {
			        	if($question_active == 1) { #Part of question
			        		my $decoded = decode_base64($qimage);
						$QUESTIONS{$quest_no}{qimage_name}{$image_nam} = $decoded;
						}
						
					else {	# Part of answer IMAGE GETS DECODED LATER
						
					        $QUESTIONS{$quest_no}{answer_num}{$answer_num}{adv_ans_image_name}{$image_nam} = $qimage;
                        			}
					}
				else {
					$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Imagetoobig}";
					delete($QUESTIONS{$quest_no});
					}
							                               
				$qimage = "";
                        	$qimage_name = "";
                		next;
                		}
                
                	if($line_read =~ /^<\/questiontext>/) { # END of question
				$question_active = 0;
				next;
                        	}
                        	
                	if($line_read =~ /^<defaultgrade>/) { # VALUE of question
		        	$line_read =~ s/^<defaultgrade>//;
				$line_read =~ s/^<\/defaultgrade>//;
				$line_read =~ s/\s//g;
				$line_read =~ s/\D//g;
				
				if ($line_read eq"") {
					$line_read = 1;
					}
				
				my $value = substr($line_read, 0, 3);
				$QUESTIONS{$quest_no}{value} = $value;
				next;
                        	}
                        
                	if($line_read =~ /^<single>/) {
				$answer_num = 0;
				$line_read =~ s/^<single>//;
				$line_read =~ s/^<\/single>//;
				$line_read =~ s/\s//g;

				if($line_read =~ /false/) {
					$QUESTIONS{$quest_no}{type} = "MA";
					}
				next;
		        	}
                
                	if($line_read =~ /^<shuffleanswers>/) {
				$answer_num = 0;
				next;
		        	}
		        
			# ANSWERS
                	if($line_read =~ /^<answer fraction=\"/) { # BEGINNING OF AN ANSWER and The Value of the answer
                	
                		my @ans_value = split(/\"/,$line_read);
                		++$answer_num;
                		$ans_value[1] =~ s/\D//g;
                		
                		if($ans_value[1] > 0) {
                			$ans_value[1] = 1;
                			}
                			
                		my $value = substr($ans_value[1], 0, 3);
                		$CORRECT_ANSWER{$answer_num} = "$value";

                		if($ans_value[3] eq"html") {
                			$QUESTIONS{$quest_no}{ans_mode} = 1;
                			}
                		else {
                			$QUESTIONS{$quest_no}{ans_mode} = 0;
                			}
                		$keep_going = 3;
		        	next;
		        	}
		        
		        # MATCHING ANSWERS
		        if($line_read =~ /^<answer>/ && $QUESTIONS{$quest_no}{type} eq"MX") { 
		        	$keep_going = 4;
		        	next:
		        	}
		        
		        if($line_read =~ /^<graderinfo format=\"[a-z_]*\">/) { # The ESSAY/PARAGRAPH ANSWER MODE
				my @format = split(/\"/,$line_read);
			     	my $mode = 0;
			       
			        if($format[1] eq"html") {
			                $mode = 1;
			                }
			        elsif($format[1] eq"plain_text") {
					$mode = 0;
			                }
			        					
			        $QUESTIONS{$quest_no}{q_order} = 1;
			        $QUESTIONS{$quest_no}{mode} = $mode;
			        $QUESTIONS{$quest_no}{sub_type} = 1;
				$QUESTIONS{$quest_no}{kolum} = 1;
				$QUESTIONS{$quest_no}{ans_mode} = 1;
				$QUESTIONS{$quest_no}{vlink} = 0;
				$QUESTIONS{$quest_no}{alink} = 0;
			
				$answer_num = 0;
				$keep_going = 3;
				next;
                        	}
                        	
			if($line_read =~ /<\/question>$/) { # done with question
				%CORRECT_ANSWER = ();
				$answer_num = 0;
				next;
				}
			              
                	} # FINISHED READING FILE
                			
		} # DONE with MOODLE XML
		
            

         
         
         elsif ($IQ{import_format} == 2) {  # WORD XML            ####################################################################
                my $number = 1;
                my %ANS_IMAGE = (); # To keep track of question number and answer number associated with the image
                my %QUEST_IMAGES = ();
                my %IMAGE_RELATION = ();
                my %REL_TO_NUMBER = ();
                my %REVERSE_REL_TO_NUMBER = ();
                my %ANSWER_IMAGE_URL = ();
                my %QUESTION_IMAGE_URL = ();
                $import_from = "WORD";
                
                my @items = split(/>\s*QST\s*/,$xmlcontents); # split by >QST
                shift(@items); # DO NOT NEED FIRST PART is stuff before first question
               
                foreach my $item(@items){
                        my @item_pieces = split(/\)@/,$item); # split for answers
                        my $question = shift(@item_pieces);
                        my $real_question;
                  
                        # QUESTIONS
                        if($question =~ /<v:imagedata r:id=[a-zA-Z0-9 :\\="]*\/>/ || $question =~ /<a:blip r:embed=[a-zA-Z0-9"\/]*>/ || $question =~ /<wp:docPr id=[a-zA-Z0-9" \.:-_\=\/]*\/>/) {
                                if($question =~ /<wp:docPr id="[a-zA-Z0-9" \.-_]*"\/>/) {
                                	my @blip = ($question =~ /<wp:docPr id="[a-zA-Z0-9" \.-_]*"\/>/g);
                                        foreach my $blp(@blip) {
                                        	my @pic = split(/name=/,$blp);
                                                my @id = split(/\"/,$pic[1]);
                                                if($id[1] =~ /\.png/ || $id[1] =~ /\.jpeg/ || $id[1] =~ /\.jpg/ || $id[1] =~ /\.gif/) {
                                                            }
                                                }
                                        }

                                elsif($question =~ /<wp:docPr id=[a-zA-Z0-9" \.:-_\=\/]*\/>/) {
                                	my @blip = ($question =~ /<wp:docPr id=[a-zA-Z0-9" \.:-_\=\/]*\/>/g);
                                        foreach my $blp(@blip) {
                                        	my @pic = split(/name=/,$blp);
                                                my @id = split(/\"/,$pic[1]);
                                                if($id[3] =~ /http/ ) {
                                                	$QUESTION_IMAGE_URL{$number}{question} = "<img src=\"$id[3]\">";
                                                        }
                                                }
                                        }
                                            
                                if($question =~ /<a:blip r:embed=[a-zA-Z0-9" \=\/]*>/) { # <a:blip r:embed="rId10" cstate="print">
                                        my @blip = ($question =~ /<a:blip r:embed=[a-zA-Z0-9" \=\/]*>/g);
                                        foreach my $blp(@blip) {
                                                my @pic = split(/r:/,$blp);
                                                my @id = split(/\"/,$pic[1]);
                                                $QUEST_IMAGES{$number}{images}{$id[1]} = "$id[1]";
                                                $REL_TO_NUMBER{$id[1]} = "$number";
                                                $REVERSE_REL_TO_NUMBER{$number}{$id[1]} = "$id[1]";
                                                }
                                        }
                                        
                                if($question =~ /<v:imagedata r:id=[a-zA-Z0-9 :\\="]*\/>/) {
                                        my @idata = ($question =~ /<v:imagedata r:id=[a-zA-Z0-9 :\\="]*\/>/g);
                                        foreach my $idat(@idata) {
                                                my @pic = split(/r:/,$idat);
                                                my @id = split(/\"/,$pic[1]);
                                                $QUEST_IMAGES{$number}{images}{$id[1]} = "$id[1]";
                                                $REL_TO_NUMBER{$id[1]} = "$number";
                                                }
                                        }
                                }
                      
                        # QUESTION text should only be <w:t xml:space="preserve"> here </w:t> or <w:t> here </w:t>, seems rest is markup
                        my @list = split(/<\/w:t>/,$question);
                         
                        # sometimes question is in with QST separator
                        my $check_empty = $list[0];
                        $check_empty =~ s/\s*//g;
                        if($check_empty ne"") {
                                $real_question = "$list[0]";
                                }
                                        
                        foreach my $p(@list) {
                                my $new_line;			                                
			        if($p =~ /<w:pPr\>/) {
			        	$new_line = "<P>";
			        	}
                                my @quest = split(/<w:t[ xml:space="preserve"]*>/,$p);
                                my $check_empty1 = $quest[1];
                                $check_empty1 =~ s/\s*//g;
                                if($check_empty1 ne"") {
                                        $real_question = "$real_question"."$new_line $quest[1]";
                                        }
                                }
                        
                        # if image, add correct tag for it
                        my $answer_num = 1;
                        if(keys %{$QUEST_IMAGES{$number}{images}}) {
                                foreach my $img (keys %{$QUEST_IMAGES{$number}{images}}) {
                                        $real_question = "$real_question"." "."<BR><BR><img  src=\"/schools/qst_files/$img\">"; #style=\"width: 450px;\"
                                        }
                                }
                        
                        $QUESTIONS{$number}{question} = "$real_question";
                        # Remove <P> for Description
			my $clean_quest = $real_question;
			$clean_quest =~ s/<P\>/ /g;
			my $descrip = substr($clean_quest, 0, 69);
                        $QUESTIONS{$number}{descrip} = "$descrip";
                        $QUESTIONS{$number}{value} = 1;
                        $QUESTIONS{$number}{ans_mode} = 1;
                        $QUESTIONS{$number}{mode} = 1;
                        $QUESTIONS{$number}{type} = "MC";
                        $QUESTIONS{$number}{sub_type} = 1;
                        $QUESTIONS{$number}{kolum} = 1;
               
     
                	# ANSWERS    GO IN AS ADVANCED ANSWERS
			foreach my $chunk(@item_pieces) {
                        	my @ans_piece;
                            	# correct answer(s)
                            	if($chunk =~ /\*\*/) {
                            	        $QUESTIONS{$number}{answer_num}{$answer_num}{c_answer} = "1";
                            	        }
                            	else {
                            	        $QUESTIONS{$number}{answer_num}{$answer_num}{c_answer} = "0";
                            	        }
                       
                            	if($chunk =~ /<pkg:xmlData>/) {
                           
                            	        }
                                    
                            	#See if there are images
                            	if($chunk =~ /<v:imagedata r:id=[a-zA-Z0-9 :\\="]*\/>/ || $chunk =~ /<a:blip r:embed=[a-zA-Z0-9"\/]*>/ || $chunk =~ /<wp:docPr id=[a-zA-Z0-9" \.:-_\=\/]*\/>/) {
                            	#<wp:docPr id="3" name="image07.jpg"/> wp:docPr id="5" name="image09.jpg" descr="http://www.morning-earth.org/Graphic-E/BIOSPHERE/PLANTIMAGE/DISPERSAL/FRUITS/blackberry.jpg"/>
                            	#<wp:docPr id="14" name="Picture 14" descr="http://www.nps.gov/orpi/naturescience/images/Saguaro.JPG"/>
                                            
                                if($chunk =~ /<wp:docPr id=[a-zA-Z0-9" \.:-_\=\/]*\/>/) {
                                	my @wp = ($chunk =~ /<wp:docPr id=[a-zA-Z0-9" \.:-_\=\/]*\/>/g);
                                        foreach my $blp(@wp) {
                                                my @pic = split(/name=/,$blp);
                                                my @id = split(/\"/,$pic[1]);
                                                if($id[1] =~ /\.png/ || $id[1] =~ /\.jpeg/ || $id[1] =~ /\.jpg/ || $id[1] =~ /\.gif/) {
                                                        $chunk =~ s/<wp:docPr id=[a-zA-Z0-9" \.:-_\=\/]*>/<BR><img src=\"\/schools\/qst_files\/$id[1]\">/;
                                                        }
                                                    
                                                else {
                                                        if($id[3] =~ /http/ ) {
                                                                $ANSWER_IMAGE_URL{$number}{answer_num}{$answer_num} = "<img src=\"$id[3]\">";
                                                                }
                                                        else {
                                                                $QUESTIONS{$number}{answer_num}{$answer_num}{q_order} = "$answer_num";
                                                                $ANS_IMAGE{$id[1]}{number} = "$number";
                                                                $ANS_IMAGE{$id[1]}{answer_num} = "$answer_num";
                                                                $IMAGE_RELATION{$id[1]} = "$id[1]";
                                                                $chunk =~ s/<wp:docPr id=[a-zA-Z0-9" \.:-_\=\/]*>/<BR><img src=\"\/schools\/qst_files\/$id[1]\">/;
                                                                }
                                                        }
                                                }
                                        }
                                       
				if($chunk =~ /<a:blip r:embed=[a-zA-Z0-9" \=\/]*>/) {
                                	my @blip = ($chunk =~ /<a:blip r:embed=[a-zA-Z0-9" \=\/]*>/g);
                                        foreach my $blp(@blip) {
                                        	my @pic = split(/r:/,$blp);
                                                my @id = split(/\"/,$pic[1]);
                          
                                                $QUESTIONS{$number}{answer_num}{$answer_num}{q_order} = "$answer_num";
                                                $ANS_IMAGE{$id[1]}{number} = "$number";
                                                $ANS_IMAGE{$id[1]}{answer_num} = "$answer_num";
                                                
                                                $IMAGE_RELATION{$id[1]} = "$id[1]";
                                                $chunk =~ s/<a:blip r:embed=[a-zA-Z0-9" \=\/]*>/<BR><img src=\"\/schools\/qst_files\/$id[1]\">/;
                                                }
                                         }
                                            
                                if($chunk =~ /<v:imagedata r:id=[a-zA-Z0-9 :\\="]*\/>/) {
                                	my @idata = ($chunk =~ /<v:imagedata r:id=[a-zA-Z0-9 :\\="]*\/>/g);
                                        foreach my $idat(@idata) {
                                                my @pic = split(/r:/,$idat);
                                                my @id = split(/\"/,$pic[1]);
                          
                                                $QUESTIONS{$number}{answer_num}{$answer_num}{q_order} = "$answer_num";
                                                $ANS_IMAGE{$id[1]}{number} = "$number";
                                                $ANS_IMAGE{$id[1]}{answer_num} = "$answer_num";
 
                                                $IMAGE_RELATION{$id[1]} = "$id[1]";
                                                $chunk =~ s/<v:imagedata r:id=[a-zA-Z0-9 :\\="]*\/>/<BR><img src=\"\/schools\/qst_files\/$id[1]\">/;
                                                }
                                        }
                                }
				
                            #the last chunk has the images
                            my @relations;
                            if($chunk =~ /<\/Relationships>/) {
                                    @relations = split(/<\/Relationships>/,$chunk);
                                    }
                          
                      
                            # Last answer has binary data
                
                            if($relations[0] =~ /<Relationship Id=[a-zA-Z0-9 \/\.:\\="]*\/>/) {
                                    foreach my $rel(sort {$a<=>$b} keys %QUEST_IMAGES) {
                                            
                                            # $QUEST_IMAGES{$number}{images}{$id[1]} = "$id[1]";
                                            foreach my $id(keys %{$QUEST_IMAGES{$rel}{images}}) { # for question images
                                                    if($relations[0] =~ /<Relationship Id="$id" [a-zA-Z0-9 \/\.:\\="]*\/>/) {
                                                            my @image_name = split(/Target="media\//,$&);
                                                            $image_name[1] =~ s/"\/>//;
                                                            $IMAGE_RELATION{$id} = "$image_name[1]";

                                                            # put correct image name in img src tag in question
                                                            my $n_quest = "$QUESTIONS{$REL_TO_NUMBER{$id}}{question}";
                                                            $n_quest =~ s/$id/$image_name[1]/;

                                                            $QUESTIONS{$REL_TO_NUMBER{$id}}{question} = "$n_quest";
                                
                                                            #Put in as Advanced question image
                                                            $QUESTIONS{$REL_TO_NUMBER{$id}}{qimage_name}{$image_name[1]} = "$image_name[1]";
                                                            }
                                                    }
                            
                                            # ANSWER IMAGES NAMES
                                            foreach my $id(keys %ANS_IMAGE) {
                                                    if($relations[0] =~ /<Relationship Id="$id" [a-zA-Z0-9 \/\.:\\="]*\/>/) {
                                                            my @image_name = split(/Target="media\//,$&);
                                                            $image_name[1] =~ s/"\/>//;
                                                            $IMAGE_RELATION{$id} = "$image_name[1]";
                                                            }
                                                    }
                                            }
                                    }
                          
     
            
                      
                            #IMAGES DATA
                            my @imgdata;
                            if($relations[1] =~ /<\/pkg:binaryData>/) {
                                    @imgdata = split(/<\/pkg:binaryData>/,$relations[1]);
                                    foreach my $img(@imgdata) {
                                            foreach my $ir(keys %IMAGE_RELATION) {
                                                    my @name = split(/\./,$IMAGE_RELATION{$ir});
                                                    # <pkg:part pkg:name="/word/media/image1.jpeg" pkg:contentType="image/jpeg" pkg:compression="store">

                                                    if($img =~ /<pkg:part pkg:name="\/word\/media\/$IMAGE_RELATION{$ir}" pkg:contentType="image\/[a-z]*" pkg:compression="store">/) {
                                                            my @data = split(/<pkg:binaryData>/,$img);

                                                            # Put the data in
                                                            if(defined $REL_TO_NUMBER{$ir}) { #QUESTION IMAGES
                                                                    $QUESTIONS{$REL_TO_NUMBER{$ir}}{qimage_name}{$IMAGE_RELATION{$ir}} = "$data[1]";
                                                                    delete($IMAGE_RELATION{$ir});
                                                                    }

                                                            elsif(exists $ANS_IMAGE{$ir}) { #ANSWER IMAGES go in as advanced answers
                                                                    $QUESTIONS{$ANS_IMAGE{$ir}{number}}{answer_num}{$ANS_IMAGE{$ir}{answer_num}}{adv_ans_image_name}{$IMAGE_RELATION{$ir}} = "$data[1]";
                                                                    }
                                                            }
                                                    }
                                            }                    
                                    }
                          
                      
                            my @clean_ans = split(/<pkg:part /,$chunk); # To get the encoded images out of the answer. Only worry about this on last answer.
                      
                            # ANSWER text should only be <w:t xml:space="preserve"> here </w:t> or <w:t> here </w:t>, seems rest is markup
                            my @ans = split(/<\/w:t>/,$clean_ans[0]);
                            my $real_ans;
                            
                            # sometimes the answer is with the )@
                            my $check_ans = "$ans[0]";
                            $check_ans =~ s/\s*//g;
                            if($check_ans ne"") {
                                    $real_ans = "$ans[0]";
                                    }
                            
                            foreach my $p(@ans) {
                                    my @ans = split(/<w:t[ xml:space="preserve"]*>/,$p);
                                    my $check_empty = $ans[1];
                                    $check_empty =~ s/\s*//g;
                                    if($check_empty ne"") {
                                            $real_ans = "$real_ans"."$ans[1]";
                                            }
                                    }
                         
                            $real_ans =~ s/\**//g;
                            $real_ans =~ s/<w:t xml:space="preserve"//g; # because we split by >QST and have this left over
                            $real_ans =~ s/<w:t//g; # because we split by >QST and have this left over
                            $real_ans =~ s/[\n]*//g;
                            $real_ans =~ s/"/&quot;/g;
                            
                            if(defined $ANSWER_IMAGE_URL{$number}{answer_num}{$answer_num}) {
                                    $real_ans = "$real_ans"."<BR>"."$ANSWER_IMAGE_URL{$number}{answer_num}{$answer_num}";
                                    }
                                    
                            $QUESTIONS{$number}{answer_num}{$answer_num}{answer} = "$real_ans";
                            $QUESTIONS{$number}{answer_num}{$answer_num}{q_order} = $answer_num;
                            ++$answer_num;
                            }
 
                    ++$number;
		    }
        
        
        
		# put correct image_names in answers
            	foreach my $key(sort {$a<=>$b} keys %QUESTIONS) {
                	# ANSWERS
                	foreach my $ans(sort {$a<=>$b} keys %{$QUESTIONS{$key}{answer_num}}) {
                        	if($QUESTIONS{$key}{answer_num}{$ans}{answer} =~ /\/schools\/qst_files\/[a-zA-Z0-9]*/) {
                                	my @parts = split(/\//,$&);
                                	$QUESTIONS{$key}{answer_num}{$ans}{answer} =~ s/$parts[3]/$IMAGE_RELATION{$parts[3]}/g;
                                	}
                            	}
                    	}
                
            	# CHECK for answers and correct answer
            	foreach my $key(keys %QUESTIONS) {
            	        my $no_correct_answer = 0;
            	        if (!keys %{$QUESTIONS{$key}{answer_num}}) { # remove cause no answers
            	                $NO_GOOD{$key} = $key;
            	                $missing_answers = 1;
            	                }
            	        else {foreach my $ans(keys %{$QUESTIONS{$key}{answer_num}}) { # must have a correct answer
            	                if($QUESTIONS{$key}{answer_num}{$ans}{c_answer} == "1") {
            	                        $no_correct_answer = 1;
            	                        }
            	                }
            	            }
            	        if($no_correct_answer == 0) { # set answer 1 as correct answer
            	                $QUESTIONS{$key}{answer_num}{1}{c_answer} = "1";
            	                }
            	        }
		
		} # DONE with WORD XML
            
            
        elsif($IQ{import_format} == 4 ) {  # QTI XML      ###################################################################
				my %IQQTI = @_;
			        my $keep_going = 0;
			        my $question_active = 0;
			        my %CORRECT_ANSWER_ID = ();
			        my %ANSWER_VAR = ();
			        my $base_type;
			        my $mx_right = 0;
			        my $name_tag = 0;
			        my $response = 0;
			        my $responsedec = 0;
			        my $qti = 2;
			        my $skip = 0;
			        my $simpleAssociableChoice = 0;
			        my $max_value_length_import = 10;
			        my $max_value_correct_response_import = 100;
			        my $simple_match_set = 0;
			        my $MX;
			        my $identifier;
			        			          	
			        foreach my $line_read(@lines) {
			        	chomp;
			                next if($line_read eq"");
			                $line_read = &l_spaces("$line_read","0");
					$line_read = &tr_spaces("$line_read","0");
				
					#qti 2
					next if($line_read =~ /<\/responseDeclaration>/);
					next if($line_read =~ /<\/defaultValue>/);
					next if($line_read =~ /<\/outcomeDeclaration>/);
		
					#qti 3
					next if($line_read =~ /<\/qti-response-declaration>/);
					next if($line_read =~ /<\/defaultValue>/);
					next if($line_read =~ /<\/qti-outcome-declaration>/);
					next if($line_read =~ /<\/qti-response/);
					next if($line_read =~ /<qti-feedback-inline/);
					next if($line_read =~ /<qti-extended-text-interaction/);
					next if($line_read =~ /<qti-response-condition>/);
					next if($line_read =~ /<\/qti-response-if>/);
					next if($line_read =~ /<qti-response-else>/);
					next if($line_read =~ /<qti-response-condition>/);
					next if($line_read =~ /<qti-response-if>/);
					next if($line_read =~ /<\/qti-set-outcome-value>/);
					next if($line_read =~ /identifier=\"FEEDBACK\"/);
					next if($line_read =~ /<\/qti-feedback-inline>/);
					next if($line_read =~ /<qti-text-entry-interaction/);
					next if($line_read =~ /<qti-inline-choice-interaction/);
					
					if($skip == 1){
						$skip = 0;
						next;
						}
					                
		
			                	if($keep_going == 1) { # CORRECT ANSWERS ID for MC cardinality is single and string for P
			 				if($line_read =~ /<value>/ || $line_read =~ /<qti-value>/) { # 
			 					$line_read =~ s/^<value>//;
			 					$line_read =~ s/<\/value>//;
			 					$line_read =~ s/^<qti-value>//;
			 					$line_read =~ s/<\/qti-value>//;
			 					$line_read =~ s/\s//g;
			 					$line_read =~ s/<!\[CDATA\[//;
			 					$line_read =~ s/\]\]>//;
			 					
			 					if($QUESTIONS{$quest_no}{type} eq"P") {
									if(length($line_read) < 70) { # CHANGE TO SHORT ANSWER question
										$QUESTIONS{$quest_no}{type} = "SA";
										$QUESTIONS{$quest_no}{ans_mode} = 0;
										$QUESTIONS{$quest_no}{answer_num}{1}{answer} = $line_read;
										}
										
									else {
			 							$QUESTIONS{$quest_no}{answer_num}{1}{answer} = $line_read;
			 							}
			 						}
			 						
			 					else {
			 						if(length($line_read) > 0) {
			 	
			 			        			if(length($line_read) < $max_answer_length_import) {
			 			        				$CORRECT_ANSWER_ID{$line_read} = $line_read;
			 								}
			 							else {
			 								$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answervaluetobig}";
			 					               	 	delete($QUESTIONS{$quest_no});
			 					               	 	}
			 							}
			 						}
			                	                 }
			                	         $keep_going = 0;
			                	         next;
			                	         }               
		
		
			                	 if($keep_going == 2) { # THE ACTUAL QUESTION	         
			                	 	if($line_read =~ /<\/itemBody/ || $line_read =~ /<\/qti-item-body/) { # End of QUESTION 
			                	 		%CORRECT_ANSWER_ID = ();
			                
								$keep_going = 0;
					 		 	}
					 		 		
			                	 	elsif($line_read =~ /<templateDeclaration / || $line_read =~ /<qti-template-declaration /) { # Don't do these
						 		$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimporttemplatequestions};
						 		}
		
						 	elsif($line_read =~ /^<inlineChoice/ || $line_read =~ /^<qti-inline-choice/) { # 
								$NO_GOOD{$quest_no} = "Don't import qti-inline-choice questions.";
						 	 	}
					 	 	
						 	elsif($line_read =~ /^<textEntryInteraction/ || $line_read =~ /^<qti-text-entry-interaction/) { # 
								$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimporttextentryinteractionquestions};
						 	 	}
		
							elsif($line_read =~ /^<choiceInteraction/ || $line_read =~ /^<qti-choice-interaction/) { # 
						 	 	}			 	 	
					 	 					 	 	
					 	 	elsif($line_read =~ /^<simpleMatchSet>/ || $line_read =~ /^<qti-simple-match-set>/) { # 
					 	 		$simple_match_set = 1;
						 	 	}
						 	 	
						 	elsif($line_read =~ /^<prompt>/ || $line_read =~ /^<qti-prompt>/) { # no question but prompt
						 	 	$line_read =~ s/^<prompt>//;
								$line_read =~ s/^<qti-prompt>//;
								
								if($line_read =~ /<\/prompt>/ || $line_read =~ /<\/qti-prompt>/) { # all on the same line 
									$line_read =~ s/<\/prompt>$//;
									$line_read =~ s/<\/qti-prompt>$//;
									$line_read =~ s/"/&quot;/g;
												
									if(!defined $QUESTIONS{$quest_no}{question}) {
										$QUESTIONS{$quest_no}{question} = "";
										}
												
									my $actual_question = "$QUESTIONS{$quest_no}{question}"." "."$line_read";
									$QUESTIONS{$quest_no}{question} = $actual_question;
									
									if(length($QUESTIONS{$quest_no}{question}) > $max_answer_length_import) {
										$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questiontoobig}";
					 		 			}
					 		 			
									$keep_going = 0;
									}
									
								else { # more to come
									if(!defined $QUESTIONS{$quest_no}{question}) {
										$QUESTIONS{$quest_no}{question} = "";
										}
											
									my $actual_question = "$QUESTIONS{$quest_no}{question}"." "."$line_read";
									$actual_question =~ s/^\s//;
									$QUESTIONS{$quest_no}{question} = $actual_question;
									$keep_going = 3;
									}
								next;
						 	 	}
					 	 		
					 	 	elsif($line_read =~ /^<\/qti-extended-text-interaction>/) { # The answer is next for P
					 	 		$keep_going = 8;
					 	 		}
		
					 	 	elsif($line_read =~ /^<uploadInteraction/ || $line_read =~ /^<qti-upload-interaction/ ) { # Do not IMPORT these questions
					 	 		$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportfileuploadquestions};
								$question_active = 0;
								$keep_going = 0;
			                        		}
			                        		
			                        	
			                        	elsif($line_read =~ /^<sliderInteraction/ || $line_read =~ /^<qti-slider-interaction/ ) { # Do not IMPORT these questions
								$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportsliderquestions};
								$question_active = 0;
								$keep_going = 0;
			                        		}
			                        		
			                        	elsif($line_read =~ /^<associateInteraction/ || $line_read =~ /^<qti-associate-interaction/) { # 
								}
								
							elsif($line_read =~ /^<matchInteraction/ || $line_read =~ /^<qti-match-interaction/) { # 
								}
								
							elsif($line_read =~ /^<extendedTextInteraction/) { # P or SA
								$keep_going = 0;
						 	 	}
								
							#elsif($line_read =~ /^<simpleChoice/) { NOT NEEDED HERE
							#	$keep_going = 5;
						 	# 	}
						 	 	
					 		else { # keep adding to question
					 		 	if($line_read =~ /<object type=\"image/) { #png" data="images/postcard.png">
					 		 		if($line_read =~ /\">$/) {
					 		 			next;
					 		 			}
					 		 		}
					 		 		
					 		 	#CHECK FOR IMAGE HERE??
					 		 		
					 		 		
					 		 	$line_read =~ s/"/&quot;/g;
					 		 		
					 		 	$QUESTIONS{$quest_no}{question} = "$QUESTIONS{$quest_no}{question}"." "."$line_read";
		
					 		 	if(length($QUESTIONS{$quest_no}{question}) > 0) {
					 		 		if(length($QUESTIONS{$quest_no}{question}) < $max_answer_length_import) {
					 	 		
					 		 			}
					 		 		else {
					 		 			$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questiontoobig}";
					 		 			delete($QUESTIONS{$quest_no});
					 		 			$keep_going = 0;
					 		 			}
					 		 		}
					 		        }
			                	    	 }
							
						
						if($keep_going == 3) { # The Prompt
							if($line_read =~ /^<\/prompt>$/ || $line_read =~ /^<\/qti-prompt>$/) {
								$line_read =~ s/^<\/prompt>$//;
								$line_read =~ s/^<\/qti-prompt>$//;
								
								if(!defined $QUESTIONS{$quest_no}{question}) {
									$QUESTIONS{$quest_no}{question} = "";
									}
								
								$QUESTIONS{$quest_no}{question} = "$QUESTIONS{$quest_no}{question}"."$line_read";
								if(length($QUESTIONS{$quest_no}{question}) > 0) {
									if(length($QUESTIONS{$quest_no}{question}) < $max_answer_length_import) {
									
										}
									else {
										$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questiontoobig}";
										delete($QUESTIONS{$quest_no});
										$keep_going = 0;
										}
									 }
								$keep_going = 0;
								}
								 	 	
							else { # keep adding to question
								if(!defined $QUESTIONS{$quest_no}{question}) {
									$QUESTIONS{$quest_no}{question} = "";
									}
								
								$QUESTIONS{$quest_no}{question} = "$QUESTIONS{$quest_no}{question}"."$line_read";
								if(length($QUESTIONS{$quest_no}{question}) > 0) {
									 if(length($QUESTIONS{$quest_no}{question}) < $max_answer_length_import) {
								 	 		
									 	 }
									 else {
									 	 $NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questiontoobig}";
									 	 delete($QUESTIONS{$quest_no});
									 	 $keep_going = 0;
									 	 }
									}
								}
							next;
							}
		
						if($keep_going == 4) { # Value of question for MC
							if($line_read =~ /<value>/) {
								$line_read =~ s/^<value>//;
								$line_read =~ s/<\/value>//;
							 	$line_read =~ s/\s//g;
								$line_read =~ s/\D//g;
								 				
								if ($line_read eq"" || $line_read == 0) {
									 $line_read = 1;
									 }
								 				
								my $value = substr($line_read, 0, 3);
			 					$QUESTIONS{$quest_no}{value} = $value;
							 	}
		
							$keep_going = 0;
							next;
			                	        }               
		
						if($keep_going == 5) { # More to Answer
							 #<simpleChoice identifier="Discovery" fixed="false" showHide="show">Discovery</simpleChoice>
							if($line_read =~ /<\/simpleChoice>$/ || $line_read =~ /<\/qti-simple-choice>$/) { # End of ANSWER
								$line_read =~ s/<\/simpleChoice>$//g;
								$line_read =~ s/<\/qti-simple-choice>$//g;
								my @line = split(/>/,$line_read);
								my @sub_line = 
								
								my $actual_answer = "$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}"." "."$line_read";
								$actual_answer =~ s/"/&quot;/g;
								
								if(length($actual_answer) < $max_answer_length_import) {
									$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $actual_answer;
									}
															
								else { 
									$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerchoicetobig}";
									delete($QUESTIONS{$quest_no});
									}
												
								$keep_going = 0;
								next;
								}
														
							else { # ANSWER over multiple lines
								my $actual_answer = "$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}"." "."$line_read";
								
								$actual_answer =~ s/"/&quot;/g;
								
								if(length($actual_answer) < $max_answer_length_import) {
									$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $actual_answer;
									$keep_going = 5;
									next;
									}
																				
								else { 
									$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerchoicetobig}";
									delete($QUESTIONS{$quest_no});
									$keep_going = 0;
									next;
									}
								}
							}
							
						if($keep_going == 6) { # CORRECT ANSWERS ID MA
							 if($line_read =~ /<value>/ || $line_read =~ /<qti-value>/) { # 
							 	$line_read =~ s/^<value>//;
							 	$line_read =~ s/<\/value>//;
							 	$line_read =~ s/^<qti-value>//;
							 	$line_read =~ s/<\/qti-value>//;
							 	$line_read =~ s/\s//g;
		
							 	if(length($line_read) > 0) {
							 		if(length($line_read) < $max_value_correct_response_import) {
							 		        $CORRECT_ANSWER_ID{$line_read} = $line_read;
							 			}
							 		else {
							 			$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Correctresponseidentifiertobig}";
							 			delete($QUESTIONS{$quest_no});
							 			}
							 		}
							        }
							 else {
							 	$keep_going = 0;
							 	}
							 next;
			                	         }               
			                        
						if($keep_going == 7) { # CORRECT ANSWERS ID MX associate
							if($line_read =~ /<value>/ || $line_read =~ /<qti-value>/) { # 
								$line_read =~ s/^<value>//;
								$line_read =~ s/<\/value>//;
								$line_read =~ s/^<qti-value>//;
								$line_read =~ s/<\/qti-value>//;
								my @assoc = split(/\s/,$line_read);
		
								if(length($line_read) > 0) {
									if(length($line_read) < $max_value_correct_response_import) {							
										 $CORRECT_ANSWER_ID{$assoc[0]} = $assoc[1];
										 }
									else {
										 $NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Correctresponseidentifiertobig}";
										 delete($QUESTIONS{$quest_no});
										 }
									}
								}
							else {
								$keep_going = 0;
								}
							
							next;
							}
			                         
						if($keep_going == 8) { # V3 The answer to the paragraph/essay question
							$line_read =~ s/"/&quot;/g;
							my $actual_answer;
							
							if(!defined $QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}) {
								$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = "";
								}
		
						 	if($line_read =~ /^<\/qti-item-body>/) { # End of question answer
						 		if($QUESTIONS{$quest_no}{answer_num}{1}{answer} eq"") {
									$QUESTIONS{$quest_no}{answer_num}{1}{answer} = "This is only a placeholder.";
									}
						 	
						 		if(length($QUESTIONS{$quest_no}{answer_num}{1}{answer}) < 70) {
									$QUESTIONS{$quest_no}{type} = "SA";
									}
		
								if(length($QUESTIONS{$quest_no}{answer_num}{1}{answer})> $max_answer_length_import) {
									$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answervaluetobig}";
									}
									
						 	 	$keep_going = 0;
						 	 	next;
						 	 	}
					 	 		
					 	 	else {
								$actual_answer = "$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}"." "."$line_read";
								$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $actual_answer;
								next;
								}
			                	        }	                         
		
		
						if($keep_going == 9) { # V3 The answer to the short answer/paragraph/essay question
							if($QUESTIONS{$quest_no}{answer_num}{1}{answer} eq"") {
								if($line_read =~ /<qti-base-value/) {
									$line_read =~ s/<qti-base-value//;
									$line_read =~ s/<\/qti-base-value>//;
									my @line = split(/\">/,$line_read);
		
									if($line[1] ne"") {
										if($identifier eq"RESPONSE") {
											if(length($line[1])> $max_answer_length_import) {
												$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answervaluetobig}";
												}
											
											else {
												if($line[0] =~ /integer/) {
													if(length($line[1]) < 70) { # CHANGE TO SHORT ANSWER question
														$QUESTIONS{$quest_no}{type} = "SA";
														$QUESTIONS{$quest_no}{ans_mode} = 0;
														}
														
													$QUESTIONS{$quest_no}{answer_num}{1}{answer} = $line[1];
													}
													
												else {
													$QUESTIONS{$quest_no}{answer_num}{1}{answer} = $line[1];
													}
												}
											}
											
										else {
											if($line[1] =~ /\./) {
												my @resp = split(/\./,$line[1]);
												$line[1] =~ $resp[0];
												}
											if($keep_going == 9 && $line_read =~ /$base_type/) { # RESPONSE							
												$response = 1;
												++$answer_num;
												my @values = split(/\./,$line[1]);
										
												if(length($values[0]) < 70) { # CHANGE TO SHORT ANSWER question
		#											$QUESTIONS{$quest_no}{type} = "SA";
		#											$QUESTIONS{$quest_no}{ans_mode} = 0;
		#											$QUESTIONS{$quest_no}{answer_num}{1}{answer} = $values[0];
													}
											
												elsif(length($values[0])> $max_answer_length_import) {
													$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answervaluetobig}";
													}
											
												else {
													$QUESTIONS{$quest_no}{answer_num}{1}{answer} = $values[0];
													}
												}
											}
										}
									$keep_going = 0;
									}
									
								if($line_read =~ /<\/qti-base-value/) {
									$keep_going = 0;
									next;
									}
								}	
							next;
							}
							
						if($keep_going == 10) { # V2 The answer to the short answer/paragraph/essay question
							my $rubric_answer;
							
							if(!defined $QUESTIONS{$quest_no}{answer_num}{1}{answer}) {
								$QUESTIONS{$quest_no}{answer_num}{1}{answer} = "";
								}
								
							$rubric_answer = "$QUESTIONS{$quest_no}{answer_num}{1}{answer}"."$line_read";
								
							if($line_read =~ /^<\/rubricBlock>/) { # End of SCORER Rubrick/Answer
								if($QUESTIONS{$quest_no}{answer_num}{1}{answer} eq"") {
									$QUESTIONS{$quest_no}{answer_num}{1}{answer} = "This is only a placeholder.";
									}
									
								if(length($QUESTIONS{$quest_no}{answer_num}{1}{answer}) < 70) {
									$QUESTIONS{$quest_no}{type} = "SA";
									}
		
								if(length($QUESTIONS{$quest_no}{answer_num}{1}{answer})> $max_answer_length_import) {
									$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answervaluetobig}";
									}
									
								$keep_going = 0;
								next;
						 	 	}
						 	 	
						 	 else {
								$QUESTIONS{$quest_no}{answer_num}{1}{answer} = $rubric_answer;
								}
							}
									
						if($simpleAssociableChoice == 1 ) { # Matching MX
							if($line_read =~ /<\/simpleAssociableChoice>/ || $line_read =~ /^<\/qti-simple-associable-choice>/) { # The END of the text
								$simpleAssociableChoice = 0;
								}
							else {							
								if(length($line_read) < $max_descrip) {
									$line_read =~ s/"/&quot;/g;
										
									if($QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$MX} ne "") {
										my $add_answer = "$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$MX}"." "."$line_read";
		
										if(length($add_answer) < $max_descrip) {
											$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$MX} = $add_answer;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
											$keep_going = 0;
											$simpleAssociableChoice = 0;
											}
										}
									else {
										if(length($line_read) < $max_descrip) {
											$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$MX} = $line_read;
											}
											
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
											$keep_going = 0;
											$simpleAssociableChoice = 0;
											}
										}
									
									}
								else {
									$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
									$simpleAssociableChoice = 0;
									}
								}
							next;
							}
							
							
							
							
						############################                                 ################################
		
			                # LOOK FOR FIRST MATCH
			     
			                if($line_read =~ /^<assessmentItem/ || $line_read =~ /<qti-assessment-item/) { # Beginning of an ITEM
			                	if($line_read =~ /<qti-assessment-item/) {
							$qti = 3;
							}
							
			                        ++$quest_no;
			                        $responsedec = 0;
			                        $identifier = 0;
			                        my %LINE = ();
			                       					
						my @line = split(/\"\s/,$line_read);
						
						foreach my $piece(@line) {
							my @new_piece = split(/=/,$piece);
							$new_piece[1] =~ s/\"//g;
							$new_piece[0] =~ s/\s//g;
							$LINE{$new_piece[0]} = $new_piece[1];
							}
						
			                 	my $descrip = $LINE{title};
						my $descr;
						
						if($descrip eq"") {
							$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Nodescriptionisavailable};
							}
							
						elsif(length($descrip) > 70) {
							$descr = substr($descrip, 0,70);
							}
						
						else {
							$descr = $descrip;
							}
		
			                        $QUESTIONS{$quest_no}{descrip} = $descr;
			                         next;
			                         }
		
							
					if($line_read =~ /<qti-feedback-inline/ || $line_read =~ /<\/qti-feedback-inline/) { # Don't do these
						next;
						 }
		
					if(($line_read =~ /^<responseDeclaration/ || $line_read =~ /^<qti-response-declaration/) && $responsedec != 1) { # SET THE QUESTION TYPE
						#<qti-response-declaration identifier="RESPONSE" cardinality="multiple" base-type="identifier"> MA
						#<qti-response-declaration identifier="RESPONSE" cardinality="multiple" base-type="directedPair"> baseType = "pair" MX
						#<qti-response-declaration identifier="RESPONSE" cardinality="single" base-type="string"/> for essay/P
						#<qti-response-declaration identifier="RESPONSE" cardinality="single" base-type="integer"/> for essay/SA
						#<responseDeclaration identifier="RESPONSE" cardinality="multiple" baseType="identifier"> MA
		
						my %LINE = ();
						my @line = split(/\s/,$line_read);
						
						foreach my $piece(@line) {
							my @new_piece = split(/=/,$piece);
							$new_piece[1] =~ s/\"//g;
							$new_piece[1] =~ s/>$//g;
							$new_piece[1] =~ s/\/$//g;
							$new_piece[0] =~ s/\s//g;
							$new_piece[0] =~ s/-//g;
							my $left = lc $new_piece[0];
							$LINE{$left} = $new_piece[1];
							}
							
						
						$base_type = $LINE{basetype};
						$identifier = $LINE{identifier};
		
						if($LINE{cardinality} eq"ordered") { # DON'T UPLOAD THESE
							$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportorderedquestions};
							}
							
						elsif($LINE{cardinality} eq"multiple") {
							if($base_type eq"pair" || $base_type eq"directedPair") {
								$QUESTIONS{$quest_no}{type} = "MX";
								}
								
							elsif($base_type eq"identifier") {
								$QUESTIONS{$quest_no}{type} = "MA";
								}
							}
												
						elsif($LINE{cardinality} eq"single") { # LIKELY  ESSAY or MC or SA
							if($base_type eq"string") { # ESSAY / P
								$QUESTIONS{$quest_no}{type} = "P";
								$QUESTIONS{$quest_no}{answer_num}{1}{q_order} = 1;
								$QUESTIONS{$quest_no}{answer_num}{1}{c_answer} = 1;
								}
							
							elsif($base_type eq"integer") { # ESSAY / P					
								$QUESTIONS{$quest_no}{type} = "P";
								$QUESTIONS{$quest_no}{answer_num}{1}{q_order} = 1;
								$QUESTIONS{$quest_no}{answer_num}{1}{c_answer} = 1;
								}
							
							elsif($base_type eq"identifier") { # MC
								$QUESTIONS{$quest_no}{type} = "MC";
								}
							}
							
				
						# SET THE REST OF THE QUESTIONS HASH
						$QUESTIONS{$quest_no}{mode} = 1;
						$QUESTIONS{$quest_no}{sub_type} = 1;
						$QUESTIONS{$quest_no}{kolum} = 1;
						$QUESTIONS{$quest_no}{ans_mode} = 1;
						$QUESTIONS{$quest_no}{vlink} = 0;
			 			$QUESTIONS{$quest_no}{alink} = 0;
			 			$QUESTIONS{$quest_no}{value} = 1;
		
			 			%CORRECT_ANSWER_ID = ();
			 			$responsedec = 1;
						next;
						}
		
					if(($line_read =~ /^<correctResponse>/ || $line_read =~ /^<qti-correct-response>/) && ($QUESTIONS{$quest_no}{type} eq "P" || $QUESTIONS{$quest_no}{type} eq "MC")) { # The correct answer ID is next for MC, or the correct answer for P
						%CORRECT_ANSWER_ID = ();
			 			$keep_going = 1;
			 			next;
			                        }
			                         
			                if(($line_read =~ /^<correctResponse>/ || $line_read =~ /^<qti-correct-response>/) && $QUESTIONS{$quest_no}{type} eq"MX") { # The matching answer ID's are next
						%CORRECT_ANSWER_ID = ();
						$keep_going = 7;
						next;
			                        }
			                        
					if(($line_read =~ /^<correctResponse>/ || $line_read =~ /^<qti-correct-response>/) && $QUESTIONS{$quest_no}{type} eq"MA") { # The matching answer ID's are next
						%CORRECT_ANSWER_ID = ();
						$keep_going = 6;
						next;
			                        }
			                        
			                if($line_read =~ /<defaultValue>/ && $QUESTIONS{$quest_no}{type} eq"MC") { # Next is value of the question
			                	$keep_going = 4;
			                	next;
			                	}
			                
			                if($line_read =~ /<mapEntry mapKey=\"/ ||$line_read =~ /<qti-map-entry/) { # Value of each of the answers, total value for question 
			                	#<qti-map-entry map-key="A D" mapped-value="1"/>
			                	my @val;
			                	if($line_read =~ /<mapEntry /) {
							@val = split(/mappedValue=/, $line_read);
							}
						elsif($line_read =~ /<qti-map-entry /) {
							@val = split(/mapped-value=/, $line_read);
							}
							
						my @actual_value = split(/\"/,$val[1]);
						my $actual_value = $actual_value[1];
						if($actual_value < 0) {
							next;
							}
						
						if($actual_value =~ /\./) { # No partial marks, the assessment is not that granular nor exact
							my @value = split(/\./,$actual_value);
							++$value[0];
							$actual_value = $value[0]; 
							}
		
						if($QUESTIONS{$quest_no}{value} > 0) {
							$QUESTIONS{$quest_no}{value} = $QUESTIONS{$quest_no}{value} + $actual_value;
							}
							
						else {
							$QUESTIONS{$quest_no}{value} = $actual_value;
							}
		
						$keep_going = 0;
						next;
			                	}
			                	
			                if(($line_read =~ /^<outcomeDeclaration/ || $line_read =~ /^<qti-outcome-declaration/) && ($QUESTIONS{$quest_no}{type} eq"P" || $QUESTIONS{$quest_no}{type} eq"MC" || $QUESTIONS{$quest_no}{type} eq"MX")) { # Value of question 
			                	#<outcomeDeclaration identifier="SCORE" cardinality="single" baseType="float" externalScored="human"/> Paragraph
			                	#<qti-outcome-declaration identifier="SCORE" cardinality="single" base-type="float"/> Paragraph
			                	#<qti-outcome-declaration base-type="float" cardinality="single" identifier="SCORE" normal-maximum="10.0" normal-minimum="0.0">
						#<qti-outcome-declaration identifier="SCORE" cardinality="single" base-type="float"/>
						#<outcomeDeclaration identifier="SCORE" cardinality="single" baseType="float"/> MA
						#<outcomeDeclaration identifier="MAXSCORE" cardinality="single" baseType="float"> MA
		
						my $size = keys(%CORRECT_ANSWER_ID);
		
						if ($size == 1) { # change MX to MC
							if($QUESTIONS{$quest_no}{type} eq"MX") {
								$QUESTIONS{$quest_no}{type} = "MC";
								}
							}
			
			                	if($line_read =~ /SCORE/i) {
			                		if($line_read =~ /normal-maximum=/i) {
			 		        		my @line = split(/normal-maximum=/,$line_read);
			 					my @value = split(/\"/,$line[1]);
			 				
			 					if($value[1] =~ /\./) {
									my @whole_value = split(/\./,$value[1]);
			 						$QUESTIONS{$quest_no}{value} = $whole_value[0];
			 						}
			 					else {
			 						$QUESTIONS{$quest_no}{value} = $value[1];
			 						}
			 					
			 					if($QUESTIONS{$quest_no}{value} eq"") {
			 						$QUESTIONS{$quest_no}{value} = 1;
			 						}
			 					}
			 					
		#	 				elsif($line_read =~ /cardinality=/i) {
		#	 					my @line = split(/cardinality=/,$line_read);
		#	 					my @card = split(/\"/,$line[1]);
		#	 					if($card[1] eq"single") { # SINGLE MARK FOR ALL ANSWERS								
		#							# multiple would be marks for each answer right
		#	 						}
		#	 					}
			 				}
		
			 		        next;
			                        }
			                        
			                if($line_read =~ /^<itemBody>/ || $line_read =~ /^<qti-item-body/ ) { # The QUESTION is next
			                	$base_type = "";
			 		        $keep_going = 2;
			 		        $question_active = 1;
			 		        next;
			                        }
			                        
					if($line_read =~ /^<uploadInteraction/ || $line_read =~ /^<qti-upload-interaction/ ) { # Do not IMPORT these questions
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportfileuploadquestions};
						$question_active = 0;
						next;
			                        }
			                        
					if($line_read =~ /^<\/sliderInteraction/ || $line_read =~ /^<\/qti-slider-interaction/ ) { # Do not IMPORT these questions
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportsliderquestions};
						$question_active = 0;
						$keep_going = 0;
						next;
			                        }
			                        
					if($line_read =~ /^<gapMatchInteraction/ || $line_read =~ /^<qti-gap-match-interaction>/) { # Don't do these
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{DontimportgapMatchquestions};
						next;
						}
		
					if($line_read =~ /^<selectPointInteraction/ || $line_read =~ /^<qti-select-point-interaction/) { # Don't do these
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimporthotspotquestions};
						next;
						}
		
					if($line_read =~ /^<inlineChoiceInteraction/ || $line_read =~ /^<qti-inline-choice-interaction/) { # Don't do these
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportinlinechoicequestions};
						next;
						}
						
					if($line_read =~ /^<drawingInteraction/ || $line_read =~ /^<qti-drawing-interaction/) { # Don't do these
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportdrawinginteractionquestions};
						next;
						}
		 
		
					if($line_read =~ /^<textEntryInteraction/ || $line_read =~ /^<qti-text-entry-interaction/) { # Don't do these
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimporttextentryinteractionquestions};
						next;
						}
		
					if($line_read =~ /^<setTemplateValue/ || $line_read =~ /^<qti-set-template-value/) { # Don't do these
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimporttemplatequestions};
						next;
						}
		
					if($line_read =~ /^<prompt>/ || $line_read =~ /^<qti-prompt>/) { # Add to the question
						$line_read =~ s/^<prompt>//;
						$line_read =~ s/^<qti-prompt>//;
						
						if($line_read =~ /<\/prompt>/ || $line_read =~ /<\/qti-prompt>/) { # all on the same line 
							$line_read =~ s/<\/prompt>$//;
							$line_read =~ s/<\/qti-prompt>$//;
							$line_read =~ s/"/&quot;/g;
							
							if(!defined $QUESTIONS{$quest_no}{question}) {
								$QUESTIONS{$quest_no}{question} = "";
								}
							
							my $actual_question = "$QUESTIONS{$quest_no}{question}"." "."$line_read";
							$QUESTIONS{$quest_no}{question} = $actual_question;
							$keep_going = 0;
							}
							
						else { # more to come
							if(!defined $QUESTIONS{$quest_no}{question}) {
								$QUESTIONS{$quest_no}{question} = "";
								}
						
							my $actual_question = "$QUESTIONS{$quest_no}{question}"." "."$line_read";
							$actual_question =~ s/^\s//;
							$QUESTIONS{$quest_no}{question} = $actual_question;
							$keep_going = 3;
							}
						next;
			                        }
			            
		
					if($line_read =~ /^<simpleChoice/ || $line_read =~ /^<qti-simple-choice/) { # Answers Description of the "qti-simple-choice" attribute for the "ChoiceInteraction" class 
						#<qti-simple-choice identifier="ChoiceC">Neither Agree nor Disagree</qti-simple-choice>
						#<simpleChoice identifier="1" fixed="false"><img src="red_pin.gif" alt="red_pin.gif"></simpleChoice>
		
						++$answer_num;
						
						my @line = split(/>/,$line_read);
						my $patched_line = "$line[0]".">";
						my $clean_line = $line_read;
						$clean_line =~ s/$patched_line//;
						
						my @sub_line = split(/identifier="/,$line[0]);
						my @next_sub = split(/"/,$sub_line[1]);
		
						if($line_read =~ /<\/simpleChoice>$/ || $line_read =~ /<\/qti-simple-choice>$/) { # All on one line
							$clean_line =~ s/<\/simpleChoice>$//g;
							$clean_line =~ s/<\/qti-simple-choice>$//g;
		
							if(length($clean_line) < $max_answer_length_import) {
								if($QUESTIONS{$quest_no}{type} eq "MC" || $QUESTIONS{$quest_no}{type} eq "MA") {
									if(defined $CORRECT_ANSWER_ID{$next_sub[0]}) { 
										$QUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 1;
										}
									else {
										$QUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 0;
										}
									}
								
								$clean_line =~ s/\"/&quot;/g;
								$QUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
			 					$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $clean_line;
								}
								
							else { 
								$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerchoicetobig}";
			 				        delete($QUESTIONS{$quest_no});
			 				        $keep_going = 0;
			 				        next;
								}
							}
							
						else { # ANSWER over multiple lines
							if(length($clean_line) < $max_answer_length_import) {
								if($QUESTIONS{$quest_no}{type} eq "MC" || $QUESTIONS{$quest_no}{type} eq "MA") {
									if(defined $CORRECT_ANSWER_ID{$line[1]}) { 
										$QUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 1;
										}
									else {
										$QUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 0;
										}
									}
									
								$clean_line =~ s/"/&quot;/g;
								$QUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
								$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $clean_line;
								$keep_going = 5;
								next;
								}
													
							else { 
								$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerchoicetobig}";
								 delete($QUESTIONS{$quest_no});
								 $keep_going = 0;
								 next;
								}
							}
							
						next;
						}
						
						
					if($line_read =~ /^<simpleMatchSet/ || $line_read =~ /^<qti-simple-match-set/) { 
						$simple_match_set = 1;
						}
										
					if(($line_read =~ /<simpleAssociableChoice/ || $line_read =~ /<qti-simple-associable-choice/) && ($QUESTIONS{$quest_no}{type} eq"MX" || $QUESTIONS{$quest_no}{type} eq"MC")) { # Answers for Associate/Match/MX 													
						if($line_read =~ /<\/simpleAssociableChoice>/ || $line_read =~ /<\/qti-simple-associable-choice>/) { # All on one line </qti-simple-associable-choice>
							$line_read =~ s/<\/simpleAssociableChoice>$//g;
							$line_read =~ s/<simpleAssociableChoice//g;
							$line_read =~ s/<\/qti-simple-associable-choice>$//g;
							$line_read =~ s/<qti-simple-associable-choice//g;
							
							if($simple_match_set == 0) { # ONE answer MC
								++$answer_num;
								foreach my $key(keys %CORRECT_ANSWER_ID) {
									if($line_read =~ /identifier=\"$key\"/) { # The correct answer
										my @line = split(/\">/,$line_read);
		
										if(length($line[1]) < $max_answer_length_import) {
											$QUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
											$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $line[1];
											$QUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 1;
											$keep_going = 0;
											next;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerchoicetobig}";
											$keep_going = 0;
											next;
											}
										}
															
									elsif($line_read =~ /identifier=\"$CORRECT_ANSWER_ID{$key}\"/) { # The question
										my @line = split(/\">/,$line_read);
															
										if(length($line[1]) < $max_question_length_import) {
											$QUESTIONS{$quest_no}{question} = $line[1];									
											$keep_going = 0;
											next;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questiontoobig}";
											$keep_going = 0;
											next;
											}
										}
										
									else { # AN ANSWER
										my @line = split(/\">/,$line_read);
												
										if(length($line[1]) < $max_answer_length_import) {
											$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $line[1];
											$QUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
											$QUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 0;
											$keep_going = 0;
											next;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerchoicetobig}";
											$keep_going = 0;
											next;
											}
										}
									}
								}
								
							else { # MX
								++$answer_num;
								my @line_choice = split(/identifier="/,$line_read);
								my @identifier = split(/"/, $line_choice[1]);
								my %NUM_USED = ();

								foreach my $key(keys %CORRECT_ANSWER_ID) {
									if($line_read =~ /identifier=\"$key\"/) { # The left side of value - matching answer
										$NUM_USED{$key} = 1;
										my @line = split(/\">/,$line_read);

										if(length($line[1]) < $max_descrip) { #$max_descrip
											$QUESTIONS{$quest_no}{answer_num}{$key}{answer}{0} = $line[1];
											#$QUESTIONS{$num}{answer_num}{$answr}{answer}
											$keep_going = 0;
											next;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
											$keep_going = 0;
						 					next;
											}
										}
							
									elsif($line_read =~ /identifier=\"$CORRECT_ANSWER_ID{$key}\"/) { # The right side of value - question/prompt
										$NUM_USED{$CORRECT_ANSWER_ID{$key}} = 1;
										my @line = split(/\">/,$line_read);
						
										if(length($line[1]) < $max_descrip) {
											$QUESTIONS{$quest_no}{answer_num}{$key}{answer}{1} = $line[1];
											$ANSWER_VAR{$key} = $answer_num;

											$keep_going = 0;
											next;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
											$keep_going = 0;
											next;
											}
										}
									}
								
								# THE UNMATCHED ANSWERS MUST BE ADDED ALSO
								if(defined $CORRECT_ANSWER_ID{$identifier[0]} || $identifier[0] eq"$CORRECT_ANSWER_ID{$identifier[0]}" || defined $NUM_USED{$identifier[0]}) {
									}
								else{
									my @line = split(/\">/,$line_read);
									if(length($line[1]) < $max_descrip) { #$max_descrip
										++$mx_num;										
										$ANSWER_MX{$quest_no}{mx}{$mx_num} = $line[1];
										$keep_going = 0;
										next;
										}
									else {
										$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
										$keep_going = 0;
										next;
										}
									}
								}
							}				 			
					 		
						else { # ANSWER over multiple lines
							$line_read =~ s/<simpleAssociableChoice//g;
							$line_read =~ s/<qti-simple-associable-choice//g;
												
							foreach my $key(keys %CORRECT_ANSWER_ID) {
								if($line_read =~ /identifier=\"$key\"/) { # THE LEFT SIDE
									$MX = 0;
									++$answer_num;
									$ANSWER_VAR{$CORRECT_ANSWER_ID{$key}} = $answer_num;
									my @line = split(/\">/,$line_read);
									
									if(length($line[1]) > 0) {
										if(length($line[1]) < $max_descrip) {
											$QUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
											$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{0} = $line[1];
											$simpleAssociableChoice = 1;
											next;
											}
										
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
											$keep_going = 0;
											next;
											}
										}
										
									else { # JUST THE ID NO ANSWER							
										$QUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
										$simpleAssociableChoice = 1;
										}
									last;
									}							
									
								elsif(defined $ANSWER_VAR{$key}) {
									$QUESTIONS{$quest_no}{answer_num}{$ANSWER_VAR{$key}}{q_order} = $ANSWER_VAR{$key};
									$answer_num = $ANSWER_VAR{$key};
									$simpleAssociableChoice = 1;
									last;
									}
								
								elsif($line_read =~ /identifier=\"$CORRECT_ANSWER_ID{$key}\"/) { # THE RIGHT SIDE
									my @line = split(/\">/,$line_read);
									$MX = 1;
									
									if(length($line[1]) > 0) {					
										if(length($line[1]) < $max_answer_length_import) {
											$QUESTIONS{$quest_no}{answer_num}{$ANSWER_VAR{$key}}{answer}{1} = $line[1];
											$QUESTIONS{$quest_no}{answer_num}{$ANSWER_VAR{$key}}{q_order} = $ANSWER_VAR{$CORRECT_ANSWER_ID{$key}};
											$simpleAssociableChoice = 1;
											last;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerchoicetobig}";
											$keep_going = 0;
											last;
											}
										}
										
									else { # JUST THE ID NO ANSWER
										if(defined $ANSWER_VAR{$CORRECT_ANSWER_ID{$key}}) {
											$QUESTIONS{$quest_no}{answer_num}{$ANSWER_VAR{$key}}{q_order} = $ANSWER_VAR{$CORRECT_ANSWER_ID{$key}};
											$answer_num = $ANSWER_VAR{$CORRECT_ANSWER_ID{$key}};
											$simpleAssociableChoice = 1;
											last;
											}
										else {
											$QUESTIONS{$quest_no}{answer_num}{$ANSWER_VAR{$key}}{q_order} = $ANSWER_VAR{$CORRECT_ANSWER_ID{$key}};
											$simpleAssociableChoice = 1;
											last;
											}
										}
									}
								}
							}
						next;
						}
						
					if($line_read =~ /^<\/choiceInteraction>/ || $line_read =~ /^<\/qti-choice-interaction>/) { # Done with Answers	
						$answer_num = 0;
						$keep_going = 0;
						next;
						}
						
					if($line_read =~ /<\/qti-extended-text-interaction>/ && $QUESTIONS{$quest_no}{type} eq"P") { # V3 Next is the answer
						$keep_going = 8;
						++$answer_num;
						next;
			                	}
		
					if($line_read =~ /<extendedTextInteraction/ && $QUESTIONS{$quest_no}{type} eq"P") {
						next;
			                	}
			                	
			                if($line_read =~ /<rubricBlock/ && $QUESTIONS{$quest_no}{type} eq"P") { # Next is the answer
			                	$keep_going = 10;
						next;
			                	}
			                	
			                if($line_read =~ /<\/rubricBlock/ && ($QUESTIONS{$quest_no}{type} eq"P" || $QUESTIONS{$quest_no}{type} eq"SA")) {
						next;
			                	}
			                	
			                if(($line_read =~ /<\/itemBody>/ || $line_read =~ /<\/qti-item-body>/) && $QUESTIONS{$quest_no}{type} eq"P") { # End of answer
			                	$QUESTIONS{$quest_no}{answer_num}{1}{c_answer} = 1;
			                	$QUESTIONS{$quest_no}{answer_num}{1}{q_order} = 1;
						%CORRECT_ANSWER_ID = ();
						$keep_going = 0;
						$answer_num = 0;
						$simple_match_set = 0; 
						next;
						}
		                            
					if($line_read =~ /responseProcessing>/ || $line_read =~ /<qti-response-processing>/) {
						next;
						}
		
					if($line_read =~ /<qti-is-null>/) {
						$skip = 1;
						next;
						}
		
			                if($line_read =~ /<qti-variable identifier=\"RESPONSE\"\/>/ && $QUESTIONS{$quest_no}{type} eq"P") { # Possible answer next for P
						$keep_going = 9;
						next;
			                	}
			                	
			                #this is not going in
			                if($line_read =~ /<qti-variable identifier=\"SCORE\"\/>/ && $response == 1) { # 
						next;
			                	}
		
			                if($line_read =~ /<qti-set-outcome-value identifier=\"completionStatus\">/ ) { # Skip the next line
						$skip = 1;
						next;
						}
						
					if($line_read =~ /<qti-set-outcome-value identifier=\"FEEDBACK\">/ ) { # Skip the next line
						$skip = 1;
						next;
			                	}
			                
					if($line_read =~ /^<\/assessmentItem>/ || $line_read =~ /^<\/qti-assessment-item>/) { # Done with Item/question CHECK if it is TF
						if($QUESTIONS{$quest_no}{type} eq"MC") {
							my $number = keys(%{$QUESTIONS{$quest_no}{answer_num}});
							if($number == 2) { # Maybe TF
								if(($QUESTIONS{$quest_no}{answer_num}{1}{answer} =~ /true/i && $QUESTIONS{$quest_no}{answer_num}{2}{answer} =~ /false/i) || ($QUESTIONS{$quest_no}{answer_num}{2}{answer} =~ /true/i && $QUESTIONS{$quest_no}{answer_num}{1}{answer} =~ /false/i)) {
									$QUESTIONS{$quest_no}{type} = "TF";
									
									if($QUESTIONS{$quest_no}{answer_num}{1}{c_answer} == 1) {
										delete($QUESTIONS{$quest_no}{answer_num}{2});
										$QUESTIONS{$quest_no}{answer_num}{1}{answer} ="T";
										}
									
									else {
										$QUESTIONS{$quest_no}{answer_num}{1}{answer} ="F";
										delete($QUESTIONS{$quest_no}{answer_num}{2});
										}
									}
								}
							}
		
						$QUESTIONS{$quest_no}{question} =~ s/"/&quot;/g;
						$simple_match_set = 0;
						$question_active = 0;
						%CORRECT_ANSWER_ID = ();
						%ANSWER_VAR = ();
						$answer_num = 0;
						$qti = 2;
						$responsedec = 0;
			                        $identifier = 0;
			                        $skip = 0;
						next;
						}
				} # FINISHED parsing FILE
			} # DONE QTI
        
        
        
        
        # NEXT PUT INFO INTO DATABASE 		#############################################################
            
	# REMOVE BAD QUESTIONS
        if(keys %NO_GOOD) {
                foreach my $i(keys %NO_GOOD) {
                        delete($QUESTIONS{$i});
                        }
                }

                
                
        # ENTER THE QUESTIONS
        if(keys %QUESTIONS) {
        
        	#WHAT we need
                #$QUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $q_order1;
                #$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $answer;
                #$QUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = $c_answer1;
                #$QUESTIONS{$quest_no}{answer_num}{$answer_num}{adv_ans_image_name}{$adv_ans_image_name} = $adv_ans_image;
                #$QUESTIONS{$quest_no}{answer_num}{$answer_num}{baimage_id} = $baimage_id;
                #$QUESTIONS{$quest_no}{answer_num}{$answer_num}{baimage_id_name} = $baimage_id_name;
                #$QUESTIONS{$quest_no}{kolum} = $kolum1;
                #$QUESTIONS{$quest_no}{alink} = $alink1;
                #$QUESTIONS{$quest_no}{vlink} = $vlink1;
                #$QUESTIONS{$quest_no}{qimage_name}{$qimage_name} = $qimage;
                #$QUESTIONS{$quest_no}{qimage_id}{$qimage_id} = 0;
                #$QUESTIONS{$quest_no}{question} = $question
                #$QUESTIONS{$quest_no}{value} = $value1;
                #$QUESTIONS{$quest_no}{ans_mode} = $ans_mode1;
                #$QUESTIONS{$quest_no}{mode} = $mode1;
                #$QUESTIONS{$quest_no}{bq_image_name} = $bq_image_name;
                #$QUESTIONS{$quest_no}{bq_image} = $bq_image;
                #$QUESTIONS{$quest_no}{bq_imageid} = $return;
                #$QUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$c_answer} = $answer; MX ANSWERS
                
                # SET THE u_id  - question bank admins is 0
                if($IQ{u_type} == 5) {
                        $IQ{u_id} = 0;
                        }
                        
                my $import_images_num = 0;
                my $contains_images = 0;
                
                #CREATE THE IMPORT IMAGES FOLDER
                my $return;
                my $type = 5;
                my $return_num;
                my $datestring = localtime();
                        
                if($IQ{u_type} == 5) {
                	$IQ{u_id} = 0;
                        $type = 0;
                        my $query1 = "SELECT number FROM file_folders WHERE u_id = \"$IQ{u_id}\" AND org_id=\"$org_id\" AND name='Bank Files'";
                        my $sth2 = $dbh->prepare($query1);
                        $sth2->execute();
                        while(my @row = $sth2->fetchrow_array()) {
                                $return_num = "$row[0]";
                                }
                        }
                else {
                        $return_num = 1;
                        }
                                
                                
                # IF we HAVE images create folder to put under Files
                
                foreach my $numbr(keys %QUESTIONS) {
                	if(keys %{$QUESTIONS{$numbr}{qimage_name}}) {
                		$contains_images = 1;
                		last;
                		}
                	elsif(keys %{$QUESTIONS{$numbr}{answer_num}}) { # ADVANCED ANSWER IMAGES
			        foreach my $ans_num(keys %{$QUESTIONS{$numbr}{answer_num}}) {
                                        if(keys %{$QUESTIONS{$numbr}{answer_num}{$ans_num}{adv_ans_image_name}}) {
                                        	$contains_images = 1;
                                        	last;
                                        	}
                                        }
                                }
                        elsif($QUESTIONS{$numbr}{bq_image_name} ne "") { # BASIC QUESTION IMAGE
                        	$contains_images = 1;
                        	last;
                        	}
                        elsif($QUESTIONS{$numbr}{bq_pdf_name} ne "") { # BASIC QUESTION PDF
			        $contains_images = 1;
			        last;
                        	}
                        elsif(keys %{$QUESTIONS{$numbr}{answer_num}}) { # BASIC ANSWER IMAGES
			        foreach my $ans(keys %{$QUESTIONS{$numbr}{answer_num}}) {
                                        if($QUESTIONS{$numbr}{answer_num}{$ans}{baimage_id_name} ne "") {
                                        	$contains_images = 1;
                                        	last;
                                        	}
                                        }
                                }
                	}
                	
                if($contains_images == 1) { # Create folder for these imported images
			my $folder_name = "Import Images $import_from "."$datestring";
                	my $query1 = "insert into file_folders(name,parent,u_id,type,org_id) VALUES(?,?,?,?,?)";
                	my $sth1 = $dbh->prepare($query1);
                	$sth1->execute($folder_name,$return_num,$IQ{u_id},$type,$org_id);
                        
                	my $query2 = qq{SELECT LAST_INSERT_ID()};
               		my $sth2 = $dbh->prepare($query2);
                	$sth2->execute();
                	($return) = $sth2->fetchrow_array();
                	$import_images_num = $return;
			}
                        
                # INSERT EVERYTHING
                foreach my $num(sort {$a<=>$b} keys %QUESTIONS) {
               
                        # CONVERT IMAGES, GET THEIR NEW NUMBERS, WRITE THE FILES
                        
                        if(keys %{$QUESTIONS{$num}{qimage_name}}) { # ADVANCED QUESTION IMAGES
                                foreach my $image_name(keys %{$QUESTIONS{$num}{qimage_name}}) {
                                        # INSERT TO QST_FILES AND GET NUMBER
                                        my $error = 0;
                                        my @extension = split(/\./,$image_name);
                                        my $type = "image\/"."$extension[1]";
                                      
                                        my $size = length($QUESTIONS{$num}{qimage_name}{$image_name});
                                        my $return = &insert_file_info("f_name","$image_name","u_id","$IQ{u_id}","parent","$import_images_num","org_id","$org_id","type","$type","size","$size","u_type","$u_type","filedescrip","");
                                
                                        # WRITE THE FILE - NUMBER
                                        my $real_file_name = $upload_directory."$return"."\."."$extension[1]";
                                        my $new_file_name = "$return"."\."."$extension[1]";

                                        if (! open(GOODFILE, ">$real_file_name") ) {
                                                print "Can't open file for writing - $!";
                                                $error = 1;
                                                }
                                    
                                        if( $error == 0) {
                                                my $image = $QUESTIONS{$num}{qimage_name}{$image_name};
                                                
                                                if ($IQ{import_format} == 2) { # Word XML
                                                       $image = decode_base64($QUESTIONS{$num}{qimage_name}{$image_name});
                                                        }
                                                        
                                                binmode GOODFILE;
                                                print GOODFILE $image;
                                                close(GOODFILE);
                                                }
                                                
                                        # REPLACE image name with number in question
                                        $QUESTIONS{$num}{question} =~ s/\/schools\/qst_files\/$image_name/\/schools\/qst_files\/$new_file_name/g;
                                        }
                                }
                           
                        if(keys %{$QUESTIONS{$num}{answer_num}}) { # ADVANCED ANSWER IMAGES
                                foreach my $ans_num(keys %{$QUESTIONS{$num}{answer_num}}) {
                                        if(keys %{$QUESTIONS{$num}{answer_num}{$ans_num}{adv_ans_image_name}}) {
                                                foreach my $image_name(keys %{$QUESTIONS{$num}{answer_num}{$ans_num}{adv_ans_image_name}}) {
                                                        # INSERT TO QST_FILES AND GET NUMBER
                                                        my $error = 0;
                                                        my @extension = split(/\./,$image_name);
                                                        my $type = "image\/"."$extension[1]";
                                                        my $image = decode_base64($QUESTIONS{$num}{answer_num}{$ans_num}{adv_ans_image_name}{$image_name});
                                                        my $size = length($image);                                                       
                                                        
                                                        my $return = &insert_file_info("f_name","$image_name","u_id","$IQ{u_id}","parent","$import_images_num","org_id","$IQ{org_id}","type","$type","size","$size","u_type","$u_type","filedescrip","");
                                
                                                        # WRITE THE FILE - NUMBER
                                                        my $real_file_name = $upload_directory."$return"."\."."$extension[1]";
                                                        my $new_file_name = "$return"."\."."$extension[1]";

                                                        if (! open(AAFILE, ">$real_file_name") ) {
                                                                print "Can't open file for writing - $!";
                                                                $error = 1;
                                                                }
                                    
                                                        if( $error == 0) {
                                                                binmode AAFILE;
                                                                print AAFILE $image;
                                                                close(AAFILE);
                                                                }
                                                                
                                                        $QUESTIONS{$num}{answer_num}{$ans_num}{answer} =~ s/\/schools\/qst_files\/$image_name/\/schools\/qst_files\/$new_file_name/g;
                                                        }
                                                }
                                        }
                                }
                                
                        if($QUESTIONS{$num}{bq_image_name} ne "") { # BASIC QUESTION IMAGE
                                my $image_name = $QUESTIONS{$num}{bq_image_name};
                                
                                # INSERT TO QST_FILES AND GET NUMBER
                                my $error = 0;
                                my @extension = split(/\./,$image_name);
                                my $type = "image\/"."$extension[1]";
                                my $image = decode_base64($QUESTIONS{$num}{bq_image});
                                my $size = length($image);
                                                
                                my $return = &insert_file_info("f_name","$image_name","u_id","$IQ{u_id}","parent","$import_images_num","org_id","$IQ{org_id}","type","$type","size","$size","u_type","$u_type","filedescrip","");

                                # WRITE THE FILE - NUMBER
                                my $real_file_name = $upload_directory."$return"."\."."$extension[1]";
                                my $new_file_name = "$return"."\."."$extension[1]";

                                if (! open(BQFILE, ">$real_file_name") ) {
                                        print "Can't open file for writing - $!";
                                        $error = 1;
                                        }
                                    
                                if( $error == 0) {
                                        binmode BQFILE;
                                        print BQFILE $image;
                                        close(BQFILE);
                                        }
                                                
                                delete($QUESTIONS{$num}{bq_image});
                                        
                                # ADD the image_id
                                $QUESTIONS{$num}{bq_imageid} = $return;
                                }
                                
                        if($QUESTIONS{$num}{bq_pdf_name} ne "") { # BASIC QUESTION PDF
				my $pdf_name = $QUESTIONS{$num}{bq_pdf_name};
			                                
			        # INSERT TO QST_FILES AND GET NUMBER
			        my $error = 0;
			        my @extension = split(/\./,$pdf_name);
			        my $type = "application\/pdf";
			        my $pdf = decode_base64($QUESTIONS{$num}{bq_pdf});
			        my $size = length($pdf);
			                                                
			        my $return = &insert_file_info("f_name","$pdf_name","u_id","$IQ{u_id}","parent","$import_images_num","org_id","$IQ{org_id}","type","$type","size","$size","u_type","$u_type","filedescrip","");
			
			        # WRITE THE FILE - NUMBER
			        my $real_file_name = $upload_directory."$return"."\.pdf";
			        my $new_file_name = "$return"."\.pdf";
			
			        if (! open(BQFILE, ">$real_file_name") ) {
			                  print "Can't open file for writing - $!";
			                  $error = 1;
			                  }
			                                    
			        if( $error == 0) {
			                  binmode BQFILE;
			                  print BQFILE $pdf;
			                  close(BQFILE);
			                  }
			                                                
			        delete($QUESTIONS{$num}{bq_pdf});
			                                        
			        # ADD the bq_pdf_id
			        $QUESTIONS{$num}{bq_pdf_id} = $return;
                                }
                                
                        if(keys %{$QUESTIONS{$num}{answer_num}}) { # BASIC ANSWER IMAGES
                                foreach my $ans(keys %{$QUESTIONS{$num}{answer_num}}) {
                                        if($QUESTIONS{$num}{answer_num}{$ans}{baimage_id_name} ne "") {
                                                # INSERT TO QST_FILES AND GET NUMBER
                                                my $error = 0;
                                                my @extension = split(/\./,$QUESTIONS{$num}{answer_num}{$ans}{baimage_id_name});
                                                my $type = "image\/"."$extension[1]";
                                                my $image = decode_base64($QUESTIONS{$num}{answer_num}{$ans}{baimage_id});
                                                my $size = length($image);
                                                
                                                my $return = &insert_file_info("f_name","$QUESTIONS{$num}{answer_num}{$ans}{baimage_id_name}","u_id","$IQ{u_id}","parent","$import_images_num","org_id","$IQ{org_id}","type","$type","size","$size","u_type","$u_type","filedescrip","");
                                
                                                # WRITE THE FILE for the NUMBER
                                                my $real_file_name = $upload_directory."$return"."\."."$extension[1]";
                                                my $new_file_name = "$return"."\."."$extension[1]";

                                                if (! open(BAFILE, ">$real_file_name") ) {
                                                        print "Can't open file for writing - $!";
                                                        $error = 1;
                                                        }
                                    
                                                if( $error == 0) {
                                                        
                                                        binmode BAFILE;
                                                        print BAFILE $image;
                                                        close(BAFILE);
                                                        }
                                                
                                                $QUESTIONS{$num}{answer_num}{$ans}{baimage_id} = $return;
                                                }
                                        }
                                }
                                
                                # DONE WITH IMAGES
                                
                                
                        # INSERT INTO QUESTIONS TABLE
                        if($QUESTIONS{$num}{bq_imageid} eq "") {
                                $QUESTIONS{$num}{bq_imageid} = 0;
                                }
                        
                        if($QUESTIONS{$num}{bq_pdf_id} eq "") {
			        $QUESTIONS{$num}{bq_pdf_id} = 0;
                                }
                                
                        my $return = &insert_import_question_return("u_id","$IQ{u_id}","question","$QUESTIONS{$num}{question}","type","$QUESTIONS{$num}{type}","value","$QUESTIONS{$num}{value}","org_id","$IQ{org_id}","sub_type","$QUESTIONS{$num}{sub_type}","image_id","$QUESTIONS{$num}{bq_imageid}","vlink","$QUESTIONS{$num}{vlink}","alink","$QUESTIONS{$num}{alink}","kolum","$QUESTIONS{$num}{kolum}","mode","$QUESTIONS{$num}{mode}","descrip","$QUESTIONS{$num}{descrip}","ans_mode","$QUESTIONS{$num}{ans_mode}","pdf","$QUESTIONS{$num}{bq_pdf_id}");
	
                        # INSERT INTO CATEGORIES_TO_QUESTIONS TABLE
                        &insert_generic("query","INSERT categories_to_questions VALUES(\"$IQ{folder_no}\",\"$return\",\"$IQ{u_id}\",\"$org_id\")");
				
                        
                        # INSERT INTO QUESTION_ANSWERS TABLE                                
			if($QUESTIONS{$num}{type} eq "MX") { # MATCHXNG QUESTIONS
                               my $end = 0;
                               foreach my $answr(sort keys %{$QUESTIONS{$num}{answer_num}}) {
                               		foreach my $c_an(sort keys %{$QUESTIONS{$num}{answer_num}{$answr}{answer}}) {
               		                	&insert_import_question_answers("number","$return","ids","$IQ{u_id}","num","$answr","answer","$QUESTIONS{$num}{answer_num}{$answr}{answer}{$c_an}","c_answer","$c_an","image_id","0");
                                        	}
                                       	++$end;
                                        }

                               if(keys %{$ANSWER_MX{$num}{mx}}) { 
                                       	++$end;

                                       	foreach my $xtra(keys %{$ANSWER_MX{$num}{mx}}) {
                                               	&insert_import_question_answers("number","$return","ids","$IQ{u_id}","num","$end","answer","$ANSWER_MX{$num}{mx}{$xtra}","c_answer","1","image_id","0");
						++$end;
                                       		}
                                       	}
                               }
 
			else { # ALL OTHER QUESTIONS
                        	foreach my $answr(keys %{$QUESTIONS{$num}{answer_num}}) {
                        		if($QUESTIONS{$num}{answer_num}{$answr}{baimage_id} eq "") {
                                                $QUESTIONS{$num}{answer_num}{$answr}{baimage_id} = 0;
                                                }
                                        &insert_import_question_answers("number","$return","ids","$IQ{u_id}","num","$QUESTIONS{$num}{answer_num}{$answr}{q_order}","answer","$QUESTIONS{$num}{answer_num}{$answr}{answer}","c_answer","$QUESTIONS{$num}{answer_num}{$answr}{c_answer}","image_id","$QUESTIONS{$num}{answer_num}{$answr}{baimage_id}");
                        	        }
                                }
                        }                        
                        
                print"<P><BR><P><center><B>The questions were uploaded.</B></center><P><P><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt; font-family:Arial; cursor: pointer\"><B onClick=\"self.close()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close} </font></b></TD></TABLE>\n";
                
                if(keys %NO_GOOD) {
                       	print"<P><CENTER><B>$LANGUAGE{$set_language}{Questionsnotinserted}</B></center><P>\n";
                       	foreach my $ques(keys %NO_GOOD) {
                               	print"<P>$LANGUAGE{$set_language}{Question}: $ques<BR>$NO_GOOD{$ques}\n";
                               	}
                        }
                }
                
        else {
                print"<P><center><B>$LANGUAGE{$set_language}{Noquestionswereuploaded}</B></center><P><P><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt; font-family:Arial;\"><B onClick=\"self.close()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close} </font></b></TD></TABLE>\n";
         
                if(keys %NO_GOOD) {
                        print"<P><CENTER><B>$LANGUAGE{$set_language}{Questionsnotinserted}:</B></center><P>\n";
                        foreach my $ques(sort {$a<=>$b} keys %NO_GOOD) {
                                print"<P>$LANGUAGE{$set_language}{Question}: $ques<BR>$NO_GOOD{$ques}<BR>\n";
                                if($missing_answers == 1) {
                                       	print"Missing answers<BR><BR>\n";
                                        }
                                }
                        }
                }
	}

##################
#
# IMPORT_QUESTS_QTI_ZIP
#
#################
sub import_quests_qti_zip {
	my %IQ = @_;
	my $dir_name = $IQ{directory};
	my @bad_lines;
	my $quest_no = 0;
        my %QTIQUESTIONS = ();
        my %NO_GOOD = ();
        my %ANSWER_MX = ();
        my $question;
        my $answer_num = 0;
        my $mx_num = 0;
        my $answer;
        my $name_to_long = 0;
        my $type;
        my $error = 0;
        my $missing_answers = 0;
        my $contains_images = 0;
        my $return_num;
        my $import_images_num;
        my $import_from = "QTI 2/3 ZIP";
        my %FILES = ();

        if($u_type == 5) {
                $IQ{u_id} = 0;
                }
	
        # parse the directories and files in the directory

	opendir(IN, $dir_name) || die "Can't open $dir_name: $!"; # Open original directory 'u_id _ u_id'
	while (readdir IN) {
		next if(/^\./);
		next if(/^\.\./);
		next if(/imsmanifest/);
		next if(/assessment/);

		my $new_dir = "$dir_name/"."$_";

		opendir(INN, $new_dir); # Each xml file has it's own directory
		while (readdir INN) {
			next if(/^\./);
			next if(/^\.\./);

			if(/\.xml$/) { # a question file
				my $name = $_;
				my $dirname ="$new_dir"."\/"."$_";
				my $qti_file;
									
				if (! open(QTIFILE, "$dirname") ) {
					print "Can't open file - $!";
					$error = 1;
					 }
	                        else {
	      				open(QTIFILE, "$dirname");
					while(<QTIFILE>) {
						$qti_file = "$qti_file"."$_";
						
						}
					}	
					
				close(QTIFILE);

				$qti_file =~ s/<qti-/\n<qti-/gm; #put in the new line character so we can split the tags by it sometimes text is all on one line
				
				# Get the info from the file
				my $xmlcontents = $qti_file;
			        my $keep_going = 0;
			        my $question_active = 0;
			        my %CORRECT_ANSWER_ID = ();
			        my %XTRA_ANSWERS_MX = ();
			        my %ANSWER_VAR = ();
			        my $base_type;
			        my $mx_right = 0;
			        my $name_tag = 0;
			        my $response = 0;
			        my $responsedec = 0;
			        my $qti = 2;
			        my $skip = 0;
			        my $simpleAssociableChoice = 0;
			        my $max_value_length_import = 10;
			        my $max_value_correct_response_import = 100;
			        my $simple_match_set = 0;
			        my $MX;
			        my $identifier;
			        my $ans_order = 0;
			        
			        $xmlcontents =~ s/\r[\n]*/\n/gm;
				my @lines = split(/\n/,$xmlcontents);
	          		
			        foreach my $line_read(@lines) { # Begin parsing the chunks
			        	chomp;

			                next if($line_read eq"");
			                $line_read = &l_spaces("$line_read","0");
					$line_read = &tr_spaces("$line_read","0");
							
					#qti 2
					next if($line_read =~ /<\/responseDeclaration>/);
					next if($line_read =~ /<\/defaultValue>/);
					next if($line_read =~ /<\/outcomeDeclaration>/);

					#qti 3
					next if($line_read =~ /<\/qti-response-declaration>/);
					next if($line_read =~ /<\/defaultValue>/);
					next if($line_read =~ /<\/qti-outcome-declaration>/);
					next if($line_read =~ /<\/qti-response/);
					next if($line_read =~ /<qti-feedback-inline/);
					next if($line_read =~ /<qti-extended-text-interaction/);
					next if($line_read =~ /<qti-response-condition>/);
					next if($line_read =~ /<\/qti-response-if>/);
					next if($line_read =~ /<qti-response-else>/);
					next if($line_read =~ /<qti-response-condition>/);
					next if($line_read =~ /<qti-response-if>/);
					next if($line_read =~ /<\/qti-set-outcome-value>/);
					next if($line_read =~ /identifier=\"FEEDBACK\"/);
					next if($line_read =~ /<\/qti-feedback-inline>/);
					next if($line_read =~ /<qti-text-entry-interaction/);
					next if($line_read =~ /<qti-inline-choice-interaction/);
			
				
					if($skip == 1){
						$skip = 0;
						next;
						}
			                
			                       	
			                	if($keep_going == 1) { # CORRECT ANSWERS ID for MC cardinality is single and string for P
			 				if($line_read =~ /<value>/ || $line_read =~ /<qti-value>/) { # 
			 					$line_read =~ s/^<value>//;
			 					$line_read =~ s/<\/value>//;
			 					$line_read =~ s/^<qti-value>//;
			 					$line_read =~ s/<\/qti-value>//;
			 					$line_read =~ s/\s//g;
			 					$line_read =~ s/<!\[CDATA\[//;
			 					$line_read =~ s/\]\]>//;
	 					
			 					if($QTIQUESTIONS{$quest_no}{type} eq"P") {
									if(length($line_read) < 70) { # CHANGE TO SHORT ANSWER question
										$QTIQUESTIONS{$quest_no}{type} = "SA";
										$QTIQUESTIONS{$quest_no}{ans_mode} = 0;
										$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = $line_read;
										}
								
									else {
			 							$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = $line_read;
			 							}
			 						}
	 						
			 					else {
			 						if(length($line_read) > 0) {
	 	
			 			        			if(length($line_read) < $max_answer_length_import) {
			 			        				$CORRECT_ANSWER_ID{$line_read} = $line_read;
			 								}
			 							else {
			 								$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerimportuploadsize}";
			 					               	 	delete($QTIQUESTIONS{$quest_no});
			 					               	 	}
			 							}
			 						}
			                	                 }
			                	         $keep_going = 0;
			                	         next;
			                	         }               


			                	 if($keep_going == 2) { # THE ACTUAL QUESTION	         
			                	 	if($line_read =~ /<\/itemBody/ || $line_read =~ /<\/qti-item-body/) { # End of QUESTION 
			                	 		%CORRECT_ANSWER_ID = ();
								$keep_going = 0;
					 		 	}
			 		 		
			                	 	elsif($line_read =~ /<templateDeclaration / || $line_read =~ /<qti-template-declaration /) { # Don't do these
						 		$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimporttemplatequestions};
						 		}

						 	elsif($line_read =~ /^<inlineChoice/ || $line_read =~ /^<qti-inline-choice/) { # 
								$NO_GOOD{$quest_no} = "Don't import qti-inline-choice questions.";
						 	 	}
			 	 	
						 	elsif($line_read =~ /^<textEntryInteraction/ || $line_read =~ /^<qti-text-entry-interaction/) { # 
								$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimporttextentryinteractionquestions};
						 	 	}

							elsif($line_read =~ /^<choiceInteraction/ || $line_read =~ /^<qti-choice-interaction/) { # 
						 	 	}			 	 	
				 	 					 	 	
					 	 	elsif($line_read =~ /^<simpleMatchSet>/ || $line_read =~ /^<qti-simple-match-set>/) { # 
					 	 		$simple_match_set = 1;
						 	 	}
					 	 	
						 	elsif($line_read =~ /^<prompt>/ || $line_read =~ /^<qti-prompt>/) { # no question but prompt
						 	 	$line_read =~ s/^<prompt>//;
								$line_read =~ s/^<qti-prompt>//;
						
								if($line_read =~ /<\/prompt>/ || $line_read =~ /<\/qti-prompt>/) { # all on the same line 
									$line_read =~ s/<\/prompt>$//;
									$line_read =~ s/<\/qti-prompt>$//;
									$line_read =~ s/"/&quot;/g;
										
									if(!defined $QTIQUESTIONS{$quest_no}{question}) {
										$QTIQUESTIONS{$quest_no}{question} = "";
										}
										
									my $actual_question = "$QTIQUESTIONS{$quest_no}{question}"." "."$line_read";
									$QTIQUESTIONS{$quest_no}{question} = $actual_question;
								
									if(length($QTIQUESTIONS{$quest_no}{question}) > $max_question_length_import) {
										#$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questiontoobig}";
										$NO_GOOD{$QTIQUESTIONS{$quest_no}{descrip}} = "$LANGUAGE{$set_language}{Questionimportuploadsize}";
					 		 			}
			 		 			
									$keep_going = 0;
									}
							
								else { # more to come
									if(!defined $QTIQUESTIONS{$quest_no}{question}) {
										$QTIQUESTIONS{$quest_no}{question} = "";
										}
									
									my $actual_question = "$QTIQUESTIONS{$quest_no}{question}"." "."$line_read";
									$actual_question =~ s/^\s//;
									$QTIQUESTIONS{$quest_no}{question} = $actual_question;
									$keep_going = 3;
									}
								next;
						 	 	}
			 	 		
					 	 	elsif($line_read =~ /^<\/qti-extended-text-interaction>/) { # The answer is next for P
					 	 		$keep_going = 8;
					 	 		}

					 	 	elsif($line_read =~ /^<uploadInteraction/ || $line_read =~ /^<qti-upload-interaction/ ) { # Do not IMPORT these questions
					 	 		$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportfileuploadquestions};
								$question_active = 0;
								$keep_going = 0;
			                        		}
	                        		
	                        	
			                        	elsif($line_read =~ /^<sliderInteraction/ || $line_read =~ /^<qti-slider-interaction/ ) { # Do not IMPORT these questions
								$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportsliderquestions};
								$question_active = 0;
								$keep_going = 0;
			                        		}
	                        		
			                        	elsif($line_read =~ /^<associateInteraction/ || $line_read =~ /^<qti-associate-interaction/) { # 
								}
						
							elsif($line_read =~ /^<matchInteraction/ || $line_read =~ /^<qti-match-interaction/) { # 
								}
						
							elsif($line_read =~ /^<extendedTextInteraction/) { # P or SA
								$keep_going = 0;
						 	 	}
						
							#elsif($line_read =~ /^<simpleChoice/) { NOT NEEDED HERE
							#	$keep_going = 5;
						 	# 	}
					 	 	
					 		else { # keep adding to question
					 		 	if($line_read =~ /<object type=\"image/) { #png" data="images/postcard.png">
					 		 		if($line_read =~ /\">$/) {
					 		 			next;
					 		 			}
					 		 		}
			 		 				
			 		 			my $actual_question = "$QTIQUESTIONS{$quest_no}{question}"." "."$line_read";
								$QTIQUESTIONS{$quest_no}{question} = $actual_question;					 		 	
					 		 				 		 				
					 		 	if(length($QTIQUESTIONS{$quest_no}{question}) > 0) {
					 		 		if(length($QTIQUESTIONS{$quest_no}{question}) < $max_question_length_import) {
				 	 		
					 		 			}
					 		 		else {
					 		 			#$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questiontoobig}";
					 		 			$NO_GOOD{$QTIQUESTIONS{$quest_no}{descrip}} = "$LANGUAGE{$set_language}{Questionimportuploadsize}";
					 		 			delete($QTIQUESTIONS{$quest_no});
					 		 			$keep_going = 0;
					 		 			}
					 		 		}
					 		 	next;	
					 		        }
			                	    	 }
					
				
						if($keep_going == 3) { # The Prompt
							if($line_read =~ /^<\/prompt>$/ || $line_read =~ /^<\/qti-prompt>$/) {
								$line_read =~ s/^<\/prompt>$//;
								$line_read =~ s/^<\/qti-prompt>$//;
						
								if(!defined $QTIQUESTIONS{$quest_no}{question}) {
									$QTIQUESTIONS{$quest_no}{question} = "";
									}
						
								$QTIQUESTIONS{$quest_no}{question} = "$QTIQUESTIONS{$quest_no}{question}"."$line_read";
								if(length($QTIQUESTIONS{$quest_no}{question}) > 0) {
									if(length($QTIQUESTIONS{$quest_no}{question}) < $max_question_length_import) {
							
										}
									else {
										#$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questiontoobig}";
										$NO_GOOD{$QTIQUESTIONS{$quest_no}{descrip}} = "$LANGUAGE{$set_language}{Questionimportuploadsize}";
										delete($QTIQUESTIONS{$quest_no});
										$keep_going = 0;
										}
									 }
								$keep_going = 0;
								}
						 	 	
							else { # keep adding to question
								if(!defined $QTIQUESTIONS{$quest_no}{question}) {
									$QTIQUESTIONS{$quest_no}{question} = "";
									}
						
								$QTIQUESTIONS{$quest_no}{question} = "$QTIQUESTIONS{$quest_no}{question}"."$line_read";
								if(length($QTIQUESTIONS{$quest_no}{question}) > 0) {
									 if(length($QTIQUESTIONS{$quest_no}{question}) < $max_question_length_import) {
						 	 		
									 	 }
									 else {
									 	# $NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questiontoobig}";
									 	 $NO_GOOD{$QTIQUESTIONS{$quest_no}{descrip}} = "$LANGUAGE{$set_language}{Questionimportuploadsize}";
									 	 delete($QTIQUESTIONS{$quest_no});
									 	 $keep_going = 0;
									 	 }
									}
								}
							next;
							}

						if($keep_going == 4) { # Value of question for MC
							if($line_read =~ /<value>/) {
								$line_read =~ s/^<value>//;
								$line_read =~ s/<\/value>//;
							 	$line_read =~ s/\s//g;
								$line_read =~ s/\D//g;
						 				
								if ($line_read eq"" || $line_read == 0) {
									 $line_read = 1;
									 }
						 				
								my $value = substr($line_read, 0, 3);
			 					$QTIQUESTIONS{$quest_no}{value} = $value;
							 	}

							$keep_going = 0;
							next;
			                	        }               

						if($keep_going == 5) { # More to Answer
							 #<simpleChoice identifier="Discovery" fixed="false" showHide="show">Discovery</simpleChoice>
							if($line_read =~ /<\/simpleChoice>$/ || $line_read =~ /<\/qti-simple-choice>$/) { # End of ANSWER
								$line_read =~ s/<\/simpleChoice>$//g;
								$line_read =~ s/<\/qti-simple-choice>$//g;
								my @line = split(/>/,$line_read);
						
								my $actual_answer = "$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}"." "."$line_read";
								$actual_answer =~ s/"/&quot;/g;
							
								if(length($actual_answer) < $max_answer_length_import) {
									$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $actual_answer;
									}
														
								else { 
									$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerimportuploadsize}";
									delete($QTIQUESTIONS{$quest_no});
									}
										
								$keep_going = 0;
								next;
								}
												
							else { # ANSWER over multiple lines
								my $actual_answer = "$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}"." "."$line_read";
						
								$actual_answer =~ s/"/&quot;/g;
						
								if(length($actual_answer) < $max_answer_length_import) {
									$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $actual_answer;
									$keep_going = 5;
									next;
									}
																		
								else { 
									$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerimportuploadsize}";
									delete($QTIQUESTIONS{$quest_no});
									$keep_going = 0;
									next;
									}
								}
							}
					
						if($keep_going == 6) { # CORRECT ANSWERS ID MA
							 if($line_read =~ /<value>/ || $line_read =~ /<qti-value>/) { # 
							 	$line_read =~ s/^<value>//;
							 	$line_read =~ s/<\/value>//;
							 	$line_read =~ s/^<qti-value>//;
							 	$line_read =~ s/<\/qti-value>//;
							 	$line_read =~ s/\s//g;

							 	if(length($line_read) > 0) {
							 		if(length($line_read) < $max_value_correct_response_import) {
							 		        $CORRECT_ANSWER_ID{$line_read} = $line_read;
							 			}
							 		else {
							 			$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Correctresponseidentifiertobig}";
							 			delete($QTIQUESTIONS{$quest_no});
							 			}
							 		}
							        }
							 else {
							 	$keep_going = 0;
							 	}
							 next;
			                	         }               
	                        
						if($keep_going == 7) { # CORRECT ANSWERS ID CORRELATION  1 11 MX
							if($line_read =~ /<value>/ || $line_read =~ /<qti-value>/) { # 
								++$ans_order;
								$line_read =~ s/^<value>//;
								$line_read =~ s/<\/value>//;
								$line_read =~ s/^<qti-value>//;
								$line_read =~ s/<\/qti-value>//;
								my @assoc = split(/\s/,$line_read);

								if(length($line_read) > 0) {
									if(length($line_read) < $max_value_correct_response_import) {							
										#$CORRECT_ANSWER_MX{$quest_no}{order}{$ans_order}{correlation}{$assoc[1]} = $assoc[0]; 
										$CORRECT_ANSWER_ID{$assoc[1]} = $assoc[0];
										}
									else {
										$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Correctresponseidentifiertobig}";
										delete($QTIQUESTIONS{$quest_no});
										}
									}
								}
							else {
								$keep_going = 0;
								}
					
							next;
							}
			                         
						if($keep_going == 8) { # V3 The answer to the paragraph/essay question
							$line_read =~ s/"/&quot;/g;
							my $actual_answer;
					
							if(!defined $QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}) {
								$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = "";
								}

						 	if($line_read =~ /^<\/qti-item-body>/) { # End of question answer
						 		if($QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} eq"") {
									$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = "This is only a placeholder.";
									}
					 	
						 		if(length($QTIQUESTIONS{$quest_no}{answer_num}{1}{answer}) < 70) {
									$QTIQUESTIONS{$quest_no}{type} = "SA";
									}

								if(length($QTIQUESTIONS{$quest_no}{answer_num}{1}{answer})> $max_answer_length_import) {
									$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerimportuploadsize}";
									}
							
						 	 	$keep_going = 0;
						 	 	next;
						 	 	}
			 	 		
					 	 	else {
								$actual_answer = "$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}"." "."$line_read";
								$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $actual_answer;
								next;
								}
			                	        }	                         


						if($keep_going == 9) { # V3 The answer to the short answer/paragraph/essay question
							if($QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} eq"") {
								if($line_read =~ /<qti-base-value/) {
									$line_read =~ s/<qti-base-value//;
									$line_read =~ s/<\/qti-base-value>//;
									my @line = split(/\">/,$line_read);

									if($line[1] ne"") {
										if($identifier eq"RESPONSE") {
											if(length($line[1])> $max_answer_length_import) {
												$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerimportuploadsize}";
												}
									
											else {
												if($line[0] =~ /integer/) {
													if(length($line[1]) < 70) { # CHANGE TO SHORT ANSWER question
														$QTIQUESTIONS{$quest_no}{type} = "SA";
														$QTIQUESTIONS{$quest_no}{ans_mode} = 0;
														}
												
													$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = $line[1];
													}
											
												else {
													$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = $line[1];
													}
												}
											}
									
										else {
											if($line[1] =~ /\./) {
												my @resp = split(/\./,$line[1]);
												$line[1] =~ $resp[0];
												}
											if($keep_going == 9 && $line_read =~ /$base_type/) { # RESPONSE							
												$response = 1;
												++$answer_num;
												my @values = split(/\./,$line[1]);
								
												if(length($values[0]) < 70) { # CHANGE TO SHORT ANSWER question
		#											$QTIQUESTIONS{$quest_no}{type} = "SA";
		#											$QTIQUESTIONS{$quest_no}{ans_mode} = 0;
		#											$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = $values[0];
													}
									
												elsif(length($values[0])> $max_answer_length_import) {
													$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerimportuploadsize}";
													}
									
												else {
													$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = $values[0];
													}
												}
											}
										}
									$keep_going = 0;
									}
							
								if($line_read =~ /<\/qti-base-value/) {
									$keep_going = 0;
									next;
									}
								}	
							next;
							}
					
						if($keep_going == 10) { # V2 The answer to the short answer/paragraph/essay question
							my $rubric_answer;
					
							if(!defined $QTIQUESTIONS{$quest_no}{answer_num}{1}{answer}) {
								$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = "";
								}
						
							$rubric_answer = "$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer}"."$line_read";
						
							if($line_read =~ /^<\/rubricBlock>/) { # End of SCORER Rubrick/Answer
								if($QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} eq"") {
									$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = "This is only a placeholder.";
									}
							
								if(length($QTIQUESTIONS{$quest_no}{answer_num}{1}{answer}) < 70) {
									$QTIQUESTIONS{$quest_no}{type} = "SA";
									}

								if(length($QTIQUESTIONS{$quest_no}{answer_num}{1}{answer})> $max_answer_length_import) {
									$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerimportuploadsize}";
									}
							
								$keep_going = 0;
								next;
						 	 	}
				 	 	
						 	 else {
								$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = $rubric_answer;
								}
							}
							
						if($keep_going == 11) { # V3 The answer to the short answer/paragraph/essay question
							my $rubric_answer;
											
							if(!defined $QTIQUESTIONS{$quest_no}{answer_num}{1}{answer}) {
								$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = "";
								}
	
							$rubric_answer = "$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer}"."$line_read";
												
							if($line_read =~ /^<\/qti-content-body>/) { # End of SCORER Rubrick/Answer
								if($QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} eq"") {
									$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = "This is only a placeholder.";
									}
								
								if(length($QTIQUESTIONS{$quest_no}{answer_num}{1}{answer}) < 70) {
									$QTIQUESTIONS{$quest_no}{type} = "SA";
									}
						
								if(length($QTIQUESTIONS{$quest_no}{answer_num}{1}{answer})> $max_answer_length_import) {
									$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerimportuploadsize}";
									}
													
								$keep_going = 0;
								next;
								}
										 	 	
							else {
								$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = $rubric_answer;
								}
							}
							
						if($simpleAssociableChoice == 1 ) { # Matching MX
							if($line_read =~ /<\/simpleAssociableChoice>/ || $line_read =~ /^<\/qti-simple-associable-choice>/) { # The END of the text
								$simpleAssociableChoice = 0;
								}
							else {							
								if(length($line_read) < $max_descrip) {
									$line_read =~ s/"/&quot;/g;
								
									if($QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$MX} ne "") {
										my $add_answer = "$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$MX}"." "."$line_read";

										if(length($add_answer) < $max_descrip) {
											$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$MX} = $add_answer;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
											$keep_going = 0;
											$simpleAssociableChoice = 0;
											}
										}
									else {
										if(length($line_read) < $max_descrip) {
											$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$MX} = $line_read;
											}
									
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
											$keep_going = 0;
											$simpleAssociableChoice = 0;
											}
										}
							
									}
								else {
									$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
									$simpleAssociableChoice = 0;
									}
								}
							next;
							}
					
					
					
					
						############################                                 ################################

			                # LOOK FOR FIRST MATCH
	     
			                if($line_read =~ /^<assessmentItem/ || $line_read =~ /<qti-assessment-item /) { # Beginning of an ITEM
			                	if($line_read =~ /<qti-assessment-item /) {
							$qti = 3;
							}
												
			                        ++$quest_no;
			                        $responsedec = 0;
			                        $identifier = 0;
			                        my %LINE = ();
	                       					
						my @line = split(/\"\s/,$line_read);
						foreach my $piece(@line) {
							my @new_piece = split(/=/,$piece);
							$new_piece[1] =~ s/\"//g;
							$new_piece[0] =~ s/\s//g;
							my $piec = "$new_piece[0]";
							$LINE{$piec} = $new_piece[1];
							}

			                 	my $descrip = $LINE{title};
						my $descr;
				
						if($descrip eq"") {
							$descr = "No Title";
							#$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Nodescriptionisavailable};
							}
					
						elsif(length($descrip) > 70) {
							$descr = substr($descrip, 0,70);
							}
				
						else {
							$descr = $descrip;
							}

			                       	$QTIQUESTIONS{$quest_no}{descrip} = $descr;
			                         next;
			                         }

					
					if($line_read =~ /<qti-feedback-inline/ || $line_read =~ /<\/qti-feedback-inline/) { # Don't do these
						next;
						 }

					if(($line_read =~ /^<responseDeclaration/ || $line_read =~ /^<qti-response-declaration/) && $responsedec != 1) { # SET THE QUESTION TYPE
						#<qti-response-declaration identifier="RESPONSE" cardinality="multiple" base-type="identifier"> MA
						#<qti-response-declaration identifier="RESPONSE" cardinality="multiple" base-type="directedPair"> baseType = "pair" MX
						#<qti-response-declaration identifier="RESPONSE" cardinality="single" base-type="string"/> for essay/P
						#<qti-response-declaration identifier="RESPONSE" cardinality="single" base-type="integer"/> for essay/SA
						#<responseDeclaration identifier="RESPONSE" cardinality="multiple" baseType="identifier"> MA

						my %LINE = ();
						my @line = split(/\s/,$line_read);
				
						foreach my $piece(@line) {
							my @new_piece = split(/=/,$piece);
							$new_piece[1] =~ s/\"//g;
							$new_piece[1] =~ s/>$//g;
							$new_piece[1] =~ s/\/$//g;
							$new_piece[0] =~ s/\s//g;
							$new_piece[0] =~ s/-//g;
							my $left = lc $new_piece[0];
							$LINE{$left} = $new_piece[1];
							}
					
				
						$base_type = $LINE{basetype};
						$identifier = $LINE{identifier};

						if($LINE{cardinality} eq"ordered") { # DON'T UPLOAD THESE
							$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportorderedquestions};
							}
					
						elsif($LINE{cardinality} eq"multiple") {
							if($base_type eq"pair" || $base_type eq"directedPair") {
								$QTIQUESTIONS{$quest_no}{type} = "MX";
								}
						
							elsif($base_type eq"identifier") {
								$QTIQUESTIONS{$quest_no}{type} = "MA";
								}
							}
										
						elsif($LINE{cardinality} eq"single") { # LIKELY  ESSAY or MC or SA
							if($base_type eq"string") { # ESSAY / P
								$QTIQUESTIONS{$quest_no}{type} = "P";
								$QTIQUESTIONS{$quest_no}{answer_num}{1}{q_order} = 1;
								$QTIQUESTIONS{$quest_no}{answer_num}{1}{c_answer} = 1;
								}
					
							elsif($base_type eq"integer") { # ESSAY / P					
								$QTIQUESTIONS{$quest_no}{type} = "P";
								$QTIQUESTIONS{$quest_no}{answer_num}{1}{q_order} = 1;
								$QTIQUESTIONS{$quest_no}{answer_num}{1}{c_answer} = 1;
								}
					
							elsif($base_type eq"identifier") { # MC
								$QTIQUESTIONS{$quest_no}{type} = "MC";
								}
							}
					
		
						# SET THE REST OF THE QUESTIONS HASH
						$QTIQUESTIONS{$quest_no}{mode} = 1;
						$QTIQUESTIONS{$quest_no}{sub_type} = 1;
						$QTIQUESTIONS{$quest_no}{kolum} = 1;
						$QTIQUESTIONS{$quest_no}{ans_mode} = 1;
						$QTIQUESTIONS{$quest_no}{vlink} = 0;
			 			$QTIQUESTIONS{$quest_no}{alink} = 0;
			 			$QTIQUESTIONS{$quest_no}{value} = 1;

			 			%CORRECT_ANSWER_ID = ();
			 			$responsedec = 1;
						next;
						}

					if(($line_read =~ /^<correctResponse>/ || $line_read =~ /^<qti-correct-response>/) && ($QTIQUESTIONS{$quest_no}{type} eq "P" || $QTIQUESTIONS{$quest_no}{type} eq "MC")) { # The correct answer ID is next for MC, or the correct answer for P
						%CORRECT_ANSWER_ID = ();
			 			$keep_going = 1;
			 			next;
			                        }
	                         
			                if(($line_read =~ /^<correctResponse>/ || $line_read =~ /^<qti-correct-response>/) && $QTIQUESTIONS{$quest_no}{type} eq"MX") { # The matching answer ID's are next
						%CORRECT_ANSWER_ID = ();
						$keep_going = 7;
						next;
			                        }
	                        
					if(($line_read =~ /^<correctResponse>/ || $line_read =~ /^<qti-correct-response>/) && $QTIQUESTIONS{$quest_no}{type} eq"MA") { # The matching answer ID's are next
						%CORRECT_ANSWER_ID = ();
						$keep_going = 6;
						next;
			                        }
	                        
			                if($line_read =~ /<defaultValue>/ && $QTIQUESTIONS{$quest_no}{type} eq"MC") { # Next is value of the question
			                	$keep_going = 4;
			                	next;
			                	}
	                
			                if($line_read =~ /<mapEntry mapKey=\"/ ||$line_read =~ /<qti-map-entry/) { # Value of each of the answers, total value for question 
			                	#<qti-map-entry map-key="A D" mapped-value="1"/>
			                	my @val;
			                	if($line_read =~ /<mapEntry /) {
							@val = split(/mappedValue=/, $line_read);
							}
						elsif($line_read =~ /<qti-map-entry /) {
							@val = split(/mapped-value=/, $line_read);
							}
					
						my @actual_value = split(/\"/,$val[1]);
						my $actual_value = $actual_value[1];
						if($actual_value < 0) {
							next;
							}
				
						if($actual_value =~ /\./) { # No partial marks, the assessment is not that granular nor exact
							my @value = split(/\./,$actual_value);
							++$value[0];
							$actual_value = $value[0]; 
							}

						if($QTIQUESTIONS{$quest_no}{value} > 0) {
							$QTIQUESTIONS{$quest_no}{value} = $QTIQUESTIONS{$quest_no}{value} + $actual_value;
							}
					
						else {
							$QTIQUESTIONS{$quest_no}{value} = $actual_value;
							}

						$keep_going = 0;
						next;
			                	}
	                	
			                if(($line_read =~ /^<outcomeDeclaration/ || $line_read =~ /^<qti-outcome-declaration/) && ($QTIQUESTIONS{$quest_no}{type} eq"P" || $QTIQUESTIONS{$quest_no}{type} eq"MC" || $QTIQUESTIONS{$quest_no}{type} eq"MX")) { # Value of question 
			                	#<outcomeDeclaration identifier="SCORE" cardinality="single" baseType="float" externalScored="human"/> Paragraph
			                	#<qti-outcome-declaration identifier="SCORE" cardinality="single" base-type="float"/> Paragraph
			                	#<qti-outcome-declaration base-type="float" cardinality="single" identifier="SCORE" normal-maximum="10.0" normal-minimum="0.0">
						#<qti-outcome-declaration identifier="SCORE" cardinality="single" base-type="float"/>
						#<outcomeDeclaration identifier="SCORE" cardinality="single" baseType="float"/> MA
						#<outcomeDeclaration identifier="MAXSCORE" cardinality="single" baseType="float"> MA

						my $size = keys(%CORRECT_ANSWER_ID);

						if ($size == 1) { # change MX to MC
							if($QTIQUESTIONS{$quest_no}{type} eq"MX") {
								$QTIQUESTIONS{$quest_no}{type} = "MC";
								}
							}
	
			                	if($line_read =~ /SCORE/i) {
			                		if($line_read =~ /normal-maximum=/i) {
			 		        		my @line = split(/normal-maximum=/,$line_read);
			 					my @value = split(/\"/,$line[1]);
	 				
			 					if($value[1] =~ /\./) {
									my @whole_value = split(/\./,$value[1]);
			 						$QTIQUESTIONS{$quest_no}{value} = $whole_value[0];
			 						}
			 					else {
			 						$QTIQUESTIONS{$quest_no}{value} = $value[1];
			 						}
	 					
			 					if($QTIQUESTIONS{$quest_no}{value} eq"") {
			 						$QTIQUESTIONS{$quest_no}{value} = 1;
			 						}
			 					}
	 					
		#	 				elsif($line_read =~ /cardinality=/i) {
		#	 					my @line = split(/cardinality=/,$line_read);
		#	 					my @card = split(/\"/,$line[1]);
		#	 					if($card[1] eq"single") { # SINGLE MARK FOR ALL ANSWERS								
		#							# multiple would be marks for each answer right
		#	 						}
		#	 					}
			 				}

			 		        next;
			                        }
	                        
			                if($line_read =~ /^<itemBody>/ || $line_read =~ /^<qti-item-body/ ) { # The QUESTION is next
			                	$base_type = "";
			 		        $keep_going = 2;
			 		        $question_active = 1;
			 		        next;
			                        }
	                        
					if($line_read =~ /^<uploadInteraction/ || $line_read =~ /^<qti-upload-interaction/ ) { # Do not IMPORT these questions
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportfileuploadquestions};
						$question_active = 0;
						next;
			                        }
	                        
					if($line_read =~ /^<\/sliderInteraction/ || $line_read =~ /^<\/qti-slider-interaction/ ) { # Do not IMPORT these questions
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportsliderquestions};
						$question_active = 0;
						$keep_going = 0;
						next;
			                        }
	                        
					if($line_read =~ /^<gapMatchInteraction/ || $line_read =~ /^<qti-gap-match-interaction>/) { # Don't do these
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{DontimportgapMatchquestions};
						next;
						}

					if($line_read =~ /^<selectPointInteraction/ || $line_read =~ /^<qti-select-point-interaction/) { # Don't do these
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimporthotspotquestions};
						next;
						}

					if($line_read =~ /^<inlineChoiceInteraction/ || $line_read =~ /^<qti-inline-choice-interaction/) { # Don't do these
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportinlinechoicequestions};
						next;
						}
				
					if($line_read =~ /^<drawingInteraction/ || $line_read =~ /^<qti-drawing-interaction/) { # Don't do these
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimportdrawinginteractionquestions};
						next;
						}
 

					if($line_read =~ /^<textEntryInteraction/ || $line_read =~ /^<qti-text-entry-interaction/) { # Don't do these
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimporttextentryinteractionquestions};
						next;
						}

					if($line_read =~ /^<setTemplateValue/ || $line_read =~ /^<qti-set-template-value/) { # Don't do these
						$NO_GOOD{$quest_no} = $LANGUAGE{$set_language}{Dontimporttemplatequestions};
						next;
						}

					if($line_read =~ /^<prompt>/ || $line_read =~ /^<qti-prompt>/) { # Add to the question
						$line_read =~ s/^<prompt>//;
						$line_read =~ s/^<qti-prompt>//;
				
						if($line_read =~ /<\/prompt>/ || $line_read =~ /<\/qti-prompt>/) { # all on the same line 
							$line_read =~ s/<\/prompt>$//;
							$line_read =~ s/<\/qti-prompt>$//;
							$line_read =~ s/"/&quot;/g;
					
							if(!defined $QTIQUESTIONS{$quest_no}{question}) {
								$QTIQUESTIONS{$quest_no}{question} = "";
								}
					
							my $actual_question = "$QTIQUESTIONS{$quest_no}{question}"." "."$line_read";
							$QTIQUESTIONS{$quest_no}{question} = $actual_question;
							$keep_going = 0;
							}
					
						else { # more to come
							if(!defined $QTIQUESTIONS{$quest_no}{question}) {
								$QTIQUESTIONS{$quest_no}{question} = "";
								}
				
							my $actual_question = "$QTIQUESTIONS{$quest_no}{question}"." "."$line_read";
							$actual_question =~ s/^\s//;
							$QTIQUESTIONS{$quest_no}{question} = $actual_question;
							$keep_going = 3;
							}
						next;
			                        }
	            

					if($line_read =~ /^<simpleChoice/ || $line_read =~ /^<qti-simple-choice/) { # Answers Description of the "qti-simple-choice" attribute for the "ChoiceInteraction" class 
						#<qti-simple-choice identifier="ChoiceC">Neither Agree nor Disagree</qti-simple-choice>
						#<simpleChoice identifier="1" fixed="false"><img src="red_pin.gif" alt="red_pin.gif"></simpleChoice>

						++$answer_num;
				
						my @line = split(/>/,$line_read);
						my $patched_line = "$line[0]".">";
						my $clean_line = $line_read;
						$clean_line =~ s/$patched_line//;
				
						my @sub_line = split(/identifier="/,$line[0]);
						my @next_sub = split(/"/,$sub_line[1]);

						if($line_read =~ /<\/simpleChoice>$/ || $line_read =~ /<\/qti-simple-choice>$/) { # All on one line
							$clean_line =~ s/<\/simpleChoice>$//g;
							$clean_line =~ s/<\/qti-simple-choice>$//g;

							if(length($clean_line) < $max_answer_length_import) {
								if($QTIQUESTIONS{$quest_no}{type} eq "MC" || $QTIQUESTIONS{$quest_no}{type} eq "MA") {
									if(defined $CORRECT_ANSWER_ID{$next_sub[0]}) { 
										$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 1;
										}
									else {
										$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 0;
										}
									}
						
								$clean_line =~ s/\"/&quot;/g;
								$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
			 					$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $clean_line;
								}
						
							else { 
								$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerimportuploadsize}";
			 				       # delete($QTIQUESTIONS{$quest_no});
			 				        $keep_going = 0;
			 				        next;
								}
							}
					
						else { # ANSWER over multiple lines
							if(length($clean_line) < $max_answer_length_import) {
								if($QTIQUESTIONS{$quest_no}{type} eq "MC" || $QTIQUESTIONS{$quest_no}{type} eq "MA") {
									if(defined $CORRECT_ANSWER_ID{$line[1]}) { 
										$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 1;
										}
									else {
										$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 0;
										}
									}
							
								$clean_line =~ s/"/&quot;/g;
								$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
								$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $clean_line;
								$keep_going = 5;
								next;
								}
											
							else { 
								$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerimportuploadsize}";
								# delete($QTIQUESTIONS{$quest_no});
								 $keep_going = 0;
								 next;
								}
							}
					
						next;
						}
				
				
					if($line_read =~ /^<simpleMatchSet/ || $line_read =~ /^<qti-simple-match-set/) { 
						$simple_match_set = 1;
						}
								
					if(($line_read =~ /<simpleAssociableChoice/ || $line_read =~ /<qti-simple-associable-choice/) && ($QTIQUESTIONS{$quest_no}{type} eq"MX" || $QTIQUESTIONS{$quest_no}{type} eq"MC")) { # Answers for Associate/Match/MX 													
						if($line_read =~ /<\/simpleAssociableChoice>/ || $line_read =~ /<\/qti-simple-associable-choice>/) { # All on one line </qti-simple-associable-choice>
							$line_read =~ s/<\/simpleAssociableChoice>$//g;
							$line_read =~ s/<simpleAssociableChoice//g;
							$line_read =~ s/<\/qti-simple-associable-choice>$//g;
							$line_read =~ s/<qti-simple-associable-choice//g;
					
							if($simple_match_set == 0) { # ONE answer MC
								++$answer_num;
								foreach my $key(keys %CORRECT_ANSWER_ID) {
									if($line_read =~ /identifier=\"$key\"/) { # The correct answer
										my @line = split(/\">/,$line_read);

										if(length($line[1]) < $max_answer_length_import) {
											$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
											$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $line[1];
											$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 1;
											$keep_going = 0;
											next;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerimportuploadsize}";
											$keep_going = 0;
											next;
											}
										}
													
									elsif($line_read =~ /identifier=\"$CORRECT_ANSWER_ID{$key}\"/) { # The question
										my @line = split(/\">/,$line_read);
													
										if(length($line[1]) < $max_question_length_import) {
											$QTIQUESTIONS{$quest_no}{question} = $line[1];									
											$keep_going = 0;
											next;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Questionimportuploadsize}";
											$keep_going = 0;
											next;
											}
										}
								
									else { # AN ANSWER
										my @line = split(/\">/,$line_read);
										
										if(length($line[1]) < $max_answer_length_import) {
											$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $line[1];
											$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
											$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = 0;
											$keep_going = 0;
											next;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerimportuploadsize}";
											$keep_going = 0;
											next;
											}
										}
									}
								}
						
						
							else { # MX
								++$answer_num;
								my @line_choice = split(/identifier="/,$line_read);
								my @identifier = split(/"/, $line_choice[1]);
								my %NUM_USED = ();

								foreach my $key(keys %CORRECT_ANSWER_ID) {
									if($line_read =~ /identifier=\"$key\"/) { # The right side of value - matching answer
										my @line = split(/\">/,$line_read);

										if(length($line[1]) < $max_descrip) { #$max_descrip
											$QTIQUESTIONS{$quest_no}{answer_num}{$ANSWER_VAR{$key}}{answer}{1} = $line[1];
											$keep_going = 0;
											next;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
											$keep_going = 0;
						 					next;
											}
										}
							
									elsif($line_read =~ /identifier=\"$CORRECT_ANSWER_ID{$key}\"/) { # The left side of value - question/prompt
										$NUM_USED{$CORRECT_ANSWER_ID{$key}} = 1;

										my @line = split(/\">/,$line_read);
							
										if(length($line[1]) < $max_descrip) {
											$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{0} = $line[1];
											$ANSWER_VAR{$key} = $answer_num;
											$keep_going = 0;
											next;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
											$keep_going = 0;
											next
											}
										}
									}
								
								# THE UNMATCHED ANSWERS MUST BE ADDED ALSO
								if(defined $CORRECT_ANSWER_ID{$identifier[0]} || $identifier[0] eq"$CORRECT_ANSWER_ID{$identifier[0]}" || defined $NUM_USED{$identifier[0]}) {
									}
								else{
									my @line = split(/\">/,$line_read);
									if(length($line[1]) < $max_descrip) { #$max_descrip
										++$mx_num;
										$ANSWER_MX{$quest_no}{mx}{$mx_num} = $line[1];
										$keep_going = 0;
										next;
										}
									else {
										$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
										$keep_going = 0;
										next;
										}
									}
								}
							}				 			
			 			
						else { # ANSWER over multiple lines
							$line_read =~ s/<simpleAssociableChoice//g;
							$line_read =~ s/<qti-simple-associable-choice//g;
										
							foreach my $key(keys %CORRECT_ANSWER_ID) {
								if($line_read =~ /identifier=\"$key\"/) { # THE LEFT SIDE
									$MX = 0;
									++$answer_num;
									$ANSWER_VAR{$CORRECT_ANSWER_ID{$key}} = $answer_num;
									my @line = split(/\">/,$line_read);
							
									if(length($line[1]) > 0) {
										if(length($line[1]) < $max_descrip) {
											$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
											$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{0} = $line[1];
											$simpleAssociableChoice = 1;
											next;
											}
								
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Choiceslargerthan70characters}";
											$keep_going = 0;
											next;
											}
										}
								
									else { # JUST THE ID NO ANSWER							
										$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $answer_num;
										$simpleAssociableChoice = 1;
										}
									last;
									}							
							
								elsif(defined $ANSWER_VAR{$key}) {
									$QTIQUESTIONS{$quest_no}{answer_num}{$ANSWER_VAR{$key}}{q_order} = $ANSWER_VAR{$key};
									$answer_num = $ANSWER_VAR{$key};
									$simpleAssociableChoice = 1;
									last;
									}
						
								elsif($line_read =~ /identifier=\"$CORRECT_ANSWER_ID{$key}\"/) { # THE RIGHT SIDE
									my @line = split(/\">/,$line_read);
									$MX = 1;
							
									if(length($line[1]) > 0) {					
										if(length($line[1]) < $max_answer_length_import) {
											$QTIQUESTIONS{$quest_no}{answer_num}{$ANSWER_VAR{$key}}{answer}{1} = $line[1];
											$QTIQUESTIONS{$quest_no}{answer_num}{$ANSWER_VAR{$key}}{q_order} = $ANSWER_VAR{$CORRECT_ANSWER_ID{$key}};
											$simpleAssociableChoice = 1;
											last;
											}
										else {
											$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Answerchoicetobig}";
											$keep_going = 0;
											last;
											}
										}
								
									else { # JUST THE ID NO ANSWER
										if(defined $ANSWER_VAR{$CORRECT_ANSWER_ID{$key}}) {
											$QTIQUESTIONS{$quest_no}{answer_num}{$ANSWER_VAR{$key}}{q_order} = $ANSWER_VAR{$CORRECT_ANSWER_ID{$key}};
											$answer_num = $ANSWER_VAR{$CORRECT_ANSWER_ID{$key}};
											$simpleAssociableChoice = 1;
											last;
											}
										else {
											$QTIQUESTIONS{$quest_no}{answer_num}{$ANSWER_VAR{$key}}{q_order} = $ANSWER_VAR{$CORRECT_ANSWER_ID{$key}};
											$simpleAssociableChoice = 1;
											last;
											}
										}
									}
								}
							}
						next;
						}
			
					if($line_read =~ /^<\/choiceInteraction>/ || $line_read =~ /^<\/qti-choice-interaction>/) { # Done with Answers	
						$answer_num = 0;
						$keep_going = 0;
						next;
						}
				
					if($line_read =~ /<\/qti-extended-text-interaction>/ && $QTIQUESTIONS{$quest_no}{type} eq"P") { # V3 Next is the answer
						$keep_going = 8;
						++$answer_num;
						next;
			                	}

					if($line_read =~ /<extendedTextInteraction/ && $QTIQUESTIONS{$quest_no}{type} eq"P") {
						next;
			                	}
			                	
			                if($line_read =~ /<qti-content-body>/ && $QTIQUESTIONS{$quest_no}{type} eq"P") { # V3 Answer next for P Must be above Rubric-block.
						my $rubric_answer;
						$line_read =~ s/<qti-content-body>//;
						if($line_read ne"") {
							if(!defined $QTIQUESTIONS{$quest_no}{answer_num}{1}{answer}) {
								$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = "";
								}
																		
							$rubric_answer = "$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer}"."$line_read";
							$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} = $rubric_answer;
						        }
											             					
						if($line_read =~ /<\/qti-content-body>/) {
							$keep_going = 0;
						        }
									             					
						else {
							$keep_going = 11;
							}
						next;
						}
	                	
			                if($line_read =~ /<rubricBlock/ && $QTIQUESTIONS{$quest_no}{type} eq"P") { # Next is the answer
			                	$keep_going = 10;
						next;
			                	}
	                	
			                if($line_read =~ /<\/rubricBlock/ && ($QTIQUESTIONS{$quest_no}{type} eq"P" || $QTIQUESTIONS{$quest_no}{type} eq"SA")) {
						next;
			                	}
	                	
			                if(($line_read =~ /<\/itemBody>/ || $line_read =~ /<\/qti-item-body>/) && $QTIQUESTIONS{$quest_no}{type} eq"P") { # End of answer
			                	$QTIQUESTIONS{$quest_no}{answer_num}{1}{c_answer} = 1;
			                	$QTIQUESTIONS{$quest_no}{answer_num}{1}{q_order} = 1;
						%CORRECT_ANSWER_ID = ();
						$keep_going = 0;
						$answer_num = 0;
						$simple_match_set = 0; 
						next;
						}
                            
					if($line_read =~ /responseProcessing>/ || $line_read =~ /<qti-response-processing>/) {
						next;
						}
						
					if($line_read =~ /<qti-is-null>/) {
						$skip = 1;
						next;
						}

			                if($line_read =~ /<qti-variable identifier=\"RESPONSE\"\/>/ && $QTIQUESTIONS{$quest_no}{type} eq"P") { # Possible answer next for P
						$keep_going = 9;
						next;
			                	}
               	
			                #this is not going in
			                if($line_read =~ /<qti-variable identifier=\"SCORE\"\/>/ && $response == 1) { # 
						next;
			                	}

			                if($line_read =~ /<qti-set-outcome-value identifier=\"completionStatus\">/ ) { # Skip the next line
						$skip = 1;
						next;
						}
				
					if($line_read =~ /<qti-set-outcome-value identifier=\"FEEDBACK\">/ ) { # Skip the next line
						$skip = 1;
						next;
			                	}
	                			                	
					if($line_read =~ /^<\/assessmentItem>/ || $line_read =~ /^<\/qti-assessment-item>/) { # Done with Item/question CHECK if it is TF
						if($QTIQUESTIONS{$quest_no}{type} eq"MC") {
							my $number = keys(%{$QTIQUESTIONS{$quest_no}{answer_num}});
							if($number == 2) { # Maybe TF
								if(($QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} =~ /true/i && $QTIQUESTIONS{$quest_no}{answer_num}{2}{answer} =~ /false/i) || ($QTIQUESTIONS{$quest_no}{answer_num}{2}{answer} =~ /true/i && $QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} =~ /false/i)) {
									$QTIQUESTIONS{$quest_no}{type} = "TF";
							
									if($QTIQUESTIONS{$quest_no}{answer_num}{1}{c_answer} == 1) {
										delete($QTIQUESTIONS{$quest_no}{answer_num}{2});
										$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} ="T";
										}
							
									else {
										$QTIQUESTIONS{$quest_no}{answer_num}{1}{answer} ="F";
										delete($QTIQUESTIONS{$quest_no}{answer_num}{2});
										}
									}
								}
							}

						$QTIQUESTIONS{$quest_no}{question} =~ s/"/&quot;/g;
						$simple_match_set = 0;
						$question_active = 0;
						%CORRECT_ANSWER_ID = ();
						%ANSWER_VAR = ();
						$answer_num = 0;
						$qti = 2;
						$responsedec = 0;
			                        $identifier = 0;
			                        $skip = 0;
						next;
						}
					} # FINISHED parsing CHUNKS
				} # FINISHED WITH xml file
				
				
			if(/\.png$/ || /\.jpg$/ || /\.jpeg$/ || /\.gif$/) { # an image file
				++$contains_images;
				
				if($IQ{u_type} == 5) { # QUESTION BANK ADMINISTRATORS
					$IQ{u_id} = 0;
				        $type = 0;
				        my $query1 = "SELECT number FROM file_folders WHERE u_id = \"$IQ{u_id}\" AND org_id=\"$org_id\" AND name='Bank Files'";
				        my $sth2 = $dbh->prepare($query1);
				        $sth2->execute();
				        while(my @row = $sth2->fetchrow_array()) {
				                $return_num = "$row[0]";
				                }
				        }
				
				else {
				        $return_num = 1;
                        		}
                        		
				if($contains_images == 1) { # Create folder for these imported images, only do this once
					my $datestring = localtime();
					my $folder_name = "Import Images $import_from "."$datestring";
				        my $query1 = "insert into file_folders(name,parent,u_id,type,org_id) VALUES(?,?,?,?,?)";
				        my $sth1 = $dbh->prepare($query1);
				        $sth1->execute($folder_name,$return_num,$IQ{u_id},5,$org_id);
				                        
				        my $query2 = qq{SELECT LAST_INSERT_ID()};
				        my $sth2 = $dbh->prepare($query2);
				        $sth2->execute();
				        my($return) = $sth2->fetchrow_array();
				        $import_images_num = $return;
					}
					
				# INSERT TO QST_FILES AND GET NUMBER and copy to qst_files directory
				my $error = 0;
				my $f_path = "$new_dir"."\/"."$_";
				my $size = -s "$f_path";
				my @extension = split(/\./,$_);
				my $type = "image\/"."$extension[1]";
				$extension[0] =~ tr/A-Za-z0-9\-_//cd;
				my $image_name = $extension[0];
				
				if(length($image_name) > 47) {
					my $new_name = substr($image_name,0,47);
					$image_name = $new_name;
					
					}
					
				$image_name = "$image_name"."\."."$extension[1]";
				
				if($size < $max_import_image_upload_size) {
				        my $return = &insert_file_info("f_name","$image_name","u_id","$IQ{u_id}","parent","$import_images_num","org_id","$org_id","type","$type","size","$size","u_type","$u_type","filedescrip","");
				         
				        # WRITE THE FILE - NUMBER
				        my $real_file_name = $upload_directory."$return"."\."."$extension[1]";
				        my $new_file_name = "$return"."\."."$extension[1]";
				
					if (! open(ORIGFILE, "$f_path") ) { # open the file for copying
						print "Can't open file for reading 1 - $!";
						$error = 1;
				                }
				                
				        if (! open(NEWFILE, ">$real_file_name") ) {
				                print "Can't open file for writing 1 - $!";
				                $error = 1;
				                }
				                                    
				        if( $error == 0) { # copy the file
				        	binmode ORIGFILE;
				        	binmode NEWFILE;
				        	while(<ORIGFILE>) {				                                                        
					                print NEWFILE "$_";
					                }
					                
				                $FILES{$image_name} = $return;
                                                }
                                                
				        close(ORIGFILE);
				        close(NEWFILE);
                                        }
                                 
                                else {
                                	#$NO_GOOD{$quest_no} = "$LANGUAGE{$set_language}{Imagetoobig}";
                                	$NO_GOOD{$image_name} = "$LANGUAGE{$set_language}{Imagetoobig}";
                                	}
				}
			}
								
		closedir(INN);	
		}
							
	closedir(IN);
	$quest_no = 0;
	              
    
            
        # NEXT PUT INFO INTO DATABASE 		#############################################################
            
	# REMOVE BAD QUESTIONS
        if(keys %NO_GOOD) {
                foreach my $i(keys %NO_GOOD) {
                        delete($QTIQUESTIONS{$i});
                        }
                }


	# CONNECT THE IMAGES INTO THE QUESTIONS AND ANSWERS
	if(keys %QTIQUESTIONS && keys %FILES) {
		foreach my $quest(keys %QTIQUESTIONS) {
			if($QTIQUESTIONS{$quest}{question} =~ /<\s*img /) { # image there <img src="images/sign.png" alt="NEVER LEAVE LUGGAGE UNATTENDED"/>
									    #<img id="Id-IMG_1f1be73a-9201-4697-9870-3174bc9f5cda" src="../img/gsv201-03.png" width="496" height="551" alt="" />
				$QTIQUESTIONS{$quest}{question} =~ s/&quot;/"/g;
				
				# Split it by <img cause may have more than one
				my @i_image = split(/<\s*img/,$QTIQUESTIONS{$quest}{question});
				my $num_images = @i_image;
				
				if($num_images > 1) {
					foreach my $immg(@i_image) {
						#XXXXX id="Id-IMG_a1c5724d-0b97-4f5d-9f5e-66db29a04067" src="../img/gsv201-05z.png" width="556" height="486" alt="" />
						my @src = split(/src\s*[=]\s*["]/,$immg);
						my @nupart = split(/"/,$src[1]);

						foreach my $up_image(keys %FILES) {
							#print"MMM $up_image<BR>\n";
							#EEE ../img/gsv201-02.png
							#MMM gsv201-05z.png
							#MMM gsv201-04z.png
							#MMM gsv201-03.png
							#MMM gsv201-02.png

							if($nupart[0] =~ /$up_image/) {
								my @pieces = split(/\./,$up_image);
								my $extension = pop(@pieces);
								my $new_image_link = "/schools/qst_files/"."$FILES{$up_image}"."\.$extension";
												
								$QTIQUESTIONS{$quest}{question} =~ s/$nupart[0]/$new_image_link/;
								}
							}
						}
					}
				
				else { # Single image
					foreach my $up_image(keys %FILES) {
						if($QTIQUESTIONS{$quest}{question} =~ /$up_image/) {
							my @pieces = split(/\./,$up_image);
							my $extension = pop(@pieces);
							my $new_image_link = "/schools/qst_files/"."$FILES{$up_image}"."\.$extension";
						
							$QTIQUESTIONS{$quest}{question} =~ s/$up_image/$new_image_link/;
							}
						}
					}
				}
				
			# AND THE ANSWERS
			foreach my $ans(keys %{$QTIQUESTIONS{$quest}{answer_num}}) {
				if($QTIQUESTIONS{$quest}{answer_num}{$ans}{answer} =~ /<\s*img /) { # image there <img src="images/sign.png" alt="NEVER LEAVE LUGGAGE UNATTENDED"/>
					foreach my $up_image(keys %FILES) {
						if($QTIQUESTIONS{$quest}{answer_num}{$ans}{answer} =~ /$up_image/) {
							my @pieces = split(/\./,$up_image);
							my $extension = pop(@pieces);
							my $new_image_link = "/schools/qst_files/"."$FILES{$up_image}"."\.$extension";
									
							$QTIQUESTIONS{$quest}{answer_num}{$ans}{answer} =~ s/$up_image/$new_image_link/;
							}
						}
					}
				}
			}
		}
	
	
        # ENTER THE QUESTIONS into QST ###############################
        if(keys %QTIQUESTIONS) {
        
        	#WHAT we need
                #$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{q_order} = $q_order1;
                #$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer} = $answer;
                #$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{answer}{$c_answer} = $answer; MX ANSWERS
                #$QTIQUESTIONS{$quest_no}{answer_num}{$answer_num}{c_answer} = $c_answer1;
                #$QTIQUESTIONS{$quest_no}{kolum} = $kolum1;
                #$QTIQUESTIONS{$quest_no}{alink} = $alink1;
                #$QTIQUESTIONS{$quest_no}{vlink} = $vlink1;
                #$QTIQUESTIONS{$quest_no}{question} = $question
                #$QTIQUESTIONS{$quest_no}{value} = $value1;
                #$QTIQUESTIONS{$quest_no}{ans_mode} = $ans_mode1;
                #$QTIQUESTIONS{$quest_no}{mode} = $mode1;
                #$QTIQUESTIONS{$quest_no}{sub_type} = 1;
                #$QTIQUESTIONS{$quest_no}{descrip}
                
                # SET THE u_id  - question bank admins is 0
                if($IQ{u_type} == 5) {
                        $IQ{u_id} = 0;
                        }
                        
               
                # INSERT THE QUESTIONS AND ANSWERS
                foreach my $num(sort {$a<=>$b} keys %QTIQUESTIONS) {                           
                        # INSERT INTO QUESTIONS TABLE
                        if($QTIQUESTIONS{$num}{bq_imageid} eq "") {
                                $QTIQUESTIONS{$num}{bq_imageid} = 0;
                                }
                        
                        if($QTIQUESTIONS{$num}{bq_pdf_id} eq "") {
			        $QTIQUESTIONS{$num}{bq_pdf_id} = 0;
                                }

			$QTIQUESTIONS{$num}{question} =~ s/"/&quot;/g;
			
			#Insert into questions table
                        my $return = &insert_import_question_return("u_id","$IQ{u_id}","question","$QTIQUESTIONS{$num}{question}","type","$QTIQUESTIONS{$num}{type}","value","$QTIQUESTIONS{$num}{value}","org_id","$IQ{org_id}","sub_type","$QTIQUESTIONS{$num}{sub_type}","image_id","$QTIQUESTIONS{$num}{bq_imageid}","vlink","$QTIQUESTIONS{$num}{vlink}","alink","$QTIQUESTIONS{$num}{alink}","kolum","$QTIQUESTIONS{$num}{kolum}","mode","$QTIQUESTIONS{$num}{mode}","descrip","$QTIQUESTIONS{$num}{descrip}","ans_mode","$QTIQUESTIONS{$num}{ans_mode}","pdf","$QTIQUESTIONS{$num}{bq_pdf_id}");

                        # INSERT INTO CATEGORIES_TO_QUESTIONS TABLE
                        &insert_generic("query","INSERT categories_to_questions VALUES(\"$IQ{folder_no}\",\"$return\",\"$IQ{u_id}\",\"$org_id\")");
				
                        
                        # INSERT INTO QUESTION_ANSWERS TABLE
                        if($QTIQUESTIONS{$num}{type} eq "MX") { # MATCHXNG QUESTIONS
                               my $end = 0;
                               foreach my $answr(sort keys %{$QTIQUESTIONS{$num}{answer_num}}) {
                               		foreach my $c_an(sort keys %{$QTIQUESTIONS{$num}{answer_num}{$answr}{answer}}) {
                               			$QTIQUESTIONS{$num}{answer_num}{$answr}{answer}{$c_an}  =~ s/"/&quot;/g;
               		                	&insert_import_question_answers("number","$return","ids","$IQ{u_id}","num","$answr","answer","$QTIQUESTIONS{$num}{answer_num}{$answr}{answer}{$c_an}","c_answer","$c_an","image_id","0");
                                        	}
                                       	++$end;
                                        }
                                                
                               if(keys %{$ANSWER_MX{$num}{mx}}) { #{$mx_num} = $line[1];
                                       	++$end;
                                       	foreach my $xtra(keys %{$ANSWER_MX{$num}{mx}}) {
                                       		$ANSWER_MX{$num}{mx}{$xtra} =~ s/"/&quot;/g;
                                               	&insert_import_question_answers("number","$return","ids","$IQ{u_id}","num","$end","answer","$ANSWER_MX{$num}{mx}{$xtra}","c_answer","1","image_id","0");
						++$end;
                                       		}
                                       	}
                               }
 
                        else { # ALL OTHER QUESTIONS
                        	foreach my $answr(keys %{$QTIQUESTIONS{$num}{answer_num}}) {
                        		if($QTIQUESTIONS{$num}{answer_num}{$answr}{baimage_id} eq "") {
                                                $QTIQUESTIONS{$num}{answer_num}{$answr}{baimage_id} = 0;
                                                }
                                       
                                        $QTIQUESTIONS{$num}{answer_num}{$answr}{answer} =~ s/"/&quot;/g;
                                        &insert_import_question_answers("number","$return","ids","$IQ{u_id}","num","$QTIQUESTIONS{$num}{answer_num}{$answr}{q_order}","answer","$QTIQUESTIONS{$num}{answer_num}{$answr}{answer}","c_answer","$QTIQUESTIONS{$num}{answer_num}{$answr}{c_answer}","image_id","$QTIQUESTIONS{$num}{answer_num}{$answr}{baimage_id}");
                        	        }
                                }
                        }
                        
                
                print"<P><BR><P><center><B>The questions were uploaded.</B></center><P><P><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt; font-family:Arial; cursor: pointer\"><B onClick=\"self.close()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close} </font></b></TD></TABLE>\n";
       
                if(keys %NO_GOOD) {
                        print"<P><CENTER><B>$LANGUAGE{$set_language}{Questionsnotinserted}</B></center><P>\n";
                        foreach my $ques(sort {$a<=>$b} keys %NO_GOOD) {
                                print"<P>$LANGUAGE{$set_language}{Question}: $ques<BR>$NO_GOOD{$ques}\n";
                                }
                        }
                }
                
        else {
                print"<P><center><B>$LANGUAGE{$set_language}{Noquestionswereuploaded}</B></center><P><P><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt; font-family:Arial;\"><B onClick=\"self.close()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close} </font></b></TD></TABLE>\n";
         
                if(keys %NO_GOOD) {
                        print"<P><CENTER><B>$LANGUAGE{$set_language}{Questionsnotinserted}:</B></center><P>\n";
                        foreach my $ques(sort {$a<=>$b} keys %NO_GOOD) {
                                print"<P>$LANGUAGE{$set_language}{Question}: $ques<BR>$NO_GOOD{$ques}<BR>\n";
                                if($missing_answers == 1) {
                                        print"$LANGUAGE{$set_language}{Missinganswers}<BR><BR>\n";
                                        }
                                }
                        }
                }

        $quest_no = 0;
	%QTIQUESTIONS = ();
	}

	
######################
#
# PRINT_EXPORT_QUEST
#
######################
sub print_export_quest {
        my %PEQ = @_;
        $PEQ{folder_no} =~ s/\D//g;
        
        &print_javascript_begin();
        
        print"function submit_export\(\) \{
	document.form1.submit\(\)
	\}\n";
	
        &print_javascript_end();
        
        print"<center><B>$LANGUAGE{$set_language}{Exportquestions}</B></center><BR>\n";
        
        &print_form_wo_end_tag("form_name","form1","form_target","newwindo","input","export_quests","folder_no","$PEQ{folder_no}","u_id","$PEQ{u_id}","session_id","$PEQ{session_id}");
        
        print"<center><TABLE width=\"100%\"><TR><TD><center>$LANGUAGE{$set_language}{QSTXML}<BR><input type=\"radio\" name=\"export_type\" value=\"1\" checked></center></TD><TD><center>$LANGUAGE{$set_language}{MoodleXML}<BR><input type=\"radio\" name=\"export_type\" value=\"2\"></center></TD><TD><center>$LANGUAGE{$set_language}{QTI2}<BR><input type=\"radio\" name=\"export_type\" value=\"3\"></center></TD></TR></TABLE></center><P></FORM>\n";
        
        print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt; font-family:Arial;\"><B STYLE=\"cursor:pointer\" onClick=\"submit_export()\">$LANGUAGE{$set_language}{Export} </B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B onClick=\"self.close()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
        }
        
######################
#
# EXPORT_QUESTS
#
######################
sub export_quests {
        my %EQ = @_;
        $EQ{folder_no} =~ s/\D//g;
        $EQ{export_type} =~ s/\D//g;
        $EQ{u_id} =~ s/\D//g;
        my $dir;
        
        if($u_type == 5) {
                $EQ{u_id} = 0;
                }

        my %QUESTIONS_SELECTED = &select5("query","SELECT number,question from categories_to_questions WHERE number=\"$EQ{folder_no}\" and u_id=\"$EQ{u_id}\"");

	if (keys %QUESTIONS_SELECTED) {
                my $time = time;
		my $select;
		my $i = 1;
		my $exp_directory;
		
		foreach my $key(keys %QUESTIONS_SELECTED) {
			if($i == 1) {
				$select = "number=\"$key\"";
				++$i;
				}
			else {
				$select = "$select"." OR number=\"$key\"";
				}
			}

                my %QUESTIONS = &select_question("query","SELECT * from questions WHERE u_id=\"$EQ{u_id}\" AND ($select)");

                my $f_name = "$ids"."_"."$time";
                my $file = "$export_directory"."$f_name";
                my $file_name = "/schools/qst_files/"."$f_name";
                
                # make an export directory for qti
                
                
                if($EQ{export_type} == 2) { # MOODLE
                        $file = "$file"."_moodle"."\."."xml";
                        $file_name = "$file_name"."_moodle"."\."."xml";
                        $f_name = "$f_name"."_moodle"."\."."xml";
                        }
                        
                elsif ($EQ{export_type} == 3) { # QTI ZIP
                	# remove the directory if there
                	$dir = "$export_directory"."$ids";
                	rmdir($dir);
                	
                	# make the directory
                	mkdir($dir,0777);
                	
                	$f_name = "qst"."$ids"."$time"."qti"."\.zip";
                        }
                        
                else { # default QST format
                        $file = "$file"."\."."qstxml";
                        $file_name = "$file_name"."\."."qstxml";
                        $f_name = "$f_name"."\."."qstxml";
                        }
                
                
                if(keys %QUESTIONS) {
                        &print_javascript_begin();
        
                        print"function remove_file\(\) \{
                        document.form1.submit\(\)
                        \}\n";
	
                        &print_javascript_end();
        
                        &print_form("form_name","form1","input","remove_export_file","exportfile","$f_name","u_id","$ids","session_id","$EQ{session_id}");
                        
                        
                        # Get the Answers for the questions
                        
                        my %ANSWERS = &select_question_answers_for_export("query","SELECT * from question_answers WHERE u_id=\"$EQ{u_id}\" AND ($select)");
                        my %MX_ANSWERS = ();
                        my $select_mx;
                        my $index = 1;
                        
                        #see if there are MX questions, they have a different format
                        foreach my $q(keys %QUESTIONS) {
                                if($QUESTIONS{$q}{type} eq "MX") {
                                        if($index == 1) {
                                                $select_mx = "number=\"$q\"";
                                                delete($ANSWERS{$q});
                                                ++$index;
                                                }
                                        else {
                                                $select_mx = "$select_mx"." OR number=\"$q\"";
                                                delete($ANSWERS{$q});
                                                }
                                        }
                                }
                        
                        if($index > 1) {
                                %MX_ANSWERS = &select_mx_answers_for_export("query","SELECT * from question_answers WHERE u_id=\"$EQ{u_id}\" AND ($select_mx)");
                                }
                        
                        
                        # OPEN FILE FOR PRINTING
                        my $error = 0;
                        
                        if($EQ{export_type} == 1 || $EQ{export_type} == 2) {
                        	if (! open(XML_DOWNLOAD, ">$file") ) {
                        	        print "Can't open file for writing - $!";
                        	        $error = 1;
                        	        }
                        	}
                        	
                        if( $error == 0 && $EQ{export_type} != 3) { # MOODLE AND QST
                        	my %IMAGES = ();
                                binmode XML_DOWNLOAD;
                                    
                                print XML_DOWNLOAD" <?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
                            
                                if($EQ{export_type} == 2) { #   MOODLE XML 
                                        print XML_DOWNLOAD" <quiz>\n";
                                        }
                                        
                                        
                            	### OUESTIONS
                            	
                                foreach my $key(keys %QUESTIONS) {
                                        if($EQ{export_type} == 2) { #     MOODLE XML      ##################################################
                                        
                                        	# Only export Advanced and Basic (without pdf) mode questions. Moodle will not display Equation questions correctly
                                        	next if($QUESTIONS{$key}{mode} == 2);
                                        	next if($QUESTIONS{$key}{pdf} > 0);
						                                                	
                                        	
                                                if($QUESTIONS{$key}{type} eq"MC" || $QUESTIONS{$key}{type} eq"MA" || $QUESTIONS{$key}{type} eq"YN") {
                                                        print XML_DOWNLOAD"<question type=\"multichoice\">\n";
                                                        }
                                                        
                                                elsif($QUESTIONS{$key}{type} eq"MX") {
                                                        print XML_DOWNLOAD"<question type=\"matching\">\n";
                                                        }
                                                        
                                                elsif($QUESTIONS{$key}{type} eq"TF") {
                                                        print XML_DOWNLOAD"<question type=\"truefalse\">\n<name>\n<text>True False</text>\n</name>\n";
                                                        }
                                                        
                                                elsif($QUESTIONS{$key}{type} eq"SA") {
                                                        print XML_DOWNLOAD"<question type=\"shortanswer\">\n";
                                                        }
                                                        
                                                elsif($QUESTIONS{$key}{type} eq"P") {
                                                        print XML_DOWNLOAD"<question type=\"essay\">\n";
                                                        }
                                                        
                                                print XML_DOWNLOAD"<name>\n<text>$QUESTIONS{$key}{descrip}</text>\n</name>\n<questiontext format=\"html\">\n";
                                                
                                                
                                                if($QUESTIONS{$key}{mode} == 1) { #ADVANCED MODE QUESTIONS
                                                
                                                	# ADVANCED EDITOR IMAGES FOR QUESTION
							if($QUESTIONS{$key}{question} =~ /\/schools\/qst_files\/[a-zA-Z0-9.]*/) {
								$_ = "$QUESTIONS{$key}{question}";
							        my @files;
							        my $no = 1;
						        
							        while($_ =~ /(\/schools\/qst_files\/[a-zA-Z0-9.]*)+/g) {
							        	push(@files, $&);                                       
							                }
						                                                            
							        while (@files) {
							                my $file = pop(@files);
							                my @string = split(/\//,$file);
							                my $image_name = pop(@string);
						
							                my @name = split(/\./, $image_name);
							                my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$name[0]\"");
						                                                                
							                # change image name to correct one
							                $QUESTIONS{$key}{question} =~ s/$image_name/$IMAG_NAME{$name[0]}/;
						                    	
						                    	# get rid of file path
						                    	$QUESTIONS{$key}{question} =~ s/\/schools\/qst_files/\@\@PLUGINFILE\@\@/;
						                    	
							                #open image file
							                my $file_name = "$upload_directory"."$image_name";
							
							                my $error = 0;
									
								# gif files work and some jpg
									
							                if (! open(XML_EXPORT, "<$file_name") ) {
							                        print "Can't open file for reading - $!";
							                        $error = 1;
							                        }
						                    
							                if($error == 0) {
							                        my $convert;
							                        binmode XML_EXPORT; 
							                        
							                        # store images in xml base 64 encoded
							                        $convert = do{ local $/ = undef; <XML_EXPORT>; };
							                      
							                      	
							                        my $encoded = encode_base64( $convert );
							                        $IMAGES{$no}{name} = "$IMAG_NAME{$name[0]}";
							                        $IMAGES{$no}{img} = "$encoded";
							                        $IMAGES{$no}{img} =~ s/\n//g;
							                        ++$no;
							                        }
						                         
							                close(XML_EXPORT);
    									}
    								
    								print XML_DOWNLOAD"<text><![CDATA[$QUESTIONS{$key}{question}]]></text>\n";
    							
    								if(keys %IMAGES) {
    									foreach my $img(keys %IMAGES) {
    										my $new_image_name = "\@\@PLUGINFILE\@\@/"."$IMAGES{$img}{name}";
										print XML_DOWNLOAD"<file name=\"$IMAGES{$img}{name}\" path=\"/\" encoding=\"base64\">$IMAGES{$img}{img}</file>\n";
    										}
    									}
    								
    								print XML_DOWNLOAD"</questiontext>\n";
								}
						                                                        
							else {
							        print XML_DOWNLOAD"<text><![CDATA[$QUESTIONS{$key}{question}]]></text>\n</questiontext>\n";
                                                	        } 
                                                	}
                                                
                                                elsif($QUESTIONS{$key}{mode} == 0) { #BASIC MODE QUESTION NO PDF
                                                	if($QUESTIONS{$key}{image_id} > 0) {
                                                		my %IMGES = ();
                                                		my $no = 1;
								my %IMAGE_NAME = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$key}{image_id}\""); 
                                                		my @name = split(/\./,$IMAGE_NAME{$QUESTIONS{$key}{image_id}});
								my $image_name = "$QUESTIONS{$key}{image_id}"."\."."$name[1]";
																	                                                                
								#open image file
								my $file_name = $upload_directory."$image_name";
								my $error = 0;
																	
								if (! open(XML_EXXPORT, "<$file_name") ) {
									print "Can't open file for reading - $!";
									$error = 1;
									}
																	                                                        
								if($error == 0) {
									my $convert;
									binmode XML_EXXPORT;
									
									# store images in xml base 64 encoded
									$convert = do{ local $/ = undef; <XML_EXXPORT>; };
									my $encoded = encode_base64( $convert );

									$IMGES{$no}{name} = "$IMAGE_NAME{$QUESTIONS{$key}{image_id}}";
									$IMGES{$no}{img} = "$encoded";
									$IMGES{$no}{img} =~ s/\n//g;
									}
																	                                                                                
								close(XML_EXXPORT);
										        
                                                		my $add_image = "<img src=\"\@\@PLUGINFILE\@\@/"."$IMAGE_NAME{$QUESTIONS{$key}{image_id}}\" alt=\"$IMAGE_NAME{$QUESTIONS{$key}{image_id}}\">";
                                                		
                                                		if($QUESTIONS{$key}{question} ne"") {
                                                			$QUESTIONS{$key}{question} = "<PRE>"."$QUESTIONS{$key}{question}"."</PRE><BR>"."$add_image";
                                                			}
                                                		else {
                                                			$QUESTIONS{$key}{question} = "<img src=\"\@\@PLUGINFILE\@\@/"."$IMAGE_NAME{$QUESTIONS{$key}{image_id}}\" alt=\"$IMAGE_NAME{$QUESTIONS{$key}{image_id}}\">";
                                                			}
                                                			
                                                		if(keys %IMGES) {
								    	foreach my $img(keys %IMGES) {
										print XML_DOWNLOAD"<file name=\"$IMAGE_NAME{$QUESTIONS{$key}{image_id}}\" path=\"/\" encoding=\"base64\">$IMGES{$img}{img}</file>\n";
								    		}
    									}
                                                		}

                                                	print XML_DOWNLOAD"<text><![CDATA[$QUESTIONS{$key}{question}]]></text>\n</questiontext>\n";
                                                	}
                                                
                                                print XML_DOWNLOAD"<generalfeedback format=\"html\">\n<text></text>\n</generalfeedback>\n";
                                         
                                                print XML_DOWNLOAD"<defaultgrade>$QUESTIONS{$key}{value}</defaultgrade>\n<penalty>0</penalty>\n<hidden>0</hidden>\n<idnumber></idnumber>\n";
                                                
                                                %IMAGES = ();
                                                
                                                
                                          ###  ANSWERS
                                                if($QUESTIONS{$key}{type} eq"TF") {
                                                	if($ANSWERS{$key}{answer} eq"T" && $ANSWERS{$key}{c_answer} == 1) {
                                                		print XML_DOWNLOAD"<answer fraction=\"100\" format=\"moodle_auto_format\">\n<text>true</text>\n<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
								print XML_DOWNLOAD"<answer fraction=\"0\" format=\"moodle_auto_format\">\n<text>false</text>\n<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
                                                		}
                                                	else {
                                                		print XML_DOWNLOAD"<answer fraction=\"0\" format=\"moodle_auto_format\">\n<text>true</text>\n<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
								print XML_DOWNLOAD"<answer fraction=\"100\" format=\"moodle_auto_format\">\n<text>false</text>\n<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
                                                		}
                                                	}
                                                	
                                                elsif($QUESTIONS{$key}{type} eq"YN") {
							if($ANSWERS{$key}{answer} eq"Y" && $ANSWERS{$key}{c_answer} == 1) {
						        	print XML_DOWNLOAD"<answer fraction=\"100\" format=\"moodle_auto_format\">\n<text>yes</text>\n<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
								print XML_DOWNLOAD"<answer fraction=\"0\" format=\"moodle_auto_format\">\n<text>no</text>\n<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
						                }
						        else {
						        	print XML_DOWNLOAD"<answer fraction=\"0\" format=\"moodle_auto_format\">\n<text>yes</text>\n<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
								print XML_DOWNLOAD"<answer fraction=\"100\" format=\"moodle_auto_format\">\n<text>no</text>\n<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
						                }
                                                	}

						elsif($QUESTIONS{$key}{type} eq"SA") { # SHORT ANSWER
							print XML_DOWNLOAD"<usecase>0</usecase>\n<answer fraction=\"100\" format=\"moodle_auto_format\">\n<text>";
							
							if(keys %{$ANSWERS{$key}{q_order}}) {
								foreach my $order(sort keys %{$ANSWERS{$key}{q_order}}) {
							        	print XML_DOWNLOAD"$ANSWERS{$key}{q_order}{$order}{answer}";
                                                                	}
								}
								
							print XML_DOWNLOAD"</text>\n<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
                                                	}
                                                
                                                elsif($QUESTIONS{$key}{type} eq"P") { # ESSAY
							print XML_DOWNLOAD"<usecase>0</usecase>\n<answer fraction=\"100\" format=\"moodle_auto_format\">\n<text>";
													
							if(keys %{$ANSWERS{$key}{q_order}}) {
								foreach my $order(sort keys %{$ANSWERS{$key}{q_order}}) {
									print XML_DOWNLOAD"$ANSWERS{$key}{q_order}{$order}{answer}";
						                	}
								}
														
							print XML_DOWNLOAD"</text>\n<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
                                                	}
                                                	
                                                elsif($QUESTIONS{$key}{type} eq"MC") { # MC SINGLE ANSWER
                                                	print XML_DOWNLOAD"<single>true</single>\n<shuffleanswers>false</shuffleanswers>\n<answernumbering></answernumbering>\n<showstandardinstruction>0</showstandardinstruction>\n";
							print XML_DOWNLOAD"<correctfeedback format=\"html\">\n<text></text>\n</correctfeedback>\n";
							print XML_DOWNLOAD"<partiallycorrectfeedback format=\"html\">\n<text></text>\n</partiallycorrectfeedback>\n";
							print XML_DOWNLOAD"<incorrectfeedback format=\"html\">\n<text></text>\n</incorrectfeedback>\n<shownumcorrect/>\n";
                                                                
                                                	if(keys %{$ANSWERS{$key}{q_order}}) {
                                                		foreach my $order(sort keys %{$ANSWERS{$key}{q_order}}) {
                                                		
									#Advanced Answers
									if($QUESTIONS{$key}{ans_mode} == 1) { # ADVANCED ANSWERS
										if($ANSWERS{$key}{q_order}{$order}{answer}  =~ /\/schools\/qst_files\/[a-zA-Z0-9.]*/) {
											my %IMAGESS = ();
											$_ = "$ANSWERS{$key}{q_order}{$order}{answer}";
											my @files;
											my $no = 1;
														        
											while($_ =~ /(\/schools\/qst_files\/[a-zA-Z0-9.]*)+/g) {
												push(@files, $&);                                       
												}
														                                                            
											while (@files) {
												my $file = pop(@files);
												my @string = split(/\//,$file);
												my $image_name = pop(@string);
														
												my @name = split(/\./, $image_name);
												my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$name[0]\"");
												
												# change image name to correct one
												$ANSWERS{$key}{q_order}{$order}{answer} =~ s/$image_name/$IMAG_NAME{$name[0]}/;
					
												# get rid of file path
						                    				$ANSWERS{$key}{q_order}{$order}{answer} =~ s/\/schools\/qst_files/\@\@PLUGINFILE\@\@/;
														                    
												#open image file
												my $file_name = "$upload_directory"."$image_name";
														
												my $error = 0;
														
												if (! open(XML_EXPORT, "<$file_name") ) {
													print "Can't open file for reading - $!";
													$error = 1;
													}
														                    
												if($error == 0) {
													my $convert;
													binmode XML_EXPORT;
													
													# store images in xml base 64 encoded
													$convert = do{ local $/ = undef; <XML_EXPORT>; };
													my $encoded = encode_base64( $convert );
													$IMAGESS{$no}{name} = "$IMAG_NAME{$name[0]}";
													$IMAGESS{$no}{img} = "$encoded";
													$IMAGESS{$no}{img} =~ s/\n//g;
													++$no;
													}
														                         
												close(XML_EXPORT);
								    				}
								    	
								    			if($ANSWERS{$key}{q_order}{$order}{c_answer} == 1) { 
											        print XML_DOWNLOAD"<answer fraction=\"100\" format=\"html\">\n";
											        }
											else {
											        print XML_DOWNLOAD"<answer fraction=\"0\" format=\"html\">\n";
											    	}    
								    	
								    			$ANSWERS{$key}{q_order}{$order}{answer} =~ s/&quot;/"/g;
								    			
								    			print XML_DOWNLOAD"<text><![CDATA[$ANSWERS{$key}{q_order}{$order}{answer}]]></text>\n";
								    	
											if(keys %IMAGESS) {
												foreach my $img(keys %IMAGESS) {
													print XML_DOWNLOAD"<file name=\"$IMAGESS{$img}{name}\" path=\"/\" encoding=\"base64\">$IMAGESS{$img}{img}</file>\n";
													}
								    				}
											print XML_DOWNLOAD"<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
											}
										else {
											if($ANSWERS{$key}{q_order}{$order}{c_answer} == 1) { 
												print XML_DOWNLOAD"<answer fraction=\"100\" format=\"html\">\n";
												}
											else {
												print XML_DOWNLOAD"<answer fraction=\"0\" format=\"html\">\n";
											    	}
									    	
									    		$ANSWERS{$key}{q_order}{$order}{answer} =~ s/&quot;/"/g;
									    		
											print XML_DOWNLOAD"<text><![CDATA[$ANSWERS{$key}{q_order}{$order}{answer}]]></text>\n<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
											}
										}
									
									# Basic Answers
									elsif($QUESTIONS{$key}{ans_mode} == 0) {
										my %IMAGE = ();
										if($ANSWERS{$key}{q_order}{$order}{image_id} > 0) {
											my $no = 1;
											my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$ANSWERS{$key}{q_order}{$order}{image_id}\"");
									                                                                        
										        my @name = split(/\./,$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}});
										        my $image_name = "$ANSWERS{$key}{q_order}{$order}{image_id}"."\."."$name[1]";
									                                                                
										        #open image file
										        my $file_name = $upload_directory."$image_name";
										        my $error = 0;
									
										        if (! open(XML_XXPORT, "<$file_name") ) {
										         	print "Can't open file for reading - $!";
										                $error = 1;
										                }
									                                                        
										        if($error == 0) {
										                my $convert;
										                binmode XML_XXPORT;
										                
										                # store images in xml base 64 encoded
										                $convert = do{ local $/ = undef; <XML_XXPORT>; };
												my $encoded = encode_base64( $convert );
												$IMAGE{$no}{name} = "$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}";
												$IMAGE{$no}{img} = "$encoded";
												$IMAGE{$no}{img} =~ s/\n//g;												
										                }
									                                                                                
										        close(XML_XXPORT);
										        
										        # ADD the image to the answer text
										        if($ANSWERS{$key}{q_order}{$order}{answer} eq"") {
										        	$ANSWERS{$key}{q_order}{$order}{answer} = "<img src=\"\@\@PLUGINFILE\@\@/"."$IMAGE{$no}{name}\" alt=\"$IMAGE{$no}{name}\">";
										        	}
										        else {
										        	my $add_image = "<img src=\"\@\@PLUGINFILE\@\@/"."$IMAGE{$no}{name}\" alt=\"$IMAGE{$no}{name}\">";
										        	$ANSWERS{$key}{q_order}{$order}{answer} = "$ANSWERS{$key}{q_order}{$order}{answer}"."$add_image";
										        	}
										        }
										        
										if($ANSWERS{$key}{q_order}{$order}{c_answer} == 1) { 
											print XML_DOWNLOAD"<answer fraction=\"100\" format=\"html\">\n";
											}
										else {
											print XML_DOWNLOAD"<answer fraction=\"0\" format=\"html\">\n";
											}    

										$ANSWERS{$key}{q_order}{$order}{answer} =~ s/&quot;/"/g;
										
										print XML_DOWNLOAD"<text><![CDATA[$ANSWERS{$key}{q_order}{$order}{answer}]]></text>\n";
																		    	
										if(keys %IMAGE) {
											foreach my $img(keys %IMAGE) {
												my $new_image_name = "\@\@PLUGINFILE\@\@/"."$IMAGE{$img}{name}";
												print XML_DOWNLOAD"<file name=\"$IMAGE{$img}{name}\" path=\"/\" encoding=\"base64\">$IMAGE{$img}{img}</file>\n";
												}
											}
										print XML_DOWNLOAD"<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
                                                                        	}
									}
                                                		}   
                                                	}
                                                	
						elsif($QUESTIONS{$key}{type} eq"MA") { # MULTIPLE ANSWERS
                                                	print XML_DOWNLOAD"<single>false</single>\n<shuffleanswers>false</shuffleanswers>\n<answernumbering></answernumbering>\n<showstandardinstruction>0</showstandardinstruction>\n";
							print XML_DOWNLOAD"<correctfeedback format=\"html\">\n<text></text>\n</correctfeedback>\n";
							print XML_DOWNLOAD"<partiallycorrectfeedback format=\"html\">\n<text></text>\n</partiallycorrectfeedback>\n";
							print XML_DOWNLOAD"<incorrectfeedback format=\"html\">\n<text></text>\n</incorrectfeedback>\n<shownumcorrect/>\n";
                                                                
                                                	if(keys %{$ANSWERS{$key}{q_order}}) {
                                                		my $correct = 0;
                                                		
                                                		# find how many correct answers then divide it into 100
                                                		foreach my $ans(keys %{$ANSWERS{$key}{q_order}}) {
                                                			if($ANSWERS{$key}{q_order}{$ans}{c_answer} == 1) {
                                                				++$correct;
                                                				}
                                                			}
                                                		
                                                		my $weight = 100/$correct;
                                                		
                                                		foreach my $order(sort keys %{$ANSWERS{$key}{q_order}}) {
                                                		
									#Advanced Answers
									if($QUESTIONS{$key}{ans_mode} == 1) { # ADVANCED ANSWERS
										if($ANSWERS{$key}{q_order}{$order}{answer}  =~ /\/schools\/qst_files\/[a-zA-Z0-9.]*/) {
											my %IIMAGES = ();
											$_ = "$ANSWERS{$key}{q_order}{$order}{answer}";
											my @files;
											my $no = 1;
														        
											while($_ =~ /(\/schools\/qst_files\/[a-zA-Z0-9.]*)+/g) {
												push(@files, $&);                                       
												}
														                                                            
											while (@files) {
												my $file = pop(@files);
												my @string = split(/\//,$file);
												my $image_name = pop(@string);
														
												my @name = split(/\./, $image_name);
												my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$name[0]\"");
														                                                                
												# change image name to correct one
												$ANSWERS{$key}{q_order}{$order}{answer} =~ s/$image_name/$IMAG_NAME{$name[0]}/;
												
												# get rid of file path
						                    				$ANSWERS{$key}{q_order}{$order}{answer} =~ s/\/schools\/qst_files/\@\@PLUGINFILE\@\@/;
						                    				
						                    				# PUT " back in
						                    				$ANSWERS{$key}{q_order}{$order}{answer} =~ s/&quot\;/\"/g;
														                    
												#open image file
												my $file_name = "$upload_directory"."$image_name";
														
												my $error = 0;
														
												if (! open(XML_EXPORTT, "<$file_name") ) {
													print "Can't open file for reading - $!";
													$error = 1;
													}
														                    
												if($error == 0) {
													binmode XML_EXPORT;
													my $convert;
														                        
													# store images in xml base 64 encoded
													$convert = do{ local $/ = undef; <XML_EXPORTT>; };
													my $encoded = encode_base64( $convert );
													$IIMAGES{$no}{name} = "$IMAG_NAME{$name[0]}";
													$IIMAGES{$no}{img} = "$encoded";
													$IIMAGES{$no}{img} =~ s/\n//g;
													++$no;
													}
														                         
												close(XML_EXPORTT);
								    				}
								    	
								    			if($ANSWERS{$key}{q_order}{$order}{c_answer} == 1) { 
											        print XML_DOWNLOAD"<answer fraction=\"$weight\" format=\"html\">\n";
											        }
											else {
											        print XML_DOWNLOAD"<answer fraction=\"0\" format=\"html\">\n";
											    	}    
								    	
								    			$ANSWERS{$key}{q_order}{$order}{answer} =~ s/&quot;/"/g;
								    			
								    			print XML_DOWNLOAD"<text><![CDATA[$ANSWERS{$key}{q_order}{$order}{answer}]]></text>\n";
								    	
											if(keys %IIMAGES) {
												foreach my $img(keys %IIMAGES) {
													my $new_image_name = "\@\@PLUGINFILE\@\@/"."$IIMAGES{$img}{name}";
													print XML_DOWNLOAD"<file name=\"$IIMAGES{$img}{name}\" path=\"/\" encoding=\"base64\">$IIMAGES{$img}{img}</file>\n";
													}
								    				}
											print XML_DOWNLOAD"<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
											}
										else {
											if($ANSWERS{$key}{q_order}{$order}{c_answer} == 1) { 
												print XML_DOWNLOAD"<answer fraction=\"$weight\" format=\"html\">\n";
												}
											else {
												print XML_DOWNLOAD"<answer fraction=\"0\" format=\"html\">\n";
											    	}
									    	
									    		$ANSWERS{$key}{q_order}{$order}{answer} =~ s/&quot;/"/g;
									    
											print XML_DOWNLOAD"<text><![CDATA[$ANSWERS{$key}{q_order}{$order}{answer}]]></text>\n<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
											}
										}
									
									# Basic Answers
									elsif($QUESTIONS{$key}{ans_mode} == 0) {
										my %IMAG = ();
										if($ANSWERS{$key}{q_order}{$order}{image_id} > 0) {
											my $no = 1;
											my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$ANSWERS{$key}{q_order}{$order}{image_id}\"");
									                                                                        
										        my @name = split(/\./,$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}});
										        my $image_name = "$ANSWERS{$key}{q_order}{$order}{image_id}"."\."."$name[1]";
									                
									                
									                
										        #open image file
										        my $file_name = $upload_directory."$image_name";
										        my $error = 0;
									
										        if (! open(XML_XXPORTT, "<$file_name") ) {
										         	print "Can't open file for reading - $!";
										                $error = 1;
										                }
									                                                        
										        if($error == 0) {
										                my $convert;
										                binmode XML_XXPORTT;
										                         
										                # store images in xml base 64 encoded
										                $convert = do{ local $/ = undef; <XML_XXPORTT>; };
												my $encoded = encode_base64( $convert );
												$IMAG{$no}{name} = "$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}";
												$IMAG{$no}{img} = "$encoded";
												$IMAG{$no}{img} =~ s/\n//g;
										                }
									                                                                                
										        close(XML_XXPORTT);
										        
										        # ADD the image to the answer text
										        if($ANSWERS{$key}{q_order}{$order}{answer} eq"") {
										        	print XML_DOWNLOAD"$ANSWERS{$key}{q_order}{$order}{image_id}\n";
										        	$ANSWERS{$key}{q_order}{$order}{answer} = "<img src=\"\@\@PLUGINFILE\@\@/"."$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}\" alt=\"$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}\">";
										        	
										        	 print XML_DOWNLOAD"$ANSWERS{$key}{q_order}{$order}{answer}\n";
										        	}
										        else {
										        	my $add_image = "<BR><img src=\"\@\@PLUGINFILE\@\@/"."$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}\" alt=\"$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}\">";
										        	$ANSWERS{$key}{q_order}{$order}{answer} = "<PRE>"."$ANSWERS{$key}{q_order}{$order}{answer}"."</PRE><BR>"."$add_image";
										        	} 
										        
											if($ANSWERS{$key}{q_order}{$order}{c_answer} == 1) { 
												print XML_DOWNLOAD"<answer fraction=\"$weight\" format=\"html\">\n";
												}
											else {
												print XML_DOWNLOAD"<answer fraction=\"0\" format=\"html\">\n";
												}    

											$ANSWERS{$key}{q_order}{$order}{answer} =~ s/&quot;/"/g;

											print XML_DOWNLOAD"<text><![CDATA[$ANSWERS{$key}{q_order}{$order}{answer}]]></text>\n";
																		    	
											if(keys %IMAG) {
												foreach my $img(keys %IMAG) {
													print XML_DOWNLOAD"<file name=\"$IMAG{$img}{name}\" path=\"/\" encoding=\"base64\">$IMAG{$img}{img}</file>\n";
													}
												}
											}
											
										else {
											if($ANSWERS{$key}{q_order}{$order}{c_answer} == 1) { 
												print XML_DOWNLOAD"<answer fraction=\"$weight\" format=\"html\">\n";
												}
											else {
												print XML_DOWNLOAD"<answer fraction=\"0\" format=\"html\">\n";
												}    
												
											$ANSWERS{$key}{q_order}{$order}{answer} =~ s/&quot;/"/g;
											
											print XML_DOWNLOAD"<text><![CDATA[$ANSWERS{$key}{q_order}{$order}{answer}]]></text>\n";
											}
											
										print XML_DOWNLOAD"<feedback format=\"html\">\n<text></text>\n</feedback>\n</answer>\n";
                                                                        	}
									}
                                                		}   
                                                	}
                                                	
                                                elsif($QUESTIONS{$key}{type} eq"MX") { # MATCHING
						        print XML_DOWNLOAD"<shuffleanswers>true</shuffleanswers>\n<correctfeedback format=\"html\">\n<text>Your answer is correct.</text>\n</correctfeedback>\n<partiallycorrectfeedback format=\"html\">\n<text>Your answer is partially correct.</text>\n</partiallycorrectfeedback>\n<incorrectfeedback format=\"html\">\n<text>Your answer is incorrect.</text>\n</incorrectfeedback>\n<shownumcorrect/>\n";
    							
    							foreach my $order(sort keys %{$MX_ANSWERS{$key}{q_order}}) {
                                                                print XML_DOWNLOAD"<subquestion format=\"text\">\n<text>$MX_ANSWERS{$key}{q_order}{$order}{c_answer}{0}{answer}</text>\n<answer>\n<text>$MX_ANSWERS{$key}{q_order}{$order}{c_answer}{1}{answer}</text>\n</answer>\n</subquestion>\n";
                                                        	}
    							}
    							
                                               	print XML_DOWNLOAD"</question>\n\n";
                                                }
                                                
                                        
                                                
                                                
                                        else  {  # QST XML      #####################################
                                                print XML_DOWNLOAD"<item>\n";
                                                print XML_DOWNLOAD"<type>$QUESTIONS{$key}{type}</type>\n";
                                                print XML_DOWNLOAD"<mode>$QUESTIONS{$key}{mode}</mode>\n";
                                                print XML_DOWNLOAD"<sub_type>$QUESTIONS{$key}{sub_type}</sub_type>\n";
                                                print XML_DOWNLOAD"<ans_mode>$QUESTIONS{$key}{ans_mode}</ans_mode>\n";
                                                print XML_DOWNLOAD"<value>$QUESTIONS{$key}{value}</value>\n";
                                                print XML_DOWNLOAD"<descrip>$QUESTIONS{$key}{descrip}</descrip>\n";
                                                
                                            ### QUESTIONS
                                            
                                                # ADVANCED EDITOR IMAGES FOR QUESTION
                                                if($QUESTIONS{$key}{question} =~ /\/schools\/qst_files\/[a-zA-Z0-9.]*/) {
                                                        $_ = "$QUESTIONS{$key}{question}";
                                                        my @files;
                                                        
                                                        while($_ =~ /(\/schools\/qst_files\/[a-zA-Z0-9.]*)+/g) {
                                                                push(@files, $&);                                       
                                                                }
                                                            
                                                        while (@files) {
                                                                my $file = pop(@files);
                                                                my @string = split(/\//,$file);
                                                                my $image_name = pop(@string);

                                                                my @name = split(/\./, $image_name);
                                                                my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$name[0]\"");
                                                                
                                                                # change image name to correct one
                                                                $QUESTIONS{$key}{question} =~ s/$image_name/$IMAG_NAME{$name[0]}/;
                                                                
                                                                print XML_DOWNLOAD"<qimage_name>$IMAG_NAME{$name[0]}</qimage_name>\n";
                    
                                                                #open image file
                                                                my $file_name = "$upload_directory"."$image_name";

                                                                my $error = 0;

                                                                if (! open(XML_EXPORT, "<$file_name") ) {
                                                                        print "Can't open file for reading - $!";
                                                                        $error = 1;
                                                                        }
                                                                
                                                                if($error == 0) {
                                                                        my $convert;
                                                                        binmode XML_EXPORT;
                                                                        print XML_DOWNLOAD"<qimage>"; 
                                                                        
                                                                        # store images in xml base 64 encoded
                                                                        $convert = do{ local $/ = undef; <XML_EXPORT>; };
                                                                        
                                                                        my $encoded = encode_base64( $convert );
                                                                        print XML_DOWNLOAD $encoded;
                                                                        print XML_DOWNLOAD"</qimage>\n";
                                                                        }
                                                        
                                                                close(XML_EXPORT);
                                                                }
                                                                
                                                        print XML_DOWNLOAD"<question>$QUESTIONS{$key}{question}</question>\n";
                                                        }
                                                        
                                                else {
                                                        print XML_DOWNLOAD"<question>$QUESTIONS{$key}{question}</question>\n";
                                                        }
                                                        
                                                        
                                                # BASIC EDITOR IMAGE FOR QUESTION
                                                if($QUESTIONS{$key}{image_id} > 0) {
                                                        my %IMAGE_NAME = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$key}{image_id}\"");
                                                        my @type = split(/\./,$IMAGE_NAME{$QUESTIONS{$key}{image_id}});
                                                        
                                                        print XML_DOWNLOAD"<bq_image_name>$IMAGE_NAME{$QUESTIONS{$key}{image_id}}</bq_image_name>\n";
                                                        
                                                        #open image file
                                                        my $file_name = $upload_directory."$QUESTIONS{$key}{image_id}"."\."."$type[1]";
                                                        my $error = 0;

                                                        if (! open(XML_XPORT, "<$file_name") ) {
                                                                print "Can't open file for reading - $!";
                                                                $error = 1;
                                                                }
                                                        
                                                        if($error == 0) {
                                                                my $convert;
                                                                binmode XML_XPORT;
                                                                
                                                                print XML_DOWNLOAD"<bq_image>"; 
                                                                        
                                                                # store images in xml base 64 encoded
                                                                $convert = do{ local $/ = undef; <XML_XPORT>; };
                                                                
                                                                my $encoded = encode_base64( $convert );
                                                                print XML_DOWNLOAD $encoded;
                                                                print XML_DOWNLOAD"</bq_image>\n";
                                                                }
                                                                
                                                        close(XML_XPORT);
                                                        }
                                                        
                                                if($QUESTIONS{$key}{pdf} > 0) {
						        my %IMAGE_NAME = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$key}{pdf}\"");
						                                                        
						        print XML_DOWNLOAD"<bq_pdf_name>$IMAGE_NAME{$QUESTIONS{$key}{pdf}}</bq_pdf_name>\n";
						                                                        
						        #open pdf file
						        my $file_name = $upload_directory."$QUESTIONS{$key}{pdf}"."\.pdf";
						        my $error = 0;
						
						        if (! open(XML_XPORT, "<$file_name") ) {
						                print "Can't open file for reading - $!";
						                $error = 1;
						                }
						                                                        
						        if($error == 0) {
						                my $convert;
						                print XML_DOWNLOAD"<bq_pdf>"; 
						                                                                        
						                # store pdf in xml base 64 encoded
						                $convert = do{ local $/ = undef; <XML_XPORT>; };
						                
						                my $encoded = encode_base64( $convert );
						                print XML_DOWNLOAD $encoded;
						                print XML_DOWNLOAD"</bq_pdf>\n";
						                }
						                                                                
						        close(XML_XPORT);
                                                        }
                                                	
                                                print XML_DOWNLOAD"<vlink>$QUESTIONS{$key}{vlink}</vlink>\n";
                                                print XML_DOWNLOAD"<alink>$QUESTIONS{$key}{alink}</alink>\n";
                                                print XML_DOWNLOAD"<kolum>$QUESTIONS{$key}{kolum}</kolum>\n";
                                                
                                                
                                              ## ANSWERS
                                                if(keys %{$ANSWERS{$key}{q_order}} && $QUESTIONS{$key}{type} ne "MX") {
                                                        foreach my $order(sort keys %{$ANSWERS{$key}{q_order}}) {
                                                                print XML_DOWNLOAD"<answers>\n";
                                                                print XML_DOWNLOAD"<c_answer>$ANSWERS{$key}{q_order}{$order}{c_answer}</c_answer>\n";
                                                                
                                                                # ADVANCED EDITOR IMAGES - ANSWERS
                                                                if($ANSWERS{$key}{q_order}{$order}{answer} =~ /\/schools\/qst_files\/[a-zA-Z0-9.]*/) {
                                                                        $_ = "$ANSWERS{$key}{q_order}{$order}{answer}";
                                                                        my @files;
                                                        
                                                                        while($_ =~ /(\/schools\/qst_files\/[a-zA-Z0-9.]*)+/g) {
                                                                                push(@files, $&);                                       
                                                                                }
                                                                                
                                                                        while (@files) {
                                                                                my $file = pop(@files);
                                                                                my @string = split(/\//,$file);
                                                                                my $image_name = pop(@string);
                                                                                my @name = split(/\./, $image_name);
                                                                                my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$name[0]\"");
                                                                        
                                                                                # change image name to correct one
                                                                                $ANSWERS{$key}{q_order}{$order}{answer} =~ s/$image_name/$IMAG_NAME{$name[0]}/;
                                                                
                                                                                print XML_DOWNLOAD"<adv_ans_image_name>$IMAG_NAME{$name[0]}</adv_ans_image_name>\n";
                                                                        
                                                                                #open image file
                                                                                my $file_name = $upload_directory."$image_name";
                                                                                my $error = 0;

                                                                                if (! open(XML_XPORTT, "<$file_name") ) {
                                                                                        print "Can't open file for writing - $!";
                                                                                        $error = 1;
                                                                                        }
                                                                
                                                                                if($error == 0) {
                                                                                        my $convert;
                                                                                        binmode XML_XPORTT;
                                                                                        print XML_DOWNLOAD"<adv_ans_image>"; 
                                                                        
                                                                                        # store images in xml base 64 encoded
                                                                                        $convert = do{ local $/ = undef; <XML_XPORTT>; };
                                                                                        
                                                                                        my $encoded = encode_base64( $convert );
                                                                                        print XML_DOWNLOAD $encoded;
                                                                                        print XML_DOWNLOAD"</adv_ans_image>\n";
                                                                                        }
                                                                
                                                                                close(XML_XPORTT);
                                                                                }
                                                                        }
                                                        
                                                                print XML_DOWNLOAD"<answer>$ANSWERS{$key}{q_order}{$order}{answer}</answer>\n";
                                                                print XML_DOWNLOAD"<q_order>$order</q_order>\n";
                                                                
                                                                # BASIC EDITOR IMAGE - ANSWERS
                                                                if($ANSWERS{$key}{q_order}{$order}{image_id} > 0) {
                                                                        my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$ANSWERS{$key}{q_order}{$order}{image_id}\"");
                                                                        
                                                                        my @name = split(/\./,$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}});
                                                                        my $image_name = "$ANSWERS{$key}{q_order}{$order}{image_id}"."\."."$name[1]";
                                                                        
                                                                        print XML_DOWNLOAD"<baimage_id_name>$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}</baimage_id_name>\n";
                                                                
                                                                        #open image file
                                                                        my $file_name = $upload_directory."$image_name";
                                                                        my $error = 0;

                                                                        if (! open(XML_XXPORT, "<$file_name") ) {
                                                                                print "Can't open file for writing - $!";
                                                                                $error = 1;
                                                                                }
                                                        
                                                                        if($error == 0) {
                                                                                my $convert;
                                                                                print XML_DOWNLOAD"<baimage_id>"; 
                                                                        	binmode XML_XXPORT;
                                                                                # store images in xml base 64 encoded
                                                                                $convert = do{ local $/ = undef; <XML_XXPORT>; };

                                                                                my $encoded = encode_base64( $convert );
                                                                                print XML_DOWNLOAD $encoded;
                                                                                print XML_DOWNLOAD"</baimage_id>\n";
                                                                                }
                                                                                
                                                                        close(XML_XXPORT);
                                                                        }
                                                                        
                                                                print XML_DOWNLOAD"</answers>\n";
                                                                }
                                                        }
                                                        

                                                else {  # MX questions
                                                        foreach my $order(sort keys %{$MX_ANSWERS{$key}{q_order}}) {
                                                                print XML_DOWNLOAD"<answers>\n";
                                                                foreach my $ans(keys %{$MX_ANSWERS{$key}{q_order}{$order}{c_answer}}) {
                                                                        print XML_DOWNLOAD"<answer>$MX_ANSWERS{$key}{q_order}{$order}{c_answer}{$ans}{answer}</answer>\n";
                                                                
                                                                        print XML_DOWNLOAD"<c_answer>$ans</c_answer>\n";
                                                                        }
                                                                print XML_DOWNLOAD"<q_order>$order</q_order>\n";
                                                                print XML_DOWNLOAD"</answers>\n";
                                                                }
                                                        }
                                            
                                                print XML_DOWNLOAD"</item>\n\n";
                                                print XML_DOWNLOAD"</xml>\n\n";
                                                }
                                                
                                        }
 
 				if($EQ{export_type} == 2) { #   MOODLE XML 
					print XML_DOWNLOAD" </quiz>\n";
					}

                                close(XML_DOWNLOAD);
                                }
 
 
 
                        elsif( $error == 0 && $EQ{export_type} == 3) { # QTI 2.2 XML ZIP #######################################
                        	my $number = 0;
                        	my %IMAGES = ();
                        							
				# remove whole top level directory tree of user if already there
				rmtree($dir);
				
				# make the new top level directory
                                mkdir($dir,0777);
                                	
                                foreach my $key(sort keys %QUESTIONS) {
                                	# Only export Advanced and Basic (without pdf) mode questions. QTI will not display Equation questions correctly.
					next if($QUESTIONS{$key}{mode} == 2);
					next if($QUESTIONS{$key}{pdf} > 0);
						                                     
                                	++$number;
                                	my $new_dir = "$dir"."/"."$number"."qst";
                                							
                                	# make the new directory
                                	mkdir($new_dir,0777);
                   
                        		# OPEN FILE FOR PRINTING
					my $error = 0;
					my $file = "$dir"."/"."$number"."qst"."/"."$number"."qst\.xml";
	
					if (! open(QTI_FILE, ">$file") ) {
						print "Can't open file for writing - $!";
				        	$error = 1;
				        	}
				        	
				        if($error == 0) { # WRITE THE FILE
				        	binmode QTI_FILE;
						                                    
                                		print QTI_FILE" <?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
				        
				        	if($QUESTIONS{$key}{mode} == 1) { #ADVANCED MODE QUESTIONS
							# ADVANCED EDITOR IMAGES FOR QUESTION
						   	if($QUESTIONS{$key}{question} =~ /\/schools\/qst_files\/[a-zA-Z0-9.]*/) {
						   		$_ = "$QUESTIONS{$key}{question}";
						   		my @files;
						   		my $no = 1;
						   						        
						   		while($_ =~ /(\/schools\/qst_files\/[a-zA-Z0-9.]*)+/g) {
						   			push(@files, $&);                                       
						   		        }
						   						                                                            
						   		while (@files) {
						   		        my $file = pop(@files);
						   			my @string = split(/\//,$file);
						   			my $image_name = pop(@string);
						   						
						   			my @name = split(/\./, $image_name);
						   			my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$name[0]\"");
						   						                                                                
						   			# change image name to correct one
						   			$QUESTIONS{$key}{question} =~ s/$image_name/$IMAG_NAME{$name[0]}/;
						   						                    	
						   			# get rid of file path
						   			$QUESTIONS{$key}{question} =~ s/\/schools\/qst_files\///;
						   						                    	
						   			#open image file
						   			my $file_name = "$upload_directory"."$image_name";
						   							
						   			my $error = 0;
						   									
						   		        if (! open(XML_EXPORT, "<$file_name") ) {
						   				print "Can't open file for reading - $!";
						   				$error = 1;
						   				}
						   						                    
						   			if($error == 0) {
						   				my $image_file = "$dir"."/"."$number"."qst"."/"."$IMAG_NAME{$name[0]}";
										my $image_error = 0;
										
										if (! open(QTI_IMAGE_FILE, ">$image_file") ) {
											print "Can't open file for writing - $!";
											$image_error = 1;
											}

										if($image_error == 0) {
						   					binmode XML_EXPORT;
						   					binmode QTI_IMAGE_FILE;
						   					while(<XML_EXPORT>) {
						   						print QTI_IMAGE_FILE"$_";           
						   						}
						   					close(QTI_IMAGE_FILE);
						   					}
						   				}
						   						                         
						   			close(XML_EXPORT);
						       			}
						   		}
                                                   	}
				        	
				        	elsif($QUESTIONS{$key}{mode} == 0) { #BASIC MODE QUESTION NO PDF
						        if($QUESTIONS{$key}{image_id} > 0) {
						        	my %IMGES = ();
						        	my $no = 1;
								my %IMAGE_NAME = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$key}{image_id}\""); 
						                                                
						                my @name = split(/\./,$IMAGE_NAME{$QUESTIONS{$key}{image_id}});
								my $image_name = "$QUESTIONS{$key}{image_id}"."\."."$name[1]";
																							                                                                
								#open image file
								my $file_name = $upload_directory."$image_name";
								my $error = 0;
																							
								if (! open(XML_EXXPORT, "<$file_name") ) {
									print "Can't open file for reading - $!";
									$error = 1;
									}
																							                                                        
								if($error == 0) {
									my $image_file = "$dir"."/"."$number"."qst"."/"."$IMAGE_NAME{$QUESTIONS{$key}{image_id}}";
									my $image_error = 0;
																			
									if (! open(QTI_IMAGE_FILE, ">$image_file") ) {
										print "Can't open file for writing - $!";
										$image_error = 1;
										}
									
									if($image_error == 0) {
										binmode XML_EXXPORT;
										binmode QTI_IMAGE_FILE;
										while(<XML_EXXPORT>) {
											print QTI_IMAGE_FILE"$_";           
											}
										close(QTI_IMAGE_FILE);
										close(XML_EXXPORT);
						   				}
														
																        
						                        my $add_image = "<img src=\""."$IMAGE_NAME{$QUESTIONS{$key}{image_id}}\" alt=\"$IMAGE_NAME{$QUESTIONS{$key}{image_id}}\">";
						                                                		
						                        if($QUESTIONS{$key}{question} ne"") {
						                        	$QUESTIONS{$key}{question} = "<PRE>"."$QUESTIONS{$key}{question}"."</PRE><BR>"."$add_image";
						                                }
						                        else {
						                        	$QUESTIONS{$key}{question} = "<img src=\""."$IMAGE_NAME{$QUESTIONS{$key}{image_id}}\" alt=\"$IMAGE_NAME{$QUESTIONS{$key}{image_id}}\">";
						                                }
						                	}
                                                		}
				        		}
				        		
				        		
						# ANSWERS
						
						if($QUESTIONS{$key}{type} eq"TF" || $QUESTIONS{$key}{type} eq"YN") {
							my $c_answer = $ANSWERS{$key}{q_order}{1}{answer};
							
							print QTI_FILE"<assessmentItem xsi:schemaLocation=\"http://www.imsglobal.org/xsd/imsqti_v2p2 http://www.imsglobal.org/xsd/qti/qtiv2p2/imsqti_v2p2p2.xsd\" identifier=\"choice\" title=\"$QUESTIONS{$key}{descrip}\" adaptive=\"false\" timeDependent=\"false\">\n";
							print QTI_FILE"<responseDeclaration identifier=\"RESPONSE\" cardinality=\"single\" baseType=\"identifier\">\n";
							print QTI_FILE"<correctResponse>\n";
							print QTI_FILE"<value>$c_answer</value>\n";
							print QTI_FILE"</correctResponse>\n";
							print QTI_FILE"</responseDeclaration>\n";
							print QTI_FILE"<outcomeDeclaration identifier=\"SCORE\" cardinality=\"single\" baseType=\"float\">\n";
							print QTI_FILE"<defaultValue>\n";
							print QTI_FILE"<value>$QUESTIONS{$key}{value}</value>\n";
							print QTI_FILE"</defaultValue>\n";
							print QTI_FILE"</outcomeDeclaration>\n";
							print QTI_FILE"<itemBody>\n";
							print QTI_FILE"<choiceInteraction responseIdentifier=\"RESPONSE\" shuffle=\"false\" maxChoices=\"1\">\n";
							print QTI_FILE"<prompt>$QUESTIONS{$key}{question}</prompt>\n";
							
							if($QUESTIONS{$key}{type} eq"TF") {
								print QTI_FILE"<simpleChoice identifier=\"T\">True</simpleChoice>\n";
								print QTI_FILE"<simpleChoice identifier=\"F\">False</simpleChoice>\n";
								}
							else {
								print QTI_FILE"<simpleChoice identifier=\"Y\">Yes</simpleChoice>\n";
								print QTI_FILE"<simpleChoice identifier=\"N\">No</simpleChoice>\n";
								}
								
							print QTI_FILE"</choiceInteraction>\n";
							print QTI_FILE"</itemBody>\n";
							print QTI_FILE"<responseProcessing template=\"http://www.imsglobal.org/question/qti_v2p2/rptemplates/match_correct\"/>\n";
							print QTI_FILE"</assessmentItem>\n";
                                                	}
												
						elsif($QUESTIONS{$key}{type} eq"SA") { # SHORT ANSWER							
							print QTI_FILE"<assessmentItem xsi:schemaLocation=\"http://www.imsglobal.org/xsd/imsqti_v2p2 http://www.imsglobal.org/xsd/qti/qtiv2p2/imsqti_v2p2p2.xsd\" identifier=\"extendedText\" title=\"$QUESTIONS{$key}{descrip}\" adaptive=\"false\" timeDependent=\"false\">\n";
							print QTI_FILE"<responseDeclaration identifier=\"RESPONSE\" cardinality=\"single\" baseType=\"string\"/>\n";
							print QTI_FILE"<outcomeDeclaration identifier=\"SCORE\" cardinality=\"single\" baseType=\"float\">\n";
							print QTI_FILE"<defaultValue>\n";
							print QTI_FILE"<value>$QUESTIONS{$key}{value}</value>\n";
							print QTI_FILE"</defaultValue>\n";
							print QTI_FILE"</outcomeDeclaration>\n";
							print QTI_FILE"<itemBody>\n";
							print QTI_FILE"$QUESTIONS{$key}{question}\n";
							print QTI_FILE"<extendedTextInteraction responseIdentifier=\"RESPONSE\" expectedLength=\"80\"/>\n";
							print QTI_FILE"<rubricBlock view=\"scorer\">\n";
							print QTI_FILE"$ANSWERS{$key}{q_order}{1}{answer}\n";
							print QTI_FILE"</rubricBlock>\n";
							print QTI_FILE"</itemBody>\n";
							print QTI_FILE"</assessmentItem>\n";
						        }
						                                                
						elsif($QUESTIONS{$key}{type} eq"P") { # ESSAY
							print QTI_FILE"<assessmentItem xsi:schemaLocation=\"http://www.imsglobal.org/xsd/imsqti_v2p2 http://www.imsglobal.org/xsd/qti/qtiv2p2/imsqti_v2p2p2.xsd\" identifier=\"extendedText\" title=\"$QUESTIONS{$key}{descrip}\" adaptive=\"false\" timeDependent=\"false\">\n";
							print QTI_FILE"<responseDeclaration identifier=\"RESPONSE\" cardinality=\"single\" baseType=\"string\"/>\n";
							print QTI_FILE"<outcomeDeclaration identifier=\"SCORE\" cardinality=\"single\" baseType=\"float\">\n";
							print QTI_FILE"<defaultValue>\n";
							print QTI_FILE"<value>$QUESTIONS{$key}{value}</value>\n";
							print QTI_FILE"</defaultValue>\n";
							print QTI_FILE"</outcomeDeclaration>\n";
							print QTI_FILE"<itemBody>\n";
							print QTI_FILE"$QUESTIONS{$key}{question}\n";
							print QTI_FILE"<extendedTextInteraction responseIdentifier=\"RESPONSE\" expectedLength=\"500\"/>\n";
							print QTI_FILE"<rubricBlock view=\"scorer\">\n";
							print QTI_FILE"$ANSWERS{$key}{q_order}{1}{answer}\n";
							print QTI_FILE"</rubricBlock>\n";
							print QTI_FILE"</itemBody>\n";
							print QTI_FILE"</assessmentItem>\n";
						        }
                                                	
						elsif($QUESTIONS{$key}{type} eq"MC") { # MC SINGLE ANSWER
							my $c_answer;
							
							print QTI_FILE"<assessmentItem xsi:schemaLocation=\"http://www.imsglobal.org/xsd/imsqti_v2p2 http://www.imsglobal.org/xsd/qti/qtiv2p2/imsqti_v2p2p2.xsd\" identifier=\"choice\" title=\"$QUESTIONS{$key}{descrip}\" adaptive=\"false\" timeDependent=\"false\">\n";
							print QTI_FILE"<responseDeclaration identifier=\"RESPONSE\" cardinality=\"single\" baseType=\"identifier\">\n";
							print QTI_FILE"<correctResponse>\n";
							
							foreach my $order(sort keys %{$ANSWERS{$key}{q_order}}) {
								if($ANSWERS{$key}{q_order}{$order}{c_answer} > 0) {
									$c_answer = $order;
									}
								}
								
							print QTI_FILE"<value>$c_answer</value>\n";
							print QTI_FILE"</correctResponse>\n";
							print QTI_FILE"</responseDeclaration>\n";
							print QTI_FILE"<outcomeDeclaration identifier=\"SCORE\" cardinality=\"single\" baseType=\"float\">\n";
							print QTI_FILE"<defaultValue>\n";
							print QTI_FILE"<value>$QUESTIONS{$key}{value}</value>\n";
							print QTI_FILE"</defaultValue>\n";
							print QTI_FILE"</outcomeDeclaration>\n";
							print QTI_FILE"<itemBody>\n";
							print QTI_FILE"<choiceInteraction responseIdentifier=\"RESPONSE\" shuffle=\"true\" maxChoices=\"1\">\n";
							print QTI_FILE"<prompt>$QUESTIONS{$key}{question}</prompt>\n";
								
							foreach my $order(sort keys %{$ANSWERS{$key}{q_order}}) {
								#Advanced Answers
								if($QUESTIONS{$key}{ans_mode} == 1) { # ADVANCED ANSWERS
									if($ANSWERS{$key}{q_order}{$order}{answer}  =~ /\/schools\/qst_files\/[a-zA-Z0-9.]*/) {
										my %IMAGESS = ();
										$_ = "$ANSWERS{$key}{q_order}{$order}{answer}";
										my @files;
										my $no = 1;
																						        
										while($_ =~ /(\/schools\/qst_files\/[a-zA-Z0-9.]*)+/g) {
											push(@files, $&);                                       
											}
																						                                                            
										while (@files) {
											my $file = pop(@files);
											my @string = split(/\//,$file);
											my $image_name = pop(@string);
																						
											my @name = split(/\./, $image_name);
											my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$name[0]\"");
																				
											# change image name to correct one
											$ANSWERS{$key}{q_order}{$order}{answer} =~ s/$image_name/$IMAG_NAME{$name[0]}/;
																				
											# get rid of file path
											$ANSWERS{$key}{q_order}{$order}{answer} =~ s/\/schools\/qst_files\///;
																						                    
											#open image file
											my $file_name = "$upload_directory"."$image_name";
																						
											my $error = 0;
																						
											if (! open(XML_EXPORT, "<$file_name") ) {
												print "Can't open file for reading - $!";
												$error = 1;
												}
																						                    
											if($error == 0) {
						   						my $image_file = "$dir"."/"."$number"."qst"."/"."$IMAG_NAME{$name[0]}";
												my $image_error = 0;
										
												if (! open(QTI_IMAGE_FILE, ">$image_file") ) {
													print "Can't open file for writing - $!";
													$image_error = 1;
													}

												if($image_error == 0) {
						   							binmode XML_EXPORT;
						   							binmode QTI_IMAGE_FILE;
						   							while(<XML_EXPORT>) {
						   								print QTI_IMAGE_FILE"$_";           
						   								}
						   							close(QTI_IMAGE_FILE);
						   							}
						   						}
						   						                         
						   					close(XML_EXPORT);					    	
											}					    			
										}
									}
									
								# Basic Answers
								elsif($QUESTIONS{$key}{ans_mode} == 0) {
									my %IMAGE = ();
									if($ANSWERS{$key}{q_order}{$order}{image_id} > 0) {
										my $no = 1;
										my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$ANSWERS{$key}{q_order}{$order}{image_id}\"");
																	                                                                        
										my @name = split(/\./,$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}});
										my $image_name = "$ANSWERS{$key}{q_order}{$order}{image_id}"."\."."$name[1]";
																	                                                                
										#open image file
										my $file_name = $upload_directory."$image_name";
										my $error = 0;
																
										if (! open(XML_EXPORT, "<$file_name") ) {
											print "Can't open file for reading - $!";
											$error = 1;
											}
																																                    
										if($error == 0) {
											my $image_file = "$dir"."/"."$number"."qst"."/"."$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}";
											my $image_error = 0;

											if (! open(QTI_IMAGE_FILE, ">$image_file") ) {
												print "Can't open file for writing - $!";
												$image_error = 1;
												}
										
											if($image_error == 0) {
												binmode XML_EXPORT;
												binmode QTI_IMAGE_FILE;
												while(<XML_EXPORT>) {
													print QTI_IMAGE_FILE"$_";           
													}
												close(QTI_IMAGE_FILE);
												}
											}
																   						                         
						   				close(XML_EXPORT);				
																		        
										# ADD the image to the answer text
										if($ANSWERS{$key}{q_order}{$order}{answer} eq"") {
											$ANSWERS{$key}{q_order}{$order}{answer} = "<img src=\""."$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}\" alt=\"$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}\">";
											}
											
										else {
											my $add_image = "<img src=\""."$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}\" alt=\"$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}\">";
											$ANSWERS{$key}{q_order}{$order}{answer} = "$ANSWERS{$key}{q_order}{$order}{answer}"."$add_image";
											}
                                                                        	}
                                                                        }	
                                                                        
								$ANSWERS{$key}{q_order}{$order}{answer} =~ s/&quot;/"/g;
								}															    			
																							    			
														
							foreach my $order(sort keys %{$ANSWERS{$key}{q_order}}) {
								$ANSWERS{$key}{q_order}{$order}{answer} =~ s/&quot;/"/g;
								print QTI_FILE"<simpleChoice identifier=\"$order\">$ANSWERS{$key}{q_order}{$order}{answer}</simpleChoice>\n";
								}

							print QTI_FILE"</choiceInteraction>\n";
							print QTI_FILE"</itemBody>\n";
							print QTI_FILE"<responseProcessing template=\"http://www.imsglobal.org/question/qti_v2p2/rptemplates/match_correct\"/>\n";
							print QTI_FILE"</assessmentItem>\n";
							}
								
						elsif($QUESTIONS{$key}{type} eq"MA") { # MULTIPLE ANSWER
							my $max_choices = 0;
							
							print QTI_FILE"<assessmentItem xsi:schemaLocation=\"http://www.imsglobal.org/xsd/imsqti_v2p2 http://www.imsglobal.org/xsd/qti/qtiv2p2/imsqti_v2p2p2.xsd\" identifier=\"choiceMultiple\" title=\"$QUESTIONS{$key}{descrip}\" adaptive=\"false\" timeDependent=\"false\">\n";
							print QTI_FILE"<responseDeclaration identifier=\"RESPONSE\" cardinality=\"multiple\" baseType=\"identifier\">\n";
							print QTI_FILE"<correctResponse>\n";
						
							foreach my $order(sort keys %{$ANSWERS{$key}{q_order}}) {
								++$max_choices;
								if($ANSWERS{$key}{q_order}{$order}{c_answer} > 0) {
									print QTI_FILE"<value>$order</value>\n";
									}
								}
																				
							print QTI_FILE"</correctResponse>\n";
							print QTI_FILE"</responseDeclaration>\n";
							print QTI_FILE"<outcomeDeclaration identifier=\"SCORE\" cardinality=\"single\" baseType=\"float\"/>\n";
							print QTI_FILE"<outcomeDeclaration identifier=\"MAXSCORE\" cardinality=\"single\" baseType=\"float\">\n";
							print QTI_FILE"<defaultValue>\n";
							print QTI_FILE"<value>$QUESTIONS{$key}{value}</value>\n";
							print QTI_FILE"</defaultValue>\n";
							print QTI_FILE"</outcomeDeclaration>\n";
							print QTI_FILE"<itemBody>\n";
							print QTI_FILE"<choiceInteraction responseIdentifier=\"RESPONSE\" shuffle=\"true\" maxChoices=\"$max_choices\">\n";
							print QTI_FILE"<prompt>$QUESTIONS{$key}{question}</prompt>\n";
							
							foreach my $order(sort keys %{$ANSWERS{$key}{q_order}}) {
								#Advanced Answers
								if($QUESTIONS{$key}{ans_mode} == 1) { # ADVANCED ANSWERS
									if($ANSWERS{$key}{q_order}{$order}{answer}  =~ /\/schools\/qst_files\/[a-zA-Z0-9.]*/) {
										my %IMAGESS = ();
										$_ = "$ANSWERS{$key}{q_order}{$order}{answer}";
										my @files;
										my $no = 1;
																													        
										while($_ =~ /(\/schools\/qst_files\/[a-zA-Z0-9.]*)+/g) {
											push(@files, $&);                                       
											}
																													                                                            
										while (@files) {
											my $file = pop(@files);
											my @string = split(/\//,$file);
											my $image_name = pop(@string);
																													
											my @name = split(/\./, $image_name);
											my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$name[0]\"");
																											
											# change image name to correct one
											$ANSWERS{$key}{q_order}{$order}{answer} =~ s/$image_name/$IMAG_NAME{$name[0]}/;
																											
											# get rid of file path
											$ANSWERS{$key}{q_order}{$order}{answer} =~ s/\/schools\/qst_files\///;
																													                    
											#open image file
											my $file_name = "$upload_directory"."$image_name";
																													
											my $error = 0;
																													
											if (! open(XML_EXPORT, "<$file_name") ) {
												print "Can't open file for reading - $!";
												$error = 1;
												}
																													                    
											if($error == 0) {
												my $image_file = "$dir"."/"."$number"."qst"."/"."$IMAG_NAME{$name[0]}";
												my $image_error = 0;
																	
												if (! open(QTI_IMAGE_FILE, ">$image_file") ) {
													print "Can't open file for writing - $!";
													$image_error = 1;
													}
							
												if($image_error == 0) {
													binmode XML_EXPORT;
													binmode QTI_IMAGE_FILE;
													while(<XML_EXPORT>) {
														print QTI_IMAGE_FILE"$_";           
													   	}
													close(QTI_IMAGE_FILE);
													}
												}
													   						                         
											close(XML_EXPORT);					    	
											}					    			
										}
									}
																
								# Basic Answers
								elsif($QUESTIONS{$key}{ans_mode} == 0) {
									my %IMAGE = ();
									
									if($ANSWERS{$key}{q_order}{$order}{image_id} > 0) {
										my $no = 1;
										my %IMAG_NAME = &select4("query","select number,file_name from qst_files where number=\"$ANSWERS{$key}{q_order}{$order}{image_id}\"");
																								                                                                        
										my @name = split(/\./,$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}});
										my $image_name = "$ANSWERS{$key}{q_order}{$order}{image_id}"."\."."$name[1]";
																								                                                                
										#open image file
										my $file_name = $upload_directory."$image_name";
										my $error = 0;
																							
										if (! open(XML_EXPORT, "<$file_name") ) {
											print "Can't open file for reading - $!";
											$error = 1;
											}
																																							                    
										if($error == 0) {
											my $image_file = "$dir"."/"."$number"."qst"."/"."$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}";
											my $image_error = 0;
							
											if (! open(QTI_IMAGE_FILE, ">$image_file") ) {
												print "Can't open file for writing - $!";
												$image_error = 1;
												}
																	
											if($image_error == 0) {
												binmode XML_EXPORT;
												binmode QTI_IMAGE_FILE;
												
												while(<XML_EXPORT>) {
													print QTI_IMAGE_FILE"$_";           
													}
													
												close(QTI_IMAGE_FILE);
												}
											}
																							   						                         
										close(XML_EXPORT);				
																									        
										# ADD the image to the answer text
										if($ANSWERS{$key}{q_order}{$order}{answer} eq"") {
											$ANSWERS{$key}{q_order}{$order}{answer} = "<img src=\""."$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}\" alt=\"$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}\">";
											}
																		
										else {
											my $add_image = "<img src=\""."$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}\" alt=\"$IMAG_NAME{$ANSWERS{$key}{q_order}{$order}{image_id}}\">";
											$ANSWERS{$key}{q_order}{$order}{answer} = "$ANSWERS{$key}{q_order}{$order}{answer}"."$add_image";
											}
							                       }
									}
									
								$ANSWERS{$key}{q_order}{$order}{answer} =~ s/&quot;/"/g;
								}															    			

							
							foreach my $order(sort keys %{$ANSWERS{$key}{q_order}}) {
								$ANSWERS{$key}{q_order}{$order}{answer} =~ s/&quot;/"/g;
								print QTI_FILE"<simpleChoice identifier=\"$order\" fixed=\"false\">$ANSWERS{$key}{q_order}{$order}{answer}</simpleChoice>\n";
								}
								
							print QTI_FILE"</choiceInteraction>\n";
							print QTI_FILE"</itemBody>\n";
							print QTI_FILE"<responseProcessing template=\"http://www.imsglobal.org/question/qti_v2p2/rptemplates/map_response\"/>\n";
							print QTI_FILE"</assessmentItem>\n";
							}
							
						elsif($QUESTIONS{$key}{type} eq"MX") { # MATCHING
							print QTI_FILE"<assessmentItem xsi:schemaLocation=\"http://www.imsglobal.org/xsd/imsqti_v2p0/imsqti_v2p0.xsd\" identifier=\"match\" title=\"$QUESTIONS{$key}{descrip}\" adaptive=\"false\" timeDependent=\"false\">\n";
							print QTI_FILE"<responseDeclaration identifier=\"RESPONSE\" cardinality=\"multiple\" baseType=\"directedPair\">\n";
							print QTI_FILE"<correctResponse>\n";
							
							foreach my $order(sort keys %{$MX_ANSWERS{$key}{q_order}}) {
							        foreach my $ans(keys %{$MX_ANSWERS{$key}{q_order}{$order}{c_answer}}) {
							        	if($ans == 0) {
							        		my $corr_ans = $order + 10;
							        		print QTI_FILE"<value>$order $corr_ans</value>\n";
							        		}
							                }
                                                                }
                                                                
							print QTI_FILE"</correctResponse>\n";
							print QTI_FILE"</responseDeclaration>\n";
							print QTI_FILE"<outcomeDeclaration identifier=\"SCORE\" cardinality=\"single\" baseType=\"float\">\n";
							print QTI_FILE"<defaultValue>\n";
							print QTI_FILE"<value>$QUESTIONS{$key}{value}</value>\n";
							print QTI_FILE"</defaultValue>\n";
							print QTI_FILE"</outcomeDeclaration>\n";
							print QTI_FILE"<itemBody>\n";
							print QTI_FILE"<matchInteraction responseIdentifier=\"RESPONSE\" shuffle=\"false\" maxAssociations=\"\">\n";
							print QTI_FILE"<prompt>$QUESTIONS{$key}{question}</prompt>\n";
							print QTI_FILE"<simpleMatchSet>\n";

							foreach my $order(sort keys %{$MX_ANSWERS{$key}{q_order}}) {
							        foreach my $ans(keys %{$MX_ANSWERS{$key}{q_order}{$order}{c_answer}}) {
							        	if($ans == 0) {
							        		print QTI_FILE"<simpleAssociableChoice identifier=\"$order\" matchMax=\"1\">$MX_ANSWERS{$key}{q_order}{$order}{c_answer}{$ans}{answer}</simpleAssociableChoice>\n";
							                	}
							                }
                                                                }
							
							print QTI_FILE"</simpleMatchSet>\n";
							print QTI_FILE"<simpleMatchSet>\n";
							
							foreach my $order(sort keys %{$MX_ANSWERS{$key}{q_order}}) {
								foreach my $ans(keys %{$MX_ANSWERS{$key}{q_order}{$order}{c_answer}}) {
									if($ans == 1) {
										my $corr_order = $order + 10;
										print QTI_FILE"<simpleAssociableChoice identifier=\"$corr_order\" matchMax=\"1\">$MX_ANSWERS{$key}{q_order}{$order}{c_answer}{$ans}{answer}</simpleAssociableChoice>\n";
										}
									}
                                                                }
							
							print QTI_FILE"</simpleMatchSet>\n";
							print QTI_FILE"</matchInteraction>\n";
							print QTI_FILE"</itemBody>\n";
							print QTI_FILE"<responseProcessing template=\"http://www.imsglobal.org/question/qti_v2p2/rptemplates/match_correct\"/>\n";
							print QTI_FILE"</assessmentItem>\n";
							}
							
				        	close(QTI_FILE);
				        	}
				        }
				        
				# OPEN MANIFEST FILE FOR PRINTING
				my $merror = 0;
				my $manifest_file = "$dir"."/"."imsmanifest.xml";
								           
				if (! open(MANIFEST_FILE, ">$manifest_file") ) {
					print "Can't open file for writing - $!";
					$merror = 1;
					}
								        	
				if($merror == 0) { # WRITE THE FILE
					my $ims_number = 0;
					binmode MANIFEST_FILE;
					print MANIFEST_FILE"<?xml version=\"1.0\"?>\n";
					print MANIFEST_FILE"<manifest xmlns=\"http://www.imsglobal.org/xsd/imscp_v1p1\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:schemaLocation=\"http://www.imsglobal.org/xsd/imscp_v1p1 http://www.imsglobal.org/xsd/qti/qtiv2p2/qtiv2p2_imscpv1p2_v1p0.xsd http://ltsc.ieee.org/xsd/LOM http://www.imsglobal.org/xsd/imsmd_loose_v1p3p2.xsd\" identifier=\"MANIFEST-tao622bfef34b6d82-07993832\" xmlns:imsmd=\"http://ltsc.ieee.org/xsd/LOM\">\n";
    					print MANIFEST_FILE"<metadata>\n";
        				print MANIFEST_FILE"<schema>QTIv2.2 Package</schema>\n";
        				print MANIFEST_FILE"<schemaversion>1.0.0</schemaversion>\n";
    					print MANIFEST_FILE"</metadata>\n";
    					print MANIFEST_FILE"<organizations/>\n";
    					print MANIFEST_FILE"<resources>\n";

					foreach my $key(sort keys %QUESTIONS) {
						++$ims_number;
						my $qst_number = "$ims_number"."qst";
						
						print MANIFEST_FILE"<resource identifier=\"$qst_number\" type=\"imsqti_item_xmlv2p2\" href=\"$qst_number/$qst_number.xml\">\n";
						print MANIFEST_FILE"<metadata><imsmd:lom><imsmd:classification><imsmd:taxonPath><imsmd:source><imsmd:string xml:lang=\"en-US\">http://www.w3.org/2000/01/rdf-schema#label</imsmd:string></imsmd:source>\n";
						print MANIFEST_FILE"<imsmd:taxon>\n";
						print MANIFEST_FILE"<imsmd:entry>\n";
						print MANIFEST_FILE"<imsmd:string xml:lang=\"en-US\">$QUESTIONS{$key}{descrip}</imsmd:string>\n";
						print MANIFEST_FILE"</imsmd:entry>\n";
						print MANIFEST_FILE"</imsmd:taxon>\n";
						print MANIFEST_FILE"</imsmd:taxonPath>\n";
						print MANIFEST_FILE"</imsmd:classification>\n";
						print MANIFEST_FILE"</imsmd:lom>\n";
						print MANIFEST_FILE"</metadata>\n";
						print MANIFEST_FILE"<file href=\"$qst_number/$qst_number.xml\"/>\n";
                    				print MANIFEST_FILE"</resource>\n";
                    				}
                    				
					print MANIFEST_FILE"</resources>\n";
					print MANIFEST_FILE"</manifest>\n";

					close(MANIFEST_FILE);
					}
							
				my $zip = Archive::Zip->new();
				my $zip_name = "$export_directory"."qst"."$ids"."$time"."qti"."\.zip";
				
				chmod(0660,"$zip_name");
				
				# REMOVE ZIP FILE IF THERE
				unlink($zip_name);
				
				# add all readable files and directories below $export_directory as $ids/*
				my $new_dir = "$export_directory"."$ids";
				

				$zip->addTree( "$new_dir" );

				# and write them into a file
				$zip->writeToFileNamed("$zip_name");

				# remove directory tree of user we just created
				rmtree($dir);
				
				$file_name = "/schools/qst_files/"."qst"."$ids"."$time"."qti"."\.zip";
				
                        	} # END QTI 2.2 XML
                        }

                print"<center><a href=\"$file_name\" style=\"cursor:pointer\" download>
                $LANGUAGE{$set_language}{Downloadthefile}</a></center><BR><center><font size=\"-1\">($LANGUAGE{$set_language}{ClickCloseafteryourfileisdownloaded})</font></center><P>\n";
                
                print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt; font-family:Arial;\"><B onClick=\"remove_file\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close} </font></b></TD></TABLE>\n";
                }
                
        else {
                print"<center><B>$LANGUAGE{$set_language}{Noquestionsavailable}</B></center><BR><P>\n";
                print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt; font-family:Arial;\"><B onClick=\"self.close\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close} </font></b></TD></TABLE>\n";
                }
        }
        
######################
#
# REMOVE_EXPORT_FILE
#
######################
sub remove_export_file {
        my %REF = @_;
        $REF{exportfile} =~ tr/a-z0-9\._//cd;
        my $removefile = "$export_directory"."$REF{exportfile}";

        unlink($removefile);

	&print_javascript_begin();
        
        print"function close_it\(\) \{
        self.close()
        \}\n";
	
        &print_javascript_end();
        
        print"<img src=\"/schools/blank.gif\" onLoad=\"close_it\(\)\"> \n";
        }

######################
#
# QUESTION_DONE
#
######################
sub question_done {
	my %QD = @_;
	$QD{quest_no} =~ s/\D//g;
	$QD{real_quest_no} =~ s/\D//g;
	$QD{qst} =~ s/\D//g;
	$QD{class_id} =~ s/\D//g;
	$QD{type} =~ s/\D//g;
	$QD{attempt} =~ s/\D//g;
	$QD{mxselect} =~ s/\D//g;
	$QD{branch} =~ s/\D//g;
	$QD{referer} =~ s/\D//g;
	
	my $ans = $QD{answer};
     	$ans =~ s/\s//g;
	my $saanswer = $QD{saanswer};
     	$saanswer =~ s/\s//g;
	my $panswer = $QD{panswer};
     	$panswer =~ s/\s//g;

	my $logged_in;
	my $has_access;
	my $good_quest;
	my $good_answer;
	my $marked = 0;
	my %ALREADY_SAVED_QUESTIONS = ();
	my %RETURN1 = ();
	
	#check are in class, answer is not empty, qst is posted, have access to qst and question is in qst
	
	if(defined $USER{$ids}{$QD{class_id}} && ($ans ne"" || $saanswer ne "" || $panswer ne "")) {
		my %RETURN = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$QD{qst}\" AND class_id=\"$QD{class_id}\"");
		
		if($RETURN{$QD{qst}}{forall} != 1) {
			%RETURN1 = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$QD{qst}\" AND u_id=\"$ids\"");
			if(keys %RETURN1) {
				$has_access = 1;
				}
			}
		elsif($RETURN{$QD{qst}}{forall} == 1) {
			$has_access = 1;
			}
			
                #check there is still time
                my %TIME_REMAINING = &select4("query","SELECT u_id,end from qst_attempts WHERE qst_no=\"$QD{qst}\" AND u_id=\"$ids\"");
                my $now_time = time;

                if($has_access == 1 && $now_time < $TIME_REMAINING{$ids}) {

      			#check quest_no is in qst
			my %RETURN2 = &select8("query","SELECT quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$QD{qst}\"");
			
			if(defined $RETURN2{$QD{real_quest_no}}) {
				$good_quest = 1;
				}
				
			if($good_quest == 1) {
				#find what type of question it is and whether the answer is empty
				my %RETURN3 = &select_questions("query","SELECT * from questions WHERE number=\"$QD{real_quest_no}\"");
				
				if ($RETURN3{$QD{real_quest_no}}{type} eq"TF") {
					$QD{answer} =~ s/[^T,F]//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
					
                                elsif ($RETURN3{$QD{real_quest_no}}{type} eq"YN") {
					$QD{answer} =~ s/[^Y,N]//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
					
				elsif ($RETURN3{$QD{real_quest_no}}{type} eq"SA") {
					if($QD{saanswer} ne"") {
						$QD{answer} = $QD{saanswer};
						$marked = -1;
						$good_answer = 1;
						}
					}
					
				elsif ($RETURN3{$QD{real_quest_no}}{type} eq"P") {
					if($QD{panswer} ne"") {
						$QD{answer} = $QD{panswer};
						$marked = -1;
						$good_answer = 1;
						}
					}
					
				elsif ($RETURN3{$QD{real_quest_no}}{type} eq"MC") {
                			$QD{answer} =~ s/\D//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
					
                                elsif ($RETURN3{$QD{real_quest_no}}{type} eq"MA") {
                			$QD{answer} =~ s/\D//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
                                    
                                elsif ($RETURN3{$QD{real_quest_no}}{type} eq"MX") {
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
			 		
				elsif ($RETURN3{$QD{real_quest_no}}{type} eq"AD") {
                			$QD{answer} =~ s/\D//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}

				if($good_answer == 1) {
                                        #get org time
                                        my %RETURN_TYME = &get_org_time("org_id","$QD{org_id}");
                                        
					#check question is in users qsts and the attempt no
					my $attempt = &select10("query","SELECT attempts from qst_attempts WHERE qst_no=\"$QD{qst}\" AND u_id=\"$ids\"");
					my @return = &select3("query","SELECT u_id,quest_no from qsts WHERE qst=\"$QD{qst}\" AND u_id=\"$ids\" AND quest_no=\"$QD{real_quest_no}\" AND attempt=\"$attempt\" LIMIT 1");
					
					if($#return != -1) {
						my %TIME = &get_org_time("org_id","$QD{org_id}");

                                                if($QD{answertype} eq"MA") {
                                                        my %RETURN_MA_ANSWERS = ();
                                                        %RETURN_MA_ANSWERS = &select4("query","select quest_no,answer from qsts where u_id=\"$ids\" AND qst=\"$QD{qst}\" AND quest_no=\"$QD{real_quest_no}\"" );
                                                        my %MA_ANSWERS = ();
                                                        
                                                        if($RETURN_MA_ANSWERS{$QD{real_quest_no}} ne"") { #already have answer
                                                                my @answer_ma = split(/,/,%RETURN_MA_ANSWERS{$QD{real_quest_no}});
                                                                foreach my $key(@answer_ma) {
                                                                        $MA_ANSWERS{$key} = $key;
                                                                        }
                                                                        
                                                                if(defined $MA_ANSWERS{$QD{answer}}) {# see if answer is already checked, if so remove and update
                                                                        delete($MA_ANSWERS{$QD{answer}});
                                                                        my $new_answer;
                                                                        foreach my $ke(keys %MA_ANSWERS) {
                                                                                $new_answer = "$new_answer".","."$ke";
                                                                                }
                                                                        $new_answer =~ s/^,//;
                                                                        &update_qsts_quote("quote","$new_answer","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                        }
                                                                else {
                                                                        if(keys %MA_ANSWERS) { # add to answers
                                                                                my $new_answer;
                                                                                foreach my $ke(keys %MA_ANSWERS) {
                                                                                        $new_answer = "$new_answer".","."$ke";
                                                                                        }
                                                                                $new_answer = "$new_answer".","."$QD{answer}";
                                                                                $new_answer =~ s/^,//;

                                                                                &update_qsts_quote("quote","$new_answer","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                                }
                                                                        else { # no answers there yet
                                                                                &update_qsts_quote("quote","$QD{answer}","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                                }
                                                                        }
                                                                }
                                                        else {
                                                                &update_qsts_quote("quote","$QD{answer}","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                }
                                                        }
                                                    
                                                elsif($QD{answertype} eq"MX") {
                                                        #see if answers already there
                                                        my %RETURN_MX_ANSWERS = &select4("query","select quest_no,answer from qsts where u_id=\"$ids\" AND qst=\"$QD{qst}\" AND quest_no=\"$QD{real_quest_no}\"" );

                                                        if($RETURN_MX_ANSWERS{$QD{real_quest_no}} ne"") { #already have an answer
                                                                my %ANSWERS_THERE = ();
                                                                my @answers = split(/\n/,$RETURN_MX_ANSWERS{$QD{real_quest_no}});

                                                                foreach my $piece(@answers) {
                                                                        my @chunk = split(/=/,$piece);
                                                                        $ANSWERS_THERE{$chunk[0]} = $chunk[1];
                                                                        }
                                                                
                                                                if(defined $ANSWERS_THERE{$QD{mxselect}} && $ANSWERS_THERE{$QD{mxselect}} ne "") {# answer is already checked, replace
                                                                        $ANSWERS_THERE{$QD{mxselect}} = $QD{answer};
                                                                        
                                                                        # rebuild the info going back
                                                                        my $new_answer;
                                                                        foreach my $slice(keys %ANSWERS_THERE) {
                                                                                $new_answer = "$new_answer"."$slice"."="."$ANSWERS_THERE{$slice}"."\n";
                                                                                }
                                                                        $new_answer =~ s/\\n$//g;

                                                                       &update_qsts_quote("quote","$new_answer","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                       
                                                                        }
                                                                else { # add it to whats there
                                                                        $ANSWERS_THERE{$QD{mxselect}} = $QD{answer};

                                                                        # rebuild the info going back
                                                                        my $new_answer;
                                                                        foreach my $slice(keys %ANSWERS_THERE) {
                                                                                $new_answer = "$new_answer"."$slice"."="."$ANSWERS_THERE{$slice}"."\n";
                                                                                }

                                                                        &update_qsts_quote("quote","$new_answer","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                                        }
                                                                }
                                                        else {
                                                                my $answer = "$QD{mxselect}"."="."$QD{answer}"."\n";
                                                               &update_qsts_quote("quote","$answer","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                               
                                                                }
                                                        }
                                                else {
                                                        &update_qsts_quote("quote","$QD{answer}","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}");
                                                        }
						}
                                        
                                        if($QD{branch} != 1) {
                                                print"<BR><center>\#$QD{quest_no} <font color=\"green\">$LANGUAGE{$set_language}{Saved}</font></center> \n";
                                                }
					}
				}
			}
			
                else {
                        print"<center><font color=\"red\"><B><i>$LANGUAGE{$set_language}{TimeExpired}</i><BR> $LANGUAGE{$set_language}{Submit} QST </B></font></center> \n";
                        }
		}
		
	else {
		print"<center>\#$QD{quest_no} <B><font color=\"red\">$LANGUAGE{$set_language}{NoAnswer}.</font></B></center>\n";
		}
	}

######################
#
# QUESTION_DONE5
#
######################
sub question_done5 {
	my %QD = @_;
	$QD{quest_no} =~ s/\D//g;
	$QD{real_quest_no} =~ s/\D//g;
	$QD{qst} =~ s/\D//g;
	$QD{class_id} =~ s/\D//g;
	$QD{type} =~ s/\D//g;
	$QD{attempt} =~ s/\D//g;
	$QD{mxselect} =~ s/\D//g;
	$QD{branch} =~ s/\D//g;
	$QD{referer} =~ s/\D//g;

	my $ans = $QD{answer};
     	$ans =~ s/\s//g;
	my $saanswer = $QD{saanswer};
     	$saanswer =~ s/\s//g;
	my $panswer = $QD{panswer};
     	$panswer =~ s/\s//g;

	my $logged_in;
	my $has_access;
	my $good_quest;
	my $good_answer;
	my $marked = 0;
	my %ALREADY_SAVED_QUESTIONS = ();
	my %RETURN1 = ();
	
	#check are in class, answer is not empty, qst is posted, have access to qst and question is in qst
	if(defined $USER{$ids}{$QD{class_id}} && ($ans ne"" || $saanswer ne "" || $panswer ne "")) {
		my %RETURN = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$QD{qst}\" AND class_id=\"$QD{class_id}\"");
		if($RETURN{$QD{qst}}{forall} != 1) {
			%RETURN1 = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$QD{qst}\" AND u_id=\"$ids\"");
			if(keys %RETURN1) {
				$has_access = 1;
				}
			}
		elsif($RETURN{$QD{qst}}{forall} == 1) {
			$has_access = 1;
			}
			
                #check there is still time
                my %TIME_REMAINING = &select4("query","SELECT u_id,end from qst_attempts WHERE qst_no=\"$QD{qst}\" AND u_id=\"$ids\"");
                my $now_time = time;

                if($has_access == 1 && $now_time < $TIME_REMAINING{$ids}) {

      			#check quest_no is in qst
			my %RETURN2 = &select8("query","SELECT quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$QD{qst}\" AND quest_no=\"$QD{real_quest_no}\"");
			if(defined $RETURN2{$QD{real_quest_no}}) {
				$good_quest = 1;
				}
			if($good_quest == 1) {
				#find what type of question it is and whether the answer is empty
				my %RETURN3 = &select_questions("query","SELECT * from questions WHERE number=\"$QD{real_quest_no}\"");
				
				if ($RETURN3{$QD{real_quest_no}}{type} eq"TF") {
					$QD{answer} =~ s/[^T,F]//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
					
                                elsif ($RETURN3{$QD{real_quest_no}}{type} eq"YN") {
					$QD{answer} =~ s/[^Y,N]//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
					
				elsif ($RETURN3{$QD{real_quest_no}}{type} eq"SA") {
					if($QD{saanswer} ne"") {
						$QD{answer} = $QD{saanswer};
						$marked = -1;
						$good_answer = 1;
						}
					}
					
				elsif ($RETURN3{$QD{real_quest_no}}{type} eq"MC") {
                			$QD{answer} =~ s/\D//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
			 		
                                elsif ($RETURN3{$QD{real_quest_no}}{type} eq"MA") {
                			$QD{answer} =~ s/\D//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
					
				elsif ($RETURN3{$QD{real_quest_no}}{type} eq"AD") {
                			$QD{answer} =~ s/\D//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}

				if($good_answer == 1) {
                                        #get org time
                                        my %RETURN_TYME = &get_org_time("org_id","$QD{org_id}");
                                        
					#check question is in users qsts and the attempt no
					my $attempt = &select10("query","SELECT attempts from qst_attempts WHERE qst_no=\"$QD{qst}\" AND u_id=\"$ids\"");
					my @return = &select3("query","SELECT u_id,quest_no from qsts WHERE qst=\"$QD{qst}\" AND u_id=\"$ids\" AND quest_no=\"$QD{real_quest_no}\" AND referer=\"$QD{referer}\" AND attempt=\"$attempt\" LIMIT 1");

					if($#return != -1) {
						my %TIME = &get_org_time("org_id","$QD{org_id}");
						
                                                if($RETURN3{$QD{real_quest_no}}{type} eq"MA") {
                                                        my %RETURN_MA_ANSWERS = ();
                                                        %RETURN_MA_ANSWERS = &select4("query","select quest_no,answer from qsts where u_id=\"$ids\" AND qst=\"$QD{qst}\" AND quest_no=\"$QD{real_quest_no}\"" );
                                                        my %MA_ANSWERS = ();
                                                        if($RETURN_MA_ANSWERS{$QD{real_quest_no}} ne"") { #already have answer
                                                                my @answer_ma = split(/,/,%RETURN_MA_ANSWERS{$QD{real_quest_no}});
                                                                foreach my $key(@answer_ma) {
                                                                        $MA_ANSWERS{$key} = $key;
                                                                        }
                                                                        
                                                                if(defined $MA_ANSWERS{$QD{answer}}) {# see if answer is already checked, if so remove and update
                                                                        delete($MA_ANSWERS{$QD{answer}});
                                                                        my $new_answer;
                                                                        foreach my $ke(keys %MA_ANSWERS) {
                                                                                $new_answer = "$new_answer".","."$ke";
                                                                                }
                                                                        $new_answer =~ s/^,//;
                                                                        &update_qsts_quote("quote","$new_answer","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}","referer","$QD{referer}");
                                                                        }
                                                                else {
                                                                        if(keys %MA_ANSWERS) { # add to answers
                                                                                my $new_answer;
                                                                                foreach my $ke(keys %MA_ANSWERS) {
                                                                                        $new_answer = "$new_answer".","."$ke";
                                                                                        }
                                                                                $new_answer = "$new_answer".","."$QD{answer}";
                                                                                $new_answer =~ s/^,//;

                                                                                &update_qsts_quote("quote","$new_answer","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}","referer","$QD{referer}");
                                                                                }
                                                                        else { # no answers there yet
                                                                                &update_qsts_quote("quote","$QD{answer}","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}","referer","$QD{referer}");
                                                                                }
                                                                        }
                                                                }
                                                                
                                                        else {
                                                                &update_qsts_quote("quote","$QD{answer}","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}","referer","$QD{referer}");
                                                                }
                                                        }
                                                        
						else {
                                                        &update_qsts_quote("quote","$QD{answer}","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}","referer","$QD{referer}");
                                                        }
						}
					}
				}
			}
                else {
                        print"<center><font color=\"red\"><B><i>$LANGUAGE{$set_language}{TimeExpired}</i><BR> $LANGUAGE{$set_language}{Submit} QST </B></font></center> \n";
                        }
		}
	else {
		print"<center>\#$QD{quest_no} <B><font color=\"red\">$LANGUAGE{$set_language}{NoAnswer}.</font></B></center>\n";
		}
	}

######################
#
# MODAL_QUESTION_DONE5
#
######################
sub modal_question_done5 {
	my %QD = @_;
	$QD{quest_no} =~ s/\D//g;
	$QD{real_quest_no} =~ s/\D//g;
	$QD{qst} =~ s/\D//g;
	$QD{class_id} =~ s/\D//g;
	$QD{type} =~ s/\D//g;
	$QD{attempt} =~ s/\D//g;
	$QD{mxselect} =~ s/\D//g;
	$QD{branch} =~ s/\D//g;
	$QD{referer} =~ s/\D//g;

	my $ans = $QD{answer};
     	$ans =~ s/\s//g;
	my $saanswer = $QD{saanswer};
     	$saanswer =~ s/\s//g;
	my $panswer = $QD{panswer};
     	$panswer =~ s/\s//g;

	my $logged_in;
	my $has_access;
	my $good_quest;
	my $good_answer;
	my $marked = 0;
	my %ALREADY_SAVED_QUESTIONS = ();
	my %RETURN1 = ();
	
	#check are in class, answer is not empty, qst is posted, have access to qst and question is in qst
	if(defined $USER{$ids}{$QD{class_id}} && ($ans ne"" || $saanswer ne "" || $panswer ne "")) {
		my %RETURN = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$QD{qst}\" AND class_id=\"$QD{class_id}\"");
		if($RETURN{$QD{qst}}{forall} != 1) {
			%RETURN1 = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$QD{qst}\" AND u_id=\"$ids\"");
			if(keys %RETURN1) {
				$has_access = 1;
				}
			}
		elsif($RETURN{$QD{qst}}{forall} == 1) {
			$has_access = 1;
			}
			
                #check there is still time
                my %TIME_REMAINING = &select4("query","SELECT u_id,end from qst_attempts WHERE qst_no=\"$QD{qst}\" AND u_id=\"$ids\"");
                my $now_time = time;

                if($has_access == 1 && $now_time < $TIME_REMAINING{$ids}) {

      			#check quest_no is in qst
			my %RETURN2 = &select8("query","SELECT quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$QD{qst}\" AND quest_no=\"$QD{real_quest_no}\"");
			if(defined $RETURN2{$QD{real_quest_no}}) {
				$good_quest = 1;
				}
			if($good_quest == 1) {
				#find what type of question it is and whether the answer is empty
				my %RETURN3 = &select_questions("query","SELECT * from questions WHERE number=\"$QD{real_quest_no}\"");
				
				if ($RETURN3{$QD{real_quest_no}}{type} eq"TF") {
					$QD{answer} =~ s/[^T,F]//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
					
                                elsif ($RETURN3{$QD{real_quest_no}}{type} eq"YN") {
					$QD{answer} =~ s/[^Y,N]//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
					
				elsif ($RETURN3{$QD{real_quest_no}}{type} eq"SA") {
					if($QD{saanswer} ne"") {
						$QD{answer} = $QD{saanswer};
						$marked = -1;
						$good_answer = 1;
						}
					}
					
				elsif ($RETURN3{$QD{real_quest_no}}{type} eq"MC") {
                			$QD{answer} =~ s/\D//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
			 		
                                elsif ($RETURN3{$QD{real_quest_no}}{type} eq"MA") {
                			$QD{answer} =~ s/\D//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}
					
				elsif ($RETURN3{$QD{real_quest_no}}{type} eq"AD") {
                			$QD{answer} =~ s/\D//g;
					if($QD{answer} ne"") {
						$good_answer = 1;
						}
					}

				if($good_answer == 1) {
                                        #get org time
                                        my %RETURN_TYME = &get_org_time("org_id","$QD{org_id}");
                                        
					#check question is in users qsts and the attempt no
					my $attempt = &select10("query","SELECT attempts from qst_attempts WHERE qst_no=\"$QD{qst}\" AND u_id=\"$ids\"");
					my @return = &select3("query","SELECT u_id,quest_no from qsts WHERE qst=\"$QD{qst}\" AND u_id=\"$ids\" AND quest_no=\"$QD{real_quest_no}\" AND referer=\"$QD{referer}\" AND attempt=\"$attempt\" LIMIT 1");

					if($#return != -1) {
						my %TIME = &get_org_time("org_id","$QD{org_id}");
						
                                                if($RETURN3{$QD{real_quest_no}}{type} eq"MA") {
                                                        my %RETURN_MA_ANSWERS = ();
                                                        %RETURN_MA_ANSWERS = &select4("query","select quest_no,answer from qsts where u_id=\"$ids\" AND qst=\"$QD{qst}\" AND quest_no=\"$QD{real_quest_no}\"" );
                                                        my %MA_ANSWERS = ();
                                                        if($RETURN_MA_ANSWERS{$QD{real_quest_no}} ne"") { #already have answer
                                                                my @answer_ma = split(/,/,%RETURN_MA_ANSWERS{$QD{real_quest_no}});
                                                                foreach my $key(@answer_ma) {
                                                                        $MA_ANSWERS{$key} = $key;
                                                                        }
                                                                        
                                                                if(defined $MA_ANSWERS{$QD{answer}}) {# see if answer is already checked, if so remove and update
                                                                        delete($MA_ANSWERS{$QD{answer}});
                                                                        my $new_answer;
                                                                        foreach my $ke(keys %MA_ANSWERS) {
                                                                                $new_answer = "$new_answer".","."$ke";
                                                                                }
                                                                        $new_answer =~ s/^,//;
                                                                        &update_qsts_quote("quote","$new_answer","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}","referer","$QD{referer}");
                                                                        }
                                                                else {
                                                                        if(keys %MA_ANSWERS) { # add to answers
                                                                                my $new_answer;
                                                                                foreach my $ke(keys %MA_ANSWERS) {
                                                                                        $new_answer = "$new_answer".","."$ke";
                                                                                        }
                                                                                $new_answer = "$new_answer".","."$QD{answer}";
                                                                                $new_answer =~ s/^,//;

                                                                                &update_qsts_quote("quote","$new_answer","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}","referer","$QD{referer}");
                                                                                }
                                                                        else { # no answers there yet
                                                                                &update_qsts_quote("quote","$QD{answer}","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}","referer","$QD{referer}");
                                                                                }
                                                                        }
                                                                }
                                                                
                                                        else {
                                                                &update_qsts_quote("quote","$QD{answer}","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}","referer","$QD{referer}");
                                                                }
                                                        }
                                                        
						else {
                                                        &update_qsts_quote("quote","$QD{answer}","qst","$QD{qst}","quest_no","$QD{real_quest_no}","attempt","$attempt","marked","$marked","time_stamp","$TIME{time}{month}\-$TIME{time}{day}\-$TIME{time}{hour_minute}","referer","$QD{referer}");
                                                        }
						}
					}
				}
			}
                else {
                        print"<center><font color=\"red\"><B><i>$LANGUAGE{$set_language}{TimeExpired}</i><BR> $LANGUAGE{$set_language}{Submit} QST </B></font></center> \n";
                        }
		}
	else {
		print"<center>\#$QD{quest_no} <B><font color=\"red\">$LANGUAGE{$set_language}{NoAnswer}.</font></B></center>\n";
		}
	}


#########################
#
# GET_ORG_TIME
#
########################
sub get_org_time {
        my %GOT = @_;
        my $org_time1;
        my $adjusted_time;
        my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$GOT{org_id}\"};
        my $sth = $dbh->prepare($queryt);
        $sth->execute();
        while(my @row = $sth->fetchrow_array()) {
                if($row[1] =~ /^\+/) { # must change the +
                        $row[1] =~ s/\+/-/;
                        $adjusted_time = "$row[1]";
                        }
                elsif($row[1] =~ /^\-/) { # must change the -
                        $row[1] =~ s/\-/\+/;
                        $adjusted_time = "$row[1]";
                        }
                }

        if($adjusted_time != 0) {
                $org_time1 = "$adjusted_time" * 3600;
                }
        else {
                $org_time1 = 0; 
                }
                
        #time with time zone included
        my $time1 = time + "$org_time1";

        my %TIME = &get_time_to_display("time","$time1");
        return(%TIME);
        }
        
        
######################
#
# WRITE QUEST     questions for quizzes/tests
#
######################
sub write_quest {
	my %WQ = @_;

	print"<style>
	textarea\{ border-radius:.5em\; outline: none\; font-size:11pt\; font-family:Arial\;\}
	</style>\n";

	&print_javascript_begin();
	print"var file_windo\n";
	print"var view_files_left\n";
	print"var view_files_right\n";

	print"function Collapse_The_Display(i_n) \{
	\}\n";
	
	print"function ClearAType(i_n) \{
         for (i = 1\; i <= 8\; i++) \{
                if(i != i_n) \{
                        var sel = 'anstype'+i;
                        var sela = 'anstype'+i+'a';
                        var y = document.getElementById(sel)\;
                        y.style.display = \"block\"\;
                        var x = document.getElementById(sela)\;
                        x.style.display = \"none\"\;
                        \}
                \}
        \}\n";
        
	print"function close_open_windows\(\) \{\n";
	print"if(!newwindo) \{\n";
	print"\}else \{\n";
	print"newwindo.close()\n";
	print"\}\n";
	print"\}\n";
        
	&print_function_question_image_handler();
	&print_function_question_image_delete_handler();

	print"function Show_Image\(i_nn\) \{
        var x = document.getElementById(\"display1\")\;
        if (x.style.display === \"none\") {
                x.style.display = \"block\"\;
        } else {
                x.style.display = \"none\"\;
                }
        } \n";

	print"function Show_File\(i_nn\) \{
        var x = document.getElementById(\"disp1\")\;
        if (x.style.display === \"none\") {
                x.style.display = \"block\"\;
        } else {
                x.style.display = \"none\"\;
                }
        } \n";
	
	&print_function_question_pptx_delete_handler();
	
	print"function Show_PPTX_File\(i_nn\) \{
	        var x = document.getElementById(\"ppt1\")\;
	        if (x.style.display === \"none\") {
	                x.style.display = \"block\"\;
	        } else {
	                x.style.display = \"none\"\;
	                }
        } \n";
        
        print"function Show_PPTX_Image\(i_nn\) \{
	        var x = document.getElementById(\"ppt\")\;
	        if (x.style.display === \"none\") {
	                x.style.display = \"block\"\;
	        } else {
	                x.style.display = \"none\"\;
	                }
	        } \n";

	print"function click_handler\(i_n\) \{\n";
	&print_function_click_handler_variables();
	&print_rest_of_function_click_handler("sub_type","$WQ{sub_type}");


	print"if\(not_there === 1\) \{\n";
	if ($WQ{from} == 6) { #from changing question form
		print"if\(i_n == 2\) \{\n";
		print"document.question_form.from.value=\"6\"\n";
		print"document.question_form.input.value=\"insert_quest\"\n";
		print"\}\n";
		print"else \{\n";
		print"document.question_form.input.value=\"change_quest1\"\n";
		print"\}\n";
		print"document.question_form.submit\(\)\n";
		print"self.parent.close\(\)\n";
		}
	else {  # from making question screen
		print"document.question_form.input.value=\"insert_quest\"\n";
		print"document.question_form.target=\"quest1\"\n";
		print"document.question_form.from.value=\"2\"\n"; 
		
		print"if\(i_n == 4\) \{\n";
                print"document.question_form.again.value=\"1\"\n"; 
                print"\}\n";
                print"else \{\n";
                print"document.question_form.again.value=\"0\"\n"; 
                print"\}\n";
		print"document.question_form.submit\(\)\n";
		}
	print"\}\n";
	print"\}\n";
	print"\n";
	print"\}\n";
	&print_javascript_end();
	}

######################
#
# WRITE_BANK_QUEST     Question Bank questions for quizzes/tests 
#
######################
sub write_bank_quest {
	my %WQ = @_;

	print"<style>
	textarea\{ border-radius:.5em\; outline: none\; font-size:11pt\; font-family:Arial\;\}
	</style>\n";

	&print_javascript_begin();
	print"var file_windo\n";
	print"var view_files_left\n";
	print"var view_files_right\n";

	print"function ClearAType(i_n) \{
        for (i = 1\; i <= 8\; i++) \{
                if(i != i_n) \{
                        var sel = 'anstype'+i;
                        var sela = 'anstype'+i+'a';
                        var y = document.getElementById(sel)\;
                        y.style.display = \"block\"\;
                        var x = document.getElementById(sela)\;
                        x.style.display = \"none\"\;
                        \}
                \}
        \}\n";
        
	print"function close_open_windows\(\) \{\n";
	print"if(!newwindo) \{\n";
	print"\}else \{\n";
	print"newwindo.close()\n";
	print"\}\n";
	print"\}\n";

	print"function question_image_handler\(inn\) \{\n";
	print"file_windo = window.open\(\"\",\"file_windo\",\"top=40,left=50,height=500,width=700\"\)\n";
	print"file_windo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewSelectFile}<\/title><\/head>\'\)\n";
	print"file_windo.document.writeln\(\'<frameset cols=\\\"50\%,50\%\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_left\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_right\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<\/frameset>\'\)\n";
	print"file_windo.document.writeln\(\'<\/html>\'\)\n";
	print"file_windo.document.close()\n";
	print"file_windo.focus\(\)\n";
	print"mode = document.question_form.mode.value
	document.view_files.mode.value=mode
	document.view_files.targit.value=inn
	document.view_files.submit\(\)
	\}\n";
	
	&print_function_question_image_delete_handler();

	print"function Show_Image\(i_nn\) \{
        var x = document.getElementById(\"display1\")\;
        if (x.style.display === \"none\") {
                x.style.display = \"block\"\;
        } else {
                x.style.display = \"none\"\;
                }
        } \n";

	print"function Show_File\(i_nn\) \{
        var x = document.getElementById(\"disp1\")\;
        if (x.style.display === \"none\") {
                x.style.display = \"block\"\;
        } else {
                x.style.display = \"none\"\;
                }
        } \n";

	print"function click_handler\(i_n\) \{\n";
	&print_function_click_handler_variables();
	&print_rest_of_function_click_handler("sub_type","$WQ{sub_type}");


	print"if\(not_there == 1\) \{\n";
	if ($WQ{from} == 6) { #from changing question form
		print"if\(i_n == 2\) \{\n";
		print"document.question_form.from.value=\"6\"\n";
		print"document.question_form.input.value=\"insert_bank_quest\"\n";
		print"\}\n";
		print"else \{\n";
		print"document.question_form.input.value=\"change_bank_quest1\"\n";
		print"\}\n";
		print"document.question_form.submit\(\)\n";
		print"self.parent.close\(\)\n";
		}
	else {
		print"document.question_form.input.value=\"insert_bank_quest\"\n";
		print"document.question_form.target=\"quest1\"\n";
		print"document.question_form.from.value=\"2\"\n"; 
		print"if\(i_n == 4\) \{\n";
                print"document.question_form.again.value=\"1\"\n"; 
                print"\}\n";
                print"else \{\n";
                print"document.question_form.again.value=\"0\"\n"; 
                print"\}\n";
		print"document.question_form.submit\(\)\n";
		}
	print"\}\n";
	print"\}\n";
	print"\}\n";
	&print_javascript_end();
	}

######################
#
# WRITE SURVEY QUEST     questions for surveys
#
######################
sub write_survey_quest {
	my %WQ = @_;

	&print_javascript_begin();
	print"var file_windo\n";
	print"var view_files_left\n";
	print"var view_files_right\n";

	print"function ClearAType(i_n) \{
        for (i = 1\; i <= 7\; i++) \{
                if(i != i_n) \{
                        var sel = 'anstype'+i;
                        var sela = 'anstype'+i+'a';
                        var y = document.getElementById(sel)\;
                        y.style.display = \"block\"\;
                        var x = document.getElementById(sela)\;
                        x.style.display = \"none\"\;
                        \}
                \}
        \}\n";
        
	print"function close_open_windows\(\) {\n";
	print"if(!newwindo) {\n";
	print"}else {\n";
	print"newwindo.close()\n";
	print"}\n";
	print"\}\n";

	&print_function_question_image_handler();
	&print_function_question_image_delete_handler();

	
	&javascript_show_stuff();

	print"function click_handler\(i_n\) \{\n";
	&print_function_click_handler_variables();
	&print_rest_of_function_click_handler_surveys("sub_type","$WQ{sub_type}");


	print"if\(not_there == 1\) \{\n";
	if ($WQ{from} == 6) { #from changing question form
		print"if\(i_n == 2\) \{\n";
		print"document.question_form.from.value=\"6\"\n";
		print"document.question_form.input.value=\"insert_quest\"\n";
		print"\}\n";
		print"else \{\n";
		print"document.question_form.input.value=\"change_quest1\"\n";
		print"\}\n";
		print"document.question_form.submit\(\)\n";
		print"self.parent.close\(\)\n";
		}
	else {
		print"document.question_form.input.value=\"insert_quest\"\n";
		print"document.question_form.target=\"quest1\"\n";
		print"document.question_form.from.value=\"2\"\n"; 
		print"document.question_form.submit\(\)\n";
		}
	print"\}\n";
	print"\}\n";
	print"\n";
	print"\}\n";
	&print_javascript_end();
	}

######################
#
# PRINT FUNCTION_CLICK HANDLER VARIABLES
#
######################
sub print_function_click_handler_variables {
	print" var mc_ans
	var ma_ans
	var not_there = 1
	var n_select
	var select
	var quest 
	var image_id
	var descrip\n";
	}

######################
#
# print_rest_of_function_click_handler
#
######################
sub print_rest_of_function_click_handler {
	my %PROFCH = @_;
	
	# Preview Question
        print" if \(i_n == \"1\" && not_there == \"1\"\) \{\n";
	print"new_window = window.open\(\"about\:blank\",\"pre_view\",\"top=0,left=0,height=450,width=677,scrollbars\"\)\n";
	print"new_window.focus\(\)\n";
	print"select = document.question_form.select.value\n";
        
	print"if\(select == \"MC\"\) \{\n";
            print"kolum_no = self.parent.quest2.document.form1.kolum.value
            document.question_form.kolum.value=kolum_no
            answer_mode = self.parent.quest2.document.form1.ans_mode.value
            document.question_form.ans_mode.value=answer_mode\n";
 
            print"if\(answer_mode == 0\) \{\n";
                my $a =1;
                for ($a = 1; $a <= $mc_num; ++$a) {
                print"select$a = self.parent.quest2.document.form1.select$a.value
                document.question_form.select$a.value=select$a\n";
                }
                print"\}\n";
                
            print"if\(answer_mode == 1\) \{\n";
                my $b =1;
                for ($b = 1; $b <= $mc_num; ++$b) {
                print"select$b = self.parent.quest2.document.form1.mselect$b.value\n";
                print"document.question_form.select$b.value=select$b\n";
                }
                print"\}\n";
                
            print"if\(answer_mode == 2\) \{\n";
                my $c =1;
                for ($c = 1; $c <= $mc_num; ++$c) {
                print"select$c = self.parent.quest2.document.form1.inputeq$c.value\n";
                print"document.question_form.select$c.value=select$c\n";
                }
                print"\}\n";
	print"\}\n";

        print"if\(select == \"MA\"\) \{\n";
            print"kolum_no = self.parent.quest2.document.form1.kolum.value
            document.question_form.kolum.value=kolum_no
            answer_mode = self.parent.quest2.document.form1.ans_mode.value
            document.question_form.ans_mode.value=answer_mode\n";

            print"if\(answer_mode == 0\) \{\n";
                my $g =1;
                for ($g = 1; $g <= $ma_num; ++$g) {
                    print"select$g = self.parent.quest2.document.form1.select$g.value
                    document.question_form.select$g.value=select$g
                    image$g = document.question_form.image$g.value\n";
                    print"image$g";print"name = document.question_form.image$g";print"name.value\n";
                    }
                print"\}\n";
                
            print"if\(answer_mode == 1\) \{\n";
                my $h =1;
                for ($h = 1; $h <= $mc_num; ++$h) {
                    print"select$h = self.parent.quest2.document.form1.mselect$h.value
                    document.question_form.select$h.value=select$h
                    \n";
                    }
                    print"\}\n";
            
            print"if\(answer_mode == 2\) \{\n";
                my $cc =1;
                for ($cc = 1; $cc <= $mc_num; ++$cc) {
                print"select$cc = self.parent.quest2.document.form1.mainputeq$cc.value\n";
                print"document.question_form.select$cc.value=select$cc\n";
                }
                print"\}\n";
	print"\}\n";

	print"if\(select == \"MX\"\) \{\n";
	my $c =1;
        for ($c = 1; $c <= $mx_num; ++$c) {
                print"select$c = self.parent.quest2.document.form1.select$c.value
                document.question_form.select$c.value=select$c\n";
                print"select$c";print"mx = self.parent.quest2.document.form1.select$c";print"mx.value\n";
                print"document.question_form.select$c";print"mx.value=select$c";print"mx\n";
                }
	print"\}\n";
	
	print"if\(select == \"SA\"\) \{
	sa_ans = self.parent.quest2.document.form1.SAans.value
	document.question_form.SAans.value=sa_ans
	\}\n";

	print"if\(select == \"P\"\) \{
	self.parent.quest2.get_pans()
	\}\n";

	print"mode = document.question_form.mode.value
	document.question_form.target=\"pre_view\"\n";
	#quest = nicEditors.findEditor('area4').getContent()\;
	#document.question_form.question.value = quest

	print"if(mode == 1) \{
                quest = \$('#summernote').summernote('code')\;
                document.question_form.question.value=quest
            \}
            else if(mode == 0)\{
                quest = document.question_form.question0.value
                document.question_form.question.value=quest
            \}
            else if(mode == 2)\{
                quest = document.question_form.inputeq.value
                document.question_form.question.value=quest
            \}\n";

	print"document.question_form.input.value=\"preview_quest\"
	document.question_form.submit\(\)
	\}\n";

	
	
	
    ##### SAVE THE QUESTION
	print"if \(i_n == \"2\" || i_n == \"3\" || i_n == \"4\"\) \{\n";
	print"document.question_form.target=\"theright\"
	select = document.question_form.select.value
	quest = document.question_form.question.value
	mode = document.question_form.mode.value
	descrip = document.question_form.descrip.value\n";
	
	print"if(mode == 1) \{
                if (\$('#summernote').summernote('isEmpty')) \{
                        quest = \"\"
                        \}
                else \{
                        quest = \$('#summernote').summernote('code')\;
                        \}
                document.question_form.question.value=quest
            \}
        else if(mode == 0) \{
                vlink = document.question_form.vlink.value
                alink = document.question_form.alink.value
                image_id = document.question_form.image_number.value
                quest = document.question_form.question0.value
                document.question_form.question.value=quest
            \}
        else if(mode == 2) \{
                quest = document.question_form.inputeq.value
                document.question_form.question.value=quest
            \}\n";
	

        print"if \(descrip == '') \{
                alert\(\"$LANGUAGE{$set_language}{Adescriptionwasnotentered}\"\)
                not_there = 2
                \}

            if \(quest == '' && (mode == 1 || mode == 2)) \{
                    alert\(\"$LANGUAGE{$set_language}{Aquestionwasnotentered}.\"\)
                not_there = 2
                \}\n";
                
        print"if(quest == \"\"\ && image_id ==\"\" && vlink==\"\" && alink ==\"\" && descrip ==\"\" && mode == 0) \{
                alert\(\"$LANGUAGE{$set_language}{Adescriptionquestionimagevideooraudiowasnotentered}\"\)
                not_there = 2
                \}\n";
	
	print" if \(quest.length > $max_question_size\) \{
	 len = quest.length
	 len = len + 50
	alert\(\"Question is too long. Only $max_question_size characters permitted. Submited \" +len\)
	not_there = 2
	\}\n";

	print" if \(select == \"\"\) \{
	alert\(\"$LANGUAGE{$set_language}{Ananswertypewasnotchosen}.\"\)
	not_there = 2
	\}\n";

	
	
	if($PROFCH{sub_type} == 1) { # quiz/test questions
		print"if\(select == \"SA\"\) \{
		sa_ans = self.parent.quest2.document.form1.SAans.value
		document.question_form.SAans.value=sa_ans
		if\(sa_ans ==\"\"\) \{
		alert\(\"A correct answer was not entered.\"\)
		not_there = 2
		\}
		if\(sa_ans.length > 75\) \{
		slen = sa_ans.length
		alert\(\"Answer is to long. Only 75 characters permitted. $LANGUAGE{$set_language}{Submitted} \" +slen\)
		not_there = 2
		\}
		\}\n";
	
		print"if\(select == \"TF\"\) \{
		tf_ans = document.question_form.TFans.value
		if\(tf_ans ==\"\"\) \{
		alert\(\"A correct answer was not seleted.\"\)
		not_there = 2
		\}
		\}\n";
		
		print"if\(select == \"YN\"\) \{
		yn_ans = document.question_form.YNans.value
		if\(yn_ans ==\"\"\) \{
		alert\(\"A correct answer was not seleted.\"\)
		not_there = 2
		\}
		\}\n";
		
		print"if\(select == \"P\"\) \{
		self.parent.quest2.get_pans()
                var p_ans = document.question_form.Pans.value
		
		if\(p_ans ==\"\"\) \{
		alert\(\"A correct answer was not entered.\"\)
		not_there = 2
		\}
		if\(p_ans.length > $p_ans_length\) \{
		plen = p_ans.length
		plen = plen + 50
		alert\(\"Answer is to long. Only $p_ans_length characters permitted. $LANGUAGE{$set_language}{Submitted} \" +plen\)
		not_there = 2
		\}
		\}\n";
		
		
		#Multiple choice
		print"if\(select == \"MC\"\) \{
		mc_ans = document.question_form.MCans.value\n";
        
                print"kolum_no = self.parent.quest2.document.form1.kolum.value
                document.question_form.kolum.value=kolum_no
                answer_mode = self.parent.quest2.document.form1.ans_mode.value
                document.question_form.ans_mode.value=answer_mode\n";
                
		my $d =1 ;
                for ($d = 1; $d <= $mc_num; ++$d) {
                        print"select$d = self.parent.quest2.document.form1.select$d.value
                        document.question_form.select$d.value=select$d
                        image$d = document.question_form.image$d.value\n";
                        print"image$d";print"name = document.question_form.image$d";print"name.value\n";
                        }

                        print"if\(answer_mode == 1\) \{\n";
                        my $f =1;
                        for ($f = 1; $f <= $mc_num; ++$f) {
                            print"select$f = self.parent.quest2.document.form1.mselect$f.value
                            document.question_form.select$f.value=select$f\n";
                            }
                            
                        print"\}\n";
                        
                        print"if\(answer_mode == 2\) \{\n";
                        my $ff =1;
                        for ($ff = 1; $ff <= $mc_num; ++$ff) {
                            print"select$ff = self.parent.quest2.document.form1.inputeq$ff.value
                            document.question_form.select$ff.value=select$ff\n";
                            }
                
                    print"\}\n";
                    
		print"if\(mc_ans === \"\") \{
		alert\(\"$LANGUAGE{$set_language}{Acorrectanswerwasnotchosen}\"\)
		not_there = 2
		\}\n";
		

                print"if\(not_there == 1) \{
                var too_long = 1
                var cor_answer = 1
                var answer_no
		for (i = 1\; i <= $mc_num\; i++) \{
                       var sel = \'select\'+i\;
                       var selmc = document.question_form.elements[sel].value
                       var img = \'image\'+i\;
                       var imgmc = document.question_form.elements[img].value

                       if\((mc_ans == i) ) \{
                                if(selmc ===\"\" && imgmc ===\"\") \{
                                        cor_answer  = 2
                                        break\;
                                        \}
                                \}
                                
                        if\(selmc.length > 75\ && answer_mode == 0) \{
                                answer_no = i
                                too_long = 2
                                break\;
                                \}
                        \}
                \}\n";
		
		print"if\(cor_answer == 2) \{
		alert\(\"The correct answer does not correspond to an answer.\"\)
		not_there = 2
		\}\n";
		
		print"if\(too_long == 2) \{
		alert\(\"Answer \" +answer_no+ \" is to long. Only 75 characters permitted.\"\)
		not_there = 2
		\}\n";
		
                print"if\((select2 ==\"\" && (image2 ==\"\" || image2 ==\"0\")) || (select1 ==\"\" && (image1 ==\"\" || image1 ==\"0\"))) \{
		alert\(\"An answer or file was not entered in each of the first 2 rows.\"\)
		not_there = 2
		\}
		\}\n";
		
		
		# Multiple Answers
		print"if\(select == \"MA\"\) \{\n";

		print"kolum_no = self.parent.quest2.document.form1.kolum.value
                document.question_form.kolum.value=kolum_no
                answer_ma_mode = self.parent.quest2.document.form1.ans_mode.value
                document.question_form.ans_mode.value=answer_ma_mode
                var answer_there = 0\;\n";
                        
		print"if\(answer_ma_mode == 1\) \{\n";

		my $j=1;
		for ($j = 1; $j <= $ma_num; ++$j) {
                        print"select$j = self.parent.quest2.document.form1.mselect$j.value
                        document.question_form.select$j.value=select$j\n";
                        }
                        
		# Answer selected ?
		print"var j\;\n";
                print"for (j = 1\; j <= $ma_num\; j++) \{
                       var sel = \'select\'+j+\'mam\'\;
                       var ans_select = document.question_form.elements[sel].value
 
                       if(ans_select > 0) \{
                                answer_there=1
                                break\;
                                \}
                       \}\n";

		print"\}\n";
		
		print"else if\(answer_ma_mode == 2\) \{\n";
                    my $ccc =1;
                    for ($ccc = 1; $ccc <= $ma_num; ++$ccc) {
                    print"select$ccc = self.parent.quest2.document.form1.mainputeq$ccc.value\n";
                    print"document.question_form.select$ccc.value=select$ccc\n";
                    
                    # Answer selected ?
                    print"var n\;\n";
                    print"for (n = 1\; n <= $ma_num\; n++) \{
                       var sel = \'select\'+n+\'maeq\'\;
                       var ans_select = document.question_form.elements[sel].value
 
                       if(ans_select > 0) \{
                                answer_there=1
                                break\;
                                \}
                       \}\n";
                    }
                    print"\}\n";
                
		print"else \{\n";
		
                    my $e =1;
                    for ($e = 1; $e <= $ma_num; ++$e) {
                        print"select$e = self.parent.quest2.document.form1.select$e.value
                        document.question_form.select$e.value=select$e
                        image$e = document.question_form.image$e.value\n";
                        print"image$e";print"name = document.question_form.image$e";print"name.value\n";
                        }
                
                    print"var i\;\n";
                    print"for (i = 1\; i <= $ma_num\; i++) \{
                       var sel = \'select\'+i+\'ma\'\;
                       var ans_select = document.question_form.elements[sel].value
                       
                       if(ans_select == i) \{
                                answer_there=1
                                break\;
                                \}
                       \}\n";
		
		print"\}\n";

		print"if\(answer_there == 0) \{
		alert\(\"$LANGUAGE{$set_language}{Acorrectanswerwasnotchosen}\"\)
		not_there = 2
		\}\n";

		print"if\(answer_there == 1) \{\n";
                    print"if\(answer_ma_mode == 1\) \{\n";
                        print" for (k = 1\; k <= $ma_num\; k++) \{
                            var sel = \'select\'+k+\'mam\'\;
                            var selma = document.question_form.elements[sel].value
                            var sell = \'select\'+k\;
                            var sema = document.question_form.elements[sell].value

                            if\(sema ==\"\"\ && selma == k) \{
                                alert\(\"The correct answer does not correspond to an answer.\"\)
                                not_there = 2
                                break\;
                                \}
                            \}\n";
                    print"\}\n";
                    
                    print"else \{\n";
                        print" for (i = 1\; i <= $ma_num\; i++) \{
                       var sel = \'select\'+i+\'ma\'\;
                       var selma = document.question_form.elements[sel].value
                       var img = \'image\'+i\;
                       var imgma = document.question_form.elements[img].value
                       var sell = \'select\'+i\;
                       var sema = document.question_form.elements[sell].value

                       if\(sema ==\"\"\ && selma == 1 && imgma ==\"\") \{
                                alert\(\"The correct answer does not correspond to an answer.\"\)
                                not_there = 2
                                break\;
                                \}
                        if\(sell.length > 75\) \{
                                alert\(\"Answer a is to long. Only 75 characters permitted.\")
                                not_there = 2
                                break\;
                                \}
                        \}
                        \}
                       \}\n";

                print"if\(answer_ma_mode == 1\) \{\n";
                    print"if\(select3 ==\"\"\ &&  select2 ==\"\"\ && select1 ==\"\"\) \{alert\(\"An answer was not entered in each of the first 3 rows.\"\)
		not_there = 2
                        \}
                    \}
                    
                    else if\(answer_ma_mode == 2\) \{\n";
                
                    print"if\(select3 ==\"\"\ &&  select2 ==\"\"\ && select1 ==\"\"\) \{alert\(\"An answer was not entered in each of the first 3 rows.\"\)
		not_there = 2
                        \}
                    \}
                else \{\n";
                        
		print"if\((select3 ==\"\"\ && (image3 ==\"\" || image3 ==\"0\"))|| (select2 ==\"\"\ && (image2 ==\"\" || image2 ==\"0\"))|| (select1 ==\"\"\ && (image1 ==\"\" || image1 ==\"0\"))) \{
		alert\(\"An answer or file was not entered in each of the first 3 rows.\"\)
		not_there = 2
                    \}
		\}
		\}\n";

		
		# Matching
		print"if\(select == \"MX\"\) \{\n";
		my $f =1;
                for ($f = 1; $f <= $mx_num; ++$f) {
                        print"select$f = self.parent.quest2.document.form1.select$f.value
                        document.question_form.select$f.value=select$f\n";
                        print"select$f";print"mx = self.parent.quest2.document.form1.select$f";print"mx.value\n";
                        print"document.question_form.select$f";print"mx.value=select$f";print"mx\n";
                        }
                
                print"var i\;
		var matching_answer = 1\;\n";
                print"for (i = 1\; i <= $mx_num\; i++) \{
                        var sel = \'select\'+i\;
                       var selm = \'select\'+i+\'mx\'\;
                       var match_select = document.question_form.elements[selm].value
                       var select = document.question_form.elements[sel].value
                       if(select !== null && select !== '') \{
                                if(match_select == null || match_select == '') \{
                                        matching_answer = 0;
                                        \}
                                \}
                       
                       \}\n";
		
		print"if\(matching_answer == 0) \{
		alert\(\"A matching answer was not chosen.\"\)
		not_there = 2
		\}\n";
		print"if(select3 ==\"\"\ || select2 ==\"\"\ || select1 ==\"\") \{
		alert(\"Text was not entered in each of the first 3 rows.\")
		not_there = 2
		\}
		\}\n";
		}
	}

######################
#
# print_rest_of_function_click_handler_surveys
#
######################
sub print_rest_of_function_click_handler_surveys {
	my %PROFCH = @_;

	print" if \(i_n == \"1\" && not_there == \"1\"\) \{\n";
	print"new_window = window.open\(\"about\:blank\",\"pre_view\",\"top=0,left=0,height=450,width=720,scrollbars\"\)\n";
	print"new_window.focus\(\)\n";
	print"select = document.question_form.select.value\n";

	print"if\(select == \"MC\"\) \{\n";
	print"kolum_no = self.parent.quest2.document.form1.kolum.value
        document.question_form.kolum.value=kolum_no
        answer_mode = self.parent.quest2.document.form1.ans_mode.value
        document.question_form.ans_mode.value=answer_mode\n";
        
	my $a =1 ;
        for ($a = 1; $a <= $mc_num; ++$a) {
                print"select$a = self.parent.quest2.document.form1.select$a.value
                document.question_form.select$a.value=select$a\n";
                }
	print"\}\n";

	print"if\(select == \"SA\"\) \{
	sa_ans = self.parent.quest2.document.form1.SAans.value
	document.question_form.SAans.value=sa_ans
	\}\n";

	print"if\(select == \"P\"\) \{
	var p_ans
        p_ans = self.parent.quest2.document.form1.Pans.value
	document.question_form.Pans.value=p_ans
	\}\n";

	print"document.question_form.target=\"pre_view\"
	document.question_form.input.value=\"preview_quest\"
	document.question_form.submit\(\)
	\}\n";

	print" if \(i_n == \"2\" || i_n == \"3\"\) \{
	document.question_form.target=\"theright\"
	select = document.question_form.select.value
	quest = document.question_form.question.value
	image_id = document.question_form.image_number.value
        vlink = document.question_form.vlink.value
        mode = document.question_form.mode.value
        alink = document.question_form.alink.value\n";
        
        print"if(mode == 1) \{
                if (\$('#summernote').summernote('isEmpty')) \{
                        quest = \"\"
                        \}
                else \{
                        quest = \$('#summernote').summernote('code')\;
                        \}
                document.question_form.question.value=quest
                descrip = document.question_form.descrip.value
            \}
        else \{
                vlink = document.question_form.vlink.value
                alink = document.question_form.alink.value
                image_id = document.question_form.image_number.value
                quest = document.question_form.question0.value
                document.question_form.question.value=quest
                descrip = document.question_form.descrip0.value
                document.question_form.descrip.value=descrip
            \}\n";
            
        print"if \(quest == \"\"\ && image_id ==\"\" && vlink==\"\" && alink ==\"\" && descrip ==\"\") \{
                    alert\(\"$LANGUAGE{$set_language}{Adescriptionquestionimagevideooraudiowasnotentered}\"\)
                    not_there = 2
	\}\n";
	
	
	print" if \(quest.length > $max_question_size\) \{
	 len = quest.length
	 len = len + 50
	alert\(\"Question is to long. Only $max_question_size characters permitted. Submited \" +len\)
	not_there = 2
	\}\n";

	print" if \(select == \"\"\) \{
	alert\(\"$LANGUAGE{$set_language}{Ananswertypewasnotchosen}.\"\)
	not_there = 2
	\}\n";

		print"if\(select == \"SA\"\) \{\n";
		print"sa_ans = self.parent.quest2.document.form1.SAans.value\n";
		print"document.question_form.SAans.value=sa_ans\n";
		print"if\(sa_ans ==\"\"\) \{\n";
		print"alert\(\"A correct answer was not entered.\"\)\n";
		print"not_there = 2\n";
		print"\}\n";
		print"if\(sa_ans.length > 75\) \{\n";
		print"slen = sa_ans.length\n";
		print"alert\(\"Answer is to long. Only 75 characters permitted. $LANGUAGE{$set_language}{Submitted} \" +slen\)\n";
		print"not_there = 2\n";
		print"\}\n";
		print"\}\n";
	
		print"if\(select == \"TF\"\) \{\n";
		print"tf_ans = document.question_form.TFans.value\n";
		print"if\(tf_ans ==\"\"\) \{\n";
		print"alert\(\"A correct answer was not seleted.\"\)\n";
		print"not_there = 2\n";
		print"\}\n";
		print"\}\n";
		
		print"if\(select == \"YN\"\) \{\n";
		print"yn_ans = document.question_form.YNans.value\n";
		print"if\(yn_ans ==\"\"\) \{\n";
		print"alert\(\"A correct answer was not seleted.\"\)\n";
		print"not_there = 2\n";
		print"\}\n";
		print"\}\n";
		
		print"if\(select == \"P\"\) \{
		var p_ans
                p_ans = self.parent.quest2.document.form1.Pans.value
                document.question_form.Pans.value=p_ans\n";
		print"if\(p_ans ==\"\"\) \{\n";
		print"alert\(\"A correct answer was not entered.\"\)\n";
		print"not_there = 2\n";
		print"\}\n";
		print"if\(p_ans.length > $p_ans_length\) \{\n";
		print"plen = p_ans.length\n";
		print"plen = plen + 50\n";
		print"alert\(\"Answer is to long. Only $p_ans_length characters permitted. $LANGUAGE{$set_language}{Submitted} \" +plen\)\n";
		print"not_there = 2\n";
		print"\}\}\n";

		print"document.question_form.Pans.value=p_ans\n";
		print"\}\n";
		print"if\(select == \"MC\"\) \{\n";
		print"kolum_no = self.parent.quest2.document.form1.kolum.value
                document.question_form.kolum.value=kolum_no\n";
                
		my $b =1 ;
                for ($b = 1; $b <= $mc_num; ++$b) {
                        print"select$b = self.parent.quest2.document.form1.select$b.value
                        document.question_form.select$b.value=select$b
                        image$b = document.question_form.image$b.value\n";
                        print"image$b";print"name = document.question_form.image$b";print"name.value\n";
                        }
		
		print"var too_long = 1
		var answer_no = 0
		for (i = 1\; i <= $mc_num\; i++) \{
                       var sel = \'select\'+i\;
                       var selmc = document.question_form.elements[sel].value
                       var img = \'image\'+i\;
                       var imgmc = document.question_form.elements[img].value
                        if\(selmc.length > 75\) \{
                                answer_no = i
                                too_long = 2
                                break\;
                                \}
                        \}\n";
                        
		print"if\(too_long > 75\) \{
		alert\(\"Answer \"+answer_no +\" is to long. Only 75 characters permitted.\"\)
		not_there = 2
		\}\n";

                print"if\((select2 ==\"\" && (image2 ==\"\" || image2 ==\"0\")) || (select1 ==\"\" && (image1 ==\"\" || image1 ==\"0\"))) \{
		alert\(\"An answer or file was not entered in each of the first 2 rows.\"\)
		not_there = 2
		\}
		\}\n";
	}


######################
#
# WRITE QUEST2        Writes it's own click_handler function also
#
######################
sub write_quest2 {
	my %WSQ = @_;

	print"<style>
	textarea\{ border-radius:.5em\; outline: none\; font-size:11pt\; font-family:Arial\;\}
	</style>\n";
	
	&print_javascript_begin();
	print"var file_windo
	var view_files_left
	var view_files_right\n";

	print"function ClearAType(i_n) \{
         for (i = 1\; i <= 8\; i++) \{
                if(i != i_n) \{
                        var sel = 'anstype'+i;
                        var sela = 'anstype'+i+'a';
                        var y = document.getElementById(sel)\;
                        y.style.display = \"block\"\;
                        var x = document.getElementById(sela)\;
                        x.style.display = \"none\"\;
                        \}
                \}
        \}\n";
        
	&print_function_question_image_handler();
	&print_function_question_image_delete_handler();
	
	print"function Show_Image\(i_nn\) \{
        var x = document.getElementById(\"disp1\")\;
        if (x.style.display === \"none\") {
                x.style.display = \"block\"\;
        } else {
                x.style.display = \"none\"\;
                }
        } \n";
	
	print"function Show_File\(i_nn\) \{
                var x = document.getElementById(\"display1\")\;
                if (x.style.display === \"none\") {
                        x.style.display = \"block\"\;
                } else {
                        x.style.display = \"none\"\;
                }
                } \n";
                        
	print"function click_handler\(i_n\) \{\n";
	&print_function_click_handler_variables();

	#rest_of_function_click_handler_
	print" if \(i_n == \"1\" && not_there == \"1\"\) \{\n";
		print"new_window = window.open\(\"about\:blank\",\"pre_view\",\"top=0,left=0,height=450,width=720,scrollbars\"\)\n";
		print"new_window.focus\(\)\n";
		print"select = document.question_form.select.value\n";

		
		print"if\(select == \"MC\"\) \{\n";
                print"kolum_no = self.parent.quest2.document.form1.kolum.value
                document.question_form.kolum.value=kolum_no
                answer_mode = self.parent.quest2.document.form1.ans_mode.value
                document.question_form.ans_mode.value=answer_mode\n";
 
                print"if\(answer_mode != 1\) \{\n";
                my $a =1;
                for ($a = 1; $a <= $mc_num; ++$a) {
                    print"select$a = self.parent.quest2.document.form1.select$a.value
                    document.question_form.select$a.value=select$a\n";
                    }
                print"\}\n";
                
                print"if\(answer_mode == 1\) \{\n";
                    my $b =1;
                    for ($b = 1; $b <= $mc_num; ++$b) {
                        print"select$b = self.parent.quest2.document.form1.mselect$b.value
                        document.question_form.select$b.value=select$b\n";
                        }
                print"\}\n";
                print"\}\n";
			
                print"if\(select == \"MA\"\) \{\n";
                    print"kolum_no = self.parent.quest2.document.form1.kolum.value
                    document.question_form.kolum.value=kolum_no
                    answer_mode = self.parent.quest2.document.form1.ans_mode.value
                    document.question_form.ans_mode.value=answer_mode\n";
        
                    print"if\(answer_mode != 1\) \{\n";
                    my $g =1;
                    for ($g = 1; $g <= $ma_num; ++$g) {
                        print"select$g = self.parent.quest2.document.form1.select$g.value
                        document.question_form.select$g.value=select$g
                        image$g = document.question_form.image$g.value\n";
                        print"image$g";print"name = document.question_form.image$g";print"name.value\n";
                        }
                    print"\}\n";
                
                    print"if\(answer_mode == 1\) \{\n";
                    my $h =1;
                    for ($h = 1; $h <= $mc_num; ++$h) {
                        print"select$h = self.parent.quest2.document.form1.mselect$h.value
                        document.question_form.select$h.value=select$h
                        \n";
                        }
                    print"\}\n";
                
                print"\}\n";
			
                print"if\(select == \"MX\"\) \{\n";
                        my $b =1;
                        for ($b = 1; $b <= $mx_num; ++$b) {
                                print"select$b = self.parent.quest2.document.form1.select$b.value
                                document.question_form.select$b.value=select$b
                                select$b\mx = self.parent.quest2.document.form1.select$b\mx.value
                                document.question_form.select$b\mx.value=select$b\mx\n";
                                }
			print"\}\n";
			
                print"if\(select == \"SA\"\) \{
                        sa_ans = self.parent.quest2.document.form1.SAans.value
                        document.question_form.SAans.value=sa_ans
                        
                        \}\n";

                print"if\(select == \"P\"\) \{
                        var p_ans
                        var pans_mode = document.question_form.ans_mode.value
                        if(pans_mode ===1) {
                                p_ans = self.parent.quest2.document.form1.Pans1.value
                                }
                        else {
                                p_ans = self.parent.quest2.document.form1.Pans0.value
                                }
                        document.question_form.Pans.value=p_ans
                        \}\n";
                        
                print"mode = document.question_form.mode.value
                document.question_form.target=\"pre_view\"\n";
                #quest = nicEditors.findEditor('area4').getContent()\;
                #document.question_form.question.value = quest
	
                print"if(mode == 1) \{
                        quest = \$('#summernote').summernote('code')\;
                        document.question_form.question.value=quest
                        \}
                    else \{
                        quest = document.question_form.question0.value
                        document.question_form.question.value=quest
                        \}\n";
                        
		print"document.question_form.input.value=\"preview_quest\"\n";
		print"document.question_form.submit\(\)\n";
		print"\}\n";
		
		
		
            # Save the question
            print" if \(i_n == \"2\" || i_n == \"3\" || i_n == \"4\"\) \{\n";       
                        print"document.question_form.target=\"theright\"
				select = document.question_form.select.value
				quest = document.question_form.question.value
				mode = document.question_form.mode.value
				descrip = document.question_form.descrip.value\n";
				
				print"if(mode == 1) \{
			                if (\$('#summernote').summernote('isEmpty')) \{
			                        quest = \"\"
			                        \}
			                else \{
			                        quest = \$('#summernote').summernote('code')\;
			                        \}
			                document.question_form.question.value=quest
			            \}
			        else if(mode == 0) \{
			                vlink = document.question_form.vlink.value
			                alink = document.question_form.alink.value
			                image_id = document.question_form.image_number.value
			                quest = document.question_form.question0.value
			                document.question_form.question.value=quest
			            \}
			        else if(mode == 2) \{
			                quest = document.question_form.inputeq.value
			                document.question_form.question.value=quest
            			    \}\n";
                        
	
                        print"if \(descrip == '') \{
                                alert\(\"$LANGUAGE{$set_language}{Adescriptionwasnotentered}\"\)
                                not_there = 2
                                \}
                                
                                if \(quest == '' && (mode == 1 || mode == 2)) \{
				alert\(\"$LANGUAGE{$set_language}{Aquestionwasnotentered}.\"\)
				not_there = 2
                		\}
                		
                                if \(quest == \"\"\ && image_id ==\"\" && vlink==\"\" && alink ==\"\") \{
                                alert\(\"A question, image, video or audio was not entered.\"\)
                                not_there = 2
                            \}\n";
                        
		
			print" if \(quest.length > $max_question_size\) \{\n";
			print" len = quest.length\n";
			print" len = len + 50\n";
			print"alert\(\"Question is to long. Only $max_question_size characters permitted. Submited \" +len\)\n";
			print"not_there = 2\n";
			print"\}\n";
			
			print"if\(select ==\"\"\) \{\n";
			print"alert\(\"$LANGUAGE{$set_language}{Ananswertypewasnotselected}\"\)\n";
			print"not_there = 2\n";
			print"\}\n";


	if ($WSQ{sub_type} == 1) { # quizzes/test question
			print"if\(select == \"SA\"\) \{\n";
			print"sa_ans = self.parent.quest2.document.form1.SAans.value\n";
			print"if\(sa_ans ==\"\"\) \{\n";
	 			print"alert\(\"A correct answer was not entered.\"\)\n";
				print"not_there = 2\n";
				print"\}\n";
				print"document.question_form.SAans.value=sa_ans\n";
				print"\}\n";
				
			print"if\(select == \"TF\"\) \{\n";
				print"tf_ans = document.question_form.TFans.value\n";
				print"if\(tf_ans ==\"\"\) \{\n";
	 				print"alert\(\"A correct answer was not seleted.\"\)\n";
					print"not_there = 2\n";
					print"\}\n";
				print"document.question_form.TFans.value=tf_ans\n";
				print"\}\n";
				
                        print"if\(select == \"YN\"\) \{\n";
				print"yn_ans = document.question_form.YNans.value\n";
				print"if\(yn_ans ==\"\"\) \{\n";
	 				print"alert\(\"A correct answer was not seleted.\"\)\n";
					print"not_there = 2\n";
					print"\}\n";
				print"document.question_form.YNans.value=yn_ans\n";
				print"\}\n";
								
			print"if\(select == \"P\"\) \{
					self.parent.quest2.get_pans()
			                var p_ans = document.question_form.Pans.value
					
					if\(p_ans ==\"\"\) \{
					alert\(\"A correct answer was not entered.\"\)
					not_there = 2
					\}
					if\(p_ans.length > $p_ans_length\) \{
					plen = p_ans.length
					plen = plen + 50
					alert\(\"Answer is to long. Only $p_ans_length characters permitted. $LANGUAGE{$set_language}{Submitted} \" +plen\)
					not_there = 2
					\}
				\}\n";
		
			print"if\(select == \"MC\"\) \{
					mc_ans = document.question_form.MCans.value\n";
			        
			                print"kolum_no = self.parent.quest2.document.form1.kolum.value
			                document.question_form.kolum.value=kolum_no
			                answer_mode = self.parent.quest2.document.form1.ans_mode.value
			                document.question_form.ans_mode.value=answer_mode\n";
			                
					my $d =1 ;
			                for ($d = 1; $d <= $mc_num; ++$d) {
			                        print"select$d = self.parent.quest2.document.form1.select$d.value
			                        document.question_form.select$d.value=select$d
			                        image$d = document.question_form.image$d.value\n";
			                        print"image$d";print"name = document.question_form.image$d";print"name.value\n";
			                        }
			
			                        print"if\(answer_mode == 1\) \{\n";
			                        my $f =1;
			                        for ($f = 1; $f <= $mc_num; ++$f) {
			                            print"select$f = self.parent.quest2.document.form1.mselect$f.value
			                            document.question_form.select$f.value=select$f\n";
			                            }
			                            
			                        print"\}\n";
			                        
			                        print"if\(answer_mode == 2\) \{\n";
			                        my $ff =1;
			                        for ($ff = 1; $ff <= $mc_num; ++$ff) {
			                            print"select$ff = self.parent.quest2.document.form1.inputeq$ff.value
			                            document.question_form.select$ff.value=select$ff\n";
			                            }
			                
			                    print"\}\n";
			                    
					print"if\(mc_ans === \"\") \{
					alert\(\"$LANGUAGE{$set_language}{Acorrectanswerwasnotchosen}\"\)
					not_there = 2
					\}\n";
					
			
			                print"if\(not_there == 1) \{
			                var too_long = 1
			                var cor_answer = 1
			                var answer_no
					for (i = 1\; i <= $mc_num\; i++) \{
			                       var sel = \'select\'+i\;
			                       var selmc = document.question_form.elements[sel].value
			                       var img = \'image\'+i\;
			                       var imgmc = document.question_form.elements[img].value
			
			                       if\((mc_ans == i) ) \{
			                                if(selmc ===\"\" && imgmc ===\"\") \{
			                                        cor_answer  = 2
			                                        break\;
			                                        \}
			                                \}
			                                
			                        if\(selmc.length > 75\ && answer_mode == 0) \{
			                                answer_no = i
			                                too_long = 2
			                                break\;
			                                \}
			                        \}
			                \}\n";
					
					print"if\(cor_answer == 2) \{
					alert\(\"The correct answer does not correspond to an answer.\"\)
					not_there = 2
					\}\n";
					
					print"if\(too_long == 2) \{
					alert\(\"Answer \" +answer_no+ \" is to long. Only 75 characters permitted.\"\)
					not_there = 2
					\}\n";
					
			                print"if\((select2 ==\"\" && (image2 ==\"\" || image2 ==\"0\")) || (select1 ==\"\" && (image1 ==\"\" || image1 ==\"0\"))) \{
					alert\(\"An answer or file was not entered in each of the first 2 rows.\"\)
					not_there = 2
					\}
				\}\n";
		
			
                        # Multiple Answers
                        print"if\(select == \"MA\"\) \{\n";
                            print"kolum_no = self.parent.quest2.document.form1.kolum.value
                            document.question_form.kolum.value=kolum_no
                            answer_ma_mode = self.parent.quest2.document.form1.ans_mode.value
                            document.question_form.ans_mode.value=answer_ma_mode\n";
                        
                            print"if\(answer_ma_mode == 1\) \{\n";
                            my $j=1;
                                for ($j = 1; $j <= $ma_num; ++$j) {
                                    print"select$j = self.parent.quest2.document.form1.mselect$j.value
                                    document.question_form.select$j.value=select$j\n";
                                    }

                            print"\}\n";
		
                            my $e =1;
                            for ($e = 1; $e <= $ma_num; ++$e) {
                                print"select$e = self.parent.quest2.document.form1.select$e.value
                                document.question_form.select$e.value=select$e
                                image$e = document.question_form.image$e.value\n";
                                print"image$e";print"name = document.question_form.image$e";print"name.value\n";
                                }

                            print"if\(answer_ma_mode == 1\) \{\n";
                                print"if\(select3 ==\"\"\ &&  select2 ==\"\"\ && select1 ==\"\"\) \{alert\(\"An answer was not entered in each of the               first 3 rows.\"\)
                                    not_there = 2
                                    \}
                                \}
                            else \{\n";
                                print"if\((select3 ==\"\"\ && (image3 ==\"\" || image3 ==\"0\"))|| (select2 ==\"\"\ && (image2 ==\"\" || image2 ==\"0\"))|| (select1 ==\"\"\ && (image1 ==\"\" || image1 ==\"0\"))) \{
                                alert\(\"An answer or file was not entered in each of the first 3 rows.\"\)
                                not_there = 2
                                    \}
                                \}
                        \}\n";

                            
                        # Matching
			print"if\(select == \"MX\"\) \{\n";
				my $f =1;
			        for ($f = 1; $f <= $mx_num; ++$f) {
			        	print"select$f = self.parent.quest2.document.form1.select$f.value
			                document.question_form.select$f.value=select$f\n";
			                print"select$f";print"mx = self.parent.quest2.document.form1.select$f";print"mx.value\n";
			                print"document.question_form.select$f";print"mx.value=select$f";print"mx\n";
			                }
			                
			        print"var i\;
				var matching_answer = 1\;\n";
			        print"for (i = 1\; i <= $mx_num\; i++) \{
			                var sel = \'select\'+i\;
			                var selm = \'select\'+i+\'mx\'\;
			                var match_select = document.question_form.elements[selm].value
			                var select = document.question_form.elements[sel].value
			                if(select !== null && select !== '') \{
			                        if(match_select == null || match_select == '') \{
			                                matching_answer = 0;
			                                \}
			                        \}
			                       
			                \}\n";
					
				print"if\(matching_answer == 0) \{
					alert\(\"A matching answer was not chosen.\"\)
					not_there = 2
					\}\n";
				print"if(select3 ==\"\"\ || select2 ==\"\"\ || select1 ==\"\") \{
					alert(\"Text was not entered in each of the first 3 rows.\")
					not_there = 2
					\}
			\}\n";
		}

	if ($WSQ{sub_type} == 2) { # survey question
                # Multiple choice
                print"if\(select == \"MC\"\) \{\n";
#                print"mc_ans = document.question_form.MCans.value\n";
                print"kolum_no = self.parent.quest2.document.form1.kolum.value
                document.question_form.kolum.value=kolum_no
                answer_mode = self.parent.quest2.document.form1.ans_mode.value
                document.question_form.ans_mode.value=answer_mode\n";
                
                print"if\(answer_mode == 1\) \{\n";
                my $g =1;
                    for ($g = 1; $g <= $mc_num; ++$g) {
                        print"select$g = self.parent.quest2.document.form1.mselect$g.value
                        document.question_form.select$g.value=select$g\n";
                        }
                print"\}\n";
                
                print"if\(answer_mode != 1\) \{\n";
                my $f =1 ;
                for ($f = 1; $f <= $mc_num; ++$f) {
                        print"select$f = self.parent.quest2.document.form1.select$f.value\n";
                        print"document.question_form.select$f.value=select$f\n";
                        print"image$f = document.question_form.image$f.value\n";
                        print"image$f";print"name = document.question_form.image$f";print"name.value\n\n";
                        }
                print"\}\n";
                
                print"var too_long = 1
                var answer_no
		for (i = 1\; i <= $mc_num\; i++) \{
                       var sel = \'select\'+i\;
                       var selmc = document.question_form.elements[sel].value
                       var img = \'image\'+i\;
                       var imgmc = document.question_form.elements[img].value
                                
                        if\(selmc.length > 75\) \{
                                answer_no = i
                                too_long = 2
                                break\;
                                \}
                        \}\n";

                print"if\((select2 ==\"\" && (image2 ==\"\" || image2 ==\"0\")) || (select1 ==\"\" && (image1 ==\"\" || image1 ==\"0\"))) \{
                if(answer_mode == 0) \{
		alert\(\"An answer or file was not entered in each of the first 2 rows.\"\)
		not_there = 2
		\}
		\}
		\}\n";
                
                
                # Multiple Answers
                print"if\(select == \"MA\"\) \{\n";
		print"kolum_no = self.parent.quest2.document.form1.kolum.value
                document.question_form.kolum.value=kolum_no
                answer_ma_mode = self.parent.quest2.document.form1.ans_mode.value
                document.question_form.ans_mode.value=answer_ma_mode\n";
                        
		print"if\(answer_ma_mode == 1\) \{\n";
		my $j=1;
		for ($j = 1; $j <= $ma_num; ++$j) {
                        print"select$j = self.parent.quest2.document.form1.mselect$j.value
                        document.question_form.select$j.value=select$j\n";
                        }

		print"\}\n";
		
		print"if\(answer_ma_mode != 1\) \{\n";
		my $e =1;
                for ($e = 1; $e <= $ma_num; ++$e) {
                        print"select$e = self.parent.quest2.document.form1.select$e.value
                        document.question_form.select$e.value=select$e
                        image$e = document.question_form.image$e.value\n";
                        print"image$e";print"name = document.question_form.image$e";print"name.value\n";
                        }
                
                print"\}\n";
                
                print"if\(answer_ma_mode == 1\) \{\n";
                    print"if\(select3 ==\"\"\ &&  select2 ==\"\"\ && select1 ==\"\"\) \{alert\(\"An answer was not entered in each of the first 3 rows.\"\)
		not_there = 2
                        \}
                    \}
                else \{\n";
                        
                    print"if\((select3 ==\"\"\ && (image3 ==\"\" || image3 ==\"0\"))|| (select2 ==\"\"\ && (image2 ==\"\" || image2 ==\"0\"))|| (select1 ==\"\"\ && (image1 ==\"\" || image1 ==\"0\"))) \{
                    alert\(\"An answer or file was not entered in each of the first 3 rows.\"\)
                    not_there = 2
                    \}
		\}
		\}\n";
		
                }
                
    ####Print the SUBMIT PART
	print" if\(not_there ==\"1\"\) \{\n";

	if ($WSQ{from} == 4 ) { #from add question to new qst
                print"document.question_form.target=\"\"\n";
                print"document.question_form.input.value=\"insert_quest_to_current_qst\"\n";
                print"document.question_form.submit\(\)\n";
		}
		
	elsif ($WSQ{from} == 1) { #from making question screen
			print" if\(i_n == 2\) \{\n";
                        print"document.question_form.from.value=\"6\"\n"; # was 6
                        print"document.question_form.input.value=\"insert_quest\"\n";
                        print"\}\n";
			print" else \{\n";
                        print"document.question_form.from.value=\"$WSQ{from}\"\n";
                        print"document.question_form.input.value=\"change_quest1\"\n";
                        print"\}\n";
			print"document.question_form.submit\(\)\n";
			print"self.parent.close\(\)\n";
		}
		
	else { # from = 2
			print"document.question_form.input.value=\"insert_quest_to_current_qst\"\n";
			print"document.question_form.target=\"quest1\"\n";
			print"document.question_form.from.value=\"2\"\n"; 
			print"document.question_form.submit\(\)\n";
		}
		
	print"\}\n";
	print"\}\n";
	print"\}\n";

	&print_javascript_end();
	}

##################
#
# QUESTION_MC
#
##################
sub question_mc {
	my %QMC = @_;

	print"<style>
	textarea\{ border-radius:.5em\; outline: none\; font-size:10pt\; font-family:Arial\;\}
	</style>\n";
	
	print"<script>
        function AddImgSrcToEditor\(uRL,filedescrip) \{
        var ac = document.form1.active_ans.value\n";

        for (my $q=1; $q <= $mc_num; $q++) {
            print"if(ac==$q)\{
            \$(document).ready(function() {
            \$('#$q\summernote').summernote('insertImage','/schools/qst_files/'+uRL,''+filedescrip)
            })\;
            \}\n";
            }
        
        print"\}
        </script>\n";
        
        &eqform_answer();
        
	&print_javascript_begin();
	
	
	print"var file_windo\n";
	print"var view_files_left\n";
	print"var view_files_right\n";

	&print_function_mc_image_handler();
	&print_function_mc_image_delete_handler();
                
        print"function question_image_handler\(inn\) \{\n";
	print"file_windo = window.open\(\"\",\"file_windo\",\"top=40,left=50,height=500,width=700\"\)\n";
	print"file_windo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewSelectFile}<\/title><\/head>\'\)\n";
	print"file_windo.document.writeln\(\'<frameset cols=\\\"50\%,50\%\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_left\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_right\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<\/frameset>\'\)\n";
	print"file_windo.document.writeln\(\'<\/html>\'\)\n";
	print"file_windo.document.close()\n";
	print"file_windo.focus\(\)\n";
	print"mode = document.form1.ans_mode.value
	document.view_files.mode.value=mode
	document.view_files.targit.value=inn
	document.view_files.submit\(\)
	\}\n";
        
        &print_mode_display_answers_mc();
                        
        print"function set_mc_ans\(i_n\) \{
	var myfld = \'select\'+i_n\;
	var mc = self.parent.quest1.document.question_form.elements[myfld].value
        if(i_n == mc) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                self.parent.quest1.document.question_form.MCans.value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                self.parent.quest1.document.question_form.MCans.value = i_n\;
                \}
	\}\n";
	
	
	print"function set_mc_ansm\(i_n\) \{
	var myfld = \'select\'+i_n\;
	var mc = self.parent.quest1.document.question_form.elements[myfld].value
        if(i_n == mc) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                self.parent.quest1.document.question_form.MCans.value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                self.parent.quest1.document.question_form.MCans.value = i_n\;
                \}
	\}\n";
	
	print"function set_mc_ans_eq\(i_n\) \{
	var myfld = \'select\'+i_n\;
	var mc = self.parent.quest1.document.question_form.elements[myfld].value
        if(i_n == mc) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                self.parent.quest1.document.question_form.MCans.value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                self.parent.quest1.document.question_form.MCans.value = i_n\;
                \}
	\}\n";
	
	print"function set_kolums\(i_n\) \{
	var e = document.getElementById(\"kolumms\");
        var num = e.options[e.selectedIndex].value;
	self.parent.quest1.document.question_form.kolum.value = num\;
	\}\n";
	
	print"function Show_Next_Row(i_nn,num,old) \{
	var an = 'ans'+i_nn
	var nxt = 'ans'+num
	var dispans = 'dispans'+i_nn
	var disp = 'disp'+i_nn
	var dis = 'dis'+old
	var dispold = 'disp'+old

	Show_Ans(an)
	Show_Ans(dispans)
	if(i_nn < $mc_num) \{
                Show_Ans(nxt)
                \}

	if(old > 4) \{
                var myfld = \'image\'+old\;
                var img = self.parent.quest1.document.question_form.elements[myfld].value
                if(img > 0) \{
                        \}
                else \{
                        Show_Ans(dispold)
                        Show_Ans(dis)
                        \}
                \}

        var x = document.getElementById(disp)\;

        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
        \} else \{
                x.style.display = \"none\"\;
                \}
	\} \n";

	
	print"function Show_Next_Edit_Row(i_nn,nxt,prev) \{
	var disp = 'mdisp'+i_nn
        var an = 'mans'+i_nn
	var nxt = 'mans'+nxt
	var dispans = 'mdispans'+i_nn
	
	Hide_Ans_eq(an)
	Show_Ans(dispans)
	
        if(i_nn < 15) \{
            Show_Ans(nxt)
            \}
        
        if(i_nn > 4) \{
                if(prev > 4) \{
                    var xprev = 'X'+prev
                    Hide_Ans_eq(xprev)
                    \}
                    
                var xnxt = 'X'+i_nn
                Show_Ans_eq(xnxt)
                \}
	\} \n";

	print"function Show_Next_Edit_Row2(i_nn,nxt,prev) \{
        var an = 'manseq'+i_nn
	var nxt = 'manseq'+nxt
	var dispans = 'mdispanseq'+i_nn
	
        Hide_Ans_eq(an)
	Show_Ans_eq(dispans)
	
	if(i_nn < $mc_num) \{
            Show_Ans(nxt)
            \}
            
        if(i_nn > 4) \{
                if(prev > 4) \{
                    var xprev = 'Xeq'+prev
                    Hide_Ans_eq(xprev)
                    \}
                var xnxt = 'Xeq'+i_nn
                Show_Ans_eq(xnxt)
                \}
	\} \n";

	print"function Remove_Row(i_nn,num,old) \{
	var an = 'ans'+i_nn
	var nxt = 'ans'+num
	var dispans = 'dispans'+i_nn
	var disp = 'disp'+i_nn
	var sel = 'select'+i_nn
	var dis = 'dis'+old
	var dispold = 'disp'+old
	var uklik= 'select'+i_nn
	var unklik = 'MCans'+i_nn
	var imag = 'image'+i_nn

	document.form1.elements[unklik].checked = false\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;
	
	Show_Ans(an)
	Show_Ans(dispans)
        if(num <= $mc_num) \{
                Show_Ans(nxt)
                }
	Show_Ans(disp)
        
	if(i_nn == 5) \{
                self.parent.quest1.document.question_form.select5.value=\"\"
                self.parent.quest1.document.question_form.image5.value = \"\"\;
                document.form1.select5.value=\"\"
                Show_Ans(dis)
                \}
        else if(i_nn > 5) \{
                var myfld = \'image\'+i_nn\;
                var prefld = \'image\'+old\;
                var selectfld = \'select\'+i_nn\;
                var img = self.parent.quest1.document.question_form.elements[imag].value
                
                self.parent.quest1.document.question_form.elements[imag].value = \"\"\;
                self.parent.quest1.document.question_form.elements[myfld].value=\"\"
                self.parent.quest1.document.question_form.elements[selectfld].value=\"\"
                document.form1.elements[selectfld].value=\"\"

                if(img > 0) \{
                        \}
                else \{
                        Show_Ans(dispold)
                        Show_Ans(dis)
                        \}
                \}
	} \n";
	
	print"function Remove_Row_Mode1(i_nn,next,prev) \{
	var an = 'mans'+i_nn
	var nxt = 'mans'+next
	var dispans = 'mdispans'+i_nn
	var dispold = 'mdisp'+prev
	var uklik= 'select'+i_nn
	var unklik = 'MCansm'+i_nn
        var i_n = 'X'+i_nn
        var xpre = 'X'+prev
        
	document.form1.elements[unklik].checked = false\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;

	Show_Ans_eq(an)
	Hide_Ans_eq(i_n)
	Hide_Ans_eq(dispans)

        if(prev > 4) \{
                Show_Ans_eq(xpre)
                \}

        Hide_Ans_eq(nxt)
        
	if(i_nn == 5) \{
                self.parent.quest1.document.question_form.select5.value=\"\"
                \$(document).ready(function() \{
                    \$('#5\summernote').summernote('code','');
                    \})\;
                \}\n";
                
         for (my $t=6; $t <= $mc_num; $t++) {
                print"else if(i_nn == $t) \{
                var selectfld = \'select\'+i_nn\;

                self.parent.quest1.document.question_form.elements[selectfld].value=\"\"
                
                \$(document).ready(function() \{
                    \$('#$t\summernote').summernote('code','');
                    \})\;
                    
                \}\n";
                }
                
	print"\} \n";
	
	print"function Remove_Row_Mode2(i_nn,next,prev) \{
	var an = 'manseq'+i_nn
	var nxt = 'manseq'+next
	var dispans = 'mdispanseq'+i_nn
	var uklik= 'select'+i_nn
	var unklik = 'MCanseq'+i_nn
	var inpt = 'inputeq'+i_nn
	var i_n = 'Xeq'+i_nn
        var xprev = 'Xeq'+prev
        
	document.form1.elements[unklik].checked = false\;
	document.form1.elements[inpt].value=\"\"\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;
	
	Show_Ans_eq(an)
	Hide_Ans_eq(i_n)
	Hide_Ans_eq(dispans)
	
       if(next <= $mc_num) \{
                Hide_Ans_eq(nxt)
                \}
                
	if(prev > 4) \{
                Show_Ans_eq(xprev)
                \}\n";
                
	print"\} \n";
	
	print"function Hide_Ans_eq(i_nn) \{
        var x = document.getElementById(i_nn)\;
        x.style.display = \"none\"\;
        \} \n";
        
        print"function Show_Ans_eq(i_nn) \{
        var x = document.getElementById(i_nn)\;
        x.style.display = \"block\"\;
        \} \n";
        
	

	print"function Show_Ans(i_nn) \{
        var x = document.getElementById(i_nn)\;
        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
                \} 
        else \{
                x.style.display = \"none\"\;
                \}
        \} \n";

        
        
        print"function set_active_ans(i_nn) \{
        document.form1.active_ans.value=i_nn
        \} \n";
        
        print"function set_active_ans_eq(i_nn) \{
        document.form1.active_ans.value=i_nn
        \} \n";
        
        print"function Numbering(i_nn) \{
        if(i_nn == \'nu2\') \{
                var x = document.getElementById(i_nn)\;
                x.style.display = \"block\"\;
                var inn = \'nu1\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                
                var inn = \'nu\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                \}
        else \{
                var x = document.getElementById(i_nn)\;
                x.style.display = \"block\"\;
                var inn = \'nu2\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                
                var inn = \'nu\'
                var y = document.getElementById(inn)\;
                y.style.display = \"block\"\;
                \}
        \} \n";
        
	print"function Show_Image(i_nn) \{
        var x = document.getElementById(i_nn)\;
        var num = i_nn.replace( /[^0-9]/g, '' );
        var dsplay = 'display'+num
        var w = document.getElementById(dsplay)\;
        var dis = 'dis'+num
	var z = document.getElementById(dis)\;
	var dispp = 'disp'+num
	var d = document.getElementById(dispp)\;
	
        num++\;
        var disp = 'disp'+num
        var disply = 'display'+num
        var  u = document.getElementById(disply)\;

	if(num < 5) \{
                x.style.display = \"block\"\;
                d.style.display = \"none\"\;
                \}
	else \{
                if (x.style.display === \"none\") \{
                        var y = document.getElementById(disp)\;
                        
                        if (y.style.display === \"block\" || u.style.display === \"block\") \{
                                if(z.style.display === \"block\") \{
                                        z.style.display = \"none\"\;
                                        x.style.display = \"block\"\;
                                        \}
                                else \{
                                        x.style.display = \"none\"\;
                                        \}
                                \}
                        else \{
                                x.style.display = \"block\"\;
                                d.style.display = \"none\"\;
                                \}
                        \} 
                
                \}
        \} \n";

        print"function Show_Im(i_nn) \{	
        var x = document.getElementById(i_nn)\;
        var num = i_nn.replace( /[^0-9]/g, '' );
        var digit = num\;
        var displ = 'disp'+num
	var z = document.getElementById(displ)\;
	var dis = 'dis'+num
	var w = document.getElementById(dis)\;

        num++\;
        var disp = 'disp'+num
        var y = document.getElementById(disp)\;
        var disply = 'display'+num
        var  u = document.getElementById(disply)\;
        
        if(digit < 4) \{
                x.style.display = \"none\"\;
                z.style.display = \"block\"\;
                \}
        else \{
                x.style.display = \"none\"\;
                if (z.style.display === \"block\") \{
                        \} 
                else \{
                       if (y.style.display === \"block\" || u.style.display === \"block\") \{
                                w.style.display = \"block\"
                                \}
                        else \{
                                if(y.style.display === \"none\" || u.style.display === \"none\") \{
                                        z.style.display = \"block\"
                                        \}
                                else \{
                                        w.style.display = \"block\"
                                        \}
                                \}
                        \}
                \}
        \} \n";

	&print_javascript_end();

	&print_form("form_name","eq_quest","form_target","MathJaax","input","print_eq_quest_ans","u_id","$QMC{u_id}","session_id","$QMC{session_id}","type","$QMC{type}","sub_type","$QMC{sub_type}");
	&print_form("form_name","view_files","form_target","view_files_left","input","view_select_mc_files","targit","","u_id","$QMC{u_id}","session_id","$QMC{session_id}","mode","","expand","1");

	print"<form name=\"form1\"><input type=\"hidden\" name=\"ans_mode\" value=\"$QMC{ans_mode}\"><input type=\"hidden\" name=\"active_ans\" value=\"\">\n";
	
	
	
    #### SURVEYS
	if($QMC{sub_type} == 2) {
                print"<TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-family:Arial\; font-size: 11pt\;\">$LANGUAGE{$set_language}{Columns} </font>&nbsp\;";
		
		if($QMC{kolum} > 1) { # MULTIPLE COLUMNS
                        print"<SELECT name=\"kolum\" style=\"font-family:Arial\; font-size: 10pt\;\">\n";
                        
                        for (my $in = 1; $in <= 3; ++$in) {
                                if($QMC{kolum} == $in) {
                                        print"<option value=\"$in\" selected>$in</option>\n";
                                        }
                                else {
                                        print"<option value=\"$in\">$in</option>\n";
                                        }
                                }
                        }
                        
                else { # ONE COLUMN
                        print"<SELECT name=\"kolum\" style=\"font-family:Arial\; font-size: 10pt\;\"> 
                        <option value=\"1\" selected>1</option>
                        <option value=\"2\">2</option>
                        <option value=\"3\">3</option></select>";
                        }
                        
                # PRINT EDITOR
                if($QMC{ans_mode} == 1) { # ADVANCED
                        print"</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><div ID=\"mc_mode0\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(1)\">$LANGUAGE{$set_language}{Advanced}</i><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</B></div><div ID=\"mc_mode1\" style=\"display:block\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(0)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div><div ID=\"mc_mode2\" style=\"display:none\;\"></div></TD></TABLE>";
                        }
                        
                else { # BASIC
                        print"</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><div ID=\"mc_mode0\" style=\"display:block\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(1)\">$LANGUAGE{$set_language}{Advanced}</i><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</B></div><div ID=\"mc_mode1\" style=\"display:none\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(0)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div><div ID=\"mc_mode2\" style=\"display:none\;\"></div></TD></TABLE>";
                        }
                        

                        
                        
            #### PRINT BASIC MODE SURVEYS
                if($QMC{ans_mode} == 1) {
                        print"<div ID =\"mc_mode_disply0\" style=\"display:none\;\"><BR><TABLE border=\"0\">\n";
                        }
                else {
                        print"<div ID =\"mc_mode_disply0\" style=\"display:block\;\"><BR><TABLE border=\"0\">\n";
                        }
		my $end = 0;
		
		for (my $i = 1; $i <= $mc_num; ++$i) {
			my $select = "select"."$i";
			my $selecta = "select"."$i"."mc";
			my $image = "image"."$i";
			my $image_name = "$image"."name";
			my $next = $i;
			++$next;
			my $next_image = "image"."$next";
			
			print"<TR><TD>";
			
			if($i < 5) { # for the first 4 answers
                                print"<TABLE><TR><TD>";
                                print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" disabled>\n";

                                print"&nbsp\;</TD><TD>&nbsp\;<textarea style=\"resize\:none\; overflow:auto\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"53\" maxlength=\"75\" name=\"select$i\" ";
                                
                                if($i < 3 && $QMC{$select} ne "") {
                                        print"placeholder=\" Enter answer here.\" value=\"\"";
                                        }
                                        
                                print">";
                                
                                if($QMC{ans_mode} != 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></TD><TD>\n";
                                
                                if($QMC{$image_name} ne"") {
                                        print"<div ID=\"display$i\" style=\"display:block\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; border-radius:.5em\; font-family\:Arial\; font-size\: 8pt\;\" OnClick=\"mc_image_delete_handler\(\'$image\'\)\">$LANGUAGE{$set_language}{Remove}</B></div>\n";
                                
                                        print"<div ID=\"disp$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                        }
                                        
                                else {
                                        print"<div ID=\"disp$i\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
	   		
                                        print"<div ID=\"display$i\" style=\"display:none\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\;  font-size\: 8pt\;\" OnClick=\"mc_image_delete_handler\(\'$image\'\)\">$LANGUAGE{$set_language}{Remove}</B></div>\n";
                                        }
                                        
                                print"</TD></TR></TABLE>\n";

                                print"<BR>";
                                }
                                
                        else { # for 5 through mc_num
                                
                                print"<TABLE><TR><TD>";
                                my $nu = $i + 1;
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";

                                ### ADD another row DISPLAY +
                                if($QMC{ans_mode} == 1 && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                elsif(!defined $QMC{$select} && !defined $QMC{$image} && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                else {
                                        print"<div ID=\"ans$i\" style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Row\(\'$i\',$nu,$old\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;+</font></B></div>\n";
                                        
                                ### DISPLAY RADIO button and answer
                                if($QMC{answer} == $i && $QMC{ans_mode} != 1) {
                                        print"<span ID=\"dispans$i\" style=\"display:block\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" disabled>\n";
                                        }
                                elsif ((defined $QMC{$select} && $QMC{ans_mode} != 1) || $QMC{$image} > 0){
                                        print"<span ID=\"dispans$i\" style=\"display:block\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" disabled>\n";
                                        }
                                else {
                                        print"&nbsp\;<span ID=\"dispans$i\" style=\"display:none\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" disabled>\n";
                                        }
                                
                                print"&nbsp\;</TD><TD>&nbsp\;<textarea style=\"resize\:none\; overflow:auto\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"53\" maxlength=\"75\" name=\"select$i\" value=\"\">";
                                
                                if($QMC{ans_mode} != 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></span></TD></TR></TABLE></TD><TD>\n";
                                
                                
                                ### Display image name
                                if($QMC{$image} ne"" && $QMC{$image} > 0) {
                                        print"<div ID=\"display$i\" style=\"display:block\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 8pt\;\" OnClick=\"mc_image_delete_handler\(\'$image\'\)\">$LANGUAGE{$set_language}{Remove} </B></div>\n";
                                
                                        print"<div ID=\"dis$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
        
                                        print"<div ID=\"disp$i\" style=\"display:none\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;Insert File</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">X</B></div>\n";
                                        }
                                else {
                                        if(defined $QMC{$select} && !defined $QMC{$next_select} && $QMC{ans_mode} != 1) {
                                                print"<div ID=\"disp$i\" style=\"display:block\;\">\n";
                                                }
                                        else{
                                                print"<div ID=\"disp$i\" style=\"display:none\;\">\n";
                                                }

                                        print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;Insert File</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                        
                                        if(!defined $QMC{$next_select} && !defined $QMC{$next_image}) {
                                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\"> X</B></div>\n";
                                                }
                                        elsif($QMC{ans_mode} == 1) {
                                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\"> X</B></div>\n";
                                                }
                                        else {
                                                print"</div>\n";
                                                }
                                        
                                        ## Insert file
                                        if(defined $QMC{$select} && defined $QMC{$next_select} && $QMC{ans_mode} != 1) {
                                                print"<div ID=\"dis$i\" style=\"display:block\;\">\n";
                                                }
                                        else {
                                                print"<div ID=\"dis$i\" style=\"display:none\;\">\n";
                                                }
                                                
                                        print"<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                                
                                        print"<div ID=\"display$i\" style=\"display:none\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 8pt\;\" OnClick=\"mc_image_delete_handler\(\'$image\'\)\">$LANGUAGE{$set_language}{Remove}</B></div>\n";
                                        }
                                print"</TD></TR></TABLE><BR>\n";
                                }
                        }
                        
                print"</TABLE></div>\n";
                
                
            #### PRINT ADVANCED MODE SURVEYS
                if($QMC{ans_mode} == 1) {
                        print"<div ID =\"mc_mode_disply1\" style=\"display:block\;\"><TABLE border=\"0\">\n";
                        }
                else {
                        print"<div ID =\"mc_mode_disply1\" style=\"display:none\;\"><TABLE border=\"0\">\n";
                        }
                        
                &print_m_editor();
                
                my $i = 1;
                my $end = 0;
		while($i <= $mc_num) {
			my $select = "select"."$i";
			my $selecta = "select"."$i"."mc";
			my $next = $i;
			++$next;
			
			if($i < 5) { # for the first 4 answers
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                print"<input type=\"radio\" id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" disabled>\n";

                                print"&nbsp\;</TD><TD>&nbsp\;&nbsp\;<span onClick=\"set_active_ans(\'$i\')\"> <textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\">";
                                
                                if($QMC{ans_mode} == 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></span></TD></TR></TABLE>\n";
                                }
                                
                        else { # for 5 through mc_num
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;";
                                my $nu = $i + 1; 
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";
                                my $show;

                                if(!defined $QMC{$select} && $end == 0) {
                                        print"<span ID=\"mans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                elsif($QMC{ans_mode} == 0 && $end == 0) {
                                        print"<span ID=\"mans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                else {
                                        print"<span ID=\"mans$i\" style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Edit_Row\(\'$i\',\'$nu\',\'$old\'\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;+</font></B></span>\n";
 
                                if (defined $QMC{$select} && $QMC{ans_mode} == 1){
                                        print"<div ID=\"mdispans$i\" style=\"display:block\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" disabled id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" onClick=\"set_mc_ansm(\'$i\')\">&nbsp\;&nbsp\;</TD><TD><textarea onClick=\"set_active_ans(\'$i\')\" id=\"$i\summernote\" name=\"mselect$i\" class=\"summernote\" id=\"$i\summernote\">$QMC{$select}</textarea></TD>";
                                        }
                                        
                                else {
                                        print"<div ID=\"mdispans$i\" style=\"display:none\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" disabled id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" onClick=\"set_mc_ansm(\'$i\')\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\"></textarea></TD>";
                                        }
                                
                                if(!defined $QMC{$next_select} ) {
                                        print"<TD><span ID=\"X$i\" style=\"display:block\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                        }
                                             
                                print"</TR></TABLE></div></TD></TR></TABLE>\n";
                                }
                        ++$i;
                        }
                        
                print"</TABLE></div>\n";
                print"</form>\n";
                print"<span ID =\"mc_mode_disply2\" style=\"display:none\;\"></span>
                <span ID =\"mc_mode2\" style=\"display:none\;\"></span>\n";
		}
	
	
    
    #### QUIZZES/TESTS
	else { 
                # PRINT COLUMNS LINE
		print"<TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image21&nbsp\;</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-family:Arial\; font-size: 11pt\;\">$LANGUAGE{$set_language}{Columns} </font>&nbsp\;";
		
		if($QMC{kolum} > 1) { # COLUMNS
                        print"<SELECT name=\"kolum\" style=\"font-family:Arial\; font-size: 10pt\;\">\n";
                        
                        for (my $in = 1; $in <= 3; ++$in) {
                                if($QMC{kolum} == $in) {
                                        print"<option value=\"$in\" selected>$in</option>\n";
                                        }
                                else {
                                        print"<option value=\"$in\">$in</option>\n";
                                        }
                                }
                        }
                        
                else { # 1 COLUMN
                        print"<SELECT name=\"kolum\" style=\"font-family:Arial\; font-size: 10pt\;\"> 
                        <option value=\"1\" selected>1</option>
                        <option value=\"2\">2</option>
                        <option value=\"3\">3</option></select>";
                        }
                        
                # PRINT EDITOR LINE
                if($QMC{ans_mode} == 1) {
                        &print_advanced_chosen_editor();
                        }
                                
                elsif($QMC{ans_mode} == 2) {
                        &print_equation_chosen_editor();
                        }
                                
                else {
                        &print_basic_chosen_editor();
                        }
                        
                        
            # BASIC MODE DIV
            if($QMC{ans_mode} > 0) {
                    print"<div ID =\"mc_mode_disply0\" style=\"display:none\;\"><BR><TABLE border=\"0\">\n";
                    }
                    
            else {
                    print"<div ID =\"mc_mode_disply0\" style=\"display:block\;\"><BR><TABLE border=\"0\">\n";
                    }
                    
                    
            #### PRINT BASIC MODE
		my $end = 0;
		for (my $i = 1; $i <= $mc_num; ++$i) {
			my $select = "select"."$i";
			my $image = "image"."$i";
			my $image_name = "$image"."name";
			my $next = $i;
			++$next;
			my $next_image = "image"."$next";
			
			print"<TR><TD>";
			
			if($i < 5) { # for the first 4 answers
                                print"<TABLE><TR><TD>";
                                if($QMC{answer} == $i && $QMC{ans_mode} == 0) {
                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" onClick=\"set_mc_ans\(\'$i\'\)\" checked>\n";
                                        }
                                else {
                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" onClick=\"set_mc_ans\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;</TD><TD>&nbsp\;<textarea style=\"resize\:none\; overflow:auto\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"60\" maxlength=\"75\" name=\"select$i\" ";
                                
                                if($i < 3 && $QMC{$select} ne "") {
                                        print"placeholder=\" Enter answer here.\" value=\"\"";
                                        }
                                        
                                print">";
                                
                                if($QMC{ans_mode} == 0) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></TD><TD>\n";
                                
                                if($QMC{$image_name} ne"") {
                                        print"<div ID=\"display$i\" style=\"display:block\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text></font><B STYLE=\"cursor:pointer\; data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" border-radius:.5em\; font-family\:Arial\; font-size\: 11pt\;\" OnClick=\"mc_image_delete_handler\(\'$image\'\)\">X</B></div>\n";
                                
                                        print"<div ID=\"disp$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"Insert image\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                        }
                                        
                                else {
                                        print"<div ID=\"disp$i\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"Insert image\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
	   		
                                        print"<div ID=\"display$i\" style=\"display:none\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\;  font-size\: 11pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" OnClick=\"mc_image_delete_handler\(\'$image\'\)\">X</B></div>\n";
                                        }
                                        
                                print"</TD></TR></TABLE><BR>";
                                }
                                
                        else { # for 5 through mc_num
                                print"<TABLE><TR><TD>";
                                my $nu = $i + 1;
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";

                                ### ADD another row DISPLAY +
                                if($QMC{ans_mode} == 1 && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                elsif(!defined $QMC{$select} && !defined $QMC{$image} && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                else {
                                        print"<div ID=\"ans$i\" style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Row\(\'$i\',$nu,$old\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;+</font></B></div>\n";
                                        
                                ### DISPLAY RADIO button and answer
                                if($QMC{answer} == $i && $QMC{ans_mode} != 1) {
                                        print"<span ID=\"dispans$i\" style=\"display:block\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" onClick=\"set_mc_ans\(\'$i\'\)\" checked>\n";
                                        }
                                elsif ((defined $QMC{$select} && $QMC{ans_mode} != 1) || $QMC{$image} > 0){
                                        print"<span ID=\"dispans$i\" style=\"display:block\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" onClick=\"set_mc_ans\(\'$i\'\)\">\n";
                                        }
                                else {
                                        print"&nbsp\;<span ID=\"dispans$i\" style=\"display:none\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" onClick=\"set_mc_ans\(\'$i\'\)\">\n";
                                        }
                                
                                print"&nbsp\;</TD><TD>&nbsp\;<textarea style=\"resize\:none\; overflow:auto\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"60\" maxlength=\"75\" name=\"select$i\" value=\"\">";
                                
                                if($QMC{ans_mode} == 0) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></span></TD></TR></TABLE></TD><TD>\n";
                                
                                
                                ### Display image name
                                if($QMC{$image} ne"" && $QMC{$image} > 0) {
                                        print"<div ID=\"display$i\" style=\"display:block\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text></font><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 11pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" OnClick=\"mc_image_delete_handler\(\'$image\'\)\">X </B></div>\n";
                                
                                        print"<div ID=\"dis$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"Insert image\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div><div ID=\"disp$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"Insert image\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\')\" data-toggle=\"tooltip\" title=\"Remove row.\">X</B></div>\n";
                                        }
                                else {
                                        if(defined $QMC{$select} && !defined $QMC{$next_select} && $QMC{ans_mode} != 1) {
                                                print"<div ID=\"disp$i\" style=\"display:block\;\">\n";
                                                }
                                        else{
                                                print"<div ID=\"disp$i\" style=\"display:none\;\">\n";
                                                }

                                        print"<B data-toggle=\"tooltip\" title=\"Insert image\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                        
                                        if(!defined $QMC{$next_select} && !defined $QMC{$next_image}) {
                                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"Remove row.\"> X</B></div>\n";
                                                }
                                        elsif($QMC{ans_mode} == 1) {
                                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"Remove row.\"> X</B></div>\n";
                                                }
                                        else {
                                                print"</div>\n";
                                                }
                                        
                                        ## Insert file
                                        if(defined $QMC{$select} && defined $QMC{$next_select} && $QMC{ans_mode} != 1) {
                                                print"<div ID=\"dis$i\" style=\"display:block\;\">\n";
                                                }
                                        else {
                                                print"<div ID=\"dis$i\" style=\"display:none\;\">\n";
                                                }
                                                
                                        print"<B data-toggle=\"tooltip\" title=\"Insert image\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                                
                                        print"<div ID=\"display$i\" style=\"display:none\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text></font><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 11pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" OnClick=\"mc_image_delete_handler\(\'$image\'\)\">X</B></div>\n";
                                        }
                                 print"</TD></TR></TABLE>\n";
                                }
                        }
                        
                print"</TABLE></div>\n";
                
                
                # ADVANCED MODE DIV
                if($QMC{ans_mode} == 1) {
                        print"<div ID =\"mc_mode_disply1\" style=\"display:block\;\"><TABLE border=\"0\"><TR><TD>\n";
                        }
                    
                else {
                        print"<div ID =\"mc_mode_disply1\" style=\"display:none\;\"><TABLE border=\"0\"><TR><TD>\n";
                        }
                        
                        
            #### PRINT ADVANCED MODE
                &print_m_editor();
                
                $end = 0;
		for (my $i = 1; $i <= $mc_num; ++$i) {
			my $select = "select"."$i";
			
			if($i < 5) { # for the first 4 answers
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                if($QMC{answer} == $i && $QMC{ans_mode} == 1) {
                                        print"<input type=\"radio\" id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" onClick=\"set_mc_ansm\(\'$i\'\)\" checked>\n";
                                        }
                                else {
                                        print"<input type=\"radio\" id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" onClick=\"set_mc_ansm\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;</TD><TD>&nbsp\;&nbsp\;<span onClick=\"set_active_ans(\'$i\')\"> <textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\">";
                                
                                if($QMC{ans_mode} == 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></span></TD></TR></TABLE>\n";
                                }
                                
                        else { # for 5 through mc_num
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                my $nu = $i + 1; 
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";

                                print"<span ID=\"mans$i\" ";
                                if(!defined $QMC{$select} && $end == 0) {
                                        print"style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                elsif($QMC{ans_mode} == 0 && $end == 0) {
                                        print"style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                else {
                                        print"style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Edit_Row\(\'$i\',\'$nu\',\'$old\'\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;+</font></B></span>\n";
 
                                if($QMC{answer} == $i && $QMC{ans_mode} == 1) {
                                        print"<div ID=\"mdispans$i\" style=\"display:block\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" onClick=\"set_mc_ansm\(\'$i\'\)\" checked>&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\">$QMC{$select}</textarea></TD>\n";
                                        }
                                        
                                elsif (defined $QMC{$select} && $QMC{ans_mode} == 1){
                                        print"<div ID=\"mdispans$i\" style=\"display:block\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" onClick=\"set_mc_ansm(\'$i\')\">&nbsp\;&nbsp\;</TD><TD><textarea onClick=\"set_active_ans(\'$i\')\" id=\"$i\summernote\" name=\"mselect$i\" class=\"summernote\" id=\"$i\summernote\">$QMC{$select}</textarea></TD>";
                                        }
                                        
                                else {
                                        print"<div ID=\"mdispans$i\" style=\"display:none\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" onClick=\"set_mc_ansm(\'$i\')\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\"></textarea>";
                                        }
                                
                                if(!defined $QMC{$next_select} ) {
                                        print"<TD><span ID=\"X$i\" style=\"display:block\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                        }
                                             
                                print"</TR></TABLE></div></TD></TR></TABLE>\n";
                                }
                        }
                        
                print"</TD></TR></TABLE></div>\n";
                


		# EQUATION MODE DIV
		if($QMC{ans_mode} == 2) {
                        print"<div ID =\"mc_mode_disply2\" style=\"display:block\;\"><TABLE border=\"0\"><TR><TD>\n";
                        }
                    
                else {
                        print"<div ID =\"mc_mode_disply2\" style=\"display:none\;\"><TABLE border=\"0\"><TR><TD>\n";
                        }
                        
            #### PRINT EQUATION MODE
                $end = 0;
		for (my $i = 1; $i <= $mc_num; ++$i) {
			my $select = "select"."$i";
			
			if($i < 5) { # for the first 4 answers
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                if($QMC{answer} == $i && ($QMC{ans_mode} == 1 || $QMC{ans_mode} == 2)) {
                                        print"<input type=\"radio\" id=\"MCanseq$i\" name=\"MCansmeq\" value=\"$i\" onClick=\"set_mc_ans_eq\(\'$i\'\)\" checked>\n";
                                        }
                                else {
                                        print"<input type=\"radio\" id=\"MCanseq$i\" name=\"MCansmeq\" value=\"$i\" onClick=\"set_mc_ans_eq\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;</TD><TD>&nbsp\;&nbsp\;<span onClick=\"set_active_ans_eq(\'$i\')\"><center><div id=\"frameeq$i\"><textarea id=\"inputeq$i\" name=\"mselecteq$i\" rows=\"3\" cols=\"65\">";
                                
                                if($QMC{ans_mode} == 2) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea><center><TABLE><TR><TD onclick=\"convert('inputeq$i\','outputeq$i\','hidep$i\')\" style=\"display:block\; cursor: pointer\; font-size:10pt\;\"><B>$LANGUAGE{$set_language}{Preview}</B></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD ID=\"hidep$i\" style=\"display:none\; cursor: pointer\; font-size:10pt\;\" onclick=\"hide_preview('outputeq$i\','hidep$i\')\"><B>$LANGUAGE{$set_language}{Hide}</B></TD></TR></TABLE></center><center><div id=\"outputeq$i\" style=\"clear:both\; background-image: linear-gradient(yellow , white)\;\"></div></center></span></TD></TR></TABLE>\n";
                                }
                                
                        else { # for 5 through mc_num
                                print"<TABLE border=\"0\"><TR><TD>";
                                my $nu = $i + 1; 
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";

                                print"<span ID=\"manseq$i\" ";
                                if(!defined $QMC{$select} && $end == 0) {
                                        print"style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                elsif($QMC{ans_mode} == 0 && $end == 0) {
                                        print"style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                else {
                                        print"style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Edit_Row2\(\'$i\',\'$nu\',\'$old\'\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;+</font></B></span>\n";
 
                                if($QMC{answer} == $i && $QMC{ans_mode} == 2) { # correct question
                                        print"<div ID=\"mdispanseq$i\" style=\"display:block\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCanseq$i\" name=\"MCansmeq\" value=\"$i\" onClick=\"set_mc_ans_eq\(\'$i\'\)\" checked>&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans_eq(\'$i\')\"><textarea  id=\"inputeq$i\" name=\"mselecteq$i\" rows=\"3\" cols=\"65\">$QMC{$select}</textarea>";
                                        }
                                elsif (defined $QMC{$select} && $QMC{ans_mode} == 2) { # answer but not correct
                                        print"<div ID=\"mdispanseq$i\" style=\"display:block\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCanseq$i\" name=\"MCansmeq\" value=\"$i\" onClick=\"set_mc_ans_eq(\'$i\')\">&nbsp\;&nbsp\;</TD><TD><textarea onClick=\"set_active_ans_eq(\'$i\')\" id=\"inputeq$i\" name=\"mselecteq$i\" rows=\"3\" cols=\"65\">$QMC{$select}</textarea>";
                                        }
                                else {
                                        print"<div ID=\"mdispanseq$i\" style=\"display:none\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" id=\"MCanseq$i\" name=\"MCansmeq\" value=\"$i\" onClick=\"set_mc_ans_eq(\'$i\')\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans_eq(\'$i\')\"><textarea  id=\"inputeq$i\" name=\"mselecteq$i\" rows=\"3\" cols=\"65\"></textarea>";
                                        }
                                        
                                print"<center><TABLE><TR><TD onclick=\"convert('inputeq$i\','outputeq$i\','hidep$i\')\" style=\"display:block\; cursor: pointer\; font-size:10pt\;\"><B>$LANGUAGE{$set_language}{Preview}</B></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD ID=\"hidep$i\" style=\"display:none\; cursor: pointer\; font-size:10pt\;\" onclick=\"hide_preview('outputeq$i\','hidep$i\')\"><B>$LANGUAGE{$set_language}{Hide}</B></TD></TR></TABLE></center></div><center><div id=\"outputeq$i\" style=\"clear:both\; background-image: linear-gradient(yellow , white)\;\"></div></center></TD>\n";
                                
                                if(!defined $QMC{$next_select} ) {
                                        print"<TD><span ID=\"Xeq$i\" style=\"display:block\;\">";
                                        }
                                else {
                                        print"<TD><span ID=\"Xeq$i\" style=\"display:none\;\">";
                                        }
                                        
                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode2(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                        
                                print"</TR></TABLE>\n";
                                }
                        } # end for
                print"</TD></TR></TABLE></div>\n";
                }
	}

###################
#
# PRINT_ADVACNCED_CHOSEN_EDITOR
#
###################
sub print_advanced_chosen_editor {
        print"</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><div ID=\"mc_mode0\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(1)\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(2)\">$LANGUAGE{$set_language}{Equation}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div><div ID=\"mc_mode1\" style=\"display:block\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(2)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(0)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div><div ID=\"mc_mode2\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(1)\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Equation}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(0)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Advancedequationeditor}\" style=\"cursor: pointer\; font-size: 10pt\;\"onclick=\"go_qst_eq()\">$LANGUAGE{$set_language}{UseQSTEQ}</i></div></TD></TR></TABLE>";
        }

###################
#
# PRINT_EQUATION_CHOSEN_EDITOR
#
###################
sub print_equation_chosen_editor {
        print"</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><div ID=\"mc_mode0\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(1)\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(2)\">$LANGUAGE{$set_language}{Equation}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div><div ID=\"mc_mode1\" style=\"display:none\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(2)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(0)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div><div ID=\"mc_mode2\" style=\"display:block\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(1)\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Equation}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(0)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Advancedequationeditor} \" style=\"cursor: pointer\; font-size: 10pt\;\"onclick=\"go_qst_eq()\">$LANGUAGE{$set_language}{UseQSTEQ}</i></div></TD></TR></TABLE>";
        }
        
###################
#
# PRINT_BASIC_CHOSEN_EDITOR
#
###################
sub print_basic_chosen_editor {
        print"</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD>
        <div ID=\"mc_mode0\" style=\"display:block\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(1)\">$LANGUAGE{$set_language}{Advanced}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(2)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Equation}</i><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</B></div><div ID=\"mc_mode1\" style=\"display:none\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(2)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(0)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div><div ID=\"mc_mode2\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(1)\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Equation}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"mc_mode_display(0)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Advancedequationeditor} \" style=\"cursor: pointer\; font-size: 10pt\;\"onclick=\"go_qst_eq()\">$LANGUAGE{$set_language}{UseQSTEQ}</i></div></TD></TR></TABLE>";
        }

###################
#
# PRINT_BASIC_CHOSEN_EDITOR_P
#
###################
sub print_basic_chosen_editor_p {
        print"</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD>
        <div ID=\"p_mode0\" style=\"display:block\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"p_mode_display(1)\">$LANGUAGE{$set_language}{Advanced}</i><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</B></div>
        <div ID=\"p_mode1\" style=\"display:none\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"p_mode_display(0)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div>";
        }

###################
#
# PRINT_ADVANCED_CHOSEN_EDITOR_P
#
###################
sub print_advanced_chosen_editor_p {
        print"</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD>
        <div ID=\"p_mode0\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"p_mode_display(1)\">$LANGUAGE{$set_language}{Advanced}</i><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</B></div>
        <div ID=\"p_mode1\" style=\"display:block\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"p_mode_display(0)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div>";
        }

###################
#
# PRINT_ADVACNCED_CHOSEN_EDITOR_MA
#
###################
sub print_advanced_chosen_editor_ma {
        my %PACEMA = @_;
        my $mode_display0 = "$PACEMA{type}"."_mode_display(0)";
        my $mode_display1 = "$PACEMA{type}"."_mode_display(1)";
        my $mode_display2 = "$PACEMA{type}"."_mode_display(2)";
        my $mode0 = "$PACEMA{type}"."_mode0";
        my $mode1 = "$PACEMA{type}"."_mode1";
        my $mode2 = "$PACEMA{type}"."_mode2";
        print"</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><div ID=\"$mode0\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display1\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display2\">$LANGUAGE{$set_language}{Equation}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Basic}</B></div><div ID=\"$mode1\" style=\"display:block\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display2\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display0\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div><div ID=\"$mode2\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display1\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Equation}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display0\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Advancedequationeditor} \" style=\"cursor: pointer\; font-size: 10pt\;\"onclick=\"go_qst_eq()\">$LANGUAGE{$set_language}{UseQSTEQ}</i></div></TD></TR></TABLE>";
        }

###################
#
# PRINT_EQUATION_CHOSEN_EDITOR_MA
#
###################
sub print_equation_chosen_editor_ma {
        my %PECEMA = @_;
        my $mode_display0 = "$PECEMA{type}"."_mode_display(0)";
        my $mode_display1 = "$PECEMA{type}"."_mode_display(1)";
        my $mode_display2 = "$PECEMA{type}"."_mode_display(2)";
        my $mode0 = "$PECEMA{type}"."_mode0";
        my $mode1 = "$PECEMA{type}"."_mode1";
        my $mode2 = "$PECEMA{type}"."_mode2";
        print"</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD>
        <div ID=\"$mode0\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display1\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display2\">$LANGUAGE{$set_language}{Equation}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Basic}</b></div>
        
        <div ID=\"$mode1\" style=\"display:none\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display2\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display0\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div>
        
        <div ID=\"$mode2\" style=\"display:block\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display1\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Equation}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display0\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Advancedequationeditor} \" style=\"cursor: pointer\; font-size: 10pt\;\"onclick=\"go_qst_eq()\">$LANGUAGE{$set_language}{UseQSTEQ}</i></div></TD></TR></TABLE>";
        }
        
###################
#
# PRINT_BASIC_CHOSEN_EDITOR_MA
#
###################
sub print_basic_chosen_editor_ma {
        my %PBCEMA = @_;
        my $mode_display0 = "$PBCEMA{type}"."_mode_display(0)";
        my $mode_display1 = "$PBCEMA{type}"."_mode_display(1)";
        my $mode_display2 = "$PBCEMA{type}"."_mode_display(2)";
        my $mode0 = "$PBCEMA{type}"."_mode0";
        my $mode1 = "$PBCEMA{type}"."_mode1";
        my $mode2 = "$PBCEMA{type}"."_mode2";
        
        print"</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD>
        <div ID=\"$mode0\" style=\"display:block\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display1\">$LANGUAGE{$set_language}{Advanced}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display2\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Equation}</i><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</B></div>
        
        <div ID=\"$mode1\" style=\"display:none\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowEquationEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display2\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Equation}</i><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display0\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div>
        
        <div ID=\"$mode2\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display1\">$LANGUAGE{$set_language}{Advanced}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$LANGUAGE{$set_language}{Equation}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"$mode_display0\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<i data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Advancedequationeditor} \" style=\"cursor: pointer\; font-size: 10pt\;\"onclick=\"go_qst_eq()\">$LANGUAGE{$set_language}{UseQSTEQ}</i></div></TD></TR></TABLE>";
        }

##################
#
# QUESTION_MA
#
##################
sub question_ma {
	my %QMC = @_;

	print"<style>
	textarea\{ border-radius:.5em\; outline: none\; overflow:auto\; font-size:10pt\; font-family:Arial\;\}
	</style>\n";
	
 	print"<script>
         function AddImgSrcToEditor\(uRL,filedescrip) \{
         var ac = document.form1.active_ans.value\n";
 
         for (my $q=1; $q <= $ma_num; $q++) {
             print"if(ac==$q)\{
             \$(document).ready(function() {
             \$('#$q\summernote').summernote('insertImage','/schools/qst_files/'+uRL,''+filedescrip)
             })\;
             \}\n";
             }
         
         print"\}
         </script>\n";
        
        &eqform_answer();
        
	&print_javascript_begin();
	
	print"var file_windo\n";
	print"var view_files_left\n";
	print"var view_files_right\n";

	&print_function_ma_image_handler();
	&print_function_ma_image_delete_handler();
                
        print"function question_image_handler\(inn\) \{\n";
	print"file_windo = window.open\(\"\",\"file_windo\",\"top=40,left=50,height=500,width=700\"\)\n";
	print"file_windo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewSelectFile}<\/title><\/head>\'\)\n";
	print"file_windo.document.writeln\(\'<frameset cols=\\\"50\%,50\%\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_left\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_right\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<\/frameset>\'\)\n";
	print"file_windo.document.writeln\(\'<\/html>\'\)\n";
	print"file_windo.document.close()\n";
	print"file_windo.focus\(\)\n";
	print"mode = document.form1.ans_mode.value
	document.view_files.mode.value=mode
	document.view_files.targit.value=inn
	document.view_files.submit\(\)
	\}\n";
        
        &print_mode_display_answers_ma();
                        
        print"function set_ma_ans\(i_n\) \{
	var myfld = \'select\'+i_n+\'ma\'\;
	var ma = self.parent.quest1.document.question_form.elements[myfld].value
        if(i_n == ma) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                \}
	\}\n";
	
	print"function set_ma_ansm\(i_n\) \{
	var myfld = \'select\'+i_n+'mam'\;
	var ma = self.parent.quest1.document.question_form.elements[myfld].value
        if(i_n == ma) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                \}
	\}\n";
	
	print"function set_ma_ans_eq\(i_n\) \{
	var myfld = \'select\'+i_n+'maeq'\;
	var ma = self.parent.quest1.document.question_form.elements[myfld].value
	if(i_n == ma) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                \}
	\}\n";
	
	print"function set_kolums\(i_n\) \{
	var e = document.getElementById(\"kolumms\");
        var num = e.options[e.selectedIndex].value;
	self.parent.quest1.document.question_form.kolum.value = num\;
	\}\n";
	
	print"function Show_Next_Row(i_nn,num,old) \{
	var an = 'ans'+i_nn
	var nxt = 'ans'+num
	var dispans = 'dispans'+i_nn
	var disp = 'disp'+i_nn
	var dis = 'dis'+old
	var dispold = 'disp'+old

	Show_Ans(an)
	Show_Ans(dispans)
	if(i_nn < $ma_num) \{
                Show_Ans(nxt)
                \}

	if(old > 3) \{
                var myfld = \'image\'+old\;
                var img = self.parent.quest1.document.question_form.elements[myfld].value
                if(img > 0) \{
                        \}
                else \{
                        Show_Ans(dispold)
                        Show_Ans(dis)
                        \}
                \}

        var x = document.getElementById(disp)\;

        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
        \} else \{
                x.style.display = \"none\"\;
                \}
	\} \n";

	
	print"function Show_Next_Edit_Row(i_nn,num,old) \{
	var disp = 'mdisp'+i_nn
        var an = 'mans'+i_nn
	var nxt = 'mans'+num
	var dispans = 'mdispans'+i_nn
	
	Show_Ans(an)
	Show_Ans(dispans)
	
        Show_Ans(nxt)
        
        if(old > 3) \{
                var xold = 'X'+old
                var xnum = document.getElementById(xold)\;
                xnum.style.display = \"none\"\;
                }
                
        var x = document.getElementById(disp)\;

        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
        \} else \{
                x.style.display = \"none\"\;
                \}
	\} \n";

	print"function Show_Next_Edit_Row2(i_nn,nxt,prev) \{
        var an = 'manseq'+i_nn
	var nxt = 'manseq'+nxt
	var dispans = 'madispanseq'+i_nn
	
        Hide_Ans_eq(an)
	Show_Ans_eq(dispans)
	
	if(i_nn < $mc_num) \{
            Show_Ans(nxt)
            \}
            
        if(i_nn > 4) \{
                if(prev > 4) \{
                    var xprev = 'Xmaeq'+prev
                    Hide_Ans_eq(xprev)
                    \}
                var xnxt = 'Xmaeq'+i_nn
                Show_Ans_eq(xnxt)
                \}
	\} \n";
	
	print"function Remove_Row(i_nn,num,old) \{
	var an = 'ans'+i_nn
	var nxt = 'ans'+num
	var dispans = 'dispans'+i_nn
	var disp = 'disp'+i_nn
	var sel = 'select'+i_nn
	var dis = 'dis'+old
	var dispold = 'disp'+old
	var uklik= 'select'+i_nn+'ma'
	var unklik = 'MAans'+i_nn
	var imag = 'image'+i_nn

	document.form1.elements[unklik].checked = false\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;
	
	Show_Ans(an)
	Show_Ans(dispans)
        if(num <= $ma_num) \{
                Show_Ans(nxt)
                }
	Show_Ans(disp)
        
	if(i_nn == 5) \{
                self.parent.quest1.document.question_form.select5.value=\"\"
                self.parent.quest1.document.question_form.image5.value = \"\"\;
                document.form1.select5.value=\"\"
                Show_Ans(dis)
                \}
        else if(i_nn > 5) \{
                var myfld = \'image\'+i_nn\;
                var prefld = \'image\'+old\;
                var selectfld = \'select\'+i_nn\;
                var img = self.parent.quest1.document.question_form.elements[imag].value
                
                self.parent.quest1.document.question_form.elements[imag].value = \"\"\;
                self.parent.quest1.document.question_form.elements[myfld].value=\"\"
                self.parent.quest1.document.question_form.elements[selectfld].value=\"\"
                document.form1.elements[selectfld].value=\"\"

                if(img > 0) \{
                        \}
                else \{
                        Show_Ans(dispold)
                        Show_Ans(dis)
                        \}
                \}
	} \n";
	
	print"function Remove_Row_Mode1(i_nn,num,old) \{
	var an = 'mans'+i_nn
	var nxt = 'mans'+num
	var dispans = 'mdispans'+i_nn
	var disp = 'mdisp'+i_nn
	var sel = 'select'+i_nn+'mam'
	var dis = 'mdis'+old
	var dispold = 'mdisp'+old
	var uklik= 'select'+i_nn+'mam'
	var unklik = 'MAans'+i_nn
	document.form1.elements[unklik].checked = false\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;
 
	Show_Ans(an)
	Show_Ans(dispans)

	if(old > 3) \{
                var xold = 'X'+old

                var xnum = document.getElementById(xold)\;
                xnum.style.display = \"block\"\;
                }

        if(num <= $ma_num) \{
                Show_Ans(nxt)
                }

	if(i_nn == 4) \{
                var selectfld = \'select\'+i_nn+'mam'\;

                self.parent.quest1.document.question_form.elements[selectfld].value=\"\"
                
                self.parent.quest1.document.question_form.select4.value=\"\"
                \$(document).ready(function() {
                    \$('#4summernote').summernote('code','');
                    })\;

                Show_Ans(dis)
                \}\n";
                
         for (my $t=5; $t <= $ma_num; $t++) {
                print"else if(i_nn == $t) \{
                var selectfld = \'select\'+i_nn+'mam'\;

                self.parent.quest1.document.question_form.elements[selectfld].value=\"\"
                
                \$(document).ready(function() {
                    \$('#$t\summernote').summernote('code','');
                    })\;
                    
                Show_Ans(dispold)
                Show_Ans(dis)
                \}\n";
                }
                
	print"\} \n";
	
	print"function Remove_Row_Mode2(i_nn,next,prev) \{
	var an = 'manseq'+i_nn
	var nxt = 'manseq'+next
	var dispans = 'madispanseq'+i_nn
	var uklik= 'select'+i_nn
	var unklik = 'MAanseq'+i_nn
	var inpt = 'mainputeq'+i_nn
	var i_n = 'Xmaeq'+i_nn
        var xprev = 'Xmaeq'+prev
        
	document.form1.elements[unklik].checked = false\;
	document.form1.elements[inpt].value=\"\"\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;
	
	Show_Ans_eq(an)
	Hide_Ans_eq(i_n)
	Hide_Ans_eq(dispans)
	
       if(next <= $mc_num) \{
                Hide_Ans_eq(nxt)
                \}
                
	if(prev > 4) \{
                Show_Ans_eq(xprev)
                \}\n";
                
	print"\} \n";
	
	print"function Hide_Ans_eq(i_nn) \{
        var x = document.getElementById(i_nn)\;
        x.style.display = \"none\"\;
        \} \n";
        
        print"function Show_Ans_eq(i_nn) \{
        var x = document.getElementById(i_nn)\;
        x.style.display = \"block\"\;
        \} \n";
        
	
	print"function Show_Ans(i_nn) \{
        var x = document.getElementById(i_nn)\;
        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
                \} 
        else \{
                x.style.display = \"none\"\;
                \}
        \} \n";

	print"function Show_Ans(i_nn) \{
        var xy = document.getElementById(i_nn)

        if (xy.style.display === \"none\") \{
                xy.style.display = \"block\"\;
                \} 
        else \{
                xy.style.display = \"none\"\;
                \}
        \} \n";

        print"function set_active_ans(i_nn) \{
        document.form1.active_ans.value=i_nn
        \} \n";
        
        
        print"function Numbering(i_nn) \{
        if(i_nn == \'nu2\') \{
                var x = document.getElementById(i_nn)\;
                x.style.display = \"block\"\;
                var inn = \'nu1\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                
                var inn = \'nu\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                \}
        else \{
                var x = document.getElementById(i_nn)\;
                x.style.display = \"block\"\;
                var inn = \'nu2\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                
                var inn = \'nu\'
                var y = document.getElementById(inn)\;
                y.style.display = \"block\"\;
                \}
        \} \n";
        
	print"function Show_Image(i_nn) \{
        var x = document.getElementById(i_nn)\;
        var num = i_nn.replace( /[^0-9]/g, '' );
        var dsplay = 'display'+num
        var w = document.getElementById(dsplay)\;
        var dis = 'dis'+num
	var z = document.getElementById(dis)\;
	var dispp = 'disp'+num
	var d = document.getElementById(dispp)\;
	
        num++\;
        var disp = 'disp'+num
        var disply = 'display'+num
        var  u = document.getElementById(disply)\;

	if(num < 5) \{
                x.style.display = \"block\"\;
                d.style.display = \"none\"\;
                \}
	else \{
                if (x.style.display === \"none\") \{
                        var y = document.getElementById(disp)\;
                        
                        if (y.style.display === \"block\" || u.style.display === \"block\") \{
                                if(z.style.display === \"block\") \{
                                        z.style.display = \"none\"\;
                                        x.style.display = \"block\"\;
                                        \}
                                else \{
                                        x.style.display = \"none\"\;
                                        \}
                                \}
                        else \{
                                x.style.display = \"block\"\;
                                d.style.display = \"none\"\;
                                \}
                        \} 
                
                \}
        \} \n";

        print"function Show_Im(i_nn) \{	
        var x = document.getElementById(i_nn)\;
        var num = i_nn.replace( /[^0-9]/g, '' );
        var digit = num\;
        var displ = 'disp'+num
	var z = document.getElementById(displ)\;
	var dis = 'dis'+num
	var w = document.getElementById(dis)\;

        num++\;
        var disp = 'disp'+num
        var y = document.getElementById(disp)\;
        var disply = 'display'+num
        var  u = document.getElementById(disply)\;
        
        if(digit < 4) \{
                x.style.display = \"none\"\;
                z.style.display = \"block\"\;
                \}
        else \{
                x.style.display = \"none\"\;
                if (z.style.display === \"block\") \{
                        \} 
                else \{
                       if (y.style.display === \"block\" || u.style.display === \"block\") \{
                                w.style.display = \"block\"
                                \}
                        else \{
                                if(y.style.display === \"none\" || u.style.display === \"none\") \{
                                        z.style.display = \"block\"
                                        \}
                                else \{
                                        w.style.display = \"block\"
                                        \}
                                \}
                        \}
                \}
        \} \n";

	&print_javascript_end();

        &print_form("form_name","eq_quest","form_target","MathJaax","input","print_eq_quest_ans","u_id","$QMC{u_id}","session_id","$QMC{session_id}","type","$QMC{type}","sub_type","$QMC{sub_type}");
        
        &print_form("form_name","view_files","form_target","view_files_left","input","view_select_mc_files","targit","","u_id","$QMC{u_id}","session_id","$QMC{session_id}","mode","","expand","1");

	print"<FORM name=\"form1\"><input type=\"hidden\" name=\"ans_mode\" value=\"$QMC{ans_mode}\"><input type=\"hidden\" name=\"active_ans\" value=\"\">\n";
	
	
	
    #### SURVEYS
	if($QMC{sub_type} == 2) {
                print"<TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-family:Arial\; font-size: 11pt\;\">$LANGUAGE{$set_language}{Columns} </font>&nbsp\;";
		
		if($QMC{kolum} > 1) {
                        print"<SELECT name=\"kolum\" style=\"font-family:Arial\; font-size: 10pt\;\">\n";
                        
                        for (my $in = 1; $in <= 3; ++$in) {
                                if($QMC{kolum} == $in) {
                                        print"<option value=\"$in\" selected>$in</option>\n";
                                        }
                                else {
                                        print"<option value=\"$in\">$in</option>\n";
                                        }
                                }
                                
                        if($QMC{ans_mode} == 1) {
                                print"</select></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><div ID=\"ma_mode0\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"Show $LANGUAGE{$set_language}{Advanced} Editor\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"ma_mode_display()\">$LANGUAGE{$set_language}{Advanced}</i><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</B></div><div ID=\"ma_mode1\" style=\"display:block\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"ma_mode_display()\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div></TD></TR></TABLE>";
                                }
                        else {
                                print"</select></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><div ID=\"ma_mode0\" style=\"display:block\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"ma_mode_display()\">$LANGUAGE{$set_language}{Advanced}</i><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</B></div><div ID=\"ma_mode1\" style=\"display:none\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"ma_mode_display()\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div></TD></TR></TABLE>";
                                }
                        }
                else {
                        print"<SELECT name=\"kolum\" style=\"font-family:Arial\; font-size: 10pt\;\"> 
                        <option value=\"1\" selected>1</option>
                        <option value=\"2\">2</option>
                        <option value=\"3\">3</option></select>";
                        
                        if($QMC{ans_mode} == 1) {
                                print"</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><div ID=\"ma_mode0\" style=\"display:none\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"ma_mode_display()\">$LANGUAGE{$set_language}{Advanced}</i><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</B></div><div ID=\"ma_mode1\" style=\"display:block\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"ma_mode_display()\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div></TD></TABLE>";
                                }
                        else {
                                print"</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD><div ID=\"ma_mode0\" style=\"display:block\;\"><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowAdvancedEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"ma_mode_display(1)\">$LANGUAGE{$set_language}{Advanced}</i><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</B></div><div ID=\"ma_mode1\" style=\"display:none\;\"><B>$LANGUAGE{$set_language}{Advanced}</B><i data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{ShowBasicEditor}\" STYLE=\"cursor: pointer\; font-family:Arial\; font-size: 11pt\;\" OnClick=\"ma_mode_display()\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Basic}</i></div></TD></TABLE>";
                                }
                        }

                        
                        
            #### PRINT BASIC MODE SURVEYS
                if($QMC{ans_mode} == 1) {
                        print"<div ID =\"ma_mode_disply0\" style=\"display:none\;\"><BR><TABLE border=\"0\">\n";
                        }
                else {
                        print"<div ID =\"ma_mode_disply0\" style=\"display:block\;\"><BR><TABLE border=\"0\">\n";
                        }
		my $end = 0;
		for (my $i = 1; $i <= $ma_num; ++$i) {
			my $select = "select"."$i";
			my $selecta = "select"."$i"."ma";
			my $image = "image"."$i";
			my $image_name = "$image"."name";
			my $next = $i;
			++$next;
			my $next_image = "image"."$next";
			
			print"<TR><TD>";
			
			if($i < 4) { # for the first 3 answers
                                print"<TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                
                                if($QMC{answer} == $i || $QMC{$selecta} == $i) {
                                        print"<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" disabled onClick=\"set_ma_ans\(\'$i\'\)\" checked>\n";
                                        }
                                else {
                                        print"<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" disabled onClick=\"set_ma_ans\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;<textarea style=\"resize\:none\; overflow:auto\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"53\" maxlength=\"75\" name=\"select$i\" placeholder=\" $LANGUAGE{$set_language}{Enterananswerhere}\" value=\"\">$QMC{$select}</textarea></TD><TD>\n";
                                
                                
                                if($QMC{$image_name} ne"") {
                                        print"<div ID=\"display$i\" style=\"display:block\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; border-radius:.5em\; font-family\:Arial\; font-size\: 8pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" OnClick=\"ma_image_delete_handler\(\'$image\'\)\"> X</B></div>\n";
                                
                                        print"<div ID=\"disp$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"Insert image\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                        }
                                        
                                else {
                                        print"<div ID=\"disp$i\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"Insert image\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
	   		
                                        print"<div ID=\"display$i\" style=\"display:none\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\;  font-size\: 8pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" OnClick=\"ma_image_delete_handler\(\'$image\'\)\"> X</B></div>\n";
                                        }
                                        
                                print"</TD></TR></TABLE>\n";
                                print"<BR>";
                                }
                                
                        else { # for 4 through ma_num
                                print"<TABLE><TR><TD>";
                                my $nu = $i + 1;
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";

                                ### ADD another row DISPLAY +
                                if($QMC{ans_mode} == 1 && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                elsif(!defined $QMC{$select} && !defined $QMC{$image} && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                else {
                                        print"<div ID=\"ans$i\" style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Row\(\'$i\',$nu,$old\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;+</font></B></div>\n";
                                        
                                ### DISPLAY CHECKBOX button and answer
                                if($QMC{answer} == $i && $QMC{ans_mode} != 1) {
                                        print"<span ID=\"dispans$i\" style=\"display:block\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" disabled>\n";
                                        }
                                elsif ((defined $QMC{$select} && $QMC{ans_mode} != 1) || $QMC{$image} > 0){
                                        print"<span ID=\"dispans$i\" style=\"display:block\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" disabled>\n";
                                        }
                                else {
                                        print"&nbsp\;<span ID=\"dispans$i\" style=\"display:none\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" disabled>\n";
                                        }
                                
                                print"&nbsp\;</TD><TD><textarea style=\"resize\:none\; overflow:auto\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"53\" maxlength=\"75\" name=\"select$i\" value=\"\">";
                                
                                if($QMC{ans_mode} != 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></span></TD></TR></TABLE></TD><TD>\n";
                                
                                
                                ### Display image name
                                if($QMC{$image} ne"" && $QMC{$image} > 0) {
                                        print"<div ID=\"display$i\" style=\"display:block\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 8pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" OnClick=\"ma_image_delete_handler\(\'$image\'\)\"> X</B></div>\n";
                                
                                        print"<div ID=\"dis$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\"STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
        
                                        print"<div ID=\"disp$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">X</B></div>\n";
                                        }
                                else {
                                        if(defined $QMC{$select} && !defined $QMC{$next_select} && $QMC{ans_mode} != 1) {
                                                print"<div ID=\"disp$i\" style=\"display:block\;\">\n";
                                                }
                                        else{
                                                print"<div ID=\"disp$i\" style=\"display:none\;\">\n";
                                                }

                                        print"<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                        
                                        if(!defined $QMC{$next_select} && !defined $QMC{$next_image}) {
                                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\"> X</B></div>\n";
                                                }
                                        elsif($QMC{ans_mode} == 1) {
                                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\"> X</B></div>\n";
                                                }
                                        else {
                                                print"</div>\n";
                                                }
                                        
                                        ## Insert file
                                        if(defined $QMC{$select} && defined $QMC{$next_select} && $QMC{ans_mode} != 1) {
                                                print"<div ID=\"dis$i\" style=\"display:block\;\">\n";
                                                }
                                        else {
                                                print"<div ID=\"dis$i\" style=\"display:none\;\">\n";
                                                }
                                                
                                        print"<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                                
                                        print"<div ID=\"display$i\" style=\"display:none\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 8pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" OnClick=\"ma_image_delete_handler\(\'$image\'\)\"> X</B></div>\n";
                                        }
                                print"</TD></TR></TABLE>\n";
                                }
                        }
                        
                print"</TABLE></div>\n";
                
                
            #### PRINT ADVANCED MODE SURVEYS
                if($QMC{ans_mode} == 1) {
                        print"<div ID =\"ma_mode_disply1\" style=\"display:block\;\"><TABLE border=\"0\">\n";
                        }
                else {
                        print"<div ID =\"ma_mode_disply1\" style=\"display:none\;\"><TABLE border=\"0\">\n";
                        }
                        
                 &print_m_editor();
                
                my $i = 1;
                $end = 0;
		while($i <= $mc_num) {
			my $select = "select"."$i";
			my $selecta = "select"."$i"."ma";
			my $selectmam = "select"."$i"."mam";
			my $next = $i;
			++$next;
			
			if($i < 4) { # for the first 3 answers
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                
                                print"<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm$i\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\" disabled>\n";
                                        

                                print"&nbsp\;</TD><TD>&nbsp\;&nbsp\;<span onClick=\"set_active_ans(\'$i\')\"> <textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\">";
                                
                                if($QMC{ans_mode} == 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></span></TD></TR></TABLE>\n";
                                }
                                
                        else { # for 4 through ma_num
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;";
                                my $nu = $i + 1; 
                                my $old = $i - 1;
                                my $selectmam = "select"."$i"."mam";
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";
                                my $show;

                                if(!defined $QMC{$select} && $end == 0) {
                                        print"<span ID=\"mans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                elsif($QMC{ans_mode} == 0 && $end == 0) {
                                        print"<span ID=\"mans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                else {
                                        print"<span ID=\"mans$i\" style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Edit_Row\(\'$i\',\'$nu\',\'$old\'\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;+</font></B></span>\n";
 
                                        
                                if (defined $QMC{$select} && $QMC{ans_mode} == 1){
                                        print"<span ID=\"mdispans$i\" style=\"display:block\;\">\n";
                                        print"<TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\" disabled>&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\">$QMC{$select}</textarea></span></TD>\n";
                                        
                                        if(!defined $QMC{$next_select} ) {
                                                print"<TD><span ID=\"X$i\" style=\"display:block\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                                }
                                        else {
                                                 print"<TD><span ID=\"X$i\" style=\"display:none\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                                }
                                        }
                                        
                                else {
                                        print"<span ID=\"mdispans$i\" style=\"display:none\;\">\n";
                                        print"<TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\"disabled>&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\"></textarea></span></TD>";
                                        
                                        if(!defined $QMC{$next_select} ) {
                                                print"<TD><span ID=\"X$i\" style=\"display:block\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                                }
                                        else {
                                                 print"<TD><span ID=\"X$i\" style=\"display:none\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                                }
                                        }
                                                
                                print"</TR></TABLE>\n";
                                }
                        ++$i;
                        }
                        
                print"</TABLE></div>\n";
                
                print"</FORM>\n";
		}
	
	
	
    #### QUIZZES/TESTS
    
	else { # sub_type 1
		print"<TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image21&nbsp\;</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-family:Arial\; font-size: 11pt\;\">$LANGUAGE{$set_language}{Columns} </font>&nbsp\;";
		
		if($QMC{kolum} > 1) {
                        print"<SELECT name=\"kolum\" style=\"font-family:Arial\; font-size: 10pt\;\">\n";
                        
                        for (my $in = 1; $in <= 3; ++$in) {
                                if($QMC{kolum} == $in) {
                                        print"<option value=\"$in\" selected>$in</option>\n";
                                        }
                                else {
                                        print"<option value=\"$in\">$in</option>\n";
                                        }
                                }
                        }
                else {
                        print"<SELECT name=\"kolum\" style=\"font-family:Arial\; font-size: 10pt\;\"> 
                        <option value=\"1\" selected>1</option>
                        <option value=\"2\">2</option>
                        <option value=\"3\">3</option></select>";
                        }

                 # PRINT EDITOR LINE
                if($QMC{ans_mode} == 1) {
                        &print_advanced_chosen_editor_ma("type","ma");
                        }
                                
                elsif($QMC{ans_mode} == 2) {
                        &print_equation_chosen_editor_ma("type","ma");
                        }
                                
                else {
                        &print_basic_chosen_editor_ma("type","ma");
                        }
                        
                        
            #### PRINT BASIC MODE QUIZZES/TESTS
                if($QMC{ans_mode} == 0) {
                        print"<div ID =\"ma_mode_disply0\" style=\"display:block\;\"><BR><TABLE border=\"0\">\n";
                        }
                else {
                        print"<div ID =\"ma_mode_disply0\" style=\"display:none\;\"><BR><TABLE border=\"0\">\n";
                        }
                        
		my $end = 0;
		for (my $i = 1; $i <= $ma_num; ++$i) {
			my $select = "select"."$i";
			my $selectma = "select"."$i"."ma";
			my $image = "image"."$i";
			my $image_name = "$image"."name";
			my $next = $i;
			++$next;
			my $next_image = "image"."$next";
			
			print"<TR><TD>";
			
			if($i < 4) { # for the first 3 answers
                                print"<TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                if($QMC{$selectma} == $i && $QMC{ans_mode} == 0) {
                                        print"<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" onClick=\"set_ma_ans\(\'$i\'\)\" checked>\n";
                                        }
                                else {
                                        print"<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" onClick=\"set_ma_ans\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;</TD><TD>&nbsp\;<textarea style=\"resize\:none\; overflow:auto\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"60\" maxlength=\"75\" name=\"select$i\" ";
                                
                                if($i < 3 && $QMC{$select} ne "") {
                                        print"placeholder=\" Enter answer here.\" value=\"\"";
                                        }
                                        
                                print">";
                                
                                if($QMC{ans_mode} == 0) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></TD><TD>\n";
                                
                                if($QMC{$image_name} ne"") {
                                        print"<div ID=\"display$i\" style=\"display:block\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; border-radius:.5em\; font-family\:Arial\; font-size\: 8pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" OnClick=\"ma_image_delete_handler\(\'$image\'\)\"> X </B></div>\n";
                                
                                        print"<div ID=\"disp$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                        }
                                         
                                else {
                                        print"<div ID=\"disp$i\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
	   		
                                        print"<div ID=\"display$i\" style=\"display:none\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\;  font-size\: 8pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" OnClick=\"ma_image_delete_handler\(\'$image\'\)\"> X </B></div>\n";
                                        }
                                        
                                print"</TD></TR></TABLE>\n";
                                print"<BR>";
                                }
                                
                        else { # for 4 through ma_num
                                print"<TABLE><TR><TD>";
                                my $nu = $i + 1;
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";

                                ### ADD another row DISPLAY +
                                if($QMC{ans_mode} == 1 && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                elsif(!defined $QMC{$select} && !defined $QMC{$image} && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                else {
                                        print"<div ID=\"ans$i\" style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Row\(\'$i\',$nu,$old\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;+</font></B></div>\n";
                                        
                                ### DISPLAY RADIO button and answer
                                if($QMC{$selectma} == $i && $QMC{ans_mode} == 0) {
                                        print"<span ID=\"dispans$i\" style=\"display:block\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" onClick=\"set_ma_ans\(\'$i\'\)\" checked>\n";
                                        }
                                elsif ((defined $QMC{$select} && $QMC{ans_mode} == 0) || $QMC{$image} > 0){
                                        print"<span ID=\"dispans$i\" style=\"display:block\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" onClick=\"set_ma_ans\(\'$i\'\)\">\n";
                                        }
                                else {
                                        print"<span ID=\"dispans$i\" style=\"display:none\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" onClick=\"set_ma_ans\(\'$i\'\)\">\n";
                                        }
                                
                                print"&nbsp\;</TD><TD>&nbsp\;<textarea style=\"resize\:none\; overflow:auto\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"60\" maxlength=\"75\" name=\"select$i\" value=\"\">";
                                
                                if($QMC{ans_mode} == 0) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></span></TD></TR></TABLE></TD><TD>\n";
                                
                                
                                ### Display image name
                                if($QMC{$image} ne"" && $QMC{$image} > 0) {
                                        print"<div ID=\"display$i\" style=\"display:block\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 8pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" OnClick=\"ma_image_delete_handler\(\'$image\'\)\"> X </B></div>\n";
                                
                                        print"<div ID=\"dis$i\"  style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
        
                                        print"<div ID=\"disp$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">X</B></div>\n";
                                        }
                                else {
                                        if(defined $QMC{$select} && !defined $QMC{$next_select} && $QMC{ans_mode} != 1) {
                                                print"<div ID=\"disp$i\" style=\"display:block\;\">\n";
                                                }
                                        else{
                                                print"<div ID=\"disp$i\" style=\"display:none\;\">\n";
                                                }

                                        print"<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                        
                                        if(!defined $QMC{$next_select} && !defined $QMC{$next_image}) {
                                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\"> X</B></div>\n";
                                                }
                                        elsif($QMC{ans_mode} == 1) {
                                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\"> X</B></div>\n";
                                                }
                                        else {
                                                print"</div>\n";
                                                }
                                        
                                        ## Insert file
                                        if(defined $QMC{$select} && defined $QMC{$next_select} && $QMC{ans_mode} == 0) {
                                                print"<div ID=\"dis$i\" style=\"display:block\;\">\n";
                                                }
                                        else {
                                                print"<div ID=\"dis$i\" style=\"display:none\;\">\n";
                                                }
                                                
                                        print"<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                                
                                        print"<div ID=\"display$i\" style=\"display:none\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 8pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{RemoveImage}\" OnClick=\"ma_image_delete_handler\(\'$image\'\)\"> X </B></div>\n";
                                        }
                                print"</TD></TR></TABLE><BR>\n";
                                }
                        }
                        
                print"</TABLE></div>\n";
                
                
            #### PRINT ADVANCED MODE QUIZZES/TESTS
                if($QMC{ans_mode} == 1) {
                        print"<div ID =\"ma_mode_disply1\" style=\"display:block\;\"><TABLE border=\"0\"><TR><TD>\n";
                        }
                else {
                        print"<div ID =\"ma_mode_disply1\" style=\"display:none\;\"><TABLE border=\"0\"><TR><TD>\n";
                        }
                        
                &print_m_editor();
                
                my $i = 1;
                $end = 0;
		while($i <= $mc_num) {
			my $select = "select"."$i";
			my $selectmam = "select"."$i"."mam";
			my $next = $i;
			++$next;
			
			if($i < 4) { # for the first 3 answers
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                if($QMC{$selectmam} == $i && $QMC{ans_mode} == 1) {
                                        print"<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm$i\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\" checked>\n";
                                        }
                                        
                                else {
                                        print"<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm$i\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;</TD><TD>&nbsp\;&nbsp\;<span onClick=\"set_active_ans(\'$i\')\"> <textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\">";
                                
                                if($QMC{ans_mode} == 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></span></TD></TR></TABLE>\n";
                                }
                                
                        else { # for 4 through ma_num
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;";
                                my $nu = $i + 1; 
                                my $old = $i - 1;
                                my $selectmam = "select"."$i"."mam";
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";
                                my $show;

                                if(!defined $QMC{$select} && $end == 0) {
                                        print"<span ID=\"mans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                elsif($QMC{ans_mode} == 0 && $end == 0) {
                                        print"<span ID=\"mans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                else {
                                        print"<span ID=\"mans$i\" style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Edit_Row\(\'$i\',\'$nu\',\'$old\'\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;+</font></B></span>\n";
 
                                if($QMC{$selectmam} == $i && $QMC{ans_mode} == 1) {
                                        print"<span ID=\"mdispans$i\" style=\"display:block\;\">\n";
                                        print"<TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\" checked>&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\">$QMC{$select}</textarea></span></TD>\n";
                                        
                                        if(!defined $QMC{$next_select} ) {
                                                print"<TD><span ID=\"X$i\" style=\"display:block\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                                }
                                        else {
                                                 print"<TD><span ID=\"X$i\" style=\"display:none\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                                }
                                        }
                                        
                                elsif (defined $QMC{$select} && $QMC{ans_mode} == 1){
                                        print"<span ID=\"mdispans$i\" style=\"display:block\;\">\n";
                                        print"<TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\">$QMC{$select}</textarea></span></TD>\n";
                                        
                                        if(!defined $QMC{$next_select} ) {
                                                print"<TD><span ID=\"X$i\" style=\"display:block\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                                }
                                        else {
                                                 print"<TD><span ID=\"X$i\" style=\"display:none\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                                }
                                        }
                                        
                                else {
                                        print"<span ID=\"mdispans$i\" style=\"display:none\;\">\n";
                                        print"<TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\"></textarea></span></TD>";
                                        
                                        if(!defined $QMC{$next_select} ) {
                                                print"<TD><span ID=\"X$i\" style=\"display:block\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                                }
                                        else {
                                                 print"<TD><span ID=\"X$i\" style=\"display:none\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                                }
                                        }
                                                
                                print"</TR></TABLE></TD></TR></TABLE>\n";
                                }
                        ++$i;
                        }
                        
                print"</TD></TR></TABLE></div>\n";
                
                
            # EQUATION MODE DIV
		if($QMC{ans_mode} == 2) {
                        print"<div ID =\"ma_mode_disply2\" style=\"display:block\;\"><TABLE border=\"0\"><TR><TD>\n";
                        }
                    
                else {
                        print"<div ID =\"ma_mode_disply2\" style=\"display:none\;\"><TABLE border=\"0\"><TR><TD>\n";
                        }
                        
            #### PRINT EQUATION MODE
                $end = 0;
		for (my $i = 1; $i <= $mc_num; ++$i) {
			my $select = "select"."$i";
			my $selectmaeq = "select"."$i"."maeq";
			
			if($i < 4) { # for the first 3 answers
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                
                                if($QMC{$selectmaeq} == $i && $QMC{ans_mode} == 2) {
                                        print"<input type=\"checkbox\" id=\"MAanseq$i\" name=\"MAansmeq\" value=\"$i\" onClick=\"set_ma_ans_eq\(\'$i\'\)\" checked>\n";
                                        }
                                else {
                                        print"<input type=\"checkbox\" id=\"MAanseq$i\" name=\"MAansmeq\" value=\"$i\" onClick=\"set_ma_ans_eq\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;</TD><TD>&nbsp\;&nbsp\;<span onClick=\"set_active_ans_eq(\'$i\')\"><center><div id=\"frameeq$i\"><textarea id=\"mainputeq$i\" name=\"maselecteq$i\" rows=\"3\" cols=\"65\">";
                                
                                if($QMC{ans_mode} == 2) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea><center><TABLE><TR><TD onclick=\"convert('mainputeq$i\','maoutputeq$i\','mahidep$i\')\" style=\"display:block\; cursor: pointer\; font-size:10pt\;\"><B>$LANGUAGE{$set_language}{Preview}</B></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD ID=\"mahidep$i\" style=\"display:none\; cursor: pointer\; font-size:10pt\;\" onclick=\"hide_preview('maoutputeq$i\','mahidep$i\')\"><B>$LANGUAGE{$set_language}{Hide}</B></TD></TR></TABLE></center><center><div id=\"maoutputeq$i\" style=\"clear:both\; background-image: linear-gradient(yellow , white)\;\"></div></center></span></TD></TR></TABLE>\n";
                                }
                                
                        else { # for 5 through mc_num
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;";
                                my $nu = $i + 1; 
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";
                                my $selectmaeq = "select"."$i"."maeq";
                                
                                print"<span ID=\"manseq$i\" ";
                                if(!defined $QMC{$select} && $end == 0) {
                                        print"style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                elsif($QMC{ans_mode} == 0 && $end == 0) {
                                        print"style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                else {
                                        print"style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Edit_Row2\(\'$i\',\'$nu\',\'$old\'\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;+</font></B></span>\n";
 
                                if($QMC{$selectmaeq} == $i && $QMC{ans_mode} == 2) { # correct question
                                        print"<div ID=\"madispanseq$i\" style=\"display:block\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAanseq$i\" name=\"MAansmeq\" value=\"$i\" onClick=\"set_ma_ans_eq\(\'$i\'\)\" checked>&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans_eq(\'$i\')\"><textarea  id=\"mainputeq$i\" name=\"maselecteq$i\" rows=\"3\" cols=\"65\">$QMC{$select}</textarea>";
                                        }
                                elsif (defined $QMC{$select} && $QMC{ans_mode} == 2) { # answer but not correct
                                        print"<div ID=\"madispanseq$i\" style=\"display:block\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAanseq$i\" name=\"MAansmeq\" value=\"$i\" onClick=\"set_ma_ans_eq(\'$i\')\">&nbsp\;&nbsp\;</TD><TD><textarea onClick=\"set_active_ans_eq(\'$i\')\" id=\"mainputeq$i\" name=\"maselecteq$i\" rows=\"3\" cols=\"65\">$QMC{$select}</textarea>";
                                        }
                                else {
                                        print"<div ID=\"madispanseq$i\" style=\"display:none\;\"><TABLE><TR><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input type=\"checkbox\" id=\"MAanseq$i\" name=\"MAansmeq\" value=\"$i\" onClick=\"set_ma_ans_eq(\'$i\')\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans_eq(\'$i\')\"><textarea  id=\"mainputeq$i\" name=\"maselecteq$i\" rows=\"3\" cols=\"65\"></textarea>";
                                        }
                                        
                                print"<center><TABLE><TR><TD onclick=\"convert('mainputeq$i\','maoutputeq$i\','mahidep$i\')\" style=\"display:block\; cursor: pointer\; font-size:10pt\;\"><B>$LANGUAGE{$set_language}{Preview}</B></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD ID=\"mahidep$i\" style=\"display:none\; cursor: pointer\; font-size:10pt\;\" onclick=\"hide_preview('maoutputeq$i\','mahidep$i\')\"><B>$LANGUAGE{$set_language}{Hide}</B></TD></TR></TABLE></center></div><center><div id=\"maoutputeq$i\" style=\"clear:both\; background-image: linear-gradient(yellow , white)\;\"></div></center></TD>\n";
                                
                                if(!defined $QMC{$next_select} ) {
                                        print"<TD><span ID=\"Xmaeq$i\" style=\"display:block\;\">";
                                        }
                                else {
                                        print"<TD><span ID=\"Xmaeq$i\" style=\"display:none\;\">";
                                        }
                                        
                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode2(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                        
                                print"</TR></TABLE></TD></TR></TABLE>\n";
                                }
                        } # end for
                        
                print"</TD></TR></TABLE></div>\n";
            
                print"</FORM>\n";
		}
	}

##################
#
# QUESTION_MX
#
##################
sub question_mx {
	my %QMC = @_;

	print"<style>
	textarea\{ border-radius:.5em\; outline: none\; overflow:auto\; font-size:10pt\; font-family:Arial\;\}
	</style>\n";
	
	&print_javascript_begin();
	
	print"var file_windo\n";
	print"var view_files_left\n";
	print"var view_files_right\n";

	&print_function_ma_image_handler();
	&print_function_ma_image_delete_handler();

        print"function set_mx_ans\(i_n\) \{
	var myfld = \'select\'+i_n+\'mx\'\;
	var ma = self.parent.quest1.document.question_form.elements[myfld].value
        if(i_n == ma) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                \}
	\}\n";
	
	print"function Show_Next_Row(i_nn,num,old) \{
	var an = 'ans'+i_nn
	var nxt = 'ans'+num
	var dispans = 'dispans'+i_nn
	var disp = 'disp'+i_nn
	var dis = 'dis'+old
	var dispold = 'disp'+old

	Show_Ans(an)
	Show_Ans(dispans)
	if(i_nn < $mx_num) \{
                Show_Ans(nxt)
                \}

	if(old > 3) \{
                var myfld = \'image\'+old\;
                var img = self.parent.quest1.document.question_form.elements[myfld].value
                if(img > 0) \{
                        \}
                else \{
                        Show_Ans(dispold)
                        Show_Ans(dis)
                        \}
                \}

        var x = document.getElementById(disp)\;

        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
        \} else \{
                x.style.display = \"none\"\;
                \}
	\} \n";

	
	
	print"function Remove_Row(i_nn,num,old) \{
	var an = 'ans'+i_nn
	var nxt = 'ans'+num
	var dispans = 'dispans'+i_nn
	var disp = 'disp'+i_nn
	var sel = 'select'+i_nn
	var dis = 'dis'+old
	var dispold = 'disp'+old
	var uklik= 'select'+i_nn+'ma'
	var unklik = 'MAans'+i_nn
        var imag = 'image'+i_nn
        
	document.form1.elements[unklik].checked = false\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;
	
	Show_Ans(an)
	Show_Ans(dispans)
        if(num <= $mx_num) \{
                Show_Ans(nxt)
                }
	Show_Ans(disp)
        
	if(i_nn == 5) \{
                self.parent.quest1.document.question_form.select5.value=\"\"
                self.parent.quest1.document.question_form.image5.value = \"\"\;
                document.form1.select5.value=\"\"
                Show_Ans(dis)
                \}
        else if(i_nn > 5) \{
                var myfld = \'image\'+i_nn\;
                var prefld = \'image\'+old\;
                var selectfld = \'select\'+i_nn\;
                var img = self.parent.quest1.document.question_form.elements[imag].value
                
                self.parent.quest1.document.question_form.elements[imag].value = \"\"\;
                self.parent.quest1.document.question_form.elements[myfld].value=\"\"
                self.parent.quest1.document.question_form.elements[selectfld].value=\"\"
                document.form1.elements[selectfld].value=\"\"

                if(img > 0) \{
                        \}
                else \{
                        Show_Ans(dispold)
                        Show_Ans(dis)
                        \}
                \}
	} \n";

	print"function Show_Ans(i_nn) \{
        var x = document.getElementById(i_nn)\;
        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
                \} 
        else \{
                x.style.display = \"none\"\;
                \}
        \} \n";

        print"function Numbering(i_nn) \{
        if(i_nn == \'nu2\') \{
                var x = document.getElementById(i_nn)\;
                x.style.display = \"block\"\;
                var inn = \'nu1\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                
                var inn = \'nu\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                \}
        else \{
                var x = document.getElementById(i_nn)\;
                x.style.display = \"block\"\;
                var inn = \'nu2\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                
                var inn = \'nu\'
                var y = document.getElementById(inn)\;
                y.style.display = \"block\"\;
                \}
        \} \n";
        
	print"function Show_Image(i_nn) \{
        var x = document.getElementById(i_nn)\;
        var num = i_nn.replace( /[^0-9]/g, '' );
        var dsplay = 'display'+num
        var w = document.getElementById(dsplay)\;
        var dis = 'dis'+num
	var z = document.getElementById(dis)\;
	var dispp = 'disp'+num
	var d = document.getElementById(dispp)\;
	
        num++\;
        var disp = 'disp'+num
        var disply = 'display'+num
        var  u = document.getElementById(disply)\;

	if(num < 5) \{
                x.style.display = \"block\"\;
                d.style.display = \"none\"\;
                \}
	else \{
                if (x.style.display === \"none\") \{
                        var y = document.getElementById(disp)\;
                        
                        if (y.style.display === \"block\" || u.style.display === \"block\") \{
                                if(z.style.display === \"block\") \{
                                        z.style.display = \"none\"\;
                                        x.style.display = \"block\"\;
                                        \}
                                else \{
                                        x.style.display = \"none\"\;
                                        \}
                                \}
                        else \{
                                x.style.display = \"block\"\;
                                d.style.display = \"none\"\;
                                \}
                        \} 
                
                \}
        \} \n";
        

        print"function Show_Im(i_nn) \{	
        var x = document.getElementById(i_nn)\;
        var num = i_nn.replace( /[^0-9]/g, '' );
        var digit = num\;
        var displ = 'disp'+num
	var z = document.getElementById(displ)\;
	var dis = 'dis'+num
	var w = document.getElementById(dis)\;

        num++\;
        var disp = 'disp'+num
        var y = document.getElementById(disp)\;
        var disply = 'display'+num
        var  u = document.getElementById(disply)\;
        
        if(digit < 4) \{
                x.style.display = \"none\"\;
                z.style.display = \"block\"\;
                \}
        else \{
                x.style.display = \"none\"\;
                if (z.style.display === \"block\") \{
                        \} 
                else \{
                       if (y.style.display === \"block\" || u.style.display === \"block\") \{
                                w.style.display = \"block\"
                                \}
                        else \{
                                if(y.style.display === \"none\" || u.style.display === \"none\") \{
                                        z.style.display = \"block\"
                                        \}
                                else \{
                                        w.style.display = \"block\"
                                        \}
                                \}
                        \}
                \}
        \} \n";

	&print_javascript_end();
	&print_form("form_name","view_files","form_target","view_files_left","input","view_select_mx_files","targit","","u_id","$QMC{u_id}","session_id","$QMC{session_id}");

	print"<FORM name=\"form1\">\n";
	
	if($QMC{sub_type} == 2) { # survey
		print"<TABLE border=\"0\" bgcolor=\"F8F8F8\" width=\"100%\"></TABLE>\n";
		my $end = 0;
		for (my $i = 1; $i <= $mx_num; ++$i) {
			my $select = "select"."$i";
			my $selecta = "select"."$i"."mx";
			my $image = "image"."$i";
			my $image_name = "$image"."name";
			my $next = $i;
			$next++;
			my $next_image = "image"."$next";
			
			print"<TABLE border=\"0\">\n";
			print"<TR><TD>";
			if($i < 4) { # for the first 3 answers
                                print"&nbsp\;<textarea style=\"resize\:none\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"33\" maxlength=\"30\" name=\"select$i\" placeholder=\" $LANGUAGE{$set_language}{Enterananswerhere}\" value=\"\">$QMC{$select}</textarea></TD><TD>\n";
                                
                                print"</TD></TR>\n";
                                print"</TABLE>\n";
                                }
                                
                        else { # for 4 through mx_num
                                my $nu = $i + 1;
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";

                                if(!defined $QMC{$select} && !defined $QMC{$image} && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                else {
                                        print"<div ID=\"ans$i\" style=\"display:none\;\">\n";
                                       }
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Row\(\'$i\',$nu,$old\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">+</font></B></div>\n";
                                
                                print"&nbsp\;<textarea style=\"resize\:none\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"33\" maxlength=\"30\" name=\"select$i\" value=\"\">$QMC{$select}</textarea></TD><TD>\n";
                                
                                print"</TD></TR>\n";
                                print"</TABLE>\n";
                                }
                        }	
		print"</FORM>\n";
		}
		
	else { # QUIZZES/TESTS
		my $end = 0;
		my $plus = 0;
		for (my $i = 1; $i <= $mx_num; ++$i) {
			my $select = "select"."$i";
			my $selectx = "select"."$i"."mx";
			my $image = "image"."$i";
			my $image_name = "$image"."name";
			my $next = $i;
			$next++;
			my $next_image = "image"."$next";
			
			print"<center><TABLE border=\"0\">\n";
			print"<TR><TD STYLE=\"vertical-align: bottom\;\">";
			if($i < 4) { # for the first 3 answers
                                print"&nbsp\;<textarea style=\"resize\:none\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"33\" maxlength=\"30\" name=\"select$i\" placeholder=\" $LANGUAGE{$set_language}{Entertexthere}\" value=\"\">$QMC{$select}</textarea>\n";
                                
                                print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;<textarea style=\"resize\:none\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"33\" maxlength=\"30\" name=\"select$i\mx\" placeholder=\" $LANGUAGE{$set_language}{Entermatchingtexthere}\" value=\"\">$QMC{$selectx}</textarea></TD>\n";

                                print"</TR></TABLE>\n";
                                }
                                
                        else { # for 4 through mx_num
                                my $nu = $i + 1;
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";

                                # display the + or not
                                if(($QMC{$select} eq"" && $QMC{$selectx} eq"") && $plus == 0 ) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $plus = 1;
                                        $end = 1;
                                       }
                                else {
                                        print"<div ID=\"ans$i\" style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Row\(\'$i\',$nu,$old\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">+</font></B></div>\n";
                                
                                # display row or not
                                if((defined $QMC{$select} || defined $QMC{$selectx}) || $end == 0) {
                                        print"<div ID=\"dispans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                else {
                                        print"<div ID=\"dispans$i\" style=\"display:none\;\">\n";
                                       }
                                
                                print"&nbsp\;<textarea style=\"resize\:none\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"33\" maxlength=\"30\" name=\"select$i\" value=\"\" placeholder=\" Enter text here.\">$QMC{$select}</textarea>\n";
                                
                                print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;<textarea style=\"resize\:none\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"33\" maxlength=\"30\" name=\"select$i\mx\" placeholder=\" Enter matching text here.\" value=\"\">$QMC{$selectx}</textarea></div></TD>\n";
                                
                                print"</TR></TABLE></center>\n";
                                }
                        }
                print"</FORM>\n";
		}
	}

##################
#
# QUESTION_BANK_MA
#
##################
sub question_bank_ma {
	my %QMC = @_;

	print"<style>
	textarea\{ border-radius:.5em\; outline: none\; overflow:auto\; font-size:10pt\; font-family:Arial\;\}
	</style>\n";
	
	print"<script>
        function AddImgSrcToEditor\(uRL,filedescrip) \{
        var ac = document.form1.active_ans.value\n";

        for (my $q=1; $q <= $ma_num; $q++) {
            print"if(ac==$q)\{
            \$(document).ready(function() {
            \$('#$q\summernote').summernote('insertImage','/schools/qst_files/'+uRL,''+filedescrip)
            })\;
            \}\n";
            }
        
        print"\}
        </script>\n";
        
        &eqform_answer();
        
	&print_javascript_begin();
	
	print"var file_windo\n";
	print"var view_files_left\n";
	print"var view_files_right\n";

	&print_function_ma_image_handler();
	&print_function_ma_image_delete_handler();


	print"function question_image_handler\(inn\) \{\n";
	print"file_windo = window.open\(\"\",\"file_windo\",\"top=40,left=50,height=500,width=700\"\)\n";
	print"file_windo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewSelectFile}<\/title><\/head>\'\)\n";
	print"file_windo.document.writeln\(\'<frameset cols=\\\"50\%,50\%\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_left\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_right\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<\/frameset>\'\)\n";
	print"file_windo.document.writeln\(\'<\/html>\'\)\n";
	print"file_windo.document.close()\n";
	print"file_windo.focus\(\)\n";
	print"mode = document.form1.ans_mode.value
	document.view_files.mode.value=mode
	document.view_files.targit.value=inn
	document.view_files.submit\(\)
	\}\n";
        
        &print_mode_display_answers_ma();
                        
        print"function set_ma_ans\(i_n\) \{
	var myfld = \'select\'+i_n+\'ma\'\;
	var ma = self.parent.quest1.document.question_form.elements[myfld].value
        if(i_n == ma) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                \}
	\}\n";
	
	print"function set_ma_ansm\(i_n\) \{
	var myfld = \'select\'+i_n+'mam'\;
	var ma = self.parent.quest1.document.question_form.elements[myfld].value
        if(i_n == ma) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                \}
	\}\n";
	
	print"function set_ma_ans_eq\(i_n\) \{
	var myfld = \'select\'+i_n+'maeq'\;
	var ma = self.parent.quest1.document.question_form.elements[myfld].value
	if(i_n == ma) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                \}
	\}\n";
	
	print"function set_kolums\(i_n\) \{
	var e = document.getElementById(\"kolumms\");
        var num = e.options[e.selectedIndex].value;
	self.parent.quest1.document.question_form.kolum.value = num\;
	\}\n";
	
	print"function Show_Next_Row(i_nn,num,old) \{
	var an = 'ans'+i_nn
	var nxt = 'ans'+num
	var dispans = 'dispans'+i_nn
	var disp = 'disp'+i_nn
	var dis = 'dis'+old
	var dispold = 'disp'+old

	Show_Ans(an)
	Show_Ans(dispans)
	if(i_nn < $ma_num) \{
                Show_Ans(nxt)
                \}

	if(old > 3) \{
                var myfld = \'image\'+old\;
                var img = self.parent.quest1.document.question_form.elements[myfld].value
                if(img > 0) \{
                        \}
                else \{
                        Show_Ans(dispold)
                        Show_Ans(dis)
                        \}
                \}

        var x = document.getElementById(disp)\;

        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
        \} else \{
                x.style.display = \"none\"\;
                \}
	\} \n";

	
	print"function Show_Next_Edit_Row(i_nn,num,old) \{
	var disp = 'mdisp'+i_nn
        var an = 'mans'+i_nn
	var nxt = 'mans'+num
	var dispans = 'mdispans'+i_nn
	
	Show_Ans(an)
	Show_Ans(dispans)
	
        Show_Ans(nxt)
        
        if(old > 3) \{
                var xold = 'X'+old
                var xnum = document.getElementById(xold)\;
                xnum.style.display = \"none\"\;
                }
                
        var x = document.getElementById(disp)\;

        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
        \} else \{
                x.style.display = \"none\"\;
                \}
	\} \n";

	print"function Show_Next_Edit_Row2(i_nn,nxt,prev) \{
        var an = 'manseq'+i_nn
	var nxt = 'manseq'+nxt
	var dispans = 'madispanseq'+i_nn
	
        Hide_Ans_eq(an)
	Show_Ans_eq(dispans)
	
	if(i_nn < $mc_num) \{
            Show_Ans(nxt)
            \}
            
        if(i_nn > 4) \{
                if(prev > 4) \{
                    var xprev = 'Xmaeq'+prev
                    Hide_Ans_eq(xprev)
                    \}
                var xnxt = 'Xmaeq'+i_nn
                Show_Ans_eq(xnxt)
                \}
	\} \n";
	
	print"function Remove_Row(i_nn,num,old) \{
	var an = 'ans'+i_nn
	var nxt = 'ans'+num
	var dispans = 'dispans'+i_nn
	var disp = 'disp'+i_nn
	var sel = 'select'+i_nn
	var dis = 'dis'+old
	var dispold = 'disp'+old
	var uklik= 'select'+i_nn+'ma'
	var unklik = 'MAans'+i_nn
	var imag = 'image'+i_nn

	document.form1.elements[unklik].checked = false\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;
	
	Show_Ans(an)
	Show_Ans(dispans)
        if(num <= $ma_num) \{
                Show_Ans(nxt)
                }
	Show_Ans(disp)
        
	if(i_nn == 5) \{
                self.parent.quest1.document.question_form.select5.value=\"\"
                self.parent.quest1.document.question_form.image5.value = \"\"\;
                document.form1.select5.value=\"\"
                Show_Ans(dis)
                \}
        else if(i_nn > 5) \{
                var myfld = \'image\'+i_nn\;
                var prefld = \'image\'+old\;
                var selectfld = \'select\'+i_nn\;
                var img = self.parent.quest1.document.question_form.elements[imag].value
                
                self.parent.quest1.document.question_form.elements[imag].value = \"\"\;
                self.parent.quest1.document.question_form.elements[myfld].value=\"\"
                self.parent.quest1.document.question_form.elements[selectfld].value=\"\"
                document.form1.elements[selectfld].value=\"\"

                if(img > 0) \{
                        \}
                else \{
                        Show_Ans(dispold)
                        Show_Ans(dis)
                        \}
                \}
	} \n";
	
	print"function Remove_Row_Mode1(i_nn,num,old) \{
	var an = 'mans'+i_nn
	var nxt = 'mans'+num
	var dispans = 'mdispans'+i_nn
	var disp = 'mdisp'+i_nn
	var sel = 'select'+i_nn+'mam'
	var dis = 'mdis'+old
	var dispold = 'mdisp'+old
	var uklik= 'select'+i_nn+'mam'
	var unklik = 'MAans'+i_nn
 
	document.form1.elements[unklik].checked = false\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;
	
	Show_Ans(an)
	Show_Ans(dispans)
	
	if(old > 3) \{
                var xold = 'X'+old
                var xnum = document.getElementById(xold)\;
                xnum.style.display = \"block\"\;
                }
                
        if(num <= $ma_num) \{
                Show_Ans(nxt)
                }
        
	if(i_nn == 4) \{
                var selectfld = \'select\'+i_nn+'mam'\;
                self.parent.quest1.document.question_form.elements[selectfld].value=\"\"
                self.parent.quest1.document.question_form.select4.value=\"\"
                
                \$(document).ready(function() {
                    \$('#4summernote').summernote('code','');
                    })\;

                Show_Ans(dis)
                \}\n";
                
         for (my $t=5; $t <= $ma_num; $t++) {
                print"else if(i_nn == $t) \{
                var selectfld = \'select\'+i_nn+'mam'\;

                self.parent.quest1.document.question_form.elements[selectfld].value=\"\"
                
                \$(document).ready(function() {
                    \$('#$t\summernote').summernote('code','');
                    })\;
                    
                Show_Ans(dispold)
                Show_Ans(dis)
                \}\n";
                }
                
	print"\} \n";
	
	print"function Remove_Row_Mode2(i_nn,next,prev) \{
	var an = 'manseq'+i_nn
	var nxt = 'manseq'+next
	var dispans = 'madispanseq'+i_nn
	var uklik= 'select'+i_nn
	var unklik = 'MAanseq'+i_nn
	var inpt = 'mainputeq'+i_nn
	var i_n = 'Xmaeq'+i_nn
        var xprev = 'Xmaeq'+prev
        
	document.form1.elements[unklik].checked = false\;
	document.form1.elements[inpt].value=\"\"\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;
	
	Show_Ans_eq(an)
	Hide_Ans_eq(i_n)
	Hide_Ans_eq(dispans)
	
       if(next <= $mc_num) \{
                Hide_Ans_eq(nxt)
                \}
                
	if(prev > 4) \{
                Show_Ans_eq(xprev)
                \}\n";
                
	print"\} \n";
	
	print"function Hide_Ans_eq(i_nn) \{
        var x = document.getElementById(i_nn)\;
        x.style.display = \"none\"\;
        \} \n";
        
        print"function Show_Ans_eq(i_nn) \{
        var x = document.getElementById(i_nn)\;
        x.style.display = \"block\"\;
        \} \n";


	print"function Show_Ans(i_nn) \{
        var x = document.getElementById(i_nn)\;
        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
                \} 
        else \{
                x.style.display = \"none\"\;
                \}
        \} \n";

        print"function set_active_ans(i_nn) \{
        document.form1.active_ans.value=i_nn
        \} \n";
        
        
        print"function Numbering(i_nn) \{
        if(i_nn == \'nu2\') \{
                var x = document.getElementById(i_nn)\;
                x.style.display = \"block\"\;
                var inn = \'nu1\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                
                var inn = \'nu\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                \}
        else \{
                var x = document.getElementById(i_nn)\;
                x.style.display = \"block\"\;
                var inn = \'nu2\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                
                var inn = \'nu\'
                var y = document.getElementById(inn)\;
                y.style.display = \"block\"\;
                \}
        \} \n";
        
	print"function Show_Image(i_nn) \{
        var x = document.getElementById(i_nn)\;
        var num = i_nn.replace( /[^0-9]/g, '' );
        var dsplay = 'display'+num
        var w = document.getElementById(dsplay)\;
        var dis = 'dis'+num
	var z = document.getElementById(dis)\;
	var dispp = 'disp'+num
	var d = document.getElementById(dispp)\;
	
        num++\;
        var disp = 'disp'+num
        var disply = 'display'+num
        var  u = document.getElementById(disply)\;

	if(num < 5) \{
                x.style.display = \"block\"\;
                d.style.display = \"none\"\;
                \}
	else \{
                if (x.style.display === \"none\") \{
                        var y = document.getElementById(disp)\;
                        
                        if (y.style.display === \"block\" || u.style.display === \"block\") \{
                                if(z.style.display === \"block\") \{
                                        z.style.display = \"none\"\;
                                        x.style.display = \"block\"\;
                                        \}
                                else \{
                                        x.style.display = \"none\"\;
                                        \}
                                \}
                        else \{
                                x.style.display = \"block\"\;
                                d.style.display = \"none\"\;
                                \}
                        \} 
                
                \}
        \} \n";

        print"function Show_Im(i_nn) \{	
        var x = document.getElementById(i_nn)\;
        var num = i_nn.replace( /[^0-9]/g, '' );
        var digit = num\;
        var displ = 'disp'+num
	var z = document.getElementById(displ)\;
	var dis = 'dis'+num
	var w = document.getElementById(dis)\;

        num++\;
        var disp = 'disp'+num
        var y = document.getElementById(disp)\;
        var disply = 'display'+num
        var  u = document.getElementById(disply)\;
        
        if(digit < 4) \{
                x.style.display = \"none\"\;
                z.style.display = \"block\"\;
                \}
        else \{
                x.style.display = \"none\"\;
                if (z.style.display === \"block\") \{
                        \} 
                else \{
                       if (y.style.display === \"block\" || u.style.display === \"block\") \{
                                w.style.display = \"block\"
                                \}
                        else \{
                                if(y.style.display === \"none\" || u.style.display === \"none\") \{
                                        z.style.display = \"block\"
                                        \}
                                else \{
                                        w.style.display = \"block\"
                                        \}
                                \}
                        \}
                \}
        \} \n";

	&print_javascript_end();

        &print_form("form_name","eq_quest","form_target","MathJaax","input","print_eq_quest_ans","u_id","$QMC{u_id}","session_id","$QMC{session_id}","type","$QMC{type}","sub_type","$QMC{sub_type}");
        
        &print_form("form_name","view_files","form_target","view_files_left","input","view_select_bank_mc_files","targit","","u_id","$QMC{u_id}","session_id","$QMC{session_id}","mode","","expand","1");

	print"<FORM name=\"form1\"><input type=\"hidden\" name=\"ans_mode\" value=\"$QMC{ans_mode}\"><input type=\"hidden\" name=\"active_ans\" value=\"\">\n";
	
	
	
    #### SURVEYS
	if($QMC{sub_type} == 2) {
                }
	
    #### QUIZZES/TESTS
	else { 
		print"<TABLE><TR><TD>&nbsp\;$image21&nbsp\;</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-family:Arial\; font-size: 11pt\;\">$LANGUAGE{$set_language}{Columns} </font>&nbsp\;";
		
		if($QMC{kolum} > 1) {
                        print"<SELECT name=\"kolum\" style=\"font-family:Arial\; font-size: 10pt\;\">\n";
                        
                        for (my $in = 1; $in <= 3; ++$in) {
                                if($QMC{kolum} == $in) {
                                        print"<option value=\"$in\" selected>$in</option>\n";
                                        }
                                else {
                                        print"<option value=\"$in\">$in</option>\n";
                                        }
                                }
                        }
                else {
                        print"<SELECT name=\"kolum\" style=\"font-family:Arial\; font-size: 10pt\;\"> 
                        <option value=\"1\" selected>1</option>
                        <option value=\"2\">2</option>
                        <option value=\"3\">3</option></select>";
                        }

                # PRINT EDITOR LINE
                if($QMC{ans_mode} == 1) {
                        &print_advanced_chosen_editor_ma("type","ma");
                        }
                                
                elsif($QMC{ans_mode} == 2) {
                        &print_equation_chosen_editor_ma("type","ma");
                        }
                                
                else {
                        &print_basic_chosen_editor_ma("type","ma");
                        }
                        
                        
            #### PRINT BASIC MODE
                if($QMC{ans_mode} == 0) {
                        print"<div ID =\"ma_mode_disply0\" style=\"display:block\;\"><BR><TABLE border=\"0\"><TR><TD>\n";
                        }
                else {
                        print"<div ID =\"ma_mode_disply0\" style=\"display:none\;\"><BR><TABLE border=\"0\"><TR><TD>\n";
                        }
                        
		my $end = 0;
		for (my $i = 1; $i <= $ma_num; ++$i) {
			my $select = "select"."$i";
			my $selecta = "select"."$i"."ma";
			my $selectmam = "select"."$i"."mam";
			my $image = "image"."$i";
			my $image_name = "$image"."name";
			my $next = $i;
			++$next;
			my $next_image = "image"."$next";
			
			print"<TR><TD>";
			
			if($i < 4) { # for the first 3 answers
                                print"<TABLE><TR><TD>";
                                if($QMC{answer} == $i || $QMC{$selecta} == $i) {
                                        print"&nbsp\;<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" onClick=\"set_ma_ans\(\'$i\'\)\" checked>\n";
                                        }
                                        
                                elsif($QMC{$selectmam} == $i && $QMC{ans_mode} == 1) {
                                        print"&nbsp\;<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" onClick=\"set_ma_ans\(\'$i\'\)\" checked>\n";
                                        }
                                else {
                                        print"&nbsp\;<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" onClick=\"set_ma_ans\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;</TD><TD>&nbsp\;<textarea style=\"resize\:none\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"53\" maxlength=\"75\" name=\"select$i\" ";
                                
                                if($i < 3 && $QMC{$select} ne "") {
                                        print"placeholder=\" Enter answer here.\" value=\"\"";
                                        }
                                        
                                print">";
                                
                                if($QMC{ans_mode} != 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></TD><TD>\n";
                                
                                if($QMC{$image_name} ne"") {
                                        print"<div ID=\"display$i\" style=\"display:block\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; border-radius:.5em\; font-family\:Arial\; font-size\: 8pt\;\" OnClick=\"ma_image_delete_handler\(\'$image\'\)\">$LANGUAGE{$set_language}{Remove}</B></div>\n";
                                
                                        print"<div ID=\"disp$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                        }
                                        
                                else {
                                        print"<div ID=\"disp$i\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
	   		
                                        print"<div ID=\"display$i\" style=\"display:none\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\;  font-size\: 8pt\;\" OnClick=\"ma_image_delete_handler\(\'$image\'\)\">$LANGUAGE{$set_language}{Remove}</B></div>\n";
                                        }
                                        
                                print"</TD></TR></TABLE>\n";
                                print"<BR>";
                                }
                                
                        else { # for 4 through ma_num
                                print"<TABLE><TR><TD>";
                                my $nu = $i + 1;
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";

                                ### ADD another row DISPLAY +
                                if($QMC{ans_mode} == 1 && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                elsif(!defined $QMC{$select} && !defined $QMC{$image} && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                else {
                                        print"<div ID=\"ans$i\" style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Row\(\'$i\',$nu,$old\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;+</font></B></div>\n";
                                        
                                ### DISPLAY RADIO button and answer
                                if($QMC{answer} == $i || $QMC{$selecta} == $i) {
                                        print"<span ID=\"dispans$i\" style=\"display:block\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" onClick=\"set_ma_ans\(\'$i\'\)\" checked>\n";
                                        }
                                elsif ((defined $QMC{$select} && $QMC{ans_mode} != 1) || $QMC{$image} > 0){
                                        print"<span ID=\"dispans$i\" style=\"display:block\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" onClick=\"set_ma_ans\(\'$i\'\)\">\n";
                                        }
                                else {
                                        print"&nbsp\;<span ID=\"dispans$i\" style=\"display:none\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;<input type=\"checkbox\" id=\"MAans$i\" name=\"MAans$i\" value=\"$i\" onClick=\"set_ma_ans\(\'$i\'\)\">\n";
                                        }
                                
                                print"&nbsp\;</TD><TD>&nbsp\;<textarea style=\"resize\:none\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"53\" maxlength=\"75\" name=\"select$i\" value=\"\">";
                                
                                if($QMC{ans_mode} != 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></span></TD></TR></TABLE></TD><TD>\n";
                                
                                
                                ### Display image name
                                if($QMC{$image} ne"" && $QMC{$image} > 0) {
                                        print"<div ID=\"display$i\" style=\"display:block\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 8pt\;\" OnClick=\"ma_image_delete_handler\(\'$image\'\)\">$LANGUAGE{$set_language}{Remove} </B></div>\n";
                                
                                        print"<div ID=\"dis$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
        
                                        print"<div ID=\"disp$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">X</B></div>\n"; 
                                        }
                                else {
                                        if(defined $QMC{$select} && !defined $QMC{$next_select} && $QMC{ans_mode} != 1) {
                                                print"<div ID=\"disp$i\" style=\"display:block\;\">\n";
                                                }
                                        else{
                                                print"<div ID=\"disp$i\" style=\"display:none\;\">\n";
                                                }

                                        print"<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                        
                                        if(!defined $QMC{$next_select} && !defined $QMC{$next_image}) {
                                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\"> X</B></div>\n";
                                                }
                                        elsif($QMC{ans_mode} == 1) {
                                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\"> X</B></div>\n";
                                                }
                                        else {
                                                print"</div>\n";
                                                }
                                        
                                        ## Insert file
                                        if(defined $QMC{$select} && defined $QMC{$next_select} && $QMC{ans_mode} != 1) {
                                                print"<div ID=\"dis$i\" style=\"display:block\;\">\n";
                                                }
                                        else {
                                                print"<div ID=\"dis$i\" style=\"display:none\;\">\n";
                                                }
                                                
                                        print"<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"ma_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30/B></div>\n";
                                                
                                        print"<div ID=\"display$i\" style=\"display:none\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 8pt\;\" OnClick=\"ma_image_delete_handler\(\'$image\'\)\">$LANGUAGE{$set_language}{Remove}</B></div>\n";
                                        }
                                print"</TD></TR></TABLE>\n";
                                print"<BR>";
                                }
                        }
                        
                print"</TD></TR></TABLE></div>\n";
                
                
            #### PRINT ADVANCED MODE
                if($QMC{ans_mode} == 1) {
                        print"<div ID =\"ma_mode_disply1\" style=\"display:block\;\"><TABLE border=\"0\"><TR><TD>\n";
                        }
                else {
                        print"<div ID =\"ma_mode_disply1\" style=\"display:none\;\"><TABLE border=\"0\"><TR><TD>\n";
                        }
                        
                &print_m_editor();
                
                my $i = 1;
                $end = 0;
		while($i <= $mc_num) {
			my $select = "select"."$i";
			my $selecta = "select"."$i"."ma";
			my $selectmam = "select"."$i"."mam";
			my $next = $i;
			++$next;
			
			if($i < 4) { # for the first 3 answers
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;";
                                if($QMC{$selectmam} == $i && $QMC{ans_mode} == 1) {
                                        print"<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm$i\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\" checked>\n";
                                        }
                                        
                                else {
                                        print"<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm$i\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;</TD><TD>&nbsp\;&nbsp\;<span onClick=\"set_active_ans(\'$i\')\"> <textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\">";
                                
                                if($QMC{ans_mode} == 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></span></TD></TR></TABLE>\n";
                                }
                                
                        else { # for 4 through ma_num
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;";
                                my $nu = $i + 1; 
                                my $old = $i - 1;
                                my $selectmam = "select"."$i"."mam";
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";
                                my $show;

                                if(!defined $QMC{$select} && $end == 0) {
                                        print"<span ID=\"mans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                elsif($QMC{ans_mode} == 0 && $end == 0) {
                                        print"<span ID=\"mans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                else {
                                        print"<span ID=\"mans$i\" style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Edit_Row\(\'$i\',\'$nu\',\'$old\'\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;+</font></B></span>\n";
 
                                if($QMC{$selectmam} == $i && $QMC{ans_mode} == 1) {
                                        print"<span ID=\"mdispans$i\" style=\"display:block\;\">\n";
                                        print"<TABLE><TR><TD>&nbsp\;<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\" checked>&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\">$QMC{$select}</textarea></span></TD>\n";
                                        }
                                elsif (defined $QMC{$select} && $QMC{ans_mode} == 1){
                                        print"<span ID=\"mdispans$i\" style=\"display:block\;\">\n";
                                        print"<TABLE><TR><TD>&nbsp\;<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\">$QMC{$select}</textarea></span></TD>\n";
                                        }
                                else {
                                        print"<span ID=\"mdispans$i\" style=\"display:none\;\">\n";
                                        print"<TABLE><TR><TD>&nbsp\;<input type=\"checkbox\" id=\"MAansm$i\" name=\"MAansm\" value=\"$i\" onClick=\"set_ma_ansm\(\'$i\'\)\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\"></textarea></span></TD>";
                                        }
                                
                                if(!defined $QMC{$next_select} ) {
                                        print"<TD><span ID=\"X$i\" style=\"display:block\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                        }
                                                
 #                               print"</TR></TABLE>\n";
                                print"</TR></TABLE></TD></TR></TABLE>\n";
                                }
                        ++$i;
                        }
                print"</TD></TR></TABLE></div>\n";
                
            # EQUATION MODE DIV
		if($QMC{ans_mode} == 2) {
                        print"<div ID =\"ma_mode_disply2\" style=\"display:block\;\"><TABLE border=\"0\"><TR><TD>\n";
                        }
                    
                else {
                        print"<div ID =\"ma_mode_disply2\" style=\"display:none\;\"><TABLE border=\"0\"><TR><TD>\n";
                        }
                        
            #### PRINT EQUATION MODE
                $end = 0;
		for (my $i = 1; $i <= $mc_num; ++$i) {
			my $select = "select"."$i";
			my $selectmaeq = "select"."$i"."maeq";
			
			if($i < 4) { # for the first 3 answers
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;";
                                
                                if($QMC{$selectmaeq} == $i && $QMC{ans_mode} == 2) {
                                        print"<input type=\"checkbox\" id=\"MAanseq$i\" name=\"MAansmeq\" value=\"$i\" onClick=\"set_ma_ans_eq\(\'$i\'\)\" checked>\n";
                                        }
                                else {
                                        print"<input type=\"checkbox\" id=\"MAanseq$i\" name=\"MAansmeq\" value=\"$i\" onClick=\"set_ma_ans_eq\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;</TD><TD>&nbsp\;&nbsp\;<span onClick=\"set_active_ans_eq(\'$i\')\"><center><div id=\"frameeq$i\"><textarea id=\"mainputeq$i\" name=\"maselecteq$i\" rows=\"3\" cols=\"65\">";
                                
                                if($QMC{ans_mode} == 2) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea><center><TABLE><TR><TD onclick=\"convert('mainputeq$i\','maoutputeq$i\','mahidep$i\')\" style=\"display:block\; cursor: pointer\; font-size:10pt\;\"><B>$LANGUAGE{$set_language}{Preview}</B></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD ID=\"mahidep$i\" style=\"display:none\; cursor: pointer\; font-size:10pt\;\" onclick=\"hide_preview('maoutputeq$i\','mahidep$i\')\"><B>$LANGUAGE{$set_language}{Hide}</B></TD></TR></TABLE></center><center><div id=\"maoutputeq$i\" style=\"clear:both\; background-image: linear-gradient(yellow , white)\;\"></div></center></span></TD></TR></TABLE>\n";
                                }
                                
                        else { # for 5 through mc_num
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;";
                                my $nu = $i + 1; 
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";
                                my $selectmaeq = "select"."$i"."maeq";
                                
                                print"<span ID=\"manseq$i\" ";
                                if(!defined $QMC{$select} && $end == 0) {
                                        print"style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                elsif($QMC{ans_mode} == 0 && $end == 0) {
                                        print"style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                else {
                                        print"style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Edit_Row2\(\'$i\',\'$nu\',\'$old\'\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;+</font></B></span>\n";
 
                                if($QMC{$selectmaeq} == $i && $QMC{ans_mode} == 2) { # correct question
                                        print"<div ID=\"madispanseq$i\" style=\"display:block\;\"><TABLE><TR><TD>&nbsp\;<input type=\"checkbox\" id=\"MAanseq$i\" name=\"MAansmeq\" value=\"$i\" onClick=\"set_ma_ans_eq\(\'$i\'\)\" checked>&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans_eq(\'$i\')\"><textarea  id=\"mainputeq$i\" name=\"maselecteq$i\" rows=\"3\" cols=\"65\">$QMC{$select}</textarea>";
                                        }
                                elsif (defined $QMC{$select} && $QMC{ans_mode} == 2) { # answer but not correct
                                        print"<div ID=\"madispanseq$i\" style=\"display:block\;\"><TABLE><TR><TD>&nbsp\;<input type=\"checkbox\" id=\"MAanseq$i\" name=\"MAansmeq\" value=\"$i\" onClick=\"set_ma_ans_eq(\'$i\')\">&nbsp\;&nbsp\;</TD><TD><textarea onClick=\"set_active_ans_eq(\'$i\')\" id=\"mainputeq$i\" name=\"maselecteq$i\" rows=\"3\" cols=\"65\">$QMC{$select}</textarea>";
                                        }
                                else {
                                        print"<div ID=\"madispanseq$i\" style=\"display:none\;\"><TABLE><TR><TD>&nbsp\;<input type=\"checkbox\" id=\"MAanseq$i\" name=\"MAansmeq\" value=\"$i\" onClick=\"set_ma_ans_eq(\'$i\')\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans_eq(\'$i\')\"><textarea  id=\"mainputeq$i\" name=\"maselecteq$i\" rows=\"3\" cols=\"65\"></textarea>";
                                        }
                                        
                                print"<center><TABLE><TR><TD onclick=\"convert('mainputeq$i\','maoutputeq$i\','mahidep$i\')\" style=\"display:block\; cursor: pointer\; font-size:10pt\;\"><B>$LANGUAGE{$set_language}{Preview}</B></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD ID=\"mahidep$i\" style=\"display:none\; cursor: pointer\; font-size:10pt\;\" onclick=\"hide_$LANGUAGE{$set_language}{Preview}('maoutputeq$i\','mahidep$i\')\"><B>$LANGUAGE{$set_language}{Hide}</B></TD></TR></TABLE></center></div><center><div id=\"maoutputeq$i\" style=\"clear:both\; background-image: linear-gradient(yellow , white)\;\"></div></center></TD>\n";
                                
                                if(!defined $QMC{$next_select} ) {
                                        print"<TD><span ID=\"Xmaeq$i\" style=\"display:block\;\">";
                                        }
                                else {
                                        print"<TD><span ID=\"Xmaeq$i\" style=\"display:none\;\">";
                                        }
                                        
                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode2(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                        
                                print"</TR></TABLE></TD></TR></TABLE>\n";
                                }
                        } # end for
                print"</TD></TR></TABLE></div>\n";
                            
                print"</FORM>\n";
		}
	}
	
##################
#
# QUESTION_BANK_MC
#
##################
sub question_bank_mc {
	my %QMC = @_;

	print"<style>
	textarea\{ border-radius:.5em\; outline: none\; overflow:auto\; font-size:10pt\; font-family:Arial\;\}
	</style>\n";
	
	print"<script>
        function AddImgSrcToEditor\(uRL,filedescrip) \{
        var ac = document.form1.active_ans.value\n";

        for (my $q=1; $q <= $mc_num; $q++) {
            print"if(ac==$q)\{
            \$(document).ready(function() {
            \$('#$q\summernote').summernote('insertImage','/schools/qst_files/'+uRL,''+filedescrip)
            })\;
            \}\n";
            }
        
        print"\}
        </script>\n";
        
        &print_eq();
        
        &eqform_answer();
        
	&print_javascript_begin();
	
	print"var file_windo\n";
	print"var view_files_left\n";
	print"var view_files_right\n";

	&print_function_mc_image_handler();
	&print_function_mc_image_delete_handler();
                
        print"function question_image_handler\(inn\) \{\n";
	print"file_windo = window.open\(\"\",\"file_windo\",\"top=40,left=50,height=500,width=700\"\)\n";
	print"file_windo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewSelectFile}<\/title><\/head>\'\)\n";
	print"file_windo.document.writeln\(\'<frameset cols=\\\"50\%,50\%\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_left\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_right\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<\/frameset>\'\)\n";
	print"file_windo.document.writeln\(\'<\/html>\'\)\n";
	print"file_windo.document.close()\n";
	print"file_windo.focus\(\)\n";
	print"mode = document.form1.ans_mode.value
	document.view_files.mode.value=mode
	document.view_files.targit.value=inn
	document.view_files.submit\(\)
	\}\n";
        
        &print_mode_display_answers_mc();
                        
        print"function set_mc_ans\(i_n\) \{
	var myfld = \'select\'+i_n\;
	var mc = self.parent.quest1.document.question_form.elements[myfld].value
        if(i_n == mc) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                self.parent.quest1.document.question_form.MCans.value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                self.parent.quest1.document.question_form.MCans.value = i_n\;
                \}
	\}\n";
	
	
	print"function set_mc_ansm\(i_n\) \{
	var myfld = \'select\'+i_n\;
	var mc = self.parent.quest1.document.question_form.elements[myfld].value
        if(i_n == mc) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                self.parent.quest1.document.question_form.MCans.value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                self.parent.quest1.document.question_form.MCans.value = i_n\;
                \}
	\}\n";
	
	print"function set_mc_ans_eq\(i_n\) \{
	var myfld = \'select\'+i_n\;
	var mc = self.parent.quest1.document.question_form.elements[myfld].value
        if(i_n == mc) \{
                self.parent.quest1.document.question_form.elements[myfld].value = \"\"\;
                self.parent.quest1.document.question_form.MCans.value = \"\"\;
                \}
        else \{
                self.parent.quest1.document.question_form.elements[myfld].value = i_n\;
                self.parent.quest1.document.question_form.MCans.value = i_n\;
                \}
	\}\n";
	
	print"function set_kolums\(i_n\) \{
	var e = document.getElementById(\"kolumms\");
        var num = e.options[e.selectedIndex].value;
	self.parent.quest1.document.question_form.kolum.value = num\;
	\}\n";
	
	print"function Show_Next_Row(i_nn,num,old) \{
	var an = 'ans'+i_nn
	var nxt = 'ans'+num
	var dispans = 'dispans'+i_nn
	var disp = 'disp'+i_nn
	var dis = 'dis'+old
	var dispold = 'disp'+old

	Show_Ans(an)
	Show_Ans(dispans)
	if(i_nn < $mc_num) \{
                Show_Ans(nxt)
                \}

	if(old > 4) \{
                var myfld = \'image\'+old\;
                var img = self.parent.quest1.document.question_form.elements[myfld].value
                if(img > 0) \{
                        \}
                else \{
                        Show_Ans(dispold)
                        Show_Ans(dis)
                        \}
                \}

        var x = document.getElementById(disp)\;

        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
        \} else \{
                x.style.display = \"none\"\;
                \}
	\} \n";

	
	print"function Show_Next_Edit_Row(i_nn,num,old) \{
	var disp = 'mdisp'+i_nn
        var an = 'mans'+i_nn
	var nxt = 'mans'+num
	var dispans = 'mdispans'+i_nn
	
	Show_Ans(an)
	Show_Ans(dispans)
	
        Show_Ans(nxt)
        
        if(old > 4) \{
                var xold = 'X'+old
                var xnum = document.getElementById(xold)\;
                xnum.style.display = \"none\"\;
                }
                
        var x = document.getElementById(disp)\;

        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
        \} else \{
                x.style.display = \"none\"\;
                \}
	\} \n";

	print"function Show_Next_Edit_Row2(i_nn,num,old) \{
	var disp = 'mdispeq'+i_nn
        var an = 'manseq'+i_nn
	var nxt = 'manseq'+num
	var dispans = 'mdispanseq'+i_nn
	
	Show_Ans(an)
	Show_Ans(dispans)
	
        Show_Ans(nxt)
        
        if(old > 4) \{
                var xold = 'Xeq'+old
                var xnum = document.getElementById(xold)\;
                xnum.style.display = \"none\"\;
                }
                
        var x = document.getElementById(disp)\;

        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
        \} else \{
                x.style.display = \"none\"\;
                \}
	\} \n";

	print"function Remove_Row_Mode1(i_nn,num,old) \{
	var an = 'mans'+i_nn
	var nxt = 'mans'+num
	var dispans = 'mdispans'+i_nn
	var disp = 'mdisp'+i_nn
	var sel = 'select'+i_nn
	var dis = 'mdis'+old
	var dispold = 'mdisp'+old
	var uklik= 'select'+i_nn
	var unklik = 'MCansm'+i_nn
 
	document.form1.elements[unklik].checked = false\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;
	
	Show_Ans(an)
	Show_Ans(dispans)
	
	if(old > 4) \{
                var xold = 'X'+old
                var xnum = document.getElementById(xold)\;
                xnum.style.display = \"block\"\;
                }
                
        if(num <= $mc_num) \{
                Show_Ans(nxt)
                }
        
	if(i_nn == 5) \{
                self.parent.quest1.document.question_form.select5.value=\"\"
                \$(document).ready(function() {
                    \$('#5summernote').summernote('code','');
                    })\;

                Show_Ans(dis)
                \}\n";
                
         for (my $t=6; $t <= $mc_num; $t++) {
                print"else if(i_nn == $t) \{
                var selectfld = \'select\'+i_nn\;

                self.parent.quest1.document.question_form.elements[selectfld].value=\"\"
                
                \$(document).ready(function() {
                    \$('#$t\summernote').summernote('code','');
                    })\;
                    
                Show_Ans(dispold)
                Show_Ans(dis)
                \}\n";
                }
                
	print"\} \n";
	
	print"function Remove_Row_Mode2(i_nn,num,old) \{
	var an = 'manseq'+i_nn
	var nxt = 'manseq'+num
	var dispans = 'mdispanseq'+i_nn
	var disp = 'mdispeq'+i_nn
	var sel = 'select'+i_nn
	var dis = 'mdiseq'+old
	var dispold = 'mdispeq'+old
	var uklik= 'select'+i_nn
	var unklik = 'MCanseq'+i_nn
	var inpt = 'inputeq'+i_nn
 
	document.form1.elements[unklik].checked = false\;
	document.form1.elements[inpt].value=\"\"\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;

	Show_Ans(an)
	Show_Ans(dispans)
	
	if(old > 4) \{
                var xold = 'Xeq'+old
                var xnum = document.getElementById(xold)\;
                xnum.style.display = \"block\"\;
                }
                
        if(num <= $mc_num) \{
                Show_Ans(nxt)
                }
        
	if(i_nn == 5) \{
                self.parent.quest1.document.question_form.select5.value=\"\"

                Show_Ans(dis)
                \}\n";
                
         for (my $t=6; $t <= $mc_num; $t++) {
                print"else if(i_nn == $t) \{
                var selectfld = \'select\'+i_nn\;
                self.parent.quest1.document.question_form.elements[selectfld].value=\"\"
                
                Show_Ans(dispold)
                Show_Ans(dis)
                \}\n";
                }
                
	print"\} \n";

	print"function Remove_Row(i_nn,num,old) \{
	var an = 'ans'+i_nn
	var nxt = 'ans'+num
	var dispans = 'dispans'+i_nn
	var disp = 'disp'+i_nn
	var sel = 'select'+i_nn
	var dis = 'dis'+old
	var dispold = 'disp'+old
	var uklik= 'select'+i_nn
	var unklik = 'MCans'+i_nn
	var imag = 'image'+i_nn

	document.form1.elements[unklik].checked = false\;
	self.parent.quest1.document.question_form.elements[uklik].value = \"\"\;
	
	Show_Ans(an)
	Show_Ans(dispans)
        if(num <= $mc_num) \{
                Show_Ans(nxt)
                }
	Show_Ans(disp)
        
	if(i_nn == 5) \{
                self.parent.quest1.document.question_form.select5.value=\"\"
                self.parent.quest1.document.question_form.image5.value = \"\"\;
                document.form1.select5.value=\"\"
                Show_Ans(dis)
                \}
        else if(i_nn > 5) \{
                var myfld = \'image\'+i_nn\;
                var prefld = \'image\'+old\;
                var selectfld = \'select\'+i_nn\;
                var img = self.parent.quest1.document.question_form.elements[imag].value
                
                self.parent.quest1.document.question_form.elements[imag].value = \"\"\;
                self.parent.quest1.document.question_form.elements[myfld].value=\"\"
                self.parent.quest1.document.question_form.elements[selectfld].value=\"\"
                document.form1.elements[selectfld].value=\"\"

                if(img > 0) \{
                        \}
                else \{
                        Show_Ans(dispold)
                        Show_Ans(dis)
                        \}
                \}
	} \n";

	print"function Show_Ans(i_nn) \{
        var x = document.getElementById(i_nn)\;
        if (x.style.display === \"none\") \{
                x.style.display = \"block\"\;
                \} 
        else \{
                x.style.display = \"none\"\;
                \}
        \} \n";

        print"function set_active_ans(i_nn) \{
        document.form1.active_ans.value=i_nn
        \} \n";
        
        print"function set_active_ans_eq(i_nn) \{
        document.form1.active_ans.value=i_nn
        \} \n";
        
        print"function Numbering(i_nn) \{
        if(i_nn == \'nu2\') \{
                var x = document.getElementById(i_nn)\;
                x.style.display = \"block\"\;
                var inn = \'nu1\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                
                var inn = \'nu\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                \}
        else \{
                var x = document.getElementById(i_nn)\;
                x.style.display = \"block\"\;
                var inn = \'nu2\'
                var y = document.getElementById(inn)\;
                y.style.display = \"none\"\;
                
                var inn = \'nu\'
                var y = document.getElementById(inn)\;
                y.style.display = \"block\"\;
                \}
        \} \n";
        
	print"function Show_Image(i_nn) \{
        var x = document.getElementById(i_nn)\;
        var num = i_nn.replace( /[^0-9]/g, '' );
        var dsplay = 'display'+num
        var w = document.getElementById(dsplay)\;
        var dis = 'dis'+num
	var z = document.getElementById(dis)\;
	var dispp = 'disp'+num
	var d = document.getElementById(dispp)\;
	
        num++\;
        var disp = 'disp'+num
        var disply = 'display'+num
        var  u = document.getElementById(disply)\;

	if(num < 5) \{
                x.style.display = \"block\"\;
                d.style.display = \"none\"\;
                \}
	else \{
                if (x.style.display === \"none\") \{
                        var y = document.getElementById(disp)\;
                        
                        if (y.style.display === \"block\" || u.style.display === \"block\") \{
                                if(z.style.display === \"block\") \{
                                        z.style.display = \"none\"\;
                                        x.style.display = \"block\"\;
                                        \}
                                else \{
                                        x.style.display = \"none\"\;
                                        \}
                                \}
                        else \{
                                x.style.display = \"block\"\;
                                d.style.display = \"none\"\;
                                \}
                        \} 
                
                \}
        \} \n";

        print"function Show_Im(i_nn) \{	
        var x = document.getElementById(i_nn)\;
        var num = i_nn.replace( /[^0-9]/g, '' );
        var digit = num\;
        var displ = 'disp'+num
	var z = document.getElementById(displ)\;
	var dis = 'dis'+num
	var w = document.getElementById(dis)\;

        num++\;
        var disp = 'disp'+num
        var y = document.getElementById(disp)\;
        var disply = 'display'+num
        var  u = document.getElementById(disply)\;
        
        if(digit < 4) \{
                x.style.display = \"none\"\;
                z.style.display = \"block\"\;
                \}
        else \{
                x.style.display = \"none\"\;
                if (z.style.display === \"block\") \{
                        \} 
                else \{
                       if (y.style.display === \"block\" || u.style.display === \"block\") \{
                                w.style.display = \"block\"
                                \}
                        else \{
                                if(y.style.display === \"none\" || u.style.display === \"none\") \{
                                        z.style.display = \"block\"
                                        \}
                                else \{
                                        w.style.display = \"block\"
                                        \}
                                \}
                        \}
                \}
        \} \n";

	&print_javascript_end();

        &print_form("form_name","eq_quest","form_target","MathJaax","input","print_eq_quest_ans","u_id","$QMC{u_id}","session_id","$QMC{session_id}","type","$QMC{type}","sub_type","$QMC{sub_type}");
        
        &print_form("form_name","view_files","form_target","view_files_left","input","view_select_bank_mc_files","targit","","u_id","$QMC{u_id}","session_id","$QMC{session_id}","mode","");

	print"<FORM name=\"form1\"><input type=\"hidden\" name=\"ans_mode\" value=\"$QMC{ans_mode}\"><input type=\"hidden\" name=\"active_ans\" value=\"\">\n";
	
	if($QMC{sub_type} == 2) { # Survey
		
		}
		
	else { # quizzes/test
                print"<TABLE><TR><TD>&nbsp\;$image21&nbsp\;</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-family:Arial\; font-size: 11pt\;\">$LANGUAGE{$set_language}{Columns} </font>&nbsp\;";
		
		if($QMC{kolum} > 1) {
                        print"<SELECT name=\"kolum\" style=\"font-family:Arial\; font-size: 10pt\;\">\n";
                        
                        for (my $in = 1; $in <= 3; ++$in) {
                                if($QMC{kolum} == $in) {
                                        print"<option value=\"$in\" selected>$in</option>\n";
                                        }
                                else {
                                        print"<option value=\"$in\">$in</option>\n";
                                        }
                                }
                                
                        # PRINT EDITOR LINE
                        if($QMC{ans_mode} == 1) {
                                &print_advanced_chosen_editor();
                                }
                                
                        elsif($QMC{ans_mode} == 2) {
                                &print_equation_chosen_editor();
                                }
                                
                        else {
                                &print_basic_chosen_editor();
                                }
                        }
                else {
                        print"<SELECT name=\"kolum\" style=\"font-family:Arial\; font-size: 10pt\;\"> 
                        <option value=\"1\" selected>1</option>
                        <option value=\"2\">2</option>
                        <option value=\"3\">3</option></select>";
                        
                        # PRINT EDITOR LINE
                        if($QMC{ans_mode} == 1) {
                                &print_advanced_chosen_editor();
                                }
                                
                        elsif($QMC{ans_mode} == 2) {
                                &print_equation_chosen_editor();
                                }
                                
                        else {
                                &print_basic_chosen_editor();
                                }
                        }

                        
                        
            #### PRINT BASIC MODE
                if($QMC{ans_mode} == 1 || $QMC{ans_mode} == 2) {
                        print"<div ID =\"mc_mode_disply0\" style=\"display:none\;\"><BR><TABLE border=\"0\"><TR><TD>\n";
                        }
                else {
                        print"<div ID =\"mc_mode_disply0\" style=\"display:block\;\"><BR><TABLE border=\"0\"><TR><TD>\n";
                        }
		my $end = 0;
		for (my $i = 1; $i <= $mc_num; ++$i) {
			my $select = "select"."$i";
			my $selecta = "select"."$i"."mc";
			my $image = "image"."$i";
			my $image_name = "$image"."name";
			my $next = $i;
			++$next;
			my $next_image = "image"."$next";
			
			print"<TR><TD>";
			
			if($i < 5) { # for the first 4 answers
                                print"<TABLE><TR><TD>";
                                if($QMC{answer} == $i && $QMC{ans_mode} == 0) {
                                        print"&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" onClick=\"set_mc_ans\(\'$i\'\)\" checked>\n";
                                        }
                                else {
                                        print"&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" onClick=\"set_mc_ans\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;</TD><TD>&nbsp\;<textarea style=\"resize\:none\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"53\" maxlength=\"75\" name=\"select$i\" ";
                                
                                if($i < 3 && $QMC{$select} ne "") {
                                        print"placeholder=\" Enter answer here.\" value=\"\"";
                                        }
                                        
                                print">";
                                
                                if($QMC{ans_mode} != 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></TD><TD>\n";
                                
                                if($QMC{$image_name} ne"") {
                                        print"<div ID=\"display$i\" style=\"display:block\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; border-radius:.5em\; font-family\:Arial\; font-size\: 8pt\;\" OnClick=\"mc_image_delete_handler\(\'$image\'\)\">$LANGUAGE{$set_language}{Remove}</B></div>\n";
                                
                                        print"<div ID=\"disp$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                        }
                                        
                                else {
                                        print"<div ID=\"disp$i\" style=\"display:block\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
	   		
                                        print"<div ID=\"display$i\" style=\"display:none\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\;  font-size\: 8pt\;\" OnClick=\"mc_image_delete_handler\(\'$image\'\)\">$LANGUAGE{$set_language}{Remove}</B></div>\n";
                                        }
                                        
                                print"</TD></TR></TABLE>\n";
                                print"<BR>";
                                }
                                
                        else { # for 5 through mc_num
                                print"<TABLE><TR><TD>";
                                my $nu = $i + 1;
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";

                                ### ADD another row DISPLAY +
                                if($QMC{ans_mode} == 1 && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                elsif(!defined $QMC{$select} && !defined $QMC{$image} && $end == 0) {
                                        print"<div ID=\"ans$i\" style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                else {
                                        print"<div ID=\"ans$i\" style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Row\(\'$i\',$nu,$old\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;+</font></B></div>\n";
                                        
                                ### DISPLAY RADIO button and answer
                                if($QMC{answer} == $i && $QMC{ans_mode} != 1) {
                                        print"<span ID=\"dispans$i\" style=\"display:block\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" onClick=\"set_mc_ans\(\'$i\'\)\" checked>\n";
                                        }
                                elsif ((defined $QMC{$select} && $QMC{ans_mode} != 1) || $QMC{$image} > 0){
                                        print"<span ID=\"dispans$i\" style=\"display:block\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" onClick=\"set_mc_ans\(\'$i\'\)\">\n";
                                        }
                                else {
                                        print"&nbsp\;<span ID=\"dispans$i\" style=\"display:none\;\"><TABLE><TR><TD>\n";
                                        print"&nbsp\;<input type=\"radio\" id=\"MCans$i\" name=\"MCans\" value=\"$i\" onClick=\"set_mc_ans\(\'$i\'\)\">\n";
                                        }
                                
                                print"&nbsp\;</TD><TD>&nbsp\;<textarea style=\"resize\:none\; font-family\:Arial\; font-size\: 10pt\;\" required rows=\"1\" cols=\"53\" maxlength=\"75\" name=\"select$i\" value=\"\">";
                                
                                if($QMC{ans_mode} != 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></span></TD></TR></TABLE></TD><TD>\n";
                                
                                
                                ### Display image name
                                if($QMC{$image} ne"" && $QMC{$image} > 0) {
                                        print"<div ID=\"display$i\" style=\"display:block\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 8pt\;\" OnClick=\"mc_image_delete_handler\(\'$image\'\)\">$LANGUAGE{$set_language}{Remove} </B></div>\n";
                                
                                        print"<div ID=\"dis$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
        
                                        print"<div ID=\"disp$i\" style=\"display:none\;\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">X</B></div>\n";
                                        }
                                else {
                                        if(defined $QMC{$select} && !defined $QMC{$next_select} && $QMC{ans_mode} != 1) {
                                                print"<div ID=\"disp$i\" style=\"display:block\;\">\n";
                                                }
                                        else{
                                                print"<div ID=\"disp$i\" style=\"display:none\;\">\n";
                                                }

                                        print"<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                                        
                                        if(!defined $QMC{$next_select} && !defined $QMC{$next_image}) {
                                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\"> X</B></div>\n";
                                                }
                                        elsif($QMC{ans_mode} == 1) {
                                                print"<B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\"> X</B></div>\n";
                                                }
                                        else {
                                                print"</div>\n";
                                                }
                                        
                                        ## Insert file
                                        if(defined $QMC{$select} && defined $QMC{$next_select} && $QMC{ans_mode} != 1) {
                                                print"<div ID=\"dis$i\" style=\"display:block\;\">\n";
                                                }
                                        else {
                                                print"<div ID=\"dis$i\" style=\"display:none\;\">\n";
                                                }
                                                
                                        print"<B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Insertimage}\" STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 9pt\;\" OnClick=\"mc_image_handler(\'$image\')\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$image30</B></div>\n";
                                                
                                        print"<div ID=\"display$i\" style=\"display:none\;\"><text STYLE=\"font-family\:Arial\; font-size\: 8pt\;\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;</text> <input readonly type=\"text\" STYLE=\"font-family\:Arial\; border-radius:.5em\; outline: none\; font-size\: 8pt\;\" width=\"20\" name=\"$image\" value=\"&nbsp\;&nbsp\;$QMC{$image_name}\">&nbsp\;&nbsp\;&nbsp\;</text><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 8pt\;\" OnClick=\"mc_image_delete_handler\(\'$image\'\)\">$LANGUAGE{$set_language}{Remove}</B></div>\n";
                                        }
                                print"</TD></TR></TABLE>\n";
                                }
                        }
                        
                print"</TD></TR></TABLE></div>\n";
                
                
            # ADVANCED MODE DIV
                if($QMC{ans_mode} == 1) {
                        print"<div ID =\"mc_mode_disply1\" style=\"display:block\;\"><BR><TABLE border=\"0\"><TR><TD>\n";
                        }
                    
                else {
                        print"<div ID =\"mc_mode_disply1\" style=\"display:none\;\"><BR><TABLE border=\"0\"><TR><TD>\n";
                        }
                        
            #### PRINT ADVANCED MODE
                &print_m_editor();
                
                 $end = 0;
		for (my $i = 1; $i <= $mc_num; ++$i) {
			my $select = "select"."$i";
			
			if($i < 5) { # for the first 4 answers
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;";
                                if($QMC{answer} == $i && $QMC{ans_mode} == 1) {
                                        print"<input type=\"radio\" id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" onClick=\"set_mc_ansm\(\'$i\'\)\" checked>\n";
                                        }
                                else {
                                        print"<input type=\"radio\" id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" onClick=\"set_mc_ansm\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;</TD><TD>&nbsp\;&nbsp\;<span onClick=\"set_active_ans(\'$i\')\"> <textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\">";
                                
                                if($QMC{ans_mode} == 1) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea></span></TD></TR></TABLE>\n";
                                }
                                
                        else { # for 5 through mc_num
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;";
                                my $nu = $i + 1; 
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";

                                print"<span ID=\"mans$i\" ";
                                if(!defined $QMC{$select} && $end == 0) {
                                        print"style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                elsif($QMC{ans_mode} == 0 && $end == 0) {
                                        print"style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                else {
                                        print"style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Edit_Row\(\'$i\',\'$nu\',\'$old\'\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;+</font></B></span>\n";
 
                                if($QMC{answer} == $i && $QMC{ans_mode} == 1) {
                                        print"<span ID=\"mdispans$i\" style=\"display:block\;\"><input type=\"radio\" id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" onClick=\"set_mc_ansm\(\'$i\'\)\" checked>&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\">$QMC{$select}</textarea></span></TD>\n";
                                        }
                                elsif (defined $QMC{$select} && $QMC{ans_mode} == 1){
                                        print"<span ID=\"mdispans$i\" style=\"display:block\;\"><input type=\"radio\" id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" onClick=\"set_mc_ansm\(\'$i\'\)\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\">$QMC{$select}</textarea></span></TD>\n";
                                        }
                                else {
                                        print"<span ID=\"mdispans$i\" style=\"display:none\;\"><TABLE><TR><TD>&nbsp\;<input type=\"radio\" id=\"MCansm$i\" name=\"MCansm\" value=\"$i\" onClick=\"set_mc_ansm(\'$i\')\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans(\'$i\')\"><textarea class=\"summernote\" id=\"$i\summernote\" name=\"mselect$i\" value=\"\"></textarea></TD>\n";
                                        }
                                
                                if(!defined $QMC{$next_select} ) {
                                        print"<TD><span ID=\"X$i\" style=\"display:block\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode1(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                        }
                                             
                                print"</TR></TABLE></span></TD></TR></TABLE>\n";
                                }
                        }
                        
                print"</TD></TR></TABLE></div>\n";
                

                        
                
		# EQUATION MODE DIV
		if($QMC{ans_mode} == 2) {
                        print"<div ID =\"mc_mode_disply2\" style=\"display:block\;\"><BR><TABLE border=\"0\"><TR><TD>\n";
                        }
                    
                else {
                        print"<div ID =\"mc_mode_disply2\" style=\"display:none\;\"><BR><TABLE border=\"0\"><TR><TD>\n";
                        }
                        
                my $end = 0;
		for (my $i = 1; $i <= $mc_num; ++$i) {
			my $select = "select"."$i";
			
			if($i < 5) { # for the first 4 answers
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;";
                                if($QMC{answer} == $i && ($QMC{ans_mode} == 1 || $QMC{ans_mode} == 2)) {
                                        print"<input type=\"radio\" id=\"MCanseq$i\" name=\"MCansmeq\" value=\"$i\" onClick=\"set_mc_ans_eq\(\'$i\'\)\" checked>\n";
                                        }
                                else {
                                        print"<input type=\"radio\" id=\"MCanseq$i\" name=\"MCansmeq\" value=\"$i\" onClick=\"set_mc_ans_eq\(\'$i\'\)\">\n";
                                        }

                                print"&nbsp\;</TD><TD>&nbsp\;&nbsp\;<span onClick=\"set_active_ans_eq(\'$i\')\"><center><div id=\"frameeq$i\"><textarea id=\"inputeq$i\" name=\"mselecteq$i\" rows=\"3\" cols=\"65\">";
                                
                                if($QMC{ans_mode} == 2) {
                                        print"$QMC{$select}";
                                        }
                                        
                                print"</textarea><br><div><center><TABLE><TR><TD onclick=\"convert('inputeq$i\','outputeq$i\','hidep$i\')\" style=\"display:block\; cursor: pointer\; font-size:10pt\;\"><B>$LANGUAGE{$set_language}{Preview}</B></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD ID=\"hidep$i\" style=\"display:none\; cursor: pointer\; font-size:10pt\;\" onclick=\"hide_preview('outputeq$i\','hidep$i\')\"><B>$LANGUAGE{$set_language}{Hide}</B></TD></TR></TABLE></center></div><center><div id=\"outputeq$i\" style=\"clear:both\; background-image: linear-gradient(yellow , white)\;\"></div></center></span></TD></TR></TABLE>\n";
                                }
                                
                        else { # for 5 through mc_num
                                print"<TABLE border=\"0\"><TR><TD>&nbsp\;";
                                my $nu = $i + 1; 
                                my $old = $i - 1;
                                my $next_select = "select"."$nu";
                                my $old_select = "select"."$old";

                                print"<span ID=\"manseq$i\" ";
                                if(!defined $QMC{$select} && $end == 0) {
                                        print"style=\"display:block\;\">\n";
                                        $end = 1;
                                       }
                                elsif($QMC{ans_mode} == 0 && $end == 0) {
                                        print"style=\"display:block\;\">\n";
                                        $end = 1;
                                        }
                                else {
                                        print"style=\"display:none\;\">\n";
                                       }
                                       
                                print"<B><font STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Show_Next_Edit_Row2\(\'$i\',\'$nu\',\'$old\'\)\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Addanotherrow}\">&nbsp\;+</font></B></span>\n";
 
                                if($QMC{answer} == $i && $QMC{ans_mode} == 2) {
                                        print"<span ID=\"mdispanseq$i\" style=\"display:block\;\"><input type=\"radio\" id=\"MCanseq$i\" name=\"MCansmeq\" value=\"$i\" onClick=\"set_mc_ans_eq\(\'$i\'\)\" checked>&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans_eq(\'$i\')\"><textarea  id=\"inputeq$i\" name=\"mselecteq$i\" rows=\"3\" cols=\"65\">$QMC{$select}</textarea><center><TABLE><TR><TD onclick=\"convert('inputeq$i\','outputeq$i\','hidep$i\')\" style=\"display:block\; cursor: pointer\; font-size:10pt\;\"><B>$LANGUAGE{$set_language}{Preview}</B></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD ID=\"hidep$i\" style=\"display:none\; cursor: pointer\; font-size:10pt\;\" onclick=\"hide_preview('outputeq$i\','hidep$i\')\"><B>$LANGUAGE{$set_language}{Hide}</B></TD></TR></TABLE></center></div><center><div id=\"outputeq$i\" style=\"clear:both\; background-image: linear-gradient(yellow , white)\;\"></div></center></span></TD>\n";
                                        
                                        }
                                elsif (defined $QMC{$select} && $QMC{ans_mode} == 2){
                                        print"<span ID=\"mdispanseq$i\" style=\"display:block\;\"><input type=\"radio\" id=\"MCanseq$i\" name=\"MCansmeq\" value=\"$i\" onClick=\"set_mc_ans_eq\(\'$i\'\)\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans_eq(\'$i\')\"><textarea  id=\"inputeq$i\" name=\"mselecteq$i\" rows=\"3\" cols=\"65\">$QMC{$select}</textarea><center><TABLE><TR><TD onclick=\"convert('inputeq$i\','outputeq$i\','hidep$i\')\" style=\"display:block\; cursor: pointer\; font-size:10pt\;\"><B>$LANGUAGE{$set_language}{Preview}</B></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD ID=\"hidep$i\" style=\"display:none\; cursor: pointer\; font-size:10pt\;\" onclick=\"hide_preview('outputeq$i\','hidep$i\')\"><B>$LANGUAGE{$set_language}{Hide}</B></TD></TR></TABLE></center></div><center><div id=\"outputeq$i\" style=\"clear:both\; background-image: linear-gradient(yellow , white)\;\"></div></center></span></TD>\n";
                                        }
                                else {
                                        print"<span ID=\"mdispanseq$i\" style=\"display:none\;\"><TABLE><TR><TD>&nbsp\;<input type=\"radio\" id=\"MCanseq$i\" name=\"MCansmeq\" value=\"$i\" onClick=\"set_mc_ans_eq(\'$i\')\">&nbsp\;&nbsp\;</TD><TD onClick=\"set_active_ans_eq(\'$i\')\"><textarea  id=\"inputeq$i\" name=\"mselecteq$i\" rows=\"3\" cols=\"65\"></textarea><center><TABLE><TR><TD onclick=\"convert('inputeq$i\','outputeq$i\','hidep$i\')\" style=\"display:block\; cursor: pointer\; font-size:10pt\;\"><B>$LANGUAGE{$set_language}{Preview}</B></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD ID=\"hidep$i\" style=\"display:none\; cursor: pointer\; font-size:10pt\;\" onclick=\"hide_preview('outputeq$i\','hidep$i\')\"><B>$LANGUAGE{$set_language}{Hide}</B></TD></TR></TABLE></center></div><center><div id=\"outputeq$i\" style=\"clear:both\; background-image: linear-gradient(yellow , white)\;\"></div></center></TD>\n";
                                        }
                                
                                if(!defined $QMC{$next_select} ) {
                                        print"<TD><span ID=\"Xeq$i\" style=\"display:block\;\"><B STYLE=\"cursor: pointer\; font-family\:Arial\; font-size\: 18pt\;\" OnClick=\"Remove_Row_Mode2(\'$i\',\'$nu\',\'$old\')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Removerow}\">&nbsp\;&nbsp\; X</B></span></TD>\n";
                                        }
                                             
                                print"</TR></TABLE></span></TD></TR></TABLE>\n";
                                }
                        }
                print"</TD></TR></TABLE></div>\n";
                print"</FORM>\n";
		}
	}

####################
#
# QUESTION_P
#
###################
sub question_p {
	my %QP = @_;
	$QP{qbank} =~ s/\D//g;

        &print_javascript_begin();
        &print_function_question_image_handler_p();
        &print_mode_display_answers_p();
        &get_pans();
        &print_javascript_end();
		
	if (defined $QP{Pans}) { # answer available
                print"<center>";
                
                # PRINT EDITOR LINE
                if($QP{ans_mode} == 1) {
                        &print_advanced_chosen_editor_p();
                        }
                else {
                        &print_basic_chosen_editor_p();
                        }
                        
                print"</center><P>\n";
                
                &print_p_editor();
                
		print"<center><FORM name=\"form1\"> <input type=\"hidden\" name=\"ans_mode\" value=\"$QP{ans_mode}\"><input type=\"hidden\" name=\"Pans\" value=\"$QP{Pans}\">";
		
		
		# Editor
		if($QP{ans_mode} == 1) { #Advanced editor shown
                        print"<div ID=\"p_mode_disply1\" style=\"display:block\"><TABLE><TD width=\"20\"></TD><TD><textarea id=\"summernote\" style=\"resize:none\" name=\"Pans1\" value=\"\">$QP{Pans}</textarea></TD></TABLE></div></FORM>\n";
                        
                        print"<div ID=\"p_mode_disply0\" style=\"display:none\"><TABLE><TD width=\"20\"></TD><TD><textarea style=\"resize:none\; border-radius:.5em\;\" name=\"Pans0\" cols=\"65\" rows=\"11\" value=\"\" placeholder=\" $LANGUAGE{$set_language}{CorrectAnswer}\"></textarea></TD></TABLE></FORM></div></center>\n";
                        }
                else {  # Basic editor shown
                        print"<div ID=\"p_mode_disply0\" style=\"display:block\"><TABLE><TD width=\"20\"></TD><TD><textarea style=\"resize:none\; border-radius:.5em\;\" name=\"Pans0\" cols=\"65\" rows=\"11\" value=\"\">$QP{Pans}</textarea></TD></TABLE></FORM></div>\n";
                        
                        print"<div ID=\"p_mode_disply1\" style=\"display:none\"><TABLE><TD width=\"20\"></TD><TD><textarea id=\"summernote\" style=\"resize:none\" name=\"Pans1\" value=\"\"></textarea></TD></TABLE></div></FORM></center>\n";
                        }
		}
		
	else { # no answer
                print"<center>";
                
                # PRINT EDITOR LINE - basic editor
                &print_basic_chosen_editor_p();
                        
                print"</center><P>\n";
                
                &print_p_editor();
		print"<center><FORM name=\"form1\"><input type=\"hidden\" name=\"ans_mode\" value=\"\"><input type=\"hidden\" name=\"Pans\" value=\"\">\n";
		
		print"<div ID=\"p_mode_disply0\" style=\"display:block\"><TABLE><TD width=\"20\"></TD><TD><textarea style=\"resize:none\; border-radius:.5em\;\" name=\"Pans0\" cols=\"65\" rows=\"11\" value=\"\" placeholder=\" $LANGUAGE{$set_language}{CorrectAnswer}\"></textarea></TD></TABLE></FORM></div>\n";
		
		print"<div ID=\"p_mode_disply1\" style=\"display:none\"><TABLE><TD width=\"20\"></TD><TD><textarea id=\"summernote\" style=\"resize:none; border-radius:.5em\;\" name=\"Pans1\" value=\"\">$QP{Pans}</textarea></TD></TABLE></div></FORM></div></center>\n";
		}
		
        if($QP{qbank} == 1) { #QUESTION BANK
                &print_form("form_name","view_files","form_target","view_files_left","input","view_select_bank_files","mode","1","targit","","u_id","$QP{u_id}","session_id","$QP{session_id}","ans_mode","1");
                }
        else {
                &print_form("form_name","view_files","form_target","view_files_left","input","view_select_files","mode","1","targit","","u_id","$QP{u_id}","session_id","$QP{session_id}");
                }
	}

##################
#
# QUESTION_AD
#
##################
sub question_ad {
	my %AD = @_;
	print"<style>
	table.table1\{ border-radius:4px\; font-size:11pt\; font-family:Arial\;\}
	</style>\n";
	
	&print_input_style_medium();
	
	&print_javascript_begin();
	print"function insertsd\(i_n\) \{\n";
	print"\}\n";
	&print_javascript_end();
	
	print"<center><TABLE name=\"table1\"><TR><TD width=\"10\"></TD><TD><input type=\"radio\" class=\"medium\" name=\"1\" value=\"\" disabled> $LANGUAGE{$set_language}{StronglyAgree} </TD></TR><TR><TD width=\"10\"></TD><TD><input type=\"radio\" class=\"medium\" name=\"2\" value=\"\" disabled> $LANGUAGE{$set_language}{Agree} </TD></TR><TR><TD width=\"10\"></TD><TD><input type=\"radio\" class=\"medium\" name=\"3\" value=\"\" disabled> $LANGUAGE{$set_language}{Neutral} </TD></TR><TR><TD width=\"10\"></TD><TD><input type=\"radio\" class=\"medium\" name=\"4\" value=\"\"disabled> $LANGUAGE{$set_language}{Disagree} </TD></TR><TR><TD width=\"10\"></TD><TD><input type=\"radio\" class=\"medium\" name=\"5\" value=\"\" disabled> $LANGUAGE{$set_language}{StronglyDisagree} </TD><TD width=\"10\"></TD><TD></TR></TABLE></center>\n";  
	}

##################
#
# QUESTION_TF
#
##################
sub question_tf {
	my %QTF = @_;
	my $error = 0;
	$error = &check_many_length_return("$QTF{answer}","1");
	
        if ($error != 1) {	
        	&print_input_style_larger();

		&print_javascript_begin();
		print"function inserttf\(i_n\) \{\n";
		print"self.parent.quest1.document.question_form.TFans.value=i_n\n";
		print"\}\n";
		&print_javascript_end();
	
		if ($QTF{sub_type} == 2) {
			print"<center><input type=\"radio\" class=\"larger\" name=\"TFans\" value=\"T\" disabled\>$LANGUAGE{$set_language}{True} &nbsp\;<input type=\"radio\" class=\"larger\" name=\"TFans\" value=\"F\" disabled\>$LANGUAGE{$set_language}{False}</center>\n";  
			}
		elsif (defined $QTF{answer}) {
			if ($QTF{answer} eq"T") {
				print"<center>$LANGUAGE{$set_language}{CorrectAnswer}: <input type=\"radio\" class=\"larger\" name=\"TFans\" value=\"T\" onClick=\"inserttf\(\'T\'\)\" checked>$LANGUAGE{$set_language}{True} &nbsp\;<input type=\"radio\" class=\"larger\" name=\"TFans\" value=\"F\" onClick=\"inserttf\(\'F\'\)\">$LANGUAGE{$set_language}{False}</center>\n";  
				}
			else {
				print"<center>$LANGUAGE{$set_language}{CorrectAnswer}: <input type=\"radio\" class=\"larger\" name=\"TFans\" value=\"T\" onClick=\"inserttf\(\'T\'\)\">$LANGUAGE{$set_language}{True} &nbsp\;<input type=\"radio\" class=\"larger\" name=\"TFans\" value=\"F\" onClick=\"inserttf\(\'F\'\)\" checked>$LANGUAGE{$set_language}{False}</center>\n";  
				}
			}
		else {
			print"<center>$LANGUAGE{$set_language}{CorrectAnswer}: <input type=\"radio\" class=\"larger\" name=\"TFans\" value=\"T\" onClick=\"inserttf\(\'T\'\)\">$LANGUAGE{$set_language}{True} &nbsp\;<input type=\"radio\" class=\"larger\" name=\"TFans\" value=\"F\" onClick=\"inserttf\(\'F\'\)\">$LANGUAGE{$set_language}{False}</center>\n";  
			}
		}
	}

##################
#
# QUESTION_YN
#
##################
sub question_yn {
	my %QYN = @_;
	my $error = 0;
	$error = &check_many_length_return("$QYN{answer}","1");
	
        if ($error != 1) {	
        	&print_input_style_larger();

		&print_javascript_begin();
		print"function insertyn\(i_n\) \{\n";
		print"self.parent.quest1.document.question_form.YNans.value=i_n\n";
		print"\}\n";
		&print_javascript_end();
	
		if ($QYN{sub_type} == 2) {
			print"<center><input type=\"radio\" class=\"larger\" name=\"YNans\" value=\"Y\" disabled\>$LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" class=\"larger\" name=\"YNans\" value=\"N\" disabled\>$LANGUAGE{$set_language}{No}</center>\n";  
			}
		elsif (defined $QYN{answer}) {
			if ($QYN{answer} eq"Y") {
				print"<center>$LANGUAGE{$set_language}{CorrectAnswer}: <input type=\"radio\" class=\"larger\" name=\"YNans\" value=\"Y\" onClick=\"insertyn\(\'Y\'\)\" checked>$LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" class=\"larger\" name=\"YNans\" value=\"N\" onClick=\"insertyn\(\'N\'\)\">$LANGUAGE{$set_language}{No}</center>\n";  
				}
			else {
				print"<center>$LANGUAGE{$set_language}{CorrectAnswer}: <input type=\"radio\" class=\"larger\" name=\"YNans\" value=\"Y\" onClick=\"insertyn\(\'Y\'\)\">$LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" class=\"larger\" name=\"YNans\" value=\"N\" onClick=\"insertyn\(\'N\'\)\" checked>$LANGUAGE{$set_language}{No}</center>\n";  
				}
			}
		else {
			print"<center>$LANGUAGE{$set_language}{CorrectAnswer}: <input type=\"radio\" class=\"larger\" name=\"YNans\" value=\"Y\" onClick=\"insertyn\(\'Y\'\)\">$LANGUAGE{$set_language}{Yes} &nbsp\;<input type=\"radio\" class=\"larger\" name=\"YNans\" value=\"N\" onClick=\"insertyn\(\'N\'\)\">$LANGUAGE{$set_language}{No}</center>\n";  
			}
		}
	}

#################
#
# QUESTION_SA
#
#################
sub question_sa {
	my %QSA = @_;
	my $error = 0;
    
	$error = &check_many_length_return("$QSA{SAans}","120");
        if ($error != 1) {
		if ($QSA{sub_type} == 2) {
			print"<center><FORM name=\"form1\"><TABLE><TR><TD valign=\"top\"></TD><TD> <input type=\"text\"  border-radius:.5em\; outline: none\; font-family\:Arial\; font-size\: 11pt\; \"size=\"50\"  name=\"SAans\" value=\"\"  disabled></TD></TR></TABLE></FORM></center>\n";  
			}
		elsif (defined $QSA{SAans}) {
			print"<center><FORM name=\"form1\"><TABLE><TR><TD valign=\"top\">$LANGUAGE{$set_language}{CorrectAnswer}: &nbsp\;</TD><TD> <input type=\"text\" style=\" border-radius:.5em\; outline: none\; font-family\:Arial\; font-size\: 11pt\;\" maxlength=\"70\" size=\"50\" name=\"SAans\" value=\"$QSA{SAans}\"></TD></TR></TABLE></FORM></center>\n";  
			}
		else {
			print"<center><FORM name=\"form1\"><TABLE><TR><TD valign=\"top\"></TD><TD> <input type=\"text\" style=\"border-radius:.5em\; outline: none\; font-family\:Arial\; font-size\: 11pt\;\" placeholder=\" $LANGUAGE{$set_language}{CorrectAnswer}\" maxlength=\"70\" name=\"SAans\" size=\"50\" value=\"\"></TD></TR></TABLE></FORM></center>\n";  
			}
		}
	}

##################
#
#  QST_MARK
#
##################
sub qst_mark {
	my %QM = @_;
	my $class_id = $QM{class_id};
	my $class_name = $QM{class_name};
	my $session_id = $QM{session_id};
	my $qst = $QM{qst};
	my $type = $QM{type};
	my $qst_total = $QM{qst_total};
	my $score = $QM{score};
	my $pass = $QM{pass};
	my $correct = $QM{correct};
	my $wrong = $QM{wrong};
	my $na = $QM{na};
	my $to_mark = $QM{to_mark};
	my %RESULTS = ();
	my %INDEX_TO_QUEST_NO = ();
	my $value_of_quests_to_be_marked = $QM{value_of_quests_to_be_marked};
	my @index_to_quest_no = split(/,/,$QM{index_to_quest_no});
	
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type => "$type", pts => "$pts"};
		}

	if (defined $QM{done}) {
		my @pass = split(/,/,$pass);
		foreach my $part(@pass) {
			my($key,$value) = split(/\=/,$part);
			if($value == 1) {
				$RESULTS{$key}{correct} = 1;
				}
			elsif($value == 2) {
				$RESULTS{$key}{marked} = 1;
				}
			elsif($value == 0) {
				$RESULTS{$key}{wrong} = 1;
				}
			elsif($value == 3) {
				$RESULTS{$key}{na} = 1;
				}
			elsif($value == 4) {
				$RESULTS{$key}{tm} = 1;
				}
			}
		&print_javascript_begin();
		print"function l_anchor\(li_nk\)\{\n";
		print"self.top.qst_left.link_anchor\(li_nk\)\n";
		print"\}\n";
		
		print"function close_the_qst() \{
                self.parent.qst_left.close_qst()
                \}\n";
                
		&print_javascript_end();

		print"<FORM>\n";
		print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"close_the_qst\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Close}&nbsp\;</font></B></TD></TABLE></center>\n";
		
		print"<P><center><table width=\"100%\" $action_bar><TR><TD align=\"center\" STYLE=\"border-radius:6px\;\"><font color=\"white\"><BR><B>QST <BR>$LANGUAGE{$set_language}{Results}</B><BR><BR></TD></TR></TABLE></center></FORM>\n";
		
		print"<center><font color=\"green\">$LANGUAGE{$set_language}{Mark}\: $score\/$qst_total</font></center><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"green\"><B>$correct</B></font> $image19 <font size =\"-1\">  $LANGUAGE{$set_language}{correct}</font><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"red\"><B>$wrong</B></font> $image18 </font><font size =\"-1\">  $LANGUAGE{$set_language}{incorrect}</font><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$na</B></font> $image17<font size =\"-1\">  $LANGUAGE{$set_language}{NoAnswer}</font><BR>\n";
		
		if($to_mark > 0 ) {
			print"&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"blue\"><B>$to_mark</B> <B>?</B></font> <font size =\"-1\">  $LANGUAGE{$set_language}{unmarked} ($value_of_quests_to_be_marked pts)</font><BR>\n";
			}
			
		print"&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"#808080\" size=\"-1\"><B>P</B></font> <font size =\"-1\"> &nbsp\; $LANGUAGE{$set_language}{partialmark}</font><BR><P>\n";
		print"<P><TABLE width=\"100\%\">\n";
		
		my $total_keys = 0;
		for my $key(sort {$a<=>$b} keys %RESULTS) {
			if($total_keys == 0) {
				print"<TR>\n";
				}
			print"<TD>\n";
			
			if (defined $RESULTS{$key}{correct}) {
				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
					print"$image19 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				else {
					print"$image19 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
			 	}
			 	
 			if (defined $RESULTS{$key}{wrong}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print"$image18 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print"$image18 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				}
				
 			if (defined $RESULTS{$key}{na}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print"$image17 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print"$image17 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
			 	}
			 	
 			if (defined $RESULTS{$key}{tm}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print" <font color=\"blue\"><B>? &nbsp\;</B></font> <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print" <font color=\"blue\"><B>? &nbsp\;</B></font><font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				 }
				 
 			if (defined $RESULTS{$key}{marked}) {
				print" <font color=\"#808080\" size=\"-1\"><B>P &nbsp\;</B></font><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
				}
				
			++$total_keys;
			print"</TD>\n";
			
			if($total_keys == 3) {
				print"</TR>\n";
				$total_keys = 0;
				}
			 }
			 
		if($total_keys != 0 || $total_keys != 3) {
			my $to_print = 3 - $total_keys;
			for (my $i = 0; $i < $to_print; $i++) {
				print"<TD></TD>\n";
				}
			print"</TR>\n";
			}
			
		print"</TABLE></FORM>\n";
		
		&print_form("form_name","form_reload","form_target","orig_Window","input","print_modal_students_screen","class_name","$class_name","class_id","$class_id","u_id","$ids","session_id","$session_id");
		}
	}

##################
#
#  MODAL_QST_MARK
#
##################
sub modal_qst_mark {
	my %QM = @_;
	my $class_id = $QM{class_id};
	my $qst = $QM{qst};
	my $type = $QM{type};
	my $qst_total = $QM{qst_total};
	my $score = $QM{score};
	my $pass = $QM{pass};
	my $correct = $QM{correct};
	my $wrong = $QM{wrong};
	my $na = $QM{na};
	my $to_mark = $QM{to_mark};
	my %RESULTS = ();
	my %INDEX_TO_QUEST_NO = ();
	my $value_of_quests_to_be_marked = $QM{value_of_quests_to_be_marked};
	my @index_to_quest_no = split(/,/,$QM{index_to_quest_no});
	
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type => "$type", pts => "$pts"};
		}

	if (defined $QM{done}) {
		my @pass = split(/,/,$pass);
		foreach my $part(@pass) {
			my($key,$value) = split(/\=/,$part);
			if($value == 1) {
				$RESULTS{$key}{correct} = 1;
				}
			elsif($value == 2) {
				$RESULTS{$key}{marked} = 1;
				}
			elsif($value == 0) {
				$RESULTS{$key}{wrong} = 1;
				}
			elsif($value == 3) {
				$RESULTS{$key}{na} = 1;
				}
			elsif($value == 4) {
				$RESULTS{$key}{tm} = 1;
				}
			}
		&print_javascript_begin();
		print"function l_anchor\(li_nk\)\{\n";
		print"self.parent.m1qst_left.link_anchor\(li_nk\)\n";
		print"\}\n";
		
		print"function close_modal\(\)\{\n";
		print"self.parent.m1qst_left.close_modal()\n";
		print"\}\n";
		
		&print_javascript_end();

		print"<FORM>\n";
		print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"close_modal\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Close}&nbsp\;</font></B></TD></TABLE></center>\n";
		
		print"<P><center><table width=\"100%\" $action_bar><TR><TD align=\"center\" STYLE=\"border-radius:6px\;\"><font color=\"white\"><BR><B>QST <BR>$LANGUAGE{$set_language}{Results}</B><BR><BR></TD></TR></TABLE></center></FORM>\n";
		
		print"<center><font color=\"green\">$LANGUAGE{$set_language}{Mark}\: $score\/$qst_total</font></center><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"green\"><B>$correct</B></font> $image19 <font size =\"-1\">  $LANGUAGE{$set_language}{correct}</font><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"red\"><B>$wrong</B></font> $image18 </font><font size =\"-1\">  $LANGUAGE{$set_language}{incorrect}</font><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$na</B></font> $image17<font size =\"-1\">  $LANGUAGE{$set_language}{NoAnswer}</font><BR>\n";
		
		if($to_mark > 0 ) {
			print"&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"blue\"><B>$to_mark</B> <B>?</B></font> <font size =\"-1\">  $LANGUAGE{$set_language}{unmarked} ($value_of_quests_to_be_marked pts)</font><BR>\n";
			}
			
		print"&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"#808080\" size=\"-1\"><B>P</B></font> <font size =\"-1\"> &nbsp\; $LANGUAGE{$set_language}{partialmark}</font><BR><P>\n";
		print"<P><TABLE width=\"100\%\">\n";
		
		my $total_keys = 0;
		for my $key(sort {$a<=>$b} keys %RESULTS) {
			if($total_keys == 0) {
				print"<TR>\n";
				}
			print"<TD>\n";
			
			if (defined $RESULTS{$key}{correct}) {
				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
					print"$image19 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				else {
					print"$image19 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
			 	}
			 	
 			if (defined $RESULTS{$key}{wrong}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print"$image18 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print"$image18 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				}
				
 			if (defined $RESULTS{$key}{na}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print"$image17 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print"$image17 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
			 	}
			 	
 			if (defined $RESULTS{$key}{tm}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print" <font color=\"blue\"><B>? &nbsp\;</B></font> <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print" <font color=\"blue\"><B>? &nbsp\;</B></font><font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				 }
				 
 			if (defined $RESULTS{$key}{marked}) {
				print" <font color=\"#808080\" size=\"-1\"><B>P &nbsp\;</B></font><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
				}
				
			++$total_keys;
			print"</TD>\n";
			
			if($total_keys == 3) {
				print"</TR>\n";
				$total_keys = 0;
				}
			 }
			 
		if($total_keys != 0 || $total_keys != 3) {
			my $to_print = 3 - $total_keys;
			for (my $i = 0; $i < $to_print; $i++) {
				print"<TD></TD>\n";
				}
			print"</TR>\n";
			}
			
		print"</TABLE></FORM>\n";
		}
	}

##################
#
#  MODAL2_QST_MARK2
#
##################
sub modal2_qst_mark2 {
	my %QM = @_;
	my $class_id = $QM{class_id};
	my $qst = $QM{qst};
	my $type = $QM{type};
	my $qst_total = $QM{qst_total};
	my $score = $QM{score};
	my $pass = $QM{pass};
	my $correct = $QM{correct};
	my $wrong = $QM{wrong};
	my $na = $QM{na};
	my $to_mark = $QM{to_mark};
	my %RESULTS = ();
	my %INDEX_TO_QUEST_NO = ();
	my $value_of_quests_to_be_marked = $QM{value_of_quests_to_be_marked};
	my @index_to_quest_no = split(/,/,$QM{index_to_quest_no});
	
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type => "$type", pts => "$pts"};
		}

	if (defined $QM{done}) {
		my @pass = split(/,/,$pass);
		foreach my $part(@pass) {
			my($key,$value) = split(/\=/,$part);
			if($value == 1) {
				$RESULTS{$key}{correct} = 1;
				}
			elsif($value == 2) {
				$RESULTS{$key}{marked} = 1;
				}
			elsif($value == 0) {
				$RESULTS{$key}{wrong} = 1;
				}
			elsif($value == 3) {
				$RESULTS{$key}{na} = 1;
				}
			elsif($value == 4) {
				$RESULTS{$key}{tm} = 1;
				}
			}
		&print_javascript_begin();
		print"function l_anchor\(li_nk\)\{\n";
		print"self.parent.m2qst_left.link_anchor\(li_nk\)\n";
		print"\}\n";
		
		print"function close_modal\(\)\{\n";
		print"self.parent.m2qst_left.close_modal()\n";
		print"\}\n";
		
		&print_javascript_end();

		print"<FORM>\n";
		print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"close_modal\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Close}&nbsp\;</font></B></TD></TABLE></center>\n";
		
		print"<P><center><table width=\"100%\" $action_bar><TR><TD align=\"center\" STYLE=\"border-radius:6px\;\"><font color=\"white\"><BR><B>QST <BR>$LANGUAGE{$set_language}{Results}</B><BR><BR></TD></TR></TABLE></center></FORM>\n";
		
		print"<center><font color=\"green\">$LANGUAGE{$set_language}{Mark}\: $score\/$qst_total</font></center><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"green\"><B>$correct</B></font> $image19 <font size =\"-1\">  $LANGUAGE{$set_language}{correct}</font><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"red\"><B>$wrong</B></font> $image18 </font><font size =\"-1\">  $LANGUAGE{$set_language}{incorrect}</font><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$na</B></font> $image17<font size =\"-1\">  $LANGUAGE{$set_language}{NoAnswer}</font><BR>\n";
		
		if($to_mark > 0 ) {
			print"&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"blue\"><B>$to_mark</B> <B>?</B></font> <font size =\"-1\">  $LANGUAGE{$set_language}{unmarked} ($value_of_quests_to_be_marked pts)</font><BR>\n";
			}
			
		print"&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"#808080\" size=\"-1\"><B>P</B></font> <font size =\"-1\"> &nbsp\; $LANGUAGE{$set_language}{partialmark}</font><BR><P>\n";
		print"<P><TABLE width=\"100\%\">\n";
		
		my $total_keys = 0;
		for my $key(sort {$a<=>$b} keys %RESULTS) {
			if($total_keys == 0) {
				print"<TR>\n";
				}
			print"<TD>\n";
			
			if (defined $RESULTS{$key}{correct}) {
				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
					print"$image19 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				else {
					print"$image19 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
			 	}
			 	
 			if (defined $RESULTS{$key}{wrong}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print"$image18 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print"$image18 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				}
				
 			if (defined $RESULTS{$key}{na}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print"$image17 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print"$image17 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
			 	}
			 	
 			if (defined $RESULTS{$key}{tm}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print" <font color=\"blue\"><B>? &nbsp\;</B></font> <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print" <font color=\"blue\"><B>? &nbsp\;</B></font><font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				 }
				 
 			if (defined $RESULTS{$key}{marked}) {
				print" <font color=\"#808080\" size=\"-1\"><B>P &nbsp\;</B></font><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
				}
				
			++$total_keys;
			print"</TD>\n";
			
			if($total_keys == 3) {
				print"</TR>\n";
				$total_keys = 0;
				}
			 }
			 
		if($total_keys != 0 || $total_keys != 3) {
			my $to_print = 3 - $total_keys;
			for (my $i = 0; $i < $to_print; $i++) {
				print"<TD></TD>\n";
				}
			print"</TR>\n";
			}
			
		print"</TABLE></FORM>\n";
		}
	}
	
##################
#
#  MODAL3_QST_MARK3
#
##################
sub modal3_qst_mark3 {
	my %QM = @_;
	my $class_id = $QM{class_id};
	my $qst = $QM{qst};
	my $type = $QM{type};
	my $qst_total = $QM{qst_total};
	my $score = $QM{score};
	my $pass = $QM{pass};
	my $correct = $QM{correct};
	my $wrong = $QM{wrong};
	my $na = $QM{na};
	my $to_mark = $QM{to_mark};
	my %RESULTS = ();
	my %INDEX_TO_QUEST_NO = ();
	my $value_of_quests_to_be_marked = $QM{value_of_quests_to_be_marked};
	my @index_to_quest_no = split(/,/,$QM{index_to_quest_no});
	
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type => "$type", pts => "$pts"};
		}

	if (defined $QM{done}) {
		my @pass = split(/,/,$pass);
		foreach my $part(@pass) {
			my($key,$value) = split(/\=/,$part);
			if($value == 1) {
				$RESULTS{$key}{correct} = 1;
				}
			elsif($value == 2) {
				$RESULTS{$key}{marked} = 1;
				}
			elsif($value == 0) {
				$RESULTS{$key}{wrong} = 1;
				}
			elsif($value == 3) {
				$RESULTS{$key}{na} = 1;
				}
			elsif($value == 4) {
				$RESULTS{$key}{tm} = 1;
				}
			}
		&print_javascript_begin();
		print"function l_anchor\(li_nk\)\{\n";
		print"self.parent.m3qst_left.link_anchor\(li_nk\)\n";
		print"\}\n";
		
		print"function close_modal\(\)\{\n";
		print"self.parent.m3qst_left.close_modal()\n";
		print"\}\n";
		
		&print_javascript_end();

		print"<FORM>\n";
		print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"close_modal\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Close}&nbsp\;</font></B></TD></TABLE></center>\n";
		
		print"<P><center><table width=\"100%\" $action_bar><TR><TD align=\"center\" STYLE=\"border-radius:6px\;\"><font color=\"white\"><BR><B>QST <BR>$LANGUAGE{$set_language}{Results}</B><BR><BR></TD></TR></TABLE></center></FORM>\n";
		
		print"<center><font color=\"green\">$LANGUAGE{$set_language}{Mark}\: $score\/$qst_total</font></center><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"green\"><B>$correct</B></font> $image19 <font size =\"-1\">  $LANGUAGE{$set_language}{correct}</font><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"red\"><B>$wrong</B></font> $image18 </font><font size =\"-1\">  $LANGUAGE{$set_language}{incorrect}</font><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$na</B></font> $image17<font size =\"-1\">  $LANGUAGE{$set_language}{NoAnswer}</font><BR>\n";
		
		if($to_mark > 0 ) {
			print"&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"blue\"><B>$to_mark</B> <B>?</B></font> <font size =\"-1\">  $LANGUAGE{$set_language}{unmarked} ($value_of_quests_to_be_marked pts)</font><BR>\n";
			}
			
		print"&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"#808080\" size=\"-1\"><B>P</B></font> <font size =\"-1\"> &nbsp\; $LANGUAGE{$set_language}{partialmark}</font><BR><P>\n";
		print"<P><TABLE width=\"100\%\">\n";
		
		my $total_keys = 0;
		for my $key(sort {$a<=>$b} keys %RESULTS) {
			if($total_keys == 0) {
				print"<TR>\n";
				}
			print"<TD>\n";
			
			if (defined $RESULTS{$key}{correct}) {
				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
					print"$image19 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				else {
					print"$image19 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
			 	}
			 	
 			if (defined $RESULTS{$key}{wrong}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print"$image18 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print"$image18 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				}
				
 			if (defined $RESULTS{$key}{na}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print"$image17 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print"$image17 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
			 	}
			 	
 			if (defined $RESULTS{$key}{tm}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print" <font color=\"blue\"><B>? &nbsp\;</B></font> <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print" <font color=\"blue\"><B>? &nbsp\;</B></font><font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				 }
				 
 			if (defined $RESULTS{$key}{marked}) {
				print" <font color=\"#808080\" size=\"-1\"><B>P &nbsp\;</B></font><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
				}
				
			++$total_keys;
			print"</TD>\n";
			
			if($total_keys == 3) {
				print"</TR>\n";
				$total_keys = 0;
				}
			 }
			 
		if($total_keys != 0 || $total_keys != 3) {
			my $to_print = 3 - $total_keys;
			for (my $i = 0; $i < $to_print; $i++) {
				print"<TD></TD>\n";
				}
			print"</TR>\n";
			}
			
		print"</TABLE></FORM>\n";
		}
	}
	
##################
#
#  MODAL4_QST_MARK4
#
##################
sub modal4_qst_mark4 {
	my %QM = @_;
	my $class_id = $QM{class_id};
	my $qst = $QM{qst};
	my $type = $QM{type};
	my $qst_total = $QM{qst_total};
	my $score = $QM{score};
	my $pass = $QM{pass};
	my $correct = $QM{correct};
	my $wrong = $QM{wrong};
	my $na = $QM{na};
	my $to_mark = $QM{to_mark};
	my %RESULTS = ();
	my %INDEX_TO_QUEST_NO = ();
	my $value_of_quests_to_be_marked = $QM{value_of_quests_to_be_marked};
	my @index_to_quest_no = split(/,/,$QM{index_to_quest_no});
	
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type => "$type", pts => "$pts"};
		}

	if (defined $QM{done}) {
		my @pass = split(/,/,$pass);
		foreach my $part(@pass) {
			my($key,$value) = split(/\=/,$part);
			if($value == 1) {
				$RESULTS{$key}{correct} = 1;
				}
			elsif($value == 2) {
				$RESULTS{$key}{marked} = 1;
				}
			elsif($value == 0) {
				$RESULTS{$key}{wrong} = 1;
				}
			elsif($value == 3) {
				$RESULTS{$key}{na} = 1;
				}
			elsif($value == 4) {
				$RESULTS{$key}{tm} = 1;
				}
			}
		&print_javascript_begin();
		print"function l_anchor\(li_nk\)\{\n";
		print"self.parent.m4qst_left.link_anchor\(li_nk\)\n";
		print"\}\n";
		
		print"function close_modal\(\)\{\n";
		print"self.parent.m4qst_left.close_modal()\n";
		print"\}\n";
		
		&print_javascript_end();

		print"<FORM>\n";
		print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"close_modal\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Close}&nbsp\;</font></B></TD></TABLE></center>\n";
		
		print"<P><center><table width=\"100%\" $action_bar><TR><TD align=\"center\" STYLE=\"border-radius:6px\;\"><font color=\"white\"><BR><B>QST <BR>$LANGUAGE{$set_language}{Results}</B><BR><BR></TD></TR></TABLE></center></FORM>\n";
		
		print"<center><font color=\"green\">$LANGUAGE{$set_language}{Mark}\: $score\/$qst_total</font></center><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"green\"><B>$correct</B></font> $image19 <font size =\"-1\">  $LANGUAGE{$set_language}{correct}</font><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"red\"><B>$wrong</B></font> $image18 </font><font size =\"-1\">  $LANGUAGE{$set_language}{incorrect}</font><BR>\n";
		print" &nbsp\;&nbsp\;&nbsp\;&nbsp\;<B>$na</B></font> $image17<font size =\"-1\">  $LANGUAGE{$set_language}{NoAnswer}</font><BR>\n";
		
		if($to_mark > 0 ) {
			print"&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"blue\"><B>$to_mark</B> <B>?</B></font> <font size =\"-1\">  $LANGUAGE{$set_language}{unmarked} ($value_of_quests_to_be_marked pts)</font><BR>\n";
			}
			
		print"&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"#808080\" size=\"-1\"><B>P</B></font> <font size =\"-1\"> &nbsp\; $LANGUAGE{$set_language}{partialmark}</font><BR><P>\n";
		print"<P><TABLE width=\"100\%\">\n";
		
		my $total_keys = 0;
		for my $key(sort {$a<=>$b} keys %RESULTS) {
			if($total_keys == 0) {
				print"<TR>\n";
				}
			print"<TD>\n";
			
			if (defined $RESULTS{$key}{correct}) {
				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
					print"$image19 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				else {
					print"$image19 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
			 	}
			 	
 			if (defined $RESULTS{$key}{wrong}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print"$image18 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print"$image18 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				}
				
 			if (defined $RESULTS{$key}{na}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print"$image17 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print"$image17 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
			 	}
			 	
 			if (defined $RESULTS{$key}{tm}) {
 				if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
 					print" <font color=\"blue\"><B>? &nbsp\;</B></font> <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
 					}
 				else {
					print" <font color=\"blue\"><B>? &nbsp\;</B></font><font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
					}
				 }
				 
 			if (defined $RESULTS{$key}{marked}) {
				print" <font color=\"#808080\" size=\"-1\"><B>P &nbsp\;</B></font><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$key}{pts}</font></sup> &nbsp\;</font> \n";
				}
				
			++$total_keys;
			print"</TD>\n";
			
			if($total_keys == 3) {
				print"</TR>\n";
				$total_keys = 0;
				}
			 }
			 
		if($total_keys != 0 || $total_keys != 3) {
			my $to_print = 3 - $total_keys;
			for (my $i = 0; $i < $to_print; $i++) {
				print"<TD></TD>\n";
				}
			print"</TR>\n";
			}
			
		print"</TABLE></FORM>\n";
		}
	}

##################
#
# QST_MARK_INS
#
##################
sub qst_mark_ins {
	my %QM = @_;
	$QM{qst} =~ s/\D//g;
	$QM{class_id} =~ s/\D//g;
	$QM{type} =~ s/\D//g; 
	$QM{s_id} =~ s/\D//g; 
	$QM{qst_total} =~ s/\D//g; 
	$QM{score} =~ s/\D//g; 
	$QM{to_mark} =~ s/\D//g; #must check length
	$QM{value_to_mark} =~ s/\D//g; #must check length

	my $class_id = $QM{class_id};
	my $qst = $QM{qst};
	my $type = $QM{type};
	my $qst_total = $QM{qst_total};
	my $score = $QM{score};
	my $bonus = $QM{bonus};
	my $pass = $QM{pass};
	my $correct = $QM{correct};
	my $wrong = $QM{wrong};
	my $na = $QM{na};
	my $to_mark = $QM{to_mark};
	my $value_to_mark = $QM{value_to_mark};
	my %RESULTS = ();
	my %INDEX_TO_QUEST_NO = ();
	my @pass = split(/,/,$pass);
	my @index_to_quest_no = split(/,/,$QM{index_to_quest_no});
	foreach my $part(@pass) {
		my($key,$value) = split(/\=/,$part);
		if($value == 1) {
			$RESULTS{$key}{correct} = 1;
			}
		elsif($value == 0) {
			$RESULTS{$key}{wrong} = 1;
			}
		elsif($value == 2) {
			$RESULTS{$key}{marked} = 1;
			}
		elsif($value == 3) {
			$RESULTS{$key}{na} = 1;
			}
		elsif($value == 4) {
			$RESULTS{$key}{tm} = 1;
			}
		}
		
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts"};
		}
		
	&print_javascript_begin();
	print"function l_anchor\(li_nk\)\{\n";
	print"self.top.qst_left.link_anchor\(li_nk\)\n";
	print"\}\n";
	&print_javascript_end();

	print"<FORM><BR><P>\n";
	print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"self.parent.close\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Close}&nbsp\;</font></B></TD></TABLE></center>\n";
	
	print"<P><center><table width=\"100%\" $action_bar><TR><TD align=\"center\" STYLE=\"border-radius:6px\;\"><font color=\"white\"><BR><B>QST <BR>$LANGUAGE{$set_language}{Results}</B><BR><BR></TD></TR></TABLE></center><P> \n";
	
	print"<center><font color=\"green\">$LANGUAGE{$set_language}{Marks}\: $score\/$qst_total</font></center>\n";
	print"<center><font color=\"green\">$LANGUAGE{$set_language}{Bonus}\: $bonus</font></center><P>\n";

	print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"green\"><B>$correct</B></font> $image15 <font size =\"-1\">  $LANGUAGE{$set_language}{Correct}</font><BR>\n";
	print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"red\"><B>$wrong</B></font> $image18 </font><font size =\"-1\">  $LANGUAGE{$set_language}{Incorrect}</font><BR>\n";
	print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\; <B>$na</B></font> $image17<font size =\"-1\">  $LANGUAGE{$set_language}{NoAnswer}</font><BR>\n";
	if($to_mark > 0) {
		print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"blue\"><B>$to_mark</B> <B>?</B></font> <font size =\"-1\">  $LANGUAGE{$set_language}{Unmarked} \($value_to_mark\)</font><BR>\n";
		}
		
	print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\; <font color=\"#808080\" size=\"-1\"><B>P</B></font> <font size =\"-1\"> &nbsp\; $LANGUAGE{$set_language}{Partialmark}</font><BR><P>\n";
	print"<TABLE width=\"100\%\"><TD>\n";
	my $total_keys = 0;
	
	for my $key(sort {$a<=>$b} keys %RESULTS) {
		if($total_keys == 0) {
			print"<TR>\n";
			}
		print"<TD>\n";
		
		if (defined $RESULTS{$key}{correct}) {
			if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
				print"$image15 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$INDEX_TO_QUEST_NO{$key}{pts}</sup></font> &nbsp\;</font> \n";
				}
			else {
				print"$image15 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$INDEX_TO_QUEST_NO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
		 	}
		 	
 		if (defined $RESULTS{$key}{wrong}) {
 			if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
				print"$image18 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$INDEX_TO_QUEST_NO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
			else {
				print"$image18 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$INDEX_TO_QUEST_NO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
			}
			
 		if (defined $RESULTS{$key}{na}) {
  			if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
				print"$image17 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$INDEX_TO_QUEST_NO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
			else {
				print"$image17 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$INDEX_TO_QUEST_NO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
			}
			
 		if (defined $RESULTS{$key}{tm}) {
   			if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
				print" <font color=\"blue\"><B>? &nbsp\;</B></font><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$INDEX_TO_QUEST_NO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
			else {
				print" <font color=\"blue\"><B>? &nbsp\;</B></font><font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$INDEX_TO_QUEST_NO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
			}
			
 		if (defined $RESULTS{$key}{marked}) {
    			if($INDEX_TO_QUEST_NO{$key}{type} eq"SA" || $INDEX_TO_QUEST_NO{$key}{type} eq"P") {
				print" <font color=\"#808080\" size=\"-1\"><B>P &nbsp\;</B></font><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$INDEX_TO_QUEST_NO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
			else {
				print" <font color=\"#808080\"><B>+ &nbsp\;</B></font><font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$INDEX_TO_QUEST_NO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
			}
			
		++$total_keys;
		print"</TD>\n";
		if($total_keys == 3) {
			print"</TR>\n";
			$total_keys = 0;
			}
			
		}
	print"</TABLE></FORM>\n";
	}

##################
#
#  QST_SIDE
#
##################
sub qst_side {
	my %QS = @_;
	my $class_id = $QS{class_id};
	my $questions = "$QS{questions}";
	my %INDEX_TO_QUEST_NO = ();
	
	my @index_to_quest_no = split(/,/,$QS{index_to_quest_no});
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts"};
		}

        &print_javascript_countdown2("qtime","$QS{qst_time}");
	                                                    
	&print_javascript_begin();
	print"var a_loaded = \"no\"\n";

	print"function s_input\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'true\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function sub_ques\(\)\{\n";
	print"self.top.qst_left.sub_mit\(\)\n";
	print"\}\n";

	print"function un_do\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function l_anchor\(li_nk\)\{\n";
	print"self.top.qst_left.link_anchor\(li_nk\)\n";
	print"\}\n";
	print"function reload_right\(\)\{\n";
	print"document.s_formm.submit\(\)\n";
	print"\}\n";
	&print_javascript_end();
	
	&print_javascript_time_remaining();
	&print_javascript_time_remaining1();
	
	# load the clock
	&print_javascript_begin();
	print"countdownTimeStart()\n";
        &print_javascript_end();
                                
		      			
	print"<center><span id=\"timeR\"><TABLE><TR><TD style=\"padding-bottom: 4px\"><font style='font-family:Arial; font-size:9pt;'>$LANGUAGE{$set_language}{TimeRemaining}</font></TD></TR></TABLE></span></center>\n";
	print"<center><TABLE STYLE=\"border-radius:4px\;\" bgcolor=\"#00000\"><TR><TD style=\"padding-left:7px\; padding-right:7px\"><B><font style=\"font-size:13pt\; font-family:Arial\; color: white\;\" id=\"showtime\"></font></center></TD></TR></TABLE></center>";
	print"<FORM name=\"clockcount\"><input type=\"hidden\" readonly name=\"clockminutes\" size=\"3\" maxlength=\"3\" style=\"text-align:center\" value=\"$QS{qst_time}\"></font></FORM></center>\n";
	print"<FORM name=\"clockcount1\"><input type=\"hidden\" name=\"clockminutes\" size=\"3\" maxlength=\"3\" value=\"$QS{qst_time}\"></FORM>\n";
	print"<FORM name = \"side_formm\">\n";
	
	print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"sub_ques\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Submit} QST&nbsp\;</font></B></TD></TABLE></center><BR>\n";
	
	print"<center><table width=\"100%\" $action_bar><TR><TD align=\"center\" STYLE=\"border-radius:6px\;\"><font color=\"white\"><BR><B>$LANGUAGE{$set_language}{Questions} <BR>$LANGUAGE{$set_language}{Answered}</B><BR><BR></TD></TR></TABLE></center>\n";
	print"<TABLE width=\"100\%\"><TD>\n";
	
	my $total_keys = 0;
	for(my $i = 1; $i <= $questions; $i++) {
		if($total_keys == 0) {
			print"<TR>\n";
			}
		print"<TD>\n";
		if ($INDEX_TO_QUEST_NO{$i}{type} eq"SA" || $INDEX_TO_QUEST_NO{$i}{type} eq"P") {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$i\'\)\"><B>$i</B></font> \n";
				}
			else { # quizzes/tests
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$i\'\)\"><B>$i<sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup></B></font> \n";
				}
			}
			
		else {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$i\'\)\"><B>$i</B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$i\'\)\"><B>$i<sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$i}{pts}</font></sup></B></font> \n";
				}
			}
			
		++$total_keys;
		print"</TD>\n";
		if($total_keys == 3) {
			print"</TR>\n";
			$total_keys = 0;
			}
		}
		
	print"</TABLE></FORM>\n";
  	&print_form("form_name","s_formm","input","qst_mark","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}");
  	
  	# load the clock
        &print_javascript_begin();
        print"var interval_id = setInterval(\"countdown(1)\",60000\)\n";
        print"var iinterval_id = setInterval(\"countdown1(1)\",60000\)\n";
        &print_javascript_end();        
	}

##################
#
#  RESUME_QST_SIDE
#
##################
sub resume_qst_side {
	my %QS = @_;
	my $class_id = $QS{class_id};
	my $questions = "$QS{questions}";
	my %INDEX_TO_QUEST_NO = ();
	
	my @index_to_quest_no = split(/,/,$QS{index_to_quest_no});
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts"};
		}

        &print_javascript_countdown2("qtime","$QS{qst_time}");

	&print_javascript_begin();
	print"var a_loaded = \"no\"\n";

	print"function s_input\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'true\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function sub_ques\(\)\{\n";
	print"self.top.qst_left.sub_mit\(\)\n";
	print"\}\n";

	print"function un_do\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function l_anchor\(li_nk\)\{\n";
	print"self.top.qst_left.link_anchor\(li_nk\)\n";
	print"\}\n";
	
	print"function reload_right\(\)\{\n";
	print"document.s_formm.submit\(\)\n";
	print"\}\n";
	
	print"function load_handler\(\)\{
	self.parent.qst_left.resume_check_boxes_bot_right\(\)
	\}\n";

	
	&print_javascript_end();
	
	&print_javascript_time_remaining();
	&print_javascript_time_remaining1();
	
	# load the clock
	&print_javascript_begin();
	print"countdownTimeStart()\n";
	&print_javascript_end();

	print"<center><span id=\"timeR\"><TABLE><TR><TD style=\"padding-bottom: 4px\"><font style='font-family:Arial; font-size:9pt;'>$LANGUAGE{$set_language}{TimeRemaining}</font></TD></TR></TABLE></span></center>\n";
	print"<center><TABLE STYLE=\"border-radius:4px\;\" bgcolor=\"#00000\"><TR><TD style=\"padding-left:7px\; padding-right:7px\"><B><font style=\"font-size:13pt\; font-family:Arial\; color: white\;\" id=\"showtime\"></font></center></TD></TR></TABLE></center>";
	print"<FORM name=\"clockcount\"><input type=\"hidden\" readonly name=\"clockminutes\" size=\"3\" maxlength=\"3\" style=\"text-align:center\" value=\"$QS{qst_time}\"></font></FORM></center>\n";

	print"<FORM name=\"clockcount1\"><input type=\"hidden\" name=\"clockminutes\" size=\"3\" maxlength=\"3\" value=\"$QS{qst_time}\"></FORM>\n";
	
	print"<FORM name = \"side_formm\">\n";
	
	print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"sub_ques\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Submit} QST&nbsp\;</font></B></TD></TABLE></center><BR>\n";
	
	print"<center><table width=\"100%\" $action_bar><TR><TD align=\"center\" STYLE=\"border-radius:6px\;\"><font color=\"white\"><BR><B>$LANGUAGE{$set_language}{Questions} <BR>$LANGUAGE{$set_language}{Answered}</B><BR><BR></TD></TR></TABLE></center>\n";
	print"<TABLE width=\"100\%\"><TD>\n";
	
	my $total_keys = 0;
	for(my $i = 1; $i <= $questions; $i++) {
		if($total_keys == 0) {
			print"<TR>\n";
			}
		print"<TD>\n";
		if ($INDEX_TO_QUEST_NO{$i}{type} eq"SA" || $INDEX_TO_QUEST_NO{$i}{type} eq"P") {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$i\'\)\"><B>$i</B></font> \n";
				}
			else { # quizzes/tests
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$i\'\)\"><B>$i<sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup></B></font> \n";
				}
			}
			
		else {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$i\'\)\"><B>$i</B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$i\'\)\"><B>$i<sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$i}{pts}</font></sup></B></font> \n";
				}
			}
			
		++$total_keys;
		print"</TD>\n";
		if($total_keys == 3) {
			print"</TR>\n";
			$total_keys = 0;
			}
		}
		
	print"</TABLE></FORM>\n";
	
  	&print_form("form_name","s_formm","input","qst_mark","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}");
  	
  	# load the clock
        &print_javascript_begin();
        print"var interval_id = setInterval(\"countdown(1)\",60000\)\n";
        print"var iinterval_id = setInterval(\"countdown1(1)\",60000\)\n";
        &print_javascript_end();
        
        print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
	}

##################
#
#  RESUME_QST_SIDE2
#
##################
sub resume_qst_side2 {
	my %QS = @_;
	my $class_id = $QS{class_id};
	my $questions = "$QS{questions}";
	my %INDEX_TO_QUEST_NO = ();
	my @index_to_quest_no = split(/\,/,$QS{index_to_quest_no});
	
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts", number => "$number"};
		}
 	
 	&print_javascript_countdown2("qtime","$QS{qst_time}");

	&print_javascript_begin();
	
	print"var a_loaded = \"no\"\n";

	print"function s_input\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'true\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function sub_ques\(\)\{\n";
	print"self.top.qst_left.sub_mit\(\)\n";
	print"\}\n";

	print"function un_do\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function display_question\(order,quest,type\)\{
	document.next_quest.order.value=order
	document.next_quest.quest_no.value=quest
	document.next_quest.type.value=type
	document.next_quest.submit()
	\}\n";
	
	print"function reload_right\(\)\{\n";
	print"document.s_formm.submit\(\)\n";
	print"\}\n";
	
	print"function load_handler\(\)\{
	self.parent.qst_left.resume_check_boxes_bot_right\(\)
	\}\n";

	print"function Finish\(qst\) \{
	document.q_form.submit()
        \}\n";

	&print_javascript_end();
	
	&print_javascript_time_remaining();
	&print_javascript_time_remaining1();
	
	# load the clock
	&print_javascript_begin();
	print"countdownTimeStart()\n";
	&print_javascript_end();

	print"<center><span id=\"timeR\"><TABLE><TR><TD style=\"padding-bottom: 4px\"><font style='font-family:Arial; font-size:9pt;'>$LANGUAGE{$set_language}{TimeRemaining}</font></TD></TR></TABLE></span></center>\n";
	print"<center><TABLE STYLE=\"border-radius:4px\;\" bgcolor=\"#00000\"><TR><TD style=\"padding-left:7px\; padding-right:7px\"><B><font style=\"font-size:13pt\; font-family:Arial\; color: white\;\" id=\"showtime\"></font></center></TD></TR></TABLE></center>";
	print"<FORM name=\"clockcount\"><input type=\"hidden\" readonly name=\"clockminutes\" size=\"3\" maxlength=\"3\" style=\"text-align:center\" value=\"$QS{qst_time}\"></font></FORM></center>\n";
	
	print"<FORM name=\"clockcount1\"><input type=\"hidden\" name=\"clockminutes\" size=\"3\" maxlength=\"3\" value=\"$QS{qst_time}\"></FORM>\n";
	
	print"<FORM name = \"side_formm\">\n";
	
        print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B onClick=\"Finish('$QS{qst}')\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Submit} QST&nbsp\;</font></B></TD></TABLE></center><BR>\n";
	
	print"<center><table width=\"100%\" $action_bar><TR><TD align=\"center\" STYLE=\"border-radius:6px\;\"><font color=\"white\"><BR><B>$LANGUAGE{$set_language}{Questions} <BR>$LANGUAGE{$set_language}{Answered}</B><BR><BR></TD></TR></TABLE></center>\n";
	print"<TABLE width=\"100\%\"><TD>\n";
	
	my $total_keys = 0;
	
	for(my $i = 1; $i <= $questions; $i++) {
		if($total_keys == 0) {
			print"<TR>\n";
			}
		print"<TD>\n";
		if ($INDEX_TO_QUEST_NO{$i}{type} eq"SA" || $INDEX_TO_QUEST_NO{$i}{type} eq"P") {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"display_question\(\'$i\','$INDEX_TO_QUEST_NO{$i}{number}','2'\)\"><B>$i</B></font> \n";
				}
			else { # quizzes/tests
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"display_question\(\'$i\','$INDEX_TO_QUEST_NO{$i}{number}','1'\)\"><B>$i<sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup></B></font> \n";
				}
			}
			
		else {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\" onClick=\"display_question\(\'$i\','$INDEX_TO_QUEST_NO{$i}{number}','2'\)\"><B>$i</B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\" onClick=\"display_question\(\'$i\','$INDEX_TO_QUEST_NO{$i}{number}','1'\)\"><B>$i<sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$i}{pts}</font></sup></B></font> \n";
				}
			}
			
		++$total_keys;
	
		print"</TD>\n";
		if($total_keys == 3) {
			print"</TR>\n";
			$total_keys = 0;
			}
		}
		
	print"</TABLE></FORM>\n";
	
  	&print_form("form_name","s_formm","input","qst_mark","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}");
  	  	
  	&print_form("form_name","next_quest","form_target","qst_left","input","resume_next_question2","order","","quest_no","","qst","$QS{qst}","class_id","$class_id","qtype","$QS{type}","type","","u_id","$QS{u_id}","session_id","$QS{session_id}","lquests","$QS{lquests}","attempt","$QS{attempt}");

        &print_form("form_name","q_form","form_target","qst_left","input","mark_type2","class_name","$QS{class_name}","qst_name","$QS{qst_name}","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}","display","2");

  	# load the clock
        &print_javascript_begin();
        print"var interval_id = setInterval(\"countdown(1)\",60000\)\n";
        print"var iinterval_id = setInterval(\"countdown1(1)\",60000\)\n";
        &print_javascript_end();
        
        print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
	}

##################
#
#  MODAL_QST_SIDE
#
##################
sub modal_qst_side {
	my %QS = @_;
	my $class_id = $QS{class_id};
	my $questions = "$QS{questions}";
	my %INDEX_TO_QUEST_NO = ();
	
	my @index_to_quest_no = split(/,/,$QS{index_to_quest_no});
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts"};
		}

        &print_javascript_countdown2("qtime","$QS{qst_time}");

	&print_javascript_begin();
	print"var a_loaded = \"no\"\n";

	print"function s_input\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'true\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function sub_ques\(\)\{\n";
	print"self.parent.m1qst_left.sub_mit\(\)\n";
	print"\}\n";

	print"function un_do\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function l_anchor\(li_nk\)\{\n";
	print"self.parent.m1qst_left.link_anchor\(li_nk\)\n";
	print"\}\n";
	print"function reload_right\(\)\{\n";
	print"document.s_formm.submit\(\)\n";
	print"\}\n";
	&print_javascript_end();
	
	&print_javascript_time_remaining();
	&print_javascript_time_remaining1();
	
	# load the clock
	&print_javascript_begin();
	print"countdownTimeStart()\n";
	&print_javascript_end();

	print"<center><span id=\"timeR\"><TABLE><TR><TD style=\"padding-bottom: 4px\"><font style='font-family:Arial; font-size:9pt;'>$LANGUAGE{$set_language}{TimeRemaining}</font></TD></TR></TABLE></span></center>\n";
	print"<center><TABLE STYLE=\"border-radius:4px\;\" bgcolor=\"#00000\"><TR><TD style=\"padding-left:7px\; padding-right:7px\"><B><font style=\"font-size:13pt\; font-family:Arial\; color: white\;\" id=\"showtime\"></font></center></TD></TR></TABLE></center>";
	print"<FORM name=\"clockcount\"><input type=\"hidden\" readonly name=\"clockminutes\" size=\"3\" maxlength=\"3\" style=\"text-align:center\" value=\"$QS{qst_time}\"></font></FORM></center>\n";

	print"<FORM name=\"clockcount1\"><input type=\"hidden\" name=\"clockminutes\" size=\"3\" maxlength=\"3\" value=\"$QS{qst_time}\"></FORM>\n";
	
	print"<FORM name = \"side_formm\">\n";
	
	print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B  onClick=\"sub_ques\(\)\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Submit} QST&nbsp\;</font></B></TD></TABLE></center><BR>\n";
	
	print"<center><table width=\"100%\" $action_bar><TR><TD align=\"center\" STYLE=\"border-radius:6px\;\"><font color=\"white\"><BR><B>$LANGUAGE{$set_language}{Questions} <BR>$LANGUAGE{$set_language}{Answered}</B><BR><BR></TD></TR></TABLE></center>\n";
	print"<TABLE width=\"100\%\"><TD>\n";
	
	my $total_keys = 0;
	for(my $i = 1; $i <= $questions; $i++) {
		if($total_keys == 0) {
			print"<TR>\n";
			}
		print"<TD>\n";
		if ($INDEX_TO_QUEST_NO{$i}{type} eq"SA" || $INDEX_TO_QUEST_NO{$i}{type} eq"P") {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$i\'\)\"><B>$i</B></font> \n";
				}
			else { # quizzes/tests
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$i\'\)\"><B>$i<sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup></B></font> \n";
				}
			}
			
		else {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$i\'\)\"><B>$i</B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$i\'\)\"><B>$i<sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$i}{pts}</font></sup></B></font> \n";
				}
			}
			
		++$total_keys;
		print"</TD>\n";
		if($total_keys == 3) {
			print"</TR>\n";
			$total_keys = 0;
			}
		}
		
	print"</TABLE></FORM>\n";
  	&print_form("form_name","s_formm","input","modal_qst_mark","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}");
  	
  	# load the clock
        &print_javascript_begin();
        print"var interval_id = setInterval(\"countdown(1)\",60000\)\n";
        print"var iinterval_id = setInterval(\"countdown1(1)\",60000\)\n";
        &print_javascript_end();        
	}
	
##################
#
#  QST_SIDE2
#
##################
sub qst_side2 {
	my %QS = @_;
	$QS{lquests} =~ s/[^0-9,]//g;
	$QS{attempt} =~ s/\D//g;
	my $class_id = $QS{class_id};
	my $questions = "$QS{questions}";
	my %INDEX_TO_QUEST_NO = ();
	my @index_to_quest_no = split(/,/,$QS{index_to_quest_no});
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts",number=> "$number"};
		}

	&print_javascript_countdown2("qtime","$QS{qst_time}");

	&print_javascript_begin();
	print"var a_loaded = \"no\"\n";

	print"function s_input\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'true\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function sub_ques\(\)\{
	self.top.qst_left.sub_mit\(\)
	\}\n";

	print"function un_do\(inn\)\{
	var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'\'\n";
		print"\}\n";	
		}
	print"\}\n";
	
	print"function reload_right\(\)\{
	document.s_formm.submit\(\)
	\}\n";
	
	print"function display_question\(order,quest,type\)\{
	document.next_quest.order.value=order
	document.next_quest.quest_no.value=quest
	document.next_quest.type.value=type
	document.next_quest.submit()
	\}\n";
	
	print"function Finish\(qst\) \{
	document.q_form.submit()
        \}\n";
        
	&print_javascript_end();
	
	&print_javascript_time_remaining();
	&print_javascript_time_remaining1();
	
 	# load the clock
	&print_javascript_begin();
	print"countdownTimeStart()\n";
	&print_javascript_end();

	if($QS{qst_time} > 1) {
		print"<center><span id=\"timeR\"><TABLE><TR><TD style=\"padding-bottom: 4px\"><font style='font-family:Arial; font-size:9pt;'>$LANGUAGE{$set_language}{TimeRemaining}</font></TD></TR></TABLE></span></center>\n";
		print"<center><TABLE STYLE=\"border-radius:4px\;\" bgcolor=\"#00000\"><TR><TD style=\"padding-left:7px\; padding-right:7px\"><B><font style=\"font-size:13pt\; font-family:Arial\; color: white\;\" id=\"showtime\"></font></center></TD></TR></TABLE></center>";
		print"<FORM name=\"clockcount\"><input type=\"hidden\" readonly name=\"clockminutes\" size=\"3\" maxlength=\"3\" style=\"text-align:center\" value=\"$QS{qst_time}\"></font></FORM></center>\n";
                print"<FORM name=\"clockcount1\"><input type=\"hidden\" name=\"clockminutes\" size=\"3\" maxlength=\"3\" value=\"$QS{qst_time}\"></FORM>\n";
                }
        
        print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B onClick=\"Finish('$QS{qst}')\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Submit} QST&nbsp\;</font></B></TD></TABLE></center><BR>\n";

	print"<FORM name = \"side_formm\">\n";
	
	print"<center><table width=\"100%\" $action_bar><TR><TD align=\"center\" STYLE=\"border-radius:6px\;\"><font color=\"white\"><BR><B>$LANGUAGE{$set_language}{Questions} <BR>$LANGUAGE{$set_language}{Answered}</B><BR><BR></TD></TR></TABLE></center>\n";
	print"<TABLE width=\"100\%\">\n";
	
	my $total_keys = 0;
	for(my $i = 1; $i <= $questions; $i++) {
                my $order = $i - 1;
		if($total_keys == 0) {
			print"<TR>";
			}
		print"<TD>";
		if ($INDEX_TO_QUEST_NO{$i}{type} eq"SA" || $INDEX_TO_QUEST_NO{$i}{type} eq"P") {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\; font-size:11pt;\" onClick=\"display_question\('$order','$INDEX_TO_QUEST_NO{$i}{number}','2'\)\"><B>$i</B></font> \n";
				}
			else { # quizzes/tests
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\; font-size:11pt;\" onClick=\"display_question\('$order','$INDEX_TO_QUEST_NO{$i}{number}','1'\)\"><B>$i</B></font><sup><font STYLE=\"font-size:9pt;\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup>";
				}
			}
			
		else {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\; font-size:11pt;\" onClick=\"display_question\('$order','$INDEX_TO_QUEST_NO{$i}{number}','2'\)\"><B>$i</B></font><sup><font STYLE=\"font-size:9pt;\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup>";
				}
			else { # quizzes/tests
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\; font-size:11pt;\" onClick=\"display_question\('$order','$INDEX_TO_QUEST_NO{$i}{number}','1'\)\"><B>$i</B></font><sup><font STYLE=\"font-size:9pt;\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup>";
				}
			}
			
		++$total_keys;
		print"</TD>";
		if($total_keys == 3) {
			print"</TR>";
			$total_keys = 0;
			}
		}
		
	print"</TABLE></FORM>\n";
  	&print_form("form_name","s_formm","input","qst_mark","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}");
  	&print_form("form_name","next_quest","form_target","qst_left","input","next_question2","order","","quest_no","","qst","$QS{qst}","class_id","$class_id","qtype","$QS{type}","type","","u_id","$QS{u_id}","session_id","$QS{session_id}","lquests","$QS{lquests}","attempt","$QS{attempt}");
  	
        &print_form("form_name","q_form","form_target","qst_left","input","mark_type2","class_name","$QS{class_name}","qst_name","$QS{qst_name}","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}","display","2");
        
  	# load the clock
        &print_javascript_begin();
        print"var interval_id = setInterval(\"countdown(1)\",60000\)\n";
        print"var iinterval_id = setInterval(\"countdown1(1)\",60000\)\n";
        &print_javascript_end();
	}

##################
#
#  MODAL2_QST_SIDE2
#
##################
sub modal2_qst_side2 {
	my %QS = @_;
	$QS{lquests} =~ s/[^0-9,]//g;
	$QS{attempt} =~ s/\D//g;
	my $class_id = $QS{class_id};
	my $questions = "$QS{questions}";
	my %INDEX_TO_QUEST_NO = ();
	my @index_to_quest_no = split(/,/,$QS{index_to_quest_no});
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts",number=> "$number"};
		}

	&print_javascript_countdown2("qtime","$QS{qst_time}");

	&print_javascript_begin();
	print"var a_loaded = \"no\"\n";

	print"function s_input\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'true\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function sub_ques\(\)\{
	self.parent.m2qst_left.sub_mit\(\)
	\}\n";

	print"function un_do\(inn\)\{
	var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'\'\n";
		print"\}\n";	
		}
	print"\}\n";
	
	print"function reload_right\(\)\{
	document.s_formm.submit\(\)
	\}\n";
	
	print"function display_question\(order,quest,type\)\{
	document.next_quest.order.value=order
	document.next_quest.quest_no.value=quest
	document.next_quest.type.value=type
	document.next_quest.submit()
	\}\n";
	
	print"function Finish\(qst\) \{
	document.q_form.submit()
        \}\n";
        
	&print_javascript_end();
	
	&print_javascript_time_remaining();
	&print_javascript_time_remaining1();
	
	# load the clock
	&print_javascript_begin();
	print"countdownTimeStart()\n";
	&print_javascript_end();
 
	if($QS{qst_time} > 1) {
		print"<center><span id=\"timeR\"><TABLE><TR><TD style=\"padding-bottom: 4px\"><font style='font-family:Arial; font-size:9pt;'>$LANGUAGE{$set_language}{TimeRemaining}</font></TD></TR></TABLE></span></center>\n";
		print"<center><TABLE STYLE=\"border-radius:4px\;\" bgcolor=\"#00000\"><TR><TD style=\"padding-left:7px\; padding-right:7px\"><B><font style=\"font-size:13pt\; font-family:Arial\; color: white\;\" id=\"showtime\"></font></center></TD></TR></TABLE></center>";
		print"<FORM name=\"clockcount\"><input type=\"hidden\" readonly name=\"clockminutes\" size=\"3\" maxlength=\"3\" style=\"text-align:center\" value=\"$QS{qst_time}\"></font></FORM></center>\n";

                print"<FORM name=\"clockcount1\"><input type=\"hidden\" name=\"clockminutes\" size=\"3\" maxlength=\"3\" value=\"$QS{qst_time}\"></FORM>\n";
                }
        
        print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B onClick=\"Finish('$QS{qst}')\" STYLE=\"cursor: pointer\" >&nbsp\;$LANGUAGE{$set_language}{Submit} QST&nbsp\;</B></TD></TABLE></center><BR>\n";

	print"<FORM name = \"side_formm\">\n";
	
	print"<center><table width=\"100%\" $action_bar><TR><TD align=\"center\" STYLE=\"border-radius:6px\;\"><font color=\"white\"><BR><B>$LANGUAGE{$set_language}{Questions} <BR>$LANGUAGE{$set_language}{Answered}</B><BR><BR></TD></TR></TABLE></center>\n";
	print"<TABLE width=\"100\%\">\n";
	
	my $total_keys = 0;
	for(my $i = 1; $i <= $questions; $i++) {
                my $order = $i - 1;
		if($total_keys == 0) {
			print"<TR>";
			}
		print"<TD>";
		if ($INDEX_TO_QUEST_NO{$i}{type} eq"SA" || $INDEX_TO_QUEST_NO{$i}{type} eq"P") {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\; font-size:11pt;\" onClick=\"display_question\('$order','$INDEX_TO_QUEST_NO{$i}{number}','2'\)\"><B>$i</B></font> \n";
				}
			else { # quizzes/tests
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\; font-size:11pt;\" onClick=\"display_question\('$order','$INDEX_TO_QUEST_NO{$i}{number}','1'\)\"><B>$i</B></font><sup><font STYLE=\"font-size:9pt;\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup>";
				}
			}
			
		else {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\; font-size:11pt;\" onClick=\"display_question\('$order','$INDEX_TO_QUEST_NO{$i}{number}','2'\)\"><B>$i</B></font><sup><font STYLE=\"font-size:9pt;\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup>";
				}
			else { # quizzes/tests
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\"><font STYLE=\"cursor: pointer\; font-size:11pt;\" onClick=\"display_question\('$order','$INDEX_TO_QUEST_NO{$i}{number}','1'\)\"><B>$i</B></font><sup><font STYLE=\"font-size:9pt;\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup>";
				}
			}
			
		++$total_keys;
		print"</TD>";
		if($total_keys == 3) {
			print"</TR>";
			$total_keys = 0;
			}
		}
		
	print"</TABLE></FORM>\n";
  	&print_form("form_name","s_formm","input","modal_qst_mark","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}");
  	&print_form("form_name","next_quest","form_target","m2qst_left","input","modal_next_question2","order","","quest_no","","qst","$QS{qst}","class_id","$class_id","qtype","$QS{type}","type","","u_id","$QS{u_id}","session_id","$QS{session_id}","lquests","$QS{lquests}","attempt","$QS{attempt}");
  	
        &print_form("form_name","q_form","form_target","m2qst_left","input","modal2_mark_type2","qst_name","$QS{qst_name}","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}","display","2");
        
  	# load the clock
        &print_javascript_begin();
        print"var interval_id = setInterval(\"countdown(1)\",60000\)\n";
        print"var iinterval_id = setInterval(\"countdown1(1)\",60000\)\n";
        &print_javascript_end();
	}
	
##################
#
#  QST_SIDE3
#
##################
sub qst_side3 {
	my %QS = @_;
	$QS{lquests} =~ s/[^0-9,]//g;
	my $class_id = $QS{class_id};
	my $questions = "$QS{questions}";
	my %INDEX_TO_QUEST_NO = ();
	my @index_to_quest_no = split(/,/,$QS{index_to_quest_no});
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts",number=> "$number"};
		}

	&print_javascript_countdown2("qtime","$QS{qst_time}");

	&print_javascript_begin();
	print"var a_loaded = \"no\"\n";

	print"function s_input\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'true\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function sub_ques\(\)\{
	self.top.qst_left.sub_mit\(\)
	\}\n";

	print"function un_do\(inn\)\{
	var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'\'\n";
		print"\}\n";	
		}
	print"\}\n";
	
	print"function reload_right\(\)\{
	document.s_formm.submit\(\)
	\}\n";
	
	print"function Finish\(qst\) \{
        document.q_form.submit()
        \}\n";
        
	&print_javascript_end();
	
	&print_javascript_time_remaining();
	&print_javascript_time_remaining1();
	
	# load the clock
	&print_javascript_begin();
	print"countdownTimeStart()\n";
	&print_javascript_end();

	if($QS{qst_time} > 1) {
                print"<center><span id=\"timeR\"><TABLE><TR><TD style=\"padding-bottom: 4px\"><font style='font-family:Arial; font-size:9pt;'>$LANGUAGE{$set_language}{TimeRemaining}</font></TD></TR></TABLE></span></center>\n";
		print"<center><TABLE STYLE=\"border-radius:4px\;\" bgcolor=\"#00000\"><TR><TD style=\"padding-left:7px\; padding-right:7px\"><B><font style=\"font-size:13pt\; font-family:Arial\; color: white\;\" id=\"showtime\"></font></center></TD></TR></TABLE></center>";
		print"<FORM name=\"clockcount\"><input type=\"hidden\" readonly name=\"clockminutes\" size=\"3\" maxlength=\"3\" style=\"text-align:center\" value=\"$QS{qst_time}\"></font></FORM></center>\n";
                print"<FORM name=\"clockcount1\"><input type=\"hidden\" name=\"clockminutes\" size=\"3\" maxlength=\"3\" value=\"$QS{qst_time}\"></FORM>\n";
                }
                
        print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B onClick=\"Finish('$QS{qst}')\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Submit} QST&nbsp\;</font></B></TD></TABLE></center>\n";

	print"<FORM name = \"side_formm\">\n";
	if($QS{delivery} == 1) {

                }
	print"<TABLE width=\"100\%\"><TD>\n";
	
	my $total_keys = 0;
	for(my $i = 1; $i <= $questions; $i++) {
                my $order = $i - 1;
		if($total_keys == 0) {
			print"<TR>\n";
			}
		print"<TD>\n";
		if ($INDEX_TO_QUEST_NO{$i}{type} eq"SA" || $INDEX_TO_QUEST_NO{$i}{type} eq"P") {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\" onclick=\"return false\">";
                                print"<B>$i</B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			}
			
		else {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
                                print"<B>$i<sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup></B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			}
			
		++$total_keys;
		print"</TD>\n";
		if($total_keys == 3) {
			print"</TR>\n";
			$total_keys = 0;
			}
		}
		
	print"</TABLE></FORM>\n";
  	&print_form("form_name","s_formm","input","qst_mark","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}");
  	&print_form("form_name","next_quest","form_target","qst_left","input","next_question3","order","","quest_no","","qst","$QS{qst}","class_id","$class_id","qtype","$QS{type}","type","","u_id","$QS{u_id}","session_id","$QS{session_id}","lquests","$QS{lquests}");
  	
  	&print_form("form_name","q_form","form_target","qst_left","input","mark_type2","qst_name","$QS{qst_name}","qst","$QS{qst}","class_name","$QS{claass_name}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}","display","2");
        
  	# load the clock
        &print_javascript_begin();
        print"var interval_id = setInterval(\"countdown(1)\",60000\)\n";
        print"var iinterval_id = setInterval(\"countdown1(1)\",60000\)\n";
        &print_javascript_end();
	}

##################
#
#  RESUME_QST_SIDE3
#
##################
sub resume_qst_side3 {
	my %QS = @_;
	$QS{lquests} =~ s/[^0-9,]//g;
	my $class_id = $QS{class_id};
	my $questions = "$QS{questions}";
	my %INDEX_TO_QUEST_NO = ();
	my @index_to_quest_no = split(/,/,$QS{index_to_quest_no});
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts",number=> "$number"};
		}

	&print_javascript_countdown2("qtime","$QS{qst_time}");

	&print_javascript_begin();
	print"var a_loaded = \"no\"\n";

	print"function s_input\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'true\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function sub_ques\(\)\{
	self.top.qst_left.sub_mit\(\)
	\}\n";

	print"function un_do\(inn\)\{
	var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'\'\n";
		print"\}\n";	
		}
	print"\}\n";
	
	print"function reload_right\(\)\{
	document.s_formm.submit\(\)
	\}\n";
	
	print"function Finish\(qst\) \{
        document.q_form.submit()
        \}\n";
        
	&print_javascript_end();
	
	&print_javascript_time_remaining();
	&print_javascript_time_remaining1();
	
	# load the clock
	&print_javascript_begin();
	print"countdownTimeStart()\n";
	&print_javascript_end();

	if($QS{qst_time} > 1) {
		print"<center><span id=\"timeR\"><TABLE><TR><TD style=\"padding-bottom: 4px\"><font style='font-family:Arial; font-size:9pt;'>$LANGUAGE{$set_language}{TimeRemaining}</font></TD></TR></TABLE></span></center>\n";
		print"<center><TABLE STYLE=\"border-radius:4px\;\" bgcolor=\"#00000\"><TR><TD style=\"padding-left:7px\; padding-right:7px\"><B><font style=\"font-size:13pt\; font-family:Arial\; color: white\;\" id=\"showtime\"></font></center></TD></TR></TABLE></center>";
		print"<FORM name=\"clockcount\"><input type=\"hidden\" readonly name=\"clockminutes\" size=\"3\" maxlength=\"3\" style=\"text-align:center\" value=\"$QS{qst_time}\"></font></FORM></center>\n";
                
                print"<FORM name=\"clockcount1\"><input type=\"hidden\" name=\"clockminutes\" size=\"3\" maxlength=\"3\" value=\"$QS{qst_time}\"></FORM>\n";
                }
                
        print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B onClick=\"Finish('$QS{qst}')\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Submit} QST&nbsp\;</font></B></TD></TABLE></center>\n";

	print"<FORM name = \"side_formm\">\n";

	print"<TABLE width=\"100\%\"><TD>\n";
	
	my $total_keys = 0;
	for(my $i = 1; $i <= $questions; $i++) {
                my $order = $i - 1;
		if($total_keys == 0) {
			print"<TR>\n";
			}
		print"<TD>\n";
		if ($INDEX_TO_QUEST_NO{$i}{type} eq"SA" || $INDEX_TO_QUEST_NO{$i}{type} eq"P") {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\" onclick=\"return false\">";
                                print"<B>$i</B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			}
			
		else {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
                                print"<B>$i<sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup></B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			}
			
		++$total_keys;
		print"</TD>\n";
		if($total_keys == 3) {
			print"</TR>\n";
			$total_keys = 0;
			}
		}
		
	print"</TABLE></FORM>\n";
  	&print_form("form_name","s_formm","input","qst_mark","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}");
  	&print_form("form_name","next_quest","form_target","qst_left","input","next_question3","order","","quest_no","","qst","$QS{qst}","class_id","$class_id","qtype","$QS{type}","type","","u_id","$QS{u_id}","session_id","$QS{session_id}","lquests","$QS{lquests}");
  	
  	&print_form("form_name","q_form","form_target","qst_left","input","mark_type2","qst_name","$QS{qst_name}","qst","$QS{qst}","class_name","$QS{claass_name}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}","display","2");
        
  	# load the clock
        &print_javascript_begin();
        print"var interval_id = setInterval(\"countdown(1)\",60000\)\n";
        print"var iinterval_id = setInterval(\"countdown1(1)\",60000\)\n";
        &print_javascript_end();
	}
	
##################
#
#  MODAL3_QST_SIDE3
#
##################
sub modal3_qst_side3 {
	my %QS = @_;
	$QS{lquests} =~ s/[^0-9,]//g;
	my $class_id = $QS{class_id};
	my $questions = "$QS{questions}";
	my %INDEX_TO_QUEST_NO = ();
	my @index_to_quest_no = split(/,/,$QS{index_to_quest_no});
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts",number=> "$number"};
		}

	&print_javascript_countdown2("qtime","$QS{qst_time}");

	&print_javascript_begin();
	print"var a_loaded = \"no\"\n";

	print"function s_input\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'true\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function sub_ques\(\)\{
	self.top.m3qst_left.sub_mit\(\)
	\}\n";

	print"function un_do\(inn\)\{
	var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'\'\n";
		print"\}\n";	
		}
	print"\}\n";
	
	print"function reload_right\(\)\{
	document.s_formm.submit\(\)
	\}\n";
	
	print"function Finish\(qst\) \{
        document.q_form.submit()
        \}\n";
        
	&print_javascript_end();
	
	&print_javascript_time_remaining();
	&print_javascript_time_remaining1();
	
	# load the clock
	&print_javascript_begin();
	print"countdownTimeStart()\n";
	&print_javascript_end();

	if($QS{qst_time} > 1) {
		print"<center><span id=\"timeR\"><TABLE><TR><TD style=\"padding-bottom: 4px\"><font style='font-family:Arial; font-size:9pt;'>$LANGUAGE{$set_language}{TimeRemaining}</font></TD></TR></TABLE></span></center>\n";
		print"<center><TABLE STYLE=\"border-radius:4px\;\" bgcolor=\"#00000\"><TR><TD style=\"padding-left:7px\; padding-right:7px\"><B><font style=\"font-size:13pt\; font-family:Arial\; color: white\;\" id=\"showtime\"></font></center></TD></TR></TABLE></center>";
		print"<FORM name=\"clockcount\"><input type=\"hidden\" readonly name=\"clockminutes\" size=\"3\" maxlength=\"3\" style=\"text-align:center\" value=\"$QS{qst_time}\"></font></FORM></center>\n";

                print"<FORM name=\"clockcount1\"><input type=\"hidden\" name=\"clockminutes\" size=\"3\" maxlength=\"3\" value=\"$QS{qst_time}\"></FORM>\n";
                }
                
        print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B onClick=\"Finish('$QS{qst}')\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Submit} QST&nbsp\;</font></B></TD></TABLE></center>\n";

	print"<FORM name = \"side_formm\">\n";
	if($QS{delivery} == 1) {
                
                }
	print"<TABLE width=\"100\%\"><TD>\n";
	
	my $total_keys = 0;
	for(my $i = 1; $i <= $questions; $i++) {
                my $order = $i - 1;
		if($total_keys == 0) {
			print"<TR>\n";
			}
		print"<TD>\n";
		if ($INDEX_TO_QUEST_NO{$i}{type} eq"SA" || $INDEX_TO_QUEST_NO{$i}{type} eq"P") {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\" onclick=\"return false\">";
                                print"<B>$i</B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			}
			
		else {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
                                print"<B>$i<sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup></B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			}
			
		++$total_keys;
		print"</TD>\n";
		if($total_keys == 3) {
			print"</TR>\n";
			$total_keys = 0;
			}
		}
		
	print"</TABLE></FORM>\n";
  	&print_form("form_name","s_formm","input","qst_mark","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}");
  	&print_form("form_name","next_quest","form_target","m3qst_left","input","modal_next_question3","order","","quest_no","","qst","$QS{qst}","class_id","$class_id","qtype","$QS{type}","type","","u_id","$QS{u_id}","session_id","$QS{session_id}","lquests","$QS{lquests}");
  	
  	&print_form("form_name","q_form","form_target","m3qst_left","input","modal3_mark_type3","qst_name","$QS{qst_name}","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}","display","2");
        
  	# load the clock
        &print_javascript_begin();
        print"var interval_id = setInterval(\"countdown(1)\",60000\)\n";
        print"var iinterval_id = setInterval(\"countdown1(1)\",60000\)\n";
        &print_javascript_end();
	}

##################
#
#  MODAL4_QST_SIDE4
#
##################
sub modal4_qst_side4 {
	my %QS = @_;
	$QS{lquests} =~ s/[^0-9,]//g;
	my $class_id = $QS{class_id};
	my $questions = "$QS{questions}";
	my %INDEX_TO_QUEST_NO = ();
	my @index_to_quest_no = split(/,/,$QS{index_to_quest_no});
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts",number=> "$number"};
		}

	&print_javascript_countdown2("qtime","$QS{qst_time}");

	&print_javascript_begin();
	print"var a_loaded = \"no\"\n";

	print"function s_input\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'true\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function sub_ques\(\)\{
	self.top.m4qst_left.sub_mit\(\)
	\}\n";

	print"function un_do\(inn\)\{
	var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'\'\n";
		print"\}\n";	
		}
	print"\}\n";
	
	print"function reload_right\(\)\{
	document.s_formm.submit\(\)
	\}\n";
	
	print"function Finish\(qst\) \{
        document.q_form.submit()
        \}\n";
        
	&print_javascript_end();
	
	&print_javascript_time_remaining();
	&print_javascript_time_remaining1();
	
	# load the clock
	&print_javascript_begin();
	print"countdownTimeStart()\n";
	&print_javascript_end();

	if($QS{qst_time} > 1) {
		print"<center><span id=\"timeR\"><TABLE><TR><TD style=\"padding-bottom: 4px\"><font style='font-family:Arial; font-size:9pt;'>$LANGUAGE{$set_language}{TimeRemaining}</font></TD></TR></TABLE></span></center>\n";
		print"<center><TABLE STYLE=\"border-radius:4px\;\" bgcolor=\"#00000\"><TR><TD style=\"padding-left:7px\; padding-right:7px\"><B><font style=\"font-size:13pt\; font-family:Arial\; color: white\;\" id=\"showtime\"></font></center></TD></TR></TABLE></center>";
		print"<FORM name=\"clockcount\"><input type=\"hidden\" readonly name=\"clockminutes\" size=\"3\" maxlength=\"3\" style=\"text-align:center\" value=\"$QS{qst_time}\"></font></FORM></center>\n";

                print"<FORM name=\"clockcount1\"><input type=\"hidden\" name=\"clockminutes\" size=\"3\" maxlength=\"3\" value=\"$QS{qst_time}\"></FORM>\n";
                }
                
        print"<center><TABLE STYLE=\"border-radius:6px\; font-size:10pt\; border: 1px solid black\; font-family:Arial\;\"><TD><B onClick=\"Finish('$QS{qst}')\" STYLE=\"cursor: pointer\" ><font>&nbsp\;$LANGUAGE{$set_language}{Submit} QST&nbsp\;</font></B></TD></TABLE></center>\n";

	print"<FORM name = \"side_formm\">\n";
	if($QS{delivery} == 1) {
                
                }
	print"<TABLE width=\"100\%\"><TD>\n";
	
	my $total_keys = 0;
	for(my $i = 1; $i <= $questions; $i++) {
                my $order = $i - 1;
		if($total_keys == 0) {
			print"<TR>\n";
			}
		print"<TD>\n";
		if ($INDEX_TO_QUEST_NO{$i}{type} eq"SA" || $INDEX_TO_QUEST_NO{$i}{type} eq"P") {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\" onclick=\"return false\">";
                                print"<B>$i</B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			}
			
		else {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
                                print"<B>$i<sup><font size=\"-1\">$INDEX_TO_QUEST_NO{$i}{pts}</FONT></sup></B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			}
			
		++$total_keys;
		print"</TD>\n";
		if($total_keys == 3) {
			print"</TR>\n";
			$total_keys = 0;
			}
		}
		
	print"</TABLE></FORM>\n";
  	&print_form("form_name","s_formm","input","qst_mark","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}");
  	&print_form("form_name","next_quest","form_target","m4qst_left","input","modal_next_question4","order","","quest_no","","qst","$QS{qst}","class_id","$class_id","qtype","$QS{type}","type","","u_id","$QS{u_id}","session_id","$QS{session_id}","lquests","$QS{lquests}");
  	
  	&print_form("form_name","q_form","form_target","m4qst_left","input","modal4_mark_type4","qst_name","$QS{qst_name}","qst","$QS{qst}","class_id","$class_id","type","$QS{type}","u_id","$QS{u_id}","session_id","$QS{session_id}","display","2");
        
  	# load the clock
        &print_javascript_begin();
        print"var interval_id = setInterval(\"countdown(1)\",60000\)\n";
        print"var iinterval_id = setInterval(\"countdown1(1)\",60000\)\n";
        &print_javascript_end();
	}
	
##################
#
#  QST_SIDE5
#
##################
sub qst_side5 {
	my %QS = @_;
	$QS{lquests} =~ s/[^0-9,]//g;
	my $class_id = $QS{class_id};
        my $questions = 1;
	my %INDEX_TO_QUEST_NO = ();
	my @index_to_quest_no = split(/,/,$QS{index_to_quest_no});
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts",number=> "$number"};
		}

	&print_javascript_countdown2("qtime","$QS{qst_time}");

	&print_javascript_begin();
	print"var a_loaded = \"no\"\n";

	print"function s_input\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'true\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function sub_ques\(\)\{
	self.top.qst_left.sub_mit\(\)
	\}\n";

	print"function un_do\(inn\)\{
	var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'\'\n";
		print"\}\n";	
		}
	print"\}\n";
	
	print"function reload_right\(\)\{
	document.s_formm.submit\(\)
	\}\n";
	
	print"function Finish\(qst\) \{
        document.q_form.submit()
        \}\n";
        
	&print_javascript_end();
	
	&print_javascript_time_remaining();
	&print_javascript_time_remaining1();
	
	# load the clock
	&print_javascript_begin();
	print"countdownTimeStart()\n";
	&print_javascript_end();

	if($QS{qst_time} > 1) {
                print"<center><span id=\"timeR\"><TABLE><TR><TD style=\"padding-bottom: 4px\"><font style='font-family:Arial; font-size:9pt;'>$LANGUAGE{$set_language}{TimeRemaining}</font></TD></TR></TABLE></span></center>\n";
		print"<center><TABLE STYLE=\"border-radius:4px\;\" bgcolor=\"#00000\"><TR><TD style=\"padding-left:7px\; padding-right:7px\"><B><font style=\"font-size:13pt\; font-family:Arial\; color: white\;\" id=\"showtime\"></font></center></TD></TR></TABLE></center>";
		print"<FORM name=\"clockcount\"><input type=\"hidden\" readonly name=\"clockminutes\" size=\"3\" maxlength=\"3\" style=\"text-align:center\" value=\"$QS{qst_time}\"></font></FORM></center>\n";
                print"<FORM name=\"clockcount1\"><input type=\"hidden\" name=\"clockminutes\" size=\"3\" maxlength=\"3\" value=\"$QS{qst_time}\"></FORM>\n";
                }

	print"<FORM name = \"side_formm\">\n";
	if($QS{delivery} == 1) {
                
                }
	print"<TABLE width=\"100\%\"><TD>\n";
	
	my $total_keys = 0;
	for(my $i = 1; $i <= $questions; $i++) {
                my $order = $i - 1;
		if($total_keys == 0) {
			print"<TR>\n";
			}
		print"<TD>\n";
		if ($INDEX_TO_QUEST_NO{$i}{type} eq"SA" || $INDEX_TO_QUEST_NO{$i}{type} eq"P") {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\" onclick=\"return false\">";
                                print"<B>$i</B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			}
			
		else {
			if($QS{type} == 2) { # surveys
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			else { # quizzes/tests
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			}
			
		++$total_keys;
		print"</TD>\n";
		if($total_keys == 3) {
			print"</TR>\n";
			$total_keys = 0;
			}
		}
		
	print"</TABLE></FORM>\n";
        
  	# load the clock
        &print_javascript_begin();
        print"var interval_id = setInterval(\"countdown(1)\",60000\)\n";
        print"var iinterval_id = setInterval(\"countdown1(1)\",60000\)\n";
        &print_javascript_end();
	}

##################
#
#  MODAL5_QST_SIDE5
#
##################
sub modal5_qst_side5 {
	my %QS = @_;
	$QS{lquests} =~ s/[^0-9,]//g;
	my $class_id = $QS{class_id};
        my $questions = 1;
	my %INDEX_TO_QUEST_NO = ();
	my @index_to_quest_no = split(/,/,$QS{index_to_quest_no});
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$INDEX_TO_QUEST_NO{$key} = {type =>"$type", pts => "$pts",number=> "$number"};
		}

	&print_javascript_countdown2("qtime","$QS{qst_time}");

	&print_javascript_begin();
	print"var a_loaded = \"no\"\n";

	print"function s_input\(inn\)\{\n";
	print"var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'true\'\n";
		print"\}\n";	
		}
	print"\}\n";

	print"function sub_ques\(\)\{
	self.top.m5qst_left.sub_mit\(\)
	\}\n";

	print"function un_do\(inn\)\{
	var in_to = inn\n";
	for(my $i = 1; $i <= $questions; $i++) {
		print"if \(in_to == $i\)\{ \n";
		print"document.side_formm.a$i.checked = \'\'\n";
		print"\}\n";	
		}
	print"\}\n";
	
	print"function reload_right\(\)\{
	document.s_formm.submit\(\)
	\}\n";
	
	print"function Finish\(qst\) \{
        document.q_form.submit()
        \}\n";
        
	&print_javascript_end();
	
	&print_javascript_time_remaining();
	&print_javascript_time_remaining1();
	
	# load the clock
	&print_javascript_begin();
	print"countdownTimeStart()\n";
	&print_javascript_end();

	if($QS{qst_time} > 1) {
		print"<center><span id=\"timeR\"><TABLE><TR><TD style=\"padding-bottom: 4px\"><font style='font-family:Arial; font-size:9pt;'>$LANGUAGE{$set_language}{TimeRemaining}</font></TD></TR></TABLE></span></center>\n";
		print"<center><TABLE STYLE=\"border-radius:4px\;\" bgcolor=\"#00000\"><TR><TD style=\"padding-left:7px\; padding-right:7px\"><B><font style=\"font-size:13pt\; font-family:Arial\; color: white\;\" id=\"showtime\"></font></center></TD></TR></TABLE></center>";
		print"<FORM name=\"clockcount\"><input type=\"hidden\" readonly name=\"clockminutes\" size=\"3\" maxlength=\"3\" style=\"text-align:center\" value=\"$QS{qst_time}\"></font></FORM></center>\n";

                print"<FORM name=\"clockcount1\"><input type=\"hidden\" name=\"clockminutes\" size=\"3\" maxlength=\"3\" value=\"$QS{qst_time}\"></FORM>\n";
                }

	print"<FORM name = \"side_formm\">\n";
	if($QS{delivery} == 1) {
                
                }

	print"<TABLE width=\"100\%\"><TD>\n";
	
	my $total_keys = 0;
	for(my $i = 1; $i <= $questions; $i++) {
                my $order = $i - 1;
		if($total_keys == 0) {
			print"<TR>\n";
			}
		print"<TD>\n";
		
		if ($INDEX_TO_QUEST_NO{$i}{type} eq"SA" || $INDEX_TO_QUEST_NO{$i}{type} eq"P") {
			if($QS{type} == 2) { # surveys
				print"<input type=\"checkbox\" name=\"a$i\" value=\"1\" onclick=\"return false\">";
                                print"<B>$i</B> \n";
				}
			else { # quizzes/tests
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			}
			
		else {
			if($QS{type} == 2) { # surveys
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			else { # quizzes/tests
				print"<input type=\"hidden\" name=\"a$i\" value=\"1\" onclick=\"return false\"> ";
				}
			}
			
		++$total_keys;
		print"</TD>\n";
		if($total_keys == 3) {
			print"</TR>\n";
			$total_keys = 0;
			}
		}
		
	print"</TABLE></FORM>\n";
        
  	# load the clock
        &print_javascript_begin();
        print"var interval_id = setInterval(\"countdown(1)\",60000\)\n";
        print"var iinterval_id = setInterval(\"countdown1(1)\",60000\)\n";
        &print_javascript_end();
	}

###########################
#
# PRINT_CHECKBOX_CSS
#
###########################
sub print_checkbox_css {

print <<"EOA";

<style>
         /* Customize the label (the container) */
.container_ma {
  display: block;
  position: relative;
  padding-left: 30px;
  margin-bottom: 6px;
  cursor: pointer;
  font-size: 18px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.container_ma input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  background-color: #c0c0cb;
}


/* When the checkbox is checked, add a blue background */
.container_ma input:checked ~ .checkmark {
  background-color: #0800ff;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.container_ma input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.container_ma .checkmark:after {
  left: 7px;
  top: 2px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
} 

</style>

EOA

        }
        
###########################
#
# PRINT_RADIO_BUTTON_CSS
#
###########################
sub print_radio_button_css {

print <<"EOA";

<style>
 /* Customize the label (the container) */
.container_radio {
  display: block;
  position: relative;
  padding-left: 30px;
  margin-bottom: 6px;
  cursor: pointer;
  font-size: 17px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default radio button */
.container_radio input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom radio button */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 18px;
  width: 18px;
  background-color: #eee;
  border-radius: 50%;
}

/* When the radio button is checked, add a blue background */
.container_radio input:checked ~ .checkmark {
  background-color: #0800ff;
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the indicator (dot/circle) when checked */
.container_radio input:checked ~ .checkmark:after {
  display: block;
}

/* Style the indicator (dot/circle) */
.container_radio .checkmark:after {
  top: 5px;
  left: 5px;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background: white;
} 
</style>

EOA

        }
        
###########################
#
# PRINT_JAVASCRIPT_ENTERMX
#
##########################
sub print_javascript_enterMX {
        print"function enterMX(change) \{
        var selectedValue = change.options[change.selectedIndex].value\;
        var fields = selectedValue.split(',')\;
        document.form4.answertype.value='MX'
        document.form4.answer.value=fields[2]\;
        document.form4.mxselect.value=fields[3]\;
        self.top.right_bot.s_input\(fields[0]\)
        document.form4.quest_no.value=fields[0]\;
        document.form4.real_quest_no.value=fields[1]\;
        document.form4.submit\(\)
        \}\n";
        }
    
###########################
#
# PRINT_JAVASCRIPT_ENTERMX_MOBILE
#
##########################
sub print_javascript_enterMX_mobile {
        print"function enterMX(change) \{
        var selectedValue = change.options[change.selectedIndex].value\;
        var fields = selectedValue.split(',')\;
        document.form4.answertype.value='MX'
        document.form4.answer.value=fields[2]\;
        document.form4.mxselect.value=fields[3]\;
        document.form4.quest_no.value=fields[0]\;
        document.form4.real_quest_no.value=fields[1]\;
        document.form4.submit\(\)
        \}\n";
        }

###########################
#
# MODAL_PRINT_JAVASCRIPT_ENTERMX
#
##########################
sub modal_print_javascript_enterMX {
        print"function enterMX(change) \{
        var selectedValue = change.options[change.selectedIndex].value\;
        var fields = selectedValue.split(',')\;
        document.form4.answertype.value='MX'
        document.form4.answer.value=fields[2]\;
        document.form4.mxselect.value=fields[3]\;
        self.parent.m1right_bot.s_input\(fields[0]\)
        document.form4.quest_no.value=fields[0]\;
        document.form4.real_quest_no.value=fields[1]\;
        document.form4.submit\(\)
        \}\n";
        }
        
###########################
#
# MODAL2_PRINT_JAVASCRIPT_ENTERMX
#
##########################
sub modal2_print_javascript_enterMX {
        print"function enterMX(change) \{
        var selectedValue = change.options[change.selectedIndex].value\;
        var fields = selectedValue.split(',')\;
        document.form4.answertype.value='MX'
        document.form4.answer.value=fields[2]\;
        document.form4.mxselect.value=fields[3]\;
        self.parent.m2right_bot.s_input\(fields[0]\)
        document.form4.quest_no.value=fields[0]\;
        document.form4.real_quest_no.value=fields[1]\;
        document.form4.submit\(\)
        \}\n";
        }
        
###########################
#
# MODAL3_PRINT_JAVASCRIPT_ENTERMX
#
##########################
sub modal3_print_javascript_enterMX {
        print"function enterMX(change) \{
        var selectedValue = change.options[change.selectedIndex].value\;
        var fields = selectedValue.split(',')\;
        document.form4.answertype.value='MX'
        document.form4.answer.value=fields[2]\;
        document.form4.mxselect.value=fields[3]\;
        self.parent.m3right_bot.s_input\(fields[0]\)
        document.form4.quest_no.value=fields[0]\;
        document.form4.real_quest_no.value=fields[1]\;
        document.form4.submit\(\)
        \}\n";
        }

###########################
#
# MODAL4_PRINT_JAVASCRIPT_ENTERMX
#
##########################
sub modal4_print_javascript_enterMX {
        print"function enterMX(change) \{
        var selectedValue = change.options[change.selectedIndex].value\;
        var fields = selectedValue.split(',')\;
        document.form4.answertype.value='MX'
        document.form4.answer.value=fields[2]\;
        document.form4.mxselect.value=fields[3]\;
        self.parent.m4right_bot.s_input\(fields[0]\)
        document.form4.quest_no.value=fields[0]\;
        document.form4.real_quest_no.value=fields[1]\;
        document.form4.submit\(\)
        \}\n";
        }
        
###########################
#
# MODAL5_PRINT_JAVASCRIPT_ENTERMX
#
##########################
sub modal5_print_javascript_enterMX {
        print"function enterMX(change) \{
        var selectedValue = change.options[change.selectedIndex].value\;
        var fields = selectedValue.split(',')\;
        document.form4.answertype.value='MX'
        document.form4.answer.value=fields[2]\;
        document.form4.mxselect.value=fields[3]\;
        self.parent.m5right_bot.s_input\(fields[0]\)
        document.form4.quest_no.value=fields[0]\;
        document.form4.real_quest_no.value=fields[1]\;
        document.form4.submit\(\)
        \}\n";
        }

###########################
#
# MOBILE_NEXT_QUESTION
#
##########################
sub mobile_next_question {
        my %NQ = @_;
        $NQ{quest_no} =~ s/\D//g;
        $NQ{order} =~ s/\D//g;
        $NQ{qst} =~ s/\D//g;
        $NQ{type} =~ s/\D//g;
        $NQ{lquests} =~ s/[^0-9,]//g;
        $NQ{attempt} =~ s/\D//g;
        $NQ{screen_width} =~ s/\D//g;
        $NQ{show_time} =~ s/\D//g;
        $NQ{iphone} =~ s/\D//g;
        $NQ{mobile} =~ s/\D//g;
        
        my @quests = split(/\,/,$NQ{lquests});
        my $next_order = $NQ{order};
        my $next_quest = $quests[$next_order];
        ++$next_order;
        my $key;
        
        &print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
        &print_javascript_begin();
        
        &print_function_wait();

        print"function load_next\(\) \{
        	wait\(1\)\;
		shownn.style.display=\"block\"
	\}\n";
	
        &print_javascript_enterMX_mobile();

        &print_javascript_activated_this_mobile();

	print"function Show_Next\(order,quests\) \{
        document.next_quest.order.value=order
        document.next_quest.lquests.value=quests
        document.next_quest.show_time.value=distance
        document.next_quest.submit\(\)
        \}\n";
        
        print"var this_in
        var when
					
        function activated_this\(quest_no,real_quest_no,type,checked_ans\) \{
            var this_in = quest_no
            var real_quest_ans
            var quest_ans
            var replace_string =\"\"
            var reg_exp1 = \/\\s\/g
            var replace_string2 =\"\%20\"
            document.form4.real_quest_no.value=real_quest_no
            document.form4.quest_no.value=quest_no

            if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
                    document.form4.answer.value=checked_ans
                    document.form4.submit\(\)
                    \}\n";
      					
            print"if\( type == \"MA\") \{
                        document.form4.answertype.value=type
                        document.form4.answer.value=checked_ans
                        document.form4.submit\(\)
                        \}
                else \{
                        document.form4.answertype.value=\"\"
                        \}\n"; 
					
            print"if\(type == \"SA\") \{
                        real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
                        quest_ans=eval\(real_quest_ans\)
                        var in_string = quest_ans
                        var new_string = in_string.replace\(reg_exp1,replace_string\)
                        var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
                        qlength = in_string.length\;
                        if \(qlength > 75\) \{
                            alert\(\"The answer is longer than 75 characters.\"\)
                            \}
                        else \{
                            if\(new_string !=\"\"\)\{
                                document.form4.saanswer.value=quest_ans
                                document.form4.submit\(\)
                                \}
                            else \{
                                document.form4.saanswer.value=\"\"
                                \}
                            \}
                        \}\n";
      					
            print"if\(type == \"P\") \{
                        real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
                        quest_ans=eval\(real_quest_ans\)
                        var in_string = quest_ans
                        var new_string = in_string.replace\(reg_exp1,replace_string\)
                        var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
                        qlength = in_string.length\;
                        if \(qlength > 675\) \{
                                alert\(\"The answer is longer than 700 characters.\"\)
                                \}
                        else \{
                                if\(new_string !=\"\"\)\{
                                    document.form4.panswer.value=quest_ans
                                    document.form4.submit\(\)
                                    \}
                                else \{
                                    document.form4.panswer.value=\"\"
                                    \}
                                \}
                        \}
                \}\n";
				      	
        &print_javascript_end();
        
        #check if time has expired
	my %RETURN1 = &select_qst_attempts_info("query","SELECT qst_no,attempts,end,resume from qst_attempts WHERE qst_no=\"$NQ{qst}\" AND u_id=\"$ids\"");
	my $time = time;
	
	my $time_left = $RETURN1{$NQ{qst}}{end} - $time;		

        if($next_order <= @quests && $time_left > 3) {
                my $query = "SELECT * from questions WHERE number=\"$next_quest\"";
                my %QUESTIONS = &select_questions("query","$query");
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" and quest_no=\"$next_quest\" and attempt=\"$NQ{attempt}\" and qst=\"$NQ{qst}\"");
        
                my $question_rows = 1;
                my $question_length = length($QUESTIONS{$NQ{quest_no}}{question});
 		
                # fix display to show new lines in text of question
                my $content = $QUESTIONS{$NQ{quest_no}}{question};
                $content =~ s/\r[\n]*/\n/gm;
                my @number_of_newlines = split(/\n/,$content);
                my $new_lines = @number_of_newlines;
                $question_rows = $question_rows + $new_lines;

                if($NQ{show_time} > 1) {
			print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><B><font style=\"font-size:13pt\; font-family:Arial\;\" color=\"white\">&nbsp\;&nbsp\;&nbsp\;&nbsp\; $NQ{qst_name} </font></b>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"white\"><B id=\"showtime\"></B></font></TD></TR></TABLE>";
		        }
		                        
		&print_javascript_countdown_next("showtime","$NQ{show_time}");
		
		# load the clock
		&print_javascript_begin();
		print"countdownTimeStart()\n";
		&print_javascript_end();
		                
		print"<iframe style=\"width:0\; height:0\; border:0\; border:none\" name=\"mobile\"></iframe>\n";
                print"<center>";
                
                if($next_order < @quests) {
                        print"<span id=\"shownn\" style=\"display:none\;\"><B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$next_order','$NQ{lquests}')\" data-toggle=\"tooltip\" title=\"Next\">\></B></span>\n";
                        }
                else {
                	if($NQ{iphone} == 1) {
                		print"<P><B><font STYLE=\"cursor: pointer\; font-size\: 15pt\; padding-top:10px\;\" onClick=\"document.mark_mobile.submit\(\)\"> Submit </font></B><P>\n";
                		}
                	else {
	                        print"<P><B><font STYLE=\"cursor: pointer\; font-size\: 15pt\; padding-top:10px\;\" onClick=\"document.mark_mobile.submit\(\)\"> Submit </font></B><P>\n";
	                        }
                        }
                        
                print"</center><form name=\"q_form\">\n";
                print"<TABLE><TR><TD valign=\"top\"><B>$next_order\.</b></TD>\n";
										
                &print_out_question("question","$QUESTIONS{$next_quest}{question}","value","$QUESTIONS{$next_quest}{value}","image_id","$QUESTIONS{$next_quest}{image_id}","pdf","$QUESTIONS{$next_quest}{pdf}","vlink","$QUESTIONS{$next_quest}{vlink}","alink","$QUESTIONS{$next_quest}{alink}","type","$QUESTIONS{$next_quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$next_quest}{mode}","mobile","1","screen_width","$NQ{screen_width}");
										
                &print_out_question_answers("quest","$next_quest","index","$next_order","type","$QUESTIONS{$next_quest}{type}","key","$key","answer","$QUESTION_ANSWERED{$next_quest}","kolum","$QUESTIONS{$next_quest}{kolum}","attempt","$NQ{attempt}","qst","$NQ{qst}","ans_mode","$QUESTIONS{$next_quest}{ans_mode}","mobile","1","screen_width","$NQ{screen_width}");
                      
                print"</FORM>\n";
                
                &print_form("form_name","next_quest","input","mobile_next_question","order","","quest_no","","real_quest_no","","qst","$NQ{qst}","class_id","$NQ{class_id}","qtype","$NQ{type}","type","","lquests","","u_id","$NQ{u_id}","session_id","$NQ{session_id}","attempt","$NQ{attempt}","mobile","$NQ{mobile}","screen_width","$NQ{screen_width}","iphone","$NQ{iphone}","qst_name","$NQ{qst_name}","qst_time","","show_time","");
                
                &print_form("form_name","mark_mobile","input","mobile_mark_type","qst","$NQ{qst}","class_id","$NQ{class_id}","qtype","$NQ{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}","mobile","$NQ{mobile}","screen_width","$NQ{screen_width}","iphone","$NQ{iphone}","qst_name","$NQ{qst_name}");
                
                &print_form("form_name","form4","form_target","mobile","input","question_done","class_id","$NQ{class_id}","qst","$NQ{qst}","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$NQ{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}");
						
                if($QUESTIONS{$next_quest}{mode} == 2 || $QUESTIONS{$next_quest}{ans_mode} == 2) {
                        &print_eq();
                        }
                       
                if($next_order < @quests) {
                        &print_javascript_begin();
			print"load_next\(\)\n";
			&print_javascript_end();
			}
                }
        else {
        	&print_form("form_name","mark_mobile","input","mobile_mark_type","qst","$NQ{qst}","class_id","$NQ{class_id}","qtype","$NQ{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}","mobile","$NQ{mobile}","screen_width","$NQ{screen_width}","iphone","$NQ{iphone}","qst_name","$NQ{qst_name}");

                print"<P><BR><center><B>$LANGUAGE{$set_language}{TheQSThasended}</B></center><P><BR><center><P><B><font STYLE=\"background-color: #3BF83E\; cursor: pointer\; font-size\: 15pt\; padding-top:10px\; padding-bottom:10px\;\" onClick=\"document.mark_mobile.submit\(\)\">&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Submit} &nbsp\;&nbsp\;</font></B><P>\n";
                }
        }

####################
#
# PRINT FUNCTION WAIT
#
####################
sub print_function_wait {
        print"function wait\(sec\) \{
	  const date = Date.now\(\)\;
	  let currentDate = null\;
	  do \{
	    currentDate = Date.now\(\)\;
	  \} while \(currentDate - date < sec*1000\)\;
	\}\n";
	}
	
####################
#
# PRINT_JAVASCRIPT_COUNTDOWN_NEXT
#
####################
sub print_javascript_countdown_next {
        my %PJCN = @_;
        my $showtime = $PJCN{showtime};
        
print <<"ENNDD";
        <script>
// Set the date we're counting down to
    var rightnow = new Date().getTime();
    var new_now = rightnow + $showtime + 1000;
    
    var countDownDate = new_now;
    var distance;
    
function countdownTimeStart(){
// Get todays date and time

// Update the count down every 1 second
var x = setInterval(function() {

    // Get todays date and time
    var now = new Date().getTime();
    
    // Find the distance between now an the count down date
    distance = countDownDate - now;

    
    // Time calculations for days, hours, minutes and seconds
    var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
    var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
    var seconds = Math.floor((distance % (1000 * 60)) / 1000);
    
    // Output the result in an element with id="showtime"
    document.getElementById("showtime").innerHTML = hours + "h "
    + minutes + "m " + seconds +"s";
    
    
    // If the count down is over, write some text 
    if (distance < 0) {
        clearInterval(x);
        document.getElementById("showtime").innerHTML = "TIME EXPIRED";
        }
}, 1000);

}

</script>

ENNDD
    }

###########################
#
# NEXT_QUESTION2
#
##########################
sub next_question2 {
        my %NQ = @_;
        $NQ{quest_no} =~ s/\D//g;
        $NQ{order} =~ s/\D//g;
        $NQ{qst} =~ s/\D//g;
        $NQ{type} =~ s/\D//g;
        $NQ{attempt} =~ s/\D//g;
        $NQ{lquests} =~ s/[^0-9,]//g;

        my @quests = split(/\,/,$NQ{lquests});
        my $prev_order = $NQ{order} - 1;
        my $next_order = $NQ{order};
        my $next_quest = $quests[$next_order];
        ++$next_order;
        my $key;

        &print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
        &print_javascript_begin();
 
        &print_javascript_enterMX();
					
        print"function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
            var this_in = quest_no
            var real_quest_ans
            var quest_ans
            var replace_string =\"\"
            var reg_exp1 = \/\\s\/g
            var replace_string2 =\"\%20\"
            document.form4.real_quest_no.value=real_quest_no
            document.form4.quest_no.value=quest_no
            if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
            self.top.right_bot.s_input\(this_in\)
            document.form4.answer.value=checked_ans
            document.form4.submit()
            \}\n";
        
        print"if\( type == \"MA\") \{
                    document.form4.answertype.value=type
                    document.form4.answer.value=checked_ans
                    self.top.right_bot.s_input\(this_in\)
                    document.form4.submit\(\)
                    \}
                    else \{
                        document.form4.answertype.value=\"\"
                        \}\n";
 
       print"if\(type == \"SA\") \{
	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
	quest_ans=eval\(real_quest_ans\)
      	var in_string = quest_ans
	var new_string = in_string.replace\(reg_exp1,replace_string\)
	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
	qlength = in_string.length\;
	if \(qlength > 75\) \{
	alert\(\"The answer is longer than 75 characters.\"\)
	\}
	else \{
      	if\(new_string !=\"\"\)\{
	self.top.right_bot.s_input\(this_in\)
	document.form4.saanswer.value=quest_ans
	document.form4.submit\(\)
      	\}
	else \{
	self.top.right_bot.un_do\(this_in\)
	document.form4.saanswer.value=\"\"
      	\}
      	\}
      	\}\n";
      					
 	print"if\(type == \"P\") \{
 	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
 	quest_ans=eval\(real_quest_ans\)
       	var in_string = quest_ans
 	var new_string = in_string.replace\(reg_exp1,replace_string\)
 	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
 	qlength = in_string.length\;
 	 if \(qlength > 675\) \{
 	alert\(\"The answer is longer than 700 characters.\"\)
 	\}
 	else \{
       	if\(new_string !=\"\"\)\{
 	self.top.right_bot.s_input\(this_in\)
 	document.form4.panswer.value=quest_ans
 	document.form4.submit\(\)
       	\}
 	else \{
 	self.top.right_bot.un_do\(this_in\)
 	document.form4.panswer.value=\"\"
       	\}
       	\}
        \}
	\}\n";

	print"function Show_Next\(order,quests\) \{
        document.next_quest.order.value=order
        document.next_quest.lquests.value=quests
        document.next_quest.submit\(\)
        \}\n";
        
        &print_javascript_end();
        
        if($next_order <= @quests) {
                my $query = "SELECT * from questions WHERE number=\"$next_quest\"";
                my %QUESTIONS = &select_questions("query","$query");			
                my $question_rows = 1;
                my $question_length = length($QUESTIONS{$NQ{quest_no}}{question});
 		
                # fix display to show new lines in text of question
                my $content = $QUESTIONS{$NQ{quest_no}}{question};
                $content =~ s/\r[\n]*/\n/gm;
                my @number_of_newlines = split(/\n/,$content);
                my $new_lines = @number_of_newlines;
                $question_rows = $question_rows + $new_lines;

                print"<center>";
                
                # the < >
                if($prev_order >= 0) {
                        print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$prev_order','$NQ{lquests}')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Previous}\">\<</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                        }
                
                if($next_order < @quests) {
                        print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$next_order','$NQ{lquests}')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B>\n";
                        }
                        
                print"</center><form name=\"q_form\">\n";
                print"<TABLE><TR><TD valign=\"top\"><B>$next_order\.</b></TD>\n";
										
                &print_out_question("question","$QUESTIONS{$next_quest}{question}","value","$QUESTIONS{$next_quest}{value}","image_id","$QUESTIONS{$next_quest}{image_id}","pdf","$QUESTIONS{$next_quest}{pdf}","vlink","$QUESTIONS{$next_quest}{vlink}","alink","$QUESTIONS{$next_quest}{alink}","type","$QUESTIONS{$next_quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$next_quest}{mode}");
              
                &print_out_question_answers_next("quest","$next_quest","index","$next_order","type","$QUESTIONS{$next_quest}{type}","key","$key","kolum","$QUESTIONS{$next_quest}{kolum}","attempt","$NQ{attempt}","qst","$NQ{qst}","ans_mode","$QUESTIONS{$next_quest}{ans_mode}");

                print"</FORM>\n";
                
                &print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$NQ{class_id}","qst","$NQ{qst}","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$NQ{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}");
        
                &print_form("form_name","next_quest","input","next_question2","order","","quest_no","","qst","$NQ{qst}","class_name","$NQ{class_name}","class_id","$NQ{class_id}","qtype","$NQ{type}","type","","lquests","","u_id","$NQ{u_id}","session_id","$NQ{session_id}","attempt","$NQ{attempt}");
                
                if($QUESTIONS{$next_quest}{mode} == 2  || $QUESTIONS{$next_quest}{ans_mode} == 2) {
                        &print_eq();
                        }
                }
        else {
                print"<center>Done.</center>";
                }
        }
        
###########################
#
# RESUME_NEXT_QUESTION2
#
##########################
sub resume_next_question2 {
        my %NQ = @_;
        $NQ{order} =~ s/\D//g;
        $NQ{quest_no} =~ s/\D//g;
        $NQ{qst} =~ s/\D//g;
        $NQ{type} =~ s/\D//g;
        $NQ{attempt} =~ s/\D//g;
        $NQ{lquests} =~ s/[^0-9,]//g;
        $NQ{class_id} =~ s/[^0-9,]//g;

        my @qorder = split(/\,/,$NQ{lquests});
	my $num_quests = @qorder;
        my $splitter;

        if($num_quests == $NQ{order}) { # last question does not have trailing ,
        	$splitter = ",$NQ{quest_no}";
        	}
        else {
        	$splitter = ",$NQ{quest_no},";
        	}

   	my @quests = split(/$splitter/,$NQ{lquests});
        my $len = @quests;
        
        my $prev_order = $NQ{order} - 1;
        my $next_order = $NQ{order} + 1;
        my $real_question_number = $NQ{quest_no};

        my @prev = split(/\,/,$quests[0]);
        
        my $prev_quest = pop(@prev);
        
        my @next = split(/\,/,$quests[1]);
        my $next_quest = shift(@next);
        
        if($next_quest eq"") {
        	shift(@prev);
        	$next_quest = shift(@prev);
        	}

        &print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
        &print_javascript_begin();
 
        &print_javascript_enterMX();
					
        print"function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
            var this_in = quest_no
            var real_quest_ans
            var quest_ans
            var replace_string =\"\"
            var reg_exp1 = \/\\s\/g
            var replace_string2 =\"\%20\"
            document.form4.real_quest_no.value=real_quest_no
            document.form4.quest_no.value=quest_no
            if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
            self.top.right_bot.s_input\(this_in\)
            document.form4.answer.value=checked_ans
            document.form4.submit()
            \}\n";
        
        print"if\( type == \"MA\") \{
                    document.form4.answertype.value=type
                    document.form4.answer.value=checked_ans
                    self.top.right_bot.s_input\(this_in\)
                    document.form4.submit\(\)
                    \}
                    else \{
                        document.form4.answertype.value=\"\"
                        \}\n";
 
       print"if\(type == \"SA\") \{
	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
	quest_ans=eval\(real_quest_ans\)
      	var in_string = quest_ans
	var new_string = in_string.replace\(reg_exp1,replace_string\)
	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
	qlength = in_string.length\;
	if \(qlength > 75\) \{
	alert\(\"The answer is longer than 75 characters.\"\)
	\}
	else \{
      	if\(new_string !=\"\"\)\{
	self.top.right_bot.s_input\(this_in\)
	document.form4.saanswer.value=quest_ans
	document.form4.submit\(\)
      	\}
	else \{
	self.top.right_bot.un_do\(this_in\)
	document.form4.saanswer.value=\"\"
      	\}
      	\}
      	\}\n";
      					
 	print"if\(type == \"P\") \{
 	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
 	quest_ans=eval\(real_quest_ans\)
       	var in_string = quest_ans
 	var new_string = in_string.replace\(reg_exp1,replace_string\)
 	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
 	qlength = in_string.length\;
 	 if \(qlength > 675\) \{
 	alert\(\"The answer is longer than 700 characters.\"\)
 	\}
 	else \{
       	if\(new_string !=\"\"\)\{
 	self.top.right_bot.s_input\(this_in\)
 	document.form4.panswer.value=quest_ans
 	document.form4.submit\(\)
       	\}
 	else \{
 	self.top.right_bot.un_do\(this_in\)
 	document.form4.panswer.value=\"\"
       	\}
       	\}
        \}
	\}\n";

	print"function Show_Next\(order,quest_no,quests\) \{
	document.next_quest.quest_no.value=quest_no
        document.next_quest.order.value=order
        document.next_quest.lquests.value=quests
        document.next_quest.submit\(\)
        \}\n";
        
        print"function link_anchor\(l_nk\) \{
	var this_link = l_nk
	self.parent.qst_left.location = frame_url + \"#\" + this_link
	\}\n";

        &print_javascript_end();
        
        # check whether in class
	if(exists $USER{$ids}{$NQ{class_id}}) {
        	my $query = "SELECT * from questions WHERE number=\"$real_question_number\"";
        	my %QUESTIONS = &select_questions("query","$query");
        	my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$real_question_number\" and attempt=\"$NQ{attempt}\" and qst=\"$NQ{qst}\"");

        	my $question_rows = 1;
        	my $question_length = length($QUESTIONS{$NQ{quest_no}}{question});
 		
        	# fix display to show new lines in text of question
        	my $content = $QUESTIONS{$NQ{quest_no}}{question};
        	$content =~ s/\r[\n]*/\n/gm;
        	my @number_of_newlines = split(/\n/,$content);
        	my $new_lines = @number_of_newlines;
        	$question_rows = $question_rows + $new_lines;

        	print"<center>";
                
        	if(keys %QUESTIONS) {
        	        # PRINT THE < >
        	        if($prev_order >= 1) {
        	                print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$prev_order','$prev_quest','$NQ{lquests}')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Previous}\">\<</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
        	                }
                
        	        if($next_order <= $num_quests) {
        	                print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$next_order','$next_quest','$NQ{lquests}')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B>\n";
        	                }
                        
        	        print"</center><form name=\"q_form\">\n";
        	        print"<TABLE><TR><TD valign=\"top\"><B>$NQ{order}\.</b></TD>\n";

        	        &print_out_question("question","$QUESTIONS{$real_question_number}{question}","value","$QUESTIONS{$real_question_number}{value}","image_id","$QUESTIONS{$real_question_number}{image_id}","pdf","$QUESTIONS{$real_question_number}{pdf}","vlink","$QUESTIONS{$real_question_number}{vlink}","alink","$QUESTIONS{$real_question_number}{alink}","type","$QUESTIONS{$real_question_number}{type}","question_rows","$question_rows","mode","$QUESTIONS{$real_question_number}{mode}");

        	        &print_out_question_answers_next_resume("quest","$real_question_number","index","$NQ{order}","type","$QUESTIONS{$real_question_number}{type}","answer","$QUESTION_ANSWERED{$real_question_number}","kolum","$QUESTIONS{$real_question_number}{kolum}","attempt","$NQ{attempt}","qst","$NQ{qst}","ans_mode","$QUESTIONS{$real_question_number}{ans_mode}");
                      
        	        print"</FORM>\n";
                
        	        &print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$NQ{class_id}","qst","$NQ{qst}","real_quest_no","","quest_no","$NQ{quest_no}","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$NQ{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}");
        
        	        &print_form("form_name","next_quest","input","resume_next_question2","order","","quest_no","","qst","$NQ{qst}","class_name","$NQ{class_name}","class_id","$NQ{class_id}","qtype","$NQ{type}","type","","lquests","$NQ{lquests}","u_id","$NQ{u_id}","session_id","$NQ{session_id}","attempt","$NQ{attempt}");
                
        	        if($QUESTIONS{$real_question_number}{mode} == 2 || $QUESTIONS{$real_question_number}{ans_mode} == 2) {
        	                &print_eq();
        	                }
        	        }
        	else {
        	        print"<center>No questions.</center>";
        	        }
        	}
       	else {
       		print "<center><P><img src=\"/schools/x.gif\"><B> $LANGUAGE{$set_language}{Notinclass}</b></center><P> \n";
        	}	        
        }
        
###########################
#
# MODAL_NEXT_QUESTION2
#
##########################
sub modal_next_question2 {
        my %NQ = @_;
        $NQ{quest_no} =~ s/\D//g;
        $NQ{order} =~ s/\D//g;
        $NQ{qst} =~ s/\D//g;
        $NQ{type} =~ s/\D//g;
        $NQ{attempt} =~ s/\D//g;
        $NQ{lquests} =~ s/[^0-9,]//g;

        my @quests = split(/\,/,$NQ{lquests});
        my $prev_order = $NQ{order} - 1;
        my $next_order = $NQ{order};
        my $next_quest = $quests[$next_order];
        ++$next_order;
        my $key;

        &print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
        &print_javascript_begin();
 
        &modal2_print_javascript_enterMX();
					
        print"function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
            var this_in = quest_no
            var real_quest_ans
            var quest_ans
            var replace_string =\"\"
            var reg_exp1 = \/\\s\/g
            var replace_string2 =\"\%20\"
            document.form4.real_quest_no.value=real_quest_no
            document.form4.quest_no.value=quest_no
            if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
            self.parent.m2right_bot.s_input\(this_in\)
            document.form4.answer.value=checked_ans
            document.form4.submit()
            \}\n";
        
        print"if\( type == \"MA\") \{
            document.form4.answertype.value=type
            document.form4.answer.value=checked_ans
            self.parent.m2right_bot.s_input\(this_in\)
            document.form4.submit\(\)
            \}
            else \{
            document.form4.answertype.value=\"\"
            \}\n";
 
       print"if\(type == \"SA\") \{
	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
	quest_ans=eval\(real_quest_ans\)
      	var in_string = quest_ans
	var new_string = in_string.replace\(reg_exp1,replace_string\)
	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
	qlength = in_string.length\;
	if \(qlength > 75\) \{
	alert\(\"The answer is longer than 75 characters.\"\)
	\}
	else \{
      	if\(new_string !=\"\"\)\{
	self.parent.m2right_bot.s_input\(this_in\)
	document.form4.saanswer.value=quest_ans
	document.form4.submit\(\)
      	\}
	else \{
	self.parent.m2right_bot.un_do\(this_in\)
	document.form4.saanswer.value=\"\"
      	\}
      	\}
      	\}\n";
      					
 	print"if\(type == \"P\") \{
 	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
 	quest_ans=eval\(real_quest_ans\)
       	var in_string = quest_ans
 	var new_string = in_string.replace\(reg_exp1,replace_string\)
 	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
 	qlength = in_string.length\;
 	 if \(qlength > 675\) \{
 	alert\(\"The answer is longer than 700 characters.\"\)
 	\}
 	else \{
       	if\(new_string !=\"\"\)\{
 	self.parent.m2right_bot.s_input\(this_in\)
 	document.form4.panswer.value=quest_ans
 	document.form4.submit\(\)
       	\}
 	else \{
 	self.parent.m2right_bot.un_do\(this_in\)
 	document.form4.panswer.value=\"\"
       	\}
       	\}
        \}
	\}\n";

	print"function Show_Next\(order,quests\) \{
        document.next_quest.order.value=order
        document.next_quest.lquests.value=quests
        document.next_quest.submit\(\)
        \}\n";
        
        &print_javascript_end();
        
        if($next_order <= @quests) {
                my $query = "SELECT * from questions WHERE number=\"$next_quest\"";
                my %QUESTIONS = &select_questions("query","$query");
                
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" and quest_no=\"$next_quest\" and attempt=\"$NQ{attempt}\" and qst=\"$NQ{qst}\"");

                my $question_rows = 1;
                my $question_length = length($QUESTIONS{$NQ{quest_no}}{question});
 		
                # fix display to show new lines in text of question
                my $content = $QUESTIONS{$NQ{quest_no}}{question};
                $content =~ s/\r[\n]*/\n/gm;
                my @number_of_newlines = split(/\n/,$content);
                my $new_lines = @number_of_newlines;
                $question_rows = $question_rows + $new_lines;

                print"<center>";
                
                # the < >
                if($prev_order >= 0) {
                        print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$prev_order','$NQ{lquests}')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Previous}\">\<</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                        }
                
                if($next_order < @quests) {
                        print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$next_order','$NQ{lquests}')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B>\n";
                        }
                        
                print"</center><form name=\"q_form\">\n";
                print"<TABLE><TR><TD valign=\"top\"><B>$next_order\.</b></TD>\n";
										
                &print_out_question("question","$QUESTIONS{$next_quest}{question}","value","$QUESTIONS{$next_quest}{value}","image_id","$QUESTIONS{$next_quest}{image_id}","vlink","$QUESTIONS{$next_quest}{vlink}","alink","$QUESTIONS{$next_quest}{alink}","type","$QUESTIONS{$next_quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$next_quest}{mode}");
              
                &print_out_question_answers_next("quest","$next_quest","index","$next_order","type","$QUESTIONS{$next_quest}{type}","key","$key","answer","$QUESTION_ANSWERED{$next_quest}","kolum","$QUESTIONS{$next_quest}{kolum}","attempt","$NQ{attempt}","qst","$NQ{qst}","ans_mode","$QUESTIONS{$next_quest}{ans_mode}");
                      
                print"</FORM>\n";
                
                &print_form("form_name","form4","form_target","m2right_top","input","question_done","class_id","$NQ{class_id}","qst","$NQ{qst}","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$NQ{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}");
        
                &print_form("form_name","next_quest","input","modal_next_question2","order","","quest_no","","qst","$NQ{qst}","class_id","$NQ{class_id}","qtype","$NQ{type}","type","","lquests","","u_id","$NQ{u_id}","session_id","$NQ{session_id}","attempt","$NQ{attempt}");
                
                if($QUESTIONS{$next_quest}{mode} == 2  || $QUESTIONS{$next_quest}{ans_mode} == 2) {
                        &print_eq();
                        }
                }
        else {
                print"<center>Done.</center>";
                }
        }
        

###########################
#
# NEXT_QUESTION3      Fix so there is no going back - pass current quest and index and check index and quest not answered.
#
##########################
sub next_question3 {
        my %NQ = @_;
        $NQ{quest_no} =~ s/\D//g;
        $NQ{order} =~ s/\D//g;
        $NQ{qst} =~ s/\D//g;
        $NQ{type} =~ s/\D//g;
        $NQ{prev_quest_no} =~ s/\D//g;
        $NQ{lquests} =~ s/[^0-9,]//g;
        $NQ{attempt} =~ s/\D//g;
        my @quests = split(/\,/,$NQ{lquests});
        my $next_order = $NQ{order};
        my $next_quest = $quests[$next_order];
        ++$next_order;
        my $key;
        &print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
        &print_javascript_begin();
        
        &print_javascript_enterMX();

        &print_javascript_activated_this();

	print"function Show_Next\(order,quests\) \{
        document.next_quest.order.value=order
        document.next_quest.lquests.value=quests
        document.next_quest.submit\(\)
        \}\n";
        
        &print_javascript_end();
        
        #check if time has expired
	my %RETURN1 = &select_qst_attempts_info("query","SELECT qst_no,attempts,end,resume from qst_attempts WHERE qst_no=\"$NQ{qst}\" AND u_id=\"$ids\"");
	my $time = time;
	my $time_left = $RETURN1{$NQ{qst}}{end} - $time;		
	

        if($next_order <= @quests && $time_left > 3) {
                my $query = "SELECT * from questions WHERE number=\"$next_quest\"";
                my %QUESTIONS = &select_questions("query","$query");
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" and quest_no=\"$next_quest\" and attempt=\"$NQ{attempt}\" and qst=\"$NQ{qst}\"");
                my %ALREADY_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" and quest_no=\"$NQ{prev_quest_no}\" and attempt=\"$NQ{attempt}\" and qst=\"$NQ{qst}\"");

	        if(keys %ALREADY_ANSWERED) { # Just show the same question
       	 	#	print"QQQQQRR<BR>\n";
        		}
        		
        	
                my $question_rows = 1;
                my $question_length = length($QUESTIONS{$NQ{quest_no}}{question});
 		
                # fix display to show new lines in text of question
                my $content = $QUESTIONS{$NQ{quest_no}}{question};
                $content =~ s/\r[\n]*/\n/gm;
                my @number_of_newlines = split(/\n/,$content);
                my $new_lines = @number_of_newlines;
                $question_rows = $question_rows + $new_lines;

                print"<center>";
                
                if($next_order < @quests) {
                        print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$next_order','$NQ{lquests}')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B>\n";
                        }
                else {
                        print"<B STYLE=\" font-family\:Arial\; font-size\: 28pt\;\">&nbsp\;</B>\n";
                        }
                        
                print"</center><form name=\"q_form\">\n";
                print"<TABLE><TR><TD valign=\"top\"><B>$next_order\.</b></TD>\n";
										
                &print_out_question("question","$QUESTIONS{$next_quest}{question}","value","$QUESTIONS{$next_quest}{value}","image_id","$QUESTIONS{$next_quest}{image_id}","pdf","$QUESTIONS{$next_quest}{pdf}","vlink","$QUESTIONS{$next_quest}{vlink}","alink","$QUESTIONS{$next_quest}{alink}","type","$QUESTIONS{$next_quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$next_quest}{mode}");
										
                &print_out_question_answers("quest","$next_quest","index","$next_order","type","$QUESTIONS{$next_quest}{type}","key","$key","answer","$QUESTION_ANSWERED{$next_quest}","kolum","$QUESTIONS{$next_quest}{kolum}","attempt","$NQ{attempt}","qst","$NQ{qst}","ans_mode","$QUESTIONS{$next_quest}{ans_mode}");
                      
                print"</FORM>\n";
                
                &print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$NQ{class_id}","qst","$NQ{qst}","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","answertype","","mxselect","","type","$NQ{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}");
        
                &print_form("form_name","next_quest","input","next_question3","order","","quest_no","","real_quest_no","","prev_quest_no","$next_quest","qst","$NQ{qst}","class_id","$NQ{class_id}","qtype","$NQ{type}","type","","lquests","","u_id","$NQ{u_id}","session_id","$NQ{session_id}","attempt","$NQ{attempt}");
                
                if($QUESTIONS{$next_quest}{mode} == 2 || $QUESTIONS{$next_quest}{ans_mode} == 2) {
                        &print_eq();
                        }
                }
        else {
		print"<P><BR><center><B>$LANGUAGE{$set_language}{TheQSThasended}</B></center><P><BR><center><P><B> $LANGUAGE{$set_language}{Submitit} </font></B><P>\n";
                }
        }

###########################
#
# RESUME_NEXT_QUESTION3
#
##########################
sub resume_next_question3 {
        my %NQ = @_;
        $NQ{quest_no} =~ s/\D//g;
        $NQ{order} =~ s/\D//g;
        $NQ{qst} =~ s/\D//g;
        $NQ{type} =~ s/\D//g;
        $NQ{lquests} =~ s/[^0-9,]//g;
        $NQ{class_id} =~ s/\D//g;

        my @quests = split(/\,/,$NQ{lquests});
        my $next_order = $NQ{order};
        my $next_quest = $quests[$next_order];
        ++$next_order;
        
        &print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
        &print_javascript_begin();
        
        &print_javascript_enterMX();

        &print_javascript_activated_this();

	print"function Show_Next\(order,quest_no,quests\) \{
	document.next_quest.quest_no.value=quest_no
        document.next_quest.order.value=order
        document.next_quest.lquests.value=quests
        document.next_quest.submit\(\)
        \}\n";
        
        &print_javascript_end();
        
        #check if time has expired
	my %RETURN1 = &select_qst_attempts_info("query","SELECT qst_no,attempts,end,resume from qst_attempts WHERE qst_no=\"$NQ{qst}\" AND u_id=\"$ids\"");
	my $time = time;
	my $time_left = $RETURN1{$NQ{qst}}{end} - $time;		
		

        # check whether in class
	if(exists $USER{$ids}{$NQ{class_id}}) {
        	if($next_order <= @quests && $time_left > 3) {
        	        my $query = "SELECT * from questions WHERE number=\"$NQ{quest_no}\"";
        	        my %QUESTIONS = &select_questions("query","$query");
        	        my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$NQ{quest_no}\" and attempt=\"1\" and qst=\"$NQ{qst}\"");
        
        	        my $question_rows = 1;
        	        my $question_length = length($QUESTIONS{$NQ{quest_no}}{question});
 		
        	        # fix display to show new lines in text of question
        	        my $content = $QUESTIONS{$NQ{quest_no}}{question};
        	        $content =~ s/\r[\n]*/\n/gm;
        	        my @number_of_newlines = split(/\n/,$content);
        	        my $new_lines = @number_of_newlines;
        	        $question_rows = $question_rows + $new_lines;

        	        print"<center>";
                
        	        if($next_order < @quests) {
        	                print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$next_order','$next_quest','$NQ{lquests}')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B>\n";
        	                }
        	        else {
        	                print"<B STYLE=\" font-family\:Arial\; font-size\: 28pt\;\">&nbsp\;</B>\n";
        	                }
                        
        	        print"</center><form name=\"q_form\">\n";
        	        print"<TABLE><TR><TD valign=\"top\"><B>$NQ{order}\.</b></TD>\n";
											
        	        &print_out_question("question","$QUESTIONS{$NQ{quest_no}}{question}","value","$QUESTIONS{$NQ{quest_no}}{value}","image_id","$QUESTIONS{$NQ{quest_no}}{image_id}","vlink","$QUESTIONS{$NQ{quest_no}}{vlink}","alink","$QUESTIONS{$NQ{quest_no}}{alink}","type","$QUESTIONS{$NQ{quest_no}}{type}","question_rows","$question_rows","mode","$QUESTIONS{$NQ{quest_no}}{mode}");
										
        	        &print_out_question_answers_next_resume("quest","$NQ{quest_no}","index","$NQ{order}","type","$QUESTIONS{$NQ{quest_no}}{type}","answer","$QUESTION_ANSWERED{$NQ{quest_no}}","kolum","$QUESTIONS{$NQ{quest_no}}{kolum}","attempt","$NQ{attempt}","qst","$NQ{qst}","ans_mode","$QUESTIONS{$NQ{quest_no}}{ans_mode}");
                      
        	        print"</FORM>\n";
                
        	        &print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$NQ{class_id}","qst","$NQ{qst}","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","answertype","","mxselect","","type","$NQ{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}");
        
        	        &print_form("form_name","next_quest","input","resume_next_question3","order","","quest_no","","real_quest_no","","qst","$NQ{qst}","class_id","$NQ{class_id}","qtype","$NQ{type}","type","","lquests","","u_id","$NQ{u_id}","session_id","$NQ{session_id}");
                
        	        if($QUESTIONS{$NQ{quest_no}}{mode} == 2 || $QUESTIONS{$NQ{quest_no}}{ans_mode} == 2) {
        	                &print_eq();
        	                }
        	        }
        	else {
			print"<P><BR><center><B>$LANGUAGE{$set_language}{TheQSThasended}</B></center><P><BR><center><P><B> $LANGUAGE{$set_language}{Submitit} </font></B><P>\n";
        	        }
        	}
       	else {
       		print "<center><P><img src=\"/schools/x.gif\"><B> $LANGUAGE{$set_language}{Notinclass}</b></center><P> \n";
        	}	        
        }

###########################
#
# MODAL_NEXT_QUESTION3
#
##########################
sub modal_next_question3 {
        my %NQ = @_;
        $NQ{quest_no} =~ s/\D//g;
        $NQ{order} =~ s/\D//g;
        $NQ{qst} =~ s/\D//g;
        $NQ{type} =~ s/\D//g;
        $NQ{lquests} =~ s/[^0-9,]//g;
        $NQ{attempt} =~ s/\D//g;
        my @quests = split(/\,/,$NQ{lquests});
        my $next_order = $NQ{order};
        my $next_quest = $quests[$next_order];
        ++$next_order;
        my $key;
        
        &print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
        &print_javascript_begin();
        
        &modal3_print_javascript_enterMX();

        &modal3_print_javascript_activated_this();

	print"function Show_Next\(order,quests\) \{
        document.next_quest.order.value=order
        document.next_quest.lquests.value=quests
        document.next_quest.submit\(\)
        \}\n";
        
        &print_javascript_end();
        
        #check if time has expired
	my %RETURN1 = &select_qst_attempts_info("query","SELECT qst_no,attempts,end,resume from qst_attempts WHERE qst_no=\"$NQ{qst}\" AND u_id=\"$ids\"");
	my $time = time;
	my $time_left = $RETURN1{$NQ{qst}}{end} - $time;		


        if($next_order <= @quests && $time_left > 3) {
                my $query = "SELECT * from questions WHERE number=\"$next_quest\"";
                my %QUESTIONS = &select_questions("query","$query");
                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" and quest_no=\"$next_quest\" and attempt=\"$NQ{attempt}\" and qst=\"$NQ{qst}\"");
        
                my $question_rows = 1;
                my $question_length = length($QUESTIONS{$NQ{quest_no}}{question});
 		
                # fix display to show new lines in text of question
                my $content = $QUESTIONS{$NQ{quest_no}}{question};
                $content =~ s/\r[\n]*/\n/gm;
                my @number_of_newlines = split(/\n/,$content);
                my $new_lines = @number_of_newlines;
                $question_rows = $question_rows + $new_lines;

                print"<center>";
                
                if($next_order < @quests) {
                        print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$next_order','$NQ{lquests}')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B>\n";
                        }
                else {
                        print"<B STYLE=\" font-family\:Arial\; font-size\: 28pt\;\">&nbsp\;</B>\n";
                        }
                        
                print"</center><form name=\"q_form\">\n";
                print"<TABLE><TR><TD valign=\"top\"><B>$next_order\.</b></TD>\n";
										
                &print_out_question("question","$QUESTIONS{$next_quest}{question}","value","$QUESTIONS{$next_quest}{value}","image_id","$QUESTIONS{$next_quest}{image_id}","vlink","$QUESTIONS{$next_quest}{vlink}","alink","$QUESTIONS{$next_quest}{alink}","type","$QUESTIONS{$next_quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$next_quest}{mode}");
										
                &print_out_question_answers("quest","$next_quest","index","$next_order","type","$QUESTIONS{$next_quest}{type}","key","$key","answer","$QUESTION_ANSWERED{$next_quest}","kolum","$QUESTIONS{$next_quest}{kolum}","attempt","$NQ{attempt}","qst","$NQ{qst}","ans_mode","$QUESTIONS{$next_quest}{ans_mode}");
                      
                print"</FORM>\n";
                
                &print_form("form_name","form4","form_target","m3right_top","input","question_done","class_id","$NQ{class_id}","qst","$NQ{qst}","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","answertype","","mxselect","","type","$NQ{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}");
        
                &print_form("form_name","next_quest","input","modal_next_question3","order","","quest_no","","real_quest_no","","qst","$NQ{qst}","class_id","$NQ{class_id}","qtype","$NQ{type}","type","","lquests","","u_id","$NQ{u_id}","session_id","$NQ{session_id}","attempt","$NQ{attempt}");
                
                if($QUESTIONS{$next_quest}{mode} == 2  || $QUESTIONS{$next_quest}{ans_mode} == 2) {
                        &print_eq();
                        }
                }
        else {
                print"<P><BR><center><B>$LANGUAGE{$set_language}{TheQSThasended}</B><P><BR><B> $LANGUAGE{$set_language}{Submitit} </font></B><center><P>\n";
                }
        }
        
###########################
#
# NEXT_QUESTION5
#
##########################
sub next_question5 {
        my %NQ = @_;
        $NQ{quest_no} =~ s/\D//g;
        $NQ{qst} =~ s/\D//g;
        $NQ{type} =~ s/\D//g;
        $NQ{sub_type} =~ s/\D//g;
        $NQ{lquests} =~ s/[^0-9,]//g;
        $NQ{referer} =~ s/\D//g;

        my @quests = split(/\,/,$NQ{lquests});
        my $next_quest = 0;
        my %BRANCH = ();
        my $lquests;
        my $primary_quest;
        my $len = @quests;
        
        &print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}
        table.table2{ border-radius:6px; font-size:9pt; border: 1px solid black; font-family:Arial;}
	</style>\n";
	
        &print_javascript_begin();
        
        &print_javascript_enterMX();

        &print_javascript_activated_this();

	print"function Show_Next\(order,quests\) \{
        document.next_quest.order.value=order
        document.next_quest.lquests.value=quests
        document.next_quest.submit\(\)
        \}\n";
        
        print"function close_qst() {
        document.form_reload.submit\(\)
        parent.self.close()
        \}\n";
        
         print"function load_handler() {
        self.parent.right_top.location.replace\(\"\/schools/empty.htm\"\)
        self.parent.right_bot.location.replace\(\"\/schools/empty.htm\"\)
        \}\n";
        
        &print_javascript_end();
        
        #get displayed question
        my %DISP_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$NQ{quest_no}\" AND referer =\"$NQ{referer}\"");


        # get the branches to the displayed question
        my @piece = split(/\,/,$DISP_QUESTION{$NQ{quest_no}}{branching});
                foreach my $chunk(@piece) {
                        my @bran = split(/\=/,$chunk);
                        if($bran[1] > 0) {
                                $BRANCH{$bran[0]} = $bran[1];
                                }
                        }

        # has branching questions
        if(keys %BRANCH ) { 
                my %QUEST_TYPE = &select4("query","SELECT number,type from questions WHERE number=\"$NQ{quest_no}\"");

                if($QUEST_TYPE{$NQ{quest_no}} eq "TF") { # True / False
                        my %ANSWER = &select5("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\" AND quest_no=\"$NQ{quest_no}\" AND referer=\"$NQ{referer}\"");
                        
                        if($NQ{referer} == 0 ) { # primary question
                                $NQ{referer} = $NQ{quest_no};
                                }

                        if($ANSWER{$NQ{quest_no}} eq "T" && defined $BRANCH{1}) {
                                 my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{1}\" AND referer=\"$NQ{referer}\"");
                                 
                                 if($NEXT_QUESTION{$BRANCH{1}}{q_order} == 0) {
                                        $next_quest = $BRANCH{1};
                                        }
                                }
                                
                        elsif($ANSWER{$NQ{quest_no}} eq "F" && defined $BRANCH{2}) {
                                my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{1}\" AND referer=\"$NQ{referer}\"");
                                 
                                 if($NEXT_QUESTION{$BRANCH{1}}{q_order} == 0) {
                                        $next_quest = $BRANCH{2};
                                        }
                                }
                        }
                        
                elsif($QUEST_TYPE{$NQ{quest_no}} eq "YN") { # Yes / No
                        my %ANSWER = &select5("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\" AND quest_no=\"$NQ{quest_no}\" AND referer=\"$NQ{referer}\"");

                        if($NQ{referer} == 0 ) { # primary question
                                $NQ{referer} = $NQ{quest_no};
                                }
                                
                        if($ANSWER{$NQ{quest_no}} eq "Y" && defined $BRANCH{1}) {
                                 my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{1}\" AND referer=\"$NQ{referer}\"");
                                 
                                 if($NEXT_QUESTION{$BRANCH{1}}{q_order} == 0) {
                                        $next_quest = $BRANCH{1};
                                        }
                                }
                                
                        elsif($ANSWER{$NQ{quest_no}} eq "N" && defined $BRANCH{2}) {
                                my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{1}\" AND referer=\"$NQ{referer}\"");
                                 
                                 if($NEXT_QUESTION{$BRANCH{1}}{q_order} == 0) {
                                        $next_quest = $BRANCH{2};
                                        }
                                }
                        }
                        
                elsif($QUEST_TYPE{$NQ{quest_no}} eq "MC") { # MC
                        my %ANSWER = &select5("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\" AND quest_no=\"$NQ{quest_no}\" AND referer=\"$NQ{referer}\"");
                        
                        my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{$ANSWER{$NQ{quest_no}}}\" AND referer=\"$NQ{quest_no}\"");
                                 
                        $next_quest = $BRANCH{$ANSWER{$NQ{quest_no}}};
                        }
                        
                elsif($QUEST_TYPE{$NQ{quest_no}} eq "MA") { # MA
                        my %ANSWER = &select5("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\" AND quest_no=\"$NQ{quest_no}\" AND referer=\"$NQ{referer}\"");
                        
                        my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{$ANSWER{$NQ{quest_no}}}\" AND referer=\"$NQ{quest_no}\"");
                                 
                        $next_quest = $BRANCH{$ANSWER{$NQ{quest_no}}};
                        }
                        
                elsif($QUEST_TYPE{$NQ{quest_no}} eq "AD") { # AD
                        my %ANSWER = &select5("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\" AND quest_no=\"$NQ{quest_no}\" AND referer=\"$NQ{referer}\"");
                        
                        my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{$ANSWER{$NQ{quest_no}}}\" AND referer=\"$NQ{quest_no}\"");
                                 
                        $next_quest = $BRANCH{$ANSWER{$NQ{quest_no}}};
                        }
                }
                
                
        # get the next primary question
        if($len > 0 && $next_quest == 0) { 
                $next_quest = shift(@quests);

                 my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$next_quest\" AND referer=\"0\"");
                 
                 $primary_quest = 1;
                }
              
        # primary questions to pass
        foreach my $q(@quests) { 
                $lquests = "$lquests".","."$q";
                }
        $lquests =~ s/^\,//;
                
        my $error = 0;
        $error = &check_many_length_return("$next_quest","10");
        
        my %QUESTIONS = ();
        
        if($error == 0) {
                my $query = "SELECT * from questions WHERE number=\"$next_quest\"";
                %QUESTIONS = &select_questions("query","$query");
                }
 		
 		
        # fix display to show new lines in text of question
        my $question_rows = 1;
        my $content = $QUESTIONS{$next_quest}{question};
        $content =~ s/\r[\n]*/\n/gm;
        my @number_of_newlines = split(/\n/,$content);
        my $new_lines = @number_of_newlines;
        $question_rows = $question_rows + $new_lines;

        print"<center>";
                
        if($next_quest > 0) { # print out > 
                if($lquests eq "") {
                        $lquests = 0;
                        }
                        
                print"<center><TABLE><TR><TD>";
 
                print"<B ID=\"next\"  STYLE=\"cursor:pointer\; display:block\; font-family\:Arial\; font-size\:28pt\;\"><font color=\"white\">\></font></B><B ID=\"next1\"  STYLE=\"cursor:pointer\; display:none\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('0','$lquests')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\"><font color=\"indigo\">\></font></B></TD></TR></TABLE></center>\n";
                }

                
        #print out question and forms
        if($next_quest > 0 && $error == 0) { # we have a question
                print"</center><form name=\"q_form\">\n";
                print"<TABLE><TR><TD valign=\"top\"></TD>\n";
										
                &print_out_question("question","$QUESTIONS{$next_quest}{question}","value","$QUESTIONS{$next_quest}{value}","image_id","$QUESTIONS{$next_quest}{image_id}","vlink","$QUESTIONS{$next_quest}{vlink}","alink","$QUESTIONS{$next_quest}{alink}","type","$QUESTIONS{$next_quest}{type}","question_rows","$question_rows","branch","1","mode","$QUESTIONS{$next_quest}{mode}");
        
                &print_out_question_answers("quest","$next_quest","index","1","type","$QUESTIONS{$next_quest}{type}","key","1","branch","1","kolum","$QUESTIONS{$next_quest}{kolum}","ans_mode","$QUESTIONS{$next_quest}{ans_mode}");
                      
                print"</FORM>\n";

                my $temp_quest_no = $NQ{quest_no};
        
                # get previous question order
                my %ORDER = ();
                if($primary_quest == 1) {
                        %ORDER = &select4("query","SELECT quest_no,quest_order from qsts WHERE quest_no=\"$temp_quest_no\" AND u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\" AND referer=\"$NQ{referer}\"");
                        }
                else {
                        %ORDER = &select4("query","SELECT quest_no,quest_order from qsts WHERE quest_no=\"$temp_quest_no\" AND u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\"");
                        }
                        
                my $order = $ORDER{$NQ{quest_no}};
                ++$order;
        
                #add to qsts the next question for the qst for the user
                my $referer;
                if($primary_quest == 1) {
                        $referer = 0;
                        }
                else {
                        $referer = $NQ{quest_no};
                        }
                
                &insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$NQ{qst}\",\"\",\"$next_quest\",\"0\",\"1\",\"0\",\"$org_id\",\"0\",\"$order\",\"$referer\")");
                
                &print_form("form_name","form4","form_target","right_top","input","question_done5","referer","$referer","class_id","$NQ{class_id}","qst","$NQ{qst}","real_quest_no","","quest_no","","answer","","answertype","","type","$NQ{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}","attempt","1","marked","0","branch","1");
        
                &print_form("form_name","next_quest","input","next_question5","referer","$referer","real_quest_no","","quest_no","$next_quest","qst","$NQ{qst}","class_id","$NQ{class_id}","sub_type","$NQ{sub_type}","type","$QUESTIONS{$next_quest}{type}","lquests","$lquests","u_id","$NQ{u_id}","session_id","$NQ{session_id}","order","");
                
                if($QUESTIONS{$next_quest}{mode} == 2) {
                        &print_eq();
                        }
                }
                
        else { # QST is finished
                if($NQ{sub_type} == 2) { # mark Survey as submitted
                        &insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$NQ{qst}\",\"0\",\"1\",\"0\",\"$org_id\")");
                        }
                        
                print"<BR><P><BR><center><B STYLE=\" font-family\:Arial\; font-size\: 14pt\;\">$LANGUAGE{$set_language}{YouhavefinishedtheQST}</B></center><BR><P>\n";
                print"<center><TABLE class=\"table2\"><TD><B onClick=\"close_qst()\" STYLE=\"cursor: pointer\" ><font>&nbsp;$LANGUAGE{$set_language}{Close}&nbsp;</font></B></TD></TABLE></center><P><BR><P><DL>\n";
                
                &print_form("form_name","form_reload","form_target","orig_Window","input","print_modal_students_screen","class_name","$NQ{class_name}","class_id","$NQ{class_id}","u_id","$NQ{u_id}","session_id","$NQ{session_id}");

                print"<img src =\"\/schools\/blank.gif\" onLoad=\"load_handler\(\)\">\n";
                }
        }

###########################
#
# MODAL_NEXT_QUESTION5
#
##########################
sub modal_next_question5 {
        my %NQ = @_;
        $NQ{quest_no} =~ s/\D//g;
        $NQ{qst} =~ s/\D//g;
        $NQ{type} =~ s/\D//g;
        $NQ{sub_type} =~ s/\D//g;
        $NQ{lquests} =~ s/[^0-9,]//g;
        $NQ{referer} =~ s/\D//g;

        my @quests = split(/\,/,$NQ{lquests});
        my $next_quest = 0;
        my %BRANCH = ();
        my $lquests;
        my $primary_quest;
        my $len = @quests;
        
        &print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}
        table.table2{ border-radius:6px; font-size:9pt; border: 1px solid black; font-family:Arial;}
	</style>\n";
	
        &print_javascript_begin();
        
        &modal5_print_javascript_enterMX();

        &modal5_print_javascript_activated_this();

	print"function Show_Next\(order,quests\) \{
        document.next_quest.order.value=order
        document.next_quest.lquests.value=quests
        document.next_quest.submit\(\)
        \}\n";
        
        print"function close_modal() {
        self.top.location=\"/qst/one#close\"
        self.top.document.form_reload.submit()
        \}\n";
        
        &print_javascript_end();
        
        #get displayed question
        my %DISP_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$NQ{quest_no}\" AND referer =\"$NQ{referer}\"");


        # get the branches to the displayed question
        my @piece = split(/\,/,$DISP_QUESTION{$NQ{quest_no}}{branching});
                foreach my $chunk(@piece) {
                        my @bran = split(/\=/,$chunk);
                        if($bran[1] > 0) {
                                $BRANCH{$bran[0]} = $bran[1];
                                }
                        }

        # has branching questions
        if(keys %BRANCH ) { 
                my %QUEST_TYPE = &select4("query","SELECT number,type from questions WHERE number=\"$NQ{quest_no}\"");

                if($QUEST_TYPE{$NQ{quest_no}} eq "TF") { # True / False
                        my %ANSWER = &select5("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\" AND quest_no=\"$NQ{quest_no}\" AND referer=\"$NQ{referer}\"");
                        
                        if($NQ{referer} == 0 ) { # primary question
                                $NQ{referer} = $NQ{quest_no};
                                }

                        if($ANSWER{$NQ{quest_no}} eq "T" && defined $BRANCH{1}) {
                                 my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{1}\" AND referer=\"$NQ{referer}\"");
                                 
                                 if($NEXT_QUESTION{$BRANCH{1}}{q_order} == 0) {
                                        $next_quest = $BRANCH{1};
                                        }
                                }
                                
                        elsif($ANSWER{$NQ{quest_no}} eq "F" && defined $BRANCH{2}) {
                                my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{1}\" AND referer=\"$NQ{referer}\"");
                                 
                                 if($NEXT_QUESTION{$BRANCH{1}}{q_order} == 0) {
                                        $next_quest = $BRANCH{2};
                                        }
                                }
                        }
                        
                elsif($QUEST_TYPE{$NQ{quest_no}} eq "YN") { # Yes / No
                        my %ANSWER = &select5("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\" AND quest_no=\"$NQ{quest_no}\" AND referer=\"$NQ{referer}\"");

                        if($NQ{referer} == 0 ) { # primary question
                                $NQ{referer} = $NQ{quest_no};
                                }
                                
                        if($ANSWER{$NQ{quest_no}} eq "Y" && defined $BRANCH{1}) {
                                 my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{1}\" AND referer=\"$NQ{referer}\"");
                                 
                                 if($NEXT_QUESTION{$BRANCH{1}}{q_order} == 0) {
                                        $next_quest = $BRANCH{1};
                                        }
                                }
                                
                        elsif($ANSWER{$NQ{quest_no}} eq "N" && defined $BRANCH{2}) {
                                my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{1}\" AND referer=\"$NQ{referer}\"");
                                 
                                 if($NEXT_QUESTION{$BRANCH{1}}{q_order} == 0) {
                                        $next_quest = $BRANCH{2};
                                        }
                                }
                        }
                        
                elsif($QUEST_TYPE{$NQ{quest_no}} eq "MC") { # MC
                        my %ANSWER = &select5("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\" AND quest_no=\"$NQ{quest_no}\" AND referer=\"$NQ{referer}\"");
                        
                        my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{$ANSWER{$NQ{quest_no}}}\" AND referer=\"$NQ{quest_no}\"");
                                 
                        $next_quest = $BRANCH{$ANSWER{$NQ{quest_no}}};
                        }
                        
                elsif($QUEST_TYPE{$NQ{quest_no}} eq "MA") { # MA
                        my %ANSWER = &select5("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\" AND quest_no=\"$NQ{quest_no}\" AND referer=\"$NQ{referer}\"");
                        
                        my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{$ANSWER{$NQ{quest_no}}}\" AND referer=\"$NQ{quest_no}\"");
                                 
                        $next_quest = $BRANCH{$ANSWER{$NQ{quest_no}}};
                        }
                        
                elsif($QUEST_TYPE{$NQ{quest_no}} eq "AD") { # AD
                        my %ANSWER = &select5("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\" AND quest_no=\"$NQ{quest_no}\" AND referer=\"$NQ{referer}\"");
                        
                        my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$BRANCH{$ANSWER{$NQ{quest_no}}}\" AND referer=\"$NQ{quest_no}\"");
                                 
                        $next_quest = $BRANCH{$ANSWER{$NQ{quest_no}}};
                        }
                }
                
                
        # get the next primary question
        if($len > 0 && $next_quest == 0) { 
                $next_quest = shift(@quests);

                 my %NEXT_QUESTION = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$NQ{qst}\" AND quest_no=\"$next_quest\" AND referer=\"0\"");
                 
                 $primary_quest = 1;
                }
              
        # primary questions to pass
        foreach my $q(@quests) { 
                $lquests = "$lquests".","."$q";
                }
        $lquests =~ s/^\,//;
                
        my $error = 0;
        $error = &check_many_length_return("$next_quest","10");
        
        my %QUESTIONS = ();
        
        if($error == 0) {
                my $query = "SELECT * from questions WHERE number=\"$next_quest\"";
                %QUESTIONS = &select_questions("query","$query");
                }
 		
 		
        # fix display to show new lines in text of question
        my $question_rows = 1;
        my $content = $QUESTIONS{$next_quest}{question};
        $content =~ s/\r[\n]*/\n/gm;
        my @number_of_newlines = split(/\n/,$content);
        my $new_lines = @number_of_newlines;
        $question_rows = $question_rows + $new_lines;

        print"<center>";
                
        if($next_quest > 0) { # print out > 
                if($lquests eq "") {
                        $lquests = 0;
                        }
                        
                print"<center><TABLE><TR><TD>";
 
                print"<B ID=\"next\"  STYLE=\"cursor:pointer\; display:block\; font-family\:Arial\; font-size\:28pt\;\"><font color=\"white\">\></font></B><B ID=\"next1\"  STYLE=\"cursor:pointer\; display:none\; font-family\:Arial\; font-size\:28pt\;\" OnClick=\"Show_Next('0','$lquests')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\"><font color=\"indigo\">\></font></B></TD></TR></TABLE></center>\n";
                }

                
    #print out question and forms
        if($next_quest > 0 && $error == 0) { # we have a question
                print"</center><form name=\"q_form\">\n";
                print"<TABLE><TR><TD valign=\"top\"></TD>\n";
										
                &print_out_question("question","$QUESTIONS{$next_quest}{question}","value","$QUESTIONS{$next_quest}{value}","image_id","$QUESTIONS{$next_quest}{image_id}","vlink","$QUESTIONS{$next_quest}{vlink}","alink","$QUESTIONS{$next_quest}{alink}","type","$QUESTIONS{$next_quest}{type}","question_rows","$question_rows","branch","1","mode","$QUESTIONS{$next_quest}{mode}");
        
                &print_out_question_answers("quest","$next_quest","index","1","type","$QUESTIONS{$next_quest}{type}","key","1","branch","1","kolum","$QUESTIONS{$next_quest}{kolum}","ans_mode","$QUESTIONS{$next_quest}{ans_mode}");
                      
                print"</FORM>\n";

                my $temp_quest_no = $NQ{quest_no};
        
                # get previous question order
                my %ORDER = ();
                if($primary_quest == 1) {
                        %ORDER = &select4("query","SELECT quest_no,quest_order from qsts WHERE quest_no=\"$temp_quest_no\" AND u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\" AND referer=\"$NQ{referer}\"");
                        }
                else {
                        %ORDER = &select4("query","SELECT quest_no,quest_order from qsts WHERE quest_no=\"$temp_quest_no\" AND u_id=\"$NQ{u_id}\" AND qst=\"$NQ{qst}\"");
                        }
                        
                my $order = $ORDER{$NQ{quest_no}};
                ++$order;
        
                #add to qsts the next question for the qst for the user
                my $referer;
                if($primary_quest == 1) {
                        $referer = 0;
                        }
                else {
                        $referer = $NQ{quest_no};
                        }
                
                &insert_generic("query","INSERT qsts VALUES(\"$ids\",\"$NQ{qst}\",\"\",\"$next_quest\",\"0\",\"1\",\"0\",\"$org_id\",\"0\",\"$order\",\"$referer\")");
                
                &print_form("form_name","form4","form_target","m5right_top","input","modal_question_done5","referer","$referer","class_id","$NQ{class_id}","qst","$NQ{qst}","real_quest_no","","quest_no","","answer","","answertype","","type","$NQ{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}","attempt","1","marked","0","branch","1");
        
                &print_form("form_name","next_quest","input","modal_next_question5","referer","$referer","real_quest_no","","quest_no","$next_quest","qst","$NQ{qst}","class_id","$NQ{class_id}","sub_type","$NQ{sub_type}","type","$QUESTIONS{$next_quest}{type}","lquests","$lquests","u_id","$NQ{u_id}","session_id","$NQ{session_id}","order","");
                
                if($QUESTIONS{$next_quest}{mode} == 2) {
                        &print_eq();
                        }
                }
                
        else { # QST is finished
                if($NQ{sub_type} == 2) { # mark Survey as submitted
                        &insert_generic("query","INSERT qst_scores VALUES(\"$ids\",\"$NQ{qst}\",\"0\",\"1\",\"0\",\"$org_id\")");
                        }
                        
                print"<BR><P><BR><center><B STYLE=\" font-family\:Arial\; font-size\: 14pt\;\">$LANGUAGE{$set_language}{TheQSThasended}</B></center><BR><P>\n";
                print"<center><TABLE class=\"table2\"><TD><B onClick=\"close_modal()\" STYLE=\"cursor: pointer\" ><font>&nbsp;$LANGUAGE{$set_language}{Close}&nbsp;</font></B></TD></TABLE></center><P><BR><P><DL>";
                }
        }

###########################
#
# PRINT_JAVASCRIPT_ACTIVATED_THIS
#
###########################
sub print_javascript_activated_this {
        print"var this_in
        var when
        var frame_url = self.top.qst_left.location.href
        
        function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
        var this_in = quest_no
        var real_quest_ans
        var quest_ans
        var replace_string =\"\"
        var reg_exp1 = \/\\s\/g
        var replace_string2 =\"\%20\"
        document.form4.real_quest_no.value=real_quest_no
        document.form4.quest_no.value=quest_no
        document.next_quest.real_quest_no.value=real_quest_no
        if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
        self.top.right_bot.s_input\(this_in\)
        if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
        document.form4.answer.value=checked_ans
        document.form4.submit\(\)
        \}\n";
        
        print"if\( type == \"MA\") \{
            if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
                document.form4.answertype.value=type
                document.form4.answer.value=checked_ans
                self.top.right_bot.s_input\(this_in\)
                document.form4.submit\(\)
                \}
                else \{
                document.form4.answertype.value=\"\"
                \}\n";
 
        print"if\(type == \"SA\") \{
	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
	quest_ans=eval\(real_quest_ans\)
      	var in_string = quest_ans
	var new_string = in_string.replace\(reg_exp1,replace_string\)
	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
	qlength = in_string.length\;
	if \(qlength > 75\) \{
	alert\(\"The answer is longer than 75 characters.\"\)
	\}
	else \{
      	if\(new_string !=\"\"\)\{
	self.top.right_bot.s_input\(this_in\)
	document.form4.saanswer.value=quest_ans
	document.form4.submit\(\)
      	\}
	else \{
	self.top.right_bot.un_do\(this_in\)
	document.form4.saanswer.value=\"\"
      	\}
      	\}
      	\}\n";
      					
 	print"if\(type == \"P\") \{
 	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
 	quest_ans=eval\(real_quest_ans\)
       	var in_string = quest_ans
 	var new_string = in_string.replace\(reg_exp1,replace_string\)
 	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
 	qlength = in_string.length\;
 	 if \(qlength > 675\) \{
 	alert\(\"The answer is longer than 700 characters.\"\)
 	\}
 	else \{
       	if\(new_string !=\"\"\)\{
 	self.top.right_bot.s_input\(this_in\)
 	document.form4.panswer.value=quest_ans
 	document.form4.submit\(\)
       	\}
 	else \{
 	self.top.right_bot.un_do\(this_in\)
 	document.form4.panswer.value=\"\"
       	\}
       	\}
        \}
	\}\n";
        }
        
###########################
#
# PRINT_JAVASCRIPT_ACTIVATED_THIS_MOBILE
#
###########################
sub print_javascript_activated_this_mobile {
    #var frame_url = self.top.qst_left.location.href
    #self.top.right_bot.s_input\(this_in\)
        print"var this_in
        var when
        
        
        function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
        var this_in = quest_no
        var real_quest_ans
        var quest_ans
        var replace_string =\"\"
        var reg_exp1 = \/\\s\/g
        var replace_string2 =\"\%20\"
        document.form4.real_quest_no.value=real_quest_no
        document.form4.quest_no.value=quest_no
        document.next_quest.real_quest_no.value=real_quest_no
        if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
        
        if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
        document.form4.answer.value=checked_ans
        document.form4.submit\(\)
        \}\n";
        
        print"if\( type == \"MA\") \{
            if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
                document.form4.answertype.value=type
                document.form4.answer.value=checked_ans
                
                document.form4.submit\(\)
                \}
                else \{
                document.form4.answertype.value=\"\"
                \}\n";
 
        print"if\(type == \"SA\") \{
	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
	quest_ans=eval\(real_quest_ans\)
      	var in_string = quest_ans
	var new_string = in_string.replace\(reg_exp1,replace_string\)
	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
	qlength = in_string.length\;
	if \(qlength > 75\) \{
	alert\(\"The answer is longer than 75 characters.\"\)
	\}
	else \{
      	if\(new_string !=\"\"\)\{
	
	document.form4.saanswer.value=quest_ans
	document.form4.submit\(\)
      	\}
	else \{
	
	document.form4.saanswer.value=\"\"
      	\}
      	\}
      	\}\n";
      					
 	print"if\(type == \"P\") \{
 	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
 	quest_ans=eval\(real_quest_ans\)
       	var in_string = quest_ans
 	var new_string = in_string.replace\(reg_exp1,replace_string\)
 	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
 	qlength = in_string.length\;
 	 if \(qlength > 675\) \{
 	alert\(\"The answer is longer than 700 characters.\"\)
 	\}
 	else \{
       	if\(new_string !=\"\"\)\{
 	
 	document.form4.panswer.value=quest_ans
 	document.form4.submit\(\)
       	\}
 	else \{
 	
 	document.form4.panswer.value=\"\"
       	\}
       	\}
        \}
	\}\n";
        }

###########################
#
# MODAL_PRINT_JAVASCRIPT_ACTIVATED_THIS
#
###########################
sub modal_print_javascript_activated_this {
        print"var this_in
        var when
        var frame_url = self.parent.qst_left.location.href
        
        function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
        var this_in = quest_no
        var real_quest_ans
        var quest_ans
        var replace_string =\"\"
        var reg_exp1 = \/\\s\/g
        var replace_string2 =\"\%20\"
        document.form4.real_quest_no.value=real_quest_no
        document.form4.quest_no.value=quest_no
        document.next_quest.real_quest_no.value=real_quest_no
        if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
        self.top.right_bot.s_input\(this_in\)
        if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
        document.form4.answer.value=checked_ans
        document.form4.submit\(\)
        \}\n";
        
        print"if\( type == \"MA\") \{
            if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
                document.form4.answertype.value=type
                document.form4.answer.value=checked_ans
                self.top.right_bot.s_input\(this_in\)
                document.form4.submit\(\)
                \}
                else \{
                document.form4.answertype.value=\"\"
                \}\n";
 
        print"if\(type == \"SA\") \{
	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
	quest_ans=eval\(real_quest_ans\)
      	var in_string = quest_ans
	var new_string = in_string.replace\(reg_exp1,replace_string\)
	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
	qlength = in_string.length\;
	if \(qlength > 75\) \{
	alert\(\"The answer is longer than 75 characters.\"\)
	\}
	else \{
      	if\(new_string !=\"\"\)\{
	self.top.right_bot.s_input\(this_in\)
	document.form4.saanswer.value=quest_ans
	document.form4.submit\(\)
      	\}
	else \{
	self.top.right_bot.un_do\(this_in\)
	document.form4.saanswer.value=\"\"
      	\}
      	\}
      	\}\n";
      					
 	print"if\(type == \"P\") \{
 	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
 	quest_ans=eval\(real_quest_ans\)
       	var in_string = quest_ans
 	var new_string = in_string.replace\(reg_exp1,replace_string\)
 	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
 	qlength = in_string.length\;
 	 if \(qlength > 675\) \{
 	alert\(\"The answer is longer than 700 characters.\"\)
 	\}
 	else \{
       	if\(new_string !=\"\"\)\{
 	self.parent.right_bot.s_input\(this_in\)
 	document.form4.panswer.value=quest_ans
 	document.form4.submit\(\)
       	\}
 	else \{
 	self.parent.right_bot.un_do\(this_in\)
 	document.form4.panswer.value=\"\"
       	\}
       	\}
        \}
	\}\n";
        }
        
###########################
#
# MODAL2_PRINT_JAVASCRIPT_ACTIVATED_THIS
#
###########################
sub modal2_print_javascript_activated_this {
        print"var this_in
        var when
        var frame_url = self.parent.m2qst_left.location.href
        
        function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
        var this_in = quest_no
        var real_quest_ans
        var quest_ans
        var replace_string =\"\"
        var reg_exp1 = \/\\s\/g
        var replace_string2 =\"\%20\"
        document.form4.real_quest_no.value=real_quest_no
        document.form4.quest_no.value=quest_no
        document.next_quest.real_quest_no.value=real_quest_no
        if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
        self.parent.m2right_bot.s_input\(this_in\)
        if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
        document.form4.answer.value=checked_ans
        document.form4.submit\(\)
        \}\n";
        
        print"if\( type == \"MA\") \{
            if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
                document.form4.answertype.value=type
                document.form4.answer.value=checked_ans
                self.parent.m2right_bot.s_input\(this_in\)
                document.form4.submit\(\)
                \}
                else \{
                document.form4.answertype.value=\"\"
                \}\n";
 
        print"if\(type == \"SA\") \{
	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
	quest_ans=eval\(real_quest_ans\)
      	var in_string = quest_ans
	var new_string = in_string.replace\(reg_exp1,replace_string\)
	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
	qlength = in_string.length\;
	if \(qlength > 75\) \{
	alert\(\"The answer is longer than 75 characters.\"\)
	\}
	else \{
      	if\(new_string !=\"\"\)\{
	self.parent.m2right_bot.s_input\(this_in\)
	document.form4.saanswer.value=quest_ans
	document.form4.submit\(\)
      	\}
	else \{
	self.parent.m2right_bot.un_do\(this_in\)
	document.form4.saanswer.value=\"\"
      	\}
      	\}
      	\}\n";
      					
 	print"if\(type == \"P\") \{
 	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
 	quest_ans=eval\(real_quest_ans\)
       	var in_string = quest_ans
 	var new_string = in_string.replace\(reg_exp1,replace_string\)
 	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
 	qlength = in_string.length\;
 	 if \(qlength > 675\) \{
 	alert\(\"The answer is longer than 700 characters.\"\)
 	\}
 	else \{
       	if\(new_string !=\"\"\)\{
 	self.parent.m2right_bot.s_input\(this_in\)
 	document.form4.panswer.value=quest_ans
 	document.form4.submit\(\)
       	\}
 	else \{
 	self.parent.m2right_bot.un_do\(this_in\)
 	document.form4.panswer.value=\"\"
       	\}
       	\}
        \}
	\}\n";
        }
        
###########################
#
# MODAL3_PRINT_JAVASCRIPT_ACTIVATED_THIS
#
###########################
sub modal3_print_javascript_activated_this {
        print"var this_in
        var when
        var frame_url = self.parent.m3qst_left.location.href
        
        function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
        var this_in = quest_no
        var real_quest_ans
        var quest_ans
        var replace_string =\"\"
        var reg_exp1 = \/\\s\/g
        var replace_string2 =\"\%20\"
        document.form4.real_quest_no.value=real_quest_no
        document.form4.quest_no.value=quest_no
        document.next_quest.real_quest_no.value=real_quest_no
        if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
        self.parent.m3right_bot.s_input\(this_in\)
        if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
        document.form4.answer.value=checked_ans
        document.form4.submit\(\)
        \}\n";
        
        print"if\( type == \"MA\") \{
            if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
                document.form4.answertype.value=type
                document.form4.answer.value=checked_ans
                self.parent.m3right_bot.s_input\(this_in\)
                document.form4.submit\(\)
                \}
                else \{
                document.form4.answertype.value=\"\"
                \}\n";
 
        print"if\(type == \"SA\") \{
	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
	quest_ans=eval\(real_quest_ans\)
      	var in_string = quest_ans
	var new_string = in_string.replace\(reg_exp1,replace_string\)
	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
	qlength = in_string.length\;
	if \(qlength > 75\) \{
	alert\(\"The answer is longer than 75 characters.\"\)
	\}
	else \{
      	if\(new_string !=\"\"\)\{
	self.parent.m3right_bot.s_input\(this_in\)
	document.form4.saanswer.value=quest_ans
	document.form4.submit\(\)
      	\}
	else \{
	self.parent.m3right_bot.un_do\(this_in\)
	document.form4.saanswer.value=\"\"
      	\}
      	\}
      	\}\n";
      					
 	print"if\(type == \"P\") \{
 	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
 	quest_ans=eval\(real_quest_ans\)
       	var in_string = quest_ans
 	var new_string = in_string.replace\(reg_exp1,replace_string\)
 	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
 	qlength = in_string.length\;
 	 if \(qlength > 675\) \{
 	alert\(\"The answer is longer than 700 characters.\"\)
 	\}
 	else \{
       	if\(new_string !=\"\"\)\{
 	self.parent.m3right_bot.s_input\(this_in\)
 	document.form4.panswer.value=quest_ans
 	document.form4.submit\(\)
       	\}
 	else \{
 	self.parent.m3right_bot.un_do\(this_in\)
 	document.form4.panswer.value=\"\"
       	\}
       	\}
        \}
	\}\n";
        }
        
###########################
#
# MODAL4_PRINT_JAVASCRIPT_ACTIVATED_THIS
#
###########################
sub modal4_print_javascript_activated_this {
        print"var this_in
        var when
        var frame_url = self.parent.m4qst_left.location.href
        
        function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
        var this_in = quest_no
        var real_quest_ans
        var quest_ans
        var replace_string =\"\"
        var reg_exp1 = \/\\s\/g
        var replace_string2 =\"\%20\"
        document.form4.real_quest_no.value=real_quest_no
        document.form4.quest_no.value=quest_no
        document.next_quest.real_quest_no.value=real_quest_no
        if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
        self.parent.m4right_bot.s_input\(this_in\)
        if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
        document.form4.answer.value=checked_ans
        document.form4.submit\(\)
        \}\n";
        
        print"if\( type == \"MA\") \{
            if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
                document.form4.answertype.value=type
                document.form4.answer.value=checked_ans
                self.parent.m4right_bot.s_input\(this_in\)
                document.form4.submit\(\)
                \}
                else \{
                document.form4.answertype.value=\"\"
                \}\n";
 
        print"if\(type == \"SA\") \{
	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
	quest_ans=eval\(real_quest_ans\)
      	var in_string = quest_ans
	var new_string = in_string.replace\(reg_exp1,replace_string\)
	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
	qlength = in_string.length\;
	if \(qlength > 75\) \{
	alert\(\"The answer is longer than 75 characters.\"\)
	\}
	else \{
      	if\(new_string !=\"\"\)\{
	self.parent.m4right_bot.s_input\(this_in\)
	document.form4.saanswer.value=quest_ans
	document.form4.submit\(\)
      	\}
	else \{
	self.parent.m4right_bot.un_do\(this_in\)
	document.form4.saanswer.value=\"\"
      	\}
      	\}
      	\}\n";
      					
 	print"if\(type == \"P\") \{
 	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
 	quest_ans=eval\(real_quest_ans\)
       	var in_string = quest_ans
 	var new_string = in_string.replace\(reg_exp1,replace_string\)
 	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
 	qlength = in_string.length\;
 	 if \(qlength > 675\) \{
 	alert\(\"The answer is longer than 700 characters.\"\)
 	\}
 	else \{
       	if\(new_string !=\"\"\)\{
 	self.parent.m4right_bot.s_input\(this_in\)
 	document.form4.panswer.value=quest_ans
 	document.form4.submit\(\)
       	\}
 	else \{
 	self.parent.m4right_bot.un_do\(this_in\)
 	document.form4.panswer.value=\"\"
       	\}
       	\}
        \}
	\}\n";
        }
        
###########################
#
# MODAL5_PRINT_JAVASCRIPT_ACTIVATED_THIS
#
###########################
sub modal5_print_javascript_activated_this {
        print"var this_in
        var when
        var frame_url = self.parent.m5qst_left.location.href
        
        function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
        var this_in = quest_no
        var real_quest_ans
        var quest_ans
        var replace_string =\"\"
        var reg_exp1 = \/\\s\/g
        var replace_string2 =\"\%20\"
        document.form4.real_quest_no.value=real_quest_no
        document.form4.quest_no.value=quest_no
        document.next_quest.real_quest_no.value=real_quest_no
        if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
        self.parent.m5right_bot.s_input\(this_in\)
        if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
        document.form4.answer.value=checked_ans
        document.form4.submit\(\)
        \}\n";
        
        print"if\( type == \"MA\") \{
            if\(select == \"b\") \{
        next.style.display=\"none\"
        next1.style.display=\"block\"
        \}
                document.form4.answertype.value=type
                document.form4.answer.value=checked_ans
                self.parent.m5right_bot.s_input\(this_in\)
                document.form4.submit\(\)
                \}
                else \{
                document.form4.answertype.value=\"\"
                \}\n";
 
        print"if\(type == \"SA\") \{
	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
	quest_ans=eval\(real_quest_ans\)
      	var in_string = quest_ans
	var new_string = in_string.replace\(reg_exp1,replace_string\)
	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
	qlength = in_string.length\;
	if \(qlength > 75\) \{
	alert\(\"The answer is longer than 75 characters.\"\)
	\}
	else \{
      	if\(new_string !=\"\"\)\{
	self.parent.m5right_bot.s_input\(this_in\)
	document.form4.saanswer.value=quest_ans
	document.form4.submit\(\)
      	\}
	else \{
	self.parent.m5right_bot.un_do\(this_in\)
	document.form4.saanswer.value=\"\"
      	\}
      	\}
      	\}\n";
      					
 	print"if\(type == \"P\") \{
 	real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;
 	quest_ans=eval\(real_quest_ans\)
       	var in_string = quest_ans
 	var new_string = in_string.replace\(reg_exp1,replace_string\)
 	var new_string2 = in_string.replace\(reg_exp1,replace_string2\)
 	qlength = in_string.length\;
 	 if \(qlength > 675\) \{
 	alert\(\"The answer is longer than 700 characters.\"\)
 	\}
 	else \{
       	if\(new_string !=\"\"\)\{
 	self.parent.m5right_bot.s_input\(this_in\)
 	document.form4.panswer.value=quest_ans
 	document.form4.submit\(\)
       	\}
 	else \{
 	self.parent.m5right_bot.un_do\(this_in\)
 	document.form4.panswer.value=\"\"
       	\}
       	\}
        \}
	\}\n";
        }

###########################
#
# NEXT_QUESTION4
#
##########################
sub next_question4 {
        my %NQ = @_;
        $NQ{quest_no} =~ s/\D//g;
        $NQ{order} =~ s/\D//g;
        $NQ{qst} =~ s/\D//g;
        $NQ{doo} =~ s/\D//g;
        $NQ{type} =~ s/\D//g;
        $NQ{lquests} =~ s/[^0-9,]//g;
        $NQ{attempt} =~ s/\D//g;
        my @lquests = split(/\,/,$NQ{lquests});
        my $next_order = $NQ{order};
        my $key;
        my $lquests;
        
        &print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
        &print_javascript_begin();
        
        &print_javascript_enterMX();

        &print_javascript_activated_this();

	print"function Show_Next\(order,quests\) \{
        document.next_quest.order.value=order
        document.next_quest.lquests.value=quests
        document.next_quest.submit\(\)
        \}\n";
        
        &print_javascript_end();
        my $quests_left = @lquests;
        
        if($quests_left > 0) {
                my $next_quest;
                my %QUESTIONS = ();
                my %QUESTION_ANSWERED = ();
                if($NQ{doo} == 1) { # show correct answer
                        $next_quest = shift(@lquests);
                        
                        my $query = "SELECT * from questions WHERE number=\"$NQ{quest_no}\" AND org_id=\"$org_id\"";
                        
                        %QUESTIONS = &select_questions("query","$query");
                        
                        %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" and quest_no=\"$NQ{quest_no}\" and attempt=\"$NQ{attempt}\" and qst=\"$NQ{qst}\"");
                        
                        foreach my $piec(@lquests) {
                                $lquests = "$lquests".","."$piec";
                                }
                                
                        $lquests =~ s/^\,//;
                        }
                else {
                        my @lqusts = @lquests;
                        $next_quest = shift(@lquests);

                        my $query = "SELECT * from questions WHERE number=\"$next_quest\"";
                        
                        %QUESTIONS = &select_questions("query","$query");
                        
                        foreach my $piec(@lqusts) {
                                $lquests = "$lquests".","."$piec";
                                }
                                
                        $lquests =~ s/^\,//;

                        }
                        
                my $question_rows = 1;
                my $question_length = length($QUESTIONS{$NQ{quest_no}}{question});
 		
                # fix display to show new lines in text of question
                my $content = $QUESTIONS{$NQ{quest_no}}{question};
                $content =~ s/\r[\n]*/\n/gm;
                my @number_of_newlines = split(/\n/,$content);
                my $new_lines = @number_of_newlines;
                $question_rows = $question_rows + $new_lines;
			
                if($NQ{doo} == 1) { # print out question and correct answer
                        $NQ{doo} = 0;
                        my $order = $NQ{order};
                        ++$next_order;
                        
                        print"<center>";
                        if($quests_left > 0) {
                                print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$next_order','$lquests')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B>\n";
                                }
                        else {
                                print"<B STYLE=\" font-family\:Arial\; font-size\: 28pt\;\">&nbsp\;</B>\n";
                                }
                                
                        print"</center><form name=\"q_form\">\n";
                        print"<TABLE><TR><TD valign=\"top\"><B>$order\.</b></TD>\n";

                        &print_out_question("question","$QUESTIONS{$NQ{quest_no}}{question}","value","$QUESTIONS{$NQ{quest_no}}{value}","image_id","$QUESTIONS{$NQ{quest_no}}{image_id}","pdf","$QUESTIONS{$next_quest}{pdf}","vlink","$QUESTIONS{$NQ{quest_no}}{vlink}","alink","$QUESTIONS{$NQ{quest_no}}{alink}","type","$QUESTIONS{$NQ{quest_no}}{type}","question_rows","$question_rows","mode","$QUESTIONS{$NQ{quest_no}}{mode}");
                        
                        &mark_question("question_answered","$QUESTION_ANSWERED{$NQ{quest_no}}","quest_no","$NQ{quest_no}","type","$QUESTIONS{$NQ{quest_no}}{type}","kolum","$QUESTIONS{$NQ{quest_no}}{kolum}","attempt","$NQ{attempt}","qst","$NQ{qst}","ans_mode","$QUESTIONS{$NQ{quest_no}}{ans_mode}");
                        }
                        
                else { # print out next question
                        $NQ{doo} = 1;
                        my $next_order = $NQ{order};
                        print"<center>";
                        if($quests_left > 0) {
                                print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$next_order','$lquests')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B>\n";
                                }
                        
                        print"</center><form name=\"q_form\">\n";
                        print"<TABLE><TR><TD valign=\"top\"><B>$next_order\.</b></TD>\n";
										
                        &print_out_question("question","$QUESTIONS{$next_quest}{question}","value","$QUESTIONS{$next_quest}{value}","image_id","$QUESTIONS{$next_quest}{image_id}","pdf","$QUESTIONS{$next_quest}{pdf}","vlink","$QUESTIONS{$next_quest}{vlink}","alink","$QUESTIONS{$next_quest}{alink}","type","$QUESTIONS{$next_quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$next_quest}{mode}");
                        
                        &print_out_question_answers("quest","$next_quest","index","$next_order","type","$QUESTIONS{$next_quest}{type}","key","$key","answer","$QUESTION_ANSWERED{$next_quest}","kolum","$QUESTIONS{$next_quest}{kolum}","ans_mode","$QUESTIONS{$next_quest}{ans_mode}");
                        }
                        
                print"</FORM>\n";
                
                &print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$NQ{class_id}","qst","$NQ{qst}","real_quest_no","$next_quest","quest_no","","answer","","saanswer","","panswer","","answertype","","mxselect","","type","QUESTIONS{$NQ{quest_no}}{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}");
        
                &print_form("form_name","next_quest","input","next_question4","answer","0","doo","$NQ{doo}","order","","quest_no","$next_quest","qst","$NQ{qst}","class_id","$NQ{class_id}","type","","lquests","","u_id","$NQ{u_id}","session_id","$NQ{session_id}","attempt","$NQ{attempt}","real_quest_no","");
                
                if($QUESTIONS{$next_quest}{mode} == 2  || $QUESTIONS{$next_quest}{ans_mode} == 2) {
                        &print_eq();
                        }
                }
                
        else {
                print"<BR><P><P><center><font size=\"+1\"><B>Finished</font><BR><P>$LANGUAGE{$set_language}{ClicktheSubmitQSTbuttontoseeyourresults}</B></font></center>";
                }
        }

###########################
#
# MODAL_NEXT_QUESTION4
#
##########################
sub modal_next_question4 {
        my %NQ = @_;
        $NQ{quest_no} =~ s/\D//g;
        $NQ{order} =~ s/\D//g;
        $NQ{qst} =~ s/\D//g;
        $NQ{doo} =~ s/\D//g;
        $NQ{type} =~ s/\D//g;
        $NQ{lquests} =~ s/[^0-9,]//g;
        $NQ{attempt} =~ s/\D//g;
        my @lquests = split(/\,/,$NQ{lquests});
        my $next_order = $NQ{order};
        my $key;
        my $lquests;
        
        &print_style_sheet();
        
        print"<style>table.table1\{ border-radius:6px\; font-size:10pt\; font-family:Arial\;\}</style>\n";
        
        &print_javascript_begin();
        
        &modal4_print_javascript_enterMX();

        &modal4_print_javascript_activated_this();

	print"function Show_Next\(order,quests\) \{
        document.next_quest.order.value=order
        document.next_quest.lquests.value=quests
        document.next_quest.submit\(\)
        \}\n";
        
        &print_javascript_end();
        my $quests_left = @lquests;
        
        if($quests_left > 0) {
                my $next_quest;
                my %QUESTIONS = ();
                my %QUESTION_ANSWERED = ();
                if($NQ{doo} == 1) { # show correct answer
                        $next_quest = shift(@lquests);
                        
                        my $query = "SELECT * from questions WHERE number=\"$NQ{quest_no}\" AND org_id=\"$org_id\"";
                        
                        %QUESTIONS = &select_questions("query","$query");
                        
                        %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$NQ{u_id}\" and quest_no=\"$NQ{quest_no}\" and attempt=\"$NQ{attempt}\" and qst=\"$NQ{qst}\"");
                        
                        foreach my $piec(@lquests) {
                                $lquests = "$lquests".","."$piec";
                                }
                                
                        $lquests =~ s/^\,//;
                        }
                else {
                        my @lqusts = @lquests;
                        $next_quest = shift(@lquests);

                        my $query = "SELECT * from questions WHERE number=\"$next_quest\"";
                        
                        %QUESTIONS = &select_questions("query","$query");
                        
                        foreach my $piec(@lqusts) {
                                $lquests = "$lquests".","."$piec";
                                }
                                
                        $lquests =~ s/^\,//;

                        }
                        
                my $question_rows = 1;
                my $question_length = length($QUESTIONS{$NQ{quest_no}}{question});
 		
                # fix display to show new lines in text of question
                my $content = $QUESTIONS{$NQ{quest_no}}{question};
                $content =~ s/\r[\n]*/\n/gm;
                my @number_of_newlines = split(/\n/,$content);
                my $new_lines = @number_of_newlines;
                $question_rows = $question_rows + $new_lines;
			
                if($NQ{doo} == 1) { # print out question and correct answer
                        $NQ{doo} = 0;
                        my $order = $NQ{order};
                        ++$next_order;
                        
                        print"<center>";
                        if($quests_left > 0) {
                                print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$next_order','$lquests')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B>\n";
                                }
                        else {
                                print"<B STYLE=\" font-family\:Arial\; font-size\: 28pt\;\">&nbsp\;</B>\n";
                                }
                                
                        print"</center><form name=\"q_form\">\n";
                        print"<TABLE><TR><TD valign=\"top\"><B>$order\.</b></TD>\n";

                        &print_out_question("question","$QUESTIONS{$NQ{quest_no}}{question}","value","$QUESTIONS{$NQ{quest_no}}{value}","image_id","$QUESTIONS{$NQ{quest_no}}{image_id}","vlink","$QUESTIONS{$NQ{quest_no}}{vlink}","alink","$QUESTIONS{$NQ{quest_no}}{alink}","type","$QUESTIONS{$NQ{quest_no}}{type}","question_rows","$question_rows","mode","$QUESTIONS{$NQ{quest_no}}{mode}");
                        
                        &mark_question("question_answered","$QUESTION_ANSWERED{$NQ{quest_no}}","quest_no","$NQ{quest_no}","type","$QUESTIONS{$NQ{quest_no}}{type}","kolum","$QUESTIONS{$NQ{quest_no}}{kolum}","attempt","$NQ{attempt}","qst","$NQ{qst}","ans_mode","$QUESTIONS{$NQ{quest_no}}{ans_mode}");
                        }
                        
                else { # print out next question
                        $NQ{doo} = 1;
                        my $next_order = $NQ{order};
                        print"<center>";
                        if($quests_left > 0) {
                                print"<B STYLE=\"cursor:pointer\; font-family\:Arial\; font-size\: 28pt\;\" OnClick=\"Show_Next('$next_order','$lquests')\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Next}\">\></B>\n";
                                }
                        
                        print"</center><form name=\"q_form\">\n";
                        print"<TABLE><TR><TD valign=\"top\"><B>$next_order\.</b></TD>\n";
										
                        &print_out_question("question","$QUESTIONS{$next_quest}{question}","value","$QUESTIONS{$next_quest}{value}","image_id","$QUESTIONS{$next_quest}{image_id}","vlink","$QUESTIONS{$next_quest}{vlink}","alink","$QUESTIONS{$next_quest}{alink}","type","$QUESTIONS{$next_quest}{type}","question_rows","$question_rows","mode","$QUESTIONS{$next_quest}{mode}");
                        
                        &print_out_question_answers("quest","$next_quest","index","$next_order","type","$QUESTIONS{$next_quest}{type}","key","$key","answer","$QUESTION_ANSWERED{$next_quest}","kolum","$QUESTIONS{$next_quest}{kolum}","ans_mode","$QUESTIONS{$next_quest}{ans_mode}");
                        }
                        
                print"</FORM>\n";
                
                &print_form("form_name","form4","form_target","m4right_top","input","question_done","class_id","$NQ{class_id}","qst","$NQ{qst}","real_quest_no","$next_quest","quest_no","","answer","","saanswer","","panswer","","answertype","","mxselect","","type","QUESTIONS{$NQ{quest_no}}{type}","u_id","$NQ{u_id}","session_id","$NQ{session_id}");
        
                &print_form("form_name","next_quest","input","modal_next_question4","answer","0","doo","$NQ{doo}","order","","quest_no","$next_quest","qst","$NQ{qst}","class_id","$NQ{class_id}","type","","lquests","","u_id","$NQ{u_id}","session_id","$NQ{session_id}","attempt","$NQ{attempt}","real_quest_no","");
                
                if($QUESTIONS{$next_quest}{mode} == 2  || $QUESTIONS{$next_quest}{ans_mode} == 2) {
                        &print_eq();
                        }
                }
                
        else {
                print"<BR><P><P><center><font size=\"+1\"><B>$LANGUAGE{$set_language}{TheQSThasended}</font><BR><P><$LANGUAGE{$set_language}{ClicktheSubmitQSTbuttontoseeyourresults}</B></font></center>";
                }
        }


############
#
# RENAME_IT
#
############
sub rename_it {
	my %RI = @_;
	$RI{number} =~ s/\D//g;
	$RI{type} =~ s/\D//g;
	$RI{sub_type} =~ s/\D//g; 
	$RI{org_id} =~ s/\D//g;
	$RI{from} =~ s/\D//g;
	$RI{institution_id} =~ tr/A-Za-z0-9\-._//cd; #tr/A-Za-z0-9//cd;
	$RI{class_id} =~ s/\D//g;
	$RI{class_open} =~ s/\D//g;
	$RI{open_class} =~ s/\D//g;
	$RI{expand} =~ s/[^0-9,]//g;
	my $no_good = 0;
	my $name = "$RI{name}";
	my %RETURN = ();
	my %RETURN2 = ();
	
	$name = &l_spaces("$name","0");
	$name = &tr_spaces("$name","0");
	$name = &x_spaces("$name","0");
	$name = &spec_char("$name","0");

	$RI{name} = "$name";
	my $name_there = 0;
	my $error = 0;
	$error = &check_many_length_return("$name","50");

        my $error1 = 0;
	$error1 = &check_many_length_return("$name","80"); # for class -names
		
		if($name ne"" ) {
                        if(defined $RI{class} && $u_type == 1 && $error1 !=1) { # from rename class page
				my $id_count = 0;
				my $org_count = &is_there_org("table","organization","org_id","$RI{org_id}");

				if($org_count == 1) { # Organization is there
					if($org_id == 0 || $org_id == $RI{org_id}) { # Check they can do this
						if(!defined $RI{institution_id} || $RI{institution_id} eq"") { # No institution_id
							$RI{institution_id} = 0;
							}
						
						# GET what is already in database and compare to what is being changed
						%RETURN = &select19("query","select class_id, class_name, institution_id from classes where class_id = \"$RI{class_id}\"");
					
						# What are we changing ?
						if($RETURN{$RI{class_id}}{class_name} eq"$RI{name}" && $RETURN{$RI{class_id}}{institution_id} ne"$RI{institution_id}") { # Changing institution_id
							if($RI{institution_id} eq"0") { #If we are changing it to 0 then don't need to check
								&update_class("update","class_name","org_id","$RI{org_id}","name","$RETURN{$RI{class_id}}{class_name}","class_id","$RI{class_id}","institution_id","$RI{institution_id}");
								}
							
							else {
								# check institution_id not already taken
								my $count_institution_id = 0;
								$count_institution_id = &is_there_institution_id("table","classes","institution_id","$RI{institution_id}","class_id","$RI{class_id}");
								if($count_institution_id == 0) { # Institution_id not taken make change
									&update_class("update","class_name","org_id","$RI{org_id}","name","$RETURN{$RI{class_id}}{class_name}","class_id","$RI{class_id}","institution_id","$RI{institution_id}");
									}
								else {
									$name_there = 2; # Institution_id taken
									}
								}
							}
						
						elsif($RETURN{$RI{class_id}}{class_name} ne"$RI{name}" && $RETURN{$RI{class_id}}{institution_id} eq"$RI{institution_id}") { # Changing class name
							# Check class name not already taken
							my $count_name = 0;
							$count_name = &is_there_class_name("table","classes","class_name","$RI{name}");
						
							if($count_name == 0) { # Class name not taken make change
								&update_class("update","class_name","org_id","$RI{org_id}","name","$RI{name}","class_id","$RI{class_id}","institution_id","$RETURN{$RI{class_id}}{institution_id}");
								}
							else {
								$name_there = 1; # Class name taken
								}
							}
						}
						
					else {
						print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
						}
					}
					
				elsif ($id_count != 0){
					$no_good = 3;
					}
					
				&view_it("org_id","$RI{org_id}","org_name","$RI{org_name}","org_type","$RI{org_type}","org_letter","$RI{org_letter}","no_good","$no_good","u_id","$RI{u_id}","session_id","$RI{session_id}","name_there","$name_there");
				}
				
			elsif (defined $RI{user}) {
				}
				
			elsif (defined $RI{number} && ($RI{from} == 2 || $RI{from} == 4) && $error !=1) { # from quizzes/tests/surveys page
				if(defined $RI{qst}) { # rename qst
					$RI{name} = &funny_char("$RI{name}","0");
					&rename_it_quote("query1","qst","query3","name","query2","$RI{number}","quote","$RI{name}","from","$RI{from}");
					if(defined $RI{expand}) {
                                                &make_type("expand","$RI{expand}","type","$RI{type}","sub_type","$RI{sub_type}","from","$RI{from}","u_id","$RI{u_id}","session_id","$RI{session_id}");
						}
					else {
						&make_type("type","$RI{type}","class_open","$RI{class_open}","sub_type","$RI{sub_type}","open_class","$RI{open_class}","from","$RI{from}","u_id","$RI{u_id}","session_id","$RI{session_id}");
						}
					}
				else { # rename folder
					&rename_it_quote("query1","categories","query3","cat_name","query2","$RI{number}","quote","$RI{name}","from","$RI{from}");
					if($RI{type} == 0) {
						&make_type("expand","$RI{expand}","type","$RI{type}","sub_type","$RI{sub_type}","from","$RI{from}","u_id","$RI{u_id}","session_id","$RI{session_id}");
						}
					else {  # surveys page
						&make_type("expand","$RI{expand}","type","$RI{type}","sub_type","$RI{sub_type}","class_open","$RI{class_open}","open_class","$RI{open_class}","from","$RI{from}","u_id","$RI{u_id}","session_id","$RI{session_id}");
						}
					}
				}
				
			elsif (defined $RI{number} && $RI{from} == 1 && $error !=1) { # questions page
				&rename_it_quote("query1","question_categories","query3","cat_name","query2","$RI{number}","quote","$RI{name}");
				&questions("expand","$RI{expand}","sub_type","$RI{sub_type}","u_id","$RI{u_id}","session_id","$RI{session_id}");
				}
				
			elsif (defined $RI{number} && $RI{from} == 5 && $RI{type} == 5 && $error !=1) { # manage_files page
				&rename_it_quote("query1","file_folders","query3","name","query2","$RI{number}","quote","$RI{name}");
				&manage_files("expand","$RI{expand}","u_id","$RI{u_id}","session_id","$RI{session_id}");
				}
				
			elsif (defined $RI{number} && $RI{from} == 5 && $RI{type} == 6 && $error !=1) { # manage_files page
				&rename_it_quote("query1","qst_files","query3","file_name","query2","$RI{number}","quote","$RI{name}");
				&manage_files("expand","$RI{expand}","u_id","$RI{u_id}","session_id","$RI{session_id}");
				}
				
			elsif ($u_type == 1 && $error1 !=1) {
				if($org_id == 0 || $org_id == $RI{org_id}) { # Check they can do this
					&update("table","organization","id","$RI{org_id}","name","$RI{name}","set","org_name");
					&org("type","6","u_id","$RI{u_id}","session_id","$RI{session_id}");
					}
					
				else {
					print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
					}
				}
			}
		}

############
#
# BANK_RENAME_IT
#
############
sub bank_rename_it {
	my %RI = @_;
	$RI{number} =~ s/\D//g;
	$RI{type} =~ s/\D//g;
	$RI{sub_type} =~ s/\D//g; 
	$RI{org_id} =~ s/\D//g;
	$RI{from} =~ s/\D//g;
	$RI{institution_id} =~ tr/A-Za-z0-9\-._//cd; #tr/A-Za-z0-9//cd;
	$RI{class_id} =~ s/\D//g;
	$RI{class_open} =~ s/\D//g;
	$RI{open_class} =~ s/\D//g;
	$RI{expand} =~ s/[^0-9,]//g;
	my $no_good = 0;
	my $name = "$RI{name}";
	$name = &l_spaces("$name","0");
	$name = &tr_spaces("$name","0");
	$name = &x_spaces("$name","0");
	$name = &spec_char("$name","0");

	$RI{name} = "$name";
	my $error = 0;
	$error = &check_many_length_return("$name","50");
	
        if (defined $RI{number} && ($RI{from} == 2 || $RI{from} == 4)) { # from quizzes/tests/surveys page
                    if(defined $RI{qst}) { # rename qst
                            $RI{name} = &funny_char("$RI{name}","0");
                            &bank_rename_it_quote("query1","qst","query3","name","query2","$RI{number}","quote","$RI{name}","from","$RI{from}");
                            if(defined $RI{expand}) {
                                    &make_type("expand","$RI{expand}","type","$RI{type}","sub_type","$RI{sub_type}","from","$RI{from}","u_id","$RI{u_id}","session_id","$RI{session_id}");
                                    }
                            else {
                                    &make_type("type","$RI{type}","class_open","$RI{class_open}","sub_type","$RI{sub_type}","open_class","$RI{open_class}","from","$RI{from}","u_id","$RI{u_id}","session_id","$RI{session_id}");
                                    }
                            }
                    else { # rename folder
                            &bank_rename_it_quote("query1","categories","query3","cat_name","query2","$RI{number}","quote","$RI{name}","from","$RI{from}");
                            if($RI{type} == 0) {
                                    &make_type("expand","$RI{expand}","type","$RI{type}","sub_type","$RI{sub_type}","from","$RI{from}","u_id","$RI{u_id}","session_id","$RI{session_id}");
                                    }
						
                            else {  # surveys page
                                    &make_type("expand","$RI{expand}","type","$RI{type}","sub_type","$RI{sub_type}","class_open","$RI{class_open}","open_class","$RI{open_class}","from","$RI{from}","u_id","$RI{u_id}","session_id","$RI{session_id}");
                                    }
                            }

                    }

            if (defined $RI{number} && $RI{from} == 1) { # questions page
                        &bank_rename_it_quote("query1","question_categories","query3","cat_name","query2","$RI{number}","quote","$RI{name}");
                        &questions_bank("expand","$RI{expand}","sub_type","$RI{sub_type}","u_id","$RI{u_id}","session_id","$RI{session_id}");
                        }
				
            elsif (defined $RI{number} && $RI{from} == 5 && $RI{type} == 5) { # manage_bank file folders page
                        &bank_rename_it_quote("query1","file_folders","query3","name","query2","$RI{number}","quote","$RI{name}");
                        &manage_bank_files("expand","$RI{expand}","u_id","$RI{u_id}","session_id","$RI{session_id}");
                        }
				
           elsif (defined $RI{number} && $RI{from} == 5 && $RI{type} == 6) { # manage_bank files page
                       &bank_rename_it_quote("query1","qst_files","query3","file_name","query2","$RI{number}","quote","$RI{name}");
                       &manage_bank_files("expand","$RI{expand}","u_id","$RI{u_id}","session_id","$RI{session_id}");
                       }
            }

###############
#
# REMOVE_QUESTIONS_FROMQST
#
###############
sub remove_questions_fromqst {
	my %RQF = @_;
	my $quiz_no = "$RQF{quiz_no}";
	$quiz_no =~ s/\D//g;
	my $type = "$RQF{type}";
	$type =~ s/\D//g;
	my $sub_type = "$RQF{sub_type}";
	$sub_type =~ s/\D//g;
	my $from = "$RQF{from}";
	$from =~ s/\D//g;
	my $name = "$RQF{name}";
	my $refresh_right = "$RQF{refresh_right}";
	my $open_class = "$RQF{open_class}";
	$open_class =~ s/\D//g;
	my $class_open = "$RQF{class_open}";
	$class_open =~ s/\D//g;
	my $u_id = "$RQF{u_id}";
	$u_id =~ s/\D//g;
	my $session_id = "$RQF{session_id}";
	$session_id =~ s/\D//g;

	delete($RQF{name});
	delete($RQF{quiz_no});
	delete($RQF{type});
	delete($RQF{sub_type});
	delete($RQF{input});
	delete($RQF{class_open});
	delete($RQF{open_class});
	delete($RQF{refresh_right});
	delete($RQF{from});
	delete($RQF{u_id});
	delete($RQF{session_id});
        delete($RQF{u_type});
        delete($RQF{org_id});
 

	my $no_of_questions_to_delete = 0;
	my $value_to_subtract = 0;
	my $pre_query = "DELETE from qst_questions WHERE qst_no=\"$quiz_no\" AND q_order <> \"0\" AND ";
	my $query;
	my %QUESTION_GROUPS = ();
	my %DELETED_QUESTIONS = ();
	my %DELETED_SINGLES = ();
	my %BRANCHING_QUESTIONS = ();
	my %GROUPS = ();
	my $random = 0;

	if (keys %RQF) {
		foreach my $key(keys %RQF) { # identify groups first
			if($key !~ /select/) {
				if($key =~ /group/) {
					my($group,$num) = split(/\-/,$key);
                              		my @group = split(/,/,$RQF{$key});
					foreach my $quest_no(@group) {
						$QUESTION_GROUPS{$num} = "$quest_no";
						$DELETED_QUESTIONS{$quest_no} = "$num";
						$query = "$query"." "."quest_no=\"$quest_no\" OR";
						}
					++$random;
					}
				}
			}
			
		foreach my $key(keys %RQF) { 
			if($key !~ /select/) {
				if($key =~ /grp/) {
					my($group,$grp_num,$quest_no) = split(/\-/,$key);
					if(!exists $QUESTION_GROUPS{$grp_num}) {
						$DELETED_QUESTIONS{$quest_no} = "$grp_num";
						$query = "$query"." "."quest_no=\"$quest_no\" OR";
						$GROUPS{$grp_num}{questions}{$quest_no} = 1;
						}
					}
					
				elsif($key =~ /name/) {
					my ($num,$extra) = split(/\-/,$RQF{$key}); 
					if(!exists $DELETED_QUESTIONS{$num}) {
						$DELETED_QUESTIONS{$num} = 0;
						$DELETED_SINGLES{$num} = 0;
						$query = "$query"." "."quest_no=\"$num\" OR";
						++$no_of_questions_to_delete;
						}
					}
				}
			}
		$query =~ s/OR$//;
		
		if (keys %DELETED_QUESTIONS) {
			my %UPDATE_QST_QUESTIONS = ();
			my %QST_VALUES = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order from qst WHERE number=\"$quiz_no\" AND u_id=\"$ids\"");
			my %PRIMARY_QUESTIONS = &select8("query","SELECT quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$quiz_no\" AND u_id=\"$ids\" AND q_order <> \"0\"");
			
			foreach my $key(keys %PRIMARY_QUESTIONS) {
                                if($PRIMARY_QUESTIONS{$key}{branching} ne "") {
                                        $BRANCHING_QUESTIONS{$key} = $PRIMARY_QUESTIONS{$key}{branching};
                                        }
				}

                        if(keys %GROUPS) {
                                foreach my $key(keys %GROUPS) {
                                        my @q_select = &select12("query","SELECT quest_no,value,q_select from qst_questions WHERE qst_no=\"$quiz_no\" AND q_order=\"$key\" AND u_id=\"$ids\"");
                                        my $count = scalar(@q_select)/3;
                                        
                                        if(keys %{$GROUPS{$key}{questions}} >= $count) {
                                                $no_of_questions_to_delete = $no_of_questions_to_delete + $q_select[2];
                                                my $to_subtract = $q_select[1] * $q_select[2];
                                                $value_to_subtract = $value_to_subtract + $to_subtract;
                                                ++$random;
                                                }
                                                
                                        if($count - keys %{$GROUPS{$key}{questions}} < $q_select[2] && keys %{$GROUPS{$key}{questions}} < $count) {
                                                my $new_q_select = $count - keys%{$GROUPS{$key}{questions}};
                                                my $to_remove = $q_select[2] - $new_q_select;
                                                $UPDATE_QST_QUESTIONS{$key} = "$new_q_select";
                                                $no_of_questions_to_delete = $no_of_questions_to_delete + $to_remove;
                                                my $to_subtract = $q_select[1] * $to_remove;
                                                $value_to_subtract = $value_to_subtract + $to_subtract;
                                                }
                                        }
                                }
					
                        foreach my $ke(keys %DELETED_QUESTIONS) { # delete branching questions under primary question
                                if(defined $BRANCHING_QUESTIONS{$ke}) {
                                        &recursive_delete_branch("branch","$BRANCHING_QUESTIONS{$ke}","qst","$quiz_no","referer","$ke");
                                        }
                                }
                                
                        $query = "$pre_query"."$query";
                        # delete primary questions
                        &generic_delete("query","$query");
                        
                        if(keys %UPDATE_QST_QUESTIONS) {
                                foreach my $key(keys %UPDATE_QST_QUESTIONS) {
                                        my $query = qq{UPDATE qst_questions SET q_select="$UPDATE_QST_QUESTIONS{$key}" WHERE qst_no="$quiz_no" AND q_order="$key" AND u_id=\"$ids\"};
                                        &update_general("query","$query");
                                        }
                                }
					
                        if(keys %QUESTION_GROUPS) {
                                foreach my $key(keys %QUESTION_GROUPS) {
                                        my $no_of_questions_in_group = $PRIMARY_QUESTIONS{$QUESTION_GROUPS{$key}}{q_select};
                                        my $value_of_each_question = $PRIMARY_QUESTIONS{$QUESTION_GROUPS{$key}}{value};
                                        $no_of_questions_to_delete = $no_of_questions_to_delete + $no_of_questions_in_group;
                                        my $to_subtract = $no_of_questions_in_group * $value_of_each_question;
                                        $value_to_subtract = $value_to_subtract + $to_subtract;
                                        }
                                }
					
                        my $new_no_of_questions = $QST_VALUES{$quiz_no}{questions} - $no_of_questions_to_delete;
                        foreach my $key(keys %DELETED_SINGLES) {
                                $value_to_subtract = $value_to_subtract + $PRIMARY_QUESTIONS{$key}{value};
                                }
					
                        $random = $QST_VALUES{$quiz_no}{random_q} - $random;
                        my $new_value = $QST_VALUES{$quiz_no}{marks} - $value_to_subtract;
                        
                        &update_general("query","UPDATE qst SET questions=\"$new_no_of_questions\",marks=\"$new_value\",random_q=\"$random\" WHERE number=\"$quiz_no\" AND u_id=\"$ids\"");
			}
                
                &check_for_branching_questions_update_qst_and_posted_qst("quiz_no","$quiz_no","u_id","$ids");
		}
	
        &change_qst("quiz_no","$quiz_no","from","$from","type","$type","sub_type","$sub_type","name","$name","refresh_right","$refresh_right","changed","1","class_open","$class_open","open_class","$open_class","u_id","$u_id","session_id","$session_id","option","2");
        
	}

#################
#
# RENAME_ASSIGN_PAGE
#
################
sub rename_assign_page {
	my %RAP = @_;
	&javascript_check_input_not_empty("form","form1","error_message","A name was not entered.","fields","name");
  	&print_form_wo_end_tag("form_name","form1","form_target","theright","input","rename_assign","expand","$RAP{expand}","qst_id","$RAP{qst_id}","u_id","$RAP{u_id}","session_id","$RAP{session_id}");
	print"<center><B>$LANGUAGE{$set_language}{RenameAssignment}</B></center><P>\n";
	print"<center>$LANGUAGE{$set_language}{AssignmentName} <input type=\"text\" name=\"name\" value=\"$RAP{name}\" size=\"25\"\></center>\n";
	print"<center><font size=\"-2\">$LANGUAGE{$set_language}{Max80characters}</center><P>\n";
	print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B  STYLE=\"cursor:pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Rename} </B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"self.close\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
	&print_javascript_focus("form","form1","field","name");
	}

#################
#
# RENAME_ASSIGN
#
################
sub rename_assign {
	my %RA = @_;
	$RA{qst_id} =~ s/\D//;
	$RA{expand} =~ s/[^0-9,]//g;
	my $name = "$RA{name}";
	$name = &l_spaces("$name","0");
	$name = &tr_spaces("$name","0");
	$name = &x_spaces("$name","0");
	$name = &spec_char("$name","0");

	if(defined $RA{expand} && $name ne"" && defined $USER{$ids}{$RA{expand}}) {
		&rename_assign_quote("quote","$name","assign_id","$RA{qst_id}");
		}
		
	&gradebook("expand","$RA{expand}","u_id","$RA{u_id}","session_id","$RA{session_id}");
	}

#################
#
# REMOVE_STUDENTS
#
################
sub remove_students {
	my %RS = @_;
	$RS{org_id} =~ s/\D//;
	$RS{u_id} =~ s/\D//;
	$RS{session_id} =~ s/\D//;
	
	&print_javascript_begin();
		
	print"function check_handler\(\) \{\n";
	print"spinner.style.display = \"block\"\;\n";
	print"document.remove_studs.submit\(\)\n";
	print"\}\n";
		
	&print_javascript_end();

	print"<center><B>$LANGUAGE{$set_language}{RemoveStudents}</B></center><BR><BR>\n";
	print"<center>$LANGUAGE{$set_language}{Removeall}</center><BR><P>\n";

	print"<FORM ACTION=\"\/qst\/one\" NAME=\"remove_studs\" METHOD=POST>\n";
	print"<input type=\"hidden\" name=\"u_id\" value=\"$RS{u_id}\">\n";
	print"<input type=\"hidden\" name=\"session_id\" value=\"$RS{session_id}\">\n";
	print"<input type=\"hidden\" name=\"org_id\" value=\"$RS{org_id}\">\n";
	print"<input type=\"hidden\" name=\"input\" value=\"remove_students2\"></form>\n";
	print"<div id=\"spinner\" style=\"display:none\;\"><center><img style=\"width: 100px;\" src=\"/schools/spinner-gif.gif\" border=\"0\"></center></div>\n";
	print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B  STYLE=\"cursor:pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Remove}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B  STYLE=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Close}</B></font></TD></TABLE>\n";
	}
	
#################
#
# REMOVE_STUDENTS2
#
################
sub remove_students2 {
	my %RS2 = @_;
	$RS2{org_id} =~ s/\D//;
	$RS2{u_id} =~ s/\D//;
	$RS2{session_id} =~ s/\D//;

	my %USERS = ();
	
	&print_javascript_begin();
			
	print"function check_handler\(\) \{\n";
	print"spinner.style.display = \"none\"\;\n";
	print"\}\n";
			
	&print_javascript_end();

	print"<center><B>$LANGUAGE{$set_language}{RemoveStudents}</B></center><BR><BR>\n";
	print"<div id=\"spinner\" style=\"display:block\;\"><center><img style=\"width: 100px;\" src=\"/schools/spinner-gif.gif\" border=\"0\"></center></div>\n";

	if($org_id == 0 || $org_id == $RS2{org_id}) { # Check they can do this
		# search users for students in that org
		%USERS = &get_students("query","SELECT u_id,u_name,photo from users WHERE org_id=\"$RS2{org_id}\" and u_type=\"3\"");

		if(keys %USERS) {
			foreach my $user(keys %USERS) {
				&delete("from","users","column","u_id","value","$user");
				&delete("from","class_users","column","u_id","value","$user");
				&delete("from","users_classes","column","u_id","value","$user");
				&delete("from","qst_scores","column","u_id","value","$user");
				&delete("from","qsts","column","u_id","value","$user");
				&delete("from","assignment_marks","column","u_id","value","$user");
				&delete("from","access_to_qst","column","u_id","value","$user");
				&delete("from","qst_attempts","column","u_id","value","$user");
			
				# delete user photo
				if($USERS{$user}{photo} > 0) {
					my @name = split(/\./,$USERS{$user}{photo});

					&generic_delete("query","delete from qst_files WHERE number=\"$name[0]\" and u_id=\"0\" and parent=\"0\"");
				
					# unlink photo
					my $actual_file_name = "$upload_directory_photos"."$USERS{$user}{photo}";
					unlink($actual_file_name);
					}
				}
			}
		
		print"<img src=\"/schools/blank.gif\" onLoad=\"check_handler\(\)\">\n";
		print"<center>Done</center><BR><P>\n";
		}
	
	else {
		print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
		}

	print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B  STYLE=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Close}</B></font></TD></TABLE>\n";
	}

#################
#
# RESET_STUDENTS
#
################
sub reset_students {
	my %RS = @_;
	$RS{org_id} =~ s/\D//;
	$RS{u_id} =~ s/\D//;
	$RS{session_id} =~ s/\D//;
	
	&print_javascript_begin();
		
	print"function check_handler\(\) \{\n";
	print"spinner.style.display = \"block\"\;\n";
	print"document.reset_studs.submit\(\)\n";
	print"\}\n";
		
	&print_javascript_end();

	print"<center><B>$LANGUAGE{$set_language}{ResetStudents}</B></center><BR><BR>\n";
	print"<center>$LANGUAGE{$set_language}{RemovesallstudentsfromallclassesandremovestheirmarksandcompletedQSTs}</center><BR><P>\n";
	
	print"<FORM ACTION=\"\/qst\/one\" NAME=\"reset_studs\" METHOD=POST>\n";
	print"<input type=\"hidden\" name=\"u_id\" value=\"$RS{u_id}\">\n";
	print"<input type=\"hidden\" name=\"session_id\" value=\"$RS{session_id}\">\n";
	print"<input type=\"hidden\" name=\"org_id\" value=\"$RS{org_id}\">\n";
	print"<input type=\"hidden\" name=\"input\" value=\"reset_students2\"></form>\n";

	print"<div id=\"spinner\" style=\"display:none\;\"><center><img style=\"width: 100px;\" src=\"/schools/spinner-gif.gif\" border=\"0\"></center></div>\n";
	print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B  STYLE=\"cursor:pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Reset}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B  STYLE=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Close}</B></font></TD></TABLE>\n";
	}
	
#################
#
# RESET_STUDENTS2
#
################
sub reset_students2 {
	my %RS2 = @_;

	my %USERS = ();
	
	print"<center><B>$LANGUAGE{$set_language}{ResetStudents}</B></center><BR><BR>\n";

	if($org_id == 0 || $org_id == $RS2{org_id}) { # Check they can do this
		# search users for students in that org
		%USERS = &select4("query","SELECT u_id,u_name from users WHERE org_id=\"$RS2{org_id}\" and u_type=\"3\"");

		if(keys %USERS) {
			foreach my $user(keys %USERS) {
				&delete("from","class_users","column","u_id","value","$user");
				&delete("from","users_classes","column","u_id","value","$user");
				&delete("from","qst_scores","column","u_id","value","$user");
				&delete("from","qsts","column","u_id","value","$user");
				&delete("from","assignment_marks","column","u_id","value","$user");
				&delete("from","access_to_qst","column","u_id","value","$user");
				&delete("from","qst_attempts","column","u_id","value","$user");
				}
			}
		
		print"<center>Done</center><BR><P>\n";
		}
	else {
		print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
		}
		
	print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B  STYLE=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Close}</B></font></TD></TABLE>\n";
	}
	
##################
#
# SHOW_TF
#
##################
sub show_tf {
	&print_javascript_begin();
	print"function show_tf\(\) \{
	document.question_form.select.value=\"TF\"
	var x = document.getElementById(\"anstype3\")\;
        x.style.display = \"none\"\;
        var y = document.getElementById(\"anstype3a\")\;
        y.style.display = \"block\"\;
        ClearAType('3')
	document.t_f.submit\(\)
	\}\n";
	&print_javascript_end();
	}

##################
#
# SHOW_YN
#
##################
sub show_yn {
	&print_javascript_begin();
	
	print"function show_yn\(\) \{
	document.question_form.select.value=\"YN\"
	var x = document.getElementById(\"anstype8\")\;
        x.style.display = \"none\"\;
        var y = document.getElementById(\"anstype8a\")\;
        y.style.display = \"block\"\;
        ClearAType('8')
	document.y_n.submit\(\)
	\}\n";
	
	&print_javascript_end();
	}

##################
#
# SHOW_YNQ
#
##################
sub show_ynq {
	&print_javascript_begin();
	
	print"function show_yn\(\) \{
	document.question_form.select.value=\"YN\"
	var x = document.getElementById(\"anstype7\")\;
        x.style.display = \"none\"\;
        var y = document.getElementById(\"anstype7a\")\;
        y.style.display = \"block\"\;
        ClearAType('7')
	document.y_n.submit\(\)
	\}\n";
	
	&print_javascript_end();
	}

##################
#
# SHOW_MC
#
##################
sub show_mc {
	&print_javascript_begin();
	
	print"function show_mc\(\) \{
	document.question_form.select.value=\"MC\"
	var kolum_no = document.question_form.kolum.value
        document.mc.kolum.value=kolum_no
        var ans_mod = document.question_form.ans_mode.value
        document.mc.ans_mode.value=ans_mod\n";
	
	print"var x = document.getElementById(\"anstype1\")\;
        x.style.display = \"none\"\;
        var y = document.getElementById(\"anstype1a\")\;
        y.style.display = \"block\"\;
        ClearAType('1')
	document.mc.submit\(\)
	\}\n";
	
	&print_javascript_end();
	}
	
##################
#
# SHOW_MA
#
##################
sub show_ma {
	&print_javascript_begin();
	
	print"function show_ma\(\) \{
	var kolum_no = document.question_form.kolum.value
        document.ma.kolum.value=kolum_no
        var ans_mod = document.question_form.ans_mode.value
        document.ma.ans_mode.value=ans_mod
	document.question_form.select.value=\"MA\"
	var x = document.getElementById(\"anstype2\")\;
        x.style.display = \"none\"\;
        var y = document.getElementById(\"anstype2a\")\;
        y.style.display = \"block\"\;
        ClearAType('2')
	document.ma.submit\(\)
	\}\n";
	
	&print_javascript_end();
	}

##################
#
# SHOW_MX
#
##################
sub show_mx {
	&print_javascript_begin();
	
	print"function show_mx\(\) \{
	document.question_form.select.value=\"MX\"
	var x = document.getElementById(\"anstype7\")\;
        x.style.display = \"none\"\;
        var y = document.getElementById(\"anstype7a\")\;
        y.style.display = \"block\"\;
        ClearAType('7')
	document.mx.submit\(\)
	\}\n";
	
	&print_javascript_end();
	}

##################
#
# SHOW_SA
#
##################
sub show_sa {
	&print_javascript_begin();
	
	print"function show_sa\(\) \{
	document.question_form.select.value=\"SA\"
	var x = document.getElementById(\"anstype4\")\;
        x.style.display = \"none\"\;
        var y = document.getElementById(\"anstype4a\")\;
        y.style.display = \"block\"\;
        ClearAType('4')
	document.s_a.submit\(\'\'\)
	\}\n";
	
	&print_javascript_end();
	}

#################
#
# SHOW_P
#
##################
sub show_p {
	&print_javascript_begin();
	
	print"function show_p\(\) \{
	document.question_form.select.value=\"P\"
	var x = document.getElementById(\"anstype5\")\;
        x.style.display = \"none\"\;
        var y = document.getElementById(\"anstype5a\")\;
        y.style.display = \"block\"\;
        ClearAType('5')
	document.p.submit\(\'\'\)
	\}\n";
	
	&print_javascript_end();
	}

##################
#
# SHOW_AD
#
##################
sub show_ad {
	&print_javascript_begin();
	
	print"function show_ad\(\) \{
	document.question_form.select.value=\"AD\"
	var x = document.getElementById(\"anstype6\")\;
        x.style.display = \"none\"\;
        var y = document.getElementById(\"anstype6a\")\;
        y.style.display = \"block\"\;
        ClearAType('6')
	document.ad.submit\(\)
	\}\n";
	
	&print_javascript_end();
	}

###############
#
# SAVE_CHANGES
#
###############
sub save_changes {
	my %SC = @_;
	my $quiz_no = "$SC{quiz_no}";
	my $type = "$SC{type}";
	my $sub_type = "$SC{sub_type}";
	my $name = "$SC{name}";
	my $refresh_right = "$SC{refresh_right}";

	if (keys %SC) {
		foreach my $key(keys %SC) {
			if($key =~ /^marks/) {
				my ($junk,$q_order) = split(/\-/,$key);
				if($SC{$key} < 1) {
					$SC{$key} = 1;
					}
				my $query = qq{UPDATE qst_questions SET value="$SC{$key}" WHERE qst_no="$quiz_no" AND q_order="$q_order" AND u_id=\"$ids\"};
				&update_general("query","$query");
				}
			elsif ($key =~ /^select/) {
				my ($junk,$q_order) = split(/\-/,$key);
				my $query = "SELECT quest_no,q_select from qst_questions WHERE qst_no=\"$quiz_no\" AND q_order=\"$q_order\" AND u_id=\"$ids\"";
				my %S_QUESTIONS = &select1("query","$query");
				if($SC{$key} < 1) {
					$SC{$key} = 1;
					}
				if($SC{$key} > keys %S_QUESTIONS) {
					$SC{$key} = keys %S_QUESTIONS;
					}
				my $query = qq{UPDATE qst_questions SET q_select="$SC{$key}" WHERE qst_no="$quiz_no" AND q_order="$q_order" AND u_id=\"$ids\"};
				&update_general("query","$query");
				}
			}
			
		#update qst values
		my %RETURN = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$quiz_no\" AND u_id=\"$ids\"");
		if(keys %RETURN) {
			my $questions = 0;
			my $marks = 0;
			my %GROUPS = ();
     			foreach my $key(keys %RETURN) {
				if($RETURN{$key}{q_select}==0){
					$marks = $marks + $RETURN{$key}{value};
					++$questions;
					}
				else {
					if(!exists $GROUPS{$RETURN{$key}{order}}) {
						$GROUPS{$RETURN{$key}{order}} = 1;
						my $add_mark = $RETURN{$key}{value} * $RETURN{$key}{q_select};
						$marks = $marks + $add_mark;
						$questions = $questions + $RETURN{$key}{q_select};
						}
					}
				}
				
			&update_general("query","UPDATE qst SET questions=\"$questions\", marks=\"$marks\" WHERE number=\"$quiz_no\" AND u_id=\"$ids\"");
			}
		}
		
	&change_qst("quiz_no","$quiz_no","type","$type","sub_type","$sub_type","name","$name","refresh_right","$refresh_right","change","1","class_open","$SC{class_open}","open_class","$SC{open_class}","u_id","$SC{u_id}","session_id","$SC{session_id}");
	}

################
#
# SHOW_CLASSES
#
################
sub show_classes{
	my %SC = @_;
	my $i = 1;

        if(!keys %{$USER{$ids}}) {
        	&find_their_classes("u_id","$SC{u_id}","org_id","$SC{org_id}");
                }

	if(keys %{$USER{$ids}}) {
                print"<P><BR><P><DL>\n";
		foreach my $key(sort keys %{$USER{$ids}}) {
			print"<DT><DD><TABLE class=\"table1\" bgcolor=\"#0000FF\"><TD><B STYLE=\"cursor: pointer\"><font color=\"white\" onClick=\"document.form$i.submit\(\)\">&nbsp\;$USER{$ids}{$key}&nbsp\;</font></B></TD></TABLE><P>\n";
  			&print_form("form_name","form$i","form_target","theright","input","show_qsts_for_students","class_id","$key","name","$USER{$ids}{$key}","u_id","$SC{u_id}","session_id","$SC{session_id}","org_id","$SC{org_id}");
			++$i;
			}
                print"</DL>\n";
		}
	}

################
#
# SHOW_CLASSES_MOBILE
#
################
sub show_classes_mobile{
	my %SC = @_;
	$SC{mobile} =~ s/\D//g;
	my $i = 1;

        if(!keys %{$USER{$ids}}) {
        	&find_their_classes("u_id","$SC{u_id}","org_id","$SC{org_id}");
                }

	if(keys %{$USER{$ids}}) {
                print"<P><BR><P><DL>\n";
		foreach my $key(sort keys %{$USER{$ids}}) {
			print"<DT><DD><TABLE class=\"table1\"><TR><TD style=\"padding-top:6px\; padding-bottom:6px\;\"><B STYLE=\"cursor: pointer\"><font color=\"white\"  onClick=\"document.form$i.submit\(\)\">&nbsp\;$USER{$ids}{$key}&nbsp\;</font></B></TD></TR></TABLE><P>\n";
  			&print_form("form_name","form$i","form_target","_self","input","show_mobile_qsts_for_students","class_id","$key","name","$USER{$ids}{$key}","u_id","$SC{u_id}","session_id","$SC{session_id}","org_id","$SC{org_id}","mobile","$SC{mobile}","iphone","$SC{iphone}");
			++$i;
			}
                print"</DL>\n";
		}
	}

################
#
# SHOW_MODAL_CLASSES
#
################
sub show_modal_classes{
	my %SC = @_;
	my $i = 1;

        if(!keys %{$USER{$ids}}) {
        	&find_their_classes("u_id","$SC{u_id}","org_id","$SC{org_id}");
                }

	if(keys %{$USER{$ids}}) {
                print"<DL>\n";
		foreach my $key(sort keys %{$USER{$ids}}) {
			print"<DT><DD><TABLE class=\"table1\" bgcolor=\"#0000FF\"><TD style=\"vertical-align: middle\; padding-bottom: 4px\; padding-top: 4px\;\"><span ID=\"displayqt\" STYLE=\"display:block\;\"><B STYLE=\"cursor: pointer\"><font color=\"white\" onClick=\"document.form_$i.submit\(\)\">&nbsp\;&nbsp\;$USER{$ids}{$key}&nbsp\;&nbsp\;</font></B></TD></TABLE><P>\n";
			
			&print_form("form_name","form_$i","input","print_modal_students_screen","class_id","$key","name","$USER{$ids}{$key}","u_id","$SC{u_id}","session_id","$SC{session_id}","org_id","$SC{org_id}","class_name","$USER{$ids}{$key}");
			
			++$i;
			}
                print"</DL>\n";
		}
	}

################
#
# SHOW_QSTS_FOR_STUDENTS
#
################
sub show_qsts_for_students {
	my %SQFS = @_;
	$SQFS{class_id} =~ s/\D//g;

	&print_javascript_begin();
	print"var isIE = document.all?1:0\;
	var qstWindow
	var target
	var qst_left
	var qst_right
	var right_top
	var right_bot
	var loading_done = false\n";

	print"function openWindow1\(qst,name_in,class_id,type,class_name,display,questions,marks\) \{\n";
	print"if \(confirm\(\"$LANGUAGE{$set_language}{Youareabouttobegin} \'\" + name_in + \"\'. \\n$LANGUAGE{$set_language}{TherightsideofthescreenshowsthequestionsyouhaveansweredClickonanumbertojumptothatquestion}\\n\\n$LANGUAGE{$set_language}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer}\\n\\n$LANGUAGE{$set_language}{AfteryouhaveansweredthequestionsintheQSTclickontheSubmitbuttontosubmittheQST}\"\)\)\{\n";
	
	print"display_qst\(qst,class_id,class_name\)\}\n";
	print"\}\n";

	print"function openWindow2\(qst,name_in,class_id,type,class_name,display,questions,marks\) \{\n";
	print"if \(confirm\(\"$LANGUAGE{$set_language}{Youareabouttobegin} \'\" + name_in + \"\'. \\n$LANGUAGE{$set_language}{TherightsideofthescreenshowsthequestionsyouhaveansweredClickonanumbertojumptothatquestion}\\n\\n$LANGUAGE{$set_language}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer}\\n\\n$LANGUAGE{$set_language}{Clickortomovetopreviousornextquestion}\\n\\n$LANGUAGE{$set_language}{ClickSubmitQSTwhenyouaredone}\"\)\)\{\n";
	print"if\(display == 1\) \{\n";
	print"do_modal\(qst,class_id,class_name,questions,marks\)\n";
	print"\}\n";
	print"else \{\n";
	print"display_qst2\(qst,class_id,class_name\)\}\}\n";
	print"\}\n";

	print"function openWindow3\(qst,name_in,class_id,type,class_name,display,questions,marks\) \{\n";
	print"if \(confirm\(\"$LANGUAGE{$set_language}{Youareabouttobegin} \'\" + name_in + \"\'. \\n$LANGUAGE{$set_language}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer}\\n\\n$LANGUAGE{$set_language}{Clicktogotothenextquestion}\\n\\nQuestionsareonlyshownonce\\n\\n$LANGUAGE{$set_language}{ClickSubmitQSTwhenyouaredone}\"\)\)\{\n";
	print"display_qst3\(qst,class_id,class_name\)\}\}\n";
	
	print"function openWindow4\(qst,name_in,class_id,type,class_name,display,questions,marks\) \{\n";
	print"if \(confirm\(\"$LANGUAGE{$set_language}{Youareabouttobegin} \'\" + name_in + \"\'. \\n$LANGUAGE{$set_language}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer}\\n\\n$LANGUAGE{$set_language}{Clicktoseetheanswerormovetothenextquestion}\\n\\n$LANGUAGE{$set_language}{ClickSubmitQSTwhenyouaredone}\"\)\)\{\n";
	print"display_qst4\(qst,class_id,class_name\)\}\}\n";
	
	print"function openWindow5\(qst,name_in,class_id,type,class_name,display,questions,marks\) \{\n";
	print"if \(confirm\(\"$LANGUAGE{$set_language}{Youareabouttobegin} \'\" + name_in + \"\'. \\n$LANGUAGE{$set_language}{Answersaresubmittedwhenyouselecttheanswer}\\n\\n$LANGUAGE{$set_language}{Clicktomovetothenextquestion}\"\)\)\{\n";
	print"display_qst5\(qst,class_id,class_name\)\}\}\n";
	
	print"function display_qst\(qst,class_id,class_name\)\{\n";
	print"qstWindow = window.open\(\"\",\"qstWindow\",\"top=10,left=40,width=945,height=800\"\)\n";
	print"qstWindow.focus\(\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\<head\>\<title\>QST\</title\>\</head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET COLS=\"81\%,19\%\" onLoad=\"loading_done = true\" border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET ROWS=\"10%,90\%\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_top\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_bot\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\'\)\n";
	print"qstWindow.document.close()\n";
	print"document.form1.qst.value=qst
	document.form1.input.value=\"do_type\"
	document.form1.class_id.value=class_id
	document.form1.class_name.value=class_name
	document.form1.submit\(\)
	 }\n";

        print"function display_qst2\(qst,class_id,class_name\)\{\n";
	print"qstWindow = window.open\(\"\",\"qstWindow\",\"top=10,left=40,width=945,height=600\"\)\n";
	print"qstWindow.focus\(\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\<head\>\<title\>QST\</title\>\</head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET COLS=\"81\%,19\%\" onLoad=\"loading_done = true\" border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET ROWS=\"10%,90\%\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_top\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_bot\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\'\)\n";
	print"qstWindow.document.close()\n";
	print"document.form1.qst.value=qst
	document.form1.input.value=\"do_type2\"
	document.form1.class_id.value=class_id
	document.form1.class_name.value=class_name
	document.form1.submit\(\)
	 }\n";
	 
        print"function display_qst3\(qst,class_id,class_name\)\{\n";
	print"qstWindow = window.open\(\"\",\"qstWindow\",\"top=10,left=40,width=945,height=600\"\)\n";
	print"qstWindow.focus\(\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\<head\>\<title\>QST\</title\>\</head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET COLS=\"81\%,19\%\" onLoad=\"loading_done = true\" border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET ROWS=\"10%,90\%\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_top\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_bot\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\'\)\n";
	print"qstWindow.document.close()\n";
	print"document.form1.qst.value=qst
	document.form1.input.value=\"do_type3\"
	document.form1.class_id.value=class_id
	document.form1.class_name.value=class_name
	document.form1.submit\(\)
	 }\n";
 
        print"function display_qst4\(qst,class_id,class_name\)\{\n";
	print"qstWindow = window.open\(\"\",\"qstWindow\",\"top=10,left=40,width=945,height=600\"\)\n";
	print"qstWindow.focus\(\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\<head\>\<title\>QST\</title\>\</head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET COLS=\"81\%,19\%\" onLoad=\"loading_done = true\" border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET ROWS=\"10%,90\%\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_top\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_bot\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\'\)\n";
	print"qstWindow.document.close()\n";
	print"document.form1.qst.value=qst
	document.form1.input.value=\"do_type4\"
	document.form1.class_id.value=class_id
	document.form1.class_name.value=class_name
	document.form1.submit\(\)
	 }\n";
	 
        print"function display_qst5\(qst,class_id,class_name\)\{\n";
	print"qstWindow = window.open\(\"\",\"qstWindow\",\"top=10,left=40,width=945,height=600\"\)\n";
	print"qstWindow.focus\(\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\<head\>\<title\>QST\</title\>\</head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET COLS=\"81\%,19\%\" onLoad=\"loading_done = true\" border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET ROWS=\"10%,90\%\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_top\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_bot\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\'\)\n";
	print"qstWindow.document.close()\n";
	print"document.form1.qst.value=qst
	document.form1.input.value=\"do_type5\"
	document.form1.class_id.value=class_id
	document.form1.class_name.value=class_name
	document.form1.submit\(\)
	 }\n";
	 
	print"function view_qst\(qst,name_in,class_id,type\) \{\n";
	print"qstWindow = window.open\(\"\",\"qstWindow\",\"top=10,left=40,width=900,height=800\"\)\n";
	print"qstWindow.focus\(\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\<head\>\<title\>QST\</title\>\</head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET COLS=\"80\%,20\%\" onLoad=\"loading_done = true\" border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET ROWS=\"10%,90\%\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_top\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_bot\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\'\)\n";
	print"qstWindow.document.close()\n";
	print"document.form1.qst.value=qst
	document.form1.class_id.value=class_id
	document.form1.input.value=\"students_view_qst\"
	document.form1.submit\(\)
	 }\n";

	print"function reload_sub\(\) \{
	document.forms\[0\].submit\(\)
	 }\n";

        print"function do_modal\(qst,class_id,class_name,questions,marks\) \{\n";
	print"self.top.doo_modal()\n";
        print"\}\n";
	 
	&javascript_show_stuff();
	
	&print_javascript_end();
	
	my %TIME = &get_time();
	print"$page_top $SQFS{name}<BR><BR></B></font></TD></TABLE><BR>\n";
	
	print"<DL>\n";
	
	if(exists $USER{$ids}{$SQFS{class_id}}) {
		my %RETURN = &select_posted_qst("query","select * from posted_qst WHERE class_id=\"$SQFS{class_id}\" and posted=\"1\"");
		my %RETURN1 = &select4("query","SELECT qst_no,attempts from qst_attempts WHERE u_id=\"$ids\"");
                
		if(keys %RETURN) { # && $attempts_left > 0) {
                        
			print"&nbsp\;<U>$LANGUAGE{$set_language}{Attempts}</U><BR>\n";
			foreach my $key1(sort keys %RETURN) {
				my $attempts = 0;
                                $attempts = $RETURN{$key1}{attempts} - $RETURN1{$key1};
                                if($attempts < 0) {
                                        $attempts = 0;
                                        }
					
                                if($RETURN{$key1}{display} == 1) {
                                
                                        }
                                else {
                                        $RETURN{$key1}{display} = 0;
                                        }
                                        
				my $good_time = &compare_time("org_id","$SQFS{org_id}","start_month","$RETURN{$key1}{start_month}","start_day","$RETURN{$key1}{start_day}","start_hour","$RETURN{$key1}{start_hour}","finish_month","$RETURN{$key1}{finish_month}","finish_day","$RETURN{$key1}{finish_day}","finish_hour","$RETURN{$key1}{finish_hour}");
				
				if ($RETURN{$key1}{avail} == 1 || $good_time == 1) {
					if($RETURN{$key1}{forall} == 1) { # posted for all students in class
						if($attempts != 0) {
							my %RETURN4 = &select_qst("query","select number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$key1\"");

							if($RETURN4{$key1}{type} != 2) { # quizzes/tests
                                                                if($RETURN{$key1}{branching} == 1) {
                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                        }
                                                                else {
                                                                        if($attempts == 10) {
                                                                                print"<TABLE><TR><TD width=\"75\" align=\"center\">10</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN4{$key1}{questions}<font color=\"#FF3300\">\?</font> $RETURN4{$key1}{marks}$image15</B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                                }
                                                                        else {
                                                                                print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN4{$key1}{questions}<font color=\"#FF3300\">\?</font> $RETURN4{$key1}{marks}$image15</B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                                }
                                                                        }
								}
								
							elsif ($RETURN4{$key1}{type} == 2) { # surveys
                                                                if($RETURN{$key1}{branching} == 1) {
                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">Survey</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;</font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                        }
                                                                else {
                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">Survey</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN4{$key1}{questions}<font color=\"#FF3300\">\?</font></B> &nbsp\;&nbsp\;</font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                        }
								}
								
							if($attempts <= 0) {
								if($RETURN{$key1}{submissions} == 1 && $RETURN4{$key1}{type} != 2) {
                                                                        if($RETURN{$key1}{branching} != 1) {
                                                                                print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD><font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(display$dis\)\" color=\"\#666666\" size=\"-1\"><center>$LANGUAGE{$set_language}{View}</center></font></td></TR></TABLE></span>\n";
                                                                                }
									}
								}
								
							else {
								if($RETURN{$key1}{submissions} == 1) {
									if($RETURN{$key1} != 0) {
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
										if($RETURN{$key1}{delivery} == 1) {
                                                                                        print"openWindow1";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 2) {
                                                                                        print"openWindow2";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 3) {
                                                                                        print"openWindow3";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 4) {
                                                                                        print"openWindow4";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 5) {
                                                                                        print"openWindow5";
                                                                                        }
                                                                                        
										print"\(\'$key1\',\'$RETURN4{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN4{$key1}{type}]\',\'$SQFS{name}\',\'$RETURN{$key1}{display}\',\'$RETURN4{$key1}{questions}\',\'$RETURN4{$key1}{marks}\'\)\" size=\"-1\"> $LANGUAGE{$set_language}{Start} </font></td></TR>";
										
										
										print"<TR><TD></TD><TD STYLE=\"cursor: pointer\" onClick=\"view_qst\(\'$key1\',\'$RETURN4{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN4{$key1}{type}]\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\" color=\"\#888888\" size=\"-1\"><center> $LANGUAGE{$set_language}{View}</center></font></td></TR></TABLE></span>\n";
										}
									else {
									
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"openWindow1\(\'$key1\',\'$RETURN4{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN4{$key1}{type}]\',\'$SQFS{name}\',\'$RETURN{$key1}{display}\',\'$RETURN4{$key1}{questions}\',\'$RETURN4{$key1}{marks}\'\)\" size=\"-1\"> $LANGUAGE{$set_language}{Start} </font></td></TR></TABLE></span>\n";
										}
									}
									
								else {
									if ($RETURN4{$key1}{type} == 2) { # surveys
                                                                                print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
										if($RETURN{$key1}{delivery} == 1) {
                                                                                        print"openWindow1";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 2) {
                                                                                        print"openWindow2";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 3) {
                                                                                        print"openWindow3";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 5) {
                                                                                        print"openWindow5";
                                                                                        }
                                                                                        
										print"\(\'$key1\',\'$RETURN4{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN4{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> $LANGUAGE{$set_language}{Start} </font></td></TR></TABLE></span>\n";
										}
										
									else { # quizzes/tests
                                                                                print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
										if($RETURN{$key1}{delivery} == 1) {
                                                                                        print"openWindow1";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 2) {
                                                                                        print"openWindow2";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 3) {
                                                                                        print"openWindow3";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 4) {
                                                                                        print"openWindow4";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 5) {
                                                                                        print"openWindow5";
                                                                                        }
                                                                                        
										print"\(\'$key1\',\'$RETURN4{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN4{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> $LANGUAGE{$set_language}{Start} </font></td></TR>";
										
										if($RETURN{$key1}{branching} != 1) {
                                                                                        print"<TR><TD></TD><TD STYLE=\"cursor: pointer\" onClick=\"view_qst\(\'$key1\',\'$RETURN4{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN4{$key1}{type}]\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\" color=\"\#888888\" size=\"-1\"><center> $LANGUAGE{$set_language}{View}</center></font></td></TR>";
                                                                                        }
										
										print"</TABLE></span>\n";
										}
									}
								}
								
							++$dis;
							}
						}
					else { # posted for only selected students
						if($attempts != 0) {
							my %RETURN2 = &select5("query","select qst_no,u_id from access_to_qst WHERE qst_no=\"$key1\" AND u_id=\"$ids\"");
							if(keys %RETURN2) {
								my %RETURN3 = &select_qst("query","select number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE number=\"$key1\"");
								
								#&select_qst("query","select number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$key1\"");

								if($RETURN3{$key1}{type} != 2) { # quizzes/tests
									if($attempts == 10) { 
										print"<TABLE><TR><TD width=\"75\" align=\"center\">10</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN3{$key1}{questions}<font color=\"#FF3300\">\?</font> $RETURN3{$key1}{marks}$image15</B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN3{$key1}{name}</font></TD></TR></TABLE>\n";
										
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD bgcolor=\"\#BBBBBB\" align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
										if($RETURN{$key1}{delivery} == 1) {
                                                                                        print"openWindow1";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 2) {
                                                                                        print"openWindow2";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 3) {
                                                                                        print"openWindow3";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 4) {
                                                                                        print"openWindow4";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 5) {
                                                                                        print"openWindow5";
                                                                                        }
                                                                                        
										print"\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> $LANGUAGE{$set_language}{Start} </font></td></TR><TR><TD></TD><TD bgcolor=\"\#EEEEEE\"><a href=\"javascript\:void\(0\)\" onClick=\"view_qst\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\" color=\"\#888888\" size=\"-1\"><center> $LANGUAGE{$set_language}{View}</center></font></a></td></TR></TABLE></span>\n";
										}
									else {
                                                                                if($RETURN3{$key1}{branching} == 1) {
                                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD>&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\;\" data-toggle=\"tooltip\" title=\"Branching questions\">&nbsp\;$image22 </B>&nbsp\;&nbsp\;&nbsp\;<font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN3{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                                        }
                                                                                else {
                                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN3{$key1}{questions}<font color=\"#FF3300\">\?</font> $RETURN3{$key1}{marks}$image15</B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN3{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                                        }
                                                                                        
                                                                                print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD bgcolor=\"\#BBBBBB\" align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
                                                                                
										if($RETURN{$key1}{delivery} == 1) {
                                                                                        print"openWindow1";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 2) {
                                                                                        print"openWindow2";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 3) {
                                                                                        print"openWindow3";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 4) {
                                                                                        print"openWindow4";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 5) {
                                                                                        print"openWindow5";
                                                                                        }
                                                                                        
										print"\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> $LANGUAGE{$set_language}{Start} </font></td></TR>";
										
										print"<TR><TD></TD><TD bgcolor=\"\#EEEEEE\"><a href=\"javascript\:void\(0\)\" onClick=\"view_qst\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\" color=\"\#888888\" size=\"-1\"><center> $LANGUAGE{$set_language}{View}</center></font></a></td></TR></TABLE></span>\n";
										}
									}
									
								elsif ($RETURN3{$key1}{type} == 2 && $attempts == 1) { # surveys
									print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN3{$key1}{questions}<font color=\"#FF3300\">\?</font></B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN3{$key1}{name}</font></TD></TR></TABLE>\n";
									
									print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD bgcolor=\"\#BBBBBB\" align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
                                                                        if($RETURN{$key1}{delivery} == 1) {
                                                                                print"openWindow1";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 2) {
                                                                                print"openWindow2";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 3) {
                                                                                print"openWindow3";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 5) {
                                                                                print"openWindow5";
                                                                                }
                                                                                        
                                                                        print"\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> $LANGUAGE{$set_language}{Start} </font></td></TR><TR><TD></TD><TD bgcolor=\"\#EEEEEE\"><a href=\"javascript\:void\(0\)\" onClick=\"view_qst\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\" color=\"\#888888\" size=\"-1\"><center> $LANGUAGE{$set_language}{View}</center></font></a></td></TR></TABLE></span>\n";
									}
									
								if($attempts <= 0) {
									if($RETURN{$key1}{submissions} == 1) {
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD  bgcolor=\"\#DDDDDD\"><a href=\"javascript\:void\(0\)\" onClick=\"\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff\(display$dis\)\" color=\"\#666666\" size=\"-1\"><center>$LANGUAGE{$set_language}{View}</center></font></a></td></TR></TABLE></span>\n";
										}
									}
									
								else {
									if($RETURN{$key1}{submissions} == 1) {
                                                                                if($RETURN{$key1} != 0) {
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD bgcolor=\"\#BBBBBB\" align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
										if($RETURN{$key1}{delivery} == 1) {
                                                                                        print"openWindow1";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 2) {
                                                                                        print"openWindow2";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 3) {
                                                                                        print"openWindow3";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 4) {
                                                                                        print"openWindow4";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 5) {
                                                                                        print"openWindow5";
                                                                                        }
                                                                                        
										print"\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> $LANGUAGE{$set_language}{Start} </font></td></TR><TR><TD></TD><TD bgcolor=\"\#EEEEEE\"><a href=\"javascript\:void\(0\)\" onClick=\"view_qst\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\'\)\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\" color=\"\#888888\" size=\"-1\"><center> $LANGUAGE{$set_language}{View}</center></font></a></td></TR></TABLE></span>\n";
										}
									else {
									
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"openWindow1\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> $LANGUAGE{$set_language}{Start} </font></td></TR></TABLE></span>\n";
										}

										}
									else {
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><a href=\"javascript\:void\(0\)\"  onClick=\"\"><font STYLE=\"text-decoration:none\" onClick=\"openWindow1\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\'\)\" size=\"-1\"> $LANGUAGE{$set_language}{Start} </font></a></td></TR></TABLE></span>\n";
										}
									}
                        
								++$dis;
								}
							}
						}
					}
				}
			}
		else {
			print"<DL><font color=\"red\">$LANGUAGE{$set_language}{Nothingpostedortherearenotanyattemptsleft}</font></DL>\n";
			}
		}
		
	print"</DL>\n";
	&help;
	print"<B>$LANGUAGE{$set_language}{Oncethequizsurveytestisbegunitcountsasanattempt}</B><P>
	<B>$LANGUAGE{$set_language}{Clickonquizsurveytestnameforoptions}</B><P>\n";
  	&print_form("form_name","form1","form_target","qst_left","input","do_type","qst","","class_id","","class_name","","u_id","$SQFS{u_id}","session_id","$SQFS{session_id}","org_id","$SQFS{org_id}");
	}

################
#
# SHOW_MOBILE_QSTS_FOR_STUDENTS
#
################
sub show_mobile_qsts_for_students {
	my %SQFS = @_;
	$SQFS{class_id} =~ s/\D//g;

	&print_javascript_begin();
	print"var isIE = document.all?1:0\;
	var qstWindow
	var loading_done = false\n";

        print"function display_mobile\(qst,class_id,class_name,type_name\)\{\n";
	print"document.form1.qst.value=qst
	document.form1.class_id.value=class_id
	document.form1.class_name.value=class_name
	document.getElementById(\"demo\").innerHTML = txt\;
	document.form1.screen_width.value=screen.width
	document.form1.submit\(\)
	 }\n";
	 
	&javascript_show_stuff();
	
	print"function mobile_handler\(\) \{
		document.logout.submit()
	\}\n";
	
	&print_javascript_end();
	
	print"<div id=\"demo\"></div>
        <script>
        var txt = \"\"\
        document.getElementById(\"demo\").innerHTML = txt\;
        </script>\n";

	my %TIME = &get_time();
	
	print"$black_box <font size=\"14\" style=\"cursor:pointer; vertical-align: middle; color: white\" data-toggle=\"tooltip\" title=\" Go Back \" OnClick=\"document.form2.submit()\"> < </TD><TD></font><font style=\"color: white\">&nbsp\;&nbsp\;&nbsp\;$SQFS{name}<BR></B></font></TD>\n";
	print"<TD onClick=\"mobile_handler()\" STYLE=\"cursor: pointer\; text-align: right;\" data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Logout} \">$image37 &nbsp\;&nbsp\;</TD>\n";

	print"</TABLE><BR>\n";
	
	print"<DL>\n";
	
	if(exists $USER{$ids}{$SQFS{class_id}}) {
		my %RETURN = &select_posted_qst("query","select * from posted_qst WHERE class_id=\"$SQFS{class_id}\" and posted=\"1\"");
		my %RETURN1 = &select_qst_attempts_info("query","SELECT qst_no,attempts,end,resume from qst_attempts WHERE u_id=\"$ids\"");
               
		if(keys %RETURN) { # && $attempts_left > 0) {
                        
			print"&nbsp\;<U>Attempts</U><BR>\n";
			foreach my $key1(sort keys %RETURN) {
				my $attempts = 0;
                                $attempts = $RETURN{$key1}{attempts} - $RETURN1{$key1}{attempts};
                                if($attempts < 0) {
                                        $attempts = 0;
                                        }
					
                                if($RETURN{$key1}{display} == 1) {
                                
                                        }
                                else {
                                        $RETURN{$key1}{display} = 0;
                                        }
                                        
				my $good_time = &compare_time("org_id","$SQFS{org_id}","start_month","$RETURN{$key1}{start_month}","start_day","$RETURN{$key1}{start_day}","start_hour","$RETURN{$key1}{start_hour}","finish_month","$RETURN{$key1}{finish_month}","finish_day","$RETURN{$key1}{finish_day}","finish_hour","$RETURN{$key1}{finish_hour}");
				
				if ($RETURN{$key1}{avail} == 1 || $good_time == 1) {
					if($RETURN{$key1}{forall} == 1) { # posted for all students in class
					
                                                if($attempts != 0 || ($RETURN1{$key1}{resume} == 1 && $RETURN{$key1}{attempts} == 1)) {
							my %RETURN4 = &select_qst("query","select number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$key1\"");

							if($RETURN4{$key1}{type} != 2) { # quizzes/tests
                                                                if($RETURN{$key1}{branching} == 1) {
                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                        }
                                                                else {
                                                                        if($attempts == 10) {
                                                                                print"<TABLE><TR><TD width=\"75\" align=\"center\">10</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN4{$key1}{questions}<font color=\"#FF3300\">\?</font> $RETURN4{$key1}{marks}$image15</B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                                }
                                                                        else {
                                                                                print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN4{$key1}{questions}<font color=\"#FF3300\">\?</font> $RETURN4{$key1}{marks}$image15</B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                                }
                                                                        }
								}
								
							elsif ($RETURN4{$key1}{type} == 2) { # surveys
                                                                if($RETURN{$key1}{branching} == 1) {
                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">Survey</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;</font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                        }
                                                                else {
                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">Survey</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN4{$key1}{questions}<font color=\"#FF3300\">\?</font></B> &nbsp\;&nbsp\;</font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                        }
								}
								
					#		if($attempts <= 0) {
					#			if($RETURN{$key1}{submissions} == 1 && $RETURN4{$key1}{type} != 2) {
                                        #                                
					#				}
					#			}
					#			
					#		else {
								if($RETURN{$key1}{submissions} == 1) {
									if($RETURN{$key1} != 0) {
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"display_mobile";
                                                                                     
										print"\(\'$key1\',\'$SQFS{class_id}\',\'$RETURN4{$key1}{name}\',\'$assign[$RETURN4{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> Start </font></td></TR></TABLE></span>";									
										}
									else {
									
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"display_mobile\(\'$key1\',\'$SQFS{class_id}\',\'$RETURN4{$key1}{name}\',\'$assign[$RETURN4{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> Start </font></td></TR></TABLE></span>\n";
										}
									}
									
								else {
									if ($RETURN4{$key1}{type} == 2) { # surveys
                                                                                print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"display_mobile";
                                                                                        
										print"\(\'$key1\',\'$SQFS{class_id}\',\'$RETURN4{$key1}{name}\',\'$assign[$RETURN4{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> Start </font></td></TR></TABLE></span>\n";
										}
										
									else { # quizzes/tests
                                                                                print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"display_mobile";                                                                                      
                                                                                        
										print"\(\'$key1\',\'$SQFS{class_id}\',\'$RETURN4{$key1}{name}\',\'$assign[$RETURN4{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> Start </font></td></TR>";
										
										print"</TABLE></span>\n";
										}
									}
								#}
								
							++$dis;
							}
						}
						
					else { # posted for only selected students
						if($attempts != 0 || ($RETURN1{$key1}{resume} == 1 && $RETURN{$key1}{attempts} == 1)) {
							my %RETURN2 = &select5("query","select qst_no,u_id from access_to_qst WHERE qst_no=\"$key1\" AND u_id=\"$ids\"");
							if(keys %RETURN2) {
								my %RETURN3 = &select_qst("query","select number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE number=\"$key1\"");
								
								#&select_qst("query","select number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$key1\"");

								if($RETURN3{$key1}{type} != 2) { # quizzes/tests
									if($attempts == 10) { 
										print"<TABLE><TR><TD width=\"75\" align=\"center\">10</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN3{$key1}{questions}<font color=\"#FF3300\">\?</font> $RETURN3{$key1}{marks}$image15</B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN3{$key1}{name}</font></TD></TR></TABLE>\n";
										
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD bgcolor=\"\#BBBBBB\" align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"display_mobile";
                                                                                       
										print"\(\'$key1\',\'$SQFS{class_id}\',\'$RETURN3{$key1}{name}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> Start </font></td></TR></TABLE></span>\n";
										}
									else {
                                                                                if($RETURN3{$key1}{branching} == 1) {
                                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD>&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\;\" data-toggle=\"tooltip\" title=\"Branching questions\">&nbsp\;$image23 </B>&nbsp\;&nbsp\;&nbsp\;<font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN3{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                                        }
                                                                                else {
                                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN3{$key1}{questions}<font color=\"#FF3300\">\?</font> $RETURN3{$key1}{marks}$image15</B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN3{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                                        }
                                                                                        
                                                                                print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD bgcolor=\"\#BBBBBB\" align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"display_mobile";
                                                                                        
										print"\(\'$key1\',\'$SQFS{class_id}\',\'$RETURN3{$key1}{name}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> Start </font></td></TR></TABLE></span>";										
										}
									}
									
								elsif ($RETURN3{$key1}{type} == 2 && $attempts == 1) { # surveys
									print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN3{$key1}{questions}<font color=\"#FF3300\">\?</font></B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN3{$key1}{name}</font></TD></TR></TABLE>\n";
									
									print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD bgcolor=\"\#BBBBBB\" align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"display_mobile";
                                                                                        
                                                                        print"\(\'$key1\',\'$SQFS{class_id}\',\'$RETURN3{$key1}{name}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> Start </font></td></TR></TABLE></span>\n";
									}
									
#								if($attempts <= 0) {
#									if($RETURN{$key1}{submissions} == 1) {
#										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD  bgcolor=\"\#DDDDDD\"><a href=\"javascript\:void\(0\)\" onClick=\"\"><font STYLE=\"text-decoration:none\" onClick=\"Show_Stuff\(display$dis\)\" color=\"\#666666\" size=\"-1\"><center>View</center></font></a></td></TR></TABLE></span>\n";
#										}
#									}
#									
#								else {
									if($RETURN{$key1}{submissions} == 1) {
                                                                                if($RETURN{$key1} != 0) {
                                                                                        print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD bgcolor=\"\#BBBBBB\" align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"display_mobile";
                                                                                        
                                                                                        print"\(\'$key1\',\'$SQFS{class_id}\',\'$RETURN3{$key1}{name}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> Start </font></td></TR></TABLE></span>\n";
                                                                                        }
                                                                                else {
									
                                                                                        print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"display_mobile\(\'$key1\',\'$SQFS{class_id}\',\'$RETURN3{$key1}{name}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{name}\'\)\" size=\"-1\"> Start </font></td></TR></TABLE></span>\n";
                                                                                        }

										}
									else {
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><a href=\"javascript\:void\(0\)\"  onClick=\"\"><font STYLE=\"text-decoration:none\" onClick=\"display_mobile\(\'$key1\',\'$SQFS{class_id}\',\'$RETURN3{$key1}{name}\',\'$assign[$RETURN3{$key1}{type}]\'\)\" size=\"-1\"> Start </font></a></td></TR></TABLE></span>\n";
										}
									#}
                        
								++$dis;
								}
							}
						}
					}
				}
			}
		else {
			print"<DL><font color=\"red\">Nothing posted or there are not any attempts left.</font></DL>\n";
			}
		}
		
	print"</DL>\n";
	&help;
	print"<B>Once the quiz/survey/test is begun, it counts as an attempt.</B><P>\n";
  	&print_form("form_name","form1","input","do_mobile","form_target","_self","qst","","class_id","","class_name","","u_id","$SQFS{u_id}","session_id","$SQFS{session_id}","org_id","$SQFS{org_id}","mobile","1","screen_width","","iphone","$SQFS{iphone}");
  	
        &print_form("form_name","form2","input","print_mobile","form_target","_self","qst","","class_id","","class_name","","u_id","$SQFS{u_id}","session_id","$SQFS{session_id}","org_id","$SQFS{org_id}","mobile","1","iphone","$SQFS{iphone}");

	&print_form("form_name","logout","form_target","_self","input","logout_mobile","u_id","$SQFS{u_id}","session_id","$SQFS{session_id}","mobile","$SQFS{mobile}");
	}

################
#
# SHOW_MODAL_QSTS_FOR_STUDENTS
#
################
sub show_modal_qsts_for_students {
	my %SQFS = @_;
	$SQFS{class_id} =~ s/\D//g;

	&print_javascript_begin();
	print"var isIE = document.all?1:0\;
	var qstWindow\n";

	print"function openWindow1\(qst,name_in,class_id,type,class_name,display,questions,marks\) \{\n";
	print"if \(confirm\(\"$LANGUAGE{$set_language}{Youareabouttobegin} \'\" + name_in + \"\'. \\n $LANGUAGE{$set_language}{Therightsideofthescreenshowsthequestionsyouhaveanswered} \\n - $LANGUAGE{$set_language}{Clickonanumbertojumptothatquestion}\\n\\n$LANGUAGE{$set_language}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer}\\n\\n$LANGUAGE{$set_language}{ClickSubmitQSTwhenyouaredone}\"\)\)\{\n";
	
	print"if\(display == 1\) \{\n";
	print"doo_modal\(qst,class_id,class_name,questions,marks,name_in\)\n";
	print"document.form1m.qst.value=qst
	document.form1m.input.value=\"modal_do_type\"
	document.form1m.class_id.value=class_id
	document.form1m.display.value=display
	document.form1m.class_name.value=class_name
        document.form1m.submit\(\)\n";
	print"\}\n";
	print"else \{\n";
	print"display_qst\(qst,class_id,class_name\)\}\}\n";
	print"\}\n";

	print"function openWindow2\(qst,name_in,class_id,type,class_name,display,questions,marks\) \{\n";
	print"if \(confirm\(\"$LANGUAGE{$set_language}{Youareabouttobegin} \'\" + name_in + \"\'. \\n $LANGUAGE{$set_language}{Therightsideofthescreenshowsthequestionsyouhaveanswered}\\n  -  $LANGUAGE{$set_language}{Clickonanumbertojumptothatquestion}\\n\\n$LANGUAGE{$set_language}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer}\\n\\n$LANGUAGE{$set_language}{Clickortomovetopreviousornextquestion}\\n\\nClick Submit QST when you are done.\"\)\)\{\n";

	print"if\(display == 1\) \{\n";
	print"doo_modal2\(qst,class_id,class_name,questions,marks,name_in\)\n";
	print"document.form2m.qst.value=qst
	document.form2m.class_id.value=class_id
	document.form2m.class_name.value=class_name
	document.form2m.submit\(\)\n";
	print"\}\n";
	print"else \{\n";
	print"display_qst2\(qst,class_id,class_name\)\}\}\n";
	print"\}\n";

	print"function openWindow3\(qst,name_in,class_id,type,class_name,display,questions,marks\) \{\n";
	print"if \(confirm\(\"$LANGUAGE{$set_language}{Youareabouttobegin} \'\" + name_in + \"\'. \\n \\n$LANGUAGE{$set_language}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer}\\n\\n$LANGUAGE{$set_language}{Clicktogotothenextquestion}\\n\\n$LANGUAGE{$set_language}{Questionsareonlyshownonce}\\n\\n$LANGUAGE{$set_language}{ClickSubmitQSTwhenyouaredone}\"\)\)\{\n";
	print"if\(display == 1\) \{\n";
	print"doo_modal3\(qst,class_id,class_name,questions,marks,name_in\)\n";
	print"document.form3m.qst.value=qst
	document.form3m.class_id.value=class_id
	document.form3m.class_name.value=class_name
	document.form3m.submit\(\)\n";
	print"\}\n";
	print"else \{\n";
	print"display_qst3\(qst,class_id,class_name\)\}\}\n";
	print"\}\n";
	
	print"function openWindow4\(qst,name_in,class_id,type,class_name,display,questions,marks\) \{\n";
	print"if \(confirm\(\"$LANGUAGE{$set_language}{Youareabouttobegin} \'\" + name_in + \"\'. \\n \\n$LANGUAGE{$set_language}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer}\\n\\n$LANGUAGE{$set_language}{Clicktoseetheanswerormovetothenextquestion}\\n\\n$LANGUAGE{$set_language}{ClickSubmitQSTwhenyouaredone}\"\)\)\{\n";
	print"if\(display == 1\) \{\n";
	print"doo_modal4\(qst,class_id,class_name,questions,marks,name_in\)\n";
	print"document.form4m.qst.value=qst
	document.form4m.class_id.value=class_id
	document.form4m.class_name.value=class_name
	document.form4m.submit\(\)\n";
	print"\}\n";
	print"else \{\n";
	print"display_qst4\(qst,class_id,class_name\)\}\}\n";
	print"\}\n";
	
	print"function openWindow5\(qst,name_in,class_id,type,class_name,display,questions,marks\) \{\n";
	print"if \(confirm\(\"$LANGUAGE{$set_language}{Youareabouttobegin} \'\" + name_in + \"\'. \\n \\n$LANGUAGE{$set_language}{AnswersaresubmittedwhenyouselecttheanswerorclickSaveAnswer}\\n\\n$LANGUAGE{$set_language}{Clicktomovetothenextquestion}\"\)\)\{\n";
	print"if\(display == 1\) \{\n";
	print"doo_modal5\(qst,class_id,class_name,questions,marks,name_in\)\n";
	print"document.form5m.qst.value=qst
	document.form5m.class_id.value=class_id
	document.form5m.class_name.value=class_name
	document.form5m.submit\(\)\n";
	print"\}\n";
	print"else \{\n";
	print"display_qst5\(qst,class_id,class_name\)\}\}\n";
	print"\}\n";
	
	print"function display_qst\(qst,class_id,class_name\)\{\n";
	print"qstWindow = window.open\(\"\",\"qstWindow\",\"top=10,left=40,width=950,height=800\"\)\n";
	print"qstWindow.focus\(\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\<head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<title\>QST\</title\>\</head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET COLS=\"78\%,22\%\" onLoad=\"loading_done = true\" border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET ROWS=\"10%,90\%\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_top\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_bot\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\'\)\n";
	print"qstWindow.document.close()\n";
	print"document.form1.qst.value=qst
	document.form1.input.value=\"do_type\"
	document.form1.class_id.value=class_id
	document.form1.class_name.value=class_name
	document.form1.submit\(\)
	 }\n";

        print"function display_qst2\(qst,class_id,class_name\)\{\n";
	print"qstWindow = window.open\(\"\",\"qstWindow\",\"top=10,left=40,width=950,height=600\"\)\n";
	print"qstWindow.focus\(\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\<head\>\<title\>QST\</title\>\</head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET COLS=\"78\%,22\%\" onLoad=\"loading_done = true\" border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET ROWS=\"10%,90\%\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_top\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_bot\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\'\)\n";
	print"qstWindow.document.close()\n";
	print"document.form1.qst.value=qst
	document.form1.input.value=\"do_type2\"
	document.form1.class_id.value=class_id
	document.form1.class_name.value=class_name
	document.form1.submit\(\)
	 }\n";
	 
        print"function display_qst3\(qst,class_id,class_name\)\{\n";
	print"qstWindow = window.open\(\"\",\"qstWindow\",\"top=10,left=40,width=950,height=600\"\)\n";
	print"qstWindow.focus\(\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\<head\>\<title\>QST\</title\>\</head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET COLS=\"78\%,22\%\" onLoad=\"loading_done = true\" border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET ROWS=\"10%,90\%\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_top\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_bot\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\'\)\n";
	print"qstWindow.document.close()\n";
	print"document.form1.qst.value=qst
	document.form1.input.value=\"do_type3\"
	document.form1.class_id.value=class_id
	document.form1.class_name.value=class_name
	document.form1.submit\(\)
	 }\n";

        print"function display_qst4\(qst,class_id,class_name\)\{\n";
	print"qstWindow = window.open\(\"\",\"qstWindow\",\"top=10,left=40,width=950,height=600\"\)\n";
	print"qstWindow.focus\(\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\<head\>\<title\>QST\</title\>\</head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET COLS=\"78\%,22\%\" onLoad=\"loading_done = true\" border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET ROWS=\"10%,90\%\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_top\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_bot\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\'\)\n";
	print"qstWindow.document.close()\n";
	print"document.form1.qst.value=qst
	document.form1.input.value=\"do_type4\"
	document.form1.class_id.value=class_id
	document.form1.class_name.value=class_name
	document.form1.submit\(\)
	 }\n";
	 
        print"function display_qst5\(qst,class_id,class_name\)\{\n";
	print"qstWindow = window.open\(\"\",\"qstWindow\",\"top=10,left=40,width=950,height=600\"\)\n";
	print"qstWindow.focus\(\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\<head\>\<title\>QST\</title\>\</head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET COLS=\"78\%,22\%\" onLoad=\"loading_done = true\" border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET ROWS=\"10%,90\%\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_top\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_bot\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\'\)\n";
	print"qstWindow.document.close()\n";
	print"document.form1.qst.value=qst
	document.form1.input.value=\"do_type5\"
	document.form1.class_id.value=class_id
	document.form1.class_name.value=class_name
	document.form1.submit\(\)
	 }\n";
	 
	print"function view_qst\(qst,name_in,class_id,type\) \{\n";
	print"qstWindow = window.open\(\"\",\"qstWindow\",\"top=10,left=40,width=900,height=800\"\)\n";
	print"qstWindow.focus\(\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\<head\>\<title\>QST\</title\>\</head\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET COLS=\"80\%,20\%\" onLoad=\"loading_done = true\" border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAMESET ROWS=\"10%,90\%\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_top\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"right_bot\" NORESIZE border=0>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"qstWindow.document.writeln\(\'\<html\>\'\)\n";
	print"qstWindow.document.close()\n";
	print"document.form1.qst.value=qst
	document.form1.class_id.value=class_id
	document.form1.input.value=\"students_view_qst\"
	document.form1.submit\(\)
	 }\n";

	print"function reload_sub\(\) \{
	document.forms\[0\].submit\(\)
	 }\n";
	 
	&javascript_show_stuff();
	
	&print_javascript_end();
	
	my %TIME = &get_time();
	print"$page_top1  $SQFS{class_name}</B></font></TD></TABLE><BR>\n";
	
	print"<DL>\n";
	
	if(exists $USER{$ids}{$SQFS{class_id}}) {
		my %RETURN = &select_posted_qst("query","select * from posted_qst WHERE class_id=\"$SQFS{class_id}\" and posted=\"1\"");
                my %RETURN1 = &select_qst_attempts_info("query","SELECT qst_no,attempts,end,resume from qst_attempts WHERE u_id=\"$ids\"");
                
		if(keys %RETURN) { # && $attempts_left > 0) {
			print"&nbsp\;<U>$LANGUAGE{$set_language}{Attempts}</U><BR>\n";
			foreach my $key1(sort keys %RETURN) {
				my $attempts = 0;
                                $attempts = $RETURN{$key1}{attempts} - $RETURN1{$key1}{attempts};
                                
                                if($attempts < 0) {
                                        $attempts = 0;
                                        }

                                if($RETURN{$key1}{display} == 1) {
                                
                                        }
                                else {
                                        $RETURN{$key1}{display} = 0;
                                        }

				my $good_time = &compare_time("org_id","$SQFS{org_id}","start_month","$RETURN{$key1}{start_month}","start_day","$RETURN{$key1}{start_day}","start_hour","$RETURN{$key1}{start_hour}","finish_month","$RETURN{$key1}{finish_month}","finish_day","$RETURN{$key1}{finish_day}","finish_hour","$RETURN{$key1}{finish_hour}");
				
				if ($RETURN{$key1}{avail} == 1 || $good_time == 1) {
					if($RETURN{$key1}{forall} == 1) { # posted for all students in class
						if($attempts != 0 || ($RETURN1{$key1}{resume} == 1 && $RETURN{$key1}{attempts} == 1)) {
							my %RETURN4 = &select_qst("query","select number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$key1\"");

                                                        if($RETURN4{$key1}{type} != 2) { # quizzes/tests
                                                                if($RETURN{$key1}{branching} == 1) {
                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name} </font></TD></TR></TABLE>\n";
                                                                        }
                                                                else {
                                                                        if($attempts == 10) {
                                                                                print"<TABLE><TR><TD width=\"75\" align=\"center\">10</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN4{$key1}{questions} <font color=\"#FF3300\">\?</font> $RETURN4{$key1}{marks} $image15</B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                                }
                                                                        else {
                                                                                print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN4{$key1}{questions} <font color=\"#FF3300\">\?</font> $RETURN4{$key1}{marks} $image15</B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name} </font></TD></TR></TABLE>\n";
                                                                                }
                                                                        }
								}
								
                                                        elsif ($RETURN4{$key1}{type} == 2) { # surveys
                                                                if($RETURN{$key1}{branching} == 1) {
                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">Survey</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;&nbsp\;</font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                        }
                                                                else {
                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">Survey</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN4{$key1}{questions} <font color=\"#FF3300\">\?</font></B> &nbsp\;&nbsp\;</font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN4{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                        }
								}
								
							if($RETURN{$key1}{submissions} == 1) {
								if($RETURN1{$key1}{attempts} != 0) { # attempts already there
									print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
					
									if($RETURN{$key1}{delivery} == 1) {
                                                                                print"openWindow1";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 2) {
                                                                                print"openWindow2";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 3) {
                                                                                print"openWindow3";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 4) {
                                                                                print"openWindow4";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 5) {
                                                                                print"openWindow5";
                                                                                }
                                                                                        
									print"\(\'$key1\',\'$RETURN4{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN4{$key1}{type}]\',\'$SQFS{class_name}\',\'$RETURN{$key1}{display}\',\'$RETURN4{$key1}{questions}\',\'$RETURN4{$key1}{marks}\'\)\" size=\"-1\">&nbsp\;&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Start} </font></td></TR></TABLE></span>\n";
									}
								else {
									print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
										
									if($RETURN{$key1}{delivery} == 1) {
									         print"openWindow1";
									         }
									elsif($RETURN{$key1}{delivery} == 2) {
									         print"openWindow2";
									         }
									elsif($RETURN{$key1}{delivery} == 3) {
									         print"openWindow3";
									         }
									elsif($RETURN{$key1}{delivery} == 4) {
									         print"openWindow4";
									         }
									elsif($RETURN{$key1}{delivery} == 5) {
									         print"openWindow5";
                                                                                 }
										
									print"\(\'$key1\',\'$RETURN4{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN4{$key1}{type}]\',\'$SQFS{class_name}\',\'$RETURN{$key1}{display}\',\'$RETURN4{$key1}{questions}\',\'$RETURN4{$key1}{marks}\'\)\" size=\"-1\">&nbsp\;&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Start} </font></td></TR></TABLE></span>\n";
									}
								}
									
							else {
								if ($RETURN4{$key1}{type} == 2) { # SURVEYS
                                                                        print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
									if($RETURN{$key1}{delivery} == 1) {
                                                                                print"openWindow1";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 2) {
                                                                                print"openWindow2";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 3) {
                                                                                print"openWindow3";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 5) {
                                                                                print"openWindow5";
                                                                                }
                                                                                        
                                                                        print"\(\'$key1\',\'$RETURN4{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN4{$key1}{type}]\',\'$SQFS{name}\',\'$RETURN{$key1}{display}\',\'$RETURN4{$key1}{questions}\',\'$RETURN4{$key1}{marks}\'\)\" size=\"-1\">&nbsp\;&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Start} </font></td></TR></TABLE></span>";
									}
										
								else { # QUIZZES TESTS
                                                                        print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
									if($RETURN{$key1}{delivery} == 1) {
                                                                                print"openWindow1";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 2) {
                                                                                print"openWindow2";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 3) {
                                                                                print"openWindow3";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 4) {
                                                                                print"openWindow4";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 5) {
                                                                                print"openWindow5";
                                                                                }
                                                                                        
                                                                        print"\(\'$key1\',\'$RETURN4{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN4{$key1}{type}]\',\'$SQFS{class_name}\',\'$RETURN{$key1}{display}\',\'$RETURN4{$key1}{questions}\',\'$RETURN4{$key1}{marks}\'\)\" size=\"-1\">&nbsp\;&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Start} </font></td></TR>";
                                                                                
									print"</TABLE></span>\n";
									}
								}
								
							++$dis;
							}
						}
					else { # posted for only selected students
						if($attempts != 0 || ($RETURN1{$key1}{resume} == 1 && $RETURN{$key1}{attempts} == 1)) {
							my %RETURN2 = &select5("query","select qst_no,u_id from access_to_qst WHERE qst_no=\"$key1\" AND u_id=\"$ids\"");
							if(keys %RETURN2) {
								my %RETURN3 = &select_qst("query","select number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE number=\"$key1\"");
								
								if($RETURN3{$key1}{type} != 2) { # quizzes/tests
									if($attempts == 10) { 
										print"<TABLE><TR><TD width=\"75\" align=\"center\">10</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN3{$key1}{questions} <font color=\"#FF3300\">\?</font> $RETURN3{$key1}{marks} $image15</B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN3{$key1}{name}</font></TD></TR></TABLE>\n";
										
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
										
										if($RETURN{$key1}{delivery} == 1) {
                                                                                        print"openWindow1";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 2) {
                                                                                        print"openWindow2";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 3) {
                                                                                        print"openWindow3";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 4) {
                                                                                        print"openWindow4";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 5) {
                                                                                        print"openWindow5";
                                                                                        }
                                                                                        
                                                                                print"\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{class_name}\',\'$RETURN{$key1}{display}\',\'$RETURN3{$key1}{questions}\',\'$RETURN3{$key1}{marks}\'\)\" size=\"-1\">&nbsp\;&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Start} </font></td></TR></TABLE></span>\n";
										}
									else {
                                                                                if($RETURN3{$key1}{branching} == 1) {
                                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD>&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\;\" data-toggle=\"tooltip\" title=\"Branching questions\">&nbsp\;$image22 </B>&nbsp\;&nbsp\;&nbsp\;<font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN3{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                                        }
                                                                                else {
                                                                                        print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN3{$key1}{questions} <font color=\"#FF3300\">\?</font> $RETURN3{$key1}{marks} $image15</B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN3{$key1}{name}</font></TD></TR></TABLE>\n";
                                                                                        }
                                                                                        
                                                                                print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
                                                                                
										if($RETURN{$key1}{delivery} == 1) {
                                                                                        print"openWindow1";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 2) {
                                                                                        print"openWindow2";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 3) {
                                                                                        print"openWindow3";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 4) {
                                                                                        print"openWindow4";
                                                                                        }
                                                                                elsif($RETURN{$key1}{delivery} == 5) {
                                                                                        print"openWindow5";
                                                                                        }
                                                                                        
                                                                                print"\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{class_name}\',\'$RETURN{$key1}{display}\',\'$RETURN3{$key1}{questions}\',\'$RETURN3{$key1}{marks}\'\)\" size=\"-1\">&nbsp\;&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Start} </font></td></TR></TABLE></span>";
										}
									}
									
								elsif ($RETURN3{$key1}{type} == 2 && $attempts == 1) { # surveys
									print"<TABLE><TR><TD width=\"75\" align=\"center\">$attempts</TD><TD><font align=\"top\" size=\"-1\"> &nbsp\;&nbsp\;&nbsp\;<B>$RETURN3{$key1}{questions} <font color=\"#FF3300\">\?</font></B> </font> <font STYLE=\"cursor: pointer\" onClick=\"Show_Stuff\(document.getElementById\(\'display$dis\'\)\)\">$RETURN3{$key1}{name}</font></TD></TR></TABLE>\n";
									
									print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD bgcolor=\"\#BBBBBB\" align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
                                                                        if($RETURN{$key1}{delivery} == 1) {
                                                                                print"openWindow1";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 2) {
                                                                                print"openWindow2";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 3) {
                                                                                print"openWindow3";
                                                                                }
                                                                        elsif($RETURN{$key1}{delivery} == 5) {
                                                                                print"openWindow5";
                                                                                }
                                                                        
                                                                        print"\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{class_name}\',\'$RETURN{$key1}{display}\',\'$RETURN3{$key1}{questions}\',\'$RETURN3{$key1}{marks}\'\)\" size=\"-1\">&nbsp\;&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Start} </font></td></TR></TABLE></span>\n";
									}
									
								if($attempts <= 0) {
									}
									
								else {
									if($RETURN{$key1}{submissions} == 1) {
                                                                                if($RETURN{$key1} != 0) {
										    print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"";
                                                                                    
                                                                                    if($RETURN{$key1}{delivery} == 1) {
                                                                                        print"openWindow1";
                                                                                        }
                                                                                    elsif($RETURN{$key1}{delivery} == 2) {
                                                                                        print"openWindow2";
                                                                                        }
                                                                                    elsif($RETURN{$key1}{delivery} == 3) {
                                                                                        print"openWindow3";
                                                                                        }
                                                                                    elsif($RETURN{$key1}{delivery} == 4) {
                                                                                        print"openWindow4";
                                                                                        }
                                                                                    elsif($RETURN{$key1}{delivery} == 5) {
                                                                                        print"openWindow5";
                                                                                        }
                                                                                
                                                                                    print"\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{class_name}\',\'$RETURN{$key1}{display}\',\'$RETURN3{$key1}{questions}\',\'$RETURN3{$key1}{marks}\'\)\" size=\"-1\">&nbsp\;&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Start} </font></td></TR></TABLE></span>\n";
                                                                                    }
                                                                                else {
                                                                                    print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><font STYLE=\"cursor: pointer\" onClick=\"openWindow1\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\',\'$SQFS{class_name}\'\)\" size=\"-1\">&nbsp\;&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Start} </font></td></TR></TABLE></span>\n";
                                                                                    }

										}
									else {
										print"<span ID=\"display$dis\" style=\"display\:none\"><table ><tr><TD width=\"150\"></TD><TD align=\"center\"><a href=\"javascript\:void\(0\)\"  onClick=\"\"><font STYLE=\"text-decoration:none\" onClick=\"openWindow1\(\'$key1\',\'$RETURN3{$key1}{name}\',\'$SQFS{class_id}\',\'$assign[$RETURN3{$key1}{type}]\'\)\" size=\"-1\">&nbsp\;&nbsp\;&nbsp\;&nbsp\; $LANGUAGE{$set_language}{Start} </font></a></td></TR></TABLE></span>\n";
										}
									}
                        
								++$dis;
								}
							}
						}
					}
				}
			}
		else {
			print"<DL><font color=\"red\">$LANGUAGE{$set_language}{Nothingpostedortherearenotanyattemptsleft}</font></DL>\n";
			}
		}
		
	print"</DL>\n";
	
	&help;
	print"<B>$LANGUAGE{$set_language}{Oncethequizsurveytestisbegunitcountsasanattempt}</B><P>
	<B>$LANGUAGE{$set_language}{Clickonquizsurveytestnameforoptions}</B><P>\n";
	
  	&print_form("form_name","form1","form_target","qst_left","input","","qst","","class_id","","class_name","","display","","u_id","$SQFS{u_id}","session_id","$SQFS{session_id}","org_id","$SQFS{org_id}");

        &print_form("form_name","form1m","form_target","m1qst_left","input","","qst","","class_id","","class_name","","display","","u_id","$SQFS{u_id}","session_id","$SQFS{session_id}","org_id","$SQFS{org_id}");

  	&print_form("form_name","form2m","form_target","m2qst_left","input","modal2_do_type2","qst","","class_id","","class_name","","display","","u_id","$SQFS{u_id}","session_id","$SQFS{session_id}","org_id","$SQFS{org_id}");
  	
        &print_form("form_name","form3m","form_target","m3qst_left","input","modal3_do_type3","qst","","class_id","","class_name","","display","","u_id","$SQFS{u_id}","session_id","$SQFS{session_id}","org_id","$SQFS{org_id}");
        
        &print_form("form_name","form4m","form_target","m4qst_left","input","modal4_do_type4","qst","","class_id","","class_name","","display","","u_id","$SQFS{u_id}","session_id","$SQFS{session_id}","org_id","$SQFS{org_id}");
        
        &print_form("form_name","form5m","form_target","m5qst_left","input","modal5_do_type5","qst","","class_id","","class_name","","display","","u_id","$SQFS{u_id}","session_id","$SQFS{session_id}","org_id","$SQFS{org_id}");
	}

######################
#
# STUDENTS_VIEW_QST        May be needed later
#
########################
sub students_view_qst{
	my %MT = @_;
	my $class_id = $MT{class_id};
	$class_id =~ s/\D//g;
	my $qst = $MT{qst};
	$class_id =~ s/\D//g;
	my $type = $MT{type};
	$type =~ s/\D//g;
	my $sub_type = $MT{sub_type};
	$sub_type =~ s/\D//g;
	my $qst_name = $MT{qst_name};
	my $number_to_mark = 0;
	my $valu_of_quests_to_be_marked = 0;
	my %QUESTIONS = ();
	my %ANSWERS = ();
     	my $score = 0;
     	my $index_pt2 = 1;
	my $na = 0;
	my $correct = 0;
	my $wrong = 0;
	my $u_id = $MT{u_id};
	my $session_id = $MT{session_id};
	delete($MT{class_id});
	delete($MT{qst});
	delete($MT{type});
	delete($MT{sub_type});
	delete($MT{input});
	delete($MT{qst_name});
	delete($MT{u_id});
	delete($MT{session_id});

	my $index_to_quest_no;
	
	&print_javascript_begin();
	print"function right_clear\(\)\{\n";
	print"self.top.right_top.location = \"/schools/empty.htm\"\n";
	print"self.top.right_bot.location = \"/schools/empty.htm\"\n";
	print"\}\n";

	print"function c_window\(\)\{\n";
	print"top.close\(\)\}\n";
	&print_javascript_end();

	my %RETURN1 = ();
	
	#see if they have access to posted qst
	my %RETURN = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND class_id=\"$class_id\"");
	
	if($RETURN{$qst}{forall} != 1) {#only certain students have access
		%RETURN1 = &select4("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
		}
		
	my %RETURN2 = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
	
	# get their qst
	my %USERS_QST = &select_users_qst("query","SELECT quest_no,answer,mark,marked,time_stamp,quest_order from qsts WHERE u_id=\"$ids\" AND qst=\"$qst\"");

	if (keys %USERS_QST && keys %RETURN && $RETURN2{$qst}{type} == 1 && ($RETURN{$qst}{forall} == 1 || keys %RETURN1)) { #quizzes/tests
		print"$image1 <B><font color=\"red\" size=+1> $LANGUAGE{$set_language}{Results}</font></b> </b></font></TD></table><P> \n";
		print"<center><font size=\"+2\"><B>  $RETURN2{$qst}{name}  </b></font></center><P> \n";
		
		my @results;
		my %ENTERED_QUESTIONS = ();
		my $questions = "$RETURN2{$qst}{questions}";
		my $marks = "$RETURN2{$qst}{marks}";
		my $name = "$RETURN2{$qst}{name}";
		my $query = "SELECT * from questions WHERE ";
		my $query1 = "SELECT number,q_order,answer,c_answer from question_answers WHERE ";
		my $questions_in_qst_query = "select quest_no,value,q_select from qst_questions WHERE qst_no=\"$qst\" AND \(";

		foreach my $order(keys %USERS_QST) {
			$query = "$query"." "."number=\"$USERS_QST{$order}{quest_no}\" OR";
			$query1 = "$query1"." "."number=\"$USERS_QST{$order}{quest_no}\" OR";
			$questions_in_qst_query = "$questions_in_qst_query"." "."quest_no=\"$USERS_QST{$order}{quest_no}\" OR";
			}
		$query =~ s/ OR$//;
		%QUESTIONS = &select_questions("query","$query");

		$query1 =~ s/ OR$//;
		%ANSWERS = &select_question_answers("query","$query1");

		$questions_in_qst_query =~ s/ OR$/)/;
		my %QUESTIONS_IN_QST = &select_users_qst_questions("query","$questions_in_qst_query");

           	if ($RETURN{$qst}{submissions} == 1) {
           		&print_javascript_begin();
			print"var frame_url = self.top.qst_left.location.href
			function load_right\(\)\{
			self.top.right_top.location = \"/schools/empty.htm\"
			document.form1.submit\(\)
			\}
			function link_anchor\(l_nk\) \{
			var this_link = l_nk
			self.top.qst_left.location = frame_url + \"#\" + this_link
		   	\}\n";
		   	&print_javascript_end();
                 	print"<B>Your Results are\:</b><P>
                 	<TABLE><FORM>\n";
			}
			
		foreach my $order(sort {$a<=>$b} keys %USERS_QST) {
			my $quest_no = "$USERS_QST{$order}{quest_no}";
			$index_to_quest_no = "$index_to_quest_no"."$index_pt2=$quest_no"."-"."$QUESTIONS{$quest_no}{type}"."-"."$QUESTIONS_IN_QST{$quest_no}{value}".",";

           		if ($RETURN{$qst}{submissions} == 1) {
				print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index_pt2\">$index_pt2</a>\.</b></TD>
				<TD valign=\"top\" NOWRAP><font size=\"-1\">\($QUESTIONS_IN_QST{$quest_no}{value} pts.\)</font></TD><TD><B> $QUESTIONS{$quest_no}{question} </b>
				</TD></TR></TABLE>\n";
				}
				
			if ($QUESTIONS{$quest_no}{type} eq"TF") {
				my $correct_answer;
				
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{T} == 1) {
					$correct_answer = "T";
					}
				else {
					$correct_answer = "F";
					}
					
                       		if ($correct_answer eq "$USERS_QST{$order}{answer}") {
           				if ($RETURN{$qst}{submissions} == 1) {
						&mark_tf("correct","$USERS_QST{$order}{answer}");
						
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$quest_no";
                             		}
                             		
				elsif ($USERS_QST{$order}{answer} eq"") {
           				if ($RETURN{$qst}{submissions} == 1) {
	                             		&mark_tf("na","$correct_answer");
	                             		
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
					}
					
                             	elsif ($correct_answer ne "$USERS_QST{$order}{answer}") {
           				if ($RETURN{$qst}{submissions} == 1) {
           					&mark_tf("wrong","$USERS_QST{$order}{answer}","answer","$correct_answer");
           					
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$quest_no";
					}
					
    	       			if ($RETURN{$qst}{submissions} == 1) {
	                       		print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
					}
                        	}
                        	
                        elsif ($QUESTIONS{$quest_no}{type} eq"YN") {
				my $correct_answer;
				
				if($ANSWERS{$quest_no}{q_order}{1}{answers}{Y} == 1) {
					$correct_answer = "Y";
					}
				else {
					$correct_answer = "N";
					}
					
                       		if ($correct_answer eq "$USERS_QST{$order}{answer}") {
           				if ($RETURN{$qst}{submissions} == 1) {
						&mark_yn("correct","$USERS_QST{$order}{answer}");
						
						push(@results,"$index_pt2"."=1"); #correct answer
						++$correct;
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					$ENTERED_QUESTIONS{$quest_no} = "$quest_no";
                             		}
                             		
				elsif ($USERS_QST{$order}{answer} eq"") {
           				if ($RETURN{$qst}{submissions} == 1) {
	                             		&mark_yn("na","$correct_answer");
	                             		
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
					}
					
                             	elsif ($correct_answer ne "$USERS_QST{$order}{answer}") {
           				if ($RETURN{$qst}{submissions} == 1) {
           					&mark_yn("wrong","$USERS_QST{$order}{answer}","answer","$correct_answer");
           					
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						}
					$ENTERED_QUESTIONS{$quest_no} = "$quest_no";
					}
					
    	       			if ($RETURN{$qst}{submissions} == 1) {
	                       		print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
					}
                        	}
                        	
                  	elsif ($QUESTIONS{$quest_no}{type} eq"SA") {
				my $correct_answer;
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
				my $fake_real_no = "sa"."$quest_no"; #short answer question numbers have prefix of sa
                       		if($USERS_QST{$order}{answer} eq"") {
	                             	&mark_sa("correct_answer","$correct_answer","value","$USERS_QST{$order}{mark}","marked","0");
	                             	
					push(@results,"$index_pt2"."=3"); #no answer
					++$na;
					}
					
           			elsif ($USERS_QST{$order}{marked} == -1) { # needs to be marked
					++$number_to_mark;
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS_IN_QST{$quest_no}{value};
					
	                             	&mark_sa("answer","$USERS_QST{$order}{answer}","correct_answer","$correct_answer");
					push(@results,"$index_pt2"."=4");
                                  	}
                                  	
                       		else { # marked
                       			if($USERS_QST{$order}{answer} ne"") {
	                             		&mark_sa("answer","$USERS_QST{$order}{answer}","correct_answer","$correct_answer","value","$USERS_QST{$order}{mark}","marked","0");
	                             		
						if($USERS_QST{$order}{mark} == 0) {
							push(@results,"$index_pt2"."=0"); #marked but wrong
							++$wrong;
							}
						else { # marked
							if($USERS_QST{$order}{mark}==$QUESTIONS_IN_QST{$quest_no}{value}) {
								push(@results,"$index_pt2"."=1");
								++$correct;
								}
							else {
								push(@results,"$index_pt2"."=2");
								}
							}
						$score = $score + $USERS_QST{$order}{mark};
						}
						
					else { # no answer
	                             		&mark_sa("correct_answer","$correct_answer","value","$USERS_QST{$order}{mark}","marked","0");
	                             		
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
					}
					
				$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
				
       	    			if ($RETURN{$qst}{submissions} == 1) {
	                       		print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
					}
                       		}
                       		
			elsif ($QUESTIONS{$quest_no}{type} eq"P") {
				my $correct_answer;
				
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
					
				my $fake_real_no = "p"."$quest_no"; #paragraph questions numbers have prefix of p

                       		if($USERS_QST{$order}{answer} eq"") {
		                        &mark_p("correct_answer","$correct_answer","marked","0","value","$USERS_QST{$order}{mark}");
					push(@results,"$index_pt2"."=3"); #no answer
					++$na;
					}
					
           			elsif ($USERS_QST{$order}{marked} == -1) { # needs to be marked
					++$number_to_mark;
					$valu_of_quests_to_be_marked = $valu_of_quests_to_be_marked + $QUESTIONS_IN_QST{$quest_no}{value};
					
	                             	&mark_p("answer","$USERS_QST{$order}{answer}","correct_answer","$correct_answer");
					push(@results,"$index_pt2"."=4"); #must be marked
                                  	}
                                  	
                       		else { # marked
                       			if($USERS_QST{$order}{answer} ne"") {
		                             	&mark_p("answer","$USERS_QST{$order}{answer}","correct_answer","$correct_answer","marked","0","value","$USERS_QST{$order}{mark}");
		                             	
						if($USERS_QST{$order}{mark} == 0) { # marked but wrong
							push(@results,"$index_pt2"."=0");
							++$wrong;
							}
						else { # marked
							if($USERS_QST{$order}{mark}==$QUESTIONS_IN_QST{$quest_no}{value}) {
								push(@results,"$index_pt2"."=1"); 
								++$correct;
								}
							else {
								push(@results,"$index_pt2"."=2");
								}
							}
						$score = $score + $USERS_QST{$order}{mark};
						}
					else {
		                             	&mark_p("correct_answer","$correct_answer","marked","0","value","$USERS_QST{$order}{mark}");
		                             	
						push(@results,"$index_pt2"."=3"); # no answer
						++$na;
						}
					}
				$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
       	    			if ($RETURN{$qst}{submissions} == 1) {
	                       		print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
					}
                       		}
                       		
                 	elsif ($QUESTIONS{$quest_no}{type} eq"MC") {
				my $correct_answer;
				my $answers;
				my $pass_answers;
                                my $pass_images_mc;
                                
				foreach my $key(keys %{$ANSWERS{$quest_no}{q_order}}) {
					foreach my $key1(keys %{$ANSWERS{$quest_no}{q_order}{$key}{answers}}) {
						if($ANSWERS{$quest_no}{q_order}{$key}{answers}{$key1} == 1) {
							$correct_answer = "$key";
							}
							
						$answers = "$answers".","."$key1";
						$pass_answers = "$pass_answers"."|#"."$key"."~@"."$key1";
						$pass_images_mc = "$pass_images_mc"."-"."image"."$key".","."$key1";
						}
					}
				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_mc =~ s/^-//;
				
				my $fake_real_no = "m"."$quest_no"; #multiple choice question numbers have prefix of m
				
                             	if ($USERS_QST{$order}{answer} == $correct_answer) {
           				if ($RETURN{$qst}{submissions} == 1) {
                                                &mark_mc("correct","1","correct_answer","$correct_answer","answers","$answers","users_answer","$USERS_QST{$order}{answer}","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc");
                                                
						push(@results,"$index_pt2"."=1"); #correct answer
						}
					$score = $score + $QUESTIONS_IN_QST{$quest_no}{value};
					++$correct;
                             		}
                             		
                             	elsif ($USERS_QST{$order}{answer} eq"") {
           				if ($RETURN{$qst}{submissions} == 1) {
	                                	&mark_mc("na","1","users_answer","$USERS_QST{$order}{answer}","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc");
	                                	
						push(@results,"$index_pt2"."=3"); #no answer
						++$na;
						}
					} 
					
                             	elsif ($USERS_QST{$order}{answer} != $correct_answer) {
           				if ($RETURN{$qst}{submissions} == 1) {
	                                	&mark_mc("wrong","1","users_answer","$USERS_QST{$order}{answer}","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc");
	                                	
						push(@results,"$index_pt2"."=0"); #incorrect answer
						++$wrong;
						} 
                                 	}
                                 	
				$ENTERED_QUESTIONS{$quest_no} = "$fake_real_no";
        	   		if ($RETURN{$qst}{submissions} == 1) {
	                       		print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
					}
                       		}
                 	++$index_pt2;
			}
           	if ($RETURN{$qst}{submissions} == 1) { # submitted qst is viewable
			my $pass;
			foreach my $piece(@results) {
				$pass = "$pass".","."$piece";
				}
			$pass =~ s/^,//;
                 	print "</TABLE></FORM>\n";
  			&print_form("form_name","form1","form_target","right_bot","input","qst_mark","done","1","score","$score","qst_total","$RETURN2{$qst}{marks}","pass","$pass","to_mark","$number_to_mark","na","$na","correct","$correct","wrong","$wrong","value_of_quests_to_be_marked","$valu_of_quests_to_be_marked","index_to_quest_no","$index_to_quest_no","u_id","$u_id","session_id","$session_id");
			print"<img src=\"/schools/blank.gif\" onLoad=\"load_right\(\)\">\n";
			}
		}
	else {
		print "<center><P><img src=\"/schools/x.gif\"><B> No results available.</b></center><P> \n";
		}
	}

######################
#
# STATS
#
######################
sub stats{
	my %STAT = @_;
	$STAT{qst_id} =~ s/\D//g;
	$STAT{class_id} =~ s/\D//g;
	$STAT{s_id} =~ s/\D//g;

	my %TF = ();
	my %MC = ();
	my %MA = ();
	my %SA = ();
	my %P = ();
	my %MX = ();
	my %YN = ();
	my $total_correct = 0;
	my $total_incorrect = 0;
	my $total_noans = 0;
	my $total_partial = 0;
	my $index = 1;
	my $query;
	my $query1;
	my $query3;
	my $query2;
	my $query4;
	my $query5;
	my $qst_score;
	
	my %QUESTION_CORRECT_ANSWERS = ();
	my %NUMBERS = ();
        my %MX_QUESTION_CORRECT_ANSWERS = ();
        my %MX_QUESTIONS = ();
        my %MX_QUESTION_TEXT = ();
        my %MA_QUESTIONS = ();
        my %MA_QUESTION_CORRECT_ANSWERS = ();
        my %QUEST_INFO_PASS = ();
        my %QUEST_MX_PASS = ();
        my %STUDENTS_WITH_CORRECT_ANSWER = ();
        my %STUDENTS_WITH_INCORRECT_ANSWER = ();
        my %STUDENTS_WITH_NO_ANSWER = ();
        my %STUDENTS_WITH_PARTIAL_ANSWER = ();
        my %STUDENT_DETAILS = ();
        my %I_STUDENTS = ();
        my %STUDENT_NAMES = ();
        my %STUDENTS_QST_SCORES = ();
        my %QUESTIONS_IN_QST = ();
        
        &print_style_sheet();
        
        &print_sticky_style2();
        
        &print_collapse_the_display();
        
	&print_javascript_begin();
	
	print"function view_quest_handler\(i_n,index,to_pass\)\{
	document.form1.number.value=i_n
	document.form1.index.value=index
	document.form1.topass.value=to_pass
	document.form1.submit\(\)
	\}\n";
	
	print"function qst_stats_show\(\) \{
	if\(displaystat.style.display ==\"none\"\) \{
	displaystat.style.display=\"block\"\;
	\}
	else \{
		displaystat.style.display=\"none\"\;
	\}
	\}\n";

        &javascript_show_stuff();
	
	print"function view_incorrect_handler\(i_n,index,students\)\{
	alert(\"     $LANGUAGE{$set_language}{Question} \"+index+ \"\\n$LANGUAGE{$set_language}{IncorrectAnswers}\:\\n\" +students)
	\}\n";
	
	print"function view_noans_handler\(i_n,index,students\)\{
	alert(\" $LANGUAGE{$set_language}{Question} \"+index+ \"\\n$LANGUAGE{$set_language}{NoAnswers}\:\\n\" +students)
	\}\n";
	
	print"function view_partial_handler\(i_n,index,students\)\{
	alert(\"    $LANGUAGE{$set_language}{Question} \"+index+ \"\\nPartial Marks\:\\n\" +students)
	\}\n";
	
	&print_javascript_end();

	# Check instructor has access
	if(defined $USER{$ids}{$STAT{class_id}}) {
		$query = "SELECT number,type from questions WHERE ";
		$query1 = "SELECT quest_no,value from qst_questions WHERE qst_no=\"$STAT{qst_id}\" AND \(";
		$query3 = "SELECT number,q_order,answer,c_answer from question_answers WHERE c_answer=\"1\" AND \(";
		$query2 = "SELECT u_id,quest_no,answer,mark from qsts WHERE qst=\"$STAT{qst_id}\" AND \(";
		$query4 = "SELECT u_id,f_name,l_name,u_name,institute_id from users WHERE \(";
		$query5 = "SELECT u_id,qst,mark,marked,bonus from qst_scores WHERE qst=\"$STAT{qst_id}\" AND \(";

		# get the score for the QST
		$qst_score = &select10("query","select marks from qst WHERE number=\"$STAT{qst_id}\" AND u_id=\"$ids\"");

		#get the users in class
		%I_STUDENTS = &select_class_users("class_id","$STAT{class_id}");

		# delete the instructor and get the students names
		delete($I_STUDENTS{$STAT{u_id}});

		foreach my $stu(keys %I_STUDENTS) {
       		         $query4 = "$query4"." "."u_id=\"$stu\" OR";
       		         $query5 = "$query5"." "."u_id=\"$stu\" OR";
       		         }
       		$query4 =~ s/ OR$/)/;
       		$query5 =~ s/ OR$/)/;
		%STUDENT_NAMES = &select_names("query4","$query4");

		# get students scores
		%STUDENTS_QST_SCORES = &select_many_qst_scores("query","$query5");

		#get the questions in the qst
		%QUESTIONS_IN_QST = &select_qst_questions_order_and_info("qst_no","$STAT{qst_id}");
		}


	print"<TABLE width=\"100%\" $action_bar><TR><TD><font color=\"white\"><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{STATS} &nbsp\;&nbsp\;&nbsp\;&nbsp\; $STAT{assign_name}</font> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\; </b></TD><TD width=\"40\"></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B><font color=\"white\" onClick=\"self.parent.close\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close}</font> </B></TD></TABLE><BR>\n";

	### Nothing to print as no HASHES get built if user has no access
	
	foreach my $order(keys %QUESTIONS_IN_QST) {
		foreach my $quest_no(keys %{$QUESTIONS_IN_QST{$order}{quest_no}}) {
			$query = "$query"." "."number=\"$quest_no\" OR";
			$query1 = "$query1"." "."quest_no=\"$quest_no\" OR";
			}
		}
	$query =~ s/ OR$//;
	$query1 =~ s/ OR$/)/;

	#get the questions value
	my %QUESTIONS_VALUE = &select4("query","$query1");

	#get the questions type
	my %QUESTIONS = &select4("query","$query");
	foreach my $key(keys %QUESTIONS) {
		if($QUESTIONS{$key} eq"TF") {
			$TF{$key} = {correct => 0,incorrect => 0,noans => 0};
			}
			
                elsif($QUESTIONS{$key} eq"YN") {
			$YN{$key} = {correct => 0,incorrect => 0,noans => 0};
			}
			
		elsif($QUESTIONS{$key} eq"MC") {
			$MC{$key} = {correct => 0,incorrect => 0,noans => 0};
			}
			
                elsif($QUESTIONS{$key} eq"MA") {
			$MA{$key} = {correct => 0,incorrect => 0,noans => 0};
			$MA_QUESTIONS{$key} = $key;
			}
                
                elsif($QUESTIONS{$key} eq"MX") {
			$MX{$key} = {correct => 0,incorrect => 0,noans => 0};
			$MX_QUESTIONS{$key} = $key;
			}
			
		elsif($QUESTIONS{$key} eq"SA") {
			$SA{$key} = {correct => 0,incorrect => 0,partial => 0,noans => 0};
			}
			
		elsif($QUESTIONS{$key} eq"P") {
			$P{$key} = {correct => 0,incorrect => 0, partial => 0,noans => 0};
			}
			
		$query3 = "$query3"." "."number=\"$key\" OR";
		$NUMBERS{$key} = {number => 0};
		}
	$query3 =~ s/ OR$/)/;

	#get the correct answers to the questions
	%QUESTION_CORRECT_ANSWERS = &select13("query","$query3");
    
        #get all answers for the matching questions
        if(keys %MX_QUESTIONS) {
                my $query4 = "SELECT number,q_order,answer from question_answers WHERE c_answer=\"1\" AND \(";
                foreach my $ke(keys %MX_QUESTIONS) {
                        $query4 = "$query4"." "."number=\"$ke\" OR";
                        }
                $query4 =~ s/ OR$/)/;
                %MX_QUESTION_CORRECT_ANSWERS = &select16("query","$query4");
                }

	#get the text for matching questions;
	if(keys %MX_QUESTIONS) {
                my $query5 = "SELECT number,q_order,answer from question_answers WHERE c_answer=\"0\" AND \(";
                foreach my $ke(keys %MX_QUESTIONS) {
                        $query5 = "$query5"." "."number=\"$ke\" OR";
                        }
                $query5 =~ s/ OR$/)/;
                %MX_QUESTION_TEXT = &select16("query","$query5");
                }

	#get all answers for the multiple answer questions
	if(keys %MA_QUESTIONS) {
                my $query6 = "SELECT number,q_order from question_answers WHERE c_answer=\"1\" AND \(";
                foreach my $ke(keys %MA_QUESTIONS) {
                        $query6 = "$query6"." "."number=\"$ke\" OR";
                        }
                $query6 =~ s/ OR$/)/;
                %MA_QUESTION_CORRECT_ANSWERS = &select17("query","$query6");
                }
	
	
	#get the students submitted qst
	foreach my $key(keys %I_STUDENTS) {
		$query2 = "$query2"." "."u_id=\"$key\" OR";
		}
	$query2 =~ s/ OR$/)/;
	my %STUDENTS_QSTS = &select_users_qst1("query","$query2");
	my $submitted = keys %STUDENTS_QSTS;
	
	# get question groups
	my %GROUPS = &select4("query","select quest_no,q_select from qst_questions where qst_no=\"$STAT{qst_id}\"");
	
	my %QUEST_GROUPS = &select18("query","select q_order,quest_no,q_select from qst_questions where qst_no=\"$STAT{qst_id}\"");


	print"<TABLE width=\"100%\"><TR><TD>$LANGUAGE{$set_language}{Submitted}\: &nbsp\;<B>$submitted</B></TD><TD align=\"right\"><B STYLE=\"cursor: pointer\;\" data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{DownloadDetails} \" onClick=\"javascript:qst_stats_show()\"><font size=\"-1\"><img src=\"/schools/download.jpg\" border=\"0\"> $LANGUAGE{$set_language}{QSTDetails}</font></B> &nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD></TR></TABLE><BR>\n";

	print"<div ID=\"displaystat\" style=\"display:none\"><BR>$LANGUAGE{$set_language}{CopyandPastetheinfobelowintoyourspreadsheetprogramandsaveasqstcsv} <BR><BR>\n";
	
	# PRINT THE BOX WITH THE CONTENT
	print"<textarea rows=\"10\" cols=\"85\" value=\"\">
$STAT{assign_name}   $qst_score $LANGUAGE{$set_language}{Marks}
$LANGUAGE{$set_language}{Institutionid},$LANGUAGE{$set_language}{UserName},$LANGUAGE{$set_language}{CompleteName},$LANGUAGE{$set_language}{Correct},$LANGUAGE{$set_language}{Incorrect},$LANGUAGE{$set_language}{NoAnswers},$LANGUAGE{$set_language}{Partialmarks},$LANGUAGE{$set_language}{Score}\n";
	
	foreach my $key(keys %STUDENTS_QSTS) {
		foreach my $quest(keys %{$STUDENTS_QSTS{$key}{quests}}) {
			++$NUMBERS{$quest}{number};
			if(exists $TF{$quest}) {
				if($STUDENTS_QSTS{$key}{quests}{$quest}{answer} eq"$QUESTION_CORRECT_ANSWERS{$quest}{answer}") {
                                        $STUDENTS_WITH_CORRECT_ANSWER{$quest}{$key} = 1;
                        		++$TF{$quest}{correct};
                        		++$total_correct;
                        		++$STUDENT_DETAILS{$key}{correct};
					}
				elsif ($STUDENTS_QSTS{$key}{quests}{$quest}{answer} eq"") {
                                        $STUDENTS_WITH_NO_ANSWER{$quest}{$key} = 1;
					++$TF{$quest}{noans};
					++$total_noans;
					++$STUDENT_DETAILS{$key}{noans};
					}
				else {
                                        $STUDENTS_WITH_INCORRECT_ANSWER{$quest}{$key} = 1;
					++$TF{$quest}{incorrect};
					++$total_incorrect;
					++$STUDENT_DETAILS{$key}{incorrect};
					}
				}
				
                        elsif(exists $YN{$quest}) {
				if($STUDENTS_QSTS{$key}{quests}{$quest}{answer} eq"$QUESTION_CORRECT_ANSWERS{$quest}{answer}") {
                                        $STUDENTS_WITH_CORRECT_ANSWER{$quest}{$key} = 1;
                        		++$YN{$quest}{correct};
                        		++$total_correct;
                        		++$STUDENT_DETAILS{$key}{correct};
					}
				elsif ($STUDENTS_QSTS{$key}{quests}{$quest}{answer} eq"") {
                                        $STUDENTS_WITH_NO_ANSWER{$quest}{$key} = 1;
					++$YN{$quest}{noans};
					++$total_noans;
					++$STUDENT_DETAILS{$key}{noans};
					}
				else {
                                        $STUDENTS_WITH_INCORRECT_ANSWER{$quest}{$key} = 1;
					++$YN{$quest}{incorrect};
					++$total_incorrect;
					++$STUDENT_DETAILS{$key}{incorrect};
					}
				}
				
			elsif(exists $MC{$quest}) {
				if($STUDENTS_QSTS{$key}{quests}{$quest}{answer} == $QUESTION_CORRECT_ANSWERS{$quest}{q_order}) {
                                        $STUDENTS_WITH_CORRECT_ANSWER{$quest}{$key} = 1;
					++$MC{$quest}{correct};
					++$total_correct;
					++$QUEST_INFO_PASS{$quest}{qorder}{$QUESTION_CORRECT_ANSWERS{$quest}{q_order}};
					++$STUDENT_DETAILS{$key}{correct};
					}
				elsif($STUDENTS_QSTS{$key}{quests}{$quest}{answer} eq"") {
                                        $STUDENTS_WITH_NO_ANSWER{$quest}{$key} = 1;
					++$MC{$quest}{noans};
					++$total_noans;
					++$STUDENT_DETAILS{$key}{noans};
					}
				else {
                                        $STUDENTS_WITH_INCORRECT_ANSWER{$quest}{$key} = 1;
					++$MC{$quest}{incorrect};
					++$total_incorrect;
					++$QUEST_INFO_PASS{$quest}{qorder}{$STUDENTS_QSTS{$key}{quests}{$quest}{answer}};
					++$STUDENT_DETAILS{$key}{incorrect};
					}
                        	}

                        elsif(exists $MA{$quest}) {
                                my $correct_ma = 0;
                                my %STUDENT_ANS = ();

                                if($STUDENTS_QSTS{$key}{quests}{$quest}{answer} ne "") {

                                        my @students_answers = split(/\,/,$STUDENTS_QSTS{$key}{quests}{$quest}{answer});
                                        foreach my $ke(@students_answers) {
                                                $STUDENT_ANS{$ke} = $ke;
                                                ++$QUEST_INFO_PASS{$quest}{qorder}{$ke};
                                                }

                                        foreach my $ans(keys %{$MA_QUESTION_CORRECT_ANSWERS{$quest}}) {
                                                if(defined $STUDENT_ANS{$ans}) {
                                                        delete($STUDENT_ANS{$ans});
                                                        }
                                                else {
                                                        $correct_ma = 1;
                                                        }
                                                }
                                        if(keys %STUDENT_ANS) {
                                                $correct_ma = 1;
                                                }
                                        }
                                else {
                                        $correct_ma = 3;
                                        $STUDENTS_WITH_NO_ANSWER{$quest}{$key} = 1;
                                        ++$MA{$quest}{noans};
					++$total_noans;
					++$STUDENT_DETAILS{$key}{noans};
                                        }

				if($correct_ma == 0) {
                                        $STUDENTS_WITH_CORRECT_ANSWER{$quest}{$key} = 1;
					++$MA{$quest}{correct};
					++$total_correct;
					++$STUDENT_DETAILS{$key}{correct};
					}
				elsif($correct_ma == 1) {
                                        $STUDENTS_WITH_INCORRECT_ANSWER{$quest}{$key} = 1;
					++$MA{$quest}{incorrect};
					++$total_incorrect;
					++$STUDENT_DETAILS{$key}{incorrect};
					}
                        	}
                        	
			elsif(exists $SA{$quest}) {
				if($STUDENTS_QSTS{$key}{quests}{$quest}{answer} eq"") {
                                        $STUDENTS_WITH_NO_ANSWER{$quest}{$key} = 1;
					++$SA{$quest}{noans};
					++$total_noans;
					++$STUDENT_DETAILS{$key}{noans};
					}
				elsif ($STUDENTS_QSTS{$key}{quests}{$quest}{mark} == $QUESTIONS_VALUE{$quest}) {
                                        $STUDENTS_WITH_CORRECT_ANSWER{$quest}{$key} = 1;
					++$SA{$quest}{correct};
					++$total_correct;
					++$STUDENT_DETAILS{$key}{correct};
					}
				elsif ($STUDENTS_QSTS{$key}{quests}{$quest}{mark} == 0) {
                                        $STUDENTS_WITH_INCORRECT_ANSWER{$quest}{$key} = 1;
					++$SA{$quest}{incorrect};
					++$total_incorrect;
					++$STUDENT_DETAILS{$key}{incorrect};
					}
				else {
                                        $STUDENTS_WITH_PARTIAL_ANSWER{$quest}{$key} = 1;
					++$SA{$quest}{partial};
					++$total_partial;
					++$STUDENT_DETAILS{$key}{partialans};
					}
				}
                        
                         elsif(exists $MX{$quest}) {
                                my $correct = 0;
                                my %STUDENTS_ANSWER =();
                                my @students_answer = split(/\n/,$STUDENTS_QSTS{$key}{quests}{$quest}{answer});
                                foreach my $a(@students_answer) {
                                        my @ans = split(/=/,$a);
                                        $STUDENTS_ANSWER{$ans[0]} = $ans[1];
                                        ++$QUEST_INFO_PASS{$quest}{qorder}{$ans[0]}{$ans[1]};
                                        ++$QUEST_MX_PASS{$quest}{$ans[0]}{$ans[1]};
                                        }
                        
                                if(keys %STUDENTS_ANSWER) { 
                                        foreach my $ans(keys %{$MX_QUESTION_TEXT{$quest}}) {
                                                if($STUDENTS_ANSWER{$ans} eq "$MX_QUESTION_CORRECT_ANSWERS{$quest}{$ans}{answer}") {

                                                        }
                                                else {
                                                        $correct = 1;
                                                        }
                                                }
                                        }
                                else {
                                        $STUDENTS_WITH_NO_ANSWER{$quest}{$key} = 1;
                                        ++$MX{$quest}{noans};
					++$total_noans;
					$correct = 3;
					++$STUDENT_DETAILS{$key}{noans};
                                        }

                               # MX_QUESTION_CORRECT_ANSWERS
				if($correct == 0) {
                                        $STUDENTS_WITH_CORRECT_ANSWER{$quest}{$key} = 1;
					++$MX{$quest}{correct};
					++$total_correct;
					++$STUDENT_DETAILS{$key}{correct};
					}

				elsif($correct == 1) {
                                        $STUDENTS_WITH_INCORRECT_ANSWER{$quest}{$key} = 1;
					++$MX{$quest}{incorrect};
					++$total_incorrect;
					++$STUDENT_DETAILS{$key}{incorrect};
					}
                        	}
                        	
			elsif(exists $P{$quest}) {
				if($STUDENTS_QSTS{$key}{quests}{$quest}{answer} eq"") {
                                        $STUDENTS_WITH_NO_ANSWER{$quest}{$key} = 1;
					++$P{$quest}{noans};
					++$total_noans;
					++$STUDENT_DETAILS{$key}{noans};
					}
				elsif ($STUDENTS_QSTS{$key}{quests}{$quest}{mark} == $QUESTIONS_VALUE{$quest}) {
                                        $STUDENTS_WITH_CORRECT_ANSWER{$quest}{$key} = 1;
					++$P{$quest}{correct};
					++$total_correct;
					++$STUDENT_DETAILS{$key}{correct};
					}
				elsif ($STUDENTS_QSTS{$key}{quests}{$quest}{mark} == 0) {
                                        $STUDENTS_WITH_INCORRECT_ANSWER{$quest}{$key} = 1;
					++$P{$quest}{incorrect};
					++$total_incorrect;
					++$STUDENT_DETAILS{$key}{incorrect};
					}
				else {
                                        $STUDENTS_WITH_PARTIAL_ANSWER{$quest}{$key} = 1;
					++$P{$quest}{partial};
					++$total_partial;
					++$STUDENT_DETAILS{$key}{partialans};
					}
				}
			}
		}
		
	# Print the box contents
	foreach my $person(keys %STUDENT_NAMES) {
		print"$STUDENT_NAMES{$person}{institute_id},$STUDENT_NAMES{$person}{u_name},$STUDENT_NAMES{$person}{name},$STUDENT_DETAILS{$person}{correct},$STUDENT_DETAILS{$person}{incorrect},$STUDENT_DETAILS{$person}{noans},$STUDENT_DETAILS{$person}{partialans},$STUDENTS_QST_SCORES{$person}{qst}{$STAT{qst_id}}{mark}\n";
		}
		
	print"</textarea><BR><BR></div>\n";

	print"<TABLE>
	<TR><TD align=\"center\" colspan=\"3\" valign=\"top\">$LANGUAGE{$set_language}{Totalsforclass}:</TD>
	<TD align=\"center\" valign=\"top\">$total_correct</TD>
	<TD align=\"center\" valign=\"top\">$total_incorrect</TD>
	<TD align=\"center\" valign=\"top\">$total_noans</TD>
	<TD align=\"center\" valign=\"top\">$total_partial</TD>
	<TD align=\"center\" valign=\"top\">$submitted</TD></TR>
	<TR><th><B>$LANGUAGE{$set_language}{Question} </B></th><th align=\"center\"><B> &nbsp\;$LANGUAGE{$set_language}{Type} &nbsp\;</B></th><th align=\"center\">&nbsp\;<B>$LANGUAGE{$set_language}{Value}</B>&nbsp\;</th><th align=\"center\">&nbsp\;&nbsp\; $image15 &nbsp\;&nbsp\;</th><th align=\"center\"> &nbsp\;&nbsp\;$image18 &nbsp\;&nbsp\; </th><th align=\"center\">&nbsp\;&nbsp\;$image17 &nbsp\;&nbsp\;</th><th align=\"center\">&nbsp\;&nbsp\;<font color=\"#808080\">P</font>&nbsp\;&nbsp\;</th><th align=\"center\">&nbsp\;&nbsp\;#&nbsp\;&nbsp\;</th></TR>\n";

	my $i = 1;
	my $show = 1;
	
	foreach my $ques(sort {$a<=>$b} keys %QUESTIONS_IN_QST) {
		print"<TR><TD align=\"center\" valign=\"top\">\n";
		print"$i \n";
		my $index = 0;
		my $group = 0;
		foreach my $quest(keys %{$QUESTIONS_IN_QST{$ques}{quest_no}}) {
			if($GROUPS{$quest} >= 1) {
				$group = $GROUPS{$quest} - 1;
				}
			last;
			}
			
		if($group >= 1) {
			$i = $i + $group;
			print"-$i\n";
			}
			
		print"</TD>\n";
		
		foreach my $quest_no(sort {$a<=>$b} keys %{$QUESTIONS_IN_QST{$ques}{quest_no}}) {
			if($GROUPS{$quest_no} > 1 && $group) {
			
				}
			if (defined $QUESTIONS{$quest_no}) {
                                my $to_pass;
                                if(keys  %{$QUEST_INFO_PASS{$quest_no}{qorder}}) {
                                        foreach my $q(keys %{$QUEST_INFO_PASS{$quest_no}{qorder}}) {
                                                $to_pass = "$to_pass".","."$q"."|"."$QUEST_INFO_PASS{$quest_no}{qorder}{$q}"; 
                                                }
                                        }
                                $to_pass =~ s/^\,//;
                                
                                if(exists $QUEST_MX_PASS{$quest_no}) { # Matching questions
                                        $to_pass = "";
                                        
                                        foreach my $ke(keys %{$QUEST_INFO_PASS{$quest_no}{qorder}}) {
                                                foreach my $k(keys %{$QUEST_INFO_PASS{$quest_no}{qorder}{$ke}}) {
                                                        $to_pass = "$to_pass"."~"."$ke"."|"."$k"."|"."$QUEST_INFO_PASS{$quest_no}{qorder}{$ke}{$k}";
                                                        }
                                                }

                                        $to_pass =~ s/^\~//;
                                        }
                                        
				if($index > 0) {
					print"<TR><TD align=\"center\"></TD><TD align=\"center\" valign=\"top\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestionstats}\" OnClick=\"view_quest_handler\(\'$quest_no\','$i','$to_pass'\)\" STYLE=\"cursor:pointer\">\n";
					}
				else {
					print"<TD align=\"center\" valign=\"top\"><B data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestionstats}\" OnClick=\"view_quest_handler\(\'$quest_no\','$i','$to_pass'\)\" STYLE=\"cursor:pointer\">\n";
					}
					
					if ($QUESTIONS{$quest_no} =~ /TF/) {
						print"TF</B></TD><TD align=\"center\" valign=\"top\"><font size=\"-1\">$QUESTIONS_VALUE{$quest_no}</font></TD>
						<TD align=\"center\" valign=\"top\">\n";
						if($TF{$quest_no}{correct} > 0) {
                                                        my $correct_students;
                                                        if(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                        $correct_students = "$correct_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $correct_students =~ s/^<BR>//;
                                                        
                                                        print"<font color=\"green\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewcorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$TF{$quest_no}{correct}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$correct_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"> ";
						
						if($TF{$quest_no}{incorrect} > 0) {
                                                        my $incorrect_students;
                                                        if(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                        $incorrect_students = "$incorrect_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $incorrect_students =~ s/^<BR>//;
 
                                                        print"<font color=\"red\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewincorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$TF{$quest_no}{incorrect}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$incorrect_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"> \n";
						
						if($TF{$quest_no}{noans} > 0) {
                                                        my $noans_students;
                                                        if(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                        $noans_students = "$noans_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $noans_students =~ s/^<BR>//;
                                                        
                                                        print"<font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewnoanswer}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$TF{$quest_no}{noans}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$noans_students</font></TD></TABLE></span> \n";
							++$show;
							}
							
						print"</TD><TD align=\"center\" valign=\"top\"></TD>
						<TD align=\"center\" valign=\"top\"> \n";
						
						if($NUMBERS{$quest_no}{number} > 0) {
							print"$NUMBERS{$quest_no}{number} \n";
							}
						print"</TD></TR>\n";
						}
						
                                        elsif ($QUESTIONS{$quest_no} =~ /YN/) {
						print"YN</B></TD><TD align=\"center\" valign=\"top\"><font size=\"-1\">$QUESTIONS_VALUE{$quest_no}</font></TD>
						<TD align=\"center\" valign=\"top\">\n";
						if($YN{$quest_no}{correct} > 0) {
                                                        my $correct_students;
                                                        if(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                        $correct_students = "$correct_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $correct_students =~ s/^<BR>//;
                                                        
                                                        print"<font color=\"green\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewcorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$YN{$quest_no}{correct}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$correct_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"> ";
						
						if($YN{$quest_no}{incorrect} > 0) {
                                                        my $incorrect_students;
                                                        if(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                        $incorrect_students = "$incorrect_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $incorrect_students =~ s/^<BR>//;
 
                                                        print"<font color=\"red\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewincorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$YN{$quest_no}{incorrect}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$incorrect_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"> \n";
						
						if($YN{$quest_no}{noans} > 0) {
                                                        my $noans_students;
                                                        if(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                        $noans_students = "$noans_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $noans_students =~ s/^<BR>//;
                                                        
                                                        print"<font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewnoanswer}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$YN{$quest_no}{noans}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$noans_students</font></TD></TABLE></span> \n";
							++$show;
							}
							
						print"</TD><TD align=\"center\" valign=\"top\"></TD>
						<TD align=\"center\" valign=\"top\"> \n";
						
						if($NUMBERS{$quest_no}{number} > 0) {
							print"$NUMBERS{$quest_no}{number} \n";
							}
						print"</TD></TR>\n";
						}
						
					elsif ($QUESTIONS{$quest_no} =~ /MC/) {
						print"MC</B></TD><TD align=\"center\" valign=\"top\"><font size=\"-1\">$QUESTIONS_VALUE{$quest_no}</font></TD><TD align=\"center\" valign=\"top\"> \n";
						if($MC{$quest_no}{correct} > 0) {
                                                        my $correct_students;
                                                        if(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                        $correct_students = "$correct_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $correct_students =~ s/^<BR>//;
                                                        
							print"<font color=\"green\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewcorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$MC{$quest_no}{correct}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$correct_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\">";
						
						if($MC{$quest_no}{incorrect} > 0) {
                                                        my $incorrect_students;
                                                        if(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                        $incorrect_students = "$incorrect_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $incorrect_students =~ s/^<BR>//;
                                                        
							print"<font color=\"red\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewincorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$MC{$quest_no}{incorrect}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$incorrect_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\">\n";
						
						if($MC{$quest_no}{noans} > 0) {
                                                        my $noans_students;
                                                        if(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                        $noans_students = "$noans_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $noans_students =~ s/^<BR>//;
                                                        
							print"<font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewnoanswer}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$MC{$quest_no}{noans}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$noans_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"></TD>
						<TD align=\"center\" valign=\"top\"> \n";
						
						if($NUMBERS{$quest_no}{number} > 0) {
							print"$NUMBERS{$quest_no}{number} \n";
							}
						print"</TD></TR>\n";

						}
					
					elsif ($QUESTIONS{$quest_no} =~ /MA/) {
						print"MA</B></TD><TD align=\"center\" valign=\"top\"><font size=\"-1\">$QUESTIONS_VALUE{$quest_no}</font></TD><TD align=\"center\" valign=\"top\"> \n";
						if($MA{$quest_no}{correct} > 0) {
                                                        my $correct_students;
                                                        if(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                        $correct_students = "$correct_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $correct_students =~ s/^<BR>//;
                                                        
							print"<font color=\"green\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewcorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$MA{$quest_no}{correct}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$correct_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\">";
						
						if($MA{$quest_no}{incorrect} > 0) {
                                                        my $incorrect_students;
                                                        if(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                        $incorrect_students = "$incorrect_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $incorrect_students =~ s/^<BR>//;
                                                        
							print"<font color=\"red\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewincorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$MA{$quest_no}{incorrect}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$incorrect_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\">\n";
						
						if($MA{$quest_no}{noans} > 0) {
                                                        my $noans_students;
                                                        if(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                        $noans_students = "$noans_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $noans_students =~ s/^<BR>//;
                                                        
							print"<font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewnoanswer}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$MA{$quest_no}{noans}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$noans_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"></TD>
						<TD align=\"center\" valign=\"top\"> \n";
						
						if($NUMBERS{$quest_no}{number} > 0) {
							print"$NUMBERS{$quest_no}{number} \n";
							}
						print"</TD></TR>\n";
						}
                                        
                                        elsif ($QUESTIONS{$quest_no} =~ /MX/) {
						print"MX</B></TD><TD align=\"center\" valign=\"top\"><font size=\"-1\">$QUESTIONS_VALUE{$quest_no}</font></TD><TD align=\"center\" valign=\"top\"> \n";
						if($MX{$quest_no}{correct} > 0) {
                                                        my $correct_students;
                                                        if(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                        $correct_students = "$correct_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $correct_students =~ s/^<BR>//;
                                                        
							print"<font color=\"green\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewcorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$MX{$quest_no}{correct}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$correct_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\">";
						
						if($MX{$quest_no}{incorrect} > 0) {
                                                         my $incorrect_students;
                                                        if(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                        $incorrect_students = "$incorrect_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $incorrect_students =~ s/^<BR>//;
                                                        
							print"<font color=\"red\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewincorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$MX{$quest_no}{incorrect}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$incorrect_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\">\n";
						
						if($MX{$quest_no}{noans} > 0) {
                                                        my $noans_students;
                                                        if(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                        $noans_students = "$noans_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $noans_students =~ s/^<BR>//;
                                                        
							print"<font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewnoanswer}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$MX{$quest_no}{noans}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$noans_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"></TD>
						<TD align=\"center\" valign=\"top\"> \n";
						
						if($NUMBERS{$quest_no}{number} > 0) {
							print"$NUMBERS{$quest_no}{number} \n";
							}
						print"</TD></TR>\n";
						}
						
					elsif ($QUESTIONS{$quest_no} =~ /SA/) {
						print"SA</B></TD><TD align=\"center\" valign=\"top\"><font size=\"-1\">$QUESTIONS_VALUE{$quest_no}</font></TD><TD align=\"center\" valign=\"top\"> \n";
						if($SA{$quest_no}{correct} > 0) {
                                                        my $correct_students;
                                                        if(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                        $correct_students = "$correct_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $correct_students =~ s/^<BR>//;
                                                        
							print"<font color=\"green\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewcorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$SA{$quest_no}{correct}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$correct_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"> \n";
						
						if($SA{$quest_no}{incorrect} > 0) {
                                                        my $incorrect_students;
                                                        if(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                        $incorrect_students = "$incorrect_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $incorrect_students =~ s/^<BR>//;
                                                        
							print"<font color=\"red\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewincorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$SA{$quest_no}{incorrect}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$incorrect_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"> \n";
						
						if($SA{$quest_no}{noans} > 0) {
                                                        my $noans_students;
                                                        if(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                        $noans_students = "$noans_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $noans_students =~ s/^<BR>//;
                                                        
							print"<font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewnoanswer}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$SA{$quest_no}{noans}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$noans_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"> \n";
						
						if($SA{$quest_no}{partial} > 0) {
                                                        my $partial_students;
                                                        if(keys %{$STUDENTS_WITH_PARTIAL_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_PARTIAL_ANSWER{$quest_no}}) {
                                                                        $partial_students = "$partial_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $partial_students =~ s/^<BR>//;
                                                        
							print"<font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewpartial}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$SA{$quest_no}{partial}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$partial_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"> \n";
						
						if($NUMBERS{$quest_no}{number} > 0) {
							print"$NUMBERS{$quest_no}{number} \n";
							}
						print"</TD></TR>";
						}
						
					elsif ($QUESTIONS{$quest_no} =~ /P/) {
						print"P</B></TD><TD align=\"center\" valign=\"top\"><font size=\"-1\">$QUESTIONS_VALUE{$quest_no}</font></TD><TD align=\"center\" valign=\"top\"> \n";
						if($P{$quest_no}{correct} > 0) {
                                                        my $correct_students;
                                                        if(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_CORRECT_ANSWER{$quest_no}}) {
                                                                        $correct_students = "$correct_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $correct_students =~ s/^<BR>//;
                                                        
							print"<font color=\"green\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewcorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$P{$quest_no}{correct}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$correct_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"> \n";
						
						if($P{$quest_no}{incorrect} > 0) {
                                                         my $incorrect_students;
                                                        if(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_INCORRECT_ANSWER{$quest_no}}) {
                                                                        $incorrect_students = "$incorrect_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $incorrect_students =~ s/^<BR>//;
                                                        
							print"<font color=\"red\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewincorrect}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$P{$quest_no}{incorrect}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$incorrect_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"> \n";
						
						if($P{$quest_no}{noans} > 0) {
                                                        my $noans_students;
                                                        if(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_NO_ANSWER{$quest_no}}) {
                                                                        $noans_students = "$noans_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $noans_students =~ s/^<BR>//;
                                                        
							print"<font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewnoanswer}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$P{$quest_no}{noans}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$noans_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"> \n";
						
						if($P{$quest_no}{partial} > 0) {
                                                         my $partial_students;
                                                        if(keys %{$STUDENTS_WITH_PARTIAL_ANSWER{$quest_no}}) {
                                                                foreach my $stu(keys %{$STUDENTS_WITH_PARTIAL_ANSWER{$quest_no}}) {
                                                                        $partial_students = "$partial_students"."<BR>"."$STUDENT_NAMES{$stu}{name}";
                                                                        }
                                                                }
                                                        $partial_students =~ s/^<BR>//;
                                                        
                                                        print"<font data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewpartial}\" OnClick=\"Show_Stuff(document.getElementById('display$show'))\" STYLE=\"cursor:pointer\">";
							print"$P{$quest_no}{partial}</font><span ID=\"display$show\" style=\"display:none\"><table><TD><font size=\"-1\">$partial_students</font></TD></TABLE></span> \n";
							++$show;
							}
						print"</TD><TD align=\"center\" valign=\"top\"> \n";
						
						if($NUMBERS{$quest_no}{number} > 0) {
							print"$NUMBERS{$quest_no}{number} \n";
							}
						print"</TD></TR>";
						}
				print"</TD></TR>\n";
				}
			++$index;
			}
		++$i;
		}
	print"</TABLE>\n";

  	&print_form("form_name","form1","form_target","qst_right","input","stats_view_quest","topass","","index","","number","","from","8","u_id","$STAT{u_id}","session_id","$STAT{session_id}");
	}

######################
#
# SURVEY_STATS
#
######################
sub survey_stats{
	my %SS = @_;
	$SS{qst_id} =~ s/\D//g;
	$SS{class_id} =~ s/\D//g;
	$SS{type} =~ s/\D//g;
	$SS{s_id} =~ s/\D//g;
	my %TF = ();
	my %MC = ();
	my %MA = ();
	my %SA = ();
	my %P = ();
	my %AD = ();
	my %YN = ();
	my $index = 1;
	my $query = "SELECT number,type from questions WHERE ";
	my $query1 = "SELECT number,question from questions WHERE ";
	my $query2 = "SELECT u_id,quest_no,answer,mark from qsts WHERE qst=\"$SS{qst_id}\" AND \(";
	my $query3 = "SELECT quest_no,q_order from qst_questions where qst_no=\"$SS{qst_id}\" AND u_id=\"$ids\"";
	my $query5 = "SELECT number from question_answers WHERE ";
	my $query6 = "SELECT answer from qsts WHERE qst=\"$SS{qst_id}\" AND \(";
	my %NUMBERS = ();
        my %MC_ANSWERS = ();
        my %MA_ANSWERS = ();
        
	&print_javascript_begin();
	print"function view_quest_handler\(i_n\)\{
	document.form1.input.value=\'view_quest\'
	document.form1.number.value=i_n
	document.form1.submit\(\)
	\}\n";

	print"function view_survey_ans\(i_n,order\)\{
	document.form1.input.value=\'view_survey_answers\'
	document.form1.number.value=i_n
	document.form1.q_order.value=order
	document.form1.submit\(\)
	\}\n";

	&print_javascript_end();

	my @color = ("orange","blue");
	my %COLOR = ("1","$color[0]","2","$color[1]","3","$color[0]","4","$color[1]","5","$color[0]","6","$color[1]","7","$color[0]","8","$color[1]","9","$color[0]","10","$color[1]");
	
	#get students in class
	my %I_STUDENTS = &select_class_users("class_id","$SS{class_id}");

	print"$page_top <B> Survey $LANGUAGE{$set_language}{STATS} - <font color=\"white\"><B> $SS{assign_name}</font></font> &nbsp\;&nbsp\; <P></b></TD><TD width=\"40\"></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B><font color=\"white\" onClick=\"self.parent.close\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close}</font> </B></TD>
	</TABLE><P>\n";

	#get the questions in the qst
	my %QUESTIONS_IN_QST = &select5("query","$query3");

	foreach my $order(keys %QUESTIONS_IN_QST) {
		$query = "$query"." "."number=\"$QUESTIONS_IN_QST{$order}\" OR";
		$query1 = "$query1"." "."number=\"$QUESTIONS_IN_QST{$order}\" OR";
		}
	$query =~ s/ OR$//;
	$query1 =~ s/ OR$//;
	
	#get the questions type
	my %QUESTIONS = &select4("query","$query");
	
	#get the number of MC questions answers
	my $mc_ther;
	foreach my $mc(keys %QUESTIONS) {
                if($QUESTIONS{$mc} eq"MC") {
                        $query5 = "$query5"." "."number=\"$mc\" OR";
                        $mc_ther = 1;
                        }
                }
        $query5 =~ s/ OR$//;
        if($mc_ther == 1) {
                %MC_ANSWERS = &get_the_number_of_answers("query","$query5");
                }
                
        #get the number of MA questions answers per question
	my $ma_ther;
	foreach my $ma(keys %QUESTIONS) {
                if($QUESTIONS{$ma} eq"MA") {
                        $query6 = "$query6"." "."quest_no=\"$ma\" OR";
                        $ma_ther = 1;
                        }
                }

        $query6 =~ s/ OR$/)/;
        if($ma_ther == 1) {
                %MA_ANSWERS = &get_the_number_of_ma_answers("query","$query6");
                }
                
                
	#get the students submitted qst
	foreach my $key(keys %I_STUDENTS) {
		$query2 = "$query2"." "."u_id=\"$key\" OR";
		}
	$query2 =~ s/ OR$/)/;
	my %STUDENTS_QSTS = &select_users_qst1("query","$query2");
	my $submitted = keys %STUDENTS_QSTS;
	
	print"$LANGUAGE{$set_language}{Submitted}\: &nbsp\;<B>$submitted</B><P>\n";

	# setup frequency bar
	my $bar = 1;
	if($submitted < 101) {
		$bar = 2;
		}

	foreach my $key(keys %STUDENTS_QSTS) {
		foreach my $quest(keys %{$STUDENTS_QSTS{$key}{quests}}) {
			++$NUMBERS{$quest}{number};
			
			# get the numbers for each answer
			if($QUESTIONS{$quest} eq"TF") {
				if ($STUDENTS_QSTS{$key}{quests}{$quest}{answer} eq"T") {
					++$TF{$quest}{T};
					}
				elsif ($STUDENTS_QSTS{$key}{quests}{$quest}{answer} eq"F") {
					++$TF{$quest}{F};
					}
				}
				
                        elsif($QUESTIONS{$quest} eq"YN") {
				if ($STUDENTS_QSTS{$key}{quests}{$quest}{answer} eq"Y") {
					++$YN{$quest}{Y};
					}
				elsif ($STUDENTS_QSTS{$key}{quests}{$quest}{answer} eq"N") {
					++$YN{$quest}{N};
					}
				}
				
			elsif($QUESTIONS{$quest} eq"MC") {
				++$MC{$quest}{$STUDENTS_QSTS{$key}{quests}{$quest}{answer}};
                        	}
                        	
                        elsif($QUESTIONS{$quest} eq"MA") {
				++$MA{$quest}{$STUDENTS_QSTS{$key}{quests}{$quest}{answer}};
                        	}
                        	
			elsif($QUESTIONS{$quest} eq"AD") {
				++$AD{$quest}{$STUDENTS_QSTS{$key}{quests}{$quest}{answer}};
				}
			}
		}
		
	print"<TABLE><TR><TD align=\"left\"><B>$LANGUAGE{$set_language}{Question} </B></TD><TD align=\"left\"></TD></TR>\n";
	
	my $i = 1;
	
	foreach my $ques(sort {$a<=>$b} keys %QUESTIONS_IN_QST) {
		my $t_color = 0;
		my $f_color = 0;
		if($TF{$QUESTIONS_IN_QST{$ques}}{T} > $TF{$QUESTIONS_IN_QST{$ques}}{F}) {
			$t_color = 1;
			}
		elsif ($TF{$QUESTIONS_IN_QST{$ques}}{T} < $TF{$QUESTIONS_IN_QST{$ques}}{F}) {
			$f_color = 1;
			}
			
		print"<TR><TD align=\"center\">\n";
		print"<B  data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" OnClick=\"view_quest_handler\(\'$QUESTIONS_IN_QST{$ques}\'\)\" STYLE=\"cursor:pointer\">\n";
		
		if ($QUESTIONS{$QUESTIONS_IN_QST{$ques}} =~ /TF/) {
			print"$i</B></TD><TD>\n";
			print"<TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font size=\"-2\"><font color=\"#808080\">T</font>&nbsp\;&nbsp\;$TF{$QUESTIONS_IN_QST{$ques}}{T}</font>&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$color[$t_color]\"";
			my $T = "$TF{$QUESTIONS_IN_QST{$ques}}{T}";
			my $freq_bar = $bar * $T;
			print" width =\"$freq_bar\">\n";
			print"</TD></TR></TABLE>\n";
			print"<TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font size=\"-2\"><font color=\"#808080\">F</font>&nbsp\;&nbsp\;$TF{$QUESTIONS_IN_QST{$ques}}{F}</font>&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$color[$f_color]\"";
			my $F = "$TF{$QUESTIONS_IN_QST{$ques}}{F}";
			my $freq_bar = $bar * $F;
			print" width =\"$freq_bar\">\n";
			print"</TD></TR></TABLE></TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
			}
			
                if ($QUESTIONS{$QUESTIONS_IN_QST{$ques}} =~ /YN/) {
			print"$i</B></TD><TD>\n";
			print"<TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font size=\"-2\"><font color=\"#808080\">Y</font>&nbsp\;&nbsp\;$YN{$QUESTIONS_IN_QST{$ques}}{Y}</font>&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$color[$t_color]\"";
			my $Y = "$YN{$QUESTIONS_IN_QST{$ques}}{Y}";
			my $freq_bar = $bar * $Y;
			print" width =\"$freq_bar\">\n";
			print"</TD></TR></TABLE>\n";
			print"<TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font size=\"-2\"><font color=\"#808080\">N</font>&nbsp\;&nbsp\;$YN{$QUESTIONS_IN_QST{$ques}}{N}</font>&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$color[$f_color]\"";
			my $N = "$YN{$QUESTIONS_IN_QST{$ques}}{N}";
			my $freq_bar = $bar * $N;
			print" width =\"$freq_bar\">\n";
			print"</TD></TR></TABLE></TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
			}
			
		elsif ($QUESTIONS{$QUESTIONS_IN_QST{$ques}} =~ /MA/) {
                        # get the number of answers available
                        my %MA_QUERY = &select5("query","select number,q_order from question_answers where number=\"$QUESTIONS_IN_QST{$ques}\"");
                        my $cols = keys(%MA_QUERY);
                        
			print"$i</B></TD><TD><font size=\"-1\">\n";
			
			my $number = 0;
			my $index = 0;
			my $to_change = 0;
			my @answers;
			foreach my $key(keys %{$MA{$QUESTIONS_IN_QST{$ques}}}) {
                                if($key =~ /,/) {
                                        @answers = split(/\,/, $key);
                                        foreach my $piece(@answers) {
                                                ++$MA{$QUESTIONS_IN_QST{$ques}}{$piece};
                                                }
                                        }

				if($index == 0) {
					if($MA{$QUESTIONS_IN_QST{$ques}}{$key} > $number) {
						$number = "$MA{$QUESTIONS_IN_QST{$ques}}{$key}";
						}
					}
				else {
					if($MA{$QUESTIONS_IN_QST{$ques}}{$key} == $number) {
						}

					if($MA{$QUESTIONS_IN_QST{$ques}}{$key} > $number) {
						$number = "$MA{$QUESTIONS_IN_QST{$ques}}{$key}";
						}
					}
				++$index;
				}

			
			for(my $io =1; $io <= $cols; ++$io) {
                                print"<TABLE cellspacing=\"0\" cellpadding=\"0\">";
				print"<TR><TD align=\"left\" width=\"40\"><font size=\"-1\" color=\"#808080\">$lalpha_bet[$io]</font></font>&nbsp\;&nbsp\;<font size=\"-2\">$MA{$QUESTIONS_IN_QST{$ques}}{$io}</font></TD><TD align=\"left\" bgcolor=\"$COLOR{$io}\"";

				my $num = $MA{$QUESTIONS_IN_QST{$ques}}{$io};
				my $freq_bar = $bar * $num;
				print" width =\"$freq_bar\">\n";
				print"</TD></TR></TABLE>\n";
				}

			print"</TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
			}
			
                elsif ($QUESTIONS{$QUESTIONS_IN_QST{$ques}} =~ /MC/) {
                        # get the number of answers available
                        my %MC_QUERY = &select5("query","select number,q_order from question_answers where number=\"$QUESTIONS_IN_QST{$ques}\"");
                        my $cols = keys(%MC_QUERY);
                        
			print"$i</B></TD><TD><font size=\"-1\">\n";
			my $number = 0;
			my $index = 0;

			foreach my $key(keys %{$MC{$QUESTIONS_IN_QST{$ques}}}) {
				if($index == 0) {
					if($MC{$QUESTIONS_IN_QST{$ques}}{$key} > $number) {
						$number = "$MC{$QUESTIONS_IN_QST{$ques}}{$key}";
						}
					}
				else {
					if($MC{$QUESTIONS_IN_QST{$ques}}{$key} == $number) {
						}

					if($MC{$QUESTIONS_IN_QST{$ques}}{$key} > $number) {
						$number = "$MC{$QUESTIONS_IN_QST{$ques}}{$key}";
						}
					}
				++$index;
				}
				
			for(my $io =1; $io <= $cols; ++$io) {
				print"<TABLE cellspacing=\"0\" cellpadding=\"0\">";
				print"<TR><TD align=\"left\" width=\"40\"><font color=\"#808080\">$lalpha_bet[$io]</font></font>&nbsp\;&nbsp\;<font size=\"-2\">$MC{$QUESTIONS_IN_QST{$ques}}{$io}</font></TD><TD align=\"left\" bgcolor=\"$COLOR{$io}\"";
				my $num = $MC{$QUESTIONS_IN_QST{$ques}}{$io};
				my $freq_bar = $bar * $num;
				print" width =\"$freq_bar\">\n";
				print"</TD></TR>";
				}
			print"</TABLE></TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
			}
			
		elsif ($QUESTIONS{$QUESTIONS_IN_QST{$ques}} =~ /SA/) {
			print"$i</B></TD><TD><font STYLE=\"cursor:pointer\" onClick=\"view_survey_ans\(\'$QUESTIONS_IN_QST{$ques}\',\'$i\'\)\">$LANGUAGE{$set_language}{ViewAnswers}</font>\n";
			print"</TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
			}
			
		elsif ($QUESTIONS{$QUESTIONS_IN_QST{$ques}} =~ /P/) {
			print"$i</B></TD><TD><font STYLE=\"cursor:pointer\" onClick=\"view_survey_ans\(\'$QUESTIONS_IN_QST{$ques}\',\'$i\'\)\">$LANGUAGE{$set_language}{ViewAnswers}</font>\n";
			print"</TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
			}
			
		elsif ($QUESTIONS{$QUESTIONS_IN_QST{$ques}} =~ /AD/) {
			print"$i</B></TD><TD>\n";
			my @sd = ("xx","SA","A","N","D","SD");
			my $number = 0;
			my $index = 0;

			foreach my $key(keys %{$AD{$QUESTIONS_IN_QST{$ques}}}) {
				if($index == 0) {
					if($AD{$QUESTIONS_IN_QST{$ques}}{$key} > $number) {
						$number = "$AD{$QUESTIONS_IN_QST{$ques}}{$key}";
						}
					}
				else {
					if($AD{$QUESTIONS_IN_QST{$ques}}{$key} == $number) {
						}

					if($AD{$QUESTIONS_IN_QST{$ques}}{$key} > $number) {
						$number = "$AD{$QUESTIONS_IN_QST{$ques}}{$key}";
						}
					}
				++$index;
				}

			for(my $in =1; $in < 6; ++$in) {
				print"<TABLE cellspacing=\"0\" cellpadding=\"0\">";
				print"<TR><TD align=\"left\" width=\"40\"><font color=\"#808080\" SIZE=\"-2\">$sd[$in]</font>&nbsp\;&nbsp\;<font size=\"-2\">$AD{$QUESTIONS_IN_QST{$ques}}{$in}</font></TD><TD align=\"left\" bgcolor=\"$COLOR{$in}\"";
				my $num = $AD{$QUESTIONS_IN_QST{$ques}}{$in};
				my $freq_bar = $bar * $num;
				print" width =\"$freq_bar\">\n";
				print"</TD></TR>";
				}
			print"</TABLE></font></TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
			}
		++$i;
		}
	print"</TABLE>\n";
        
        &print_form("form_name","form1","form_target","qst_right","input","view_quest","number","","from","8","type","$SS{type}","qst_id","$SS{qst_id}","class_id","$SS{class_id}","q_order","","u_id","$SS{u_id}","session_id","$SS{session_id}","stats","1");
	}

######################
#
# BRANCH_STATS
#
######################
sub branch_stats{
	my %SS = @_;
	$SS{qst_id} =~ s/\D//g;
	$SS{class_id} =~ s/\D//g;
	$SS{type} =~ s/\D//g;
	$SS{s_id} =~ s/\D//g;

	my %TF = ();
	my %MC = ();
	my %YN = ();
	my %MA = ();
	my %AD = ();
	
	my $query = "SELECT number,type from questions WHERE ";
	my $query1 = "SELECT number,descrip from questions WHERE ";
	my $query2 = "SELECT u_id,quest_no,answer,mark,referer from qsts WHERE qst=\"$SS{qst_id}\" AND \(";
	my $query3 = "SELECT quest_no,q_order from qst_questions where q_order <>\"0\" AND qst_no=\"$SS{qst_id}\" AND u_id=\"$ids\"";
	my $query4 = "SELECT quest_no,q_order,branching,referer from qst_questions where qst_no=\"$SS{qst_id}\" AND u_id=\"$ids\"";
	my $query5 = "SELECT number from question_answers WHERE ";
	my $query6 = "SELECT answer from qsts WHERE qst=\"$SS{qst_id}\" AND \(";
	my $query7 = "SELECT number,mode from questions WHERE ";
	
	my $num = 1;
	my %NUMBERS = ();
	my %MC_ANSWERS = ();
        my %MA_ANSWERS = ();
        
	&print_javascript_begin();
	
	print"function view_quest_handler\(i_n\)\{
	document.form1.input.value=\'view_quest\'
	document.form1.number.value=i_n
	document.form1.submit\(\)
	\}\n";

	print"function view_survey_ans\(i_n,order\)\{
	document.form1.input.value=\'view_survey_answers\'
	document.form1.number.value=i_n
	document.form1.q_order.value=order
	document.form1.submit\(\)
	\}\n";

	&print_javascript_end();

	my @color = ("orange","blue"); ##808080"#CCCCCC);
	my %COLOR = ("1","$color[0]","2","$color[1]","3","$color[0]","4","$color[1]","5","$color[0]","6","$color[1]","7","$color[0]","8","$color[1]","9","$color[0]","10","$color[1]");
	
	#get students in class
	my %I_STUDENTS = &select_class_users("class_id","$SS{class_id}");

	print"<TABLE width=\"100%\" $action_bar><TR><TD><font color=\"white\"><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{STATS}&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;  $SS{assign_name}</font> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\; </b></TD><TD width=\"40\"></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B><font color=\"white\" STYLE=\"cursor:pointer\" onClick=\"self.parent.close\(\)\">$LANGUAGE{$set_language}{Close}</font> </B></TD>";
        
	print"</TABLE><BR>\n";

	#get the primary questions in the qst
	my %PRIMARY_QUESTIONS_IN_QST = &select5("query","$query3");

	#get all the questions
        my %QST_QUESTIONS = &select_all_branching_questions("query","$query4");
        
        foreach my $num(keys %QST_QUESTIONS) {
		$query = "$query"." "."number=\"$num\" OR";
		$query1 = "$query1"." "."number=\"$num\" OR";
		$query7 = "$query7"." "."number=\"$num\" OR";
		}

	$query =~ s/ OR$//;
        $query1 =~ s/ OR$//;
	$query7 =~ s/ OR$//;
	
	#get the questions type
	my %QUESTIONS_TYPE = &select4("query","$query");

	#get the questions mode
	my %QUESTIONS_MODE = &select4("query","$query");
	
	#get the actual descriptions
	my %QUESTIONS = &select4("query","$query1");

	
	#get the number of MC questions answers per question
	my $mc_ther;
	foreach my $mc(keys %QUESTIONS_TYPE) {
                if($QUESTIONS_TYPE{$mc} eq"MC") {
                        $query5 = "$query5"." "."number=\"$mc\" OR";
                        $mc_ther = 1;
                        }
                }
        $query5 =~ s/ OR$//;
        if($mc_ther == 1) {
                %MC_ANSWERS = &get_the_number_of_answers("query","$query5");
                }
	
	#get the number of MA questions answers per question
	my $ma_ther;
	foreach my $ma(keys %QUESTIONS_TYPE) {
                if($QUESTIONS_TYPE{$ma} eq"MA") {
                        $query6 = "$query6"." "."quest_no=\"$ma\" OR";
                        $ma_ther = 1;
                        }
                }

        $query6 =~ s/ OR$/)/;
        if($ma_ther == 1) {
                %MA_ANSWERS = &get_the_number_of_ma_answers("query","$query6");
                }
	
	#get the students submitted qsts
	foreach my $key(keys %I_STUDENTS) {
		$query2 = "$query2"." "."u_id=\"$key\" OR";
		}
	$query2 =~ s/ OR$/)/;
	my %STUDENTS_QSTS = &select_users_qst_and_referers("query","$query2");
	my $submitted = keys %STUDENTS_QSTS;
	
	print"$LANGUAGE{$set_language}{Submitted}\: &nbsp\;<B>$submitted</B><P>\n";

	
	# setup frequency bar
	my $bar = 1;
	if($submitted < 101) {
		$bar = 2;
		}


        if($submitted > 0) {
                # get the totals for each questions answers
                foreach my $key(keys %STUDENTS_QSTS) {
                        foreach my $quest(keys %{$STUDENTS_QSTS{$key}{quests}}) {
                                foreach my $referer(keys %{$STUDENTS_QSTS{$key}{quests}{$quest}{referer}}) {
                                        ++$NUMBERS{$quest}{number};
                                
                                        # Calculate the numbers
                                        if($QUESTIONS_TYPE{$quest} eq"TF") {
                                                if ($STUDENTS_QSTS{$key}{quests}{$quest}{referer}{$referer}{answer} eq"T") {
                                                        ++$TF{$quest}{referer}{$referer}{T};
                                                        }
                                                elsif ($STUDENTS_QSTS{$key}{quests}{$quest}{referer}{$referer}{answer} eq"F") {
                                                        ++$TF{$quest}{referer}{$referer}{F};
                                                        }
                                                }
                                        
                                        elsif($QUESTIONS_TYPE{$quest} eq"YN") {
                                                if ($STUDENTS_QSTS{$key}{quests}{$quest}{referer}{$referer}{answer} eq"Y") {
                                                        ++$YN{$quest}{referer}{$referer}{Y};
                                                        }
                                                elsif ($STUDENTS_QSTS{$key}{quests}{$quest}{referer}{$referer}{answer} eq"N") {
                                                        ++$YN{$quest}{referer}{$referer}{N};
                                                        }
                                                }
				
                                        elsif($QUESTIONS_TYPE{$quest} eq"MC") {
                                                ++$MC{$quest}{referer}{$referer}{$STUDENTS_QSTS{$key}{quests}{$quest}{referer}{$referer}{answer}};
                                                }
                                        
                                        elsif($QUESTIONS_TYPE{$quest} eq"MA") {
                                                my @ma_ans = split(/\,/,$STUDENTS_QSTS{$key}{quests}{$quest}{referer}{$referer}{answer});
                                                foreach my $ans(@ma_ans) {
                                                        ++$MA{$quest}{referer}{$referer}{$ans};
                                                        }
                                                }
                                        
                                        elsif($QUESTIONS_TYPE{$quest} eq"AD") {
                                                ++$AD{$quest}{referer}{$referer}{$STUDENTS_QSTS{$key}{quests}{$quest}{referer}{$referer}{answer}};
                                                }
                                        }
                                }
                        }
		}
		
		
    #### PRINT THE QUESTIONS
	print"<TABLE><TR><TD align=\"left\"><B>$LANGUAGE{$set_language}{Question} </B></TD><TD align=\"left\"></TD></TR>\n";
	
	my $i = 1;
                
	# sort primary questions
	foreach my $ques(sort {$a<=>$b} keys %PRIMARY_QUESTIONS_IN_QST) { 
                my $numer = 1;
                my $t_color = 0;
                my $f_color = 1;
                my $pquestion;
                
                if($QUESTIONS{$PRIMARY_QUESTIONS_IN_QST{$ques}} ne "") {
                        $pquestion = substr($QUESTIONS{$PRIMARY_QUESTIONS_IN_QST{$ques}},0,20);
                        }
                else {
                        $pquestion = "IMAGE\/LINK";
                        }
                        
                print"<TR><TD align=\"center\"><B>\n";
                        
        
        ####### PRINT THE QUESTION AND ANSWERS
                if ($QUESTIONS_TYPE{$PRIMARY_QUESTIONS_IN_QST{$ques}} =~ /TF/) {
                        my $T = "$TF{$PRIMARY_QUESTIONS_IN_QST{$ques}}{referer}{0}{T}";
                        my $freq_bar_t = $bar * $T;
                        
                        my $F = "$TF{$PRIMARY_QUESTIONS_IN_QST{$ques}}{referer}{0}{F}";
                        my $freq_bar_f = $bar * $F;
                        
                        print"$i</B>&nbsp\;<textarea style=\"resize:none\; cursor:pointer\; overflow:auto\; border-color: Transparent\; font-family:Arial\; font-size: 11pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" OnClick=\"view_quest_handler\(\'$PRIMARY_QUESTIONS_IN_QST{$ques}\'\)\" readonly rows=\"1\" cols=\"20\" >$pquestion</textarea></TD><TD><TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font size=\"-2\"><font color=\"#808080\">T</font>&nbsp\;&nbsp\;$T</font>&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$color[$t_color]\" width =\"$freq_bar_t\"></TD></TR></TABLE><TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font size=\"-2\"><font color=\"#808080\">F</font>&nbsp\;&nbsp\;$F</font>&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$color[$f_color]\"width =\"$freq_bar_f\"></TD></TR></TABLE></TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
                        }
                        
                elsif ($QUESTIONS_TYPE{$PRIMARY_QUESTIONS_IN_QST{$ques}} =~ /YN/) {
                        my $Y = "$YN{$PRIMARY_QUESTIONS_IN_QST{$ques}}{referer}{0}{Y}";
                        my $freq_bar_y = $bar * $Y;
                        
                        my $N = "$YN{$PRIMARY_QUESTIONS_IN_QST{$ques}}{referer}{0}{N}";
                        my $freq_bar_n = $bar * $N;
                        
                        print"$i</B>&nbsp\;<textarea style=\"resize:none\; overflow:auto\; cursor:pointer\; border-color: Transparent\; font-family:Arial\; font-size: 11pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" OnClick=\"view_quest_handler\(\'$PRIMARY_QUESTIONS_IN_QST{$ques}\'\)\"readonly rows=\"1\" cols=\"20\">$pquestion</textarea></TD><TD><TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font size=\"-2\"><font color=\"#808080\">Y</font>&nbsp\;&nbsp\;$Y</font>&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$color[$t_color]\"width =\"$freq_bar_y\"></TD></TR></TABLE><TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font size=\"-2\"><font color=\"#808080\">N</font>&nbsp\;&nbsp\;$N</font>&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$color[$f_color]\" width =\"$freq_bar_n\"></TD></TR></TABLE></TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
                        }
                        
                elsif ($QUESTIONS_TYPE{$PRIMARY_QUESTIONS_IN_QST{$ques}} =~ /MC/) {
                        print"$i</B>&nbsp\;<textarea style=\"resize:none\; overflow:auto\; cursor:pointer\; border-color: Transparent\; font-family:Arial\; font-size: 11pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" OnClick=\"view_quest_handler\(\'$PRIMARY_QUESTIONS_IN_QST{$ques}\'\)\" readonly rows=\"1\" cols=\"20\">$pquestion</textarea></TD><TD><font size=\"-1\">\n";

                        for(my $io =1; $io <= $MC_ANSWERS{$PRIMARY_QUESTIONS_IN_QST{$ques}}; ++$io) {
                                my $num = $MC{$PRIMARY_QUESTIONS_IN_QST{$ques}}{referer}{0}{$io};
                                print"<TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font color=\"#808080\" size=\"-1\">$lalpha_bet[$io] </font></font>&nbsp\;&nbsp\;<font size=\"-2\">$num</font></TD><TD align=\"left\" bgcolor=\"$COLOR{$io}\"";
                                
                                my $freq_bar = $bar * $num;
                                print" width =\"$freq_bar\"></TD></TR>";
                                }
                                        
                        print"</TABLE></TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
                        }

                elsif ($QUESTIONS_TYPE{$PRIMARY_QUESTIONS_IN_QST{$ques}} =~ /MA/) {
                        # get the number of answers
                        my %MA_QUERY = &select5("query","select number,q_order from question_answers where number=\"$PRIMARY_QUESTIONS_IN_QST{$ques}\"");
                        my $cols = keys(%MA_QUERY);
                        
                        print"$i</B>&nbsp\;<textarea style=\"resize:none\; overflow:auto\; cursor:pointer\; border-color: Transparent\; font-family:Arial\; font-size: 11pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" OnClick=\"view_quest_handler\(\'$PRIMARY_QUESTIONS_IN_QST{$ques}\'\)\" readonly rows=\"1\" cols=\"20\">$pquestion</textarea></TD><TD><font size=\"-1\">\n";
			
                        for(my $io =1; $io <= $cols; ++$io) {
                                print"<TABLE cellspacing=\"0\" cellpadding=\"0\">";
                                print"<TR><TD align=\"left\" width=\"40\"><font size=\"-1\" color=\"#808080\">$lalpha_bet[$io]</font></font>&nbsp\;&nbsp\;<font size=\"-2\">$MA{$PRIMARY_QUESTIONS_IN_QST{$ques}}{referer}{0}{$io}</font></TD><TD align=\"left\" bgcolor=\"$COLOR{$io}\"";

                                my $num = $MA{$PRIMARY_QUESTIONS_IN_QST{$ques}}{referer}{0}{$io};
                                my $freq_bar = $bar * $num;
                                print" width =\"$freq_bar\">\n";
                                print"</TD></TR></TABLE>\n";
                                }

                        print"</TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
                        }

                elsif ($QUESTIONS_TYPE{$PRIMARY_QUESTIONS_IN_QST{$ques}} =~ /AD/) {
                        my @sd = ("xx","SA","A","N","D","SD");

                        print"$i</B>&nbsp\;<textarea style=\"resize:none\; overflow:auto\; cursor:pointer\; border-color: Transparent\; font-family:Arial\; font-size: 11pt\;\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" OnClick=\"view_quest_handler\(\'$PRIMARY_QUESTIONS_IN_QST{$ques}\'\)\" readonly rows=\"1\" cols=\"20\">$pquestion</textarea></TD><TD><font size=\"-1\">\n";

                        for(my $in =1; $in < 6; ++$in) {
                                my $num = $AD{$PRIMARY_QUESTIONS_IN_QST{$ques}}{referer}{0}{$in};
                                
                                print"<TABLE cellspacing=\"0\" cellpadding=\"0\">";
                                print"<TR><TD align=\"left\" width=\"40\"><font color=\"#808080\" SIZE=\"-2\">$sd[$in]</font>&nbsp\;&nbsp\;<font size=\"-2\">$num</font></TD><TD align=\"left\" bgcolor=\"$COLOR{$in}\"";

                                my $freq_bar = $bar * $num;
                                print" width =\"$freq_bar\">\n";
                                print"</TD></TR>";
                                }
                        print"</TABLE></font></TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
                        }


			
                # display their branching questions
                if ($QST_QUESTIONS{$PRIMARY_QUESTIONS_IN_QST{$ques}}{referer}{0}{branching} ne "" ) { 
                        &stat_branch("branch","$QST_QUESTIONS{$PRIMARY_QUESTIONS_IN_QST{$ques}}{referer}{0}{branching}","referer","$PRIMARY_QUESTIONS_IN_QST{$ques}");
                                
                    
                        sub stat_branch { # recursively goes through the primary questions branches
                                my %B = @_;
                                my @branch = split(/\,/,$B{branch});
                                my $referer = $B{referer};
                                my @bran;
                                
                                foreach my $piece(@branch) {
                                        my @branching = split(/=/,$piece);
                                        if($branching[1] > 0) {
                                                push(@bran,$branching[1]);
                                                
                                                my $bquestion = substr($QUESTIONS{$branching[1]},0,20);

                                                print"<TR><TD align=\"right\">"; 
                                                        
                                                if ($QUESTIONS_TYPE{$branching[1]} =~ /TF/) {
                                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<textarea style=\"cursor:pointer\; resize:none\; overflow:auto\; border-color: Transparent\; font-family:Arial\; font-size: 11pt\;\" readonly rows=\"1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" OnClick=\"view_quest_handler\(\'$branching[1]\'\)\" cols=\"20\">$bquestion</textarea>";

                                                        my $T = "$TF{$branching[1]}{referer}{$referer}{T}";
                                                        my $freq_bar_t = $bar * $T;
                                                        my $F = "$TF{$branching[1]}{referer}{$referer}{F}";
                                                        my $freq_bar_f = $bar * $F;
                                                        
                                                        print"</TD><TD><TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font size=\"-2\"><font color=\"#808080\">T</font>&nbsp\;&nbsp\;$T</font>&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$color[$t_color]\"";
                                                        
                                                        print" width =\"$freq_bar_t\"></TD></TR></TABLE><TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font size=\"-2\"><font color=\"#808080\">F</font>&nbsp\;&nbsp\;$F</font>&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$color[$f_color]\"";
                                                        print" width =\"$freq_bar_f\"></TD></TR></TABLE></TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
                                                        }
                                                        
                                                elsif ($QUESTIONS_TYPE{$branching[1]} =~ /YN/) {
                                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<textarea style=\"cursor:pointer\; overflow:auto\; resize:none\; border-color: Transparent\; font-family:Arial\; font-size: 11pt\;\" readonly rows=\"1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" OnClick=\"view_quest_handler\(\'$branching[1]\'\)\" cols=\"20\">$bquestion</textarea>";
                                                                                                                
                                                        my $Y = "$YN{$branching[1]}{referer}{$referer}{Y}";
                                                        my $freq_bar_y = $bar * $Y;
                                                        my $N = "$YN{$branching[1]}{referer}{$referer}{N}";
                                                        my $freq_bar_n = $bar * $N;
                                                        
                                                        print"</font></TD><TD><TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font size=\"-2\"><font color=\"#808080\">Y</font>&nbsp\;&nbsp\;$Y</font>&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$color[$t_color]\"";
                                                        
                                                        print" width =\"$freq_bar_y\"></TD></TR></TABLE><TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\" width=\"40\"><font size=\"-2\"><font color=\"#808080\">N</font>&nbsp\;&nbsp\;$N</font>&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$color[$f_color]\"";
                                                        print" width =\"$freq_bar_n\"></TD></TR></TABLE></TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
                                                        }
                                                        
                                                elsif ($QUESTIONS_TYPE{$branching[1]} =~ /MC/) {
                                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<textarea style=\"cursor:pointer\; overflow:auto\; resize:none\; border-color: Transparent\; font-family:Arial\; font-size: 11pt\;\" readonly rows=\"1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" OnClick=\"view_quest_handler\(\'$branching[1]\'\)\" cols=\"20\">$bquestion</textarea></TD><TD>";

                                                        
                                                        for(my $io =1; $io <= $MC_ANSWERS{$branching[1]}; ++$io) {
                                                                my $num = $MC{$branching[1]}{referer}{$referer}{$io};
                                                                
                                                                print"<TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\"></TD><TD align=\"left\" width=\"40\"><font color=\"#808080\" size=\"-1\">$lalpha_bet[$io]</font>&nbsp\;&nbsp\;<font size=\"-2\">$num</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$COLOR{$io}\"";
                                                                
                                                                my $freq_bar = $bar * $num;
                                                                print" width =\"$freq_bar\"></TD></TR></TABLE>";
                                                                }
                                        
                                                        print"</TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
                                                        }
                                                        
                                                elsif ($QUESTIONS_TYPE{$branching[1]} =~ /MA/) {
                                                        my %MA_QUERY = &select5("query","select number,q_order from question_answers where number=\"$branching[1]\"");
                                                        my $cols = keys(%MA_QUERY);
                                                        
                                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<textarea style=\"cursor:pointer\; overflow:auto\; resize:none\; border-color: Transparent\; font-family:Arial\; font-size: 11pt\;\" readonly rows=\"1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" OnClick=\"view_quest_handler\(\'$branching[1]\'\)\" cols=\"20\">$bquestion</textarea></TD><TD>";
                                                        
                                                        for(my $io =1; $io <= $cols; ++$io) {
                                                                my $num = 0;
                                                                $num = $MA{$branching[1]}{referer}{$referer}{$io};
                                                                print"<TABLE cellspacing=\"0\" cellpadding=\"0\"><TR><TD align=\"left\"></TD><TD align=\"left\" width=\"40\"><font color=\"#808080\" size=\"-1\">$lalpha_bet[$io]</font>&nbsp\;&nbsp\;<font size=\"-2\">$num</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TD><TD align=\"left\" bgcolor=\"$COLOR{$io}\"";
                                                                
                                                                my $freq_bar = $bar * $num;
                                                                print" width =\"$freq_bar\"></TD></TR></TABLE>";
                                                                }
                                        
                                                        print"</TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
                                                        }
                                                        
                                                elsif ($QUESTIONS_TYPE{$branching[1]} =~ /AD/) {
                                                        my @sd = ("xx","SA","A","N","D","SD");

                                                        print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<textarea style=\"cursor:pointer\; overflow:auto\; resize:none\; border-color: Transparent\; font-family:Arial\; font-size: 11pt\;\" readonly rows=\"1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" OnClick=\"view_quest_handler\(\'$branching[1]\'\)\" cols=\"20\">$bquestion</textarea></TD><TD>";
                                                        
                                                        for(my $in =1; $in < 6; ++$in) {
                                                                my $num = $AD{$branching[1]}{referer}{$referer}{$in};
                                                                
                                                                print"<TABLE cellspacing=\"0\" cellpadding=\"0\">";
                                                                print"<TR><TD align=\"left\" width=\"40\"><font color=\"#808080\" SIZE=\"-2\">$sd[$in]</font>&nbsp\;&nbsp\;<font size=\"-2\">$num</font></TD><TD align=\"left\" bgcolor=\"$COLOR{$in}\"";
                                                                
                                                                my $freq_bar = $bar * $num;
                                                                print" width =\"$freq_bar\">\n";
                                                                print"</TD></TR>";
                                                                }
                                                        print"</TABLE></font></TD></TR><TR><TD><TD>  - - - - - </TD></TR>\n";
                                                        }

                                                }
                                        }
                                                
                                while(@bran > 0) {
                                        my $br = pop(@bran);

                                        if($QST_QUESTIONS{$br}{referer}{$referer}{branching} ne "") {
                                                ++$numer;
                                                &stat_branch("branch","$QST_QUESTIONS{$br}{referer}{$referer}{branching}","referer","$br");
                                                }
                                        }
                                        
                                $numer = 1;
                                }
                                
                                
                                
                        }                
                ++$i;
                }

        print"</TABLE>\n";

        &print_form("form_name","form1","form_target","qst_right","input","view_quest","number","","from","8","type","$SS{type}","qst_id","$SS{qst_id}","class_id","$SS{class_id}","q_order","","u_id","$SS{u_id}","session_id","$SS{session_id}","branching","1","stats","1");
	}
        
######################
#
# VIEW_SURVEY_ANSWERS
#
######################
sub view_survey_answers{
	my %VSA = @_;
	$VSA{qst_id} =~ s/\D//g;
	$VSA{class_id} =~ s/\D//g;
	$VSA{type} =~ s/\D//g;
	$VSA{number} =~ s/\D//g;
	$VSA{q_order} =~ s/\D//g;

	if(exists $USER{$ids}{$VSA{class_id}}) {
		# check qst is for the class
		my $count = 0;
		my $query = "SELECT COUNT(*) from qst_to_classes WHERE qst=\"$VSA{qst_id}\" AND class_id=\"$VSA{class_id}\" AND type=\"2\"";
		$count = &is_there_generic2("query","$query");
		if($count == 1) { # qst is for class and is a survey
			my $query2 = "SELECT u_id,answer from qsts WHERE qst=\"$VSA{qst_id}\" AND quest_no=\"$VSA{number}\"";
			my $query3 = "SELECT number,question from questions where number=\"$VSA{number}\" AND u_id=\"$ids\"";

			print"$image1 <B> $LANGUAGE{$set_language}{ViewAnswers}</font></b></TD><TD></TD></TABLE><P>\n";

			#get the question
			my %QUESTION = &select4("query","$query3");

			#get the students answers for the question
			my %STUDENTS_QUESTION_ANSWERS = &select4("query","$query2");

			print"<B>Question\: &nbsp\;&nbsp\;$VSA{q_order}</B><BR>&nbsp\; $QUESTION{$VSA{number}} <BR><P><P>\n";
		
			my $i = 1;
			print"<B>Answers\:</B><BR><TABLE>\n";
			
			foreach my $key(keys %STUDENTS_QUESTION_ANSWERS) {
				if($STUDENTS_QUESTION_ANSWERS{$key} ne"") {
					print"<TR><TD valign=\"top\"><B>$i. &nbsp\;&nbsp\;</B></TD><TD valign=\"top\"> $STUDENTS_QUESTION_ANSWERS{$key} <BR></TD></TR>\n";
					++$i;
					}
				}
			print"</TABLE>\n";
			}
		}
	}

###################
#
# SUBMIT_SURVEY
#
####################
sub submit_survey {
	my %SS = @_;
	$SS{s_id} =~ s/\D//g;
	$SS{qst_id} =~ s/\D//g;
	$SS{type} =~ s/\D//g;
	$SS{expand} =~ s/[^0-9,]//g;

	my %TIME = &get_time();
	&insert_generic("query","INSERT qst_scores VALUES(\"$SS{s_id}\",\"$SS{qst_id}\",\"0\",\"0\",\"0\",\"$org_id\")");
	
	&update_general("query","UPDATE qst_attempts SET attempts=\"1\",finish_time=\"$TIME{time}{hour_minute}\", finish_day=\"$TIME{time}{day}\", finish_month=\"$TIME{time}{month}\" WHERE qst_no=\"$SS{qst_id}\" AND u_id=\"$SS{s_id}\"");
	
	&gradebook("expand","$SS{expand}","u_id","$SS{u_id}","session_id","$SS{session_id}");
	}

###################
#
# UPLOAD_EXCEEDS_MAX
#
###################
sub upload_exceeds_max {
	my %UF = @_;
	print"$image1 $LANGUAGE{$set_language}{UploadaFile}";
	print"</font></TD></TABLE>\n";
	if($UF{error} == 3) {
                print"<center>$LANGUAGE{$set_language}{Notenoughfilespace}</center>\n";
                }
        else {
                print"<center>$LANGUAGE{$set_language}{Thefileexceedsmax}</center>\n";
                }
	print"<P><center><input TYPE=\"Button\" OnClick=\"self.close\(\)\" VALUE=\"$LANGUAGE{$set_language}{Cancel}\"></center>\n";
	}

##################
#
# BULK UPLOAD PHOTOS
#
##################
sub bulk_upload_photos {
	my %UF = @_;
	$UF{org_id} =~ s/\D//g;
	$UF{u_id} =~ s/\D//g;
	$UF{session_id} =~ s/\D//g;
	
	&print_javascript_begin();
	
	print"function check_handler\(\) \{\n";
	print"spinner.style.display = \"block\"\;\n";
	print"document.bulk_upload_photos2.submit\(\)\n";
	print"\}\n";
	
	&print_javascript_end();
	
        print"<center><B STYLE=\"font-size:12pt; font-family:Arial;\">$LANGUAGE{$set_language}{Bulkuploadphotos}</B></center><BR>";
        print"<center><font size=\"-1\" color=\"red\">* $LANGUAGE{$set_language}{resizephotosto150pixelswide} *</font></center>\n";
        print"<FORM ACTION=\"\/qst\/one\" NAME=\"bulk_upload_photos2\" METHOD=POST>\n";
        print"<input type=\"hidden\" name=\"u_id\" value=\"$UF{u_id}\">\n";
        print"<input type=\"hidden\" name=\"session_id\" value=\"$UF{session_id}\">\n";
        print"<input type=\"hidden\" name=\"org_id\" value=\"$UF{org_id}\">\n";
        print"<input type=\"hidden\" name=\"input\" value=\"bulk_upload_photos2\">\n";
        print"<center><font size=\"-1\">$display_photo_upload_size $LANGUAGE{$set_language}{Perfile} $LANGUAGE{$set_language}{Onlygifjpegandpngfiles}</font></center></FORM>\n";
        print"<center><TABLE><TR><TD align=\"right\"><font>$LANGUAGE{$set_language}{Yourphotosshouldbeintheuploadfolder}</TD><TD> &nbsp\;$directory_photos_in</font></TD></TR>\n";
        print"<TR><TD align=\"right\">$LANGUAGE{$set_language}{Filenamingconvention}</TD><TD>$LANGUAGE{$set_language}{Usernameextension}</TD></TR></TABLE></<BR><P>\n";

        print"<div id=\"spinner\" style=\"display:none\;\"><center><img style=\"width: 100px;\" src=\"/schools/spinner-gif.gif\" border=\"0\"></center></div>\n";
        print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B  STYLE=\"cursor:pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Upload}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B  STYLE=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Close}</B></font></TD></TABLE>\n";
	}

##################
#
# BULK UPLOAD PHOTOS2
#
##################
sub bulk_upload_photos2 {
	my %UF = @_;
	$UF{org_id} =~ s/\D//g;
	$UF{mode} =~ s/\D//g;
	$UF{u_id} =~ s/\D//g;
	$UF{session_id} =~ s/\D//g;
	my %USERS = ();
	my $error = 0;
	
	my $query1 = qq{SELECT u_name,u_id FROM users where org_id=\"$UF{org_id}\"};
	my $sth1 = $dbh->prepare($query1);
	$sth1->execute();
	while(my @row = $sth1->fetchrow_array()) {
        	$USERS{$row[0]} = "$row[1]"; 
        	}
        
        &print_javascript_begin();
		
	print"function check_handler\(\) \{\n";
	print"spinner.style.display = \"none\"\;\n";
	print"\}\n";
		
	&print_javascript_end();
	
        print"<center><B STYLE=\"font-size:12pt; font-family:Arial;\">$LANGUAGE{$set_language}{Bulkuploadphotos}</B></center><BR>";
        print"<div id=\"spinner\" style=\"display:block\;\"><center><img style=\"width: 100px;\" src=\"/schools/spinner-gif.gif\" border=\"0\"></center></div>\n";

	if($org_id == 0 || $org_id == $UF{org_id}) { # Check they can do this
		opendir(DIR, $directory_photos_in) || die "<BR>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;Can't open $directory_photos_in : $!"; 
	
		while (readdir DIR) {
			next if(/^\./);
			next if(/^\.\./);
		
			my $file_size = -s "$directory_photos_in"."$_";
			my $length_file_name = length($_);

			if ((/\.jpg$/i ||  /\.jpeg$/i || /\.gif$/i || /\.png$/i) && $file_size < $max_photo_upload_size && $length_file_name < 51) { # GOOD file
				my @file = split(/\./,$_);
			
				#SEE if user exists
				if(exists $USERS{$file[0]}) {
					my $return;			                                
					my $real_file = "$directory_photos_in"."$_";
				
					if (! open(ORIGFILE, "$real_file") ) { # open the file for copying
						print "<BR>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;Can't open file for reading - $!";
						$error = 1;
						}
					
					if( $error == 0) { 
						my $type = "image/"."$file[1]";

						# WRITE THE FILE - NUMBER
						$return = &insert_file_info("f_name","$_","u_id","0","parent","0","org_id","$UF{org_id}","type","$type","size","$file_size","filedescrip","");
						}
				
					my $new_file_name = "$upload_directory_photos"."$return"."\."."$file[1]";

					if (! open(NEWFILE, ">$new_file_name") ) {
						print "<BR>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;Can't open file for writing - $!";
						$error = 1;
						}
								                                    
					if( $error == 0) { # copy the file
						binmode ORIGFILE;
						binmode NEWFILE;
						while(<ORIGFILE>) {				                                                        
							print NEWFILE $_;
							}
									                
						close(ORIGFILE);
						close(NEWFILE);
					
						my $photo_name = "$return"."\."."$file[1]";
						&update_users_photo("uid","$USERS{$file[0]}","org_id","$UF{org_id}","photo","$photo_name");
      		                                  }
					}
				else {
					print"<BR>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;User does not exist for file name $_\n";
					}
				}
			
			else {
				print"<BR>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;Bad file name $_ or file is over 100Kb\n";
				}
			}
		
		closedir(DIR);	

		print"<img src=\"/schools/blank.gif\" onLoad=\"check_handler\(\)\">\n";

		print"<BR><BR><center>Done.</center><BR><P>\n";
		}
		
	else {
		print"<center>$LANGUAGE{$set_language}{Youarenotauthorizedtoadministerthisorganization}</center>\n";
		}
	
	print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\"><B  STYLE=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Close}</B></font></TD></TABLE>\n";
	}
	
##################
#
# upload photo
#
##################
sub upload_photo {
	my %UF = @_;
	$UF{org_id} =~ s/\D//g;
	$UF{mode} =~ s/\D//g;
	$UF{uid} =~ s/\D//g;

	my $number = $UF{number};
	&print_javascript_begin();
	
	print"function check_handler\(\) \{\n";
	print"spinner.style.display = \"block\"\;\n";
	print"document.UPLOAD_P.submit\(\)\n";
	print"\}\n";
	
	print"function show_delete\(pfile\)\{\n";
	print"self.parent.photo_delete.style.display = \"block\"\;\n";
	print"self.parent.document.form2.photo.value=pfile\n";
	print"\}\n";

	&print_javascript_end();
	
	if($UF{status} == 1) { # show the photo
		# insert into users the photo file_name 
		&update_users_photo("uid","$UF{uid}","org_id","$UF{org_id}","photo","$UF{file_name}");
		
		my $file_name = "$directory_path"."$UF{file_name}";
                
                if($UF{mode} == 5) {
                	print"<center><img src=\"$file_name\" width=\"150\"></center><BR>";
                	print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B  STYLE=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Close}</B></TD></TABLE>\n";
			}
		
		elsif($UF{mode} == 6) {
		        print"<center><img src=\"$file_name\" width=\"150\" onLoad=\"show_delete\(\'$UF{file_name}\'\)\"></center><BR>";
			}

		}
		
	else {
		if($UF{status} == 2) {
			print"<center>$LANGUAGE{$set_language}{Thefilewasnotuploaded}</center><BR>\n";
			}
		
        	print"<center><B>$LANGUAGE{$set_language}{UploadPhoto}</B></center>";
        	print"<center><font size=\"-2\" color=\"red\">* $LANGUAGE{$set_language}{resizephototo150pixelswide} *</font></center>\n";
                print"<FORM ACTION=\"\/qst\/one\" NAME=\"UPLOAD_P\" METHOD=POST enctype=\"multipart\/form-data\">\n";
                print"<input type=\"hidden\" name=\"u_id\" value=\"$UF{u_id}\">\n";
                print"<input type=\"hidden\" name=\"session_id\" value=\"$UF{session_id}\">\n";
                print"<input type=\"hidden\" name=\"org_id\" value=\"$UF{org_id}\">\n";
                print"<input type=\"hidden\" name=\"uid\" value=\"$UF{uid}\">\n";
                print"<input type=\"hidden\" name=\"mode\" value=\"$UF{mode}\">\n";
                print"<P><center>&nbsp;<input type=\"file\"  name=\"1\"></center>\n";
                print"<center><font size=\"-1\">$display_photo_upload_size  $LANGUAGE{$set_language}{maxOnlygifjpegandpngfiles}</font></center></FORM>\n";
                print"<div id=\"spinner\" style=\"display:none\;\"><center><img style=\"width: 100px;\" src=\"/schools/spinner-gif.gif\" border=\"0\"></center></div>\n";
                print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B  STYLE=\"cursor:pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{UploadPhoto}</B></TD></TABLE>\n";
                }
	}

##################
#
# upload file
#
##################
sub upload_file {
	my %UF = @_;
	$UF{number} =~ s/\D//g;
	$UF{parent} =~ s/\D//g;
	$UF{org_id} =~ s/\D//g;

	my $number = $UF{number};
	&print_javascript_begin();
	print"function reload_manage_files_screen\(\) \{\n";
	print"self.opener.document.form5.expand.value=\'$UF{expand}\'\n";
	print"self.opener.document.form5.submit\(\)\n";
	print"\}\n";
		
	print"function check_handler()\{
	var no_good = 1;
	var replace_string =\"\";
	var reg_exp1 = /\s/g;
	var replace_string2 =\"\%20\";
	var filedescrip_in_string = document.UPLOAD_F.filedescrip.value
	var filedescrip_new_string = filedescrip_in_string.replaceAll(' ','')

	if(filedescrip_new_string ==\"\")\{
	no_good = 2
	\}
	
	if(no_good == 2)\{
	alert(\"$LANGUAGE{1}{Afiledescripwasnotentered}\")
	\}
	else \{
	spinner.style.display = \"block\"\;
	document.UPLOAD_F.submit\(\)
	\}
	\}\n";

	&print_javascript_end();
	
	if($UF{status} == 1) {
                print"<center><B>$LANGUAGE{$set_language}{UploadaFile}</B></center>";
                print"</font></TD></TABLE>\n";
		print"<center>$LANGUAGE{$set_language}{Thefilewasuploaded}</center>\n";
		print"<img src=\"/schools/blank.gif\" onLoad=\"reload_manage_files_screen\(\)\">\n";
		}
		
	if($UF{status} == 2) {
		print"<center>$LANGUAGE{$set_language}{Thefilewasnotuploaded}</center><BR>\n";
		if($u_type != 1) {
                        print"<center><B>$LANGUAGE{$set_language}{UploadaFile}</B></center>";
                        print"</font></TD></TABLE>\n";
                        }
		}
		
        if($u_type == 1) { # Administrators uploading file of users and classes
                &upload_file_users_and_classes("u_id","$UF{u_id}","session_id","$UF{session_id}","status","$UF{status}");
                }
                
        else {
                print"<FORM ACTION=\"\/qst\/one\" NAME=\"UPLOAD_F\" METHOD=POST enctype=\"multipart\/form-data\">\n";
                print"<input type=\"hidden\" name=\"u_id\" value=\"$UF{u_id}\">\n";
                print"<input type=\"hidden\" name=\"session_id\" value=\"$UF{session_id}\">\n";
                print"<input type=\"hidden\" name=\"expand\" value=\"$UF{expand}\">\n";
                print"<input type=\"hidden\" name=\"org_id\" value=\"$UF{org_id}\">\n";
                print"<P><center><B>$LANGUAGE{$set_language}{File}</B>\:&nbsp;<input type=\"file\"  name=\"$UF{number}\"></center>\n";
                print"<center><font size=\"-1\">$display_upload_size  $LANGUAGE{$set_language}{maxOnlygifjpegandpngfiles}</font></center><P>\n";
                print"Description:\n";
                print"<textarea id=\"filedescrip\" name=\"filedescrip\" rows=\"4\" cols=\"50\" placeholder=\"$LANGUAGE{$set_language}{ToconformtoWCAG2guidelinesallfilesmusthaveadescriptionforscreenreaders}\"></textarea></FORM><P>\n";
                print"<div id=\"spinner\" style=\"display:none\;\"><center><img style=\"width: 100px;\" src=\"/schools/spinner-gif.gif\" border=\"0\"></center></div>\n";
                print"<TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B  STYLE=\"cursor:pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Uploadthisfile}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B onClick=\"self.parent.close\(\)\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE>\n";
                }
	}

##################
#
# upload file2
#
#################
sub upload_file2 {
	my %UF2 = @_;
	my $contents = $UF2{contents};
	my $org_id;
	my @content_type;
	my $unique_num;
	my @filename;
	my $filename;
	my $line = 0;
	my @extension;
	my $return;
	my $error = 0;
	my $status = 1;
	my %USERS = ();
        my %USERS_CLASSES = ();
	my %CLASSES = ();
	my @bad_lines;
	my @user_in_other_org;
	my $u_id;
	my $session_id;
	my $keep_reading = 0;
	$contents =~ s/\r[\n]*/\n/gm;
        my @lines = split(/\n/,$contents);

        foreach my $line_read(@lines) {
                next if($line_read =~ /text\/plain/);
                next if($line_read eq"");
                next if($line_read =~ /^\-\-/);
                my @users = split(/,/,$line_read);
                my $good = @users;
                ++$line;

                if($good == 8) {
                        $users[1] =~ s/\D//g;

                        $users[2] = &l_spaces("$users[2]","0");
                        $users[2] = &tr_spaces("$users[2]","0");
                        $users[2] = &x_spaces("$users[2]","0");
                        $users[2] = &funny_char("$users[2]","0");

                        $users[3] = &l_spaces("$users[3]","0");
                        $users[3] = &tr_spaces("$users[3]","0");
                        $users[3] = &x_spaces("$users[3]","0");
                        $users[3] = &funny_char("$users[3]","0");

                        $users[4] = &l_spaces("$users[4]","0");
                        $users[4] = &tr_spaces("$users[4]","0");
                        $users[4] = &x_spaces("$users[4]","0");

                        $users[5] = &l_spaces("$users[5]","0");
                        $users[5] = &tr_spaces("$users[5]","0");
                        $users[5] = &x_spaces("$users[5]","0");

                        $users[6] = &l_spaces("$users[6]","0");
                        $users[6] = &tr_spaces("$users[6]","0");
                        $users[6] = &x_spaces("$users[6]","0");
                        $users[6] = &funny_char("$users[6]","0");

                        $users[7] = &l_spaces("$users[7]","0");
                        $users[7] = &tr_spaces("$users[7]","0");
                        $users[7] = &x_spaces("$users[7]","0");
                        $users[7] = &funny_char("$users[7]","0");
                        
                        if($users[0] == 2 || $users[0] == 3) { # only create students and instructors
                        	if($users[1] ne"" && $users[2] ne"" && $users[3] ne"" && $users[4] ne"" && $users[5] ne"" && $users[6] ne"" && $users[7] ne"" ) { 
                        		if($users[6] =~ /\s/) {
                        			my $comment = " - $LANGUAGE{$set_language}{Classidnospacesallowed}<BR>";
						$line = "$line"."$comment";
                                		push(@bad_lines,$line);
                        			}
                        		else {
					 	if(length($users[1]) < 10 && length($users[2]) < 41 && length($users[3]) < 41 && length($users[4]) < 51 && length($users[5]) < 21 && length($users[6]) < 21 && length($users[7]) < 81 ) { 
                    					if(($users[4] =~ /\W/ || $users[4] =~ /_/) || ($users[5] =~ /\W/ || $users[5] =~ /_/)) {
                    						my $comment = " - $LANGUAGE{$set_language}{usernameandpasswordcanonlybealphanumeric}<BR>";
                						$line = "$line"."$comment";
                    						push(@bad_lines,$line);
                    						}
                    					else {
                                				#type,student id,first name,last name,username,password,class id,class name
                                				$USERS{$users[4]} = {type => "$users[0]",fname => "$users[2]",lname => "$users[3]", institute_id => "$users[1]",password => "$users[5]"};
                                
                                				$USERS_CLASSES{$users[4]}{classes}{$users[6]} = "$users[6]";
                                
                                				$CLASSES{$users[6]} = "$users[7]";
                                				}
                                			}
                                		else {
                                			my $comment = " - $LANGUAGE{$set_language}{lengthofeitherinstitutionidfirstnamelastnameusernamepasswordclassidorclassnameistoolong}<BR>";
							$line = "$line"."$comment";
                                			push(@bad_lines,$line);
                                			}
                                		}
                                	}
                                else {
                                	my $comment = " - $LANGUAGE{$set_language}{missingacolumn}<BR>";
					$line = "$line"."$comment";
                    			push(@bad_lines,$line);
                                	}
                                }
                        else {
                        	my $comment = " - $LANGUAGE{$set_language}{typeisnot2or3}<BR>";
                		$line = "$line"."$comment";
                                push(@bad_lines,$line);
                                }
                        }
                
                elsif($good > 8) {
		         my $comment = " - $LANGUAGE{$set_language}{comma in a column}<BR>";
		         $line = "$line"."$comment";
		         push(@bad_lines,$line);
                        }
                else {
                	my $comment = " - $LANGUAGE{$set_language}{NOTenoughcolumns}<BR>";
                	$line = "$line"."$comment";
                        push(@bad_lines,$line);
                        }
                }
            
	my $classes = keys(%CLASSES);
	my $users = keys(%USERS);
	my $added_users_to_classes = 0;

	if(keys %USERS && keys %CLASSES && $error == 0) {
		my %USERS_THERE = &select_all_users(); # have to check everyone
		my %USERS_CLASSES_THERE = ();
		
                my $query = qq{SELECT u_id,class_id FROM users_classes WHERE org_id=\"$UF2{org_id}\"};
                my $sth = $dbh->prepare($query);
                $sth->execute();
                while(my @row = $sth->fetchrow_array()) {
                        $USERS_CLASSES_THERE{$row[0]}{class_id}{$row[1]} = "$row[1]";
                        }

		my %CLASSES_THERE = &select5("query","select class_id, institution_id from classes where org_id = \"$UF2{org_id}\"");
		my %CLASSES_THERE_REVERSE = (); #&select5("query","select institution_id,class_id from classes where org_id = \"$UF2{org_id}\"");
                if(keys %CLASSES) {
			foreach my $key(keys %CLASSES) {
				if(!exists $CLASSES_THERE{$key} && !defined $CLASSES_THERE{$key}) {
					&insert("to","classes","value","$CLASSES{$key}","org_id","$UF2{org_id}","institution_id","$key");
					}
				else {
					$classes = $classes - 1;
					}
				}
                        %CLASSES_THERE = &select5("query","select class_id, institution_id from classes where org_id = \"$UF2{org_id}\"");
                        my $query = qq{SELECT institution_id,class_id FROM classes WHERE org_id=\"$UF2{org_id}\"};
                        my $sth = $dbh->prepare($query);
                        $sth->execute();
                        while(my @row = $sth->fetchrow_array()) {
                                $CLASSES_THERE_REVERSE{$row[0]} = "$row[1]";
                                }

                        }
                
		if(keys %USERS) {
			foreach my $key(keys %USERS) {
                                # user not there
				if(!exists $USERS_THERE{$key} && !defined $USERS_THERE{$key}) {
					# add the user
					my $letter = substr($USERS{$key}{lname},0,1);
					$letter = lc($letter);
					my $return = &insert_users("u_type","$USERS{$key}{type}","f_name","$USERS{$key}{fname}","l_name","$USERS{$key}{lname}","m_name","$USERS{$key}{mname}","u_name","$key","pass","$USERS{$key}{password}","org_id","$UF2{org_id}","letter","$letter","institute_id","$USERS{$key}{institute_id}");
                                        $USERS_THERE{$key} = $return;
                                        
					# add them to classes
					if(exists $USERS_CLASSES{$key}{classes}) {
						foreach my $key1(keys %{$USERS_CLASSES{$key}{classes}}) {
							if(exists $CLASSES_THERE{$key1}) {
                                                                ++$added_users_to_classes;
                                                                &insert_users_classes("u_id","$USERS_THERE{$key}","org_id","$UF2{org_id}","class_id","$CLASSES_THERE{$key1}");
                                                            
                                                                &insert_to_class_users("to","class_users","class_id","$CLASSES_THERE{$key1}","u_id","$USERS_THERE{$key}","org_id","$UF2{org_id}");
								}
							}
						}

					}
					
				else { # users there add to classes if they are in the same org
                                        if($USERS_THERE{$key}{org_id} == $UF2{org_id}) {
                                                $users = $users - 1;
                                                if(exists $USERS_CLASSES{$key}{classes}) {
                                                        foreach my $key1(keys %{$USERS_CLASSES{$key}{classes}}) {
                                                                # if not already in class add them
                                                                if(exists $CLASSES_THERE{$key1} && !exists $USERS_CLASSES_THERE{$USERS_THERE{$key}{u_id}}{class_id}{$CLASSES_THERE{$key1}}) {
                                                                        &insert_users_classes("u_id","$USERS_THERE{$key}{u_id}","org_id","$UF2{org_id}","class_id","$CLASSES_THERE_REVERSE{$key1}");
                                                                        
                                                                        &insert_to_class_users("to","class_users","class_id","$CLASSES_THERE_REVERSE{$key1}","u_id","$USERS_THERE{$key}{u_id}","org_id","$UF2{org_id}");
                                                                        
                                                                        ++$added_users_to_classes;
                                                                        }
								}
							}
						}
                                        else {
                                                $users = $users - 1;
                                                push(@user_in_other_org,$key);
                                                }
					}
				}
			}
			
		else {
			# No users
			}
		
		}
	&upload_file_users_and_classes("status","$status","users","$users","classes","$classes","added_users_to_classes","$added_users_to_classes","bad_lines","@bad_lines","total_lines","$line","u_id","$UF2{u_id}","session_id","$UF2{session_id}","user_in_other_org","@user_in_other_org");
	}

##################
#
# upload file users and classes
#
##################
sub upload_file_users_and_classes {
	my %UF = @_;
	$UF{org_id} =~ s/\D//g;
	
	&print_javascript_begin();
	
	print"function submit_handler\(\) \{
	spinner.style.display = \"block\"\;
	document.form1.submit\(\)
	\}\n";
	
	&print_javascript_end();
	print"<center><B>$LANGUAGE{$set_language}{UploadaFileofUsersandClasses}</B></center>";
	print"</font></TD></TABLE><BR>\n";
	if($UF{status} == 1) {
		print"<BR><center>$LANGUAGE{$set_language}{Thefilewasuploaded}</center><P>\n";
		print"<center>$UF{users} $LANGUAGE{$set_language}{userswerecreated}</center><P>\n";
		print"<center>$UF{classes} $LANGUAGE{$set_language}{classeswerecreated}</center><P>\n";
		print"<center>$UF{added_users_to_classes} $LANGUAGE{$set_language}{userswereaddedtoclasses}</center><P>\n";
		if(defined $UF{bad_lines} && $UF{bad_lines} ne"") {
			print"<center><B>$LANGUAGE{$set_language}{Thefollowinglineswerenotgood}:</B></center><BR> $UF{bad_lines}<BR>\n";
			}
			
                if(defined $UF{user_in_other_org} && $UF{user_in_other_org} ne"") {
			print"<center>$LANGUAGE{$set_language}{Thefollowingusersareinanotherorganization}</center><BR>\n";
                        print"<center>$UF{user_in_other_org}</center>\n";
			print"<BR><BR>\n";
			}
			
                print"<center><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B style=\"cursor:pointer\" OnClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></TD></TR></TABLE></center>\n";
		}
		
	elsif($UF{status} == 2) {
		print"<FORM ACTION=\"\/qst\/one\" name=\"form1\" METHOD=POST enctype=\"multipart\/form-data\">\
		<input type=\"hidden\" name=\"u_id\" value=\"$UF{u_id}\">
		<input type=\"hidden\" name=\"session_id\" value=\"$UF{session_id}\">
		<input type=\"hidden\" name=\"org_id\" value=\"$UF{org_id}\">
		<P><center><B>$LANGUAGE{$set_language}{File}</B>\:&nbsp\;&nbsp\;<input type=\"file\"  name=\"$UF{org_id}\" accept=\"text\/plain\"></center>
                <center><font size=\"-1\">5 $LANGUAGE{$set_language}{MBmaxOnlytxtfiles}</font></center>
                <div id=\"spinner\" style=\"display:none\;\"><center><img style=\"width: 100px;\" src=\"/schools/spinner-gif.gif\" border=\"0\"></center></div>
   
		<BR><center><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B style=\"cursor:pointer\" onClick=\"submit_handler\(\)\">Upload this file</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B OnClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></TD></TABLE></center></form>
		<center>$LANGUAGE{$set_language}{Formatoffile}</center>
		<center>$LANGUAGE{$set_language}{typestudentidfirstnamelastnameusernamepasswordclassidclassname}</center><BR>
		<center>$LANGUAGE{$set_language}{Filecontents}:</center>
		<center>3,00125,Albert,Smith,asmith,password,Math-30-1,Math 30</center>
		<center>3,00125,Albert,Smith,asmith,password,Eng-10-1,English 10 </center>
		<center>2,00330,Rob,Crow,rcrow,password,Bio-20-1,Biology 20 </center>
		<center>3,00130,Shirley,Bolt,sbolt,password,Eng-10-1,English 10 </center>
		<BR><BR><center>*$LANGUAGE{$set_language}{Thefirstcharacteristypeisstudent2isinstructor}</center>
		<center><font color=\"red\">**</font>$LANGUAGE{$set_language}{nosemicolonallowed}<font color=\"red\">**</font></center>
		<center>*$LANGUAGE{$set_language}{Studentidmustbenumeric}</center>
		<center>*$LANGUAGE{$set_language}{Ifnostudentidsetitto0}</center>
		<center>*$LANGUAGE{$set_language}{Studentidsmax10digits}</center>
		<center>*$LANGUAGE{$set_language}{Firstandlastnamesonly40characters}</center>
		<center>*$LANGUAGE{$set_language}{Usernamesmustbeunique}</center>
		<center>*$LANGUAGE{$set_language}{Usernamesmax50characters}</center>
		<center><font color=\"red\">**</font>$LANGUAGE{$set_language}{Usernamesandpasswordsonlyalphanumeric}<font color=\"red\">**</font></center>
		<center>*$LANGUAGE{$set_language}{Passwordsmax20characters}</center>
		<center>*$LANGUAGE{$set_language}{Classidsmax20characters}</center>
		<center>*$LANGUAGE{$set_language}{Classidnospacesallowed}</center>
		<center>*$LANGUAGE{$set_language}{Classnamesmax80characters}</center>
		<center>*$LANGUAGE{$set_language}{Theremustbesomethingineachcolumn}</center>
		<center>*$LANGUAGE{$set_language}{IfusingLDAPsetpasswordto0}</center>
		<center>*$LANGUAGE{$set_language}{ForsecuritythisfileisparsedinmemoryontheserverAllpasswordsareencrypted}</center>\n";
		}
		
	else {	
		print"<FORM ACTION=\"\/qst\/one\" name=\"form1\" METHOD=POST enctype=\"multipart\/form-data\">\n";
		print"<input type=\"hidden\" name=\"u_id\" value=\"$UF{u_id}\">\n";
		print"<input type=\"hidden\" name=\"session_id\" value=\"$UF{session_id}\">\n";
		print"<input type=\"hidden\" name=\"org_id\" value=\"$UF{org_id}\">\n";
                print"<P><center><B>$LANGUAGE{$set_language}{File}</B>\:&nbsp\;&nbsp\;<input type=\"file\"  name=\"$UF{org_id}\" accept=\"text\/plain\"></center>\n";
		print"<center><font size=\"-1\">5 $LANGUAGE{$set_language}{MBmaxOnlytxtfiles}</font></center>\n";
		print"<div id=\"spinner\" style=\"display:none\;\"><center><img style=\"width: 100px;\" src=\"/schools/spinner-gif.gif\" border=\"0\"></center></div>\n";
  
		print"<BR><center><TABLE width=\"100%\" $action_bar><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B style=\"cursor:pointer\" onClick=\"submit_handler\(\)\">Upload this file</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B STYLE=\"cursor:pointer\" OnClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></TD></TABLE></center></form>\n";
		print"<center>$LANGUAGE{$set_language}{Formatoffile}</center>\n";
		print"<center>$LANGUAGE{$set_language}{typestudentidfirstnamelastnameusernamepasswordclassidclassname}</center><BR>\n";
		print"<center>$LANGUAGE{$set_language}{Filecontents}:</center>\n";
		print"<center>3,00125,Albert,Smith,asmith,password,Math-30-1,Math 30</center>\n";
		print"<center>3,00125,Albert,Smith,asmith,password,Eng-10-1,English 10 </center>\n";
		print"<center>2,00330,Rob,Crow,rcrow,password,Bio-20-1,Biology 20 </center>\n";
		print"<center>3,00130,Shirley,Bolt,sbolt,password,Eng-10-1,English 10 </center>\n";
		print"<BR><BR><center>*$LANGUAGE{$set_language}{Thefirstcharacteristypeisstudent2isinstructor}</center>\n";
		print"<center><font color=\"red\">**</font>$LANGUAGE{$set_language}{nosemicolonallowed}<font color=\"red\">**</font></center>\n";
		print"<center>*$LANGUAGE{$set_language}{Studentidmustbenumeric}</center>
		<center>*$LANGUAGE{$set_language}{Ifnostudentidsetitto0}</center>
		<center>*$LANGUAGE{$set_language}{Studentidsmax10digits}</center>
		<center>*$LANGUAGE{$set_language}{Firstandlastnamesonly40characters}</center>
		<center>*$LANGUAGE{$set_language}{Usernamesmustbeunique}</center>
		<center>*$LANGUAGE{$set_language}{Usernamesmax50characters}</center>
		<center><font color=\"red\">**</font>$LANGUAGE{$set_language}{Usernamesandpasswordsonlyalphanumeric}<font color=\"red\">**</font></center>
		<center>*$LANGUAGE{$set_language}{Passwordsmax20characters}</center>
		<center>*$LANGUAGE{$set_language}{Classidsmax20characters}</center>
		<center>*$LANGUAGE{$set_language}{Classidnospacesallowed}</center>
		<center>*$LANGUAGE{$set_language}{Classnamesmax80characters}</center>
		<center>*$LANGUAGE{$set_language}{Theremustbesomethingineachcolumn}</center>
		<center>*$LANGUAGE{$set_language}{IfusingLDAPsetpasswordto0}</center>\n";
		print"<center>*$LANGUAGE{$set_language}{ForsecuritythisfileisparsedinmemoryontheserverAllpasswordsareencrypted}</center>\n";
		}
	}

##################
#
# UPDATE_QST_QUESTION_MARK
#
##################
sub update_qst_question_mark {
	my %UQQM = @_;

	$UQQM{qst} =~ s/\D//g;
	$UQQM{class_id} =~ s/\D//g;
	$UQQM{type} =~ s/\D//g;
	$UQQM{s_id} =~ s/\D//g;
	$UQQM{qst_total} =~ s/\D//g;
	$UQQM{value_to_mark} =~ s/[^0-9,-]//g;
	$UQQM{question} =~ s/\D//g;
	$UQQM{chosen_question} =~ s/\D//g;
	$UQQM{pass} =~ s/[^0-9,=]//g;
	$UQQM{old_pass} =~ s/[^0-9,=]//g;
	$UQQM{score} =~ s/\D//g;

	my $class_id = $UQQM{class_id};
	my $qst = $UQQM{qst};
	my $type = $UQQM{type};
	my $qst_total = $UQQM{qst_total};# get from qsts;
	my $pass = $UQQM{pass};
	my $correct = 0;
	my $bonus = $UQQM{bonus};
	my $wrong = 0;
	my $na = $UQQM{na};
	my $question_mark = $UQQM{question};
	my $s_id = $UQQM{s_id};
	my $old_pass = $UQQM{old_pass};
	my $chosen_question = $UQQM{chosen_question};
	my $fake_quest_no = $UQQM{fake_quest_no};
	my $question_mark_already_there;
	my $good_input = 0;
	my $number_to_mark = 0;
	my $new_score;
	my $value_to_mark;
	my $new_pass;
	my %INDEX_TO_QUEST_NO = ();
	my %PASSED_INFO = ();
	my %QUEST_NO_TO_INDEX = ();
 	my %QUESTIONS = ();
	my $error = 0;
	$error = &check_many_length_return("$question_mark","4");

	my @index_to_quest_no = split(/,/,$UQQM{index_to_quest_no});
	foreach my $piece(@index_to_quest_no) {
		my($key,$value) = split(/\=/,$piece);
		my($number,$type,$pts) = split(/-/,$value);
		$PASSED_INFO{$key} = {type =>"$type", pts => "$pts"};
		$INDEX_TO_QUEST_NO{$key} = "$number";
		$QUEST_NO_TO_INDEX{$number} = "$type";
		}

	#clean the mark
	$question_mark =~ s/^0+([1-9]+)/\1/;
	$question_mark =~ s/^0+/0/;
	
	#get questions for that qst
	my %QUESTIONS_IN_QST = &select4("query","select quest_no,value from qst_questions WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");
	if($question_mark > $QUESTIONS_IN_QST{$chosen_question}) {
		$question_mark = $QUESTIONS_IN_QST{$chosen_question};
		}
	if($question_mark eq"") {
		$question_mark = 0;
		}

	if(($error != 1 && $question_mark ne"" && 0 <= $question_mark && $question_mark <= $QUESTIONS_IN_QST{$chosen_question}) || $UQQM{value_to_mark} == -1) {
		#check question is in students qsts and what the mark is
		my %QUESTION_IN_STUDENTS_QST = &select_qst_scores("query","SELECT quest_no,qst,mark,marked from qsts WHERE qst=\"$qst\" AND quest_no=\"$chosen_question\" AND u_id=\"$s_id\"");

		#get the questions which have not been marked yet
		my %UN_MARKED_QUESTIONS = &select4("query","SELECT quest_no,mark from qsts WHERE qst=\"$qst\" AND marked=\"-1\" AND u_id=\"$s_id\"");
		delete($UN_MARKED_QUESTIONS{$chosen_question});

		if(keys %QUESTION_IN_STUDENTS_QST || $UQQM{value_to_mark} == -1) {
			if(defined $QUESTIONS_IN_QST{$chosen_question} && $QUEST_NO_TO_INDEX{$chosen_question} eq"SA" || $QUEST_NO_TO_INDEX{$chosen_question} eq"P") {
				if($QUESTION_IN_STUDENTS_QST{$chosen_question} != -1) {
					$question_mark_already_there = $QUESTION_IN_STUDENTS_QST{$chosen_question}{mark};
					}
				}
			if(keys %UN_MARKED_QUESTIONS) {
				foreach my $key(keys %UN_MARKED_QUESTIONS) {
					++$number_to_mark;
					$value_to_mark = $value_to_mark + $QUESTIONS_IN_QST{$key};
					}
				}
				
			#update the record
			&update_qsts("mark","$question_mark","marked","0","qst","$qst","u_id","$s_id","quest_no","$chosen_question");

			my %STUDENTS_QST_MARK = &select_qst_scores("query","SELECT u_id,qst,mark,marked from qst_scores WHERE qst=\"$qst\" AND u_id=\"$s_id\"");
			my $old_score = $STUDENTS_QST_MARK{$s_id}{mark};
			
			#calculate new qst score
			if($old_score == 0 && $question_mark_already_there == 0 || $question_mark_already_there eq"") {
				$new_score = $question_mark;
				}
				
			elsif($old_score > 0 && $question_mark_already_there == 0 || $question_mark_already_there eq"") {
				$new_score = $old_score + $question_mark;
				}
				
			elsif($old_score > 0 && $question_mark > $question_mark_already_there) {
				my $diff = $question_mark - $question_mark_already_there;
				$new_score = $old_score + $diff;
				}
				
			elsif($old_score > 0 && $question_mark < $question_mark_already_there) {
				my $diff = $question_mark_already_there - $question_mark;
				$new_score = $old_score - $diff;
				}
				
			if($old_score > 0 && $question_mark == $question_mark_already_there) {
				$new_score = $old_score;
				}
				
			$good_input = 1;
                 	if ($number_to_mark > 0) {#must be marked
				&update_general("query","UPDATE qst_scores SET mark=\"$new_score\", marked=\"1\" WHERE qst=\"$qst\" AND u_id=\"$s_id\"");
				}
				
			else { #marked
				&update_general("query","UPDATE qst_scores SET mark=\"$new_score\", marked=\"0\" WHERE qst=\"$qst\" AND u_id=\"$s_id\"");
				}
				
			if($UQQM{value_to_mark} == -1) { # submitting qst for student
				print"<BR><P><center><B>$LANGUAGE{$set_language}{QSTSubmitted}</B></center><BR> \n";
				if($number_to_mark == 0) {
					&insert_generic("query","INSERT qst_scores VALUES(\"$s_id\",\"$qst\",\"$UQQM{score}\",\"0\",\"0\",\"$org_id\")");
					}
				else {
					&insert_generic("query","INSERT qst_scores VALUES(\"$s_id\",\"$qst\",\"$UQQM{score}\",\"1\",\"0\",\"$org_id\")");
					}
				&update_general("query","UPDATE qst_attempts SET finish_time=\"-1\", finish_day=\"-1\", finish_month=\"-1\" WHERE qst_no=\"$qst\" AND u_id=\"$s_id\"");
				}
			}
		}
	else {
		$pass = $old_pass;
		}


	# print the right side of page
	my %RESULTS = ();
	my @pass = split(/,/,$pass);
	my $new_pass;
	foreach my $part(@pass) {
		my($key,$value) = split(/\=/,$part);
		if($chosen_question == $INDEX_TO_QUEST_NO{$key}) {
			if($question_mark == $QUESTIONS_IN_QST{$INDEX_TO_QUEST_NO{$key}}) {
				$RESULTS{$key}{correct} = 1;
				$new_pass = "$new_pass"."$key=1,";
				++$correct;
				}
			else {
				if($value == 0) {
					$RESULTS{$key}{wrong} = 1;
					$new_pass = "$new_pass"."$key=0,";
					++$wrong;
					}
				elsif($value == 2) {
					$RESULTS{$key}{marked} = 1;
					$new_pass = "$new_pass"."$key=2,";
					}
				elsif($value == 3) {
					$RESULTS{$key}{na} = 1; #no answer
					$new_pass = "$new_pass"."$key=3,";
					}
				}
			}
			
		elsif($value == 0) {
			$RESULTS{$key}{wrong} = 1;
			$new_pass = "$new_pass"."$key=0,";
			++$wrong;
			}
			
		elsif($value == 1) {
			$RESULTS{$key}{correct} = 1;
			$new_pass = "$new_pass"."$key=1,";
			++$correct;
			}
			
		elsif($value == 2) {
			$RESULTS{$key}{marked} = 1;
			$new_pass = "$new_pass"."$key=2,";
			}
			
		elsif($value == 3) {
			$RESULTS{$key}{na} = 1; #no answer
			$new_pass = "$new_pass"."$key=3,";
			}
			
		elsif($value == 4) {
			$RESULTS{$key}{tm} = 1; #to be marked
			$new_pass = "$new_pass"."$key=4,";
			}
		}
		
	&print_javascript_begin();
	print"self.parent.qst_left.old_pass\(\'$new_pass\'\)\n";
	print"self.parent.qst_left.new_pass\(\'$new_pass\'\)\n";

	print"self.parent.qst_left.document.qst_form.$fake_quest_no.value = $question_mark\n";
	
	print"function l_anchor\(li_nk\)\{\n";
	print"self.top.qst_left.link_anchor\(li_nk\)\n";
	print"\}\n";
	&print_javascript_end();

	print"<center><input TYPE=\"Button\" OnClick=\"self.parent.close\(\)\" VALUE=\"$LANGUAGE{$set_language}{Close}\"></center><BR> \n";
	print"<FORM><center><font color=\"red\"><B> $LANGUAGE{$set_language}{Results} </B></font></center> \n";
	print"<HR width=\"90%\">\n";
	print"<center><font color=\"green\">$LANGUAGE{$set_language}{Marks}\: $new_score\/$qst_total</font></center>\n";
	print"<center><font color=\"green\">$LANGUAGE{$set_language}{Bonus}\: $bonus</font></center>\n";
	print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;  <font color=\"green\"><B>$correct</B></font> $image15 <font size =\"-1\">  $LANGUAGE{$set_language}{correct}</font><BR>\n";
	print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;  <font color=\"red\"><B>$wrong</B></font> $image18 <font size =\"-1\">  $LANGUAGE{$set_language}{incorrect}</font><BR>\n";
	print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;  <B>$na</B></font> $image17<font size =\"-1\">  $LANGUAGE{$set_language}{NoAnswer}</font><BR>\n";
	
	if($number_to_mark > 0) {
		print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;  <font color=\"blue\"><B>$number_to_mark</B> <B>?</B></font> <font size =\"-1\">  $LANGUAGE{$set_language}{unmarked} \($value_to_mark\)</font><BR>\n";
		}
	print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;  <font color=\"#808080\" size=\"-1\"><B>P</B></font> <font size =\"-1\">&nbsp\;  $LANGUAGE{$set_language}{partialmark}</font><BR><P>\n";

	print"<TABLE width=\"100\%\"><TD>\n";
	my $total_keys = 0;
	for my $key(sort {$a<=>$b} keys %RESULTS) {
		if($total_keys == 0) {
			print"<TR>\n";
			}
		print"<TD>\n";
		if (defined $RESULTS{$key}{correct}) {
			if($QUEST_NO_TO_INDEX{$INDEX_TO_QUEST_NO{$key}} eq"SA" || $QUEST_NO_TO_INDEX{$INDEX_TO_QUEST_NO{$key}} eq"P") {
				print"$image15 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$PASSED_INFO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
			else {
				print"$image15 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$PASSED_INFO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
		 	}
		 	
 		if (defined $RESULTS{$key}{wrong}) {
 			if($QUEST_NO_TO_INDEX{$INDEX_TO_QUEST_NO{$key}} eq"SA" || $QUEST_NO_TO_INDEX{$INDEX_TO_QUEST_NO{$key}} eq"P") {
				print"$image18 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$PASSED_INFO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
			else {
				print"$image18 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$PASSED_INFO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
			}
			
 		if (defined $RESULTS{$key}{na}) {
  			if($QUEST_NO_TO_INDEX{$INDEX_TO_QUEST_NO{$key}} eq"SA" || $QUEST_NO_TO_INDEX{$INDEX_TO_QUEST_NO{$key}} eq"P") {
				print"$image17 <font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$PASSED_INFO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
			else {
				print"$image17 <font color=\"black\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$PASSED_INFO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
				}
		 	}
		 	
 		if (defined $RESULTS{$key}{tm}) {
			 print" <font color=\"blue\"><B>? &nbsp\;</B></font><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$PASSED_INFO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
			 }
			 
 		if (defined $RESULTS{$key}{marked}) {
			 print" <font color=\"#808080\" size=\"-1\"><B>P &nbsp\;</B></font><font color=\"#585858\" STYLE=\"cursor: pointer\" onClick=\"l_anchor\(\'$key\'\)\"><B>$key</B><font size=\"-1\"><sup>$PASSED_INFO{$key}{pts}</sup></font>  &nbsp\;</font> \n";
			 }
			 
		++$total_keys;
		print"</TD>\n";
		if($total_keys == 3) {
			print"</TR>\n";
			$total_keys = 0;
			}
		 }
	print"</TABLE></FORM>\n";
	}

####################
#
# VIEW_STUDENTS_IN_CLASS
#
####################
sub view_students_in_class {
	my %VSIC = @_;
	$VSIC{class_id} =~ s/\D//g;
	$VSIC{qst_no} =~ s/\D//g;
	$VSIC{type} =~ s/\D//g;
	$VSIC{sub_type} =~ s/\D//g;

	my %RETURN = ();
	my %RETURN1 = ();

	&print_javascript_begin();
	print"function select_all\(field\) \{\n";
	print"var lenpq = document.post_qst.length\n";
	print"for\(counter = 19\; counter < lenpq\; counter++\) \{\n";
	print"document.post_qst.elements[counter].checked=true\n";
	print"\}\n";
	print"document.post_qst.forall.value = \"1\"\n";
	print"\}\n";

	print"function un_select_all\(field\) \{\n";
	print"var lenpq = document.post_qst.length\n";
	print"for\(count = 19\; count < lenpq\; count++\) \{\n";
	print"document.post_qst.elements[count].checked=false\;\n";
	print"\}\n";
	print"document.post_qst.forall.value = \"\"\n";
	print"\}\n";

	print"function selec\(i_n\) \{\n";
	print"document.post_qst.forall.value = \"\"\n";
	print"\}\n";

	print"function check_who_posted_for\(\) \{\n";
	print"document.form_check_who.studentselected.value =0\n";
	print"var lenpq = document.post_qst.length\n";
	print"for\(count = 19\; count < lenpq\; count++\) \{\n";
	print"if\(document.post_qst.elements[count].checked\) \{\n";
	print"document.form_check_who.studentselected.value =1\n";
	print"return\;\n";
	print"\}\n";
	print"\}\n";
	print"\}\n";

	&print_javascript_end();

  	&print_form_wo_end_tag("form_name","post_qst","form_target","theright","input","post_qst","submissions","","result","","attempts","","class_id","$VSIC{class_id}","qst_no","$VSIC{qst_no}","class_open","1","open_class","$VSIC{class_id}","type","$VSIC{type}","sub_type","$VSIC{sub_type}","unpost","","rhm","","forall","","from","$VSIC{from}","avail","","start_month","","start_day","","start_hour","","finish_month","","finish_day","","finish_hour","","qtime","","delivery","$VSIC{delivery}","display","$VSIC{display}","u_id","$VSIC{u_id}","session_id","$VSIC{session_id}","shuffle","$VSIC{shuffle}","shuffle_ans","$VSIC{shuffle_ans}");
  	
	print"<DL><DL>\n";
	if(defined $USER{$ids}{$VSIC{class_id}}) {
		%RETURN = &select_class_users("class_id","$VSIC{class_id}");
		delete($RETURN{$ids});
		my %RETURN2 = &select5("query","SELECT qst_no,u_id from access_to_qst WHERE qst_no=\"$VSIC{qst_no}\"");
		if(keys %RETURN) {
			foreach my $key(keys %RETURN) {
				%RETURN1 = &select_users_names("select","u_id=$key","org_id","$org_id");
				if(keys %RETURN1) {
					foreach my $key1(keys %RETURN1) {
						if(defined $RETURN2{$key}) {
							print"<DT><label for=\"myCheckbox$key\"><input type=\"checkbox\" name=\"$key1\" value=\"$key1\" id=\"$key1\" onClick=\"selec\(document.getElementById\(\'$key1\'\)\)\" checked> $RETURN1{$key1}{name}</label>\n";
							}
						else {
							print"<DT><label for=\"myCheckbox$key\"><input type=\"checkbox\" name=\"$key1\" value=\"$key1\" id=\"$key1\" onClick=\"selec\(document.getElementById\(\'$key1\'\)\)\"> $RETURN1{$key1}{name}</label>\n";
							}
						}
					}
				}
			}
		}
		
	print"</DL></DL>\n";
	print"</FORM>\n";
  	&print_form("form_name","form_check_who","studentselected","","u_id","$VSIC{u_id}","session_id","$VSIC{session_id}");

	if($VSIC{forall} == 1) {
		&print_javascript_begin();
		print"select_all\(\'1\'\)\n";
		&print_javascript_end();
		}
	}

############################
#
# COM_PRINT_TABLE_STYLE
#
###########################
sub com_print_table_style {
       print"<style=\"font-size:11pt; font-family:Arial\"><style>table.table1{ border-radius:6px; font-size:11pt; font-family:Arial;}</style>\n";
        }

###########################
#
# COM_PRINT_HEADER
#
###########################
sub com_print_header {
        my %CPH = @_;
        print"<TABLE class=\"table1\" width=\"100%\" $action_bar><TD><font color=\"white\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>$CPH{name}</B></font></TD><TD valign=\"right\"><font color=\"white\" OnClick=\"self.close\(\)\"><B STYLE=\"cursor: pointer\">$LANGUAGE{$set_language}{Close}</B></font></TD></TABLE><P>\n";
        }
        
#####################
#
# DOWN_LOAD
#
#####################
sub down_load {
        my %DL = @_;
        $DL{dwnld} =~  s/\D//g;
        &com_print_table_style();
        &com_print_header("name","$LANGUAGE{$set_language}{DownloadGradeBook}");
        
        if($DL{dwnld} == 1) {
        	print"<center>$LANGUAGE{$set_language}{9}</center><BR>\n";
        	}
        elsif($DL{dwnld} == 2) {
	        print"<center>$LANGUAGE{$set_language}{33}</center><BR>\n";
	        }

	my %STUDENTS_IN_CLASS = ();
        my %STUDENTS_NAMES = ();
        my %QSTS_POSTED = ();
        my %QSTS = ();
        my %ASSIGNMENTS = ();
        
        my $query_posted;
        my $query;
        my $assign_query;
        my $fill;
        my $box ="$LANGUAGE{$set_language}{Institutionid},$LANGUAGE{$set_language}{UserName},$LANGUAGE{$set_language}{CompleteName}";
        my $total_marks = "Total Mark,,";
        my $key = $DL{class_id};
        my $json = "var text = '{ \"students\" : [' +";
        
        # Check instructor has access
	if(defined $USER{$ids}{$DL{class_id}}) {
	        %STUDENTS_IN_CLASS = &select_class_users("class_id","$key");
        	delete($STUDENTS_IN_CLASS{$ids}); # REMOVE INSTRUCTOR

        	#get posted qsts for class
        	$query_posted = "SELECT qst,rhm from posted_qst WHERE class_id=\"$key\" AND u_id=\"$ids\"";
        	%QSTS_POSTED = &select4("query","$query_posted");

        	# get the qst types
        	$query = "SELECT qst,type from qst_to_classes WHERE class_id=\"$key\"";
        	%QSTS = &select4("query","$query");
        
        	if(keys %QSTS) {
        	        foreach my $key(keys %QSTS) {
        	                if(!defined $QSTS_POSTED{$key}) {
        	                        delete($QSTS{$key});
        	                        }
        	                }
        	        }
		
        	# get assignments for class
        	$assign_query = "SELECT assign_id,name,weight,marks from assignments WHERE class_id=\"$key\" ";
        	%ASSIGNMENTS = &select_assign("query","$assign_query");
		}
		
        my $columns = 0;
        my @assign;
        my $weight = 0;
        my %CLASS_AVG = ();
        my %QST_NAMES = ();
        
        if(keys %QSTS || keys %ASSIGNMENTS) { # posted qsts or assignments
                my $i_ndex = 1;
                
                if(keys %QSTS) { # qsts
                        my $query1 = "SELECT number,name,weight,marks from qst WHERE ";
                        foreach my $piece(keys %QSTS) {
                                $query1 = "$query1"." "."number=\"$piece\" OR";
                                }
                        $query1 =~ s/ OR$//;
                        %QST_NAMES = &select_short_qst("query","$query1");
					
                        foreach my $qstt(sort {$a<=>$b} keys %QSTS) {
                                if($QSTS{$qstt} == 2) { # survey
                                        }
                                else { #quizzes/tests
                                        $box = "$box".",$QST_NAMES{$qstt}{name}";
                                        $total_marks = "$total_marks".","."$QST_NAMES{$qstt}{marks}";
                                        ++$columns;
                                        ++$i_ndex;
                                        push(@assign,$qstt);
                                        $weight = $weight + $QST_NAMES{$qstt}{weight};
                                        }
                                }
                        }
					
                if(keys %ASSIGNMENTS) { # assignments
                        foreach my $assign(sort {$a<=>$b} keys %ASSIGNMENTS) {
                                $box = "$box".",$ASSIGNMENTS{$assign}{web_name}";
                                 $total_marks = "$total_marks".","."$ASSIGNMENTS{$assign}{marks}";
                                ++$columns;
                                ++$i_ndex;
                                $QSTS{"a"."$assign"} = 4;
                                push(@assign,"a"."$assign");
                                }
                        }
                $box = "$box"."\n";

		# Add line for MARKS for QSTs and Assignments
		$box = "$box"."$total_marks"."\n";
                }
        else {
                $box = "$box"."\n";
                }
                
        if(keys %STUDENTS_IN_CLASS) {
                my $query2 = "SELECT u_id,qst,mark,marked,bonus from qst_scores WHERE ";
                my $query3 = "SELECT u_id,assign_id,mark from assignment_marks WHERE ";
                my $students_qst_attempts = "SELECT qst_no,u_id,start_time,finish_time,attempts from qst_attempts WHERE ";
                
                foreach my $key(keys %STUDENTS_IN_CLASS) {
                        $query2 = "$query2"." "."u_id=\"$key\" OR";
                        $query3 = "$query3"." "."u_id=\"$key\" OR";
                        $students_qst_attempts = "$students_qst_attempts"." "."u_id=\"$key\" OR";
                        }
                $query2 =~ s/ OR$//;
                $query3 =~ s/ OR$//;
                $students_qst_attempts =~ s/ OR$//;

                my %STUDENTS_QST_SCORES = &select_many_qst_scores("query","$query2");
                my %STUDENTS_ASSIGN_MARKS = &select_many_assignment_marks("query","$query3");
                my %STUDENTS_QST_ATTEMPTS = &select_many_qst_attempts("query","$students_qst_attempts");

                my %STUDENTS_AVG = ();
                my $indx = 1;
		
		if($DL{dwnld} == 1) { # .CSV FORMAT
			foreach my $keyy(sort keys %STUDENTS_IN_CLASS) {
            	    	        %STUDENTS_NAMES = &select_users_names("select","u_id=$keyy","org_id","$org_id");
                        
            	    	        if(keys %STUDENTS_NAMES) {
            	    	                foreach my $key1(keys %STUDENTS_NAMES) {
            	    	                        $box = "$box"."\n"."$STUDENTS_NAMES{$key1}{institute_id},$STUDENTS_NAMES{$key1}{u_name},$STUDENTS_NAMES{$key1}{name}";
                    	                    
            	    	                        if($columns > 0) {
            	    	                                my $i;
            	    	                                my @n_assign = @assign;
                                                
            	    	                                for(my $io ==1; $io < $columns; ++$io) {
            	    	                                        my $qst_id = shift(@n_assign);
            	    	                                        $i = "$io"."$key1";
									
            	    	                                        if($QSTS{$qst_id} == 1) { #quizzes/tests
            	    	                                                my $started = 1;
            	    	                                                my $submitted = 1;
                                                                
            	    	                                                if($started == 1 || $submitted == 1) {
            	    	                                                        # show their mark
            	    	                                       			my $qst_mark;
            	    	                                       			if($STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark} eq"") {
            	    	                                       			        $qst_mark = "";
            	    	                                       				}
            	    	                                       			else {
            	    	                                       			        $qst_mark = "$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark}" + "$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{bonus}";
            	    	                                       				}
            	    	                                       		
            	    	                                                        if($STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{marked} == 0) { # marked
            	    	                                                                my $divider = $QST_NAMES{$qst_id}{weight};
                                                                                
            	    	                                                                if($divider > 0 && $qst_mark >= 0) {
            	    	                                                                        $box = "$box".",$qst_mark";
            	    	                                                                        }
            	    	                                                                else {
            	    	                                                                        $box = "$box".",";
            	    	                                                                        }
            	    	                                                                }
            	    	                                                        }
            	    	                                                }
										
            	    	                                        elsif($QSTS{$qst_id} == 4) { #assignment
            	    	                                                my $n_qst_id = $qst_id;
            	    	                                                $qst_id =~ s/\D//;
                                                                
            	    	                                                if(exists $STUDENTS_ASSIGN_MARKS{$key1}{qst}{$qst_id}{mark} && $STUDENTS_ASSIGN_MARKS{$key1}{qst}{$qst_id}{mark} >= 0) {
            	    	                                                        my $divider = $ASSIGNMENTS{$qst_id}{weight};
                                                                        
            	    	                                                        if($divider > 0 && $ASSIGNMENTS{$qst_id}{marks} > 0) {
            	    	                                                                $box = "$box".",$STUDENTS_ASSIGN_MARKS{$keyy}{qst}{$qst_id}{mark}";
            	    	                                                                }
            	    	                                                        else {
            	    	                                                                $box = "$box".",$STUDENTS_ASSIGN_MARKS{$keyy}{qst}{$qst_id}{mark}";
            	    	                                                                }
            	    	                                                        }
											
            	    	                                                else {
            	    	                                                        $box = "$box".",";
            	    	                                                        }
            	    	                                                }
            	    	                                        }
            	    	                                }
            	    	                        }   
            	    	                }
            	    	        }
            	    	 $fill = $box;
		    	 }			
				
                elsif($DL{dwnld} == 2) { # .JSON format
    	        	foreach my $keyy(sort keys %STUDENTS_IN_CLASS) {
    	            	        %STUDENTS_NAMES = &select_users_names("select","u_id=$keyy","org_id","$org_id");
    	                    
    	            	        if(keys %STUDENTS_NAMES) {
    	            	                foreach my $key1(keys %STUDENTS_NAMES) {#'{ \"firstName\":\"John" , "lastName":"Doe" },' +
    	            	                        $json = "$json"."\n"."'{ \"firstName\":\"$STUDENTS_NAMES{$key1}{f_name}\",\"lastName\":\"$STUDENTS_NAMES{$key1}{l_name}\",\"userName\":\"$STUDENTS_NAMES{$key1}{u_name}\",\"instituteId\":\"$STUDENTS_NAMES{$key1}{institute_id}\"";
                                        
    	            	                        if($columns > 0) {
    	            	                                my $i;
    	            	                                my @n_assign = @assign;
                                                
    	            	                                for(my $io ==1; $io < $columns; ++$io) {
    	            	                                        my $qst_id = shift(@n_assign);
    	            	                                        $i = "$io"."$key1";
									
    	            	                                        if($QSTS{$qst_id} == 1) { #quizzes/tests
    	            	                                                my $started = 1;
    	            	                                                my $submitted = 1;
                                                                
    	            	                                                if($started == 1 || $submitted == 1) {
    	            	                                                        # show their mark
                                                                        	my $qst_mark;
										if($STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark} eq"") {
										        $qst_mark = "";
										        }
										else {
										        $qst_mark = "$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark}" + "$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{bonus}";
            	    	                                       				}
            	    	                                       				
    	            	                                                        if($STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{marked} == 0) { # marked
    	            	                                                                my $divider = $QST_NAMES{$qst_id}{weight};
                                                                                
    	            	                                                                if($divider > 0 && $QST_NAMES{$qst_id}{marks} >= 0) {
    	            	                                                                	$json = "$json".",\"$QST_NAMES{$qst_id}{name}\":\"$qst_mark\"";
    	            	                                                                        }
    	            	                                                                else {
    	            	                                                                	$json = "$json".",\"$QST_NAMES{$qst_id}{name}\":\"\"";
    	            	                                                                        }
    	            	                                                                }
    	            	                                                        }
    	            	                                                }
										
    	            	                                        elsif($QSTS{$qst_id} == 4) { #assignment
    	            	                                                my $n_qst_id = $qst_id;
    	            	                                                $qst_id =~ s/\D//;
                                                                
    	            	                                                if(exists $STUDENTS_ASSIGN_MARKS{$key1}{qst}{$qst_id}{mark} && $STUDENTS_ASSIGN_MARKS{$key1}{qst}{$qst_id}{mark} >= 0) {
    	            	                                                        my $divider = $ASSIGNMENTS{$qst_id}{weight};
                                                                        
    	            	                                                        if($divider > 0 && $ASSIGNMENTS{$qst_id}{marks} > 0) {
    	            	                                                                $json = "$json".",\"$ASSIGNMENTS{$qst_id}{name}\":\"$STUDENTS_ASSIGN_MARKS{$keyy}{qst}{$qst_id}{mark}\"";
    	            	                                                                }
    	            	                                                        else {
    	            	                                                                $json = "$json".",\"$ASSIGNMENTS{$qst_id}{name}\":\"$STUDENTS_ASSIGN_MARKS{$keyy}{qst}{$qst_id}{mark}\"";
    	            	                                                                }
    	            	                                                        }
    	            	                                                else {
    	            	                                                        $json = "$json".",\"$ASSIGNMENTS{$qst_id}{name}\":\"\"";
    	            	                                                        }
    	            	                                                }
    	            	                                        }
    	            	                                }
    	            	                        $json = "$json"."},' +";    	            	                        
    	            	                        } 
       	            	                }
    	            	        }
    	            	$json =~ s/,' \+$/]}'\;/;
    	    		$fill = $json;
			}
	      } 
             
        
        print"<textarea rows=\"15\" cols=\"75\" value=\"\">$fill</textarea>\n";

        }
        
##################
#
# PRINT_DO_TYPE_RESUME_QST
#
################
sub print_do_type_resume_qst {
	my %VMT = @_;
	$VMT{qst_id} =~ s/\D//g;
	my $qst = $VMT{qst_id};
	$VMT{type} =~ s/\D//g;
	my $type = $VMT{type};
	my $class_id = $VMT{class_id};
	$VMT{session_id} =~ s/\D//g;
	my $session_id = $VMT{session_id};
	
	my $name = "BOB";
	my %QUESTIONS = ();
	my %ANSWERS = ();
	my %STUDENTS_QUESTIONS_WITH_NO_ANSWER = ();
     	my $index_pt2 = 1;
	my $index_to_quest_no;
	my $show_eq = 1;
	my $index = 1;
	my $questions_answered;
	
	&print_javascript_begin();
					
	&print_javascript_enterMX();
	
	print"var this_in
	var when
	var frame_url = self.parent.qst_left.location.href\n";
	
        print"function activated_this\(quest_no,real_quest_no,type,checked_ans,select\) \{
	var this_in = quest_no
	var real_quest_ans
	var quest_ans
      	var replace_string =\"\"
      	var reg_exp1 = \/\\s\/g
	var replace_string2 =\"\%20\"
	document.form4.real_quest_no.value=real_quest_no
	document.form4.quest_no.value=quest_no
	if\(type == \"TF\"\ || type == \"MC\" || type == \"AD\" || type == \"YN\") \{
	self.parent.right_bot.s_input\(this_in\)
	document.form4.answer.value=checked_ans
	document.form4.submit\(\)
	\}\n";

	print"if\( type == \"MA\") \{
	document.form4.answertype.value=type
	document.form4.answer.value=checked_ans
	self.parent.right_bot.s_input\(this_in\)
	document.form4.submit\(\)
	\}
	else \{
	document.form4.answertype.value=\"\"
	\}\n";

	print"if\(type == \"SA\") \{\n";
	print"real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;\n";
	print"quest_ans=eval\(real_quest_ans\)\n";
      	print"var in_string = quest_ans\n";
	print"var new_string = in_string.replace\(reg_exp1,replace_string\)\n";
	print"var new_string2 = in_string.replace\(reg_exp1,replace_string2\)\n";
	print"qlength = in_string.length\;\n";
	print" if \(qlength > 75\) \{\n";
	print"alert\(\"The answer is longer than 75 characters.\"\)\n";
	print"\}\n";
	print"else \{\n";
      	print"if\(new_string !=\"\"\)\{\n";
	print"self.parent.right_bot.s_input\(this_in\)\n";
	print"document.form4.saanswer.value=quest_ans\n";
	print"document.form4.submit\(\)\n";
      	print"\}\n";
	print"else \{\n";
	print"self.parent.right_bot.un_do\(this_in\)\n";
	print"document.form4.saanswer.value=\"\"\n";
      	print"\}\n";
      	print"\}\n";
      	print"\}\n";
      					
 	print"if\(type == \"P\") \{\n";
 	print"real_quest_ans = \'document.q_form.\'+ checked_ans +\'.value\'\;\n";
 	print"quest_ans=eval\(real_quest_ans\)\n";
       	print"var in_string = quest_ans\n";
 	print"var new_string = in_string.replace\(reg_exp1,replace_string\)\n";
 	print"var new_string2 = in_string.replace\(reg_exp1,replace_string2\)\n";
 	print"qlength = in_string.length\;\n";
 	print" if \(qlength > 675\) \{\n";
 	print"alert\(\"The answer is longer than 700 characters.\"\)\n";
 	print"\}\n";
 	print"else \{\n";
       	print"if\(new_string !=\"\"\)\{\n";
 	print"self.parent.right_bot.s_input\(this_in\)\n";
 	print"document.form4.panswer.value=quest_ans\n";
 	print"document.form4.submit\(\)\n";
       	print"\}\n";
 	print"else \{\n";
 	print"self.parent.right_bot.un_do\(this_in\)\n";
 	print"document.form4.panswer.value=\"\"\n";
       	print"\}\n";
       	print"\}\n";
       	print"\}\n";

	print"\}\n";
	
        print"function load_handler\(\) \{
	document.form2.submit\(\)
	\}\n";

        print"function sub_mit\(\) \{\n";
	print"document.q_form.submit\(\)\n";
	if ($type == 2) {
	print"self.parent.right_top.location.replace\(\"\/schools/empty.htm\"\)\n";
	print"self.parent.right_bot.location.replace\(\"\/schools/empty.htm\"\)\n";
	}
	print"\}\n";

        print"function link_anchor\(l_nk\) \{
	var this_link = l_nk
	self.parent.qst_left.location = frame_url + \"#\" + this_link
	\}\n";

        print"function resume_check_boxes_bot_right\(\) \{
        var box_string = document.form5.answered.value
	if\(box_string !=\"\"\)\{
	const myArray = box_string.split\(\",\"\)
	let fLen = myArray.length
	
	for (let i = 0; i < fLen; i++) {
 	self.parent.right_bot.s_input\(myArray[i]\)
 	\}
       	\}
       	\}\n";

	&print_javascript_end();

	my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\"");
	my %POSTED_QST = &select_posted_qst("query","select * from posted_qst WHERE qst=\"$qst\" AND org_id=\"$org_id\"");

	my $qtime = $POSTED_QST{$qst}{qtime};
	
	#check attempts, in progress
	my %RETURN1 = &select_qst_attempts_info("query","SELECT qst_no,attempts,end,resume from qst_attempts WHERE qst_no=\"$qst\" AND u_id=\"$ids\"");

	if (keys %QST_INFO) {
		my $questions = "$QST_INFO{$qst}{questions}";
		my $marks = "$QST_INFO{$qst}{marks}";
		my $name = "$QST_INFO{$qst}{name}";
		my $is_there = 0;
		my @results;
		my %BEGUN_SUBMITTED = ();
		
		print"<TABLE bgcolor=\"#00000\" width=\"100%\"><TR><TD><center><B><i><font style=\"font-size:18pt\; font-family:Arial\;\" color=\"white\"> $QST_INFO{$qst}{name} </font></i></b></center></TD>";
				      			
		if ($type == 2) { #survey
			print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"  color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions </font></TD></TR>\n";
			}
								
		else { # quizzes/tests
		        print"<TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font style=\"font-size:11pt\; font-family:Arial\;\"    color=\"white\">$LANGUAGE{$set_language}{Questions}\: $questions  &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Marks}\: $marks </TD></TR>\n";
			} 
		                                        
		print"</TABLE><BR>\n";

		my %STARTED_SUBMITTED = &select_started_submitted("qst_no","$qst","u_id","$ids");
		my $start_time = $STARTED_SUBMITTED{$ids}{start_time};
		my $end_time = $STARTED_SUBMITTED{$ids}{end};

		# get students saved qst
		my %STUDENTS_QST = &select_users_qst("query","SELECT quest_no,answer,mark,marked,time_stamp,quest_order from qsts WHERE u_id=\"$ids\" AND qst=\"$qst\"");
		
		my $query = "SELECT * from questions WHERE ";
		my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE ";
		my $questions_in_qst_query = "select quest_no,value,q_select from qst_questions WHERE qst_no=\"$qst\" AND \(";
		
		#THEIR LAST ANSWERED QUESTION TIME
		my $last_time = 0;
		my $last_day = 0;
                my $last_month = 0;
                
		foreach my $order(keys %STUDENTS_QST) {
			$query = "$query"." "."number=\"$STUDENTS_QST{$order}{quest_no}\" OR";
			$query1 = "$query1"." "."number=\"$STUDENTS_QST{$order}{quest_no}\" OR";
			$questions_in_qst_query = "$questions_in_qst_query"." "."quest_no=$STUDENTS_QST{$order}{quest_no} OR";
			
			if($STUDENTS_QST{$order}{time_stamp} > 0) {
				my @times = split(/-/,$STUDENTS_QST{$order}{time_stamp});
				if($times[2] > $last_time) {
					$last_time = $times[2];
					$last_month = $times[0];
					$last_day = $times[1];
					}
				}
			}
			
		$query =~ s/ OR$//;
		%QUESTIONS = &select_questions("query","$query");
		
		$query1 =~ s/ OR$//;
		%ANSWERS = &select_question_answers("query","$query1");
		$questions_in_qst_query =~ s/ OR$/)/;

		my %QUESTIONS_IN_QST = &select_users_qst_questions("query","$questions_in_qst_query");
		
		&print_javascript_begin();
		print"var frame_url = self.top.qst_left.location.href\n";
		print"function load_right\(\)\{\n";
		print"document.form1.submit\(\)\n";
		print"\}\n";
           	print"function link_anchor\(l_nk\) \{\n";
		print"var this_link = l_nk\n";
		print"self.top.qst_left.location = frame_url + \"#\" + this_link\n";
		print"\}\n";
		&print_javascript_end();
		print"<P><TABLE>\n";

		&print_form_wo_end_tag("form_name","q_form","input","mark_type","class_id","$class_id","class_name","$VMT{class_name}","type","$type","qst","$qst","qst_name","$name","u_id","$ids","session_id","$VMT{session_id}");
                                        

		#DISPLAY THE QST
		foreach my $quest(sort {$a<=>$b} keys %STUDENTS_QST) {
			my $real_no = "$STUDENTS_QST{$quest}{quest_no}";
			
			$index_to_quest_no = "$index_to_quest_no"."$index_pt2=$real_no"."-"."$QUESTIONS{$real_no}{type}"."-"."$QUESTIONS_IN_QST{$real_no}{value}".",";
			
                    #### PRINT OUT QUESTION
                 	print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index_pt2\">$index_pt2</a>\.</b></TD><TD valign=\"top\" NOWRAP><font size=\"-1\"><i>\($QUESTIONS_IN_QST{$real_no}{value}\)</i></font></TD><TD valign=\"top\">";
             		my $question_rows = 1;
 			my $question_length = length($QUESTIONS{$real_no}{question});
 		
 			# fix display to show new lines in text of question
                        my $content = $QUESTIONS{$real_no}{question};
                        $content =~ s/\r[\n]*/\n/gm;
                        my @lines = split(/\n/,$content);
                        my $rows = @lines;
                        $question_rows = $question_rows + $rows;
                        
			my $empty_question = $QUESTIONS{$real_no}{question};
			$empty_question =~ s/\r\n//g;
			$empty_question =~ s/\s//g;
			
			if($QUESTIONS{$real_no}{ans_mode} == 2) {
				$show_eq = 2;
				}
				
			if($QUESTIONS{$real_no}{mode} == 1) { #ADVANCED 
                                print"$QUESTIONS{$real_no}{question}</TD></TR></TABLE>\n";
                                }
                                
                        elsif($QUESTIONS{$real_no}{mode} == 2) { #EQUATION
                                $show_eq = 2;
                                print"$QUESTIONS{$real_no}{question}</TD></TR></TABLE>\n";
                                }
                                
                        else { # BASIC
                                if($empty_question eq "") {
                                        if(defined $QUESTIONS{$real_no}{image_id} && $QUESTIONS{$real_no}{image_id} > 0) {
                                                my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$real_no}{image_id}\"");
                                                my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$real_no}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$QUESTIONS{$real_no}{image_id}"."\."."$extension[1]";
                                                print"&nbsp\;<img src=\"$image\"></TD></TR></TABLE>\n";
                                                }
					
					if(defined $QUESTIONS{$real_no}{pdf} && $QUESTIONS{$real_no}{pdf} > 0) {
						my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$real_no}{pdf}"."\."."pdf";
						print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
					        }

                                        if($QUESTIONS{$real_no}{vlink} && $QUESTIONS{$real_no}{vlink} ne "0") {
                                                print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                }
                                        
                                        if($QUESTIONS{$real_no}{alink} && $QUESTIONS{$real_no}{alink} ne "0") {
                                                print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                }
                                        }
                                else {
                                        print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"70\">$QUESTIONS{$real_no}{question}</textarea></b></TD></TR></TABLE>\n";
          			
                                        if(defined $QUESTIONS{$real_no}{image_id} && $QUESTIONS{$real_no}{image_id} > 0) {
                                                my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$real_no}{image_id}\"");
                                                my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$real_no}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$QUESTIONS{$real_no}{image_id}"."\."."$extension[1]";
                                                print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                                                }
					
					if(defined $QUESTIONS{$real_no}{pdf} && $QUESTIONS{$real_no}{pdf} > 0) {
						my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$real_no}{pdf}"."\."."pdf";
						print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						}

                                        if($QUESTIONS{$real_no}{vlink} && $QUESTIONS{$real_no}{vlink} ne "0") {
                                                print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                }
                                        
                                        if($QUESTIONS{$real_no}{alink} && $QUESTIONS{$real_no}{alink} ne "0") {
                                                print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                }
                                        }
				} 


                    #### now the answers                        	
                        if ($QUESTIONS{$real_no}{type} eq"TF") {
				print"<TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:text-top\;\"><label for=\"radio$index\">
			        <input type =\"radio\" style=\"vertical-align:text-top\" name =\"$real_no\" value=\"T\" onClick=\"activated_this\(\'$index\',\'$real_no\',\'$QUESTIONS{$real_no}{type}\',\'T\'";
			                
			        if($QUESTIONS{branch} == 1) {
			        	print",\'b\'";
			                }
			                        
			        print"\)\" id=\"radio$index\"";
			                 
			        if($STUDENTS_QST{$quest}{answer} eq "T") {
				 	print"checked";
				 	$questions_answered = "$questions_answered ".","."$index";
			               	}
			                	
			        print"> $LANGUAGE{$set_language}{True} &nbsp\;</label> \n";
			                
			        print" <label for=\"radiox$index\"><input type =\"radio\" style=\"vertical-align:text-top\" name =\"$real_no\" value=\"F\" onClick=\"activated_this\(\'$index\',\'$real_no\',\'$QUESTIONS{$real_no}{type}\',\'F\'";
			                
			        if($QUESTIONS{branch} == 1) {
			                print",\'b\'";
			                }
			                        
			        print"\)\" id=\"radiox$index\"";
			                
			        if($STUDENTS_QST{$quest}{answer} eq "F") {
					print"checked";
					$questions_answered = "$questions_answered ".","."$index";
			               	}
			                	
			        print"> $LANGUAGE{$set_language}{False}</label></TD></TR>\n";
			                
			        print"</TABLE><TR><TD colspan=2><HR width=90\%></TD></TR>\n";
			        }

                        	
                        elsif ($QUESTIONS{$real_no}{type} eq"YN") {
				print"<TABLE><TR><TD width=\"50\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:text-top\;\"><label for=\"radio$index\">
			        <input type =\"radio\" style=\"vertical-align:text-top\" name =\"$real_no\" value=\"Y\" onClick=\"activated_this\(\'$index\',\'$real_no\',\'$QUESTIONS{$real_no}{type}\',\'Y\'";
			                
			        if($QUESTIONS{branch} == 1) {
			        	print",\'b\'";
			                }
			                        
			        print"\)\" id=\"radio$index\"";
			                 
			        if($STUDENTS_QST{$quest}{answer} eq "Y") {
				 	print"checked";
				 	$questions_answered = "$questions_answered ".","."$index";
			               	}
			                	
			        print"> $LANGUAGE{$set_language}{True} &nbsp\;</label> \n";
			                
			        print" <label for=\"radiox$index\"><input type =\"radio\" style=\"vertical-align:text-top\" name =\"$real_no\" value=\"N\" onClick=\"activated_this\(\'$index\',\'$real_no\',\'$QUESTIONS{$real_no}{type}\',\'N\'";
			                
			        if($QUESTIONS{branch} == 1) {
			                print",\'b\'";
			                }
			                        
			        print"\)\" id=\"radiox$index\"";
			                
			        if($STUDENTS_QST{$quest}{answer} eq "N") {
					print"checked";
					$questions_answered = "$questions_answered ".","."$index";
			               	}
			                	
			        print"> $LANGUAGE{$set_language}{False}</label></TD></TR>\n";
			                
			        print"</TABLE><TR><TD colspan=2><HR width=90\%></TD></TR>\n";
                        	}
                        	
			elsif ($QUESTIONS{$real_no}{type} eq"SA") {
				if (defined $STUDENTS_QST{$quest}{answer} && $STUDENTS_QST{$quest}{answer} ne"") {
					print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" style=\"resize:none\;\" name=\"sa$real_no\" maxlength=\"70\" value=\"$STUDENTS_QST{$quest}{answer}\"></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$real_no\',\'$QUESTIONS{$real_no}{type}\',\'sa$real_no\'\)\"></TD></TR></TABLE>\n";
					$questions_answered = "$questions_answered ".","."$index";
					}
					
				else {
			                print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><input type=\"text\" size=\"50\" value=\"\" style=\"resize:none\;\" name=\"sa$real_no\" maxlength=\"70\" ></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$real_no\',\'$QUESTIONS{$real_no}{type}\',\'sa$real_no\'\)\"></TD></TR></TABLE>\n";
					}
					
	                 	print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
                       		}
                       		
			elsif ($QUESTIONS{$real_no}{type} eq"P") {
				if (defined $STUDENTS_QST{$quest}{answer} && $STUDENTS_QST{$quest}{answer} ne"") {
			                 print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" value=\"\" style=\"resize:none\; overflow:auto\;\" cols=\"60\" name=\"p$real_no\" maxlength=\"700\">$STUDENTS_QST{$quest}{answer}</textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$quest\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$real_no\',\'$QUESTIONS{$real_no}{type}\',\'p$real_no\'\)\"></TD></TR></TABLE>\n";
					$questions_answered = "$questions_answered ".","."$index";
					}
									
				else {
			                 print"<TABLE><TR><TD width=\"50\" ></TD><TD valign=\"top\" ><textarea onpaste=\"return false\;\" rows=\"5\" value=\"\" style=\"resize:none\; overflow:auto\;\" cols=\"60\" name=\"p$real_no\" maxlength=\"700\"></textarea></TD></TR><TR><TD width=\"20\"></TD><TD align=\"center\"><input type =\"button\" name =\"$quest\" value=\"Save Answer\" onClick=\"activated_this\(\'$index\',\'$real_no\',\'$QUESTIONS{$real_no}{type}\',\'p$real_no\'\)\"></TD></TR></TABLE>\n";
					}

	                 	print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
                       		}

                   		
                 	elsif ($QUESTIONS{$real_no}{type} eq"MC") {
				&mc_display_answers_qst_resume("number","$real_no","kolum","$QUESTIONS{$real_no}{kolum}","index","$index","type","$QUESTIONS{$real_no}{type}","branch","$QUESTIONS{$real_no}{branch}","ans_mode","$QUESTIONS{$real_no}{ans_mode}","shuffle_ans","$QUESTIONS{$real_no}{shuffle_ans}","their_answer","$STUDENTS_QST{$quest}{answer}");

				if($STUDENTS_QST{$quest}{answer} ne "") {
					$questions_answered = "$questions_answered ".","."$index";
					}
				
	                 	print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
				}
			
			elsif ($QUESTIONS{$real_no}{type} eq"MX") { # Matching
                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$real_no\" AND c_answer = 0");
                             
                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$real_no\" AND c_answer = 1");
                                
                                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$real_no\" AND qst=\"$qst\"");
                                
                                my %ANSWERED = ();
                                
                                my @myans = split(/\n/,$QUESTION_ANSWERED{$real_no});
				
				foreach my $piece(@myans) {
				        my @mxx = split(/=/,$piece);
				        $ANSWERED{$mxx[0]} = $mxx[1];
                                        }

				if(keys %ANSWERED) {
					$questions_answered = "$questions_answered ".","."$index";
					}
					
				for (my $i = 1; $i <= $mx_num; $i++){ # FOR EACH ROW
					my $select = "select$i";
					
					if (defined $RETURN_MX_TEXT{$i}{answer}) {
	                	                print"<TABLE> <TR><TD width=\"50\"></TD>\n";
	                	                
	                	                print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\; overflow:auto\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"2\" cols=\"20\" readonly>
	                	                $RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD>\n";
	                                
	                	                print"<select name=\"$select\" id=\"$select\" onchange=\"enterMX($select)\">\n";
						
						my $selected = 0;
						my $chosen_ans = 0;
						
						foreach my $ans(keys %RETURN_MX_MATCHING) { # FOR EACH SELECTION
							my $pass = "$index".","."$real_no".","."$RETURN_MX_MATCHING{$ans}{answer}".","."$select";

							if(defined $ANSWERED{$i}) { 
								if($ANSWERED{$i} eq $RETURN_MX_MATCHING{$ans}{answer}) {
									print"<option value=\"$pass\" selected> $ANSWERED{$i}</option>";
									$selected = 1;
									$chosen_ans = $ans;
									}
								else {
									print"<option value=\"$pass\"> $RETURN_MX_MATCHING{$ans}{answer} </option>\n";
									}
								}
								
							else {
								print"<option value=\"$pass\"> $RETURN_MX_MATCHING{$ans}{answer} </option>\n";
								}
							}								
						        
                				if($selected == 0) {
							print"<option value=\"\" selected></option>";
							}

	                	                print"</select></TD></TR></TABLE>\n";
						}
					}
				
                                print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
                                }
                                
                        elsif ($QUESTIONS{$real_no}{type} eq"MA") {
				my $correct_answer;
				my $fake_real_no = "m"."$real_no";
                                
                                # the answers they entered in                                        
                                &resume_ma_display_answers_qst("index","$index","type","$QUESTIONS{$real_no}{type}","kolum","","shuffle_ans","","their_answer","$STUDENTS_QST{$quest}{answer}","number","$real_no","ans_mode","$QUESTIONS{$real_no}{ans_mode}");
                                
                                if($STUDENTS_QST{$quest}{answer} ne "") {
					$questions_answered = "$questions_answered ".","."$index";
					}
					
	                 	print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
				}
				
                 	++$index_pt2;
                 	++$index;
			}
			
                if($show_eq == 2) {
                        &print_eq();
                        }
			
		my $pass;
		foreach my $piece(@results) {
			$pass = "$pass".","."$piece";
			}
			
		$pass =~ s/^,//;
		
           	print "</TABLE></FORM>\n";
           	           	
           	my $minutes_remaining = &get_minutes_remaining("last_time","$last_time","end","$RETURN1{$qst}{end}","last_day","$last_day");
           				
		my $list_of_questions;
		
  		&print_form("form_name","form2","form_target","right_bot","input","resume_qst_side","class_id","$class_id","class_name","$VMT{class_name}","type","$type","qst","$qst","questions","$QST_INFO{$qst}{questions}","index_to_quest_no","$index_to_quest_no","u_id","$ids","session_id","$VMT{session_id}","qst_time","$minutes_remaining","delivery","$POSTED_QST{$qst}{delivery}","lquests","$list_of_questions","qst_name","$name","attempt","1");
  		&print_form("form_name","form4","form_target","right_top","input","question_done","class_id","$class_id","qst","$qst","real_quest_no","","quest_no","","answer","","saanswer","","panswer","","mxselect","","answertype","","type","$type","u_id","$ids","session_id","$VMT{session_id}");
                &print_form("form_name","form5","answered","$questions_answered","last_time","$last_time");
                
		print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
     		}
	}
        
#################
#
# GET_MINUTES_REMAINING
#
#################
sub get_minutes_remaining {
	my %GMR = @_;
	my $last_time = $GMR{last_time};
	my $last_day = $GMR{last_day};
	
	# COMPARE TIMES to get TIME REMAINING
        my $last_time_minutes = 0;
                                
        #change $last_time to minutes examples 0022 0133 2405
        $last_time =~ s/^0+//g;

        my $length_last = length($last_time);
                           
        if($length_last > 2) { # have hours
                if($length_last == 4) {
                        my $hours = substr($last_time, 0, 2);
                        $last_time_minutes = $hours * 60;
                        my $mins = substr($last_time, 2, 4);
                        $last_time_minutes = $last_time_minutes + $mins;
                        }
                else {
                        my $hours = substr($last_time, 0, 1);
                        $last_time_minutes = $hours * 60;
                        my $mins = substr($last_time, 1, 3);
                        $last_time_minutes = $last_time_minutes + $mins;
                        }
                }
         else {
                $last_time_minutes = $last_time;
                }
		
        my $minutes_end = 0;
	my $time_left = 0;
             
        my $tyme = scalar localtime($GMR{end});
        # Fri Mar 17 00:53:20 2023 
       
        $tyme =~ s/ +/ /g;
        my @tyme = split(/\s/, $tyme);
        my $month_tyme = $MONTHS_REVERSE{$tyme[1]};
             
	#COMPARE DAYS TO SEE IF IT GOES OVER 2
	if($last_day == $tyme[2]) {
             	my @true_time = split(/:/,$tyme[3]);
             	if($true_time[0] > 0) {
             		$minutes_end = $true_time[0] * 60;
                        }
                                
             	if($true_time[1] > 0) {                                       
                        $minutes_end = $minutes_end + $true_time[1];
                        }
                                
             	$time_left = $minutes_end - $last_time_minutes;
             	}
         else {
             	#minutes in day 1440
             	my $day_time_left = 1440 - $last_time_minutes;
             			
             	my @true_time = split(/:/,$tyme[3]);
		if($true_time[0] > 0) {
			$minutes_end = $true_time[0] * 60;
			}
				                                
		if($true_time[1] > 0) {                                       
			$minutes_end = $minutes_end + $true_time[1];
                        }
                        	
                $time_left = $day_time_left + $minutes_end;
		}
		
	return($time_left);
	}
	
#################
#
# RESUME_MA_DISPLAY_ANSWERS_QST
#
#################
sub resume_ma_display_answers_qst {
        my %MCDAQ = @_;
        my $index = $MCDAQ{index};
        my $i = 0;
        my $org;
        if($MCDAQ{demo} == 2) {
                $org = 2;
                }
        else {
                $org = $org_id;
                }
                
        my %RETURN = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$MCDAQ{number}\" AND org_id=\"$org\" ");
					
        my $num_of_answers = keys(%RETURN);
        my @answers;
        my $no_image = 0;
        
        if($MCDAQ{shuffle_ans} == 0) { # CREATED Order of Answers
                foreach my $key(sort {$a<=>$b} keys %RETURN) {
                	if($RETURN{$key}{image_id} > 0) {
				$no_image = $RETURN{$key}{image_id};
                		}
                        push(@answers,$key);
                        }
                }
                
        else { # RANDOMIZE ANSWERS
                my %RAND_ANSWERS = ();
                
                foreach my $nom(keys %RETURN) {
                	if($RETURN{$nom}{image_id} > 0) {
				$no_image = $RETURN{$nom}{image_id};
                		}
                        $RAND_ANSWERS{$nom} = $nom;
                        }
                                                                                
                for (my $i = 1; $i <= $num_of_answers ; $i++){ # randomly choose the answers
                        my $chosen_answer = &get_random_hash(%RAND_ANSWERS);
                        delete($RAND_ANSWERS{$chosen_answer});
                        push(@answers,$chosen_answer);
                        }
                }
        
        my %THEIR_ANSWERS;
        my @their_answers = split(/\,/, $MCDAQ{their_answer});
        
        while (@their_answers) {
                my $answers = shift(@their_answers);
                $THEIR_ANSWERS{$answers} = $answers;
                }
        
        # COLUMNS of answers
        if($num_of_answers > $MCDAQ{kolum}  && $MCDAQ{kolum}  > 1) {
                # print out columns
                if($MCDAQ{kolum} == 2 && $num_of_answers > $MCDAQ{kolum}) { # 2 columns
                        print"<TABLE>";
                                           
                        while(@answers) {
                                my $answer = shift(@answers);
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                my %IMAGE = ();
                                                
                                print"<TR>";
                                
                                if($RETURN{$answer}{image_id} > 0) {
                                        %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" ");
                                        }

                                &print_out_2columns_active("no_image","$no_image","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name",
                                "$IMAGE{$RETURN{$answer}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order","$answer","quest_no",
                                "$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$THEIR_ANSWERS{$answer}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                ++$i;
                                my $answer1 = shift(@answers);
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer1}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer1}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                        
                                my %IMAGE1 = ();
                                                
                                if($RETURN{$answer1}{image_id} > 0) {
                                        %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" ");
                                        }
                                                        
                                &print_out_2columns_active("no_image","$no_image","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order",
                                "$answer1","quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$THEIR_ANSWERS{$answer1}","ans_mode","$MCDAQ{ans_mode}");
                                
                                print"</TR>";
                                ++$i;
                                }
                        print"</TABLE>\n";
                        }
                
                elsif($MCDAQ{kolum} == 3 && $num_of_answers > $MCDAQ{kolum}) { # 3 columns
                        print"<TABLE>";
                                           
                        while(@answers) {
                                my $answer = shift(@answers);
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                        
                                my %IMAGE = ();
                                                
                                print"<TR>";
                                              
                                if($RETURN{$answer}{image_id} > 0) {
                                        %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" ");
                                        }

                                &print_out_3columns_active("no_image","$no_image","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order"
                                ,"$answer","quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$THEIR_ANSWERS{$answer}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                ++$i;
                                my $answer1 = shift(@answers);
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer1}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer1}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                my %IMAGE1 = ();
                                                
                                if($RETURN{$answer1}{image_id} > 0) {
                                        %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" ");
                                        }
                                                        
                                &print_out_3columns_active("no_image","$no_image","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order"
                                ,"$answer1","quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$THEIR_ANSWERS{$answer1}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                ++$i;
                                my $answer2 = shift(@answers);
                                if($MCDAQ{ans_mode} == 1) {
                                        $RETURN{$answer2}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer2}{answer} =~ s/&apos;/'/g; #change back
                                        }
                                        
                                my %IMAGE2 = ();
                                                
                                if($RETURN{$answer2}{image_id} > 0) {
                                        %IMAGE2 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer2}{image_id}\" ");
                                        }

                                &print_out_3columns_active("no_image","$no_image","select","$RETURN{$answer2}{answer}","image","$RETURN{$answer2}{image_id}","image_name","$IMAGE2{$RETURN{$answer2}{image_id}}","index","$index","type","$MCDAQ{type}","i","$i","order"
                                ,"$answer2","quest_no","$MCDAQ{number}","branch","$MCDAQ{branch}","their_answer","$THEIR_ANSWERS{$answer2}","ans_mode","$MCDAQ{ans_mode}");
                                                
                                print"</TR>";
                                ++$i;
                                }
                                                
                        print"</TABLE>\n";
                        }
                }
       
        else { # only one column
                while(@answers) {
                        my $answer = shift(@answers);

                        if ($RETURN{$answer}{c_answer} == 1) { # correct answer
                                if (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && ($MCDAQ{ans_mode} == 1 || $MCDAQ{ans_mode} == 2)) { # text in answer
                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><label for=\"checka$MCDAQ{number}$answer\"><input type =\"checkbox\" class=\"medium\" name =\"ma$MCDAQ{number}-$answer\" value=\"$answer\" ";
                                        
                                        if(defined $THEIR_ANSWERS{$answer}) {
                                                print"checked ";
                                                }
                                        
                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                        if($MCDAQ{branch} == 1) {
                                                print",\'b\'";
                                                } 
                        
                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD style=\"vertical-align:middle\">";

                                        $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                         
                                        print"</TD><TD>$RETURN{$answer}{answer}</TD></TR></TABLE>\n";
                                        }
                                        
                                elsif (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && $MCDAQ{ans_mode} == 0) { # text in answer
                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><label for=\"checka$MCDAQ{number}$answer\"><input type =\"checkbox\" class=\"medium\" name =\"ma$MCDAQ{number}-$answer\" value=\"$answer\" ";
                                        
                                        if(defined $THEIR_ANSWERS{$answer}) {
                                                print"checked ";
                                                }
                                        
                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                        if($MCDAQ{branch} == 1) {
                                                print",\'b\'";
                                                }
                        
                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
 
                                        print"</TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" value=\"$RETURN{$answer}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"60\" readonly>$RETURN{$answer}{answer}</textarea>\n";
 								
                                        if($RETURN{$answer}{image_id} > 0) { # image to
                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td style=\"vertical-align:middle\"><img src=\"$image\"></td></TR></table>\n";
                                                }
                                        else {
                                                print"</TD></TR></TABLE>\n";
                                                }
					
                                        }
                                else { # only image in answer
                                        if($RETURN{$answer}{image_id} > 0 && $MCDAQ{ans_mode} == 0) {
                                                print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><input type =\"checkbox\" class=\"medium\" name =\"ma$MCDAQ{number}-$answer\" value=\"$answer\" ";
                                        
                                        if(defined $THEIR_ANSWERS{$answer}) {
                                                print"checked ";
                                                }
                                        
                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                        if($MCDAQ{branch} == 1) {
                                                print",\'b\'";
                                                }
                        
                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD style=\"vertical-align:middle\">";
                                                        
                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                print"<img src=\"$image\"></td></TR></table><P>\n";
                                                }
                                        else {
                                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                }
                                        }
                                }
							
                        else { # not correct answer
                                if (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && ($MCDAQ{ans_mode} == 1 || $MCDAQ{ans_mode} == 2)) { # text in answer
                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><label for=\"checka$MCDAQ{number}$answer\"><input type =\"checkbox\" class=\"medium\" name =\"ma$MCDAQ{number}-$answer\" value=\"$answer\" ";
                                        
                                        if(defined $THEIR_ANSWERS{$answer}) {
                                                print"checked ";
                                                }
                                        
                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                        if($MCDAQ{branch} == 1) {
                                                print",\'b\'";
                                                }
                        
                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD valign=\"middle\">";
                                                
                                        $RETURN{$answer}{answer} =~ s/&quot;/"/g; #change back
                                        $RETURN{$answer}{answer} =~ s/&apos;/'/g; #change back
                                        
                                        print"</TD><TD style=\"vertical-align:middle\">$RETURN{$answer}{answer}</TD></TR></TABLE>\n";
                                        }
                                        
                                elsif (defined $RETURN{$answer}{answer} && $RETURN{$answer}{answer} ne"" && $MCDAQ{ans_mode} == 0) { # text in answer
                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><label for=\"checka$MCDAQ{number}$answer\"><input type =\"checkbox\" class=\"medium\" name =\"ma$MCDAQ{number}-$answer\" value=\"$answer\" ";
                                        
                                        if(defined $THEIR_ANSWERS{$answer}) {
                                                print"checked ";
                                                }
                                        
                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                        if($MCDAQ{branch} == 1) {
                                                print",\'b\'";
                                                }
                        
                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD style=\"vertical-align:middle\">";
                                                
                                        print"</TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$answer}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"60\" readonly>$RETURN{$answer}{answer}</textarea>\n";
                                                
                                        if($RETURN{$answer}{image_id} > 0) { # image to
                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                }
                                        else {
                                                print"</TD></TR></TABLE>\n";
                                                }
	
                                        }
                                else { # no text in answer
                                        if($MCDAQ{ans_mode} == 0) {
                                                if($RETURN{$answer}{image_id} > 0) {
                                                        print"<TABLE><TR><TD width=\"40\"></TD><TD style=\"vertical-align:middle\"><label for=\"checka$MCDAQ{number}$answer\"><input type =\"checkbox\" class=\"medium\" name =\"ma$MCDAQ{number}-$answer\" value=\"$i\""; 
                                                        
                                                        if(defined $THEIR_ANSWERS{$answer}) {
                                                                print"checked ";
                                                                }
                                        
                                                        print"onClick=\"activated_this\(\'$index\',\'$MCDAQ{number}\',\'$MCDAQ{type}\',\'$answer\'";
                                                
                                                        if($MCDAQ{branch} == 1) {
                                                                print",\'b\'";
                                                                }
                        
                                                        print"\)\" id=\"radioa$MCDAQ{number}$answer\"></TD><TD style=\"vertical-align:middle\">";
                                                
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND org_id=\"$org_id\"");
                                                                                
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$answer}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$answer}{image_id}"."\."."$extension[1]";
                                                        print"<img src=\"$image\"></td></TR></table><P>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
                                                }
                                        }
                                }
                        }
                }
        }

####################
#
# GRADEBOOK
#
####################
sub gradebook {
	my %VSBC = @_;
	$VSBC{expand} =~ s/\D//g;
	my %STUDENTS_IN_CLASS = ();
	my %STUDENTS_NAMES = ();

	&print_sticky_style();

	&print_collapse_the_display();

	&print_javascript_begin();
	print"var owindo\n";

	print"function show_students\(expand\) \{
	document.form1.expand.value = expand
	document.form1.submit\(\)
	\}\n";

	&javascript_show_stuff();

	print"function show_downlds\(\) \{
	if(downlods.style.display ==\"block\") \{
	downlods.style.display =\"none\"
	\}
	else\{
	downlods.style.display =\"block\"
	\}
	\}\n";

	print"function down_load\(clas,type\) \{
	owindo = window.open\(\"\",\"owindo\",\"top=200,left=350,height=400,width=640\"\)
	owindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{DownloadGradeBook}<\/title><\/head><body>\'\)
	owindo.document.writeln\(\'<\/body><\/HTML>\'\)
	owindo.focus\(\)
	document.form5.class_id.value=clas
	document.form5.dwnld.value=type
	document.form5.submit\(\)
	show_downlds\(\)
	\}\n";

	print"function close_open_windows\(\) \{
	if(!owindo) \{
	\}else \{
	owindo.close()
	\}
	\}\n";

	print"function submit_survey\(qst_id,s_id,expand,type\) \{
	close_open_windows\(\)
	document.form2.input.value=\"submit_survey\"
	document.form2.expand.value=expand
	document.form2.qst_id.value=qst_id
	document.form2.s_id.value=s_id
	document.form2.type.value=type
	document.form2.submit\(\)
	\}\n";

	print"function click_handler\(what,qst_id,s_id,expand,mark,type,bonus,s_name,assign_qst_name\) \{\n";
	print"close_open_windows\(\)\n";
	print"if\(what == 1\)\{\n";
	&print_javascript_replace_single_and_double_quote("name","mark");
	print"if\(confirm\(\"$LANGUAGE{$set_language}{Deleteallstudentsmarksandaccess}\"\)\) \{
	document.form2.input.value=\"delete_assign\"
	document.form2.expand.value=expand
	document.form2.qst_id.value=qst_id
	document.form2.type.value=type
	document.form2.submit\(\)
	\}
	\}\n";
	
	print"else if\(what == 2\)\{\n";
	&print_javascript_replace_single_and_double_quote("name","assign_qst_name");
	print"if\(type == 2\) \{
	if\(confirm\(\"$LANGUAGE{$set_language}{Delete} \" +s_name+ \"\'s $LANGUAGE{$set_language}{submissionfor} \" +assign_qst_name+ \"\? \"\)\) \{
        document.form2.input.value=\"delete_s_assign\"
	document.form2.expand.value=expand
	document.form2.qst_id.value=qst_id
	document.form2.s_id.value=s_id
	document.form2.type.value=type
	document.form2.submit\(\)
	\}
	\}
	else \{\n";
	
	print"if\(confirm\(\"$LANGUAGE{$set_language}{Delete} \" +s_name+ \"\'s $LANGUAGE{$set_language}{submissionandmarkfor} \" +assign_qst_name+ \"\? \"\)\) \{
	document.form2.input.value=\"delete_s_assign\"
	document.form2.expand.value=expand
	document.form2.qst_id.value=qst_id
	document.form2.s_id.value=s_id
	document.form2.type.value=type
	document.form2.submit\(\)
	\}
	\}
	\}\n";
	
	print"else if\(what == 3\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=200,left=350,height=180,width=300\"\)\n";
	print"owindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeAssignmentMark}<\/title><\/head><body>\'\)\n";
	print"owindo.document.writeln\(\'<\/body><\/HTML>\'\)\n";
	print"owindo.document.close()\n";
	print"owindo.focus\(\)\n";
	print"document.form3.input.value=\"change_mark_page\"
	document.form3.expand.value=expand
	document.form3.qst_id.value=qst_id
	document.form3.s_id.value=s_id
	document.form3.mark.value=mark
	document.form3.bonus.value=bonus
	document.form3.type.value=type
	document.form3.s_name.value=s_name
	document.form3.assign_qst_name.value=assign_qst_name
	document.form3.submit\(\)
	\}\n";
	
	print"else if\(what == 4\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=200,left=350,height=170,width=400\"\)\n";
	print"owindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{RenamethisAssignment}<\/title><\/head><body>\'\)\n";
	print"owindo.document.writeln\(\'<\/body><\/HTML>\'\)\n";
	print"owindo.focus\(\)\n";
	print"document.form3.input.value=\"rename_assign_page\"
	document.form3.expand.value=expand
	document.form3.qst_id.value=qst_id
	document.form3.type.value=type
	document.form3.name.value=mark
	document.form3.submit\(\)
	\}\n";
	
	print"else if\(what == 5\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=200,left=350,height=185,width=450,scrollbars\"\)\n";
	print"owindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{CreateAssignment}<\/title><\/head><body>\'\)\n";
	print"owindo.document.writeln\(\'<\/body><\/HTML>\'\)\n";
	print"owindo.document.close()\n";
	print"owindo.focus\(\)\n";
	print"document.form3.input.value=\"create_assign_page\"
	document.form3.expand.value=expand
	document.form3.name.value=qst_id
	document.form3.submit\(\)
	\}\n";
	
	print"else if\(what == 6\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=200,left=350,height=150,width=300\"\)\n";
	print"owindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeWeight}<\/title><\/head><body>\'\)\n";
	print"owindo.document.writeln\(\'<\/body><\/HTML>\'\)\n";
	print"owindo.document.close()\n";
	print"owindo.focus\(\)\n";
	print"document.form3.input.value=\"change_weight_page\"
	document.form3.expand.value=expand
	document.form3.qst_id.value=qst_id
	document.form3.weight.value=mark
	document.form3.type.value=type
	document.form3.submit\(\)
	\}\n";
	
	print"else if\(what == 7\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=0,left=0,height=800,width=800,scrollbars\"\)\n";
	print"owindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Viewa} $assign[$VSBC{type}]<\/title><\/head><body>\'\)\n";
	print"owindo.document.writeln\(\'<\/body><\/HTML>\'\)\n";
	print"owindo.document.close()\n";
	print"owindo.focus\(\)\n";
	print"document.form3.input.value=\"view_qst\"
	document.form3.quiz_no.value=qst_id
	document.form3.type.value=type
	document.form3.submit\(\)
	\}\n";
	
	print"else if\(what == 8\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=200,left=350,height=150,width=300\"\)\n";
	print"owindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeAssignmentMarksValue}<\/title><\/head><body>\'\)\n";
	print"owindo.document.writeln\(\'<\/body><\/HTML>\'\)\n";
	print"owindo.document.close()\n";
	print"owindo.focus\(\)\n";
	print"document.form3.input.value=\"change_assign_marks_page\"
	document.form3.expand.value=expand
	document.form3.qst_id.value=qst_id
	document.form3.marks.value=mark
	document.form3.type.value=type
	document.form3.submit\(\)
	\}\n";
	
	print"else if\(what == 9\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=0,left=0,height=800,width=800,scrollbars\"\)\n";
	print"owindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{View}<\/title><\/head><body>\'\)\n";
	print"owindo.document.writeln\(\'<\/body><\/HTML>\'\)\n";
	print"owindo.document.close()\n";
	print"owindo.focus\(\)\n";
	print"document.form3.input.value=\"view_qst\"
	document.form3.quiz_no.value=qst_id
	document.form3.type.value=type
	document.form3.submit\(\)
	\}\n";
	
	print"else if\(what == 10\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=0,left=0,height=800,width=900,scrollbars\"\)\n";
	print"owindo.focus\(\)\n";
	print"owindo.document.writeln\(\'\<html\>\<head\>\<title\>$LANGUAGE{$set_language}{ViewmarkQST}\</title\>\</head\>\'\)\n";
	print"owindo.document.writeln\(\'\<FRAMESET COLS=\"80\%,20\%\" border=\"0\">\'\)\n";
	print"owindo.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=\"0\">\'\)\n";
	print"owindo.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_right\" NORESIZE border=\"1\">\'\)\n";
	print"owindo.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"owindo.document.writeln\(\'\<html\>\'\)\n";
	print"owindo.document.close()\n";
	print"document.form4.input.value=\"view_mark_type\"
	document.form4.qst_id.value=qst_id
	document.form4.s_id.value=s_id
	document.form4.class_id.value=expand
	document.form4.type.value=type
	document.form4.submit\(\)
	\}\n";
    
        print"else if\(what == 12\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=0,left=0,height=800,width=900,scrollbars\"\)\n";
	print"owindo.focus\(\)\n";
	print"owindo.document.writeln\(\'\<html\>\<head\>\<title\>$LANGUAGE{$set_language}{ViewQST}\</title\>\</head\>\'\)\n";
	print"owindo.document.writeln\(\'\<FRAMESET COLS=\"80\%,20\%\" border=\"0\">\'\)\n";
	print"owindo.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=\"0\">\'\)\n";
	print"owindo.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_right\" NORESIZE border=\"1\">\'\)\n";
	print"owindo.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"owindo.document.writeln\(\'\<html\>\'\)\n";
	print"owindo.document.close()\n";
	print"document.form4.input.value=\"view_indiv_branch_qst\"
	document.form4.qst_id.value=qst_id
	document.form4.s_id.value=s_id
	document.form4.class_id.value=expand
	document.form4.type.value=type
	document.form4.submit\(\)
	\}\n";
	
	print"else if\(what == 13\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=0,left=0,height=800,width=1250,scrollbars\"\)\n";
	print"owindo.focus\(\)\n";
	print"owindo.document.writeln\(\'\<html\>\<head\>\<title\>$LANGUAGE{$set_language}{QSTStats}\</title\>\</head\>\'\)\n";
	print"owindo.document.writeln\(\'\<FRAMESET COLS=\"55\%,45\%\" border=\"0\">\'\)\n";
	print"owindo.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=\"0\">\'\)\n";
	print"owindo.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_right\" NORESIZE border=\"1\">\'\)\n";
	print"owindo.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"owindo.document.writeln\(\'\<html\>\'\)\n";
	print"owindo.document.close()\n";
	print"document.form4.input.value=\"branch_stats\"
	document.form4.qst_id.value=qst_id
	document.form4.s_id.value=s_id
	document.form4.assign_name.value=mark
	document.form4.class_id.value=expand
	document.form4.type.value=type
	document.form4.submit\(\)
	\}\n";
	
	print"else if\(what == 14\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=0,left=0,height=800,width=1250,scrollbars\"\)\n";
	print"owindo.focus\(\)\n";
	print"owindo.document.writeln\(\'\<html\>\<head\>\<title\>$LANGUAGE{$set_language}{QSTStats}\</title\>\</head\>\'\)\n";
	print"owindo.document.writeln\(\'\<FRAMESET COLS=\"55\%,45\%\" border=\"0\">\'\)\n";
	print"owindo.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=\"0\">\'\)\n";
	print"owindo.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_right\" NORESIZE border=\"1\">\'\)\n";
	print"owindo.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"owindo.document.writeln\(\'\<html\>\'\)\n";
	print"owindo.document.close()\n";
	print"document.form4.input.value=\"branch_stats\"
	document.form4.qst_id.value=qst_id
	document.form4.s_id.value=s_id
	document.form4.assign_name.value=mark
	document.form4.class_id.value=expand
	document.form4.type.value=type
	document.form4.submit\(\)
	\}\n";
	
	print"else if\(what == 15\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=200,left=350,height=150,width=350\"\)\n";
	print"owindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{AddTime}<\/title><\/head><body>\'\)\n";
	print"owindo.document.writeln\(\'<\/body><\/HTML>\'\)\n";
	print"owindo.document.close()\n";
	print"owindo.focus\(\)\n";
	print"document.form3.input.value=\"add_time\"
	document.form3.s_id.value=s_id
	document.form3.s_name.value=s_name
	document.form3.assign_qst_name.value=assign_qst_name
	document.form3.qst_id.value=qst_id
	document.form3.type.value=type
	document.form3.submit\(\)
	\}\n";
	
	print"else if\(what == 16\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=200,left=350,height=150,width=350\"\)\n";
	print"owindo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Resume}<\/title><\/head><body>\'\)\n";
	print"owindo.document.writeln\(\'<\/body><\/HTML>\'\)\n";
	print"owindo.document.close()\n";
	print"owindo.focus\(\)\n";
	print"document.form3.input.value=\"resume_qst\"
	document.form3.s_id.value=s_id
	document.form3.s_name.value=s_name
	document.form3.assign_qst_name.value=assign_qst_name
	document.form3.qst_id.value=qst_id
	document.form3.type.value=type
	document.form3.submit\(\)
	\}\n";

	print"else if\(what == 11\)\{\n";
	print"owindo = window.open\(\"\",\"owindo\",\"top=0,left=0,height=800,width=1200,scrollbars\"\)\n";
	print"owindo.focus\(\)\n";
	print"owindo.document.writeln\(\'\<html\>\<head\>\<title\>$LANGUAGE{$set_language}{QSTStats}\</title\>\</head\>\'\)\n";
	print"owindo.document.writeln\(\'\<FRAMESET COLS=\"55\%,45\%\" border=\"0\">\'\)\n";
	print"owindo.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_left\" NORESIZE border=\"0\">\'\)\n";
	print"owindo.document.writeln\(\'\<FRAME SRC=\"/schools/empty.htm\" name=\"qst_right\" NORESIZE border=\"1\">\'\)\n";
	print"owindo.document.writeln\(\'\</FRAMESET\>\'\)\n";
	print"owindo.document.writeln\(\'\<html\>\'\)\n";
	print"owindo.document.close()\n";
	print"if\(type == 2\)\{\n";
	print"document.form4.input.value=\"survey_stats\"\n";
	print"\}\n";
	print"else \{\n";
	print"document.form4.input.value=\"stats\"\n";
	print"\}\n";
	
	print"document.form4.qst_id.value=qst_id
	document.form4.class_id.value=expand
	document.form4.s_id.value=s_id
	document.form4.assign_name.value=mark
	document.form4.type.value=type
	document.form4.submit\(\)
	\}
	\}\n";
	
	&print_javascript_end();
	
	
        print"<BR>\n";
	&top_heading26();
	print"</TABLE><P><DL>\n";

	foreach my $key(sort {$a<=>$b} keys %{$USER{$ids}}) { ## Ensures instructors only can access their classes
		if($VSBC{expand} == $key) {

                        %STUDENTS_IN_CLASS = &select_class_users("class_id","$key");
			delete($STUDENTS_IN_CLASS{$ids}); # Delete instructor
			
			print"<DT><span class=\"sticky\" style=\"width:100%\; display: inline-block\;\"><TABLE><TR><TD><B STYLE=\"cursor: pointer\" onClick=\"show_students\(\)\">$image5 $USER{$ids}{$key}</B> &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font onClick=\"click_handler\(\'5\',\'$USER{$ids}{$key}\',\'0\',\'$key\',\'0\'\)\" STYLE=\"cursor: pointer\" color=\"\#77787b\" size=\"-1\"><B>$image25 $LANGUAGE{$set_language}{Assignment}</B></font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B STYLE=\"cursor: pointer\" onClick=\"show_students\($key\)\"><font size=\"-1\">$image23 $LANGUAGE{$set_language}{Display}</font></B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;
			</TD><TD><B STYLE=\"cursor: pointer\" onClick=\"show_downlds\(\)\"><font size=\"-1\">$image24 $LANGUAGE{$set_language}{GradeBook}</B></font></TD></TR>
			<TR><TD></TD><TD><span ID=\"downlods\" STYLE=\"display:none\; cursor:pointer\"><font size=\"-1\"><i onClick=\"down_load\('$key','1'\)\"()>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Ascommaseparatedvariables} &nbsp\; .csv</i><BR>
			<i onClick=\"down_load\('$key','2'\)\"()>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$LANGUAGE{$set_language}{Asjavascriptobjectnotation} &nbsp\;.json</i></span></font></span></TD></TR></TABLE>\n";
			
			print"<TABLE id=\"gradebook\"><TR align=\"left\"><th style=\"width:20pt\;\"></TD><th valign=\"top\" align=\"left\"><B STYLE=\"font-family:Arial font-size:11pt\">QST/<font color=\"\#77787b\">$LANGUAGE{$set_language}{Assignment}</font>\:</B><BR><BR></TD><TD>&nbsp\;</TD>\n";

			#get posted qsts for class
			my $query_posted = "SELECT qst,rhm from posted_qst WHERE class_id=\"$key\" AND u_id=\"$ids\"";
			my %QSTS_POSTED = &select4("query","$query_posted");

			#get branching qsts for class
			my $query_branching = "SELECT qst,branching from posted_qst WHERE class_id=\"$key\" AND u_id=\"$ids\"";
			my %BRANCHING_QSTS = &select4("query","$query_branching");

			# get the qst types
			my $query = "SELECT qst,type from qst_to_classes WHERE class_id=\"$key\"";
			my %QSTS = &select4("query","$query");
			if(keys %QSTS) {
				foreach my $key(keys %QSTS) {
					if(!defined $QSTS_POSTED{$key}) {
						delete($QSTS{$key});
						}
					}
				}

			# get assignments for class
			my $assign_query = "SELECT assign_id,name,weight,marks from assignments WHERE class_id=\"$key\" ";
			my %ASSIGNMENTS = &select_assign("query","$assign_query");

			my $columns = 0;
			my @assign;
			my $weight = 0;
			my %CLASS_AVG = ();
			my %QST_NAMES = ();
			
			
			if(keys %QSTS || keys %ASSIGNMENTS) { # print posted qsts or assignments
				my $i_ndex = 1;
				
				if(keys %QSTS) { # PRINT QSTs
					my $query1 = "SELECT number,name,weight,marks from qst WHERE ";
					foreach my $piece(keys %QSTS) {
						$query1 = "$query1"." "."number=\"$piece\" OR";
						}
					$query1 =~ s/ OR$//;
					%QST_NAMES = &select_short_qst("query","$query1");
					
					foreach my $assign(sort {$a<=>$b} keys %QSTS) {
						if($QSTS{$assign} == 2) { # SURVEY
							print"<Th valign=\"top\" align=\"left\" nowrap><B STYLE=\"cursor: pointer\" data-toggle=\"tooltip\" title=\"$QST_NAMES{$assign}{name}\" onClick=\"Show_Stuff(document.getElementById\(\'display$i_ndex\'\))\">$i_ndex</B><font size=\"-1\"><sup>S</sup></font><DIV ID=\"display$i_ndex\" style=\"display\:none\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(display$dis)\"><B>$QST_NAMES{$assign}{name}</B></font><BR>&nbsp\;&nbsp\;<font onClick=\"click_handler\(\'1\',\'$assign\',\'0\',\'$VSBC{expand}\',\'$QST_NAMES{$assign}{name}\',\'$QSTS{$assign}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Delete}</font><BR>&nbsp\;&nbsp\;";
                                                        
                                                        if($BRANCHING_QSTS{$assign} == 1) {
                                                                 print"<font onClick=\"click_handler\(\'14\',\'$assign\',\'$USER{$ids}{$key}\',\'$VSBC{expand}\',\'$QST_NAMES{$assign}{name}\',\'$QSTS{$assign}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Stats}</font></DIV><P></TD><TD>&nbsp\;</TD>";
                                                                }
                                                        else {
                                                                print"<font onClick=\"click_handler\(\'9\',\'$assign\',\'0\',\'$key\',\'\',\'2\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{View}</font><BR>&nbsp\;&nbsp\;";
                                                                print"<font onClick=\"click_handler\(\'11\',\'$assign\',\'$USER{$ids}{$key}\',\'$VSBC{expand}\',\'$QST_NAMES{$assign}{name}\',\'$QSTS{$assign}\'\)\" STYLE=\"cursor:pointer\;\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Stats}</font></DIV><P></TD><TD>&nbsp\;</TD>\n";
                                                                }
                                                                
							++$columns;
							++$i_ndex;
							push(@assign,$assign);
							}
							
						else { # QUIZZES/TESTS
							print"<Th valign=\"top\" align=\"left\" nowrap><B STYLE=\"cursor: pointer\"  data-toggle=\"tooltip\" title=\"$QST_NAMES{$assign}{name}\" onClick=\"Show_Stuff(document.getElementById\(\'display$i_ndex\'\))\">$i_ndex</B><font size=\"-1\"><sub>$QST_NAMES{$assign}{weight}</sub></font>&nbsp\;<DIV ID=\"display$i_ndex\" style=\"display\:none\"><font STYLE=\"text-decoration:none\" size=\"-1\" onClick=\"Show_Stuff(display$dis)\"><B>$QST_NAMES{$assign}{name}</B></font><BR>&nbsp\;&nbsp\;<font onClick=\"click_handler\(\'1\',\'$assign\',\'0\',\'$VSBC{expand}\',\'$QST_NAMES{$assign}{name}\',\'$QSTS{$assign}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Delete}</font><BR>";
							
							if($BRANCHING_QSTS{$assign} != 1) {
                                                                print"&nbsp\;&nbsp\;<font onClick=\"click_handler\(\'9\',\'$assign\',\'0\',\'$key\',\'\',\'1\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{View}</font><BR>";
                                                                }
                                                                
                                                        if($BRANCHING_QSTS{$assign} == 1) {
                                                                print"&nbsp\;&nbsp\;<font onClick=\"click_handler\(\'13\',\'$assign\',\'$USER{$ids}{$key}\',\'$VSBC{expand}\',\'$QST_NAMES{$assign}{name}\',\'$QSTS{$assign}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Stats}</font><BR>";
                                                                }
                                                        else {
                                                                print"&nbsp\;&nbsp\;<font onClick=\"click_handler\(\'11\',\'$assign\',\'$USER{$ids}{$key}\',\'$VSBC{expand}\',\'$QST_NAMES{$assign}{name}\',\'$QSTS{$assign}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Stats}</font><BR>";
                                                                }
                                                                
                                                        if($BRANCHING_QSTS{$assign} != 1) {
                                                                print"&nbsp\;&nbsp\;<font STYLE=\"text-decoration:none\" color=\"\#ff0000\" size=\"-1\">$LANGUAGE{$set_language}{Marks} $QST_NAMES{$assign}{marks}</font><BR>&nbsp\;&nbsp\;<font onClick=\"click_handler\(\'6\',\'$assign\',\'0\',\'$key\',\'$QST_NAMES{$assign}{weight}\',\'1\'\)\" STYLE=\"cursor:pointer\" size=\"-1\">$LANGUAGE{$set_language}{Weight} $QST_NAMES{$assign}{weight}\%</font></DIV><P></TD><TD>&nbsp\;</TD>\n";
                                                                
                                                                }
                                                        else {
                                                                print"</DIV><P></TD><TD>&nbsp\;</TD>\n";
                                                                }
                                                                
                                                        ++$columns;
                                                        ++$i_ndex;
                                                        push(@assign,$assign);
                                                        $weight = $weight + $QST_NAMES{$assign}{weight};
							}
						}
					}
					
				if(keys %ASSIGNMENTS) { # PRINT ASSIGNMENTs
					foreach my $assign(sort {$a<=>$b} keys %ASSIGNMENTS) {
						print"<Th valign=\"top\" align=\"left\" nowrap><font color=\"\#888888\"><B STYLE=\"cursor: pointer\" data-toggle=\"tooltip\" title=\"$ASSIGNMENTS{$assign}{name}\" onClick=\"Show_Stuff(document.getElementById\(\'display$i_ndex\'\))\"> $i_ndex</B></font><font size=\"-1\"><sub>$ASSIGNMENTS{$assign}{weight}</sub></font>&nbsp\;</B><DIV ID=\"display$i_ndex\" style=\"display\:none\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(display$dis)\"><B>$ASSIGNMENTS{$assign}{name}</B></font><BR>&nbsp;&nbsp\;<font onClick=\"click_handler\(\'1\',\'$assign\',\'0\',\'$key\',\'$ASSIGNMENTS{$assign}{web_name}\',\'3\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Delete}</font><BR>&nbsp\;&nbsp\;<font onClick=\"click_handler\(\'4\',\'$assign\',\'0\',\'$key\',\'$ASSIGNMENTS{$assign}{web_name}\',\'3\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Rename}</font><BR>&nbsp\;&nbsp\;<font onClick=\"click_handler\(\'8\',\'$assign\',\'0\',\'$key\',\'$ASSIGNMENTS{$assign}{marks}\',\'3\'\)\" STYLE=\"cursor:pointer\" color=\"\#ff0000\" size=\"-1\">$LANGUAGE{$set_language}{Marks} $ASSIGNMENTS{$assign}{marks}</font><BR>&nbsp\;&nbsp\;<font onClick=\"click_handler\(\'6\',\'$assign\',\'0\',\'$key\',\'$ASSIGNMENTS{$assign}{weight}\',\'3\'\)\" STYLE=\"cursor:pointer\" size=\"-1\">$LANGUAGE{$set_language}{Weight} $ASSIGNMENTS{$assign}{weight}\%</font></DIV><P></TD><TD>&nbsp\;</TD>\n";
						
						++$columns;
						++$i_ndex;
						$QSTS{"a"."$assign"} = 4;
						push(@assign,"a"."$assign");
						$weight = $weight + $ASSIGNMENTS{$assign}{weight};
						$CLASS_AVG{$assign} = {students => 0, mark => 0, w_mark => 0};
						}
					}
					
				print"<Th nowrap valign=\"top\">&nbsp\;<sub><font size=\"-1\">$LANGUAGE{$set_language}{Totalofweights} = $weight \% </font></sub></TD>\n";
				print"</TR>\n";
				}

				
                        # GET INFO TO PRINT students and their qst/assignment marks
                        
			if(keys %STUDENTS_IN_CLASS) {
                                my %STUDENTS_ORDER = ();
				my $query2 = "SELECT u_id,qst,mark,marked,bonus from qst_scores WHERE ";
				my $query3 = "SELECT u_id,assign_id,mark from assignment_marks WHERE ";
				my $students_qst_attempts = "SELECT qst_no,u_id,start_time,finish_time,attempts from qst_attempts WHERE ";
				
				foreach my $key(keys %STUDENTS_IN_CLASS) {
					$query2 = "$query2"." "."u_id=\"$key\" OR";
					$query3 = "$query3"." "."u_id=\"$key\" OR";
					$students_qst_attempts = "$students_qst_attempts"." "."u_id=\"$key\" OR";
					
					my $query = qq{SELECT u_id,letter FROM users WHERE u_id=\"$key\" AND org_id=\"$org_id\" AND u_type=\"3\"};
                                        my $sth = $dbh->prepare($query);
                                        $sth->execute();
                                        while(my @row = $sth->fetchrow_array()) {
                                                $STUDENTS_ORDER{$row[1]}{student}{$row[0]} = "$row[0]";
                                                }
					}
					
				$query2 =~ s/ OR$//;
				$query3 =~ s/ OR$//;
				$students_qst_attempts =~ s/ OR$//;

				my %STUDENTS_QST_SCORES = &select_many_qst_scores("query","$query2");
				my %STUDENTS_ASSIGN_MARKS = &select_many_assignment_marks("query","$query3");
				my %STUDENTS_QST_ATTEMPTS = &select_many_qst_attempts("query","$students_qst_attempts");
				
				my %STUDENTS_AVG = ();
				my $indx = 1;
				
			# NOW PRINT STUDENTS AND THEIR MARKS
			
                        foreach my $keya(sort keys %STUDENTS_ORDER) {
                                foreach my $keyb(sort keys %{$STUDENTS_ORDER{$keya}{student}}) {
                                        my $keyy = $STUDENTS_ORDER{$keya}{student}{$keyb};
					%STUDENTS_NAMES = &select_users_names("select","u_id=$keyy","org_id","$org_id");
					
					if(keys %STUDENTS_NAMES) {
						foreach my $key1(sort keys %STUDENTS_NAMES) {
                                                                
                                                        if($STUDENTS_NAMES{$key1}{institute_id} == 0) {
                                                                print"<TR  class=\"tr1\" valign=\"top\"><TD width=\"20\" bgcolor=\"white\"></TD><TD align=\"left\"><font size =\"-1\"><B>$indx</B></font><font STYLE=\"font-family:Arial; font-size:11pt;\"> $STUDENTS_NAMES{$key1}{name}</font></TD><TD bgcolor=\"white\">&nbsp\;</TD>\n";
                                                                }
                                                        else {
                                                                print"<TR class=\"tr1\" valign=\"top\"><TD width=\"20\" bgcolor=\"white\"></TD><TD align=\"left\"><font size =\"-1\"><B>$indx</B></font><font STYLE=\"font-family:Arial; font-size:11pt;\"> $STUDENTS_NAMES{$key1}{name}&nbsp\;</font><font size=\"-1\">$STUDENTS_NAMES{$key1}{institute_id} </font></TD><TD bgcolor=\"white\">&nbsp\;</TD>\n";
                                                                }
                                                                
							if($columns > 0) {
								my $i;
								my @n_assign = @assign;
								for(my $io ==1; $io < $columns; ++$io) {
									print"<TD valign=\"top\" align=\"left\">\n";
									my $qst_id = shift(@n_assign);
									$i = "$io"."$key1";
									
									if($QSTS{$qst_id} == 2) { # SURVEYS
										my $started = 0;
										my $submitted = 0;
										if(exists $STUDENTS_QST_ATTEMPTS{$keyy}{qst}{$qst_id}) {
											if($STUDENTS_QST_ATTEMPTS{$keyy}{qst}{$qst_id}{start_time} != 0) { # have they started a qst
												$started = 1;
												}
												
											if(exists $STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{marked} == 1) {
												$submitted = 1;
												}
												
											if($started == 1 || $submitted == 1) {
												if($submitted == 1) {
													print"<B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'displaya$i\'\))\"> $image19</B><DIV ID=\"displaya$i\" style=\"display\:none\; padding-bottom: 5px\; padding-top: 4px\"><font onClick=\"click_handler\(\'2\',\'$qst_id\',\'$keyy\',\'$key\',\'0\',\'$QSTS{$qst_id}\',\'\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$QST_NAMES{$qst_id}{name}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Delete}</font></DIV>\n";
													}
													
												elsif ($started == 1) {
													print"<font size=\"-1\" STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'displaya$i\'\))\"><font color=\"brown\">IP</font><DIV ID=\"displaya$i\" style=\"display\:none\; padding-bottom: 5px\; padding-top: 4px\"><font onClick=\"submit_survey\(\'$qst_id\',\'$keyy\',\'$key\',\'$QSTS{$qst_id}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Submit}</font></DIV>\n";
													}
												}
											}
										}
										
									elsif($QSTS{$qst_id} == 1) { # QUIZZES/TESTS
										my $started = 0;
										my $submitted = 0;
										
										if(exists $STUDENTS_QST_ATTEMPTS{$keyy}{qst}{$qst_id}) {
											if($STUDENTS_QST_ATTEMPTS{$keyy}{qst}{$qst_id}{start_time} != 0) { # have they started a qst
												$started = 1;
												}
											}
											
										if(exists $STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}) { # did they submit it?
											$submitted = 1;
											}
											
										if($started == 1 || $submitted == 1) {
										
											if($submitted == 0 && $BRANCHING_QSTS{$qst_id} != 1) { # show it is not submitted
												if($QSTS_POSTED{$qst_id} == 0) { # not recording mark, show how many attempts
													print"<font size=\"-1\" STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'displayb$i\'\))\"><font color=\"red\">A-$STUDENTS_QST_ATTEMPTS{$keyy}{qst}{$qst_id}{attempts}</font>\n";
													}
												else { # In progress
													print"<font size=\"-1\" STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'displayb$i\'\))\"><font color=\"brown\">IP</font>\n";
													}
												}
												
											else { # show their mark
												my $qst_mark = "$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark}" + "$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{bonus}";
												
												if($STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{marked} == 1) { # not marked
													print"<B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'displayb$i\'\))\" >$qst_mark</B><font color=\"blue\">+</font>\n";
													
													if($STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{bonus} > 0) {
														print"<B><font color=\"green\">*</font>\n";
														}
													
													print"</B><DIV ID=\"displayb$i\" style=\"display\:none\; padding-bottom: 5px\"><a href=\"javascript\:click_handler\(\'2\',\'$qst_id\',\'$keyy\',\'$key\',\'0\',\'$QSTS{$qst_id}\',\'\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$QST_NAMES{$qst_id}{name}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Delete}</a><BR><a href=\"javascript\:click_handler\(\'3\',\'$qst_id\',\'$keyy\',\'$key\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark}\',\'$QSTS{$qst_id}\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{bonus}\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$QST_NAMES{$qst_id}{name}\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Bonus}</a></font><BR><a href=\"javascript\:click_handler\(\'10\',\'$qst_id\',\'$keyy\',\'$key\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark}\',\'$QSTS{$qst_id}\'\)\"><font STYLE=\"text-decoration:none\;\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{ViewMark}</a></font></DIV>\n";
													}
													
												elsif($STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{marked} == 0) { # marked
													my $divider = $QST_NAMES{$qst_id}{weight};

													if($divider > 0 && $QST_NAMES{$qst_id}{marks} > 0) {
														my $weighted_mark = 0;
														if(!exists $STUDENTS_AVG{$key1}) {
															$STUDENTS_AVG{$key1}{w_mark} = 0;
															}
															
														if(length($divider) == 1) {
															$divider = "\.0"."$divider";
															}
															
														elsif (length($divider) == 2) {
															$divider = "\."."$divider";
															}
															
														elsif (length($divider) == 3) {
															$divider = .01 * $divider;
															}
															
														if($qst_mark > 0) {
															$weighted_mark = $qst_mark/$QST_NAMES{$qst_id}{marks} * $divider * 100;
															$weighted_mark = sprintf "%.1f",$weighted_mark;
															}
															
														++$CLASS_AVG{$qst_id}{students};
														$CLASS_AVG{$qst_id}{mark} = $CLASS_AVG{$qst_id}{mark} + $qst_mark;
														$CLASS_AVG{$qst_id}{w_mark} = $CLASS_AVG{$qst_id}{w_mark} + $weighted_mark;
														$STUDENTS_AVG{$key1}{w_mark} = $STUDENTS_AVG{$key1}{w_mark} + $weighted_mark;

														print"<font size=\"-1\" STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'displayb$i\'\))\"><font color=\"\#ff0000\">$qst_mark</font>\/$weighted_mark</font>\n";
														
														if($STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{bonus} > 0) {
															print"<font color=\"green\">*</font>\n";
															}
														}
													else {
                                                                                                                if($BRANCHING_QSTS{$qst_id} != 1) {
                                                                                                                        print"<font size=\"-1\" STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'displayb$i\'\))\"><font color=\"\#ff0000\"> $qst_mark</font></font>\n";
                                                                                                                        }
                                                                                                                else {
                                                                                                                        print"<font size=\"-1\" STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'displayb$i\'\))\"><font color=\"blue\"> ? </font></font>\n";
                                                                                                                        }
														
														if($STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{bonus} > 0) {
															print"<font color=\"green\">*</font>\n";
															}
														}
													}
												}
												
											if($QSTS_POSTED{$qst_id} == 0 && $BRANCHING_QSTS{$qst_id} != 1) { # NOT BRANCHING
												print"<DIV ID=\"displayb$i\" style=\"display\:none\"><font onClick=\"click_handler\(\'2\',\'$qst_id\',\'$keyy\',\'$key\',\'0\',\'$QSTS{$qst_id}\',\'\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$QST_NAMES{$qst_id}{name}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Delete}</font></DIV>\n";
												}
											else {
												print"<DIV ID=\"displayb$i\" style=\"display\:none\; padding-bottom: 5px\"><font onClick=\"click_handler\(\'2\',\'$qst_id\',\'$keyy\',\'$key\',\'0\',\'$QSTS{$qst_id}\',\'\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$QST_NAMES{$qst_id}{name}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Delete}</font><BR>";
												
												# PRINT + TIME and RESUME
												if($BRANCHING_QSTS{$qst_id} != 1) { # NOT BRANCHING
                                                                                                        print"<font onClick=\"click_handler\(\'3\',\'$qst_id\',\'$keyy\',\'$key\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark}\',\'$QSTS{$qst_id}\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{bonus}\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$QST_NAMES{$qst_id}{name}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Bonus}</font><BR><font onClick=\"click_handler\(\'10\',\'$qst_id\',\'$keyy\',\'$key\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark}\',\'$QSTS{$qst_id}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{ViewMark}</font>\n";

                                           								if($submitted == 0 ) { # NOT SUBMITTED
                                           									print"<BR><font onClick=\"click_handler\(\'15\',\'$qst_id\',\'$keyy\',\'$key\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark}\',\'$QSTS{$qst_id}\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{bonus}\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$QST_NAMES{$qst_id}{name}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{AdTime}</font>\n";
														print"<BR><font onClick=\"click_handler\(\'16\',\'$qst_id\',\'$keyy\',\'$key\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark}\',\'$QSTS{$qst_id}\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{bonus}\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$QST_NAMES{$qst_id}{name}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Resume}</font>\n";
														}
													# DO NOT WANT TO RESUME A QST that has been submitted
						                                           		#print"<BR><font onClick=\"click_handler\(\'16\',\'$qst_id\',\'$keyy\',\'$key\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark}\',\'$QSTS{$qst_id}\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{bonus}\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$QST_NAMES{$qst_id}{name}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Resume}</font>\n";
													print"</DIV>\n";
                                                 							}
                                                                                                else {
                                                                                                        print"<font onClick=\"click_handler\(\'12\',\'$qst_id\',\'$keyy\',\'$key\',\'$STUDENTS_QST_SCORES{$keyy}{qst}{$qst_id}{mark}\',\'$QSTS{$qst_id}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{View}</font></DIV>\n";
                                                                                                        }
												}
											}
										}
										
									elsif($QSTS{$qst_id} == 4) { #assignment
										my $n_qst_id = $qst_id;
										$qst_id =~ s/\D//;
										
										if(exists $STUDENTS_ASSIGN_MARKS{$key1}{qst}{$qst_id}{mark} && $STUDENTS_ASSIGN_MARKS{$key1}{qst}{$qst_id}{mark} >= 0) {
											print" <FONT size=\"-1\" STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'displayb$i\'\))\">\n";
											my $divider = $ASSIGNMENTS{$qst_id}{weight};
											
											if($divider > 0 && $ASSIGNMENTS{$qst_id}{marks} > 0) {
												if(!exists $STUDENTS_AVG{$key1}) {
													$STUDENTS_AVG{$key1}{w_mark} = 0;
													}
													
												if(length($divider) == 1) {
													$divider = "\.0"."$divider";
													}
												elsif (length($divider) == 2) {
													$divider = "\."."$divider";
													}
												elsif (length($divider) == 3) {
													$divider = .01 * $divider;	
													}
													
												my $weighted_mark = $STUDENTS_ASSIGN_MARKS{$keyy}{qst}{$qst_id}{mark}/$ASSIGNMENTS{$qst_id}{marks} * $divider * 100;
												$weighted_mark = sprintf "%.1f",$weighted_mark;
												
												print"<font color=\"\#ff0000\" size=\"-1\">$STUDENTS_ASSIGN_MARKS{$keyy}{qst}{$qst_id}{mark}</font>/$weighted_mark</font><DIV ID=\"displayb$i\" style=\"display\:none\; padding-bottom: 5px\"><font onClick=\"click_handler\(\'2\',\'$qst_id\',\'$keyy\',\'$key\',\'0\',\'$QSTS{$n_qst_id}\',\'\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$ASSIGNMENTS{$qst_id}{web_name}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Delete}</font><BR><font onClick=\"click_handler\(\'3\',\'$qst_id\',\'$keyy\',\'$key\',\'$STUDENTS_ASSIGN_MARKS{$keyy}{qst}{$qst_id}{mark}\',\'$QSTS{$n_qst_id}\',\'\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$ASSIGNMENTS{$qst_id}{web_name}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Change}</font></DIV>\n";

												++$CLASS_AVG{$qst_id}{students};
												$CLASS_AVG{$qst_id}{mark} = $CLASS_AVG{$qst_id}{mark} + $STUDENTS_ASSIGN_MARKS{$keyy}{qst}{$qst_id}{mark};
												$CLASS_AVG{$qst_id}{w_mark} = $CLASS_AVG{$qst_id}{w_mark} + $weighted_mark;
												$STUDENTS_AVG{$key1}{w_mark} = $STUDENTS_AVG{$key1}{w_mark} + $weighted_mark;
												}
											else {
												print"<FONT color=\"\#888888\" size=\"-1\">$STUDENTS_ASSIGN_MARKS{$keyy}{qst}{$qst_id}{mark}</font><DIV ID=\"displayb$i\" style=\"display\:none\; padding-bottom: 5px\"><font onClick=\"click_handler\(\'2\',\'$qst_id\',\'$keyy\',\'$key\',\'0\',\'$QSTS{$n_qst_id}\',\'\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$ASSIGNMENTS{$qst_id}{web_name}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Delete}</font><BR><font onClick=\"click_handler\(\'3\',\'$qst_id\',\'$keyy\',\'$key\',\'$STUDENTS_ASSIGN_MARKS{$keyy}{qst}{$qst_id}{mark}\',\'$QSTS{$n_qst_id}\',\'\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$ASSIGNMENTS{$qst_id}{web_name}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Change}</font></DIV>\n";
												}
											}
											
										else {
											print"<B STYLE=\"cursor: pointer\" onClick=\"Show_Stuff(document.getElementById\(\'displayb$i\'\))\"> -- </B><DIV ID=\"displayb$i\" style=\"display\:none\; padding-bottom: 5px\"><font onClick=\"click_handler\(\'2\',\'$qst_id\',\'$keyy\',\'$key\',\'0\',\'$QSTS{$n_qst_id}\',\'\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$ASSIGNMENTS{$qst_id}{web_name}\'\)\" STYLE=\"cursor_pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Delete}</font><BR><font onClick=\"click_handler\(\'3\',\'$qst_id\',\'$keyy\',\'$key\',\'$STUDENTS_ASSIGN_MARKS{$keyy}{qst}{$qst_id}{mark}\',\'$QSTS{$n_qst_id}\',\'\',\'$STUDENTS_NAMES{$keyy}{name}\',\'$ASSIGNMENTS{$qst_id}{web_name}\'\)\" STYLE=\"cursor:pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Change}</font></DIV>\n";
											}
										}
									print"</TD><TD bgcolor=\"white\">&nbsp\;</TD>\n";
									}
								}
								
							print"<TD align=\"left\">\n";
							
							if(exists $STUDENTS_AVG{$key1}{w_mark}) {
 								print"<B>&nbsp;&nbsp;&nbsp; $STUDENTS_AVG{$key1}{w_mark}</B>\n";
								}
								
							print"</TD></TR>\n";
							++$indx;
							}
						}
                                            }
					}
					
				# PRINT THE AVERAGES
				print"<TR><TD width=\"20\"></TD><TD align=\"left\"><B><font STYLE=\"font-family:Arial; font-size:11pt;\"> $LANGUAGE{$set_language}{Averages}:</font></B></TD><TD>&nbsp\;</TD>\n";
				for(my $i =1; $i <= $columns; ++$i) {
					my $qst = shift(@assign);
					$qst =~ s/\D//;
					print"<TD valign=\"top\" align=\"left\">\n";
					
					if(exists $CLASS_AVG{$qst}) {
						if($CLASS_AVG{$qst}{w_mark} > 0 && $CLASS_AVG{$qst}{students} > 0 && $CLASS_AVG{$qst}{mark} > 0) {
							my $avg_w_mark = $CLASS_AVG{$qst}{w_mark}/$CLASS_AVG{$qst}{students};
							$avg_w_mark = sprintf "%.1f",$avg_w_mark;
							
							my $avg_mark = $CLASS_AVG{$qst}{mark}/$CLASS_AVG{$qst}{students};
							$avg_mark = sprintf "%.1f",$avg_mark;
							print"<font size=\"-1\"><font color=\"\#ff0000\">$avg_mark</font>\/$avg_w_mark</font>\n";
							}
						}
					
					print"</TD><TD>&nbsp\;</TD>\n";
					}
				print"<TD align=\"left\"></TD></TR>\n";
				}
			print"</TABLE></DL>\n";
			print"<P>\n";
			}
		else {
			print"<DT><B STYLE=\"cursor: pointer\" onClick=\"show_students\($key\)\">$image4 $USER{$ids}{$key}</B><P>\n";
			}
		}
		
	print"</DL>\n";
	
	&help;
	
	print"$LANGUAGE{$set_language}{5}\n";

  	&print_form("form_name","form1","input","gradebook","expand","","u_id","$VSBC{u_id}","session_id","$VSBC{session_id}");
  	&print_form("form_name","form2","input","","expand","","qst_id","","s_id","","type","","u_id","$VSBC{u_id}","session_id","$VSBC{session_id}");	
        &print_form("form_name","form3","form_target","owindo","input","","expand","","qst_id","","s_id","","mark","","name","","type","","weight","","quiz_no","","marks","","bonus","","s_name","","assign_qst_name","","u_id","$VSBC{u_id}","session_id","$VSBC{session_id}");
  	&print_form("form_name","form4","form_target","qst_left","input","","qst_id","","s_id","","class_id","","type","","assign_name","","u_id","$VSBC{u_id}","session_id","$VSBC{session_id}");
  	&print_form("form_name","form5","form_target","owindo","input","down_load","expand","","u_id","$VSBC{u_id}","session_id","$VSBC{session_id}","class_id","","dwnld","");

  	}

##################
#
# VIEW_MARK_TYPE
#
################
sub view_mark_type {
	my %VMT = @_;
	$VMT{qst_id} =~ s/\D//g;
	$VMT{class_id} =~ s/\D//g;
	$VMT{type} =~ s/\D//g;
	$VMT{s_id} =~ s/\D//g;
	my $class_id = $VMT{class_id};
	my $qst = $VMT{qst_id};
	my $type = $VMT{type};
	my $s_id = $VMT{s_id};
	my $number_to_mark = 0;
	my $valu_of_quests_to_be_marked = 0; #value of questions to be marked by instructor
	my %QUESTIONS = ();
	my %ANSWERS = ();
	my %STUDENTS_QUESTIONS_WITH_NO_ANSWER = ();
     	my $score = 0; #students score
	my $bonus = 0;
     	my $index_pt2 = 1;
	my $na = 0;
	my $correct = 0;
	my $wrong = 0;
	my $index_to_quest_no;
	my $show_eq = 1;

	&print_style_sheet();

	&print_sticky_style();
	
	&print_javascript_begin();
	
	print"var quest_mark\;
	var quest_ans\;
	var pass_value\;
	var pass_array\;
	var new_array\;
	var new_index\;
	var new_piece\;
	var new_string\;
	var new_code\;\n";

	print"function old_pass\(oldpass\)\{
	document.form3.old_pass.value=oldpass
	\}\n";

	print"function new_pass\(newpass\)\{
	document.form3.pass.value=newpass
	\}\n";

	print"function submit_qst_for_student\(s_id,qst\)\{
	document.form3.value_to_mark.value= -1\;
	document.form3.submit\(\)
	\}\n";

	print"function add_mark\(checked_ans,real_value,index,display\)\{\n";
	print"quest_mark = \'document.qst_form.\' + checked_ans + \'.value\'\;\n";
	print"var display_it = document.getElementById\(display\)\n";
	print"quest_ans=eval\(quest_mark\)\n";
	print"pass_value = document.form3.pass.value\n";
	print"pass_array = pass_value.split\(\",\"\)\n";
	print"new_index = index - 1\n";
	print"if\(quest_ans == 0\) \{\n";
	print"new_code = 0\n";
	print"\}\n";

	print"else if\(0 < quest_ans <= real_value\) \{\n";
	print"new_code = 2\n";
	print"\}\n";
	print"else if\(quest_ans > real_value\) \{\n";
	print"quest_ans = real_value\n";
	print"new_code = 2\n";
	print"\}\n";
	print"else if\(quest_ans < 0\) \{\n";
	print"quest_ans = 0\;\n";
	print"new_code = 4\n";
	print"\}\n";
	print"else if\(quest_ans == \"\"\) \{\n";
	print"quest_ans = 0\;\n";
	print"new_code = 0\n";
	print"\}\n";

	print"document.form3.question.value=quest_ans
	document.form3.fake_quest_no.value=checked_ans
	document.form3.chosen_question.value=checked_ans
	new_piece = index + \'\=\' + new_code \;
	pass_array.splice\(new_index,1,new_piece\)
	new_string = pass_array.toString\(\)
	document.form3.pass.value = new_string\n";
	
	print"if\(display !=\"\"\) \{
	Show_Marked\(display_it\)
	\}\n";

	print"document.form3.submit\(\)
	\}\n";

	&javascript_show_marked();
	
	print"function c_window\(\)\{
	top.close\(\)
	\}\n";
	
	print"function load_handler\(\) \{
	document.form1.submit\(\)
	\}\n";
	
	print"function print_handler\(i_n\)\{
	window.print\(\)
	\}\n";

	&print_javascript_end();
	
	my %STUDENTS_NAME = &select_uname("s_id","$s_id");
	my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\" AND u_id=\"$ids\"");
	
	if (keys %QST_INFO) {
		my $questions = "$QST_INFO{$qst}{questions}";
		my $marks = "$QST_INFO{$qst}{marks}";
		my $name = "$QST_INFO{$qst}{name}";
		my $is_there = 0;
		my @results;
		my %BEGUN_SUBMITTED = ();

		print"<span class=\"sticky\" style=\"width:100%\; display: inline-block\;\"><TABLE width=\"100%\" $action_bar><TR><TD style=\"padding-top: 4px\; padding-bottom: 4px\"><font color=\"white\"><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$QST_INFO{$qst}{name} &nbsp\;&nbsp\;-&nbsp\;&nbsp\; $STUDENTS_NAME{$s_id}{name} </font></b></TD><TD  align=\"right\"><font color=\"white\" STYLE=\"font-size:11pt; font-family:Arial;\"><B STYLE=\"cursor:pointer\" onClick=\"print_handler()\">$LANGUAGE{$set_language}{Print} / PDF &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;</B></font</TD></TR></TABLE></span><P> \n";
		
		my %STARTED_SUBMITTED = &select_started_submitted("qst_no","$qst","u_id","$s_id");
		my $start_month = $STARTED_SUBMITTED{$s_id}{start_month} - 1;
		my $finish_month = $STARTED_SUBMITTED{$s_id}{finish_month} - 1;
		my $student_start_time;

		if($STARTED_SUBMITTED{$s_id}{start_time} < 1300) {
			my $time_length = length($STARTED_SUBMITTED{$s_id}{start_time});
			if($time_length < 2) {
				$student_start_time = "00:0"."$STARTED_SUBMITTED{$s_id}{start_time}";
				}
			
			elsif($time_length < 3) {
				$student_start_time = "00:"."$STARTED_SUBMITTED{$s_id}{start_time}";
				}
			
			elsif($time_length < 4) {
				my $start_prefix = substr($STARTED_SUBMITTED{$s_id}{start_time},0,1);
				my $start_sub_prefix = substr($STARTED_SUBMITTED{$s_id}{start_time},1,3);
				$student_start_time = "0"."$start_prefix".":"."$start_sub_prefix";
				}
				
                        else {my $start_prefix = substr($STARTED_SUBMITTED{$s_id}{start_time},0,2);
                		$student_start_time = "$TIME_SHOW{$start_prefix}";
                               	}

                        if($student_start_time =~ /^00/ || $student_start_time =~ /^0/) {
                        	$student_start_time = "$student_start_time "."am";
                        	}
                        else {
                        	$student_start_time = "$student_start_time "."pm";
                        	}
                        }
                else {
                        my $start_prefix = substr($STARTED_SUBMITTED{$s_id}{start_time},0,2);
                        my $start_end = substr($STARTED_SUBMITTED{$s_id}{start_time},2,2);
                        $student_start_time = "$TIME_SHOW{$start_prefix}";
                        $student_start_time = "$student_start_time".":"."$start_end"." "."pm";
                        }

		my $student_finish_time;
		if($STARTED_SUBMITTED{$s_id}{finish_time} < 1300) {
			my $time_length = length($STARTED_SUBMITTED{$s_id}{finish_time});
			if($time_length < 2) {
				$student_finish_time = "00:0"."$STARTED_SUBMITTED{$s_id}{finish_time}";
				}
						
			elsif($time_length < 3) {
				$student_finish_time = "00:"."$STARTED_SUBMITTED{$s_id}{finish_time}";
				}
						
			elsif($time_length < 4) {
				my $finish_prefix = substr($STARTED_SUBMITTED{$s_id}{finish_time},0,1);
				my $finish_sub_prefix = substr($STARTED_SUBMITTED{$s_id}{finish_time},1,3);
				$student_finish_time = "0"."$finish_prefix".":"."$finish_sub_prefix";
				}
							
		 	else {my $finish_prefix = substr($STARTED_SUBMITTED{$s_id}{finish_time},0,2);
			        $student_finish_time = "$TIME_SHOW{$finish_prefix}";
				}
				
                        if($student_finish_time =~ /^00/ || $student_finish_time =~ /^0/) {
                        	$student_finish_time = "$student_finish_time "."am";
				}
			else {
				$student_finish_time = "$student_finish_time "."pm";
				}
                        }
                else {
                        my $finish_prefix = substr($STARTED_SUBMITTED{$s_id}{finish_time},0,2);
                        my $finish_end = substr($STARTED_SUBMITTED{$s_id}{finish_time},2,2);
                        $student_finish_time = "$TIME_SHOW{$finish_prefix}";
                        $student_finish_time = "$student_finish_time".":"."$finish_end"." "."pm";
                        }
                        
		print"<i><B>$LANGUAGE{$set_language}{Started}</B></i>\: @months[$start_month] $STARTED_SUBMITTED{$s_id}{start_day}, $student_start_time  &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;\n";
		
		if($STARTED_SUBMITTED{$s_id}{finish_time} == 0) {
			print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<font color=\"brown\"><B STYLE=\"cursor: pointer\" onClick=\"submit_qst_for_student\(\'$s_id\',\'$qst\'\)\">$LANGUAGE{$set_language}{SubmitQSTforstudent}</B></font>\n";
			}
		else {
			print"<i><B>$LANGUAGE{$set_language}{Submitted}</B></i>\: \n";
			if($STARTED_SUBMITTED{$s_id}{finish_month} == -1) {
				print"&nbsp\;by Instructor \n";
				}
			else {
				print"@months[$finish_month] $STARTED_SUBMITTED{$s_id}{finish_day}, $student_finish_time \n";
				}
			}

		# get students saved qst
		my %STUDENTS_QST = &select_users_qst("query","SELECT quest_no,answer,mark,marked,time_stamp,quest_order from qsts WHERE u_id=\"$s_id\" AND qst=\"$qst\"");
		
		my $query = "SELECT * from questions WHERE ";
		my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE ";
		my $questions_in_qst_query = "select quest_no,value,q_select from qst_questions WHERE qst_no=\"$qst\" AND \(";
		
		foreach my $order(keys %STUDENTS_QST) {
			$query = "$query"." "."number=\"$STUDENTS_QST{$order}{quest_no}\" OR";
			$query1 = "$query1"." "."number=\"$STUDENTS_QST{$order}{quest_no}\" OR";
			$questions_in_qst_query = "$questions_in_qst_query"." "."quest_no=$STUDENTS_QST{$order}{quest_no} OR";
			}
		$query =~ s/ OR$//;
		%QUESTIONS = &select_questions("query","$query");
		
		$query1 =~ s/ OR$//;
		%ANSWERS = &select_question_answers("query","$query1");
		$questions_in_qst_query =~ s/ OR$/)/;

		my %QUESTIONS_IN_QST = &select_users_qst_questions("query","$questions_in_qst_query");
		
		&print_javascript_begin();
		print"var frame_url = self.top.qst_left.location.href\n";
		print"function load_right\(\)\{\n";
		print"document.form1.submit\(\)\n";
		print"\}\n";
           	print"function link_anchor\(l_nk\) \{\n";
		print"var this_link = l_nk\n";
		print"self.top.qst_left.location = frame_url + \"#\" + this_link\n";
		print"\}\n";
		&print_javascript_end();
		print"<P><TABLE><FORM name=\"qst_form\">\n";


		#display qst and mark questions
		foreach my $quest(sort {$a<=>$b} keys %STUDENTS_QST) {
			my $real_no = "$STUDENTS_QST{$quest}{quest_no}";
			
			$index_to_quest_no = "$index_to_quest_no"."$index_pt2=$real_no"."-"."$QUESTIONS{$real_no}{type}"."-"."$QUESTIONS_IN_QST{$real_no}{value}".",";
			
                    #### print out question
                 	print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index_pt2\">$index_pt2</a>\.</b></TD><TD valign=\"top\" NOWRAP><font size=\"-1\"><i>\($QUESTIONS_IN_QST{$real_no}{value}\)</i></font></TD><TD valign=\"top\">";
             		my $question_rows = 1;
 			my $question_length = length($QUESTIONS{$real_no}{question});
 		
 			# fix display to show new lines in text of question
                        my $content = $QUESTIONS{$real_no}{question};
                        $content =~ s/\r[\n]*/\n/gm;
                        my @lines = split(/\n/,$content);
                        my $rows = @lines;
                        $question_rows = $question_rows + $rows;
                        
			my $empty_question = $QUESTIONS{$real_no}{question};
			$empty_question =~ s/\r\n//g;
			$empty_question =~ s/\s//g;
			
			if($QUESTIONS{$real_no}{ans_mode} == 2) {
				$show_eq = 2;
				}
				
			if($QUESTIONS{$real_no}{mode} == 1) { #ADVANCED 
                                print"$QUESTIONS{$real_no}{question}</TD></TR></TABLE>\n";
                                }
                                
                        elsif($QUESTIONS{$real_no}{mode} == 2) { #EQUATION
                                $show_eq = 2;
                                print"$QUESTIONS{$real_no}{question}</TD></TR></TABLE>\n";
                                }
                                
                        else { # BASIC
                                if($empty_question eq "") {
                                        if(defined $QUESTIONS{$real_no}{image_id} && $QUESTIONS{$real_no}{image_id} > 0) {
                                                my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$real_no}{image_id}\"");
                                                my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$real_no}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$QUESTIONS{$real_no}{image_id}"."\."."$extension[1]";
                                                print"&nbsp\;<img src=\"$image\"></TD></TR></TABLE>\n";
                                                }
					
					if(defined $QUESTIONS{$real_no}{pdf} && $QUESTIONS{$real_no}{pdf} > 0) {
						my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$real_no}{pdf}"."\."."pdf";
						print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
					        }

                                        if($QUESTIONS{$real_no}{vlink} && $QUESTIONS{$real_no}{vlink} ne "0") {
                                                print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                }
                                        
                                        if($QUESTIONS{$real_no}{alink} && $QUESTIONS{$real_no}{alink} ne "0") {
                                                print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                }
                                        }
                                else {
                                        print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"70\">$QUESTIONS{$real_no}{question}</textarea></b></TD></TR></TABLE>\n";
          			
                                        if(defined $QUESTIONS{$real_no}{image_id} && $QUESTIONS{$real_no}{image_id} > 0) {
                                                my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$real_no}{image_id}\"");
                                                my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$real_no}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$QUESTIONS{$real_no}{image_id}"."\."."$extension[1]";
                                                print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                                                }
					
					if(defined $QUESTIONS{$real_no}{pdf} && $QUESTIONS{$real_no}{pdf} > 0) {
						my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$real_no}{pdf}"."\."."pdf";
						print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
						}

                                        if($QUESTIONS{$real_no}{vlink} && $QUESTIONS{$real_no}{vlink} ne "0") {
                                                print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                }
                                        
                                        if($QUESTIONS{$real_no}{alink} && $QUESTIONS{$real_no}{alink} ne "0") {
                                                print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                }
                                        }
				} 


                    #### now the answers
			if ($QUESTIONS{$real_no}{type} eq"TF") {
				my $correct_answer;

				if($ANSWERS{$real_no}{q_order}{1}{answers}{T} == 1) {
					$correct_answer = "T";
					}
				else {
					$correct_answer = "F";
					}
					
                       		if ($correct_answer eq "$STUDENTS_QST{$quest}{answer}") {
	                	       	&mark_tf("correct","$STUDENTS_QST{$quest}{answer}");
					push(@results,"$index_pt2"."=1"); #correct answer
					++$correct;
					$score = $score + $QUESTIONS_IN_QST{$real_no}{value};
                        	     	}
                        	elsif ($correct_answer ne "$STUDENTS_QST{$quest}{answer}" && $STUDENTS_QST{$quest}{answer} ne"") {
                        	     	&mark_tf("wrong","$STUDENTS_QST{$quest}{answer}","answer","$correct_answer");
					push(@results,"$index_pt2"."=0"); #incorrect answer
					++$wrong;
					}
                       		else {
	                	       	&mark_tf("na","$correct_answer");
					push(@results,"$index_pt2"."=3"); #no answer
					++$na;
                        	   	}
				print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
                        	}
                        	
                        elsif ($QUESTIONS{$real_no}{type} eq"YN") {
				my $correct_answer;

				if($ANSWERS{$real_no}{q_order}{1}{answers}{Y} == 1) {
					$correct_answer = "Y";
					}
				else {
					$correct_answer = "N";
					}
					
                       		if ($correct_answer eq "$STUDENTS_QST{$quest}{answer}") {
	                	       	&mark_yn("correct","$STUDENTS_QST{$quest}{answer}");
					push(@results,"$index_pt2"."=1"); #correct answer
					++$correct;
					$score = $score + $QUESTIONS_IN_QST{$real_no}{value};
                        	     	}
                        	elsif ($correct_answer ne "$STUDENTS_QST{$quest}{answer}" && $STUDENTS_QST{$quest}{answer} ne"") {
                        	     	&mark_yn("wrong","$STUDENTS_QST{$quest}{answer}","answer","$correct_answer");
					push(@results,"$index_pt2"."=0"); #incorrect answer
					++$wrong;
					}
                       		else {
	                	       	&mark_yn("na","$correct_answer");
					push(@results,"$index_pt2"."=3"); #no answer
					++$na;
                        	   	}
				print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
                        	}
                        	
			elsif ($QUESTIONS{$real_no}{type} eq"SA") {
				my $correct_answer;
				my $fake_real_no = "sa"."$real_no";
				foreach my $key(keys %{$ANSWERS{$real_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
				if (defined $STUDENTS_QST{$quest}{answer} && $STUDENTS_QST{$quest}{answer} ne"") {
					if($STUDENTS_QST{$quest}{marked} == -1) { # not marked
						++$number_to_mark;
						push(@results,"$index_pt2"."=4"); #must be marked
						$valu_of_quests_to_be_marked= $valu_of_quests_to_be_marked + $QUESTIONS_IN_QST{$real_no}{value};
						
	                        		&mark_sa_full("answer","$STUDENTS_QST{$quest}{answer}","correct_answer","$correct_answer","value","$STUDENTS_QST{$quest}{marked}","quest","$fake_real_no","real_value","$QUESTIONS_IN_QST{$real_no}{value}","index","$index_pt2","submitted","$STARTED_SUBMITTED{$s_id}{finish_time}");
						}
					else { # marked
						if($STUDENTS_QST{$quest}{mark} == 0) {
							push(@results,"$index_pt2"."=0");
							
	                        			&mark_sa_full("answer","$STUDENTS_QST{$quest}{answer}","correct_answer","$correct_answer","value","$STUDENTS_QST{$quest}{mark}","quest","$fake_real_no","real_value","$QUESTIONS_IN_QST{$real_no}{value}","index","$index_pt2");
							++$wrong;
							}
						else {
							if($STUDENTS_QST{$quest}{mark}==$QUESTIONS_IN_QST{$real_no}{value}) {
								push(@results,"$index_pt2"."=1");
								$score = $score + $STUDENTS_QST{$quest}{mark};
								
	                        				&mark_sa_full("answer","$STUDENTS_QST{$quest}{answer}","correct_answer","$correct_answer","value","$STUDENTS_QST{$quest}{mark}","quest","$fake_real_no","real_value","$QUESTIONS_IN_QST{$real_no}{value}","index","$index_pt2");
								++$correct;
								}
							else {
								push(@results,"$index_pt2"."=2");
								$score = $score + $STUDENTS_QST{$quest}{mark};
								
	                        				&mark_sa_full("answer","$STUDENTS_QST{$quest}{answer}","correct_answer","$correct_answer","value","$STUDENTS_QST{$quest}{mark}","quest","$fake_real_no","real_value","$QUESTIONS_IN_QST{$real_no}{value}","index","$index_pt2");
								}
							}
						}
					}
					
				else {
                            		&mark_sa_full("correct_answer","$correct_answer");
					push(@results,"$index_pt2"."=3"); #no answer
					$STUDENTS_QUESTIONS_WITH_NO_ANSWER{$real_no} = 1;
					++$na;
					}
					
	                 	print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
                       		}
                       		
			elsif ($QUESTIONS{$real_no}{type} eq"P") {
				my $correct_answer;
				my $fake_real_no = "p"."$real_no";
				foreach my $key(keys %{$ANSWERS{$real_no}{q_order}{1}{answers}}) {
					$correct_answer = "$key";
					}
					
				if (defined $STUDENTS_QST{$quest}{answer} && $STUDENTS_QST{$quest}{answer} ne"") {
					if($STUDENTS_QST{$quest}{marked} == -1) { # not marked
						++$number_to_mark;
						push(@results,"$index_pt2"."=4");
						$valu_of_quests_to_be_marked= $valu_of_quests_to_be_marked + $QUESTIONS_IN_QST{$real_no}{value};
						$STUDENTS_QST{$quest}{mark} = -1;
						}
					else { # marked
						if ($STUDENTS_QST{$quest}{mark} == 0) {
							push(@results,"$index_pt2"."=0");
							++$wrong;
							}
						else {
							if($STUDENTS_QST{$quest}{mark}==$QUESTIONS_IN_QST{$real_no}{value}) {
								push(@results,"$index_pt2"."=1");
								$score = $score + $STUDENTS_QST{$quest}{mark};
								+++$correct;
								}
							else {
								push(@results,"$index_pt2"."=2");
								$score = $score + $STUDENTS_QST{$quest}{mark};
								}
							}
						}
	                       		&mark_p_full("answer","$STUDENTS_QST{$quest}{answer}","correct_answer","$correct_answer","value","$STUDENTS_QST{$quest}{mark}","quest","$fake_real_no","real_value","$QUESTIONS_IN_QST{$real_no}{value}","index","$index_pt2","submitted","$STARTED_SUBMITTED{$s_id}{finish_time}","ans_mode","$QUESTIONS{$real_no}{ans_mode}");
					}
                       		else {
                             		&mark_p_full("correct_answer","$correct_answer","value","$STUDENTS_QST{$quest}{mark}","quest","$fake_real_no","real_value","$QUESTIONS_IN_QST{$real_no}{value}","index","$index_pt2","submitted","$STARTED_SUBMITTED{$s_id}{finish_time}","ans_mode","$QUESTIONS{$real_no}{ans_mode}");
                             		
					push(@results,"$index_pt2"."=3"); #no answer
					$STUDENTS_QUESTIONS_WITH_NO_ANSWER{$real_no} = 1;
					++$na;
					}
					
	                 	print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
                       		}

                   		
                 	elsif ($QUESTIONS{$real_no}{type} eq"MC") {
				my $correct_answer;
				my $fake_real_no = "m"."$real_no";
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();
                                my $pass_answers;
                                my $pass_images_mc;
                                
				foreach my $key(keys %{$ANSWERS{$real_no}{q_order}}) {
					foreach my $key1(keys %{$ANSWERS{$real_no}{q_order}{$key}{answers}}) {
						if($ANSWERS{$real_no}{q_order}{$key}{answers}{$key1} == 1) {
							$correct_answer = "$key";
							}

						$ANSWER_IMAGES{$key} = $ANSWERS{$real_no}{q_order}{$key}{image_id};
						$MC_ANSWERS{$key} = "$key1";
						$pass_answers = "$pass_answers"."|#"."$key"."~@"."$MC_ANSWERS{$key}";
						$pass_images_mc = "$pass_images_mc"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
						}
					}
				
				$pass_answers =~ s/^\|#//;
				$pass_images_mc =~ s/^-//;

                       		if ($STUDENTS_QST{$quest}{answer} == $correct_answer) {
                                        &mark_mc("correct","1","correct_answer","$correct_answer","users_answer","$STUDENTS_QST{$quest}{answer}","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","ans_mode","$QUESTIONS{$real_no}{ans_mode}");

					push(@results,"$index_pt2"."=1"); #correct answer
					$score = $score + $QUESTIONS_IN_QST{$real_no}{value};
					++$correct;
					}
				elsif ($STUDENTS_QST{$quest}{answer} != $correct_answer && $STUDENTS_QST{$quest}{answer} ne"") {
	                	       	&mark_mc("wrong","1","users_answer","$STUDENTS_QST{$quest}{answer}","correct_answer","$correct_answer","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","ans_mode","$QUESTIONS{$real_no}{ans_mode}");
	                	       	
					push(@results,"$index_pt2"."=0"); #incorrect answer
					++$wrong;
					}
				else {
	                	        &mark_mc("na","1","correct_answer","$correct_answer","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","ans_mode","$QUESTIONS{$real_no}{ans_mode}");
	                	        
					push(@results,"$index_pt2"."=3"); #no answer
					++$na;
					}
	                 	print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
				}
			
			elsif ($QUESTIONS{$real_no}{type} eq"MX") { # Matching
                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$real_no\" AND c_answer = 0");
                                
                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$real_no\" AND c_answer = 1");
                                
                                my %QUESTION_ANSWERED = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$s_id\" and quest_no=\"$real_no\" AND qst=\"$qst\"");
                                
                                my @mx_string;
                                my $pass = 'correct';
                                my %MYANS = ();
                                my @myans = split(/\n/,$QUESTION_ANSWERED{$real_no});

                                foreach my $piece(@myans) {
                                        my @mxx = split(/=/,$piece);
                                        $MYANS{$mxx[0]} = $mxx[1];
                                        }
                               
                                for (my $i = 1; $i <= $mx_num; $i++){ 
                                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        else { # no matching text
                                                delete($RETURN_MX_MATCHING{$i});
                                                }
                                        }
                                
                                if(keys %MYANS) {
                                        foreach my $key1(keys %RETURN_MX_TEXT) {
                                                next if(!defined $RETURN_MX_TEXT{$key1}{answer});

                                                if(defined $RETURN_MX_TEXT{$key1}{answer} && $RETURN_MX_MATCHING{$key1}{answer} ne "$MYANS{$key1}") {
                                                        $pass = 'wrong';
                                                        }
                                                }
                                        }
                                else {
                                        $pass = 'na';
                                        }

                                if($pass eq "correct") {
                                        push(@results,"$index_pt2"."=1"); #correct answer
                                        $score = $score + $QUESTIONS_IN_QST{$real_no}{value};
                                        ++$correct;
                                        }
                                        
                                elsif($pass eq "na") {
                                        push(@results,"$index_pt2"."=3"); #no answer
                                        ++$na;
                                        }
                                        
                                else {
                                        push(@results,"$index_pt2"."=0"); #incorrect answer
                                        ++$wrong;
                                        }

                                        
                                &mark_mx("$pass","1","mx1","$RETURN_MX_TEXT{1}{answer}","mx2","$RETURN_MX_TEXT{2}{answer}","mx3","$RETURN_MX_TEXT{3}{answer}","mx4","$RETURN_MX_TEXT{4}{answer}","mx5","$RETURN_MX_TEXT{5}{answer}","mx6","$RETURN_MX_TEXT{6}{answer}","mx7","$RETURN_MX_TEXT{7}{answer}","mx8","$RETURN_MX_TEXT{8}{answer}","mx9","$RETURN_MX_TEXT{9}{answer}","mx10","$RETURN_MX_TEXT{10}{answer}","mx11","$RETURN_MX_TEXT{11}{answer}","mx12","$RETURN_MX_TEXT{12}{answer}","mx13","$RETURN_MX_TEXT{13}{answer}","mx14","$RETURN_MX_TEXT{14}{answer}","mx15","$RETURN_MX_TEXT{15}{answer}","mxans1","$RETURN_MX_MATCHING{1}{answer}","mxans2","$RETURN_MX_MATCHING{2}{answer}","mxans3","$RETURN_MX_MATCHING{3}{answer}","mxans4","$RETURN_MX_MATCHING{4}{answer}","mxans5","$RETURN_MX_MATCHING{5}{answer}","mxans6","$RETURN_MX_MATCHING{6}{answer}","mxans7","$RETURN_MX_MATCHING{7}{answer}","mxans8","$RETURN_MX_MATCHING{8}{answer}","mxans9","$RETURN_MX_MATCHING{9}{answer}","mxans10","$RETURN_MX_MATCHING{10}{answer}","mxans11","$RETURN_MX_MATCHING{11}{answer}","mxans12","$RETURN_MX_MATCHING{12}{answer}","mxans13","$RETURN_MX_MATCHING{13}{answer}","mxans14","$RETURN_MX_MATCHING{14}{answer}","mxans15","$RETURN_MX_MATCHING{15}{answer}","m1","$MYANS{1}","m2","$MYANS{2}","m3","$MYANS{3}","m4","$MYANS{4}","m5","$MYANS{5}","m6","$MYANS{6}","m7","$MYANS{7}","m8","$MYANS{8}","m9","$MYANS{9}","m10","$MYANS{10}","m11","$MYANS{11}","m12","$MYANS{12}","m13","$MYANS{13}","m14","$MYANS{14}","m15","$MYANS{15}");
				
                                print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
                                }
                                
                        elsif ($QUESTIONS{$real_no}{type} eq"MA") {
				my $correct_answer;
				my $fake_real_no = "m"."$real_no";
				my $answers;
				my $input_answers;
				my %ANSWER_IMAGES = ();
				my %MA_ANSWERS = ();
                                my %INPUT_ANSWER = ();
				my %ANSWER_IN = ();
                                my %CORRECT_ANSWERS = ();
                                my $pass_answers;
                                my $pass_images_ma;
                                
                                # the answers they entered in
                                $input_answers = $STUDENTS_QST{$quest}{answer};
                                my %STUDENT_ANS = ();
                                my @in_answers = split(/,/,$input_answers);
                                foreach my $ke(@in_answers) {
                                        $STUDENT_ANS{$ke} = $ke;
                                        }
                                        
                                # the actual answers
				foreach my $key(keys %{$ANSWERS{$real_no}{q_order}}) {
					foreach my $key1(keys %{$ANSWERS{$real_no}{q_order}{$key}{answers}}) {
						if($ANSWERS{$real_no}{q_order}{$key}{answers}{$key1} == 1) {
							$CORRECT_ANSWERS{$key} = $key;
                                                        $correct_answer = "$correct_answer".","."$key";
							}
						$answers = "$answers".","."$key";
						$ANSWER_IMAGES{$key} = $ANSWERS{$real_no}{q_order}{$key}{image_id};
						
						if($QUESTIONS{$real_no}{ans_mode} == 1) {
                                                        $key1 =~ s/&quot;/"/g; #change back
                                                        $key1 =~ s/&apos;/'/g; #change back
                                                        }
                                                        
						$MA_ANSWERS{$key} = "$key1";
						$pass_answers = "$pass_answers"."|#"."$key"."~@"."$MA_ANSWERS{$key}";
                                                $pass_images_ma = "$pass_images_ma"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
						}
					}
				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_ma =~ s/^-//;
				$correct_answer =~ s/^,//;
                                my $ma_correct = 0;
                                my $no_answers = 0;

                                if(!keys %STUDENT_ANS) {
                                        $no_answers = 1;
                                        }
                                        
                                # see if all student answers are correct
                                foreach my $an(keys %CORRECT_ANSWERS) {
                                        if(!defined $STUDENT_ANS{$an}) {
                                                $ma_correct = 1;
                                                }
                                        delete($STUDENT_ANS{$an});
                                        }
                                        
                                if ($ma_correct == 0 && !keys %STUDENT_ANS) { # no keys in %STUDENT_ANS means they did not select everything
                                        &mark_ma("correct","1","correct_answer","$correct_answer","input_answers","$input_answers","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","users_answer","$VMT{$fake_real_no}","ans_mode","$QUESTIONS{$real_no}{ans_mode}");
                                        
					push(@results,"$index_pt2"."=1"); #correct answer
					$score = $score + $QUESTIONS_IN_QST{$real_no}{value};
					++$correct;
					}
					
				elsif ((keys %STUDENT_ANS || $ma_correct == 1) && $no_answers == 0) {
                                        &mark_ma("wrong","1","users_answer","$input_answers","input_answers","$input_answers","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","ans_mode","$QUESTIONS{$real_no}{ans_mode}");

					push(@results,"$index_pt2"."=0"); #incorrect answer
					++$wrong;
					}
				else {
                                        &mark_ma("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","ans_mode","$QUESTIONS{$real_no}{ans_mode}");
	                	      
					push(@results,"$index_pt2"."=3"); #no answer
					++$na;
					}
	                 	print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
				}
				
                 	++$index_pt2;
			}
			
                if($show_eq == 2) {
                        &print_eq();
                        }
			
		my $pass;
		foreach my $piece(@results) {
			$pass = "$pass".","."$piece";
			}
			
		$pass =~ s/^,//;
		
		my %RETURN6 = &select_qst_scores_bonus("query","SELECT u_id,qst,mark,marked,bonus from qst_scores WHERE qst=\"$qst\" AND u_id=\"$s_id\"");
		
		$bonus = $RETURN6{$s_id}{bonus};
		
		if (keys %STUDENTS_QUESTIONS_WITH_NO_ANSWER) {
			my $update_query = "update qsts set marked=\"0\" WHERE u_id=\"$s_id\" AND qst=\"$qst\" AND \(";
			foreach my $key(keys %STUDENTS_QUESTIONS_WITH_NO_ANSWER) {
				$update_query = "$update_query"." "."quest_no=\"$key\" OR";
				}
			$update_query =~ s/ OR$/)/;
			&update_general("query","$update_query");
			}

           	print "</TABLE></FORM>\n";

                &print_form("form_name","form1","form_target","qst_right","input","qst_mark_ins","class_id","$class_id","s_id","$s_id","type","$type","qst","$qst","qst_total","$QST_INFO{$qst}{marks}","score","$score","bonus","$bonus","pass","$pass","correct","$correct","wrong","$wrong","na","$na","to_mark","$number_to_mark","questions","$QST_INFO{$qst}{questions}","value_to_mark","$valu_of_quests_to_be_marked","index_to_quest_no","$index_to_quest_no","u_id","$VMT{u_id}","session_id","$VMT{session_id}");
  		&print_form("form_name","form3","form_target","qst_right","input","update_qst_question_mark","class_id","$class_id","s_id","$s_id","type","$type","qst","$qst","qst_total","$QST_INFO{$qst}{marks}","score","$score","bonus","$bonus","pass","$pass","old_pass","$pass","correct","$correct","wrong","$wrong","na","$na","to_mark","$number_to_mark","question","","value_to_mark","$valu_of_quests_to_be_marked","chosen_question","","fake_quest_no","","index_to_quest_no","$index_to_quest_no","u_id","$VMT{u_id}","session_id","$VMT{session_id}");

		print"<img src=\"/schools/blank.gif\" onLoad=\"load_handler\(\)\">\n";
      		}
	}

##################
#
# VIEW_INDIV_BRANCH_QST
#
################
sub view_indiv_branch_qst {
	my %VMT = @_;
	$VMT{qst_id} =~ s/\D//g;
	$VMT{s_id} =~ s/\D//g;
	my $qst = $VMT{qst_id};
	my $s_id = $VMT{s_id};
	my %QUESTIONS = ();
	my %ANSWERS = ();
     	my $index_pt2 = 1;

	&print_style_sheet();

	&print_javascript_begin();
	
	print"function c_window\(\)\{
	top.close\(\)
	\}\n";
	
	&print_javascript_end();
	
	my %STUDENTS_NAME = &select_uname("s_id","$s_id");
	my %QST_INFO = &select_qst("query","SELECT number,name,questions,marks,random_q,random_order,type from qst WHERE number=\"$qst\" AND u_id=\"$ids\"");
	
	if (keys %QST_INFO) {
		my $questions = "$QST_INFO{$qst}{questions}";
		my $marks = "$QST_INFO{$qst}{marks}";
		my $name = "$QST_INFO{$qst}{name}";
		
		print"<TABLE width=\"100%\" $action_bar><TR><TD><font color=\"white\"><B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$QST_INFO{$qst}{name} &nbsp\;&nbsp\;-&nbsp\;&nbsp\; $STUDENTS_NAME{$s_id}{name} </font></b></TD><TD><font color=\"white\" size=\"-1\"><B onClick=\"c_window()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close} </font></b></TD></TR></TABLE><P>\n";
                
		my %STARTED_SUBMITTED = &select_started_submitted("qst_no","$qst","u_id","$s_id");
		my $start_month = $STARTED_SUBMITTED{$s_id}{start_month} - 1;
		my $finish_month = $STARTED_SUBMITTED{$s_id}{finish_month} - 1;
		my $student_start_time;

		if($STARTED_SUBMITTED{$s_id}{start_time} < 1300) {
                        my $start_prefix = substr($STARTED_SUBMITTED{$s_id}{start_time},0,2);
			$student_start_time = "$TIME_SHOW{$start_prefix}";
			if($student_start_time eq"") {
			         $student_start_time = "00";
			         }
			my $start_end = substr($STARTED_SUBMITTED{$s_id}{start_time},2,2);
			if($student_start_time eq "00") {
			         $student_start_time = "$student_start_time".":"."$start_end"." "."pm";
			         }
			else {
			         $student_start_time = "$student_start_time".":"."$start_end"." "."am";
                        	}
                        }
                else {
                        my $start_prefix = substr($STARTED_SUBMITTED{$s_id}{start_time},0,2);
                        my $start_end = substr($STARTED_SUBMITTED{$s_id}{start_time},2,2);
                        $student_start_time = "$TIME_SHOW{$start_prefix}";
                        $student_start_time = "$student_start_time".":"."$start_end"." "."pm";
                        }
                        
		print"<i>$LANGUAGE{$set_language}{Started}</i>\: @months[$start_month] $STARTED_SUBMITTED{$s_id}{start_day}, $student_start_time  &nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;\n";
		
		# get students saved qst
		my %STUDENTS_QST = &select_users_qst5("query","SELECT quest_no,answer,mark,marked,time_stamp,quest_order,referer from qsts WHERE u_id=\"$s_id\" AND qst=\"$qst\"");
		
		my $query = "SELECT * from questions WHERE ";
		my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE ";
		my $questions_in_qst_query = "select quest_no,value,q_select from qst_questions WHERE qst_no=\"$qst\" AND \(";
		
		foreach my $order(keys %STUDENTS_QST) {
			$query = "$query"." "."number=\"$STUDENTS_QST{$order}{quest_no}\" OR";
			$query1 = "$query1"." "."number=\"$STUDENTS_QST{$order}{quest_no}\" OR";
			$questions_in_qst_query = "$questions_in_qst_query"." "."quest_no=$STUDENTS_QST{$order}{quest_no} OR";
			}
		$query =~ s/ OR$//;
		%QUESTIONS = &select_questions("query","$query");
		
		$query1 =~ s/ OR$//;
		%ANSWERS = &select_question_answers("query","$query1");
		
		$questions_in_qst_query =~ s/ OR$/)/;
		my %QUESTIONS_IN_QST = &select_users_qst_questions("query","$questions_in_qst_query");
		
		&print_javascript_begin();
		
		print"var frame_url = self.top.qst_left.location.href\n";
		
           	print"function link_anchor\(l_nk\) \{
		var this_link = l_nk
		self.top.qst_left.location = frame_url + \"#\" + this_link
		\}\n";
		
		&print_javascript_end();
		
		print"<P><TABLE><FORM name=\"qst_form\">\n";

		#display qst and their question answers
		foreach my $quest(sort {$a<=>$b} keys %STUDENTS_QST) {
			my $real_no = "$STUDENTS_QST{$quest}{quest_no}";

			# print out question
                 	print"<TABLE><TR><TD valign=\"top\"><B><A NAME=\"$index_pt2\">$index_pt2</a>\.</b></TD></TD><TD valign=\"top\">";
 		
 			# fix display to show new lines in text of question
 			my $question_rows = 0;
                        my $content = $QUESTIONS{$real_no}{question};
                        $content =~ s/\r[\n]*/\n/gm;
                        my @lines = split(/\n/,$content);
                        my $rows = @lines;
                        $question_rows = $question_rows + $rows;
                        
			my $empty_question = $QUESTIONS{$real_no}{question};
			$empty_question =~ s/\r\n//g;
			$empty_question =~ s/\s//g;
			
			if($QUESTIONS{$real_no}{mode} == 1) {
                                print"$QUESTIONS{$real_no}{question}</TD></TR></TABLE>\n";
                                }
                        else {
                                if($empty_question eq "") { # no text in question
                                        if(defined $QUESTIONS{$real_no}{image_id} && $QUESTIONS{$real_no}{image_id} > 0) {
                                                my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$real_no}{image_id}\"");
                                                my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$real_no}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$QUESTIONS{$real_no}{image_id}"."\."."$extension[1]";
                                                print"&nbsp\;<img src=\"$image\">\n";
                                                print"</TD></TR></TABLE>\n";
                                                }
					
                                        if($QUESTIONS{$real_no}{vlink} && $QUESTIONS{$real_no}{vlink} ne "0") {
                                                print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                }
                                        
                                        if($QUESTIONS{$real_no}{alink} && $QUESTIONS{$real_no}{alink} ne "0") {
                                                print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                }
                                        }
	            		
                                else { # text in question
                                        print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"70\">$QUESTIONS{$real_no}{question}</textarea></b></TD></TR></TABLE>\n";
          			
                                        if(defined $QUESTIONS{$real_no}{image_id} && $QUESTIONS{$real_no}{image_id} > 0) {
                                                my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$real_no}{image_id}\"");
                                                my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$real_no}{image_id}});
                                                my $image = "\/schools\/qst_files\/"."$QUESTIONS{$real_no}{image_id}"."\."."$extension[1]";
                                                print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                                                }
					
                                        if($QUESTIONS{$real_no}{vlink} && $QUESTIONS{$real_no}{vlink} ne "0") {
                                                print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/mp4\"><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/ogg\"><source src=\"$QUESTIONS{$real_no}{vlink}\" type=\"video/webm\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}</video</td></table><P>\n";
                                                }
                                        
                                        if($QUESTIONS{$real_no}{alink} && $QUESTIONS{$real_no}{alink} ne "0") {
                                                print"<table><td WIDTH=\"60\"></td><td><audio controls><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/mpeg\"><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/ogg\"><source src=\"$QUESTIONS{$real_no}{alink}\" type=\"audio/wav\">$LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}</video</td></table><P>\n";
                                                }
                                        }
				} 


			# Now the answers
			if ($QUESTIONS{$real_no}{type} eq"TF") {
                                &mark_tf("branch","$STUDENTS_QST{$quest}{answer}");
				print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
                        	}
                        	
                        elsif ($QUESTIONS{$real_no}{type} eq"YN") {
                                &mark_yn("branch","$STUDENTS_QST{$quest}{answer}");
				print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
                        	}
                        	
                 	elsif ($QUESTIONS{$real_no}{type} eq"MC") {
				my $correct_answer;
				my $fake_real_no = "m"."$real_no";
				my $answers;
				my $pass_answers;
                                my $pass_images_mc;
				my %ANSWER_IMAGES = ();
				my %MC_ANSWERS = ();

				foreach my $key(keys %{$ANSWERS{$real_no}{q_order}}) {
					foreach my $key1(keys %{$ANSWERS{$real_no}{q_order}{$key}{answers}}) {
						if($ANSWERS{$real_no}{q_order}{$key}{answers}{$key1} == 1) {
							$correct_answer = "$key";
							}
							
						$answers = "$answers".","."$key1";
						$ANSWER_IMAGES{$key} = $ANSWERS{$real_no}{q_order}{$key}{image_id};
						$MC_ANSWERS{$key} = "$key1";
						$pass_answers = "$pass_answers"."|#"."$key"."~@"."$MC_ANSWERS{$key}";
						$pass_images_mc = "$pass_images_mc"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
						}
					}
				$answers =~ s/^,//;
				$pass_answers =~ s/^\|#//;
				$pass_images_mc =~ s/^-//;

                                &mark_mc("branch","1","correct_answer","$correct_answer","answers","$answers","users_answer","$STUDENTS_QST{$quest}{answer}","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc");
					
	                 	print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
				}
			
			elsif ($QUESTIONS{$real_no}{type} eq"MA") {
				my $correct_answer;
				my $fake_real_no = "m"."$real_no";
				my $answers;
				my $input_answers;
				my $pass_answers;
                                my $pass_images_ma;
				my %ANSWER_IMAGES = ();
				my %MA_ANSWERS = ();
                                my %INPUT_ANSWER = ();
				my %ANSWER_IN = ();
                                my %CORRECT_ANSWERS = ();
                                
                                # the answers they entered in
                                $input_answers = $STUDENTS_QST{$quest}{answer};
                                my %STUDENT_ANS = ();
                                my @in_answers = split(/,/,$input_answers);
                                foreach my $ke(@in_answers) {
                                        $STUDENT_ANS{$ke} = $ke;
                                        }
                                        
                                # the actual answers
				foreach my $key(keys %{$ANSWERS{$real_no}{q_order}}) {
					foreach my $key1(keys %{$ANSWERS{$real_no}{q_order}{$key}{answers}}) {
						if($ANSWERS{$real_no}{q_order}{$key}{answers}{$key1} == 1) {
							$CORRECT_ANSWERS{$key} = $key;
                                                        $correct_answer = "$correct_answer".","."$key";
							}
							
						$answers = "$answers".","."$key";
						$ANSWER_IMAGES{$key} = $ANSWERS{$real_no}{q_order}{$key}{image_id};
						$pass_answers = "$pass_answers"."|#"."$key"."~@"."$key1";
						$pass_images_ma = "$pass_images_ma"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
						}
					}
					
                                $pass_answers =~ s/^\|#//;
				$answers =~ s/^,//;
				$correct_answer =~ s/^,//;

                                &mark_ma("branch","1","correct_answer","$correct_answer","answers","$answers","users_answer","$STUDENTS_QST{$quest}{answer}","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma");
				
	                 	print"<TR><TD colspan=2><HR width=90\%></TD></TR>\n";
				}
				
                 	++$index_pt2;
			}

           	print "</TABLE></FORM>\n";
      		}
	}

##################
#
# MARK_QUESTION
#
################
sub mark_question {
	my %MQ = @_;

        if ($MQ{type} eq"TF") { # True/False
                my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE number=\"$MQ{quest_no}\"";
                my %ANSWERS = &select_question_answers("query","$query1");
                
                my %STUDENTS_ANSWERS = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$MQ{quest_no}\" and attempt=\"$MQ{attempt}\" and qst=\"$MQ{qst}\"");
                
                my $correct_answer;

                if($ANSWERS{$MQ{quest_no}}{q_order}{1}{answers}{T} == 1) {
                        $correct_answer = "T";
                        }
                else {
                        $correct_answer = "F";
                        }
                
                if ($correct_answer eq "$STUDENTS_ANSWERS{$MQ{quest_no}}") {
                        &mark_tf("correct","$STUDENTS_ANSWERS{$MQ{quest_no}}");
                        }
                        	     	
                elsif ($correct_answer ne "$STUDENTS_ANSWERS{$MQ{quest_no}}" && $STUDENTS_ANSWERS{$MQ{quest_no}} ne"") {
                        &mark_tf("wrong","$STUDENTS_ANSWERS{$MQ{quest_no}}","answer","$correct_answer");
                        }
                        
                else {
                        &mark_tf("na","$correct_answer");
                        }
                }

        if ($MQ{type} eq"YN") { # Yes/No
                my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE number=\"$MQ{quest_no}\"";
                my %ANSWERS = &select_question_answers("query","$query1");
                
                my %STUDENTS_ANSWERS = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$MQ{quest_no}\" and attempt=\"$MQ{attempt}\" and qst=\"$MQ{qst}\"");
                
                my $correct_answer;

                if($ANSWERS{$MQ{quest_no}}{q_order}{1}{answers}{Y} == 1) {
                        $correct_answer = "Y";
                        }
                else {
                        $correct_answer = "N";
                        }
                
                if ($correct_answer eq "$STUDENTS_ANSWERS{$MQ{quest_no}}") {
                        &mark_yn("correct","$STUDENTS_ANSWERS{$MQ{quest_no}}");
                        }
                        	     	
                elsif ($correct_answer ne "$STUDENTS_ANSWERS{$MQ{quest_no}}" && $STUDENTS_ANSWERS{$MQ{quest_no}} ne"") {
                        &mark_yn("wrong","$STUDENTS_ANSWERS{$MQ{quest_no}}","answer","$correct_answer");
                        }
                        
                else {
                        &mark_yn("na","$correct_answer");
                        }
                }

        elsif ($MQ{type} eq"SA") {
                my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE number=\"$MQ{quest_no}\"";
                my %ANSWERS = &select_question_answers("query","$query1");
                
                my %STUDENTS_ANSWERS = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$MQ{quest_no}\" and attempt=\"$MQ{attempt}\" and qst=\"$MQ{qst}\"");
                
                my $correct_answer;
                my $fake_real_no = "sa"."$MQ{quest_no}";
                foreach my $key(keys %{$ANSWERS{$MQ{quest_no}}{q_order}{1}{answers}}) {
                        $correct_answer = "$key";
                        }

                if (defined $STUDENTS_ANSWERS{$MQ{quest_no}} && $STUDENTS_ANSWERS{$MQ{quest_no}} ne"") {
                        &mark_sa("answer","$STUDENTS_ANSWERS{$MQ{quest_no}}","correct_answer","$correct_answer","value","","quest","$fake_real_no","real_value","","index","","submitted","");
                        }
					
                else {
                        &mark_sa("correct_answer","$correct_answer");
                        }
                }

        elsif ($MQ{type} eq"P") {
                my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE number=\"$MQ{quest_no}\"";
                my %ANSWERS = &select_question_answers("query","$query1");
                
                my %STUDENTS_ANSWERS = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$MQ{quest_no}\" and attempt=\"$MQ{attempt}\" and qst=\"$MQ{qst}\"");
                
                my $correct_answer;
                my $fake_real_no = "p"."$MQ{quest_no}";
                foreach my $key(keys %{$ANSWERS{$MQ{quest_no}}{q_order}{1}{answers}}) {
                        $correct_answer = "$key";
                        }
					
                if (defined $STUDENTS_ANSWERS{$MQ{quest_no}} && $STUDENTS_ANSWERS{$MQ{quest_no}} ne"") {
                        &mark_p("answer","$STUDENTS_ANSWERS{$MQ{quest_no}}","correct_answer","$correct_answer","value","$STUDENTS_ANSWERS{$MQ{quest_no}}","quest","$fake_real_no","real_value","","index","","submitted","");
                        }
					
                else {
                        &mark_p("correct_answer","$correct_answer","value","$STUDENTS_ANSWERS{$MQ{quest_no}}","quest","$fake_real_no","real_value","","index","","submitted","");
                        }
                }

        elsif ($MQ{type} eq"MC") {
                my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE number=\"$MQ{quest_no}\"";
                my %ANSWERS = &select_question_answers("query","$query1");
                
                my %STUDENTS_ANSWERS = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$MQ{quest_no}\" and attempt=\"$MQ{attempt}\" and qst=\"$MQ{qst}\"");
                
                my $correct_answer;
                my $fake_real_no = "m"."$MQ{quest_no}";
                my $answers;
                my $pass_answers;
                my $pass_images_mc;
                my %ANSWER_IMAGES = ();
                my %MC_ANSWERS = ();

                foreach my $key(keys %{$ANSWERS{$MQ{quest_no}}{q_order}}) {
                        foreach my $key1(keys %{$ANSWERS{$MQ{quest_no}}{q_order}{$key}{answers}}) {
                                if($ANSWERS{$MQ{quest_no}}{q_order}{$key}{answers}{$key1} == 1) {
                                        $correct_answer = "$key";
                                        }
                                        
                                $answers = "$answers".","."$key1";
                                $ANSWER_IMAGES{$key} = $ANSWERS{$MQ{quest_no}}{q_order}{$key}{image_id};
                                $MC_ANSWERS{$key} = "$key1";
                                $pass_answers = "$pass_answers"."|#"."$key"."~@"."$MC_ANSWERS{$key}";
                                $pass_images_mc = "$pass_images_mc"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
                                }
                        }
                        
                $answers =~ s/^,//;
                $pass_answers =~ s/^\|#//;
                $pass_images_mc =~ s/^-//;
                
                if($MQ{ans_mode} == 2) {
                        &print_eq();
                        }
                        
                if ($STUDENTS_ANSWERS{$MQ{quest_no}} == $correct_answer) {
                        &mark_mc("correct","1","correct_answer","$correct_answer","answers","$answers","users_answer","$STUDENTS_ANSWERS{$MQ{quest_no}}","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","ans_mode","$MQ{ans_mode}");
                        }
					
                elsif ($STUDENTS_ANSWERS{$MQ{quest_no}} != $correct_answer && $STUDENTS_ANSWERS{$MQ{quest_no}} ne"") {
                        &mark_mc("wrong","1","users_answer","$STUDENTS_ANSWERS{$MQ{quest_no}}","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","ans_mode","$MQ{ans_mode}");
                        }
					
                else {
                        &mark_mc("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_mc","$pass_images_mc","ans_mode","$MQ{ans_mode}");
                        }
                }

        elsif ($MQ{type} eq"MA") {
                my $query1 = "SELECT number,q_order,answer,c_answer,image_id from question_answers WHERE number=\"$MQ{quest_no}\"";
                my %ANSWERS = &select_question_answers("query","$query1");
                
                my %STUDENTS_ANSWERS = &select_questions_already_answered("query","select answer,quest_no from qsts where u_id=\"$ids\" and quest_no=\"$MQ{quest_no}\" and attempt=\"$MQ{attempt}\" and qst=\"$MQ{qst}\"");
        
                my $correct_answer;
                my $fake_real_no = "m"."$MQ{quest_no}";
                my $answers;
                my $input_answers;
                my %ANSWER_IMAGES = ();
                my %MA_ANSWERS = ();
                my %INPUT_ANSWER = ();
                my %ANSWER_IN = ();
                my %CORRECT_ANSWERS = ();
                my $pass_answers;
                my $pass_images_ma;
                                
                # the answers they entered in
                $input_answers = $STUDENTS_ANSWERS{$MQ{quest_no}};
                my %STUDENT_ANS = ();
                my @in_answers = split(/,/,$input_answers);
                foreach my $ke(@in_answers) {
                        $STUDENT_ANS{$ke} = $ke;
                        }
                                        
                # the actual answers
                foreach my $key(keys %{$ANSWERS{$MQ{quest_no}}{q_order}}) {
                        foreach my $key1(keys %{$ANSWERS{$MQ{quest_no}}{q_order}{$key}{answers}}) {
                                if($ANSWERS{$MQ{quest_no}}{q_order}{$key}{answers}{$key1} == 1) {
                                        $CORRECT_ANSWERS{$key} = $key;
                                        $correct_answer = "$correct_answer".","."$key";
                                        }
                                $answers = "$answers".","."$key";
                                $ANSWER_IMAGES{$key} = $ANSWERS{$MQ{quest_no}}{q_order}{$key}{image_id};
                                $pass_answers = "$pass_answers"."|#"."$key"."~@"."$key1";
                                $pass_images_ma = "$pass_images_ma"."-"."image"."$key".","."$ANSWER_IMAGES{$key}";
                                }
                        }
                $answers =~ s/^,//;
                $pass_answers =~ s/^\|#//;
                $pass_images_ma =~ s/^-//;
                $correct_answer =~ s/^,//;
                my $ma_correct = 0;

                if(keys %STUDENT_ANS) {
                        # see if all student answers are correct
                        foreach my $an(keys %CORRECT_ANSWERS) {
                                if(!defined $STUDENT_ANS{$an}) {
                                        $ma_correct = 1;
                                        }
                                delete($STUDENT_ANS{$an});
                                }
                                        
                        if ($ma_correct == 0 && !keys %STUDENT_ANS) { # no keys in %ANSWER_IN means they did not select everything
                                &mark_ma("correct","1","correct_answer","$correct_answer","input_answers","$input_answers","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","users_answer","$MQ{$fake_real_no}","ans_mode","$MQ{ans_mode}");
                                }
					
                        elsif ($STUDENTS_ANSWERS{$MQ{quest_no}} ne"" || $ma_correct == 1) {
                                &mark_ma("wrong","1","users_answer","$input_answers","input_answers","$input_answers","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","ans_mode","$MQ{ans_mode}");
                                }
					
                        else {
                                &mark_ma("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","ans_mode","$MQ{ans_mode}");
                                }
                        }
                else {
                        &mark_ma("na","1","correct_answer","$correct_answer","answers","$answers","pass_answers","$pass_answers","pass_images_ma","$pass_images_ma","ans_mode","$MQ{ans_mode}");
                        }
                }
                
        elsif ($MQ{type} eq"MX") { # Matching
                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$MQ{quest_no}\" AND c_answer = 0");
                                
                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$MQ{quest_no}\" AND c_answer = \"1\" and org_id=\"$org_id\"");
                                
                my @mx_string;
                my $pass = 'correct';
                                
                my %MYANS = ();
                my @myans = split(/\n/,$MQ{question_answered});
                foreach my $piece(@myans) {
                        my @mxx = split(/=/,$piece);
                        $MYANS{$mxx[0]} = $mxx[1];
                        }
                               
                for (my $i = 1; $i <= 10; $i++){ 
                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                }
                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                }
                        else { # no matching text
                                delete($RETURN_MX_MATCHING{$i});
                                }
                        }

                foreach my $key1(keys %RETURN_MX_TEXT) {
                        if(defined $RETURN_MX_TEXT{$key1}{answer} && $RETURN_MX_MATCHING{$key1}{answer} ne "$MYANS{$key1}") {
                                $pass = 'wrong';
                                }
                        }

                if(!keys %MYANS) {
                        $pass = 'na';
                        }
                        
                &mark_mx("$pass","1","1","1","mx1","$RETURN_MX_TEXT{1}{answer}","mx2","$RETURN_MX_TEXT{2}{answer}","mx3","$RETURN_MX_TEXT{3}{answer}","mx4","$RETURN_MX_TEXT{4}{answer}","mx5","$RETURN_MX_TEXT{5}{answer}","mx6","$RETURN_MX_TEXT{6}{answer}","mx7","$RETURN_MX_TEXT{7}{answer}","mx8","$RETURN_MX_TEXT{8}{answer}","mx9","$RETURN_MX_TEXT{9}{answer}","mx10","$RETURN_MX_TEXT{10}{answer}","mx11","$RETURN_MX_TEXT{11}{answer}","mx12","$RETURN_MX_TEXT{12}{answer}","mx13","$RETURN_MX_TEXT{13}{answer}","mx14","$RETURN_MX_TEXT{14}{answer}","mx15","$RETURN_MX_TEXT{15}{answer}","mxans1","$RETURN_MX_MATCHING{1}{answer}","mxans2","$RETURN_MX_MATCHING{2}{answer}","mxans3","$RETURN_MX_MATCHING{3}{answer}","mxans4","$RETURN_MX_MATCHING{4}{answer}","mxans5","$RETURN_MX_MATCHING{5}{answer}","mxans6","$RETURN_MX_MATCHING{6}{answer}","mxans7","$RETURN_MX_MATCHING{7}{answer}","mxans8","$RETURN_MX_MATCHING{8}{answer}","mxans9","$RETURN_MX_MATCHING{9}{answer}","mxans10","$RETURN_MX_MATCHING{10}{answer}","mxans11","$RETURN_MX_MATCHING{11}{answer}","mxans12","$RETURN_MX_MATCHING{12}{answer}","mxans13","$RETURN_MX_MATCHING{13}{answer}","mxans14","$RETURN_MX_MATCHING{14}{answer}","mxans15","$RETURN_MX_MATCHING{15}{answer}","m1","$MYANS{1}","m2","$MYANS{2}","m3","$MYANS{3}","m4","$MYANS{4}","m5","$MYANS{5}","m6","$MYANS{6}","m7","$MYANS{7}","m8","$MYANS{8}","m9","$MYANS{9}","m10","$MYANS{10}","m11","$MYANS{11}","m12","$MYANS{12}","m13","$MYANS{13}","m14","$MYANS{14}","m15","$MYANS{15}");
                }
	}


####################
#
# WRITE_BOTTOM_SCREEN
#
#####################
sub write_bottom_screen {
	my %WBS = @_;
	$WBS{quiz_no} =~ s/\D//g;
	$WBS{type} =~ s/\D//g;
	$WBS{from} =~ s/\D//g;
	$WBS{sub_type} =~ s/\D//g;
	$WBS{expand} =~ s/[^0-9,]//g;
	$WBS{class_open} =~ s/\D//g;
	$WBS{open_class} =~ s/\D//g;
	
	&print_javascript_begin();
	print"var view_win\n";
	&print_javascript_save_handler();
	&print_javascript_delete_handler("form","forms\[0\]");

	print"function view_handler\(i_n\)\{\n";
	print"view_win=window.open('','view_win','top=0,left=0,height=800,width=800,scrollbars')\n";
	print"view_win.focus\(\)\n";
	print"document.formv.submit\(\)\n";
	print"\}\n";

	print"function check_handler2\(i_n\)\{\n";
	print"document.form3.action_type.value=i_n\n";
	print"document.form3.submit\(\)\n";
	print"\}\n";

	print"function view_question\(i_n\)\{\n";
	print"var position = self.parent.mida.document.view_quest\n";
	print"if\(position == 1\) \{\n";
	print"var url = i_n\n";
	print"var url1 = i_n +1\n";
	print"\}\n";
	print"\}\n";
	&print_javascript_end();

        if(!defined $WBS{option}) {
                $WBS{option} = 1;
                }

        &change_qst("quiz_no","$WBS{quiz_no}","from","$WBS{from}","type","$WBS{type}","sub_type","$WBS{sub_type}","name","$WBS{name}","class_open","$WBS{class_open}","open_class","$WBS{open_class}","refresh_right","$WBS{refresh_right}","u_id","$WBS{u_id}","session_id","$WBS{session_id}","option","$WBS{option}");

        &print_form_wo_end_tag("form_name","","input","remove_questions_fromqst","quiz_no","$WBS{quiz_no}","type","$WBS{type}","sub_type","$WBS{sub_type}","name","$WBS{name}","refresh_right","$WBS{refresh_right}","class_open","$WBS{class_open}","open_class","$WBS{open_class}","from","$WBS{from}","u_id","$WBS{u_id}","session_id","$WBS{session_id}");
  	&print_form("form_name","formv","form_target","view_win","input","view_qst","type","$WBS{type}","sub_type","$WBS{sub_type}","name","$WBS{name}","quiz_no","$WBS{quiz_no}","u_id","$WBS{u_id}","session_id","$WBS{session_id}");
  	&print_form("form_name","focus1","form_target","mida","input","change_qst","type","$WBS{type}","sub_type","$WBS{sub_type}","name","$WBS{name}","action_type","","from","$WBS{from}","quiz_no","$WBS{quiz_no}","refresh_right","$WBS{refresh_right}","class_open","$WBS{class_open}","open_class","$WBS{open_class}","u_id","$WBS{u_id}","session_id","$WBS{session_id}");
  	&print_form("form_name","form3","input","print_add_quest_to_qst","type","$WBS{type}","sub_type","$WBS{sub_type}","name","$WBS{name}","expand","$WBS{expand}","action_type","","from","$WBS{from}","quiz_no","$WBS{quiz_no}","refresh_right","$WBS{refresh_right}","class_open","$WBS{class_open}","open_class","$WBS{open_class}","u_id","$WBS{u_id}","session_id","$WBS{session_id}");
  	&print_form("form_name","form4","input","save_changes","type","$WBS{type}","sub_type","$WBS{sub_type}","name","$WBS{name}","from","$WBS{from}","quiz_no","$WBS{quiz_no}","refresh_right","$WBS{refresh_right}","class_open","$WBS{class_open}","open_class","$WBS{open_class}","u_id","$WBS{u_id}","session_id","$WBS{session_id}");
  	&print_form("form_name","load_right","form_target","theright","input","make_type","type","$WBS{type}","sub_type","$WBS{sub_type}","from","2","expand","$WBS{refresh_right}","class_open","$WBS{class_open}","open_class","$WBS{open_class}","u_id","$WBS{u_id}","session_id","$WBS{session_id}");

	if($WBS{changed} == 1) {
		&print_javascript_begin();
		print"document.load_right.submit\(\)\n";
		&print_javascript_end();
		}	
	}

#####################
#
# VIEW_SMALL_QST
#
####################
sub view_small_qst {
      	my %VSQ = @_;
        $VSQ{quiz_no} =~ s/\D//g;
	$VSQ{type} =~ s/\D//g;
	$VSQ{sub_type} =~ s/\D//g;
	$VSQ{from} =~ s/\D//g;
	$VSQ{expand} =~ s/[^0-9,]//g;
	$VSQ{quest} =~ s/\D//g;
	$VSQ{branch_it} =~ s/[^0-9,]//g;
	$VSQ{refer} =~ s/\D//g;
	
	print"<style type=\"text/css\">
	textarea.show_quest{ border-color: Transparent\; font-family\:Arial\; font-size\: 11pt\; overflow:auto\;}
	table.table1\{ border-radius:4px\; font-size:11pt\; font-family:Arial\;\}
	</style>\n";
		
	
      	my $display_no = 1;
	my $query = "SELECT * from questions WHERE ";
	my %ORDER = ();
	my %QUESTIONS = ();
	my $count = &is_there("table","qst","number","$VSQ{quiz_no}");
	my $order = 0;
        my $diss = 1;
	
	#see if anyone has started qst
	my $good_to_change = &select10("query","SELECT qst from qsts WHERE qst=\"$VSQ{quiz_no}\" LIMIT 1");
	
	if($good_to_change == $VSQ{quiz_no}) { # students have already started
	      	&print_javascript_begin();
		print"parent.topb.location = \'/schools/blank.htm\'\n";
		&print_javascript_end();
		
		print"<center><B>The QST has already been started by student\(s\).<BR>To change it, you must UnPost it and delete the students marks. </B></center>\n";
		}
		
	else { # can change the qst
                # find if it is branching
                my %BRANCHING = &select4("query","select number,branching from qst WHERE number=\"$VSQ{quiz_no}\" AND u_id=\"$ids\" AND org_id=\"$org_id\"");
		
		# get the primary questions
		my %PRIMARY_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$VSQ{quiz_no}\" AND q_order > \"0\" AND referer=\"0\" AND (u_id=\"$ids\" OR u_id=\"0\")");
		
		my %BRANCH_IT = ();
		if($VSQ{branch_it} ne"") { # branching question
                        my @branch = split(/\,/,$VSQ{branch_it});
                        foreach my $piece(@branch){
                                $BRANCH_IT{$piece} = $piece;
                                }
                        }
                
		if(keys %PRIMARY_QUESTIONS && $count == 1) {
     			foreach my $key( keys %PRIMARY_QUESTIONS) {
				if($order == 0) {
                                        if($PRIMARY_QUESTIONS{$key}{order} != 0) {
                                                $query = "$query"." "."number=\"$key\"";
                                                ++$order;
                                                }
					}
				else {
                                        if($PRIMARY_QUESTIONS{$key}{order} != 0) {
                                                $query = "$query"." "." OR number=\"$key\"";
                                                }
					}
				if (!defined $ORDER{$PRIMARY_QUESTIONS{$key}{order}}) {
                                        if($PRIMARY_QUESTIONS{$key}{order} != 0) {
                                                $ORDER{$PRIMARY_QUESTIONS{$key}{order}}{questions}{$key} = "$key";
                                                $ORDER{$PRIMARY_QUESTIONS{$key}{order}}{select} = "$PRIMARY_QUESTIONS{$key}{q_select}";
                                                $ORDER{$PRIMARY_QUESTIONS{$key}{order}}{grp} = "$key";
                                                }
					}
				else {
                                        if($PRIMARY_QUESTIONS{$key}{order} != 0) {
                                                $ORDER{$PRIMARY_QUESTIONS{$key}{order}}{questions}{$key} = "$key";
                                                $ORDER{$PRIMARY_QUESTIONS{$key}{order}}{grp} = "$ORDER{$PRIMARY_QUESTIONS{$key}{order}}{grp}".","."$key";
                                                }
					}
				}

			%QUESTIONS = &select_questions("query","$query AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			}
			
			
                # get the questions in order
      		foreach my $key(sort {$a<=>$b} keys %ORDER) { 
			my $indexx = 1;

			foreach my $quest(keys %{$ORDER{$key}{questions}}) {
			
				if ($ORDER{$key}{select} >= 1) { # QUESTION GROUP
					if($indexx == 1) {
						my $new_index;
	            				print"<TABLE><TR><TD valign=\"center\"><input type=\"checkbox\" name=\"group-$key\" value=\"$ORDER{$key}{grp}\"><B style='font-family:Arial\; font-size:11pt\;'>\n";
						$new_index = $display_no + $PRIMARY_QUESTIONS{$quest}{q_select} - 1;
						print"<A NAME=\"$new_index\"></a>\n";
						$new_index = "-"." $new_index";
						
						if($BRANCHING{$VSQ{quiz_no}} == 0) {
                                                        print"$display_no \n";
                                                        }
                                                        
						if ($new_index ne"- 1" && $BRANCHING{$VSQ{quiz_no}} == 0) {
							print"$new_index\.\n";
							}
						
						my $question = $QUESTIONS{$quest}{descrip};
						my $quest_length = length($question);
						$quest_length = $quest_length + 2;
						
						print"</b></TD><TD width=\"10\"></TD><TD valign=\"center\"> <B style='font-family:Arial\; font-size:10pt\;'>Select</B> <input type=\"text\" name=\"select-$key\" value=\"$PRIMARY_QUESTIONS{$quest}{q_select}\" size=\"2\" maxlength=\"2\"></TD><TD width=\"20\"></TD><TD> <B style='font-family:Arial\; font-size:10pt\;'>$LANGUAGE{$set_language}{Valueofeachquestion}</B> <input type=\"text\" name=\"marks-$key\" size=\"2\" maxlength=\"2\" value=\"$PRIMARY_QUESTIONS{$quest}{value}\"></TD>\n";

						print"<TD>&nbsp\;<font onClick=\"click_handler\(\'1\',\'$quest\',\'\'\)\" STYLE=\"cursor: pointer\" color=\"\#666666\" size=\"-1\">$LANGUAGE{$set_language}{Cut}</font>&nbsp\;&nbsp\;\n";
						print"<font onClick=\"click_handler\(\'2\',\'$quest\'\)\" STYLE=\"cursor: pointer\" color=\"\#888888\" size=\"-1\">$LANGUAGE{$set_language}{Paste}</font></font></td></TR></TABLE>\n";
						print"</a><TABLE><TR><TD width=\"40\"></TD><TD valign=\"top\"><input type=\"checkbox\" name=\"grp-$key-$quest\" value=\"$quest-$QUESTIONS{$quest}{value}\"></TD>\n";
						print"<TD> <font size=\"-1\">$QUESTIONS{$quest}{type}</font></TD><TD valign=\"top\">";
						
                                                print"&nbsp\;<font class=\"show_quest\" style=\"resize\:none\;\">$question</font></b>\n";
							
						$display_no = $display_no + $PRIMARY_QUESTIONS{$quest}{q_select} - 1;
						++$indexx;
						}
						
					else { 
						my $question = $QUESTIONS{$quest}{descrip};
						my $quest_length = length($question);
						$quest_length = $quest_length + 2;
						
	            				print"</a><TABLE><TR><TD width=\"40\"></TD><TD valign=\"top\"><input type=\"checkbox\" name=\"grp-$key-$quest\" value=\"$quest-$QUESTIONS{$quest}{value}\"></TD>\n";

            					print"<TD> <font size=\"-1\">$QUESTIONS{$quest}{type}</font></TD><TD valign=\"top\">";
            					
                                                print"<font class=\"show_quest\" style=\"resize\:none\; cursor: pointer\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$diss\'\))\">$question</font></b>\n";
						}
		           		print"</TD></TR></TABLE>\n";
					}
					
					
				else { # NO QUESTION GROUPS
                                        my $question = $QUESTIONS{$quest}{descrip};
                                        my $quest_length = length($question);
                                        $quest_length = $quest_length + 2;
                                        

           				print"<TABLE class=\"table1\"><TR><TD valign=\"top\"><input type=\"checkbox\" name=\"name$key\" value=\"$quest-$QUESTIONS{$quest}{value}\">\n";

           				
           				
           				if($PRIMARY_QUESTIONS{$quest}{branching} ne"" && $VSQ{option} != 1) { # question has branching answers and not bottom screen
                                                if($BRANCH_IT{$quest} == $quest) { # print -
                                                        print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Collapsebranch}\" onClick=\"branchit_handler()\"  style=\"cursor:pointer\;\"><B>-</B></font>";
                                                        }
                                                else { # print +
                                                        print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewbranch}\" onClick=\"branchit_handler('$quest','$quest')\"  style=\"cursor:pointer\;\"><B>+</B></font>";
                                                        }
                                                }
                                        else {
                                                print"&nbsp\;&nbsp\;&nbsp\;";
                                                }
                                                
                                        if($BRANCHING{$VSQ{quiz_no}} != 1) { # no branching answers
                                                print"<B> $display_no\.</b>\n";
                                                }
                                                
            				print"</TD>\n";
            				 
					if ($VSQ{type} != 2) { # quiz/test
                                                if($BRANCHING{$VSQ{quiz_no}} != 1) { # not branching
                                                        print"<TD valign=\"top\"><font size=\"-1\">\($QUESTIONS{$quest}{value}\)</font>\n";
                                                        }
                                                else {
                                                        print"<TD valign=\"top\">";
                                                        }
						}
						
                                        else { # survey
                                                print"<TD valign=\"top\">";
                                                }
                                                
                                        
                                        # print out first level question
					print" <font size=\"-1\">$QUESTIONS{$quest}{type}</font></TD><TD>";
					print"&nbsp\; <span ID=\"$quest\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vewquest\('$quest'\)\" style=\" cursor: pointer\;\">$image3</span>";

                                
                                        print"&nbsp\;<font style=\"cursor: pointer\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$diss\'\))\"> $question</font></b>\n";
						
						
                                        if($VSQ{option} != 1) { # not bottom screen
                                                # show drop down for first level question
                                                if($display_no == 1 ) { # can paste question above first question
                                                        print"<span ID=\"display$diss\" style=\"display\:none\"><table>\n";
						
                                                        if($QUESTIONS{$quest}{type} eq"TF" || $QUESTIONS{$quest}{type} eq"MC" || $QUESTIONS{$quest}{type} eq"YN" || $QUESTIONS{$quest}{type} eq"AD") { # branching question
                                                                print"<TR><TD width=\"20\"></TD><TD style=\"cursor:pointer\;\" onClick=\"branch_handler\(\'$VSQ{quiz_no}\',\'$quest\',\'$quest\',\'0\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$diss\'\)\)\">$LANGUAGE{$set_language}{Branch}</td></TR>\n";
                                                        
                                                                print"<TR><TD width=\"20\"></TD><TD style=\"cursor:pointer\;\" onClick=\"delete_branch\(\'$quest\',\'$quest\',\'0\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$diss\'\)\)\">$LANGUAGE{$set_language}{DeleteBranch}</td></TR>\n";
                                                                }
                                                
                                                        print"<tr><TD width=\"20\"></TD><TD style=\"cursor: pointer\;\" onClick onClick=\"click_handler\(\'1\',\'$quest\',\'\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$diss\'\)\)\">$LANGUAGE{$set_language}{Cut}</td></TR>\n";
						
                                                        print"<tr><TD width=\"20\"></TD><TD style=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$quest\',\'1\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$diss\'\)\)\">$LANGUAGE{$set_language}{Pasteabove}</font></td></TR>\n";
						
                                                        print"<tr><TD width=\"20\"></TD><TD style=\"cursor: pointer\;\" onClick=\"click_handler\(\'2\',\'$quest\',\'2\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$diss\'\)\)\">$LANGUAGE{$set_language}{Pastebelow}</font></td></TR></TABLE></span>\n";
                                                        }
                                                else {
                                                        print"<span ID=\"display$diss\" style=\"display\:none\"><table>\n";
						
                                                        if($QUESTIONS{$quest}{type} eq"TF" || $QUESTIONS{$quest}{type} eq"MC" || $QUESTIONS{$quest}{type} eq"YN" || $QUESTIONS{$quest}{type} eq"AD") { # branching question
                                                                print"<TR><TD width=\"20\"></TD><TD style=\"cursor:pointer\;\" onClick=\"branch_handler\(\'$VSQ{quiz_no}\',\'$quest\',\'0\',\'0\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$diss\'\)\)\"> $LANGUAGE{$set_language}{Branch} </font></td></TR>\n";
                                                        
                                                                print"<TR><TD width=\"20\"></TD><TD style=\"cursor:pointer\;\" onClick=\"delete_branch\(\'$quest\',\'$quest\',\'0\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$diss\'\)\)\">$LANGUAGE{$set_language}{DeleteBranch}</td></TR>\n";
                                                                }
                                                        
                                                        print"<TR><TD width=\"20\"></TD><TD style=\"cursor:pointer\;\" onClick=\"click_handler\(\'1\',\'$quest\',\'\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$diss\'\)\)\">$LANGUAGE{$set_language}{Cut}</td></TR>\n";
						
                                                        print"<tr><TD width=\"20\"></TD><TD style=\"cursor:pointer\;\" onClick=\"click_handler\(\'2\',\'$quest\'\)\"><font STYLE=\"text-decoration:none\" color=\"\#888888\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$diss\'\)\)\">$LANGUAGE{$set_language}{Paste}</font></td></TR></TABLE></span>\n";
                                                        }
                                                }
					++$diss;
		      			print"</TD></TR></TABLE>\n";
		      			
		      			
		      			# branching question
		      			if($BRANCH_IT{$quest} == $quest) { # show branches
                                                if($VSQ{bquest} ne "undefined") {
                                                        $diss = &recursive_display_branch("dis","$diss","from","10","quiz_no","$VSQ{quiz_no}","branch_it","$VSQ{branch_it}","type","$QUESTIONS{$quest}{type}","orig_expand","$VSQ{branch_it}","referer","$quest");

                                                        $VSQ{branch_it} = ""; # so we don't display other branches that have the same question
                                                        ++$diss;
                                                        }
                                                }
                                                
    					print"<A NAME=\"$display_no\"></a>\n";
					}
				}
                        
			++$display_no;
            		}
            		
      		print "</FORM>\n";
      		
      		&print_javascript_begin();
      		
      		print"var vquest_windo\n";
      		
      		print"function vewquest\(inn\) \{
                vquest_windo = window.open\(\"\",\"vquest_windo\",\"top=40,left=100,height=550,width=710\"\)
                vquest_windo.document.writeln\(\'<html><head><title>View\/Question<\/title><\/head><body>\'\)
                vquest_windo.document.writeln\(\'</body><\/html>\'\)
                vquest_windo.document.close()
                vquest_windo.focus\(\)
                document.vew_quest.number.value=inn
                document.vew_quest.submit()
                \}\n";
                
		print"function lod_handler\(i_n\) \{
		window.location=\"\#\"+i_n
		\}\n";

		print"function focus_handler\(i_n\) \{
		document.focus1.submit\(\)
		\}\n";

                print"function branchit_handler\(branchit\)\{
		document.branch.branch_it.value = branchit
		document.branch.submit()
		\}\n";
        
                print"function branch_handler\(quiz,quest,branchit,referer\)\{
		branwindo = window.open\('','branwindo','top=200,left=50,height=330,width=700,toolbar=0,menubar=0,location=no,directories=no,status=no'\)
                branwindo.document.writeln\(\'<html><head><title>Branch a question<\/title><\/head><body>\'\)
                branwindo.document.writeln\(\'<\/body><\/HTML>\'\)
                branwindo.document.close()
                branwindo.focus\(\)
                document.branch_quest.branch_it.value=branchit
                document.branch_quest.referer.value=referer
                document.branch_quest.quest_no.value=quest
                document.branch_quest.submit\(\)
		\}\n";
		
		print"function click_handler\(i_n,quest_no,where\) \{\n";
		print"if\(i_n == 1\) \{\n";
		print"document.cutpaste.cut.value = quest_no\n";
		print"\}\n";
		print"if\(i_n == 2\) \{\n";
		print"var number=document.cutpaste.cut.value\n";
		print"if\(number \!=\"\"\ && number \!= quest_no) \{\n";
		print"document.cutpaste.paste.value = quest_no\n";
		print"document.cutpaste.where.value = where\n";
		print"document.cutpaste.submit\(\)\n";
		print"\}
		\}
		\}\n";

		&javascript_show_stuff();
		
		&print_javascript_end();
		
                &print_form("form_name","cutpaste","input","cut_paste","cut","","paste","","type","$VSQ{type}","sub_type","$VSQ{sub_type}","name","$VSQ{name}","from","$VSQ{from}","quiz_no","$VSQ{quiz_no}","expand","$VSQ{expand}","parent","$VSQ{parent}","refresh_right","$VSQ{refresh_right}","class_open","$VSQ{class_open}","open_class","$VSQ{open_class}","i_n","$VSQ{i_n}","where","","u_id","$VSQ{u_id}","session_id","$VSQ{session_id}");
                
                &print_form("form_name","branch","input","change_qst","type","$VSQ{type}","sub_type","$VSQ{sub_type}","quiz_no","$VSQ{quiz_no}","u_id","$VSQ{u_id}","session_id","$VSQ{session_id}","branch_it","","quest","");
                
                &print_form("form_name","deletebranch","input","delete_branch","type","$VSQ{type}","sub_type","$VSQ{sub_type}","quiz_no","$VSQ{quiz_no}","u_id","$VSQ{u_id}","session_id","$VSQ{session_id}","branch_it","","refer","");
                
                &print_form("form_name","vew_quest","form_target","vquest_windo","type","$VSQ{type}","sub_type","$VSQ{sub_type}","number","","input","view_quest","u_id","$VSQ{u_id}","session_id","$VSQ{session_id}","branching","1");
                
                &print_form("form_name","branch_quest","form_target","branwindo","type","$VSQ{type}","sub_type","$VSQ{sub_type}","input","branch_quest","name","$VSQ{name}","quest_no","","qst","$VSQ{quiz_no}","u_id","$VSQ{u_id}","session_id","$VSQ{session_id}","branch_it","$VSQ{branch_it}","referer","");
                
		$display_no = $display_no - 1;
		
		print"<img src =\"\/schools\/blank.gif\" onLoad=\"lod_handler\($display_no\)\">\n";
		}
	}

#####################
#
# RECURSIVE_DISPLAY_BRANCH
#
####################
sub recursive_display_branch {
        my %RDB = @_;
        my $diss = $RDB{dis};
        my %BRANCH_QUEST = ();
        my $spacing = $RDB{spacing} + 90;
        my @branch_it = split(/\,/,$RDB{branch_it});
        my $branch_it = shift(@branch_it);
        my @to_pass = @branch_it;
        my @expand;
        my $mc_col = 20;

        if($RDB{from} == 10) { # from view_small_qst
                push(@expand, $branch_it);
                } 
        else { # recursing
                @expand = split(/\,/,$RDB{expand});
                }
        
        my $new_branch = shift(@branch_it);

        my $to_pass;
        foreach my $key(@to_pass) {
                $to_pass = "$to_pass".","."$key";
                }
        $to_pass =~ s/\,//;
        
        my $error = 0;
	$error = &check_many_length_return("$branch_it","10","$new_branch","10","$RDB{quiz_no}","10","$RDB{spacing}","10");
	
	my %RETURN = ();
	
	if($RDB{from} == 10) { # from view_small_qst
                %RETURN = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$RDB{quiz_no}\" AND q_order > \"0\" AND referer=\"0\" AND quest_no=\"$branch_it\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                }
        else {
                %RETURN = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$RDB{quiz_no}\" AND q_order =\"0\" AND referer=\"$RDB{referer}\" AND quest_no=\"$branch_it\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                }
        
        # for MC question
        my %QUESTION_ANSWERS = ();
        if($RDB{type} eq "MC") {
                %QUESTION_ANSWERS = &select4("query","SELECT q_order,answer from question_answers WHERE number=\"$branch_it\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                
                # aligning MC answers
                my $col_length = 0;
                foreach my $key(keys %QUESTION_ANSWERS) {
                        my $size;
                        if($QUESTION_ANSWERS{$key} eq"") {
                                $size = 5;
                                }
                        else {
                                $size = length($QUESTION_ANSWERS{$key});
                                }
                                
                        if($size > $col_length && $col_length < 21) {
                                $col_length = $size;
                                $mc_col = $size;
                                }
                        }
                }
                
        if($RETURN{$branch_it}{branching} ne "" && $error == 0) { # there are branching answers
                my @branch = split(/\,/,$RETURN{$branch_it}{branching}); # the branching answers to the question
                my @row;
                
                foreach my $chunk(@branch) {
                        @row = split(/=/,$chunk);
                        $BRANCH_QUEST{$row[0]} = $row[1];
                        }
                
                ++$diss;
                my $index = 1;
                my $expand_less;
                my $expanded_less;
                my @SD = @standard;
                foreach my $branch(sort {$a<=>$b} keys %BRANCH_QUEST) { # get them in order
                       
                        if($BRANCH_QUEST{$branch} != 0) { # they may not all have a branching answer
                                my %QUESTION = &select_branching_question("query","SELECT * from questions WHERE number=\"$BRANCH_QUEST{$branch}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                ++$diss;
                                
                                if($RDB{type} eq "TF") { # True/False
                                        print"<TABLE class=\"table1\"><TR><TD width=\"$spacing\">";
                                        
                                        my $good;
                                        my $expand_pass;

                                        if($branch == 1) { #TRUE
                                                print"</TD><TD>$LANGUAGE{$set_language}{True} <font size=\"+1\"><B>&nbsp\;$image34 &nbsp\;</B></font>";
                                                if($new_branch == $BRANCH_QUEST{$branch}) {
                                                        $good = 1;
                                                        my $expand;
                                                        foreach my $ke(@expand) {
                                                                $expand = "$expand".","."$ke";
                                                                }
                                                        $expand =~ s/^\,//;
                                                        $expand_pass = $expand;
                                                        
                                                        print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Collapsebranch}\" onClick=\"branchit_handler('$expand')\"  style=\"cursor:pointer\;\"><B>-</B></font>";
                                                        
                                                        push(@expand,$BRANCH_QUEST{$branch});
                                                        }
                                                else {
                                                        push(@expand,$BRANCH_QUEST{$branch});
                                                        my $expand;
                                                        foreach my $ke(@expand) {
                                                                $expand = "$expand".","."$ke";
                                                                }
                                                        $expand =~ s/^\,//;
                                                        $expand_pass = $expand;
                                                        
                                                        print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewbranch}\" onClick=\"branchit_handler('$expand')\"  style=\"cursor:pointer\;\"><B>+</B></font>";
                                                        }
                                                }
                                                
                                        else { #FALSE
                                                print"</TD><TD>False<font size=\"+1\"><B>&nbsp\;$image34 &nbsp\;</B></font>";
                                                pop(@expand);
                                                        
                                                if($new_branch == $BRANCH_QUEST{$branch}) {
                                                        $good = 1;
                                                        my $expand;
                                                        foreach my $ke(@expand) {
                                                                $expand = "$expand".","."$ke";
                                                                }
                                                        $expand =~ s/^\,//;
                                                        $expand_pass = $expand;
                                                        
                                                        print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Collapsebranch}\" onClick=\"branchit_handler('$expand')\"  style=\"cursor:pointer\;\"><B>-</B></font>";
                                                        
                                                        push(@expand,$BRANCH_QUEST{$branch});
                                                        }
                                                else {
                                                
                                                        push(@expand,$BRANCH_QUEST{$branch});
                                                        my $expand;
                                                        foreach my $ke(@expand) {
                                                                $expand = "$expand".","."$ke";
                                                                }
                                                        $expand =~ s/^\,//;
                                                        $expand_pass = $expand;
                                                        
                                                        print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewbranch}\" onClick=\"branchit_handler('$expand')\"  style=\"cursor:pointer\;\"><B>+</B></font>";
                                                        }
                                                }

                                        # print question and drop down
                                        &show_1branch("question","$QUESTION{$BRANCH_QUEST{$branch}}{descrip}","quiz_no","$RDB{quiz_no}","display","display1","vquest","quest1","branch_quest","$BRANCH_QUEST{$branch}","dis","$diss","offset","40","expand","$expand_pass","orig_expand","$RDB{orig_expand}","referer","$branch_it","type","$RDB{type}");
                                        
                                        print"</TABLE>";
                                                
                                        if($good == 1) {
                                                my $expand;
                                                foreach my $ke(@expand) {
                                                        $expand = "$expand".","."$ke";
                                                        }
                                                $expand =~ s/^\,//;
                                                
                                                ++$diss;
                                                $diss = &recursive_display_branch("dis","$diss","spacing","$spacing","show","$branch_it","quiz_no","$RDB{quiz_no}","branch_it","$to_pass","expand","$expand","type","$QUESTION{$BRANCH_QUEST{$branch}}{type}","referer","$branch_it","orig_expand","$expand");
                                                }
                                                
                                        print"<TD></TR>";
                                        }
                                
                                elsif($RDB{type} eq "YN") { # YES/NO
                                        print"<TABLE class=\"table1\"><TR><TD width=\"$spacing\">";
                                     
                                        my $good;
                                        my $expand_pass;
                                        
                                        if($branch == 1) { #YES
                                                print"</TD><TD>$LANGUAGE{$set_language}{Yes}<font size=\"+1\"><B>&nbsp\;$image34 &nbsp\;</B></font>";
                                                if($new_branch == $BRANCH_QUEST{$branch}) {
                                                        $good = 1;
                                                        my $expand;
                                                        foreach my $ke(@expand) {
                                                                $expand = "$expand".","."$ke";
                                                                }
                                                        $expand =~ s/^\,//;
                                                        $expand_pass = $expand;
                                                        
                                                        print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Collapsebranch}\" onClick=\"branchit_handler('$expand')\"  style=\"cursor:pointer\;\"><B>-</B></font>";
                                                        
                                                        push(@expand,$BRANCH_QUEST{$branch});
                                                        }
                                                else {
                                                        push(@expand,$BRANCH_QUEST{$branch});
                                                        my $expand;
                                                        foreach my $ke(@expand) {
                                                                $expand = "$expand".","."$ke";
                                                                }
                                                        $expand =~ s/^\,//;
                                                        $expand_pass = $expand;
                                                        
                                                        print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewbranch}\" onClick=\"branchit_handler('$expand')\"  style=\"cursor:pointer\;\"><B>+</B></font>";
                                                        }
                                                }
                                                
                                        else { #NO
                                                print"</TD><TD>$LANGUAGE{$set_language}{No} &nbsp\;<font size=\"+1\"><B>&nbsp\;$image34 &nbsp\;</B></font>";
                                                pop(@expand);
                                                        
                                                if($new_branch == $BRANCH_QUEST{$branch}) {
                                                        $good = 1;
                                                        my $expand;
                                                        foreach my $ke(@expand) {
                                                                $expand = "$expand".","."$ke";
                                                                }
                                                        $expand =~ s/^\,//;
                                                        $expand_pass = $expand;
                                                        
                                                        print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Collapsebranch}\" onClick=\"branchit_handler('$expand')\"  style=\"cursor:pointer\;\"><B>-</B></font>";
                                                        
                                                        push(@expand,$BRANCH_QUEST{$branch});
                                                        }
                                                else {
                                                
                                                        push(@expand,$BRANCH_QUEST{$branch});
                                                        my $expand;
                                                        foreach my $ke(@expand) {
                                                                $expand = "$expand".","."$ke";
                                                                }
                                                        $expand =~ s/^\,//;
                                                        $expand_pass = $expand;
                                                        print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewbranch}\" onClick=\"branchit_handler('$expand')\"  style=\"cursor:pointer\;\"><B>+</B></font>";
                                                        }
                                                }

                                        # print question and drop down
                                        &show_1branch("question","$QUESTION{$BRANCH_QUEST{$branch}}{descrip}","quiz_no","$RDB{quiz_no}","display","display1","vquest","quest1","branch_quest","$BRANCH_QUEST{$branch}","dis","$diss","offset","40","expand","$expand_pass","orig_expand","$RDB{orig_expand}","referer","$branch_it","type","$RDB{type}");
                                        
                                        print"</TABLE>";
                                                
                                        if($good == 1) {
                                                my $expand;
                                                foreach my $ke(@expand) {
                                                        $expand = "$expand".","."$ke";
                                                        }
                                                $expand =~ s/^\,//;
                                                ++$diss;
                                                $diss = &recursive_display_branch("dis","$diss","spacing","$spacing","show","$branch_it","quiz_no","$RDB{quiz_no}","branch_it","$to_pass","expand","$expand","type","$QUESTION{$BRANCH_QUEST{$branch}}{type}","referer","$branch_it","orig_expand","$expand");
                                                }
                                        print"<TD></TR>";
                                        }
                                
                               elsif($RDB{type} eq "MC") { # Multiple Choice
                                        print"<TABLE class=\"table1\"><TR><TD width=\"$spacing\">";
                                        my $good;
                                        my $expand_pass;
                                       
                                       if($QUESTION_ANSWERS{$index} eq"") {
                                                $QUESTION_ANSWERS{$index} = '*FILE*';
                                                }
                                                
                                        print"</TD><TD><textarea class=\"show_quest\" readonly name=\"select$index\" style=\"resize\:none\;\" maxlength=\"60\" rows=\"1\" cols=\"$mc_col\" value=\"\">$QUESTION_ANSWERS{$index}</textarea><font size=\"+1\"><B>$image34 &nbsp\;</B></font>";
                                        
                                        if($new_branch == $BRANCH_QUEST{$branch}) { # open this branch
                                                $good = 1;
                                                $expand_less = 1;
                                                
                                                my $expand;
                                                foreach my $ke(@expand) {
                                                        $expand = "$expand".","."$ke";
                                                        }
                                                            
                                                $expand =~ s/^\,//;
                                                $expand_pass = $expand;
                                                $expanded_less = $expand;
                                                
                                                print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Collapsebranch}\" onClick=\"branchit_handler('$expand')\"  style=\"cursor:pointer\;\"><B>-</B></font>";
                                                }
                                                        
                                        else { # keep branch closed
                                                my $expand;

                                                if($expand_less == 1) { # pass the right expand prefix for each answer
                                                        $expand = $expanded_less;
                                                        }
                                                else {
                                                        foreach my $ke(@expand) {
                                                            $expand = "$expand".","."$ke";
                                                            }
                                                        }

                                                $expand = "$expand".","."$BRANCH_QUEST{$branch}";
                                                $expand =~ s/^\,//;
                                                $expand_pass = $expand;
                                                
                                                print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewbranch}\" onClick=\"branchit_handler('$expand')\"  style=\"cursor:pointer\;\"><B>+</B></font>";
                                                }

                                        # print question and drop down
                                        &show_1branch("question","$QUESTION{$BRANCH_QUEST{$branch}}{descrip}","quiz_no","$RDB{quiz_no}","display","display$index","vquest","quest$index","branch_quest","$BRANCH_QUEST{$branch}","dis","$diss","offset","40","expand","$expand_pass","orig_expand","$RDB{orig_expand}","referer","$branch_it","type","$RDB{type}");
                                        
                                        print"</TABLE>";
                                        
                                        if($good == 1) {
                                                $spacing = $spacing + 45;
                                                my $expand;
                                                push(@expand,$BRANCH_QUEST{$branch});
                                                foreach my $ke(@expand) {
                                                        $expand = "$expand".","."$ke";
                                                        }
                                                $expand =~ s/^\,//;
                                                ++$diss;
                                                # do it again
                                                $diss = &recursive_display_branch("dis","$diss","spacing","$spacing","show","$branch_it","quiz_no","$RDB{quiz_no}","branch_it","$to_pass","expand","$expand","type","$QUESTION{$BRANCH_QUEST{$branch}}{type}","referer","$branch_it","orig_expand","$expand");
                                                
                                                $spacing = $spacing - 45;
                                                }
                                                
                                        print"<TD></TR>";
                                        }
                                    
                                
                               elsif($RDB{type} eq "AD") { # Agree/Disagree
                                       print"<TABLE class=\"table1\"><TR><TD width=\"$spacing\">";
                                        my $good;
                                        my $expand_pass;
                                       
                                       my $no = 1;
                                        print"</TD><TD><textarea class=\"show_quest\" readonly name=\"select$index\" style=\"resize\:none\;\" maxlength=\"20\" rows=\"1\" cols=\"12\" value=\"\">$SD{$index}</textarea><font size=\"+1\"><B>&nbsp\;$image34 &nbsp\;</B></font>";
                                        
                                        if($new_branch == $BRANCH_QUEST{$branch}) { # open this branch
                                                $good = 1;
                                                $expand_less = 1;
                                                
                                                my $expand;
                                                foreach my $ke(@expand) {
                                                        $expand = "$expand".","."$ke";
                                                        }
                                                            
                                                $expand =~ s/^\,//;
                                                $expand_pass = $expand;
                                                $expanded_less = $expand;
                                                
                                                print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Collapsebranch}\" onClick=\"branchit_handler('$expand')\"  style=\"cursor:pointer\;\"><B>-</B></font>";
                                                }
                                                        
                                        else { # keep branch closed
                                                my $expand;

                                                if($expand_less == 1) { # pass the right expand prefix for each answer
                                                        $expand = $expanded_less;
                                                        }
                                                else {
                                                        foreach my $ke(@expand) {
                                                            $expand = "$expand".","."$ke";
                                                            }
                                                        }

                                                $expand = "$expand".","."$BRANCH_QUEST{$branch}";
                                                $expand =~ s/^\,//;
                                                $expand_pass = $expand;
                                                
                                                print"<font size=\"+1\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewbranch}\" onClick=\"branchit_handler('$expand')\"  style=\"cursor:pointer\;\"><B>+</B></font>";
                                                }

                                        # print question and drop down
                                        &show_1branch("question","$QUESTION{$BRANCH_QUEST{$branch}}{descrip}","quiz_no","$RDB{quiz_no}","display","display$index","vquest","quest$index","branch_quest","$BRANCH_QUEST{$branch}","dis","$diss","offset","40","expand","$expand_pass","orig_expand","$RDB{orig_expand}","referer","$branch_it","type","$RDB{type}");
                                        
                                        print"</TABLE>";
                                        
                                        if($good == 1) {
                                                $spacing = $spacing + 85;
                                                my $expand;
                                                push(@expand,$BRANCH_QUEST{$branch});
                                                foreach my $ke(@expand) {
                                                        $expand = "$expand".","."$ke";
                                                        }
                                                $expand =~ s/^\,//;
                                                
                                                # do it again
                                                ++$diss;
                                                $diss = &recursive_display_branch("dis","$diss","spacing","$spacing","show","$branch_it","quiz_no","$RDB{quiz_no}","branch_it","$to_pass","expand","$expand","type","$QUESTION{$BRANCH_QUEST{$branch}}{type}","referer","$branch_it","orig_expand","$expand");
                                                
                                                $spacing = $spacing - 85;
                                                }
                                        print"<TD></TR>";
                                        }
                                }
                        ++$index;
                        }
                }
        return($diss);
        }

####################
#
# SHOW_1BRANCH
#
####################
sub show_1branch {
        my %SB = @_;
        $SB{dis} =~ s/\D//g;
        $SB{quiz_no} =~ s/\D//g;
        $SB{branch_quest} =~ s/\D//g;
        $SB{referer} =~ s/\D//g;

        my $spacing = $SB{spacing};
        my $branch_spacing = $spacing + 110;
        my $question = substr($SB{question},0,60);
        my $quest_length = length($question);

        if($quest_length > 47) {
                $quest_length = 47;
                }
        elsif($quest_length < 47) {
                $quest_length = $quest_length + 2;
                }
                
        $question =~ s/\r\n/ /g;
        my $clean = $question;
        $clean =~ s/\s//g;

        print"&nbsp\; <span ID=\"$SB{display}\" data-toggle=\"tooltip\" title=\"$LANGUAGE{$set_language}{Viewquestion}\" onClick=\"vewquest\('$SB{branch_quest}'\)\" style=\" cursor: pointer\;\">$image3</span>";
        
        if($clean eq"") {
                print"<textarea class=\"show_quest\" style=\"resize\:none\; cursor: pointer\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$SB{dis}\'\))\" readonly rows=\"1\" cols=\"10\">\*IMAGE/LINK\*</textarea></b>\n";
                }
        else {
                print"<i class=\"show_quest\" style=\"resize\:none\; cursor: pointer\;\" onClick=\"Show_Stuff(document.getElementById\(\'display$SB{dis}\'\))\">&nbsp\; $question</i></b>";
                }

        print"</TD></TR><TR><TD width=\"$spacing\"></TD><TD><span  style=\"cursor:pointer\; display:none\" ID=\"display$SB{dis}\" ><font STYLE=\"text-decoration:none \" color=\"\#666666\" size=\"-1\" onClick=\"Show_Stuff(document.getElementById\(\'display$SB{dis}\'\)\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
        
        if($SB{type} eq "AD") {
                print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                }
                
        if($SB{type} eq "MC") {
                print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                }
                
        print"<i onClick=\"branch_handler\(\'$SB{quiz_no}\',\'$SB{branch_quest}\',\'$SB{orig_expand}\',\'$SB{referer}\'\)\">$LANGUAGE{$set_language}{Branch}</i><BR>";
        
        my @expand = split(/\,/,$SB{expand});
        my $last = pop(@expand);

        if($last != $SB{branch_quest}) { # so we are only deleting branches under the question when branches are showing
                $SB{expand} = "$SB{expand}".","."$SB{branch_quest}";
                }
                
        print"<i style=\"cursor:pointer\;\" onClick=\"delete_branch\('$SB{expand}','$SB{branch_quest}','$SB{referer}'\)\">&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
        
        if($SB{type} eq "AD") {
                print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                }
                
        if($SB{type} eq "MC") {
                print"&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;";
                }
                
        print"$LANGUAGE{$set_language}{DeleteBranch}</i></font></span></TD></TR>\n";
        }

####################
#
# DELETE_BRANCH
#
####################
sub delete_branch {
        my %DB = @_;
        $DB{branch_it} =~ s/[^0-9,]//g;
	$DB{quiz_no} =~ s/\D//g;
	$DB{type} =~ s/\D//g;
	$DB{sub_type} =~ s/\D//g;
	$DB{expand} =~ s/[^0-9,]//g;
	$DB{refer} =~ s/\D//g;

        my @quest = split(/\,/,$DB{branch_it});
        my $to_delete = pop(@quest);
        $to_delete =~ s/\D//g;

        my $error = 0;
	$error = &check_many_length_return("$to_delete","10","$DB{quiz_no}","10","$DB{sub_type}","10");
	
	if($error == 0) {
                my %RETURN = &select4("query","select quest_no,branching from qst_questions WHERE qst_no=\"$DB{quiz_no}\" AND quest_no=\"$to_delete\" AND org_id=\"$org_id\" AND referer=\"$DB{refer}\"");
        
                &delete_branch_recursive("branch","$RETURN{$to_delete}","qst","$DB{quiz_no}","referer","$to_delete");
        
                &update_general("query","update qst_questions set branching=\"\" where quest_no=\"$to_delete\" and qst_no=\"$DB{quiz_no}\" and org_id=\"$org_id\" and u_id=\"$DB{u_id}\" ");
                
                &check_for_branching_questions_update_qst_and_posted_qst("quiz_no","$DB{quiz_no}","u_id","$DB{u_id}");
                
                &change_qst("quiz_no","$DB{quiz_no}","type","$DB{type}","sub_type","$DB{sub_type}","from","3","name","$DB{name}","expand","$DB{expand}","i_n","$DB{i_n}","u_id","$DB{u_id}","session_id","$DB{session_id}","branch_it","$DB{branch_it}","bquest","$DB{bquest}")
                }
        }
        
#####################
#
# CHECK_FOR_BRANCHING_QUESTIONS_UPDATE_QST_AND_POSTED_QST
#
#####################
sub check_for_branching_questions_update_qst_and_posted_qst{
        my %CFBQ = @_;
        my %RETURN = &select4("query","select quest_no,branching from qst_questions WHERE qst_no=\"$CFBQ{quiz_no}\" AND org_id=\"$org_id\" AND u_id=\"$CFBQ{u_id}\" AND branching <> \'\'");

        if(!keys %RETURN) {
                my $query = qq{UPDATE qst SET branching="0" WHERE u_id="$CFBQ{u_id}" AND number=\"$CFBQ{quiz_no}\" AND org_id=\"$org_id\"};
                my $sth = $dbh->prepare($query);
                $sth->execute();
                
                my $query = qq{UPDATE posted_qst SET branching="0" WHERE u_id="$CFBQ{u_id}" AND qst=\"$CFBQ{quiz_no}\" AND org_id=\"$org_id\"};
                my $sth = $dbh->prepare($query);
                $sth->execute();
                }
        }

######################
#
# DELETE_BRANCH_RECURSIVE
#
######################
sub delete_branch_recursive {
	my %DBR = @_;
        my @piece = split(/\,/,$DBR{branch});
        my $referer = $DBR{referer};

	foreach my $chunk(@piece) {
                my @quest_no = split(/=/,$chunk);
                my $error = 0;
                $error = &check_many_length_return("$quest_no[1]","10");
	
                if($quest_no[1] > 0 && $error != 1) {
                        my %RETURN = &select4("query","select quest_no,branching from qst_questions WHERE qst_no=\"$DBR{qst}\" AND quest_no=\"$quest_no[1]\" and q_order=\"0\" and org_id=\"$org_id\" AND referer=\"$referer\"");

                        #delete the question from qst
                        &generic_delete("query","delete from qst_questions WHERE qst_no=\"$DBR{qst}\" AND quest_no=\"$quest_no[1]\" and org_id=\"$org_id\" AND referer=\"$referer\"");
                    
                        if($RETURN{$quest_no[1]} =~ /\,/) { # remove the branching already there
                                &recursive_delete_branch("branch","$RETURN{$quest_no[1]}","qst","$DBR{qst}","org_id","$org_id","referer","$quest_no[1]");
                                }
                        }
                }
	}
	
######################
#
# RESUME_QST
#
######################
sub resume_qst {
	my %RQ = @_;
	
	&print_javascript_begin();
      	
	print"function resumeqst\(i_n\)\{
	document.form1.submit\(\)
	\}\n";
		
	&print_javascript_end();

	print"<center><B>$LANGUAGE{$set_language}{ResumeQST}</B></center><P>\n";
	
	print"<form name=\"form1\" method=\"POST\" action=\"/qst\">
	<input type=\"hidden\" name=\"u_id\" value=\"$RQ{u_id}\">
	<input type=\"hidden\" name=\"session_id\" value=\"$RQ{session_id}\">
	<input type=\"hidden\" name=\"s_id\" value=\"$RQ{s_id}\">
	<input type=\"hidden\" name=\"input\" value=\"resume_qst1\">
	<input type=\"hidden\" name=\"org_id\" value=\"$RQ{org_id}\">
	<input type=\"hidden\" name=\"s_name\" value=\"$RQ{s_name}\">
	<input type=\"hidden\" name=\"assign_qst_name\" value=\"$RQ{assign_qst_name}\">
	<input type=\"hidden\" name=\"qst_id\" value=\"$RQ{qst_id}\"></FORM>\n";
	
	print"<center>Enable $RQ{s_name} $LANGUAGE{$set_language}{tocontinue} $RQ{assign_qst_name} .</center><P>\n";
	print"<center><TABLE width=\"100%\" STYLE=\"background-color: blue\; background-image: linear-gradient(blue,black)\; border-radius:6px\;\"><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B STYLE=\"cursor: pointer\" onClick=\"resumeqst()\">$LANGUAGE{$set_language}{Resume} </B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B onClick=\"self.close()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Cancel} </font></b></TD></TABLE></center>\n";
	}
	
######################
#
# RESUME_QST1
#
######################
sub resume_qst1 {
	my %RQ1 = @_;
	$RQ1{qst_id} =~ s/\D//g;
	$RQ1{s_id} =~ s/\D//g;
	my %RESUME = ();
	my $time = time;
	
	# check they have started qst in qst_attempts and it's not past end time
	%RESUME = &select_qst_attempts_info("query","SELECT qst_no,attempts,end,resume FROM qst_attempts WHERE u_id =\"$RQ1{s_id}\" && qst_no=\"$RQ1{qst_id}\" && attempts >0 && org_id=\"$org_id\"");
	
	my $new_end_time = $RESUME{$RQ1{qst_id}}{end} - 120; # Give instructors 2 min. to add time before real end time
	
	if($RESUME{$RQ1{qst_id}}{resume} == 0) {
		if($time > $new_end_time) {
			print"<center><B>$LANGUAGE{$set_language}{Addmoretimeto} $RQ1{s_name} $LANGUAGE{$set_language}{beforetheycanaccessthisQST}</B></center><P>\n";
			}
		else {
			#update qst_attempts
			&update_general("query","UPDATE qst_attempts SET resume=\"1\" WHERE qst_no=\"$RQ1{qst_id}\" AND u_id=\"$RQ1{s_id}\"");

			print"<center>$RQ1{s_name} $LANGUAGE{$set_language}{canloginto} $RQ1{assign_qst_name}.</center><P>\n";
			}
		
		print"<center><TABLE width=\"100%\" STYLE=\"background-color: blue\; background-image: linear-gradient(blue,black)\; border-radius:6px\;\"><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B onClick=\"self.close()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close} </font></b></TD></TABLE></center>\n";
		}
	elsif($RESUME{$RQ1{qst_id}}{resume} == 1) {
		print"<center>$RQ1{s_name} $LANGUAGE{$set_language}{canalreadyloginto} $RQ1{assign_qst_name}.</center><P>\n";
		print"<center><TABLE width=\"100%\" STYLE=\"background-color: blue\; background-image: linear-gradient(blue,black)\; border-radius:6px\;\"><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B onClick=\"self.close()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close} </font></b></TD></TABLE></center>\n";
		}
	else {
		print"<center><B>$RQ1{s_name} $LANGUAGE{$set_language}{hasnotstarted} $RQ1{assign_qst_name}.</B></center><P>\n";
		print"<center><TABLE width=\"100%\" STYLE=\"background-color: blue\; background-image: linear-gradient(blue,black)\; border-radius:6px\;\"><TR><TD align=\"center\"><font color=\"white\" STYLE=\"font-size:11pt\; font-family:Arial\;\"><B onClick=\"self.close()\" STYLE=\"cursor:pointer\">$LANGUAGE{$set_language}{Close} </font></b></TD></TABLE></center>\n";
		}
	}
	
#####################
#
# VIEW_QST
#
####################
sub view_qst {
	my %VQST = @_;
	$VQST{quiz_no} =~ s/\D//g;
	my $index = 1;
	my $query = "SELECT * from questions WHERE ";
	my %ORDER = ();
	my %QUESTIONS = ();
	my $show_eq = 1;

	my %RETURN = &select_qst("query","select number,name,questions,marks,random_q,random_order,type,weight,branching from qst WHERE number=\"$VQST{quiz_no}\" AND u_id=\"$ids\"");
	
	my %PRIMARY_QUESTIONS = &select8("query","select quest_no,q_order,value,q_select,branching from qst_questions WHERE qst_no=\"$VQST{quiz_no}\" AND org_id=\"$org_id\" AND q_order > 0 AND (u_id=\"$ids\" OR u_id=\"0\")");
	
	my $i = 1;
	if(keys %PRIMARY_QUESTIONS) {
     		foreach my $key( keys %PRIMARY_QUESTIONS) {
			if($i == 1) {
				$query = "$query"." "."number=\"$key\"";
				++$i;
				}
			else {
				$query = "$query"." "." OR number=\"$key\"";
				}
				
			if (!defined $ORDER{$PRIMARY_QUESTIONS{$key}{order}}) {
				$ORDER{$PRIMARY_QUESTIONS{$key}{order}} = "$key";
				}
			else {
				my $new = "$ORDER{$PRIMARY_QUESTIONS{$key}{order}}";
				$ORDER{$PRIMARY_QUESTIONS{$key}{order}} = "$new".","."$key";
				}
			}

		%QUESTIONS = &select_question("query","$query AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\")");
		}
		
        &print_style_sheet();
	
	&print_javascript_begin();
	print"self.focus\(\)
	function close_window\(\) \{
	self.close\(\)
	\}\n";	
	&print_javascript_end();
	
	&print_sticky_style();
	
     	print"<span class=\"sticky\" style=\"width:100%\; display: inline-block\;\"><center><TABLE class=\"table2\"><TR><TD onClick=\"close_window\(\)\" STYLE=\"cursor:pointer\"><B>&nbsp\; $LANGUAGE{$set_language}{Close} &nbsp\;</B></TD></TR></TABLE></center></span><P>
     	<center><font size=\"\+2\"> $RETURN{$VQST{quiz_no}}{name} </font></b></center>\n";
     	
	if ($VQST{type} != 2) { # Quizzes/test
		if ($RETURN{$VQST{quiz_no}}{random_q} >0) {
			print"<center><font color=\"red\">* contains question groups *</font></center>\n";
			}

                if ($RETURN{$VQST{quiz_no}}{branching} != 1) {
                        print"<center>($LANGUAGE{$set_language}{Questions}\: $RETURN{$VQST{quiz_no}}{questions} &nbsp\;&nbsp\;$LANGUAGE{$set_language}{Marks}\: $RETURN{$VQST{quiz_no}}{marks})</center><BR><FORM> \n";
                        }
		}

	else { # Surveys
		print"<center>($LANGUAGE{$set_language}{Questions}\: $RETURN{$VQST{quiz_no}}{questions})</center><BR><FORM> \n";
		} 

	foreach my $key(sort {$a<=>$b} keys %ORDER) {
	
		### QUESTIONS IN A GROUP
		if ($ORDER{$key} =~ /\,/) { 
			my @new_group;
			my @group = split(/\,/, $ORDER{$key});
			my $length = "$PRIMARY_QUESTIONS{$group[1]}{q_select}";
			for (my $i = 1; $i <= $length; $i++){       
				my $chosen_question = &get_random(@group);
				my @new_array;
				$#new_array = -1;
				foreach my $var(@group) {
					if ($chosen_question != $var) {
						push(@new_array, $var);
						}
					}
				push(@new_group, $chosen_question);
				$#group = -1;
				@group = @new_array;
				}
				
			foreach my $key1(@new_group) {
                                # PRINT QUESTION
            			print"<TABLE><TR><TD valign=\"top\"><font color=\"red\"><B>$index\.</b></font></TD>\n";
             			my $question_rows = 1;
 				my $question_length = length($QUESTIONS{$key1}{question});
 		
 				# fix display to show new lines in text of question
                                my $content = $QUESTIONS{$key1}{question}; #$QUESTION{$VQ{number}}{question};
                                $content =~ s/\r[\n]*/\n/gm;
                                my @lines = split(/\n/,$content);
                                my $rows = @lines;
                                $question_rows = $question_rows + $rows;

            			if($VQST{type} == 2 || $RETURN{$VQST{quiz_no}}{branching} == 1) { # surveys or branching
            				if($QUESTIONS{$key1}{ans_mode} == 2) {
						$show_eq = 2;
						}
						
                                        if($QUESTIONS{$key1}{mode} == 1) {
                                                print"<TD>$QUESTIONS{$key1}{question}</TD></TR></TABLE>\n";
                                                }
                                                
                                        elsif($QUESTIONS{$key1}{mode} == 2) { # EQUATION EDITOR
                                                $show_eq = 2;
                                        
                                                print"<TD>$QUESTIONS{$key1}{question}</TD></TR></TABLE><P>\n";
                                                }
                                                
                                        else {
                                                print"<TD NOWRAP valign=\"top\"></TD><TD valign=\"top\"><textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"60\">$QUESTIONS{$key1}{question}</textarea></b></TD></TR></TABLE>\n";
                                                }
            				}
            			else { # quizzes/tests
            				print"<TD  valign=\"top\"><font size=\"-1\">$QUESTIONS{$key1}{value}</font></TD>\n";
            				
            				if($QUESTIONS{$key1}{ans_mode} == 2) {
						$show_eq = 2;
						}
						
                                        if($QUESTIONS{$key1}{mode} == 1) {
                                                print"<TD>$QUESTIONS{$key1}{question}</TD></TR></TABLE>\n";
                                                }
                                                
                                        elsif($QUESTIONS{$key1}{mode} == 2) { # EQUATION EDITOR
                                                $show_eq = 2;
                                            
                                                print"<TABLE><TR><TD>$QUESTIONS{$key1}{question}</TD></TR></TABLE><P>\n";
                                                }
                                                
                                        else {
                                                print"<TD NOWRAP valign=\"top\"><font size=\"-1\">\($PRIMARY_QUESTIONS{$key1}{value}\)</font></TD><TD valign=\"top\"><textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"60\">$QUESTIONS{$key1}{question}</textarea></b></TD></TR></TABLE>\n";
                                                }
					}
		
  				if(defined $QUESTIONS{$key1}{image_id} && $QUESTIONS{$key1}{image_id} > 0) {
  					my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$key1}{image_id}\"");
  					my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$key1}{image_id}});
  					my $image = "\/schools\/qst_files\/"."$QUESTIONS{$key1}{image_id}"."\."."$extension[1]";
  					print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
  					}

				if(defined $QUESTIONS{$key1}{pdf} && $QUESTIONS{$key1}{pdf} > 0) {
		        		my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$key1}{pdf}"."\."."pdf";
		        		print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
                        		}

                                if($QUESTIONS{$key1}{vlink} && $QUESTIONS{$key1}{vlink} ne "0") {
                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls>
                                        <source src=\"$QUESTIONS{$key1}{vlink}\" type=\"video/mp4\">
                                        <source src=\"$QUESTIONS{$key1}{vlink}\" type=\"video/ogg\">
                                        <source src=\"$QUESTIONS{$key1}{vlink}\" type=\"video/webm\">
                                        $LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}
                                        </video</td></table><P>\n";
                                        }
                                        
                                if($QUESTIONS{$key1}{alink} && $QUESTIONS{$key1}{alink} ne "0") {
                                        print"<table><td WIDTH=\"60\"></td><td><audio controls>
                                        <source src=\"$QUESTIONS{$key1}{alink}\" type=\"audio/mpeg\">
                                        <source src=\"$QUESTIONS{$key1}{alink}\" type=\"audio/ogg\">
                                        <source src=\"$QUESTIONS{$key1}{alink}\" type=\"audio/wav\">
                                        $LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}
                                        </video</td></table><P>\n";
                                        }
                                        
            			if ($QUESTIONS{$key1}{type} eq"TF") {
                  			print" <TABLE ><TR><TD width=\"40\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:text-top\"><input type =\"radio\" class=\"larger\" style=\"vertical-align:text-top\" name =\"$key\" value=\"T\" disabled> $LANGUAGE{$set_language}{True} &nbsp\;<input type =\"radio\" class=\"larger\" style=\"vertical-align:text-top\" name =\"$key\" value=\"F\" disabled> $LANGUAGE{$set_language}{False} &nbsp\;&nbsp\;</TD></TR>
                  			</TABLE>\n";
                  			}
                  			
                                elsif ($QUESTIONS{$key1}{type} eq"YN") {
                  			print" <TABLE ><TR><TD width=\"40\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:text-top\"><input type =\"radio\" class=\"larger\" style=\"vertical-align:text-top\" name =\"$key\" value=\"Y\" disabled> $LANGUAGE{$set_language}{Yes} &nbsp\;<input type =\"radio\" class=\"larger\" style=\"vertical-align:text-top\" name =\"$key\" value=\"N\" disabled> $LANGUAGE{$set_language}{No} &nbsp\;&nbsp\;</TD></TR>
                  			</TABLE>\n";
                  			}
                  			
            			elsif ($QUESTIONS{$key1}{type} eq"SA") {
                  			print"<TABLE><TR><TD width=\"40\"></TD><TD valign=\"top\" bgcolor=\"#EEEEEE\">
                  			<input type=\"text\" style=\"resize\:none\;\" value=\"\" maxlength=\"70\" size=\"50\" readonly></TD></TR></TABLE>\n";
                  			}
                  			
            			elsif ($QUESTIONS{$key1}{type} eq"P") {
                  			print"<TABLE><TR><TD width=\"40\" ></TD><TD valign=\"top\" bgcolor=\"#EEEEEE\">
                  			<TEXTAREA class=\"show_panswer\" style=\"resize\:none\;\" readonly rows=\"8\" cols=\"55\" name=\"\" value=\"\"></textarea></TD></TR></TABLE>\n";
                  			}

				elsif ($QUESTIONS{$key1}{type} eq"MC") {
                                        &mc_display("number","$key1","kolum","$QUESTIONS{$ORDER{$key}}{kolum}","ans_mode","$QUESTIONS{$key1}{ans_mode}");
					}
            			
            			elsif ($QUESTIONS{$key1}{type} eq"MX") {
                                        my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$key1\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\") AND c_answer = 0");
                                        
                                        my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$key1\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\") AND c_answer = 1");
                                        
                                        my @mx_string;
                
                                        for (my $i = 1; $i <= $mx_num; $i++){ 
                                                if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                                        push(@mx_string,$i);
                                                        push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                        }
                                                elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                                        push(@mx_string,$i);
                                                        push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                        }
                                                else { # no matching text
                                                        delete($RETURN_MX_MATCHING{$i});
                                                        }
                                                }
                
                                        for (my $i = 1; $i <= $mx_num; $i++){ 
                                                my $select = "select$i";
                                                if (defined $RETURN_MX_TEXT{$i}{answer}) {
                                                        print"<TABLE> <TR><TD width=\"40\"></TD>\n";
                                                        print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"1\" cols=\"20\" readonly>$RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD>\n";
                                                        print"<select name=\"mx_select$i\">\n";
                                                        &print_mx_select(@mx_string);
                                                        print"</select>";
                                                        print"</TD></TR></TABLE>\n";
                                                        }
                                                }
                                        }
                                
                                elsif ($QUESTIONS{$key1}{type} eq"MA") { #Multiple Answer
                                        &ma_display("number","$key1","kolum","$QUESTIONS{$ORDER{$key}}{kolum}","ans_mode","$QUESTIONS{$key1}{ans_mode}");
                                         }
                                ++$index;
                                print"<HR width=90\%>\n";
                                }
			}
			
			
			
        	########### NORMAL QUESTIONS
        	
		else { 
			print"<TABLE><TR><TD valign=\"top\"><B>$index\.</b></TD>\n";
             		my $question_rows = 1;
 			my $question_length = length($QUESTIONS{$ORDER{$key}}{question});
                                
 			# fix display to show new lines in text of question
 			if($QUESTIONS{$ORDER{$key}}{question} =~ /\r\n/g) {
 				my @number_of_newlines = split(/\r\n/,$QUESTIONS{$ORDER{$key}}{question});
 				my $new_lines = @number_of_newlines;
 				$question_rows = $question_rows + $new_lines;
 				}

            		if($VQST{type} == 2 || $RETURN{$VQST{quiz_no}}{branching} == 1) { # surveys or branching
				print"<TD NOWRAP valign=\"top\"></TD><TD valign=\"top\">";
				
				if($QUESTIONS{$ORDER{$key}}{ans_mode} == 2) {
					$show_eq = 2;
					}
					
				if($QUESTIONS{$ORDER{$key}}{mode} == 1) {
                                        print"$QUESTIONS{$ORDER{$key}}{question}</TD></TR></TABLE>";
                                        }
                                        
                                elsif($QUESTIONS{$ORDER{$key}}{mode} == 2) { # EQUATION EDITOR
                                        $show_eq = 2;
                                        
                                        print"<TABLE><TR><TD>$QUESTIONS{$ORDER{$key}}{question}</TD></TR></TABLE><P>\n";
                                        }
                                        
                                else {
                                        print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"60\">$QUESTIONS{$ORDER{$key}}{question}</textarea></b></TD></TR></TABLE><P>\n";
                                        }
            			}
            			
            		else { # quizzes/tests
				print"<TD NOWRAP valign=\"top\"><font size=\"-1\">$QUESTIONS{$ORDER{$key}}{value}</font></TD><TD valign=\"top\">";
				
				if($QUESTIONS{$ORDER{$key}}{ans_mode} == 2) {
					$show_eq = 2;
					}
					
				if($QUESTIONS{$ORDER{$key}}{mode} == 1) {
                                        print"$QUESTIONS{$ORDER{$key}}{question}</TD></TR></TABLE>";
                                        }
                                        
                                elsif($QUESTIONS{$ORDER{$key}}{mode} == 2) { # EQUATION EDITOR
                                        $show_eq = 2;
                                        
                                        print"$QUESTIONS{$ORDER{$key}}{question}</TD></TR></TABLE><P>\n";
                                        }
                                        
                                else {
                                        print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$question_rows\" cols=\"60\">$QUESTIONS{$ORDER{$key}}{question}</textarea></b></TD></TR></TABLE><P>\n";
                                        }
				}
			
			if($QUESTIONS{$ORDER{$key}}{mode} == 0) {
                                if(defined $QUESTIONS{$ORDER{$key}}{image_id} && $QUESTIONS{$ORDER{$key}}{image_id} > 0) {
                                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTIONS{$ORDER{$key}}{image_id}\"");
                                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTIONS{$ORDER{$key}}{image_id}});
                                        my $image = "\/schools\/qst_files\/"."$QUESTIONS{$ORDER{$key}}{image_id}"."\."."$extension[1]";
                                        print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                                        }

				if(defined $QUESTIONS{$ORDER{$key}}{pdf} && $QUESTIONS{$ORDER{$key}}{pdf} > 0) {
					my $pdf = "\/schools\/qst_files\/"."$QUESTIONS{$ORDER{$key}}{pdf}"."\."."pdf";
					print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
				        }

                                if($QUESTIONS{$ORDER{$key}}{vlink} && $QUESTIONS{$ORDER{$key}}{vlink} ne "0") {
                                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls>
                                        <source src=\"$QUESTIONS{$ORDER{$key}}{vlink}\" type=\"video/mp4\">
                                        <source src=\"$QUESTIONS{$ORDER{$key}}{vlink}\" type=\"video/ogg\">
                                        <source src=\"$QUESTIONS{$ORDER{$key}}{vlink}\" type=\"video/webm\">
                                        $LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}
                                        </video</td></table><P>\n";
                                        }
                                        
                                if($QUESTIONS{$ORDER{$key}}{alink} && $QUESTIONS{$ORDER{$key}}{alink} ne "0") {
                                        print"<table><td WIDTH=\"60\"></td><td><audio controls>
                                        <source src=\"$QUESTIONS{$ORDER{$key}}{alink}\" type=\"audio/mpeg\">
                                        <source src=\"$QUESTIONS{$ORDER{$key}}{alink}\" type=\"audio/ogg\">
                                        <source src=\"$QUESTIONS{$ORDER{$key}}{alink}\" type=\"audio/wav\">
                                        $LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}
                                        </video</td></table><P>\n";
                                        }
                                }
                                
                    ###### Print answers
			if ($QUESTIONS{$ORDER{$key}}{type} eq"TF") {
                	  	print"<TABLE><TR><TD width=\"40\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:midddle\">
                	  	<input type =\"radio\" class=\"larger\"  name =\"$key\" value=\"T\"> $LANGUAGE{$set_language}{True} &nbsp\;
                	  	<input type =\"radio\" class=\"larger\"  name =\"$key\" value=\"F\"> $LANGUAGE{$set_language}{False} &nbsp\;&nbsp\;</TD></TR>
                	  	</TABLE>\n";
                	  	}
                	  	
                        elsif ($QUESTIONS{$ORDER{$key}}{type} eq"YN") {
                	  	print" <TABLE><TR><TD width=\"40\" ></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:text-top\">
                	  	<input type =\"radio\" class=\"larger\"  name =\"$key\" value=\"Y\"> $LANGUAGE{$set_language}{Yes} &nbsp\;
                	  	<input type =\"radio\" class=\"larger\"  name =\"$key\" value=\"N\"> $LANGUAGE{$set_language}{No} &nbsp\;&nbsp\;</TD></TR>
                	  	</TABLE>\n";
                	  	}
                	  	
			elsif ($QUESTIONS{$ORDER{$key}}{type} eq"SA") {
                  		print"<TABLE><TR><TD width=\"40\" ></TD><TD valign=\"top\" bgcolor=\"#EEEEEE\">
                  		<input type=\"text\" style=\"resize\:none\;\" value=\"\" size=\"50\" readonly></TD></TR>
                  		</TABLE>\n";
                	  	}
                	  	
			elsif ($QUESTIONS{$ORDER{$key}}{type} eq"P") {
                  		print"<TABLE><TR><TD width=\"40\" ></TD><TD valign=\"top\" bgcolor=\"#EEEEEE\">
                  		<TEXTAREA class=\"show_panswer\" style=\"resize\:none\;\" readonly rows=\"8\" cols=\"55\" name=\"\" value=\"\"></textarea></TD></TR>
                  		</TABLE>\n";
                	  	}

			elsif ($QUESTIONS{$ORDER{$key}}{type} eq"MC") {
                                &mc_display("number","$ORDER{$key}","kolum","$QUESTIONS{$ORDER{$key}}{kolum}","ans_mode","$QUESTIONS{$ORDER{$key}}{ans_mode}");
				}

                        elsif ($QUESTIONS{$ORDER{$key}}{type} eq"MA") { #Multiple Answer
				&ma_display("number","$ORDER{$key}","kolum","$QUESTIONS{$ORDER{$key}}{kolum}","ans_mode","$QUESTIONS{$ORDER{$key}}{ans_mode}");
				}

                        elsif ($QUESTIONS{$ORDER{$key}}{type} eq"MX") {
                                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$ORDER{$key}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\") AND c_answer = 0");
                                
                                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$ORDER{$key}\" AND org_id=\"$org_id\" AND (u_id=\"$ids\" OR u_id=\"0\") AND c_answer = 1");
                                
                                my @mx_string;
                
                                for (my $i = 1; $i <= $mx_num; $i++){ 
                                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                                push(@mx_string,$i);
                                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                                }
                                        else { # no matching text
                                                delete($RETURN_MX_MATCHING{$i});
                                                }
                                        }
                
                                for (my $i = 1; $i <= $mx_num; $i++){ 
                                        my $select = "select$i";
                                        if (defined $RETURN_MX_TEXT{$i}{answer}) {
                                                print"<TABLE> <TR><TD width=\"40\"></TD>\n";
                                                print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"1\" cols=\"20\" readonly>$RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD>\n";
                                                print"<select name=\"mx_select$i\">\n";
                                                
                                                &print_mx_select(@mx_string);
                                                print"</select>";
                                                print"</TD></TR></TABLE>\n";
                                                }
                                        }
                                }
				
			elsif ($QUESTIONS{$ORDER{$key}}{type} eq"AD") {
                 		print" <TABLE border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><TR><TD width=\"50\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\;\"><input type =\"radio\" class=\"medium\" name =\"$key\" value=\"1\">  $standard[0] &nbsp\;&nbsp\;</TD><TD width=\"10\"></TD><TD valign=\"top\" style=\"font-family\:Arial\; font-size\: 11pt\;\"><input type =\"radio\" class=\"medium\" name =\"$key\" value=\"2\">  $standard[1] &nbsp\;&nbsp\;</TD>
                	  	<TD width=\"10\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\"><input type =\"radio\" class=\"medium\" name =\"$key\" value=\"3\">  $standard[2] &nbsp\;&nbsp\;</TD><TD width=\"10\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\"><input type =\"radio\" class=\"medium\" name =\"$key\" value=\"4\">  $standard[3] &nbsp\;&nbsp\;</TD><TD width=\"10\"></TD><TD style=\"font-family\:Arial\; font-size\: 11pt\; vertical-align:middle\"><input type =\"radio\" class=\"medium\" name =\"$key\" value=\"4\">  $standard[4] &nbsp\;&nbsp\;</TD></TR></TABLE>\n"; 
                	  	}
			++$index;
			print"<HR width=85\%>\n";
			}
		}
	
        if($show_eq == 2) {
                &print_eq();
                }
                
	print "</FORM>\n";
	}

####################
#
# VIEW_QUEST
#
####################
sub view_quest {
	my %VQ = @_;
	$VQ{number} =~ s/\D//g;
	$VQ{type} =~ s/\D//g;
	$VQ{from} =~ s/\D//g;
	$VQ{branching} =~ s/\D//g;
	$VQ{image_number} =~ s/\D//g;
	my %QUESTION = ();
	
	&print_input_style_larger();

	&print_style_sheet();
	
	&print_javascript_begin();
	print"var viewenlarge\n";
	print"if(!viewenlarge) {\n";
	print"}else {\n";
	print"viewenlarge.close()\n";
	print"}\n";

	if ($VQ{from} == 1 ){
		print"function enlarge\(\) \{\n";
		print"viewenlarge = window.open\(\"\",\"viewenlarge\",\"top=0,left=0,height=500,width=677,scrollbars\"\)\n";
		print"viewenlarge.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Viewaquestion}<\/title><\/head><body>\'\)\n";
		print"viewenlarge.document.writeln\(\'<\/body><\/HTML>\'\)\n";
		print"viewenlarge.document.close()\n";
		print"viewenlarge.focus\(\)\n";
		print"document.form1.from.value=7\n";
		print"document.form1.submit\(\)\n";
		print"document.closewin.submit\(\)\n";
		print"\}\n";		
		}
		
	&print_javascript_end();

		print <<"EOP";
		<style type="text/css">
		      button {
		        display: inline-block;
		        background-color: blue;
		        background-image: linear-gradient(blue, black);
		        border-radius: 10px;
		        border: 4px double #cccccc;
		        color: #eeeeee;
		        text-align: center;
		        font-size: 14px;
		        padding: 3px;
		        width: 110px;
		        -webkit-transition: all 0.5s;
		        -moz-transition: all 0.5s;
		        -o-transition: all 0.5s;
		        transition: all 0.5s;
		        cursor: pointer;
		        margin: 5px;
		      }
   		 </style>
   		 
EOP
   		 
	
	if ($VQ{from} == 1) { #from questions page
		print "<center><P><button TYPE=\"button\" STYLE=\"cursor: pointer\;\" OnClick=\"enlarge\(\)\" >$LANGUAGE{$set_language}{ActualSize}</button> &nbsp\;&nbsp\;&nbsp\;&nbsp\; <button TYPE=\"button\"   STYLE=\"cursor: pointer\;\" OnClick=\"document.closewin.submit\(\)\" >$LANGUAGE{$set_language}{Close}</button></center> \n";
		}
		
	if ($VQ{from} == 7) { #from qst_left
		print "<center><P><button TYPE=\"button\" STYLE=\"cursor: pointer\;\" OnClick=\"window.self.close\(\)\">$LANGUAGE{$set_language}{Close}</button></center>\n";
		}

        if ($VQ{branching} == 1 ) { # view branching Question
                if($VQ{from} == 8) { # branching stats
                        print"$image1 $LANGUAGE{$set_language}{ViewQuestion} <font color=\"red\">$VQ{num} </b></font></TD></table><P> \n";
                        }
                else {
                    print"$image1 $LANGUAGE{$set_language}{ViewQuestion} <font color=\"red\">$VQ{num} </b></font></TD><TD>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<input TYPE=\"button\" STYLE=\"cursor: pointer\;\" OnClick=\"window.self.close\(\)\" VALUE=\"$LANGUAGE{$set_language}{Close}\"></TD></table><P> \n";
                        }
                }
        else {
                print"$image1 $LANGUAGE{$set_language}{ViewQuestion} &nbsp\;<font color=\"red\">$VQ{display_num} </b></font></TD></table><P> \n";
                }
                
	%QUESTION = &select_question("query","SELECT * from questions WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");

	my $question_rows = 1;
	my $question_length = length("$QUESTION{$VQ{number}}{question}");
        my $cols = 56;
        if($question_length < 56) {
                $cols = $question_length;
                }
		
	# fix display to show new lines in text of question
        my $content = $QUESTION{$VQ{number}}{question};
	$content =~ s/\r[\n]*/\n/gm;
        my @lines = split(/\n/,$content);
        my $rows = @lines;
        $rows = $question_rows + $rows;

        
    ### PRINT OUT QUESTION
    
        if($QUESTION{$VQ{number}}{mode} == 1) { # Advanced Editor
                print"<TABLE><TR><TD>$QUESTION{$VQ{number}}{question}</TD></TR></TABLE>\n";
                }
                
        elsif($QUESTION{$VQ{number}}{mode} == 2) { # EQUATION EDITOR
                &print_eq();
                print"<TABLE><TR><TD>$QUESTION{$VQ{number}}{question}</TD></TR></TABLE><P>\n";
                }
                
        else {  # BASIC EDITOR
                print"<TABLE><TR><TD><B> \n";
                print"<textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$rows\" cols=\"$cols\">$QUESTION{$VQ{number}}{question}</textarea></b>\n";
                print" </TD></TR></TABLE>\n";

                if(defined $QUESTION{$VQ{number}}{image_id} && $QUESTION{$VQ{number}}{image_id} ne "0") {
                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTION{$VQ{number}}{image_id}\"");
                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTION{$VQ{number}}{image_id}});
                        my $image = "\/schools\/qst_files\/"."$QUESTION{$VQ{number}}{image_id}"."\."."$extension[1]";
                        print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                        }
		
		if(defined $QUESTION{$VQ{number}}{pdf} && $QUESTION{$VQ{number}}{pdf} > 0) {
		        my $pdf = "\/schools\/qst_files\/"."$QUESTION{$VQ{number}}{pdf}"."\."."pdf";
		        print"<table><td WIDTH=\"60\"></td><td STYLE=\"cursor: pointer\;\" onclick=\"window.open('$pdf','pdf_windo','width=700,height=800')\"><i>$LANGUAGE{$set_language}{ViewPDF}</i></td></table><P>\n";
                        }
                        
                if($QUESTION{$VQ{number}}{vlink} && $QUESTION{$VQ{number}}{vlink} ne "0") {
                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls>
                        <source src=\"$QUESTION{$VQ{number}}{vlink}\" type=\"video/mp4\">
                        <source src=\"$QUESTION{$VQ{number}}{vlink}\" type=\"video/ogg\">
                        <source src=\"$QUESTION{$VQ{number}}{vlink}\" type=\"video/webm\">
                        $LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}
                        </video</td></table><P>\n";
                        }
		
                if($QUESTION{$VQ{number}}{alink} && $QUESTION{$VQ{number}}{alink} ne "0") {
                        print"<table><td WIDTH=\"60\"></td><td><audio controls>
                        <source src=\"$QUESTION{$VQ{number}}{alink}\" type=\"audio/mpeg\">
                        <source src=\"$QUESTION{$VQ{number}}{alink}\" type=\"audio/ogg\">
                        <source src=\"$QUESTION{$VQ{number}}{alink}\" type=\"audio/wav\">
                        $LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}
                        </video</td></table><P>\n";
                        }
		}
		
		
    #### PRINT OUT ANSWERS
    
        if($QUESTION{$VQ{number}}{ans_mode} == 2 && $QUESTION{$VQ{number}}{mode} != 2) {
                &print_eq();
                }
                
	if ($QUESTION{$VQ{number}}{type} eq"TF") {
                print"<P>\n";
		print"<TABLE>\n";
		if ($QUESTION{$VQ{number}}{sub_type} != 2 && $VQ{branching} != 1) { # quizzes/tests not branching
			my %RETURN = &select7("query","SELECT number,q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			
			if ($RETURN{$VQ{number}}{answer} eq"T") {
				print" <TR><TD width=\"30\"></TD><TD style=\"vertical-align: middle\"><input type=\"radio\" class=\"larger\" checked><font STYLE=\"font-family:Arial\; font-size:11pt\;\"> $LANGUAGE{$set_language}{True} \n";
				print" &nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" class=\"larger\"> $LANGUAGE{$set_language}{False} </font></TD></TR>\n";
				}
			else {
				print" <TR><TD width=\"30\"></TD><TD style=\"vertical-align: middle\;\"><input type=\"radio\" class=\"larger\" disabled><font STYLE=\"font-family:Arial\; font-size:11pt\;\"> $LANGUAGE{$set_language}{True} \n";
				print" &nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" class=\"larger\" checked> $LANGUAGE{$set_language}{False} </font></TD></TR>\n";
				}
			}
			
		else { # surveys and branching questions
			print" <TR><TD width=\"30\"></TD><TD style=\"vertical-align: middle\"><input type=\"radio\" class=\"larger\" disabled><font STYLE=\"font-family:Arial\; font-size:11pt\;\"> $LANGUAGE{$set_language}{True} \n";
			print" &nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" class=\"larger\" disabled> $LANGUAGE{$set_language}{False} </font></TD></TR>\n";
			}
		print"</TABLE>\n";
		}

        elsif ($QUESTION{$VQ{number}}{type} eq"YN") {
        	print"<P>\n";
		print"<TABLE>\n";
		if ($QUESTION{$VQ{number}}{sub_type} != 2 && $VQ{branching} != 1) { # quizzes/tests not branching
			my %RETURN = &select7("query","SELECT number,q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");

			if ($RETURN{$VQ{number}}{answer} eq"Y") {
				print" <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" class=\"larger\" checked><font STYLE=\"font-family:Arial\; font-size:11pt\;\"> $LANGUAGE{$set_language}{Yes} \n";
				print" &nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" class=\"larger\" disabled><font STYLE=\"font-family:Arial\; font-size:11pt\;\"> $LANGUAGE{$set_language}{No} </TD></TR>\n";
				}
			else {
				print" <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" class=\"larger\" disabled><font STYLE=\"font-family:Arial\; font-size:11pt\;\"> $LANGUAGE{$set_language}{Yes} \n";
				print" &nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" class=\"larger\" checked><font STYLE=\"font-family:Arial\; font-size:11pt\;\"> $LANGUAGE{$set_language}{No} </TD></TR>\n";
				}
			}
			
		else { # surveys and branching questions
			print" <TR><TD width=\"30\"></TD><TD style=\"vertical-align:middle\"><input type=\"radio\" class=\"larger\" disabled><font STYLE=\"font-family:Arial\; font-size:11pt\;\"> $LANGUAGE{$set_language}{Yes} \n";
			print" &nbsp\;&nbsp\;&nbsp\;<input type=\"radio\" class=\"larger\" disabled> $LANGUAGE{$set_language}{No} </font></TD></TR>\n";
			}
		print"</TABLE>\n";
		}

	elsif ($QUESTION{$VQ{number}}{type} eq"SA") {
		if ($QUESTION{$VQ{number}}{sub_type} != 2) { # quiz_test question
			my @return = &select3("query","SELECT q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			my $sa_size = length($return[1]);
                        if($sa_size > 60) {
                                $sa_size = 50;
                                }
			print"<P>Answer:<BR>\n";
			print"<TABLE><TD width=\"3\"></TD><TD><input type=\"text\" size=\"$sa_size\" style=\"resize:none\;\"  name=\"SAans\" value=\"$return[1]\" readonly></TD></TR></TABLE>\n";
			}
			
		else { #survey question
			print"<P>Answer:<BR>\n";
			print"<TABLE><TD width=\"3\"></TD><TD><input type=\"text\" size=\"50\" style=\"resize:none\;\" name=\"\" value=\"\" readonly></TR></TABLE>\n";
			}
		}
		
	elsif ($QUESTION{$VQ{number}}{type} eq"P") {
		if ($QUESTION{$VQ{number}}{sub_type} != 2) { # quiz_test question
			 my @return = &select3("query","SELECT q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			 
			 $return[1] =~ s/&quot;/"/g;
			print"<P>Answer:<BR>\n";
			
			if($QUESTION{$VQ{number}}{ans_mode} == 1) {
                                print"<TABLE width=\"568\"><TD width=\"10\"></TD><TD>$return[1]</TD></TABLE>\n";
                                }
                        else {
                                print"<TABLE><TD width=\"30\"></TD><TD><textarea readonly name=\"select1\" style=\"resize\:none\; border-color: Transparent\;\" rows=\"12\" cols=\"65\" value=\"\">$return[1]</textarea></TD></TABLE>\n";
                                }
			}
			
		else { #survey question
			print"<P>Answer:<BR>\n";	              	              
			print"<TABLE width=\"568\"><TD width=\"10\"></TD><TD>/TD></TABLE\n";
			}
		}
		
	elsif ($QUESTION{$VQ{number}}{type} eq"MC") {
                print"<P>\n";
                
		my %RETURN = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
		
		my $num_of_answers = keys(%RETURN);
		my @answers;
		my $no_image = 0;
		foreach my $key(sort {$a<=>$b} keys %RETURN) {
                         $RETURN{$key}{answer} =~ s/&quot;/"/g; #change back
                         $RETURN{$key}{answer} =~ s/&apos;/'/g; #change back
                         if($RETURN{$key}{image_id} > 0)  {
			        $no_image = $RETURN{$key}{image_id};
				}
                        push(@answers,$key);
                        }
                
                # Columns in answers
                if($num_of_answers > $QUESTION{$VQ{number}}{kolum} && $QUESTION{$VQ{number}}{kolum} > 1 && $VQ{stats} != 1) {
                
                        # print out 2 columns
                        if($QUESTION{$VQ{number}}{kolum} == 2 && $num_of_answers > $QUESTION{$VQ{number}}{kolum}) { # 2 columns
                                print"<TABLE>";
                                
                                while(@answers) {
                                        my $answer = shift(@answers);
                                        my %IMAGE = ();
                                                
                                        print"<TR>";

                                        if($RETURN{$answer}{image_id} > 0) {
                                                %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_2columns("no_image","$no_image","ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","correct_ans","1","this_ans","$RETURN{$answer}{c_answer}");
                                                
                                        my $answer1 = shift(@answers);
                                        my %IMAGE1 = ();
                                                
                                        if($RETURN{$answer1}{image_id} > 0) {
                                                %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }

                                        &print_out_2columns("no_image","$no_image","ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","correct_ans","1","this_ans","$RETURN{$answer1}{c_answer}");
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                                        
                        #print out 3 columns
                        elsif($QUESTION{$VQ{number}}{kolum} == 3 && $num_of_answers > $QUESTION{$VQ{number}}{kolum}) { # 3 columns
                                print"<TABLE>";
                                           
                                while(@answers) {
                                        my $answer = shift(@answers);
                                        my %IMAGE = ();
                                                
                                        print"<TR>";
                                              
                                        if($RETURN{$answer}{image_id} > 0) {
                                                %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }

                                        &print_out_3columns("no_image","$no_image","ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","correct_ans","1","this_ans","$RETURN{$answer}{c_answer}");
                                                
                                        my $answer1 = shift(@answers);
                                        my %IMAGE1 = ();
                                                
                                        if($RETURN{$answer1}{image_id} > 0) {
                                                %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_3columns("no_image","$no_image","ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","correct_ans","1","this_ans","$RETURN{$answer1}{c_answer}");
                                                
                                        my $answer2 = shift(@answers);
                                        my %IMAGE2 = ();
                                                
                                        if($RETURN{$answer2}{image_id} > 0) {
                                                %IMAGE2 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer2}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_3columns("no_image","$no_image","ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer2}{answer}","image","$RETURN{$answer2}{image_id}","image_name","$IMAGE2{$RETURN{$answer2}{image_id}}","correct_ans","1","this_ans","$RETURN{$answer2}{c_answer}");
                                                
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                                        
                        }
                        
                else { # only one column
                        my $i;
                        for ($i = 1; $i <= $num_of_answers; ++$i) {
                                my $answer = "answer$i";
                               
                                if ($RETURN{$i}{c_answer} == 1 && $VQ{branching} != 1) {
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($QUESTION{$VQ{number}}{ans_mode} == 1 || $QUESTION{$VQ{number}}{ans_mode} == 2)) {
                                                print"<TABLE><TR><TD style=\"vertical-align:middle\"><input type=\"radio\" class=\"medium\" checked></TD><TD>\n";
                                                print"$RETURN{$i}{answer}</TD></TR></TABLE><BR>\n";
                                                }
                                                
                                        elsif (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") {
                                                print"<TABLE><TR><TD style=\"vertical-align:top\"><input type=\"radio\" class=\"medium\" checked></TD>\n";
                                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"70\" readonly>$RETURN{$i}{answer}</textarea>\n";
                                                
                                                if($RETURN{$i}{image_id} > 0) {
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table><P>\n";
                                                        }
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }
                                                }
                                        else {
                                                if($RETURN{$i}{image_id} != 0) {
                                                        print"<TABLE><TR><TD style=\"vertical-align:middle\"><input type=\"radio\" class=\"medium\" checked></TD>\n";
                                                        
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"<td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
                                                }
                                        }
				
                                else {
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($QUESTION{$VQ{number}}{ans_mode} == 1 || $QUESTION{$VQ{number}}{ans_mode} == 2)) {
                                                print"<TABLE><TR><TD style=\"vertical-align:middle\"><input type=\"radio\" class=\"medium\" disabled></TD><TD>\n";
                                                print"$RETURN{$i}{answer}</TD></TR></TABLE><BR>\n";
                                                }
                                                
                                        elsif (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") {
                                                print"<TABLE><TR><TD style=\"vertical-align:top\"><input type=\"radio\" class=\"medium\" disabled></TD>\n";
                                                print"<TD style=\"vertical-align:baseline\"><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"60\" readonly>$RETURN{$i}{answer}</textarea>\n"; 
                                                
                                                if($RETURN{$i}{image_id} > 0) {
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }

                                                }
                                        else {
                                                if($RETURN{$i}{image_id} > 0) {
                                                        print"<TABLE><TR><TD style=\"vertical-align:middle\"><input type=\"radio\" class=\"medium\" disabled></TD>\n";
                                                        
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"<td style=\"vertical-align:top\"><img src=\"$image\"></td></TR></table>\n";
                                                        } 
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
                                                }
					}
				}
			}
		}

		
	elsif ($QUESTION{$VQ{number}}{type} eq"MA") { # Multiple Answers                
		my %RETURN = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
		
		my $num_of_answers = keys(%RETURN);
		my @answers;
		my $no_image = 0;
		
		foreach my $key(sort {$a<=>$b} keys %RETURN) {
                        $RETURN{$key}{answer} =~ s/&quot;/"/g; #change back
                        $RETURN{$key}{answer} =~ s/&apos;/'/g; #change back
                        if($RETURN{$key}{image_id} > 0)  {
                        	$no_image = $RETURN{$key}{image_id};
				}
                        push(@answers,$key);
                        }

                if($num_of_answers > $QUESTION{$VQ{number}}{kolum} && $QUESTION{$VQ{number}}{kolum} > 1 && $VQ{stats} != 1) {
                         # print out columns
                        if($QUESTION{$VQ{number}}{kolum} == 2 && $num_of_answers > $QUESTION{$VQ{number}}{kolum}) { # 2 columns
                                print"<TABLE>";
                                           
                                while(@answers) {
                                        my $answer = shift(@answers);
                                        my %IMAGE = ();
                                                
                                        print"<TR>";

                                        if($RETURN{$answer}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_2columns("no_image","$no_image","ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","type","$QUESTION{$VQ{number}}{type}","correct_ans","1","this_ans","$RETURN{$answer}{c_answer}");
                                                
                                        my $answer1 = shift(@answers);
                                        my %IMAGE1 = ();
                                                
                                        if($RETURN{$answer1}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_2columns("no_image","$no_image","ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","type","$QUESTION{$VQ{number}}{type}","correct_ans","1","this_ans","$RETURN{$answer1}{c_answer}");
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                                        
                        elsif($QUESTION{$VQ{number}}{kolum} == 3 && $num_of_answers > $QUESTION{$VQ{number}}{kolum}) { # 3 columns
                                print"<TABLE>";
                                           
                                while(@answers) {
                                        my $answer = shift(@answers);
                                        my %IMAGE = ();
                                                
                                        print"<TR>";
                                              
                                        if($RETURN{$answer}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }

                                        &print_out_3columns("no_image","$no_image","ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","type","MA","correct_ans","1","this_ans","$RETURN{$answer}{c_answer}");
                                                
                                        my $answer1 = shift(@answers);
                                        my %IMAGE1 = ();
                                                
                                        if($RETURN{$answer1}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_3columns("no_image","$no_image","ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","type","MA","correct_ans","1","this_ans","$RETURN{$answer1}{c_answer}");
                                                
                                        my $answer2 = shift(@answers);
                                        my %IMAGE2 = ();
                                                
                                        if($RETURN{$answer2}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                %IMAGE2 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer2}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_3columns("no_image","$no_image","ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer2}{answer}","image","$RETURN{$answer2}{image_id}","image_name","$IMAGE2{$RETURN{$answer2}{image_id}}","type","MA","correct_ans","1","this_ans","$RETURN{$answer2}{c_answer}");
                                                
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                        }
                        
                else { # only one column
                        my $i;

                        for ($i = 1; $i <= $num_of_answers; ++$i) {
                                my $answer = "answer$i";
                                
                                if ($RETURN{$i}{c_answer} == 1 && $VQ{branching} != 1) { # correct answer
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($QUESTION{$VQ{number}}{ans_mode} == 1 || $QUESTION{$VQ{number}}{ans_mode} == 2)) {
                                                print"<TABLE><TR><TD style=\"vertical-align:middle\"><input type=\"checkbox\" class=\"medium\" checked></TD><TD>\n";
                                                print"$RETURN{$i}{answer}</TD></TR></TABLE><BR>\n";
                                                }
                                        elsif (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") { #BASIC MODE
                                                print"<TABLE><TR><TD style=\"vertical-align:top\"><input type=\"checkbox\" class=\"medium\" checked></TD><TD>
                                                <textarea class=\"show_mc_ans\" style=\"resize:none\; overflow:auto\;\" name=\"\" value=\"\" maxlength=\"75\" rows=\"1\" cols=\"63\" readonly>$RETURN{$i}{answer}</textarea>\n";
                                                                           
                                                if($RETURN{$i}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} != 1) {
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }
                                                }
                                        else {
                                                if($RETURN{$i}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                        print"<TABLE><TR><TD style=\"vertical-align:middle\"><input type=\"checkbox\" class=\"medium\" disabled checked></TD>\n";
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"<td style=\"vertical-align:middle\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
                                                }
                                        }
				
                                else { # not correct answer
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($QUESTION{$VQ{number}}{ans_mode} == 1 || $QUESTION{$VQ{number}}{ans_mode} == 2)) {
                                                print"<TABLE><TR><TD style=\"vertical-align:text-top\"><input type=\"checkbox\" class=\"medium\" disabled></TD><TD>\n";
                                                print"$RETURN{$i}{answer}</TD></TR></TABLE><BR>\n";
                                                }
                                                
                                        elsif (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") { # text in answer
                                                print"<TABLE><TR><TD style=\"vertical-align:middle\">\n";
                                                print"<input type=\"checkbox\" class=\"medium\" disabled></TD>\n";
                                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"65\" readonly>$RETURN{$i}{answer}</textarea>\n";
                                                
                                                if($RETURN{$i}{image_id} > 0) {
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }

                                                }
                                        else { # no text 
                                                if($RETURN{$i}{image_id} > 0 ) {
                                                        print"<TABLE><TR><TD style=\"vertical-align:middle\"><input type=\"checkbox\" class=\"medium\" disabled></TD>\n";
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"<td style=\"vertical-align:middle\"\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
						}
					}
				}
			}
		}
		
		
		
	elsif ($QUESTION{$VQ{number}}{type} eq"MX") { # Matching Question
                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\") AND c_answer = 0");
                
                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\") AND c_answer = 1");
                my @mx_string;
                my $mx;
                my $myans;
                
                for (my $i = 1; $i <= $mx_num; $i++){ 
                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                $mx = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}".","."$mx";
                                }
                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                $mx = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}".","."$mx";
                                }
                        else { # no matching text
                                delete($RETURN_MX_MATCHING{$i});
                                }
			}
                
                print"<TABLE>";
                
		for (my $i = 1; $i <= $mx_num; $i++){ 
			my $select = "select$i";
			
			if (defined $RETURN_MX_TEXT{$i}{answer}) {
                                my $col_length = length($RETURN_MX_TEXT{$i}{answer});
                                
                                if($col_length > 30) {
                                        $col_length = 26
                                        }
                                        
                                print"<TR><TD width=\"30\"></TD>\n";
                                print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"1\" cols=\"$col_length\" readonly>$RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD>\n";
                                print"<select name=\"mx_select$i\">\n";
                                $myans = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}".","."$myans";
                                
                                &print_mx_select_with_answers("mx","$mx","myans","$myans","select","$i","question_number","$VQ{number}");
                                
                                print"</select>";
                                print"</TD></TR>\n";
				}
			}
                print"</TABLE>";
		}
		
	elsif ($QUESTION{$VQ{number}}{type} eq"AD") { #survey question
		print"<TABLE>
		<TR><TD width=\"20\"></TD><TD></TD><TD style=\"vertical-align:middle\;\"><input type=\"radio\" class=\"medium\" > $standard[0]</TD></TR>
		<TR><TD width=\"20\"></TD><TD></TD><TD style=\"vertical-align:middle\;\"><input type=\"radio\" class=\"medium\" > $standard[1]</TD></TR>
		<TR><TD width=\"20\"></TD><TD></TD><TD style=\"vertical-align:middle\;\"><input type=\"radio\" class=\"medium\" > $standard[2]</TD></TR>
		<TR><TD width=\"20\"></TD><TD></TD><TD style=\"vertical-align:middle\;\"><input type=\"radio\" class=\"medium\" > $standard[3]</TD></TR>
		<TR><TD width=\"20\"></TD><TD style=\"vertical-align:middle\;\"></TD><TD><input type=\"radio\" class=\"medium\" > $standard[4]</TD></TR></TABLE>\n";
		}
		
  	&print_form("form_name","form1","form_target","viewenlarge","input","view_quest","number","$VQ{number}","type","$VQ{type}","from","","u_id","$VQ{u_id}","session_id","$VQ{session_id}");
  	
  	&print_form("form_name","closewin","input","print_instructors_screen","from","$VQ{from}","u_id","$VQ{u_id}","session_id","$VQ{session_id}");

	}

###################
#
# STATS_VIEW_QUEST
#
####################
sub stats_view_quest {
	my %VQ = @_;
        $VQ{number} =~ s/\D//g;
	$VQ{type} =~ s/\D//g;
	$VQ{from} =~ s/\D//g;
	$VQ{image_number} =~ s/\D//g;
	$VQ{index} =~ s/\D//g;

	my %QUESTION = ();
	my %TOPASS = ();
	my %MX = ();
	my @passed;
	my $show_eq = 1;
	
	&print_style_sheet();

	print"$image1 $LANGUAGE{$set_language}{ViewQuestionStats}</TD></table><P> \n";
	
	%QUESTION = &select_question("query","SELECT * from questions WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");

        if ($QUESTION{$VQ{number}}{type} eq "MX") {
                @passed = split(/\~/,$VQ{topass});
                foreach my $chunk(@passed) {
                        my @pass = split(/\|/,$chunk);
                        $TOPASS{$pass[0]}{$pass[1]} = $pass[2]; 
                        }
                }
        else {
                @passed = split(/\,/,$VQ{topass});
                foreach my $chunk(@passed) {
                        my @pass = split(/\|/,$chunk);
                        if(defined $TOPASS{$pass[0]}) {
                                my $order = "$pass[0]"."*";
                                $TOPASS{$order} = $pass[1]; 
                                }
                        else {
                                $TOPASS{$pass[0]} = $pass[1]; 
                                }
                        }
                }
	
	my $question_rows = 1;
	my $question_length = length("$QUESTION{$VQ{number}}{question}");
		
	# fix display to show new lines in text of question
        my $content = $QUESTION{$VQ{number}}{question};
	$content =~ s/\r[\n]*/\n/gm;
        my @lines = split(/\n/,$content);
        my $rows = @lines;
        $rows = $question_rows + $rows;

        
    #### PRINT QUESTION
	print"<TABLE><TR><TD valign=\"top\">$VQ{index}.&nbsp\;</TD><TD> \n";
	
	if($QUESTION{$VQ{number}}{ans_mode} == 2) {
		$show_eq = 2;
		}
		
	if($QUESTION{$VQ{number}}{mode} == 1) {
                print"$QUESTION{$VQ{number}}{question}</TD></TR></TABLE>\n";
                }
                
        elsif($QUESTION{$VQ{number}}{mode} == 2) {
                $show_eq = 2;
                print"$QUESTION{$VQ{number}}{question}</TD></TR></TABLE>\n";
                }
                
        else {
                print"<B><textarea class=\"show_quest\" style=\"resize\:none\; font-weight:bold\" readonly rows=\"$rows\" cols=\"52\">$QUESTION{$VQ{number}}{question}</textarea></b>\n";
                print" </TD></TR></TABLE>\n";
	
                if(defined $QUESTION{$VQ{number}}{image_id} && $QUESTION{$VQ{number}}{image_id} ne "0") {
                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTION{$VQ{number}}{image_id}\"");
                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTION{$VQ{number}}{image_id}});
                        my $image = "\/schools\/qst_files\/"."$QUESTION{$VQ{number}}{image_id}"."\."."$extension[1]";
                        print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                        }
		
                elsif($QUESTION{$VQ{number}}{vlink} && $QUESTION{$VQ{number}}{vlink} ne "0") {
                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls>
                        <source src=\"$QUESTION{$VQ{number}}{vlink}\" type=\"video/mp4\">
                        <source src=\"$QUESTION{$VQ{number}}{vlink}\" type=\"video/ogg\">
                        <source src=\"$QUESTION{$VQ{number}}{vlink}\" type=\"video/webm\">
                        $LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}
                        </video</td></table><P>\n";
                        }
		
                elsif($QUESTION{$VQ{number}}{alink} && $QUESTION{$VQ{number}}{alink} ne "0") {
                        print"<table><td WIDTH=\"60\"></td><td><audio controls>
                        <source src=\"$QUESTION{$VQ{number}}{alink}\" type=\"audio/mpeg\">
                        <source src=\"$QUESTION{$VQ{number}}{alink}\" type=\"audio/ogg\">
                        <source src=\"$QUESTION{$VQ{number}}{alink}\" type=\"audio/wav\">
                        $LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}
                        </video</td></table><P>\n";
                        }
		}
		
        if($show_eq == 2) {
                &print_eq();
                }
		
    #### PRINT ANSWERS
	if ($QUESTION{$VQ{number}}{type} eq"TF") {
		print"<TABLE>\n";
		if ($QUESTION{$VQ{number}}{sub_type} != 2) { # quizzes/tests
			my %RETURN = &select7("query","SELECT number,q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			if ($RETURN{$VQ{number}}{answer} eq"T") {
				print" <TR><TD width=\"30\"></TD><TD><input type = \"checkbox\" name =\"true\" value=\"True\" checked>$LANGUAGE{$set_language}{True}<P>\n";
				print" <input type = \"checkbox\" name =\"false\" value=\"False\" disabled> $LANGUAGE{$set_language}{False} </TD></TR>\n";
				}
			else {
				print" <TR><TD width=\"30\"></TD><TD><input type = \"checkbox\" name =\"true\" value=\"True\" disabled>$LANGUAGE{$set_language}{True}<P>\n";
				print" <input type = \"checkbox\" name =\"false\" value=\"False\" checked> $LANGUAGE{$set_language}{False} </TD></TR>\n";
				}
			}
			
		else { # surveys
			print" <TR><TD width=\"30\"></TD><TD>input type = \"checkbox\" name =\"true\" value=\"True\"> $LANGUAGE{$set_language}{True} <P>\n";
			print" <input type = \"checkbox\" name =\"false\" value=\"False\"> $LANGUAGE{$set_language}{False} </TD></TR>\n";
			}
		print"</TABLE>\n";
		}

        elsif ($QUESTION{$VQ{number}}{type} eq"YN") {
		print"<TABLE>\n";
		if ($QUESTION{$VQ{number}}{sub_type} != 2) { # quizzes/tests
			my %RETURN = &select7("query","SELECT number,q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			
			if ($RETURN{$VQ{number}}{answer} eq"Y") {
				print" <TR><TD width=\"30\"></TD><TD><input type = \"checkbox\" name =\"yes\" value=\"Yes\" checked>$LANGUAGE{$set_language}{Yes}<P>\n";
				print" <input type = \"checkbox\" name =\"no\" value=\"No\" disabled> $LANGUAGE{$set_language}{No} </TD></TR>\n";
				}
			else {
				print" <TR><TD width=\"30\"></TD><TD><input type = \"checkbox\" name =\"yes\" value=\"Yes\" disabled>$LANGUAGE{$set_language}{Yes}<P>\n";
				print" <input type = \"checkbox\" name =\"no\" value=\"No\" checked> $LANGUAGE{$set_language}{No} </TD></TR>\n";
				}
			}
			
		else { # surveys
			print" <TR><TD width=\"30\"></TD><TD>input type = \"checkbox\" name =\"yes\" value=\"Yes\"> $LANGUAGE{$set_language}{Yes} <P>\n";
			print" <input type = \"checkbox\" name =\"no\" value=\"No\"> $LANGUAGE{$set_language}{No} </TD></TR>\n";
			}
		print"</TABLE>\n";
		}

	elsif ($QUESTION{$VQ{number}}{type} eq"SA") {
		if ($QUESTION{$VQ{number}}{sub_type} != 2) { # quiz_test question
			my @return = &select3("query","SELECT q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			
			print"<P>Answer:<BR>\n";
			print"<TABLE><TD width=\"3\"></TD><TD><input type=\"text\" style=\"resize:none\;\" size=\"50\" name=\"\" value=\"$return[1]\" readonly></TD></TR></TABLE>\n";
			}
			
		else { #survey question
			print"<P>Answer:<BR>\n";
			print"<TABLE><TD width=\"3\"></TD><TD><input type=\"text\" style=\"resize:none\;\" name=\"\" value=\"\" size=\"59\" readonly></TD></TR></TABLE>\n";
			}
		}
		
	elsif ($QUESTION{$VQ{number}}{type} eq"P") {
		if ($QUESTION{$VQ{number}}{sub_type} != 2) { # quiz_test question
			 my @return = &select3("query","SELECT q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
			 $return[1] =~ s/&quot;/"/g;
			print"<P>Answer:<BR>\n";
			print"<TABLE><TD width=\"10\"></TD><TD>$return[1]</TD></TABLE>\n";
			}
			
		else { #survey question
			print"<P>Answer:<BR>\n";	              	              
			print"<TABLE><TD width=\"10\"></TD><TD><TEXTAREA class=\"show_panswer\" style=\"resize:none\;\" readonly rows=\"8\" cols=\"55\" name=\"\" value=\"\"></textarea></TD></TABLE\n";
			}
		}
		
	elsif ($QUESTION{$VQ{number}}{type} eq"MC") {
		my %RETURN = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
		my $i;

		for ($i = 1; $i <= $mc_num; ++$i) {
			my $answer = "answer$i";
			my $col_length = 65;
			my $ans_length = length($RETURN{$i}{answer});
                        if( $ans_length < 65) {
                                $col_length = $ans_length;
                                }
                                
			if ($RETURN{$i}{c_answer} == 1) { # PRINT OUT CORRECT ANSWER
                                if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($QUESTION{$VQ{number}}{ans_mode} == 1 || $QUESTION{$VQ{number}}{ans_mode} == 2)) {
                                        print"<TABLE><TR><TD width=\"30\"><font size=\"-1\"><i>$TOPASS{$i}</i></font></TD><TD><input type=\"checkbox\" checked></TD>\n";
 					print"<TD>$RETURN{$i}{answer}</TD></TR></TABLE>\n";
                                        }
				elsif (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") {
					print"<TABLE><TR><TD width=\"30\"><font size=\"-1\"><i>$TOPASS{$i}</i></font></TD><TD><input type=\"checkbox\" checked></TD>\n";
 					print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"$col_length\" readonly>$RETURN{$i}{answer}</textarea>\n";
 					
					if($RETURN{$i}{image_id} > 0) {
						my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
						
						my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
						my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
						print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table><P>\n";
						}
					else {
						print"</TD></TR></TABLE>\n";
						}
				
					}
				else {
					if($RETURN{$i}{image_id} > 0) {
						print"<TABLE><TR><TD width=\"30\"><font size=\"-1\"><i>$TOPASS{$i}</i></font></TD><TD><input type=\"checkbox\" checked></TD>\n";
						my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
						
						my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
						my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
						print"<td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
						}
					else {
						print"<TD width=\"30\"></TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
						}
					}
				}
				
			else {
                                if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($QUESTION{$VQ{number}}{ans_mode} == 1 || $QUESTION{$VQ{number}}{ans_mode} == 2)) {
                                        print"<TABLE><TR><TD width=\"30\"><font size=\"-1\"><i>$TOPASS{$i}</i></font></TD><TD><input type=\"checkbox\"></TD>\n";
 					print"<TD>$RETURN{$i}{answer}</TD></TR></TABLE>\n";
                                        }
				elsif (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") {
					print"<TABLE><TR><TD width=\"30\"><font size=\"-1\"><i>$TOPASS{$i}</i></font></TD><TD><input type=\"checkbox\" disabled></TD>\n";
 					print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"$col_length\" readonly>$RETURN{$i}{answer}</textarea>\n";
 					
					if($RETURN{$i}{image_id} > 0) {
						my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
						
						my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
						my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
						print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
						}
					else {
						print"</TD></TR></TABLE>\n";
						}

					 }
				else {
					if($RETURN{$i}{image_id} > 0) {
						print"<TABLE><TR><TD width=\"30\"><font size=\"-1\"><i>$TOPASS{$i}</i></font></TD><TD><input type=\"checkbox\" disabled></TD>\n";
						my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
						
						my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
						my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
						print"<td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
						} 
					else {
						print"<TD width=\"30\"></TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
						}
				
					}
				}
			}
		}

	elsif ($QUESTION{$VQ{number}}{type} eq"MA") { # Multiple Answers
		my %RETURN = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
		my $i;

		for ($i = 1; $i <= $ma_num; ++$i) {
			my $answer = "answer$i";
			my $col_length = 65;
			my $ans_length = length($RETURN{$i}{answer});
                        if( $ans_length < 65) {
                                $col_length = $ans_length;
                                }
                                
                        if($QUESTION{$VQ{number}}{ans_mode} == 1) {
                                $RETURN{$i}{answer} =~ s/&quot;/"/g; #change back
                                $RETURN{$i}{answer} =~ s/&apos;/'/g; #change back
                                }

			if ($RETURN{$i}{c_answer} == 1) { # correct answers printed
                                if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($QUESTION{$VQ{number}}{ans_mode} == 1 || $QUESTION{$VQ{number}}{ans_mode} == 2)) {
                                        print"<TABLE><TR><TD width=\"30\"><font size=\"-1\"><i>$TOPASS{$i}</i></font></TD><TD><input type=\"checkbox\" checked></TD><TD>$RETURN{$i}{answer}</TD></TR></TABLE>\n";
                                        }
				elsif (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") { # basic mode
					print"<TABLE><TR><TD width=\"30\"><font size=\"-1\"><i>$TOPASS{$i}</i></font></TD><TD><input type=\"checkbox\" checked></TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"$col_length\" readonly>$RETURN{$i}{answer}</textarea>\n";
 					
					if($RETURN{$i}{image_id} > 0) {
						my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
						
						my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
						my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
						print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
						}
					else {
						print"</TD></TR></TABLE>\n";
						}
				
					}
				else {
					if($RETURN{$i}{image_id} > 0) {
						print"<TABLE><TR><TD width=\"30\"><font size=\"-1\"><i>$TOPASS{$i}</i></font></TD><TD><input type=\"checkbox\" checked></TD>\n";
						my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
						
						my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
						my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
						print"<td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
						}
					else {
						print"<TD width=\"30\"></TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
						}
					}
				}
				
			else { # other answers printed
                                if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($QUESTION{$VQ{number}}{ans_mode} == 1 || $QUESTION{$VQ{number}}{ans_mode} == 2)) {
                                        print"<TABLE><TR><TD width=\"30\"><font size=\"-1\"><i>$TOPASS{$i}</i></font></TD><TD><input type=\"checkbox\" disabled></TD><TD>$RETURN{$i}{answer}</TD></TR></TABLE>\n";
                                        }
				elsif (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") { # basic mode
					print"<TABLE><TR><TD width=\"30\"><font size=\"-1\"><i>$TOPASS{$i}</i></font></TD><TD><input type=\"checkbox\" disabled></TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"$col_length\" readonly>$RETURN{$i}{answer}</textarea>\n";
 					
					if($RETURN{$i}{image_id} > 0) {
						my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
						
						my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
						my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
						print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
						}
					else {
						print"</TD></TR></TABLE>\n";
						}

					 }
				else { # basic mode image only
					if($RETURN{$i}{image_id} > 0) {
						print"<TABLE><TR><TD width=\"30\"><font size=\"-1\"><i>$TOPASS{$i}</i></font></TD><TD><input type=\"checkbox\"></TD>\n";
						my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
						
						my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
						my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
						print"<td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
						}
					else {
						print"<TD width=\"30\"></TD><TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
						}
					}
				}
			}
		}
		
	elsif ($QUESTION{$VQ{number}}{type} eq"MX") { # Matching Question
                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\") AND c_answer = 0");
                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\") AND c_answer = 1");
                my @mx_string;
                my $mx;
                my $myans;
                
                for (my $i = 1; $i <= $mx_num; $i++){ 
                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                $mx = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}"."~"."$mx";
                                }
                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                $mx = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}"."~"."$mx";
                                }
                        else { # no matching text
                                delete($RETURN_MX_MATCHING{$i});
                                }
			}
                
                print"<TABLE>";
		for (my $i = 1; $i <= 10; $i++){ 
			my $select = "select$i";
			if (defined $RETURN_MX_TEXT{$i}{answer}) {
                                my $col_length = length($RETURN_MX_TEXT{$i}{answer});
                                if($col_length > 30) {
                                        $col_length = 26
                                        }
                                print"<TR><TD width=\"30\"></TD>\n";
                                print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"1\" cols=\"$col_length\" readonly>$RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD>\n";
                                print"<select name=\"mx_select$i\">\n";
                                $myans = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}"."~"."$myans";

                                &print_mx_select_with_answers_stats("mx","$mx","myans","$myans","select","$i","question_number","$VQ{number}","topass","$VQ{topass}");
                                print"</select>";
                                print"</TD></TR>\n";
				}
			}
                print"</TABLE>";
		}
		
	elsif ($QUESTION{$VQ{number}}{type} eq"AD") { #survey question
		print"<TABLE>\n";
		print" <TR><TD width=\"20\"></TD><TD valign=\"top\"></TD><TD valign=\"top\"><img src=\"/schools/check_off.gif\"></TD><TD valign=\"top\"> $standard[0]</TD></TR>\n";
		print" <TR><TD width=\"20\"></TD><TD valign=\"top\"></TD><TD valign=\"top\"><img src=\"/schools/check_off.gif\"></TD><TD valign=\"top\"> $standard[1]</TD></TR>\n";
		print" <TR><TD width=\"20\"></TD><TD valign=\"top\"></TD><TD valign=\"top\"><img src=\"/schools/check_off.gif\"></TD><TD valign=\"top\"> $standard[2]</TD></TR>\n";
		print" <TR><TD width=\"20\"></TD><TD valign=\"top\"></TD><TD valign=\"top\"><img src=\"/schools/check_off.gif\"></TD><TD valign=\"top\"> $standard[3]</TD></TR>\n";
		print" <TR><TD width=\"20\"></TD><TD valign=\"top\"></TD><TD valign=\"top\"><img src=\"/schools/check_off.gif\"></TD><TD valign=\"top\"> $standard[4]</TD></TR>\n";
		print"</TABLE>\n";
		}
		
  	&print_form("form_name","form1","form_target","viewenlarge","input","view_quest","number","$VQ{number}","type","$VQ{type}","from","","u_id","$VQ{u_id}","session_id","$VQ{session_id}");
  	
  	&print_form("form_name","closewin","input","print_instructors_screen","from","$VQ{from}","u_id","$VQ{u_id}","session_id","$VQ{session_id}");
	}

####################
#
# VIEW_BANK_QUEST
#
####################
sub view_bank_quest {
	my %VQ = @_;
        $VQ{number} =~ s/\D//g;
        $VQ{qbank} =~ s/\D//g;
	$VQ{type} =~ s/\D//g;
	$VQ{from} =~ s/\D//g;
	$VQ{image_number} =~ s/\D//g;
	my %QUESTION = ();

	&print_style_sheet();
		
	&print_javascript_begin();
	print"var viewenlarge
	if(!viewenlarge) {
	}else {
	viewenlarge.close()
	}\n";

	if ($VQ{from} == 1 ){
		print"function enlarge\(\) \{\n";
		print"viewenlarge = window.open\(\"\",\"viewenlarge\",\"top=0,left=0,height=500,width=720,scrollbars\"\)\n";
		print"viewenlarge.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{Viewaquestion}<\/title><\/head><body>\'\)\n";
		print"viewenlarge.document.writeln\(\'<\/body><\/HTML>\'\)\n";
		print"viewenlarge.document.close()\n";
		print"viewenlarge.focus\(\)\n";
		print"document.form1.from.value=\"7\"\n";
		print"document.form1.submit\(\)\n";
		if ($VQ{qbank} == 1 ){
                        print"document.closewindo.submit\(\)\n";
                        }
                else {
                        print"document.closewin.submit\(\)\n";
                        }
		print"\}\n";		
		}
		
	&print_javascript_end();
	
	if ($VQ{from} == 1) { #from questions page
		print"<FORM>";
		if($VQ{qbank} == 1) {
                        print "<center><P><input TYPE=\"button\" STYLE=\"cursor:pointer\" OnClick=\"enlarge\(\)\" VALUE=\"$LANGUAGE{$set_language}{ActualSize}\"> <input TYPE=\"button\" STYLE=\"cursor:pointer\"  OnClick=\"document.closewindo.submit\(\)\" VALUE=\"$LANGUAGE{$set_language}{Close}\"></center> \n";
                        }
                else {
                        print "<center><P><input TYPE=\"button\" STYLE=\"cursor:pointer\" OnClick=\"enlarge\(\)\" VALUE=\"$LANGUAGE{$set_language}{ActualSize}\"> <input TYPE=\"button\" STYLE=\"cursor:pointer\"  OnClick=\"document.closewin.submit\(\)\" VALUE=\"$LANGUAGE{$set_language}{Close}\"></center> \n";
                        }
		print"</FORM>";
		}
		
	if ($VQ{from} == 7) { #from qst_left
		print"<FORM>";
		print "<center><P><input TYPE=\"button\" STYLE=\"cursor:pointer\" OnClick=\"window.self.close\(\)\" VALUE=\"$LANGUAGE{$set_language}{Close}\"></center>\n";
		print"</FORM>";
		}
		
	print"$image1 $LANGUAGE{$set_language}{ViewQuestion} <font color=\"red\">$VQ{num} </b></font></TD></table><P> \n";
	%QUESTION = &select_question("query","SELECT * from questions WHERE number=\"$VQ{number}\" AND org_id=\"$org_id\"");

	my $question_rows = 1;
	my $question_length = length("$QUESTION{$VQ{number}}{question}");

	# fix display to show new lines in text of question
        my $content = $QUESTION{$VQ{number}}{question};
	$content =~ s/\r[\n]*/\n/gm;
        my @lines = split(/\n/,$content);
        my $rows = @lines;
        $question_rows = $question_rows + $rows;
        
        
    #### PRINT THE QUESTION
        if($QUESTION{$VQ{number}}{mode} == 1) { # Advanced Editor
                print"<TABLE><TR><TD>$QUESTION{$VQ{number}}{question}</TD></TABLE>\n";
                }
                
        elsif($QUESTION{$VQ{number}}{mode} == 2) { # EQUATION EDITOR
                &print_eq();
                print"<TABLE><TR><TD>$QUESTION{$VQ{number}}{question}</TD></TR></TABLE><P>\n";
                }
                
        else { # BASIC EDITOR
                print"<TABLE><TR><TD><B> \n";
                print"<textarea class=\"show_quest\" style=\"resize\:none\;\" readonly rows=\"$question_rows\" cols=\"65\">$QUESTION{$VQ{number}}{question}</textarea></b>\n";
                print" </TD></TR></TABLE><P>\n";
	
                if(defined $QUESTION{$VQ{number}}{image_id} && $QUESTION{$VQ{number}}{image_id} ne "0") {
                        my %QUEST_IMAGE = &select4("query","select number,file_name from qst_files where number=\"$QUESTION{$VQ{number}}{image_id}\"");
                        my @extension = split(/\./, $QUEST_IMAGE{$QUESTION{$VQ{number}}{image_id}});
                        my $image = "\/schools\/qst_files\/"."$QUESTION{$VQ{number}}{image_id}"."\."."$extension[1]";
                        print"<table><td WIDTH=\"60\"></td><td><img src=\"$image\"></td></table><P>\n";
                        }
		
                elsif($QUESTION{$VQ{number}}{vlink} && $QUESTION{$VQ{number}}{vlink} ne "0") {
                        print"<table><td WIDTH=\"60\"></td><td><video width=\"320\" height=\"240\" controls>
                        <source src=\"$QUESTION{$VQ{number}}{vlink}\" type=\"video/mp4\">
                        <source src=\"$QUESTION{$VQ{number}}{vlink}\" type=\"video/ogg\">
                        <source src=\"$QUESTION{$VQ{number}}{vlink}\" type=\"video/webm\">
                        $LANGUAGE{$set_language}{Yourbrowserdoesnotsupportthevideotag}
                        </video</td></table><P>\n";
                        }
		
                elsif($QUESTION{$VQ{number}}{alink} && $QUESTION{$VQ{number}}{alink} ne "0") {
                        print"<table><td WIDTH=\"60\"></td><td><audio controls>
                        <source src=\"$QUESTION{$VQ{number}}{alink}\" type=\"audio/mpeg\">
                        <source src=\"$QUESTION{$VQ{number}}{alink}\" type=\"audio/ogg\">
                        <source src=\"$QUESTION{$VQ{number}}{alink}\" type=\"audio/wav\">
                        $LANGUAGE{$set_language}{Yourbrowserdoesnotsupporttheaudiotag}
                        </video</td></table><P>\n";
                        }
                }
		
		
    #### PRINT THE ANSWERS
    
    	if($QUESTION{$VQ{number}}{ans_mode} == 2 && $QUESTION{$VQ{number}}{mode} != 2) {
		&print_eq();
	        }

	if ($QUESTION{$VQ{number}}{type} eq"TF") {
		print"<TABLE>\n";
		if ($QUESTION{$VQ{number}}{sub_type} != 2) { # quizzes/tests
			my %RETURN = &select7("query","SELECT number,q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND org_id=\"$org_id\"");
			if ($RETURN{$VQ{number}}{answer} eq"T") {
				print" <TR><TD width=\"20\"></TD><TD><input type=\"radio\" class=\"larger\" checked> $LANGUAGE{$set_language}{True} 
				&nbsp\;&nbsp\;<input type=\"radio\" class=\"larger\" disabled> $LANGUAGE{$set_language}{False} </TD></TR>\n";
				}
			else {
				print" <TR><TD width=\"20\"></TD><TD><input type=\"radio\" class=\"larger\" disabled> $LANGUAGE{$set_language}{True} 
				&nbsp\;&nbsp\;<input type=\"radio\" class=\"larger\" checked> $LANGUAGE{$set_language}{False} </TD></TR>\n";
				}
			}
			
		else { # surveys
			}
		print"</TABLE>\n";
		}

        elsif ($QUESTION{$VQ{number}}{type} eq"YN") {
		print"<TABLE>\n";
		if ($QUESTION{$VQ{number}}{sub_type} != 2 && $VQ{branching} != 1) { # quizzes/tests not branching
			my %RETURN = &select7("query","SELECT number,q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");

			if ($RETURN{$VQ{number}}{answer} eq"Y") {
				print" <TR><TD width=\"30\"></TD><TD><input type=\"radio\" class=\"larger\" checked><font STYLE=\"font-family:Arial\; font-size:11pt\;\">&nbsp\; $LANGUAGE{$set_language}{Yes} \n";
				print" &nbsp\;<input type=\"radio\" class=\"larger\" disabled><font STYLE=\"font-family:Arial\; font-size:11pt\;\">&nbsp\; $LANGUAGE{$set_language}{No} </TD></TR>\n";
				}
			else {
				print" <TR><TD width=\"30\"></TD><TD><input type=\"radio\" class=\"larger\" disabled><font STYLE=\"font-family:Arial\; font-size:11pt\;\">&nbsp\; $LANGUAGE{$set_language}{Yes} \n";
				print" &nbsp\;<input type=\"radio\" class=\"larger\" checked><font STYLE=\"font-family:Arial\; font-size:11pt\;\">&nbsp\; $LANGUAGE{$set_language}{No} </TD></TR>\n";
				}
			}
			
		else { # surveys and branching questions
			print" <TR><TD width=\"30\"></TD><TD><input type=\"radio\" class=\"larger\" disabled><font STYLE=\"font-family:Arial\; font-size:11pt\;\">&nbsp\;$LANGUAGE{$set_language}{Yes} \n";
			print" <input type=\"radio\" class=\"larger\" disabled>&nbsp\; $LANGUAGE{$set_language}{No} </font></TD></TR>\n";
			}
		print"</TABLE>\n";
		}
		
	elsif ($QUESTION{$VQ{number}}{type} eq"SA") {
		if ($QUESTION{$VQ{number}}{sub_type} != 2) { # quiz_test question
			my @return = &select3("query","SELECT q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND org_id=\"$org_id\"");
			print"<P>Answer:<BR>
			<TABLE><TD width=\"3\"></TD><TD><textarea class=\"show_sanswer\" style=\"resize:none\;\" rows=\"1\" cols=\"65\" name=\"\" value=\"$return[1]\" readonly>$return[1]</textarea></TD></TR></TABLE>\n";
			}
			
		else { #survey question
			}
		}
		
	elsif ($QUESTION{$VQ{number}}{type} eq"P") {
		if ($QUESTION{$VQ{number}}{sub_type} != 2) { # quiz_test question
			 my @return = &select3("query","SELECT q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND org_id=\"$org_id\"");
			 $return[1] =~ s/&quot;/"/g; #change back
                        $return[1] =~ s/&apos;/'/g; #change back
			print"<P>Answer:<BR><TABLE><TD width=\"10\"></TD><TD>$return[1]</TD></TABLE>\n";
			}
			
		else { #survey question
			}
		}
		
	elsif ($QUESTION{$VQ{number}}{type} eq"MC") {
		my %RETURN = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$VQ{number}\" AND org_id=\"$org_id\"");
		
		
		my $num_of_answers = keys(%RETURN);
		my @answers;
		foreach my $key(sort {$a<=>$b} keys %RETURN) {
                        $RETURN{$key}{answer} =~ s/&quot;/"/g; #change back
                        $RETURN{$key}{answer} =~ s/&apos;/'/g; #change back
                        push(@answers,$key);
                        }
                
                if($num_of_answers > $QUESTION{$VQ{number}}{kolum} && $QUESTION{$VQ{number}}{kolum} > 1) {
                        
                        # print out columns
                        if($QUESTION{$VQ{number}}{kolum} == 2 && $num_of_answers > $QUESTION{$VQ{number}}{kolum}) { # 2 columns
                                print"<TABLE>";
                                           
                                while(@answers) {
                                        my $answer = shift(@answers);
                                        my %IMAGE = ();
                                                
                                        print"<TR>";

                                        if($RETURN{$answer}{image_id} > 0) {
                                                my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
 
                                        &print_out_2columns("ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","correct_ans","1","this_ans","$RETURN{$answer}{c_answer}");
                                                
                                                
                                        my $answer1 = shift(@answers);
                                        my %IMAGE1 = ();
                                                
                                        if($RETURN{$answer1}{image_id} > 0) {
                                                my %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                        
                                        &print_out_2columns("ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE{$RETURN{$answer1}{image_id}}","correct_ans","1","this_ans","$RETURN{$answer1}{c_answer}");
                                                
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                                        
                                
                        elsif($QUESTION{$VQ{number}}{kolum} == 3 && $num_of_answers > $QUESTION{$VQ{number}}{kolum}) { # 3 columns
                                print"<TABLE>";
                                           
                                while(@answers) {
                                        my $answer = shift(@answers);
                                        my %IMAGE = ();
                                                
                                        print"<TR>";
                                              
                                        if($RETURN{$answer}{image_id} > 0) {
                                                %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }

                                        &print_out_3columns("ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","correct_ans","1","this_ans","$RETURN{$answer}{c_answer}");
                                                
                                        my $answer1 = shift(@answers);
                                        my %IMAGE1 = ();
                                                
                                        if($RETURN{$answer1}{image_id} > 0) {
                                                %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_3columns("ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE{$RETURN{$answer1}{image_id}}","correct_ans","1","this_ans","$RETURN{$answer1}{c_answer}");
                                                
                                        my $answer2 = shift(@answers);
                                        my %IMAGE2 = ();
                                                
                                        if($RETURN{$answer2}{image_id} > 0) {
                                                %IMAGE2 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer2}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_3columns("ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer2}{answer}","image","$RETURN{$answer2}{image_id}","image_name","$IMAGE{$RETURN{$answer2}{image_id}}","correct_ans","1","this_ans","$RETURN{$answer2}{c_answer}");
                                                
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                        }
                        
                else { # only one column
                        my $i;
                        for ($i = 1; $i <= $num_of_answers; ++$i) {
                                my $answer = "answer$i";
                                if ($RETURN{$i}{c_answer} == 1) {
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($QUESTION{$VQ{number}}{ans_mode} == 1 || $QUESTION{$VQ{number}}{ans_mode} == 2)) {
                                                print"<TABLE><TR><TD></TD><TD style=\"vertical-align: middle\"><input type=\"radio\" class=\"medium\" checked></TD><TD width=\"5\"></TD>\n";
                                                print"<TD>$RETURN{$i}{answer}</TD></TR></TABLE>\n";
                                                }
                                        elsif (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") {
                                                print"<TABLE><TR><TD></TD><TD style=\"vertical-align: middle\"><input type=\"radio\" class=\"medium\" checked></TD><TD width=\"5\"></TD>\n";
                                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"60\" readonly>$RETURN{$i}{answer}</textarea>\n";
                                                
                                                if($RETURN{$i}{image_id} > 0) {
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND org_id=\"$org_id\"");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table><P>\n";
                                                        }
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }
				
                                                }
                                        else {
                                                if($RETURN{$i}{image_id} > 0) {
                                                        print"<TABLE><TR><TD></TD><TD style=\"vertical-align: middle\" ><input type=\"radio\" class=\"medium\" disabled></TD><TD width=\"5\"></TD>\n";
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND org_id=\"$org_id\"");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"<td valign=\"top\"><img src=\"$image\"></td></TR></table><P>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
                                                }
                                        }
				
                                else {
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($QUESTION{$VQ{number}}{ans_mode} == 1 || $QUESTION{$VQ{number}}{ans_mode} == 2)) {
                                                print"<TABLE><TR><TD></TD><TD style=\"vertical-align: middle\"><input type=\"radio\" class=\"medium\" disabled></TD><TD width=\"5\"></TD>\n";
                                                print"<TD>$RETURN{$i}{answer}</TD></TR></TABLE>\n";
                                                }
                                        elsif (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") {
                                                print"<TABLE><TR><TD></TD><TD style=\"vertical-align: middle\"><input type=\"radio\" class=\"medium\" disabled></TD><TD width=\"5\"></TD>\n";
                                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"60\" readonly>$RETURN{$i}{answer}</textarea>\n";
                                                
                                                if($RETURN{$i}{image_id} > 0) {
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND org_id=\"$org_id\"");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table><P>\n";
                                                        }
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }

                                                }
                                        else {
                                                if($RETURN{$i}{image_id} > 0) {
                                                        print"<TABLE><TR><TD></TD><TD style=\"vertical-align: middle\"><input type=\"radio\" class=\"medium\" disabled></TD><TD width=\"5\"></TD>\n";
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND org_id=\"$org_id\"");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"<td valign=\"top\"><img src=\"$image\"></td></TR></table><P>\n";
                                                        }
						}
				
					}
				}
			}
		}

        elsif ($QUESTION{$VQ{number}}{type} eq"MA") { # Multiple Answers
		my %RETURN = &select6("query","SELECT q_order,answer,c_answer,image_id from question_answers WHERE number=\"$VQ{number}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
		
		print"<BR>\n";
		my $num_of_answers = keys(%RETURN);
		my @answers;
		foreach my $key(sort {$a<=>$b} keys %RETURN) {
                        $RETURN{$key}{answer} =~ s/&quot;/"/g; #change back
                        $RETURN{$key}{answer} =~ s/&apos;/'/g; #change back
                        push(@answers,$key);
                        }
                        
                if($num_of_answers > $QUESTION{$VQ{number}}{kolum} && $QUESTION{$VQ{number}}{kolum} > 1 && $VQ{stats} != 1) {
                         # print out columns
                        if($QUESTION{$VQ{number}}{kolum} == 2 && $num_of_answers > $QUESTION{$VQ{number}}{kolum}) { # 2 columns
                                print"<TABLE>";
                                           
                                while(@answers) {
                                        my $answer = shift(@answers);
                                        my %IMAGE = ();
                                                
                                        print"<TR>";

                                        if($RETURN{$answer}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_2columns("ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","type","$QUESTION{$VQ{number}}{type}","correct_ans","1","this_ans","$RETURN{$answer}{c_answer}");
                                                
                                        my $answer1 = shift(@answers);
                                        my %IMAGE1 = ();
                                                
                                        if($RETURN{$answer1}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_2columns("ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","type","$QUESTION{$VQ{number}}{type}","correct_ans","1","this_ans","$RETURN{$answer1}{c_answer}");
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                                        
                        elsif($QUESTION{$VQ{number}}{kolum} == 3 && $num_of_answers > $QUESTION{$VQ{number}}{kolum}) { # 2 columns
                                print"<TABLE>";
                                           
                                while(@answers) {
                                        my $answer = shift(@answers);
                                        my %IMAGE = ();
                                                
                                        print"<TR>";
                                              
                                        if($RETURN{$answer}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }

                                        &print_out_3columns("ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer}{answer}","image","$RETURN{$answer}{image_id}","image_name","$IMAGE{$RETURN{$answer}{image_id}}","type","MA","correct_ans","1","this_ans","$RETURN{$answer}{c_answer}");
                                                
                                        my $answer1 = shift(@answers);
                                        my %IMAGE1 = ();
                                                
                                        if($RETURN{$answer1}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                %IMAGE1 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer1}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_3columns("ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer1}{answer}","image","$RETURN{$answer1}{image_id}","image_name","$IMAGE1{$RETURN{$answer1}{image_id}}","type","MA","correct_ans","1","this_ans","$RETURN{$answer1}{c_answer}");
                                                
                                        my $answer2 = shift(@answers);
                                        my %IMAGE2 = ();
                                                
                                        if($RETURN{$answer2}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                %IMAGE2 = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$answer2}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                }
                                                        
                                        &print_out_3columns("ans_mode","$QUESTION{$VQ{number}}{ans_mode}","select","$RETURN{$answer2}{answer}","image","$RETURN{$answer2}{image_id}","image_name","$IMAGE2{$RETURN{$answer2}{image_id}}","type","MA","correct_ans","1","this_ans","$RETURN{$answer2}{c_answer}");
                                                
                                        print"</TR>";
                                        }
                                                
                                print"</TABLE>\n";
                                }
                        }
                        
                else { # only one column
                        my $i;

                        for ($i = 1; $i <= $num_of_answers; ++$i) {
                                my $answer = "answer$i";
                                
                                if ($RETURN{$i}{c_answer} == 1 && $VQ{branching} != 1) { # correct answer
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($QUESTION{$VQ{number}}{ans_mode} == 1 || $QUESTION{$VQ{number}}{ans_mode} == 2)) {
                                                print"<TABLE><TR><TD style=\"vertical-align: middle\"><input type=\"checkbox\" class=\"medium\" checked></TD><TD>\n";
                                                print"$RETURN{$i}{answer}</TD></TR></TABLE><BR>\n";
                                                }
                                        elsif (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") {
                                                print"<TABLE><TR><TD style=\"vertical-align: middle\"><input type=\"checkbox\" class=\"medium\" checked></TD>\n";
                                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"65\" readonly>$RETURN{$i}{answer}</textarea>\n";
                                                
                                                if($RETURN{$i}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }
				
                                                }
                                        else {
                                                if($RETURN{$i}{image_id} > 0 && $QUESTION{$VQ{number}}{ans_mode} == 0) {
                                                        print"<TABLE><TR><TD style=\"vertical-align: middle\"><input type=\"checkbox\" class=\"medium\" checked></TD>\n";
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"<td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
                                                }
                                        }
				
                                else { # not correct answer
                                        if (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"" && ($QUESTION{$VQ{number}}{ans_mode} == 1 || $QUESTION{$VQ{number}}{ans_mode} == 2)) {
                                                print"<TABLE><TR><TD style=\"vertical-align: middle\"><input type=\"checkbox\" class=\"medium\" disabled></TD><TD>\n";
                                                print"$RETURN{$i}{answer}</TD></TR></TABLE><BR>\n";
                                                }
                                                
                                        elsif (defined $RETURN{$i}{answer} && $RETURN{$i}{answer} ne"") { # text in answer
                                                print"<TABLE><TR><TD style=\"vertical-align: middle\"><input type=\"checkbox\" class=\"medium\" disabled></TD>\n";
                                                print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN{$i}{answer}\" maxlength=\"75\" rows=\"1\" cols=\"65\" readonly>$RETURN{$i}{answer}</textarea>\n";
                                                
                                                if($RETURN{$i}{image_id} > 0) {
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"</TD></TR></TABLE><table><TR><td WIDTH=\"43\"></td><td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"</TD></TR></TABLE>\n";
                                                        }

                                                }
                                        else { # no text 
                                                if($RETURN{$i}{image_id} > 0 ) {
                                                        print"<TABLE><TR><TD style=\"vertical-align: middle\"><input type=\"checkbox\" class=\"medium\" disabled></TD>\n";
                                                        my %IMAGE = &select4("query","SELECT number,file_name from qst_files  WHERE number=\"$RETURN{$i}{image_id}\" AND (u_id=\"$ids\" OR u_id=\"0\")");
                                                        
                                                        my @extension = split(/\./, $IMAGE{$RETURN{$i}{image_id}});
                                                        my $image = "\/schools\/qst_files\/"."$RETURN{$i}{image_id}"."\."."$extension[1]";
                                                        print"<td valign=\"top\"><img src=\"$image\"></td></TR></table>\n";
                                                        }
                                                else {
                                                        print"<TD><textarea class=\"show_mc_ans\" style=\"resize:none\;\" name=\"\" maxlength=\"1\" rows=\"1\" cols=\"1\" readonly></textarea></TD></TR></TABLE>\n";
                                                        }
						}
					}
				}
			}
		}
		
            
        elsif ($QUESTION{$VQ{number}}{type} eq"MX") { # Matching Question
                my %RETURN_MX_TEXT = &selectmxtext("query","SELECT q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND u_id=\"0\" AND c_answer = 0");
                my %RETURN_MX_MATCHING = &selectmxmatching("query","SELECT q_order,answer from question_answers WHERE number=\"$VQ{number}\" AND u_id=\"0\" AND c_answer = 1");
                my @mx_string;
                my $mx;
                my $myans;
                
                for (my $i = 1; $i <= 10; $i++){ 
                        if (defined $RETURN_MX_MATCHING{$i}{answer} && defined $RETURN_MX_TEXT{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                $mx = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}".","."$mx";
                                }
                        elsif(defined $RETURN_MX_MATCHING{$i}{answer}) {
                                push(@mx_string,$i);
                                push(@mx_string,$RETURN_MX_MATCHING{$i}{answer});
                                $mx = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}".","."$mx";
                                }
                        else { # no matching text
                                delete($RETURN_MX_MATCHING{$i});
                                }
			}
                print"<TABLE>";
		for (my $i = 1; $i <= 10; $i++){ 
			my $select = "select$i";
			if (defined $RETURN_MX_TEXT{$i}{answer}) {
                                my $col_length = length($RETURN_MX_TEXT{$i}{answer});
                                if($col_length > 30) {
                                        $col_length = 26
                                        }
                                print"<TR><TD width=\"30\"></TD>\n";
                                print"<TD><textarea class=\"show_mx_ans\" style=\"resize:none\;\" name=\"\" value=\"$RETURN_MX_TEXT{$i}{answer}\" maxlength=\"30\" rows=\"1\" cols=\"$col_length\" readonly>$RETURN_MX_TEXT{$i}{answer}</textarea></TD><TD>\n";
                                print"<select name=\"mx_select$i\">\n";
                                my $myans = "$i"."|"."$RETURN_MX_MATCHING{$i}{answer}".","."$myans";
                                
                                &print_mx_select_with_answers("mx","$mx","myans","$myans","select","$i","question_number","$VQ{number}");
                                print"</select>";
                                print"</TD></TR>\n";
				}
			}
                print"</TABLE>";
		}
		
	elsif ($QUESTION{$VQ{number}}{type} eq"AD") { #survey question
		print"<TABLE>\n";
		print" <TR><TD width=\"20\"></TD><TD valign=\"top\"></TD><TD valign=\"top\"><img src=\"/schools/check_off.gif\"></TD><TD valign=\"top\"> $standard[0]</TD></TR>\n";
		print" <TR><TD width=\"20\"></TD><TD valign=\"top\"></TD><TD valign=\"top\"><img src=\"/schools/check_off.gif\"></TD><TD valign=\"top\"> $standard[1]</TD></TR>\n";
		print" <TR><TD width=\"20\"></TD><TD valign=\"top\"></TD><TD valign=\"top\"><img src=\"/schools/check_off.gif\"></TD><TD valign=\"top\"> $standard[2]</TD></TR>\n";
		print" <TR><TD width=\"20\"></TD><TD valign=\"top\"></TD><TD valign=\"top\"><img src=\"/schools/check_off.gif\"></TD><TD valign=\"top\"> $standard[3]</TD></TR>\n";
		print" <TR><TD width=\"20\"></TD><TD valign=\"top\"></TD><TD valign=\"top\"><img src=\"/schools/check_off.gif\"></TD><TD valign=\"top\"> $standard[4]</TD></TR>\n";
		print"</TABLE>\n";
		}
		
  	&print_form("form_name","form1","form_target","viewenlarge","input","view_bank_quest","number","$VQ{number}","type","$VQ{type}","from","","u_id","$VQ{u_id}","session_id","$VQ{session_id}");
  	
  	&print_form("form_name","closewin","input","print_qbank_admin_screen","from","$VQ{from}","u_id","$VQ{u_id}","session_id","$VQ{session_id}");
  	
        &print_form("form_name","closewindo","input","print_instructors_screen","from","$VQ{from}","u_id","$VQ{u_id}","session_id","$VQ{session_id}");
	}

########################
#
# PRINT FUNCTION QUESTION IMAGE HANDLER
#
########################
sub print_function_question_image_handler {
	print"function question_image_handler\(inn\) \{\n";
	print"file_windo = window.open\(\"\",\"file_windo\",\"top=40,left=50,height=500,width=700\"\)\n";
	print"file_windo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewSelectFile}<\/title><\/head>\'\)\n";
	print"file_windo.document.writeln\(\'<frameset cols=\\\"50\%,50\%\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_left\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_right\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<\/frameset>\'\)\n";
	print"file_windo.document.writeln\(\'<\/html>\'\)\n";
	print"file_windo.document.close()\n";
	print"file_windo.focus\(\)\n";
	print"var mode = document.question_form.mode.value
	document.view_files.mode.value=mode
	document.view_files.targit.value=inn
	document.view_files.submit\(\)
	\}\n";
	}

########################
#
# PRINT FUNCTION QUESTION IMAGE HANDLER_P
#
########################
sub print_function_question_image_handler_p {
	print"function question_image_handler\(inn\) \{\n";
	print"file_windo = window.open\(\"\",\"file_windo\",\"top=40,left=50,height=500,width=700\"\)\n";
	print"file_windo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewSelectFile}<\/title><\/head>\'\)\n";
	print"file_windo.document.writeln\(\'<frameset cols=\\\"50\%,50\%\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_left\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_right\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<\/frameset>\'\)\n";
	print"file_windo.document.writeln\(\'<\/html>\'\)\n";
	print"file_windo.document.close()\n";
	print"file_windo.focus\(\)\n";
	print"document.view_files.targit.value=inn
	document.view_files.submit\(\)
	\}\n";
	}

########################
#
# PRINT FUNCTION MA IMAGE HANDLER
#
########################
sub print_function_ma_image_handler {
	print"function ma_image_handler\(inn\) \{\n";
	print"file_windo = window.open\(\"\",\"file_windo\",\"top=40,left=50,height=500,width=700\"\)\n";
	print"file_windo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewSelectFile}<\/title><\/head>\'\)\n";
	print"file_windo.document.writeln\(\'<frameset cols=\\\"50\%,50\%\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_left\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_right\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<\/frameset>\'\)\n";
	print"file_windo.document.writeln\(\'<\/html>\'\)\n";
	print"file_windo.document.close()\n";
	print"file_windo.focus\(\)\n";
	print"document.view_files.targit.value=inn\n";
	print"document.view_files.submit\(\)\n";
	print"\}\n";
	}

########################
#
# PRINT FUNCTION MC IMAGE HANDLER
#
########################
sub print_function_mc_image_handler {
	print"function mc_image_handler\(inn\) \{\n";
	print"file_windo = window.open\(\"\",\"file_windo\",\"top=40,left=50,height=500,width=700\"\)\n";
	print"file_windo.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewSelectFile}<\/title><\/head>\'\)\n";
	print"file_windo.document.writeln\(\'<frameset cols=\\\"50\%,50\%\\\" FRAMEBORDER=\\\"0\\\" FRAMESPACING=\\\"0\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_left\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<frame src=\\\"\/schools\/blank.htm\\\" name=\\\"view_files_right\\\">\'\)\n";
	print"file_windo.document.writeln\(\'<\/frameset>\'\)\n";
	print"file_windo.document.writeln\(\'<\/html>\'\)\n";
	print"file_windo.document.close()\n";
	print"file_windo.focus\(\)\n";
	print"document.view_files.targit.value=inn\n";
	print"document.view_files.submit\(\)\n";
	print"\}\n";
	}

########################
#
# PRINT FUNCTION QUESTION IMAGE DELETE HANDLER
#
########################
sub print_function_question_image_delete_handler {
	print"function question_image_delete_handler\(inn\) \{
	document.question_form.image_number.value=\"\"
	document.question_form.insert_image_name.value=\"\"
	document.view_files.targit.value=inn
	Show_Image()
	Show_File()
	\}\n";
	}

########################
#
# PRINT FUNCTION QUESTION PPTX DELETE HANDLER
#
########################
sub print_function_question_pptx_delete_handler {
	print"function question_pptx_delete_handler\(inn\) \{
	document.question_form.pptx_number.value=\"\"
	document.question_form.insert_pptx_name.value=\"\"
	document.view_files.targit.value=inn
	Show_PPTX_Image()
	Show_PPTX_File()
	\}\n";
	}

########################
#
# PRINT FUNCTION MC IMAGE DELETE HANDLER
#
########################
sub print_function_mc_image_delete_handler_old {
	print"function mc_image_delete_handler\(inn\) \{\n";
	print"if(inn==\"image1\") {
	document.form1.image1.value=\"\"
	self.parent.quest1.document.question_form.image1.value=\"\"
	self.parent.quest1.document.question_form.image1name.value=\"\"
        Show_Image(\"display1\")
        Show_Image(\"disp1\")
	\}\n";
	print"if(inn==\"image2\") {
	document.form1.image2.value=\"\"
	self.parent.quest1.document.question_form.image2.value=\"\"
	self.parent.quest1.document.question_form.image2name.value=\"\"
        Show_Image(\"display2\")
        Show_Image(\"disp2\")
	\}\n";
	print"if(inn==\"image3\") {
	document.form1.image3.value=\"\"
	self.parent.quest1.document.question_form.image3.value=\"\"
	self.parent.quest1.document.question_form.image3name.value=\"\"
        Show_Image(\"display3\")
        Show_Image(\"disp3\")
	\}\n";
	print"if(inn==\"image4\") {
	document.form1.image4.value=\"\"
	self.parent.quest1.document.question_form.image4.value=\"\"
	self.parent.quest1.document.question_form.image4name.value=\"\"
        Show_Image(\"display4\")
        Show_Image(\"disp4\")
	\}\n";
	print"\}\n";
	}

########################
#
# PRINT FUNCTION MC IMAGE DELETE HANDLER
#
########################
sub print_function_mc_image_delete_handler {
	print"function mc_image_delete_handler\(inn\) \{
        var myfld = inn\;
	var nam = inn+\'name\'
	var num = inn.replace( /[^0-9]/g, '' );
        var displ = 'display'+num
        
        document.form1.elements[myfld].value=\"\"
	self.parent.quest1.document.question_form.elements[myfld].value=\"\"
	self.parent.quest1.document.question_form.elements[nam].value=\"\"
        Show_Im(displ)
        \}\n";
	}

########################
#
# PRINT FUNCTION MA IMAGE DELETE HANDLER
#
########################
sub print_function_ma_image_delete_handler {
	print"function ma_image_delete_handler\(inn\) \{
        var myfld = inn\;
	var nam = inn+\'name\'
	var num = inn.replace( /[^0-9]/g, '' );
        var displ = 'display'+num
        
        document.form1.elements[myfld].value=\"\"
	self.parent.quest1.document.question_form.elements[myfld].value=\"\"
	self.parent.quest1.document.question_form.elements[nam].value=\"\"
        Show_Im(displ)
        \}\n";
	}

########################
#
# VIEW_FILE
#
########################
sub view_file{
	my %VF = @_;
	$VF{number} =~ s/\D//g;
	my %FILE = ();
	my %RETURN = &select4("query","SELECT number,type from qst_files WHERE number=\"$VF{number}\" and u_id=\"$ids\"");
	if (keys %RETURN) {
		my @extension = split(/\//, $RETURN{$VF{number}});
		if($extension[1] =~ /jpg\b/i || $extension[1] =~ /jpeg\b/i || $extension[1] =~ /gif\b/i || $extension[1] =~ /png\b/i) {
			my $src = "$VF{number}"."\."."$extension[1]";
			print"<img src=\"/schools/qst_files/$src\">\n";
			}
		}
	}

########################
#
# VIEW_BANK_FILE
#
########################
sub view_bank_file{
	my %VF = @_;
	$VF{number} =~ s/\D//g;
	my %FILE = ();
	my %RETURN = &select4("query","SELECT number,type from qst_files WHERE number=\"$VF{number}\" and org_id=\"$org_id\" AND u_id=\"0\"");
	if (keys %RETURN) {
		my @extension = split(/\//, $RETURN{$VF{number}});
		if($extension[1] eq"jpg" || $extension[1] eq"jpeg" || $extension[1] eq"gif" || $extension[1] eq"png") {
			my $src = "$VF{number}"."\."."$extension[1]";
			print"<img src=\"/schools/qst_files/$src\">\n";
			}
		}
	}

########################
#
# VIEW_IT
#
########################
sub view_it{
	my %VI = @_;

	$VI{org_id} =~ s/\D//g;
	$VI{u_id} =~ s/\D//g;
	$VI{session_id} =~ s/\D//g;
	$VI{org_letter} =~ tr/A-Za-z//cd;
	$VI{view} =~ tr/A-Za-z0-9//cd;
	$VI{institution_id} = &funny_char("$VI{institution_id}","0");
	my %RETURN = ();

	&print_javascript_begin();
	
	print"var delet
	var org_window
	var top1
	var bottom1
	var view_user
	var view_class_user\n";

	print"function rename_it\(org,what\) \{
	close_open_windows\(\)
	var rename_string = new String\(org\)
	var rename_array = rename_string.split\(\",\"\)
	org_window = window.open\(\"\",\"org_window\",\"top=200,left=230,height=150,width=470\"\)
	org_window.focus\(\)
	if\(what == \"class\"\) \{
	org_window.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeClass}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)
	\}
	else \{
	org_window.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{RenameOrganization}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)
	\}\n";
	
	print"org_window.document.writeln\(\'<script language=\"Javascript\" type=\"text\/javascript\">\'\)
	org_window.document.writeln\(\'\<\!--\'\)
	org_window.document.writeln\(\'function sub_mit\(\)\{\'\)
	org_window.document.writeln\(\'document.form1.submit\(\)\'\)
	org_window.document.writeln\(\'self.close\(\)\'\)
	org_window.document.writeln\(\'\}\'\)
        org_window.document.writeln\(\'\/\/--\\>\'\)
	org_window.document.writeln\(\'\\<\\/script\\>\'\)\n";
	
	print"if\(what == \"class\"\) \{
	org_window.document.writeln\(\'<form name=\"form1\" action=\"\/qst\/one\" target=\"theleft\">\'\)
	\}
	else \{
	org_window.document.writeln\(\'<form name=\"form1\" action=\"\/qst\/one\" target=\"theright\">\'\)
	\}
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"rename_it\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"type\" value=\"6\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$VI{u_id}\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$VI{session_id}\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"org_id\" value=\"\'\)
	org_window.document.write\(\'\'\ +rename_array\[0\])
	org_window.document.writeln\(\'\">\'\)
	if\(what == \"class\"\) \{
	org_window.document.write\(\'<input type=\"hidden\" name=\"\'\)
	org_window.document.write\(\'\'\ +what)
	org_window.document.write\(\'\"\'\)
	org_window.document.write\(\' value=\"\'\)
	org_window.document.write\(\'\'\ +rename_array\[2\]\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"org_letter\" value=\"\'\)
	org_window.document.write\(\'\'\ +rename_array\[3\]\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.write(\'<input type=\"hidden\" name=\"org_name\" value=\"\'\)
	org_window.document.write\(\'\'\ +rename_array\[4\]\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"org_type\" value=\"\'\)
	org_window.document.write\(\'\'\ +rename_array\[5\]\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"class_id\" value=\"\'\)
	org_window.document.write\(\'\'\ +rename_array\[2\]\)
	org_window.document.writeln\(\'\">\'\)
	\}
	org_window.document.write\(\'<center><TABLE><TR><TD align=\"right\">$LANGUAGE{$set_language}{Name}\:</TD><TD> <input type=\"text\" name=\"name\" value=\"\'\)
	org_window.document.write\(\'\'+rename_array\[1\]\)
	org_window.document.writeln\(\'\" size=\"30\"\ maxlength=\"50\"></TD></TR>\'\)
	if\(what == \"class\"\) \{
	org_window.document.write\(\'<TR><TD align=\"right\">$LANGUAGE{$set_language}{Classid}\</TD><TD>: <input type=\"text\" name=\"institution_id\" value=\"\'\)
	org_window.document.write\(\'\'+rename_array\[6\]\)
	org_window.document.writeln\(\'\" size=\"10\"\ maxlength=\"10\"></TD></TR></TABLE></center>\'\)
	\}
	org_window.document.writeln\(\'<BR><center><TABLE width=\"100%\" $action_bar ><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\"onClick=\"sub_mit\(\)\">$LANGUAGE{$set_language}{Change}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor:pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TR></TABLE></center></FORM>\'\)
	org_window.document.writeln\(\'<\/body><\/html>\'\)
	org_window.document.close()
	\}\n";

	print"function view_it\(org_id,org_name,type,letter,view\) \{
	document.form1.org_id.value = org_id
	document.form1.org_name.value = org_name
	document.form1.org_type.value = type
	document.form1.org_letter.value = letter
	document.form1.view.value = view
	document.form1.submit\(\)
	\}\n";

	print"function close_open_windows\(\) {
	if\(!org_window\) \{
	\}else \{
	org_window.close\(\)
	\}
	if\(!delet\) \{
	\}else \{
	delet.close\(\)
	\}
	if\(!view_user\) \{
	\}else \{
	view_user.close\(\)
	\}
	if\(!view_class_user\)\ {
	\}else \{
	view_class_user.close\(\)
	\}
	\}\n";

	print"function view_use\(org_id,f_name,m_name,l_name,org_type,uid,u_type\) \{
	close_open_windows\(\)
        view_user = window.open\(\"\",\"view_user\",\"top=200,left=250,height=300,width=400,scrollbars\"\)
	view_user.focus\(\)
	view_user.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewUser}\'\)
	view_user.document.writeln\(\'</title><\/head><body>\'\)
	view_user.document.writeln\(\'<\/body><\/html>\'\)
	view_user.document.close()
	document.form2.org_id.value = org_id
	document.form2.org_type.value = org_type
	document.form2.f_name.value = f_name
	document.form2.m_name.value = m_name
	document.form2.l_name.value = l_name
	document.form2.uid.value = uid
	document.form2.u_type.value = u_type
	document.form2.submit\(\)
	\}\n";
	
	print"\n";

	print"function view_class_users\(org_id,class_id,class_name\) \{
	close_open_windows\(\)
	view_class_user = window.open\(\"\",\"view_class_user\",\"top=200,left=250,height=400,width=400,scrollbars\"\)
	view_class_user.focus\(\)
	view_class_user.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewClassUsers}\'\)
	view_class_user.document.writeln\(\'</title><\/head><body>\'\)
	view_class_user.document.writeln\(\'<\/body><\/html>\'\)
	view_class_user.document.close()
	document.form3.org_id.value = org_id
	document.form3.class_id.value = class_id
	document.form3.class_name.value = class_name
	document.form3.submit\(\)
	\}\n";

	print"function add_subtract\(org_id,f_name,m_name,l_name,u_name,uid,letter,org_name,org_type,u_type\) \{
	close_open_windows\(\)
	org_window = window.open\(\"\",\"org_window\",\"top=200,left=300,height=500,width=350\"\)
	org_window.focus\(\)
	org_window.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ViewClasstoUser}<\/title><\/head>\'\)
	org_window.document.writeln\(\'<frameset rows=\"25\%,\*\" FRAMEBORDER=\"0\" FRAMESPACING=\"0\">\'\)
	org_window.document.writeln\(\'<frame src=\"\" name=\"top1\">\'\)
	org_window.document.writeln\(\'<frame src=\"\" name=\"bottom1\">\'\)
	org_window.document.writeln\(\'<\/frameset><\/head><\/body><\/html>\'\)
	org_window.document.close()
	org_window.top1.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{AddClass}\'\)
	org_window.top1.document.writeln\(\'<\/title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)
	org_window.top1.document.writeln\(\'\<script language=\"Javascript\" type=\"text\/javascript\"\>\'\)
	org_window.top1.document.writeln\(\'\<\!--\'\)
	org_window.top1.document.writeln\(\'function add_it\(\)\{\'\)
	org_window.top1.document.writeln\(\'self.parent.bottom1.document.formaddu.submit\(\)\'\)
	org_window.top1.document.writeln\(\'setTimeout\(function\(\)\{self.parent.close\(\)\},1000\)\'\)
	org_window.top1.document.writeln\(\'\}\'\)
	org_window.top1.document.writeln\(\'\/\/--\\>\'\)
	org_window.top1.document.writeln\(\'\\<\\/script\\>\'\)
	org_window.top1.document.writeln\(\'<center><B>\'\)
	org_window.top1.document.writeln\(\'\' +org_name\)
	org_window.top1.document.writeln\(\'<\/center><B><P>\'\)
	org_window.top1.document.writeln\(\'<center><B>\'\)
	org_window.top1.document.write\(\'\' +f_name\)
	org_window.top1.document.write\(\' \'\)
	org_window.top1.document.write\(\'\' +m_name\)
	org_window.top1.document.write\(\' \'\)
	org_window.top1.document.write\(\'\' +l_name\)
	org_window.top1.document.write\(\' \'\)
	org_window.top1.document.writeln\(\'<\/center><B>\'\)
	org_window.top1.document.writeln\(\'<BR><TABLE width=\"100%\" $action_bar ><TR><TD><center><font color=\"white\"><B style=\"cursor:pointer\" onClick=\"add_it\(\)\">$LANGUAGE{$set_language}{Add}<\/B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor: pointer\" onClick=\"self.parent.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></FONT></center></TD></TR><\/TABLE>  \'\)
	org_window.top1.document.writeln\(\'<\/body><\/html>\'\)
	org_window.top1.document.close()
	org_window.bottom1.document.writeln\(\'<html><head><title>\'\)
	org_window.bottom1.document.writeln\(\'<\/title><\/head><body>\'\)
	org_window.bottom1.document.writeln\(\'<\/body><\/html>\'\)
	org_window.bottom1.document.close()
	document.form1.org_id.value = org_id
	document.form1.org_name.value = org_name
	document.form1.org_type.value = org_type
	document.form1.org_letter.value = letter
	document.form1.f_name.value = f_name
	document.form1.m_name.value = m_name
	document.form1.l_name.value = l_name
	document.form1.uid.value = uid
	document.form1.u_type.value = u_type
	document.form1.submit\(\)\}\n";

	print"function change_user\(org_id,f_name,m_name,l_name,u_name,uid,letter,org_name,org_type,u_type,i_id,photo\) \{
	close_open_windows\(\)
	org_window = window.open\(\"\",\"org_window\",\"top=200,left=200,height=310,width=670\"\)
	org_window.focus\(\)
	org_window.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{ChangeUser}\'\)
	org_window.document.writeln\(\'</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)\n";
	
	print"org_window.document.writeln\(\'<form name=\"form3\" method=\"POST\" action=\"\/qst\/one\" target=\"photo_frame\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$VI{u_id}\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$VI{session_id}\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"mode\" value=\"6\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"uid\" value=\"\'\)
	org_window.document.write\(\'\'+uid\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"upload_photo\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"org_id\" value=\"\'\)
	org_window.document.write\(\'\'+org_id\)
	org_window.document.writeln\(\'\"></FORM>\'\)\n";
	
	print"org_window.document.writeln\(\'<TABLE width=\"100%\"><TR><TD><center><iframe name=\"photo_frame\" width=\"200\" height=\"200\"\'\)\n";
	print"if\(photo ==\"\"\) \{\n";
	print"org_window.document.writeln\(\'></iframe></center><BR><center><B ID=\"photo_delete\" STYLE=\"cursor: pointer\; display:none\" onClick=\"photo_delete_handler\(\)\">$LANGUAGE{$set_language}{DeletePhoto}</B></center><img src =\"\/schools\/blank.gif\" onLoad=\"document.form3.submit\(\)\"></TD><TD>\'\)\n";
	print"\}\n";
	print"else \{\n";
	print"org_window.document.write\(\' src=\"$directory_path\'\)
	org_window.document.write\(\'\'+photo\)
	org_window.document.writeln\(\'\"\'\)\n";
	print"org_window.document.writeln\(\'></iframe></center><BR><center><B ID=\"photo_delete\" STYLE=\"cursor: pointer\" onClick=\"photo_delete_handler\(\)\">$LANGUAGE{$set_language}{DeletePhoto}</B></center></TD><TD>\'\)\n";
	print"\}\n";
	
	&javascript_new_windo_check_input_not_empty("form","form1","windo","org_window","error_message","$LANGUAGE{$set_language}{Arequiredfieldwasnotentered}","fields","f_name;l_name");
	&javascript_new_windo_delete_photo();
	
	print"org_window.document.writeln\(\'<form name=\"form2\" method=\"POST\" action=\"\/qst\/one\" target=\"photo_frame\">\'\)
		org_window.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$VI{u_id}\">\'\)
		org_window.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$VI{session_id}\">\'\)
		org_window.document.writeln\(\'<input type=\"hidden\" name=\"mode\" value=\"6\">\'\)
		org_window.document.write\(\'<input type=\"hidden\" name=\"uid\" value=\"\'\)
		org_window.document.write\(\'\'+uid\)
		org_window.document.writeln\(\'\">\'\)
		org_window.document.write\(\'<input type=\"hidden\" name=\"photo\" value=\"\'\)
		org_window.document.write\(\'\'+photo\)
		org_window.document.writeln\(\'\">\'\)
		org_window.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"delete_photo\">\'\)
		org_window.document.write\(\'<input type=\"hidden\" name=\"org_id\" value=\"\'\)
		org_window.document.write\(\'\'+org_id\)
	org_window.document.writeln\(\'\"></FORM>\'\)\n";
	
	
	print"org_window.document.writeln\(\'<form name=\"form1\" method=\"POST\" action=\"\/qst\/one\" target=\"theleft\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"type\" value=\"6\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$VI{u_id}\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$VI{session_id}\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"letter\" value=\"\'\)
	org_window.document.write\(\'\'+letter\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"uid\" value=\"\'\)
	org_window.document.write\(\'\'+uid\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"org_type\" value=\"\'\)
	org_window.document.write\(\'\'+org_type\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"org_name\" value=\"\'\)
	org_window.document.write\(\'\'+org_name\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"change_user\">\'\)
	org_window.document.writeln\(\'<center><B>\'\)
	org_window.document.writeln\(\'\'+org_name\)
	org_window.document.writeln\(\'</B> - User</center><P>\'\)
	org_window.document.write\(\'<input type=\"hidden\" name=\"org_id\" value=\"\'\)
	org_window.document.write\(\'\'+org_id\)
	org_window.document.writeln\(\'\">\'\)
	org_window.document.write\(\'<TABLE><TR><TD width=\"10\"></TD><TD align=\"right\"> $LANGUAGE{$set_language}{Firstname}\:</TD><TD> <input type=\"text\" name=\"f_name\" value=\"\'\)
	org_window.document.write\(\'\'+f_name\)
	org_window.document.writeln\(\'\" size=\"10\"\><font color=\"red\">*</font><font size=\"-1\">$LANGUAGE{$set_language}{required}</font></TD></TR>\'\)
	org_window.document.write\(\'<TR><TD width=\"10\"></TD><TD align=\"right\"> $LANGUAGE{$set_language}{MiddleInitial}\:</TD><TD> <input type=\"text\" name=\"m_name\" value=\"\'\)
	org_window.document.write\(\'\'+m_name\)
	org_window.document.writeln\(\'\" size=\"10\"\></TD></TR>\'\)
	org_window.document.write\(\'<TR><TD width=\"10\"></TD><TD align=\"right\"> $LANGUAGE{$set_language}{LastName}\:</TD><TD> <input type=\"text\" name=\"l_name\" value=\"\'\)
	org_window.document.write\(\'\'+l_name\)
	org_window.document.write\(\'\" size=\"10\"\><font color=\"red\">*</font><font size=\"-1\">$LANGUAGE{$set_language}{required}</font></TD></TR>\'\)
	org_window.document.write\(\'<TR><TD width=\"10\"></TD><TD align=\"right\"> $LANGUAGE{$set_language}{UserName}\:</TD><TD> '\+u_name\+' <input type=\"hidden\" name=\"u_name\" value=\"\'\)
	org_window.document.write\(\'\'+u_name\)
	org_window.document.writeln\(\'\" size=\"10\"\></TD></TR>\'\)
	org_window.document.writeln\(\'<TR><TD width=\"10\"></TD><TD align=\"right\"> $LANGUAGE{$set_language}{ChangePasswordto}\:</TD><TD> <input type=\"text\" name=\"pass\" value=\"\" size=\"10\"\></TD></TR>\'\)
	org_window.document.writeln\(\'<TR><TD width=\"10\"></TD><TD align=\"right\"> $LANGUAGE{$set_language}{Usertype}\:</TD><TD>\'\)
	org_window.document.writeln\(\'<SELECT name=\"u_type\">\'\)\n";
	
	print"if\(u_type == 2\) \{
	org_window.document.writeln\(\'<Option value=\"2\" selected> $LANGUAGE{$set_language}{Instructor}\'\)
	\}
	if\(u_type == 3\) \{
	org_window.document.writeln\(\'<Option value=\"3\" selected> $LANGUAGE{$set_language}{Student}\'\)
	\}\n";
	
	if($org_id == 0) { # HEAD Administrator and other Admins
                print"if\(u_type == 1\) \{
                org_window.document.writeln\(\'<Option value=\"1\" selected> $LANGUAGE{$set_language}{OrganizationAdmin}\'\)
                \}\n";
                }
                
	print"if\(u_type == 5\) \{
	org_window.document.writeln\(\'<Option value=\"5\" selected> $LANGUAGE{$set_language}{qbank_admin}\'\)
	\}
	org_window.document.writeln\(\'<\/SELECT></TD></TR>\'\)
	org_window.document.write\(\'<TR><TD width=\"10\"></TD><TD align=\"right\"> $LANGUAGE{$set_language}{Institutionid}\:</TD><TD> <input type=\"text\" name=\"i_id\" value=\"\'\)
	org_window.document.write\(\'\'+i_id\)
	org_window.document.write\(\'\" size=\"10\"\></TD></TR></TABLE>\'\)
	org_window.document.writeln\(\'<center><TABLE width=\"100%\" $action_bar ><TD><center><font color=\"white\"><B style=\"cursor: pointer\" onClick=\"check_handler\(\)\">$LANGUAGE{$set_language}{Change}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor: pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TABLE></center></FORM>\'\)
	org_window.document.writeln\(\'</TD></TR></TABLE><\/body><\/html>\'\)
	org_window.document.close()
	\}\n";


	print"function delete_class_from_user\(del\) \{
	var del_string = new String\(del\)
	var del_array = del_string.split\(\",\"\)
	delet = window.open\(\"\",\"delet\",\"top=200,left=200,height=140,width=450\"\)
	delet.focus\(\)
	delet.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{DeleteClassfromUser}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)
	delet.document.writeln\(\'\<script language=\"Javascript\" type=\"text\/javascript\"\>\'\)
	delet.document.writeln\(\'function submit_handler\(\)\{\'\)
	delet.document.writeln\(\'document.form1.submit\(\)\'\)
	delet.document.writeln\(\'self.close\(\)\'\)
	delet.document.writeln\(\'\}\'\)
	delet.document.writeln\(\'\<\/script\>\'\)
	delet.document.writeln\(\'<form name=\"form1\" action=\"\/qst\/one\" target=\"theleft\">\'\)
	delet.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"delete_class_from_user\">\'\)
	delet.document.writeln\(\'<input type=\"hidden\" name=\"org_type\" value=\"$VI{org_type}\">\'\)
	delet.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$VI{u_id}\">\'\)
	delet.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$VI{session_id}\">\'\)
	delet.document.write\(\'<input type=\"hidden\" name=\"org_id\" value=\"\'\)
	delet.document.write\(\'\'\ +del_array\[0\])
	delet.document.writeln\(\'\">\'\)
	delet.document.write\(\'<input type=\"hidden\" name=\"org_name\" value=\"\'\)
	delet.document.write\(\'\'\ +del_array\[4\])
	delet.document.writeln\(\'\">\'\)
	delet.document.write\(\'<input type=\"hidden\" name=\"org_letter\" value=\"\'\)
	delet.document.write\(\'\'\ +del_array\[3\])
        delet.document.writeln\(\'\">\'\)
	delet.document.write\(\'<input type=\"hidden\" name=\"class_id\" value=\"\'\)\n";

	if($VI{org_type} == 1) {
		print"delet.document.write\(\'\'\ +del_array\[7\])\n";
		}
	else {
		print"delet.document.write\(\'\'\ +del_array\[5\])\n";
		}
		
	print"delet.document.writeln\(\'\">\'\)
	delet.document.write\(\'<input type=\"hidden\" name=\"view\" value=\"\'\)
	delet.document.write\(\'\'\ +del_array\[1\])
	delet.document.writeln\(\'\">\'\)
	delet.document.write\(\'<input type=\"hidden\" name=\"uid\" value=\"\'\)\n";

	if($VI{org_type} == 1) {
		print"delet.document.write\(\'\'\ +del_array\[5\])\n";
		}
	else {
		print"delet.document.write\(\'\'\ +del_array\[1\])\n";
		}
		
	print"delet.document.writeln\(\'\">\'\)
	delet.document.write\(\'<center><B>\'\)
	delet.document.write\(\'\' +del_array\[2\]\)
 	delet.document.writeln\(\'</B> </center><P>\'\)\n";

	if($VI{org_type} == 1) {
		print"delet.document.write\(\'<center>$LANGUAGE{$set_language}{Removeuser} <B>\'\)\n";
		}
	else {
		print"delet.document.write\(\'<center>$LANGUAGE{$set_language}{Removeclass} <B>\'\)\n";
		}
		
	print"delet.document.write\(\'\' +del_array\[6\]\)
 	delet.document.writeln\(\'</B> </center>\'\)
	delet.document.writeln\(\'<BR><center><TABLE width=\"100%\" $action_bar ><TD><center><B style=\"cursor: pointer\" onClick=\"submit_handler\(\)\"><font color=\"white\">$LANGUAGE{$set_language}{Remove}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor: pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TABLE></center></FORM>\'\)
	delet.document.writeln\(\'<\/body><\/html>\'\)
	delet.document.close()
	\}\n";

	print"function delete_it\(del\) \{
	close_open_windows\(\)
	var del_string = new String\(del\)
	var del_array = del_string.split\(\",\"\)
	delet = window.open\(\"\",\"delet\",\"top=200,left=200,height=140,width=450\"\)
	delet.focus\(\)\n";

	if($VI{org_type} == 1) {
		print"delet.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{DeleteClass}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)\n";
		}
	else {
		print"delet.document.writeln\(\'<html><head><title>$LANGUAGE{$set_language}{DeleteUser}</title><\/head><body style=\"font-family:Arial\; font-size:11pt\;\">\'\)\n";
		}
		
	print"delet.document.writeln\(\'\<script language=\"Javascript\" type=\"text\/javascript\"\>\'\)
	delet.document.writeln\(\'function submit_handler\(\)\{\'\)
	delet.document.writeln\(\'document.form1.submit\(\)\'\)
	delet.document.writeln\(\'self.close\(\)\'\)
	delet.document.writeln\(\'\}\'\)
	delet.document.writeln\(\'\<\/script\>\'\)
	delet.document.writeln\(\'<form name=\"form1\" action=\"\/qst\/one\" target=\"theleft\">\'\)
	delet.document.writeln\(\'<input type=\"hidden\" name=\"input\" value=\"delete_it\">\'\)
	delet.document.writeln\(\'<input type=\"hidden\" name=\"org_type\" value=\"$VI{org_type}\">\'\)
	delet.document.writeln\(\'<input type=\"hidden\" name=\"u_id\" value=\"$VI{u_id}\">\'\)
	delet.document.writeln\(\'<input type=\"hidden\" name=\"session_id\" value=\"$VI{session_id}\">\'\)
	delet.document.write\(\'<input type=\"hidden\" name=\"org_id\" value=\"\'\)
	delet.document.write\(\'\'\ +del_array\[0\])
	delet.document.writeln\(\'\">\'\)
	delet.document.write\(\'<input type=\"hidden\" name=\"org_name\" value=\"\'\)
	delet.document.write\(\'\'\ +del_array\[4\])
	delet.document.writeln\(\'\">\'\)
	delet.document.write\(\'<input type=\"hidden\" name=\"org_letter\" value=\"\'\)
	delet.document.write\(\'\'\ +del_array\[3\])
	delet.document.writeln\(\'\">\'\)\n";

	if($VI{org_type} == 1) {
		print"delet.document.write\(\'<input type=\"hidden\" name=\"class_id\" value=\"\'\)
		delet.document.write\(\'\'\ +del_array\[1\])\n";
		}
	else {
		print"delet.document.write\(\'<input type=\"hidden\" name=\"uid\" value=\"\'\)
		delet.document.write\(\'\'\ +del_array\[1\])\n";
		}
		
	print"delet.document.writeln\(\'\">\'\)
	delet.document.write\(\'<center>$LANGUAGE{$set_language}{Delete} <B>\'\)
	delet.document.write\(\'\' +del_array\[2\]\)
 	delet.document.writeln\(\'</B> </center>\'\)
	delet.document.writeln\(\'<BR><center><TABLE width=\"100%\" $action_bar ><TD><center><font color=\"white\"><B style=\"cursor: pointer\" onClick=\"submit_handler\(\)\">$LANGUAGE{$set_language}{Delete}</B>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;<B style=\"cursor: pointer\" onClick=\"self.close\(\)\">$LANGUAGE{$set_language}{Cancel}</B></font></center></TD></TABLE></center></FORM>\'\)
	delet.document.writeln\(\'<\/body><\/html>\'\)
	delet.document.close()
	\}\n";
	
	&print_javascript_end();

	print"<center><B STYLE=\"cursor: pointer\;\" OnClick=\"document.closewin.submit\(\)\">$LANGUAGE{$set_language}{Cancel}</B></center><P>\n";
	
	if($VI{org_type} == 1) { # Search for classes All or A-Z
		print"<center><B>$VI{org_name} $LANGUAGE{$set_language}{Classes}</center></B><P>
		<center><B>-- $VI{org_letter} --</B></center><P>
		<DL>\n";
		
		if($VI{org_letter} eq"All") {
			%RETURN = &select_classes("from","classes","org_id","$VI{org_id}","org_letter","");
			}
		else {
			%RETURN = &select_classes("from","classes","org_id","$VI{org_id}","org_letter","$VI{org_letter}");
			}
			
		if (keys %RETURN) {
			my $index = 1;
			my %RETURN_CLASSES = ();
			foreach my $key(keys %RETURN) {
				$RETURN_CLASSES{$RETURN{$key}{name}} = "$key";
				}
				
			foreach my $key(sort keys %RETURN_CLASSES) {
				if ($VI{view} == 0) {
					print"<font size=\"-1\">$index</font> <a href=\"javascript:void\(0\)\" OnClick=\"delete_it\(\'$VI{org_id},$RETURN_CLASSES{$key},$key,$VI{org_letter},$VI{org_name},$VI{org_type}\'\)\">$image7</a> <a href=\"javascript:void\(0\)\" onClick=\"rename_it\(\'$VI{org_id},$key,$RETURN_CLASSES{$key},$VI{org_letter},$VI{org_name},$VI{org_type},$RETURN{$RETURN_CLASSES{$key}}{institution_id}\',\'class\'\)\">$image8</a> <font style=\"cursor:pointer\; font-size: 18pt\" onClick=\"view_class_users\(\'$VI{org_id}\',\'$RETURN_CLASSES{$key}\',\'$key\'\)\"><B data-toggle=\"tooltip\" title=\" Remove students\"> - </B></font> $key <font size=\"-1\"> \- $RETURN{$RETURN_CLASSES{$key}}{institution_id}</font><BR>\n";
					}
				++$index;
				}
			}
		}
		
	elsif (defined $VI{institution_id} && $VI{institution_id} ne"") { # Search for a single class
		print"<center><B>$VI{org_name} $LANGUAGE{$set_language}{Classes}</center></B><P>\n";
		print"<DL>\n";
		my %RETURN = &select_class("org_id","$VI{org_id}","institution_id","$VI{institution_id}");

		if (keys %RETURN) {
			my $index = 1;
			my %RETURN_CLASSES = ();
			foreach my $key(keys %RETURN) {
				$RETURN_CLASSES{$RETURN{$key}{name}} = "$key";
				}
				
			foreach my $key(sort keys %RETURN_CLASSES) {
				if ($VI{view} == 0) {
					print"<font size=\"-1\">$index</font> <a href=\"javascript:void\(0\)\" OnClick=\"delete_it\(\'$VI{org_id},$RETURN_CLASSES{$key},$key,$VI{org_letter},$VI{org_name},$VI{org_type}\'\)\">$image7</a> <a href=\"javascript:void\(0\)\" onClick=\"rename_it\(\'$VI{org_id},$key,$RETURN_CLASSES{$key},$VI{org_letter},$VI{org_name},$VI{org_type},$VI{institution_id}\',\'class\'\)\">$image8</a> <B STYLE=\"cursor:pointer\; font-size: 18pt\" data-toggle=\"tooltip\" title=\" Remove students\"  onClick=\"view_class_users\(\'$VI{org_id}\',\'$RETURN_CLASSES{$key}\',\'$key\'\)\">-</B> $key <font size=\"-1\"> \- $VI{institution_id}</font><BR>\n";
					}
				++$index;
				}
			}
		}
		
		
	elsif (defined $VI{student_id} && $VI{student_id} ne"") { # Search for a student id
		print"<center><B>$VI{org_name} $LANGUAGE{$set_language}{Users}</center></B><P>\n";
		print"<DL>\n";
		my %RETURN = &select_user("org_id","$VI{org_id}","student_id","$VI{student_id}");
		if (keys %RETURN) {
			my $index = 1;
			foreach my $key(sort {$a<=>$b} keys %RETURN) {
				my $user_type = "$u_type[$RETURN{$key}{u_type}]";
				print"<font size=\"-1\">$index</font> <a href=\"javascript:void\(0\)\" OnClick=\"delete_it\(\'$VI{org_id},$key,$RETURN{$key}{f_name} $RETURN{$key}{l_name},ALL,$VI{org_name}\'\)\">$image7</a>\n";
				print"<a href=\"javascript:void\(0\)\" onClick=\"change_user\(\'$VI{org_id}\',\'$RETURN{$key}{f_name}\',\'\',\'$RETURN{$key}{l_name}\',\'$RETURN{$key}{u_name}\',\'$key\',\'$RETURN{$key}{letter}\',\'$VI{org_name}\',\'$VI{org_type}\',\'$RETURN{$key}{u_type}\',\'$VI{student_id}\'\)\">$image8</a>\n";
				print"<B STYLE=\"cursor: pointer\; font-size: 18pt\" data-toggle=\"tooltip\" title=\" Add Class\" onClick=\"add_subtract\(\'$VI{org_id}\',\'$RETURN{$key}{f_name}\',\'\',\'$RETURN{$key}{l_name}\',\'$RETURN{$key}{u_name}\',\'$key\',\'$RETURN{$key}{letter}\',\'$VI{org_name}\',\'$VI{org_type}\',\'$RETURN{$key}{u_type}\'\)\">+</B>\n"; 
				print"<B B STYLE=\"cursor: pointer\; font-size: 18pt\" data-toggle=\"tooltip\" title=\" Remove Class\" onClick=\"view_use\(\'$VI{org_id}\',\'$RETURN{$key}{f_name}\',\'\',\'$RETURN{$key}{l_name}\',\'$VI{org_type}\',\'$key\',\'$RETURN{$key}{u_type}\'\)\">-</B> $RETURN{$key}{f_name} $RETURN{$key}{l_name}  \n";
				
				if($RETURN{$key}{u_type} == 2) {
					print"<font size=\"-1\" color=\"red\">\($user_type\)</font><font size=\"-1\"> \($VI{student_id}\)</font><BR>\n";
					}
					
				elsif($RETURN{$key}{u_type} == 5) {
					print"<font size=\"-1\" color=\"blue\">\($user_type\)</font><font size=\"-1\"> \($VI{student_id}\)</font><BR>\n";
					}
					
				elsif($RETURN{$key}{u_type} == 1) {
					print"<font size=\"-1\" color=\"green\">\($user_type\)</font><font size=\"-1\"> \($VI{student_id}\)</font><BR>\n";
					}
				else {
					print"<font size=\"-1\">\($user_type\) \($VI{student_id}\)</font><BR>\n";
					}
				++$index;
				}
			}
		}
	else { 
		if($VI{org_letter} eq"All") { #View All Org Users
			print"<center><B>$VI{org_name} $LANGUAGE{$set_language}{Users}</B></center><P><center><B>-- $VI{org_letter} --</B></center><P>\n";
			%RETURN = &select_users_admin("from","users","org_id","$VI{org_id}","org_letter","");
			}
		elsif($VI{org_letter} ne"") {
			print"<center><B>$VI{org_name} $LANGUAGE{$set_language}{Users}</B></center><P><center><B>-- $VI{org_letter} --</B></center><P>\n";
			%RETURN = &select_users_admin("from","users","org_id","$VI{org_id}","org_letter","$VI{org_letter}");
			}
			
		if (keys %RETURN) {
			my $index = 1;
			foreach my $key1(sort keys %RETURN) {
				if(keys %{$RETURN{$key1}}) {
					foreach my $key(sort keys %{$RETURN{$key1}}) {
					
						my @users = split(/,/,$RETURN{$key1}{$key});
						my $user_type = "$u_type[$users[1]]";
				
						if ($VI{view} == 0) {
                                    			if($users[1] == 5 || $users[1] == 1) { # Question Bank Admin and Org Admins
                                               			if($users[0] != 1) {
                                                        		if($users[1] == 5) { # Question Bank Admin
                                                        			print"<font size=\"-1\">$index</font> <a href=\"javascript:void\(0\)\" OnClick=\"delete_it\(\'$VI{org_id},$users[0],$users[2] $users[3] $users[4],$VI{org_letter},$VI{org_name}\'\)\">$image7</a> <a href=\"javascript:void\(0\)\" onClick=\"change_user\(\'$VI{org_id}\',\'$users[2]\',\'$users[3]\',\'$users[4]\',\'$users[5]\',\'$users[0]\',\'$VI{org_letter}\',\'$VI{org_name}\',\'$VI{org_type}\',\'$users[1]\',\'$users[6]\',\'$users[7]\'\)\">$image8</a>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$users[2] $users[3] $users[4]\n";
                                                                		print"<font size=\"-1\" color=\"blue\">\($user_type\)</font><BR>\n";
                                                               			}
                                                        		else { # Org Admins
                                                        			print"<font size=\"-1\">$index</font>&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;&nbsp\;$users[2] $users[3] $users[4]\n";
                                                                		print"<font size=\"-1\" color=\"green\"><i>\($user_type\)</i></font><BR>\n";
                                                                		}
                                                        		}
                                                		}
                                        		else { # all other users
                                                		print"<font size=\"-1\">$index</font> <a href=\"javascript:void\(0\)\" OnClick=\"delete_it\(\'$VI{org_id},$users[0],$users[2] $users[3] $users[4],$VI{org_letter},$VI{org_name}\'\)\">$image7</a> <a href=\"javascript:void\(0\)\" onClick=\"change_user\(\'$VI{org_id}\',\'$users[2]\',\'$users[3]\',\'$users[4]\',\'$users[5]\',\'$users[0]\',\'$VI{org_letter}\',\'$VI{org_name}\',\'$VI{org_type}\',\'$users[1]\',\'$users[6]\',\'$users[7]\'\)\">$image8</a> <font style=\"cursor:pointer\; font-size: 18pt\"  onClick=\"add_subtract\(\'$VI{org_id}\',\'$users[2]\',\'$users[3]\',\'$users[4]\',\'$users[4]\',\'$users[0]\',\'$VI{org_letter}\',\'$VI{org_name}\',\'$VI{org_type}\',\'$users[1]\'\)\"><B data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{AddClass}\"> + </B></font> <font style=\"cursor: pointer\; font-size: 18pt\" OnClick=\"view_use\(\'$VI{org_id}\',\'$users[2]\',\'$users[3]\',\'$users[4]\',\'$VI{org_type}\',\'$users[0]\',\'$users[1]\'\)\"><B data-toggle=\"tooltip\" title=\" $LANGUAGE{$set_language}{Removeclass}\">-</B></font>&nbsp\; $users[2] $users[3] $users[4] \n";
                                                
                                                		if($users[1] == 2) {
                                                        		print"<font size=\"-1\" color=\"red\">\($user_type\)</font><font size=\"-1\"> \($users[6]\)</font><BR>\n";
                                                        		}
                                                		else {
                                                        		print"<font size=\"-1\">\($user_type\) \($users[6]\)</font><BR>\n";
                                                        		}
                                            			}
							++$index;
							}
						}
					}
				}
			}
		}
		
	if($VI{no_good} ne"0" && defined $VI{no_good}) {
		&alert("no_good","$VI{no_good}","alert","2");
		}
	
	if($VI{name_there} ne"0" && defined $VI{name_there}) {
		if($VI{name_there} == 2) {
			&alert("no_good","5","alert","5");
			}
		else {
			&alert("no_good","4","alert","4");
			}
		}
	
  	&print_form("form_name","form1","form_target","bottom1","input","add_class_to_user","org_id","","org_name","","org_type","","org_letter","","f_name","","m_name","","uid","","l_name","","u_id","","u_type","","u_id","$VI{u_id}","session_id","$VI{session_id}");
  	
  	&print_form("form_name","form2","form_target","view_user","input","admin_view_user","org_id","","org_type","","f_name","","m_name","","uid","","l_name","","u_id","","u_type","","u_id","$VI{u_id}","session_id","$VI{session_id}");
  	
  	&print_form("form_name","form3","form_target","view_class_user","input","admin_view_users_in_class","org_id","","class_id","","uid","","class_name","","u_id","$VI{u_id}","session_id","$VI{session_id}");
  	
  	&print_form("form_name","closewin","input","print_admin_screen","u_id","$VI{u_id}","session_id","$VI{session_id}","from","9");
	}

#########################################################################
#
#             DATABASE CALLS
#
#########################################################################

##############
#
# CHECK
#
#############
sub check {
	my %CHECK = @_;
	my $query = qq{SELECT ids from  $CHECK{table} WHERE ids="$CHECK{u_id}" LIMIT 1};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	my @row = $sth->fetchrow_array();
	return(@row);
	}

##############
#
# CHECK_LENGTH_RETURN
#
#############
sub check_length_return {
	my %CHECK = @_;
	my $return = 0;
	if(length($CHECK{var}) < $CHECK{length}) {
		$return = 1;
		}
	return($return);
	}

##############
#
# CHECK_MANY_LENGTH_RETURN
#
#############
sub check_many_length_return {
	my %CHECK = @_;
	my $return = 0;
	foreach my $key(keys %CHECK) {
		if(length($key) > $CHECK{$key}) {
			$return = 1;
			}
		}
	return($return);
	}

###########
#
# DELETE
#
###########
sub delete {
	my %I = @_;
	my $sth;
	if(defined $I{org_id}) {
		if($I{org_type} == 1) {
			my $query = qq{DELETE FROM $I{from} WHERE $I{column}="$I{value}" AND org_id=\"$I{org_id}\"};
			$sth = $dbh->prepare($query);
			}
		elsif ($I{org_type} == 2) {
			my $query = qq{DELETE FROM $I{from} WHERE $I{column}="$I{value}" AND org_id=\"$I{org_id}\"};
			$sth = $dbh->prepare($query);
			}
		$sth->execute();
		&view_it("org_id","$I{org_id}","org_name","$I{org_name}","org_type","$I{org_type}","org_letter","$I{org_letter}","u_id","$I{u_id}","session_id","$I{session_id}");
		}
	else {
		my $query = qq{DELETE FROM $I{from} WHERE $I{column}="$I{value}"};
		my $sth = $dbh->prepare($query);
		$sth->execute();
		}
	}

###########
#
# GENERIC_DELETE
#
###########
sub generic_delete {
	my %S = @_;
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# GET_STUDENTS
#
###########
sub get_students {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{u_name} = "$row[1]";
		$RETURN{$row[0]}{photo} = "$row[2]";
		}
	return(%RETURN);
	}

##############
#
# INSERT_FILE_INFO
#
##############
sub insert_file_info{
	my %IFI = @_;
	my $return;
	if($IFI{u_type} == 5) {
                $IFI{u_id} = 0;
                }

        my $query1 = "INSERT INTO qst_files(u_id,file_name,parent,org_id,type,size,filedescrip) VALUES(?,?,?,?,?,?,?)";
        my $sth1 = $dbh->prepare($query1);
        $sth1->execute($IFI{u_id},$IFI{f_name},$IFI{parent},$IFI{org_id},$IFI{type},$IFI{size},$IFI{filedescrip});

	my $query = qq{SELECT LAST_INSERT_ID()};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($return) = $sth->fetchrow_array();
	return($return);
	}

##############
#
# INSERT_USERS_CLASSES
#
#############
sub insert_users_classes {
	my %IUC = @_;
	my $query = qq{INSERT users_classes VALUES ("$IUC{u_id}","$IUC{class_id}","$IUC{org_id}")};
	my $sth = $dbh->prepare($query);
	$sth->execute();
        }
        
###########
#
# INSERT
#
###########
sub insert {
	my %I = @_;
	if($I{to} eq"classes") {
	        my $query1 = "INSERT INTO classes(class_name,org_id,institution_id) VALUES(?,?,?)";
                my $sth1 = $dbh->prepare($query1);
                $sth1->execute($I{value},$I{org_id},$I{institution_id});
		}
	else {
		my $query = qq{INSERT $I{to} VALUES(NULL,"$I{value}","0")};
		my $sth = $dbh->prepare($query);
		$sth->execute();
		}
	}

###########
#
# INSERT_ORG_RETURN
#
###########
sub insert_org_return {
	my %I = @_;
	my $return;
	my $query = "insert into organization(org_name,time_zone) VALUES(?,?)";
	my $sth = $dbh->prepare($query);
	$sth->execute($I{name},0);

	my $query = qq{SELECT LAST_INSERT_ID()};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($return) = $sth->fetchrow_array();
	return($return);
	}

###########
#
# INSERT_QUESTION_BANK_CATEGORY
#
###########
sub insert_question_bank_category {
	my %I = @_;
	my $return;
	my $query = "insert into question_categories(cat_name,parent,u_id,type,org_id,sub_type) VALUES(?,?,?,?,?,?)";
	my $sth = $dbh->prepare($query);
	$sth->execute('$LANGUAGE{$set_language}{qbank}',0,0,0,$I{org_id},0);
        }

###########
#
# INSERT_QUESTION_BANK_FILE_FOLDER
#
###########
sub insert_question_bank_file_folder {
	my %I = @_;
	my $return;
	my $query = "insert into file_folders(name,parent,u_id,type,org_id) VALUES(?,?,?,?,?)";
	my $sth = $dbh->prepare($query);
	$sth->execute($I{name},0,0,0,$I{org_id});
        }
        

###########
#
# INSERT_ASSIGN
#
###########
sub insert_assign {
	my %IA = @_;
        my $query1 = "INSERT INTO assignments(u_id,name,class_id,weight,marks,org_id) VALUES(?,?,?,?,?,?)";
        my $sth1 = $dbh->prepare($query1);
        $sth1->execute($ids,$IA{name},$IA{class_id},$IA{weight},$IA{marks},$org_id);
	}

###########
#
# INSERT_ASSIGN_MARK
#
###########
sub insert_assign_mark {
	my %IAM = @_;
	my $query = qq{INSERT assignment_marks VALUES("$IAM{s_id}","$IAM{assign_id}","$IAM{mark}","$org_id")};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# INSERT_ATTEMPTS
#
###########
sub insert_qst_attempts {
	my %IA = @_;
        my $query1 = "INSERT INTO qst_attempts(qst_no,u_id,attempts,org_id,start_time,start_day,start_month,finish_time,finish_day,finish_month,end,resume) VALUES(?,?,?,?,?,?,?,?,?,?,?,?)";
        my $sth1 = $dbh->prepare($query1);
        $sth1->execute($IA{qst_no},$ids,$IA{attempts},$org_id,$IA{start_time},$IA{start_day},$IA{start_month},$IA{finish_time},$IA{finish_day},$IA{finish_month},$IA{end},$IA{resume});
	}

###########
#
# INSERT_GENERIC
#
###########
sub insert_generic {
	my %I = @_;
	my $query = qq{$I{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# INSERT_GENERIC_FOLDER_QUOTE
#
###########
sub insert_generic_folder_quote {
	my %I = @_;
	my $quote = $dbh->quote($I{quote});
	my $query;

	if(exists $I{sub_type}) { # from questions page
		$query = qq{INSERT $I{query1} VALUES(NULL,$quote,"$I{query2}","$ids","1","$org_id","$I{sub_type}")};
#                my $query1 = "INSERT INTO qst(name,questions,marks,random_q,random_order,u_id,type,weight,org_id) VALUES(?,?,?,?,?,?,?,?,?)";
#                my $sth1 = $dbh->prepare($query1);
#                $sth1->execute($ICQRQ{quote},$ICQRQ{questions},$ICQRQ{marks},$ICQRQ{random_q},$ICQRQ{random_order},$ids,$ICQRQ{type},$ICQRQ{weight},$org_id);
		}
	elsif(!defined $I{type}) {
		$query = qq{INSERT $I{query1} VALUES(NULL,$quote,"$I{query2}","$ids","","$org_id")};
		}
	else{
		$query = qq{INSERT $I{query1} VALUES(NULL,$quote,"$I{query2}","$ids","$I{type}","$org_id")};
		}
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# INSERT_GENERIC_BANK_FOLDER_QUOTE
#
###########
sub insert_generic_bank_folder_quote {
	my %I = @_;
	my $quote = $dbh->quote($I{quote});
	my $query;

	if(exists $I{sub_type}) { # from questions page
		$query = qq{INSERT $I{query1} VALUES(NULL,$quote,"$I{query2}","0","1","$org_id","$I{sub_type}")};
#                my $query1 = "INSERT INTO qst(name,questions,marks,random_q,random_order,u_id,type,weight,org_id) VALUES(?,?,?,?,?,?,?,?,?)";
#                my $sth1 = $dbh->prepare($query1);
#                $sth1->execute($ICQRQ{quote},$ICQRQ{questions},$ICQRQ{marks},$ICQRQ{random_q},$ICQRQ{random_order},$ids,$ICQRQ{type},$ICQRQ{weight},$org_id);
		}
	elsif(!defined $I{type}) {
		$query = qq{INSERT $I{query1} VALUES(NULL,$quote,"$I{query2}","0","","$org_id")};
		}
	else{ # bank files
		$query = qq{INSERT $I{query1} VALUES(NULL,$quote,"$I{query2}","0","0","$org_id")};
		}
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# INSERT_GENERIC_RETURN
#
###########
sub insert_generic_return {
	my %I = @_;
	my $return;
#fix below
	my $query = qq{$I{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();

	my $query = qq{SELECT LAST_INSERT_ID()};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($return) = $sth->fetchrow_array();
	return($return);
	}

###########
#
# INSERT_COPY_QST_RETURN_QUOTE
#
###########
sub insert_copy_qst_return_quote {
	my %ICQRQ = @_;
	my $return;
        my $query1 = "INSERT INTO qst(name,questions,marks,random_q,random_order,u_id,type,weight,org_id,branching) VALUES(?,?,?,?,?,?,?,?,?,?)";
        my $sth1 = $dbh->prepare($query1);
        $sth1->execute($ICQRQ{quote},$ICQRQ{questions},$ICQRQ{marks},$ICQRQ{random_q},$ICQRQ{random_order},$ids,$ICQRQ{type},$ICQRQ{weight},$org_id,$ICQRQ{branching});

	my $query = qq{SELECT LAST_INSERT_ID()};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($return) = $sth->fetchrow_array();
	return($return);
	}

###########
#
# INSERT_QST_RETURN_QUOTE
#
###########
sub insert_qst_return_quote {
	my %IQRQ = @_;
        my $query1 = "INSERT INTO qst(name,questions,marks,random_q,random_order,u_id,type,weight,org_id,branching) VALUES(?,?,?,?,?,?,?,?,?,?)";
        my $sth1 = $dbh->prepare($query1);
        $sth1->execute($IQRQ{quote},0,0,0,0,$ids,$IQRQ{type},0,$org_id,0);
	
	my $return;
	my $query = qq{SELECT LAST_INSERT_ID()};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($return) = $sth->fetchrow_array();
	return($return);
	}

###########
#
# INSERT_QUESTION_ANSWERS_QUOTE
#
###########
sub insert_question_answers_quote {
	my %IQAQ = @_;
	$IQAQ{quote} =~ s/"/&quot;/g;
        $IQAQ{quote} =~ s/'/&apos;/g;
        
        my $query1 = "INSERT INTO question_answers(number,q_order,answer,c_answer,u_id,org_id,image_id) VALUES(?,?,?,?,?,?,?)";
        my $sth1 = $dbh->prepare($query1);
        $sth1->execute($IQAQ{number},1,$IQAQ{quote},1,$IQAQ{ids},$org_id,$IQAQ{image_id});
	}

###########
#
# INSERT_GENERIC_QUESTION_ANSWERS_QUOTE
#
###########
sub insert_generic_question_answers_quote {
	my %IGQAQ = @_;
	$IGQAQ{quote} =~ s/"/&quot;/g;
        $IGQAQ{quote} =~ s/'/&apos;/g;
        
        my $query1 = "INSERT INTO question_answers(number,q_order,answer,c_answer,u_id,org_id,image_id) VALUES(?,?,?,?,?,?,?)";
        my $sth1 = $dbh->prepare($query1);
        $sth1->execute($IGQAQ{number},$IGQAQ{num},$IGQAQ{quote},$IGQAQ{c_answer},$IGQAQ{ids},$org_id,$IGQAQ{image_id});
	}


###########
#
# INSERT_IMPORT_QUESTION_ANSWERS
#
###########
sub insert_import_question_answers {
	my %IGQAQ = @_;
        my $query1 = "INSERT INTO question_answers(number,q_order,answer,c_answer,u_id,org_id,image_id) VALUES(?,?,?,?,?,?,?)";
        my $sth1 = $dbh->prepare($query1);
        $sth1->execute($IGQAQ{number},$IGQAQ{num},$IGQAQ{answer},$IGQAQ{c_answer},$IGQAQ{ids},$org_id,$IGQAQ{image_id});
	}
	
###########
#
# INSERT_MC_QUESTION_ANSWERS_QUOTE
#
###########
sub insert_mc_question_answers_quote {
	my %IQAQ = @_;
	my $query;
	if($IQAQ{image_id} > 0) {
		}
	else {
		$IQAQ{image_id} = 0;
		}	
		
        $IQAQ{quote} =~ s/"/&quot;/g;
        $IQAQ{quote} =~ s/'/&apos;/g;
        
	if($IQAQ{correct} > 0) {
	        my $query1 = "INSERT INTO question_answers(number,q_order,answer,c_answer,u_id,org_id,image_id) VALUES(?,?,?,?,?,?,?)";
                my $sth1 = $dbh->prepare($query1);
                $sth1->execute($IQAQ{number},$IQAQ{num},$IQAQ{quote},1,$IQAQ{ids},$org_id,$IQAQ{image_id});
		}
	else {
	        my $query1 = "INSERT INTO question_answers(number,q_order,answer,c_answer,u_id,org_id,image_id) VALUES(?,?,?,?,?,?,?)";
                my $sth1 = $dbh->prepare($query1);
                $sth1->execute($IQAQ{number},$IQAQ{num},$IQAQ{quote},0,$IQAQ{ids},$org_id,$IQAQ{image_id});
		}
	}

###########
#
# INSERT_MA_QUESTION_ANSWERS_QUOTE
#
###########
sub insert_ma_question_answers_quote {
	my %IQAQ = @_;
	my $query;

	$IQAQ{quote} =~ s/"/&quot;/g;
        $IQAQ{quote} =~ s/'/&apos;/g;
        
	if($IQAQ{image_id} > 0) {
		}
	else {
		$IQAQ{image_id} = 0;
		}	
		
	if($IQAQ{correct} > 0) {
	        my $query1 = "INSERT INTO question_answers(number,q_order,answer,c_answer,u_id,org_id,image_id) VALUES(?,?,?,?,?,?,?)";
                my $sth1 = $dbh->prepare($query1);
                $sth1->execute($IQAQ{number},$IQAQ{num},$IQAQ{quote},1,$IQAQ{ids},$org_id,$IQAQ{image_id});
		}
	else {
	        my $query1 = "INSERT INTO question_answers(number,q_order,answer,c_answer,u_id,org_id,image_id) VALUES(?,?,?,?,?,?,?)";
                my $sth1 = $dbh->prepare($query1);
                $sth1->execute($IQAQ{number},$IQAQ{num},$IQAQ{quote},0,$IQAQ{ids},$org_id,$IQAQ{image_id});
		}
	}
	
###########
#
# INSERT_MX_QUESTION_ANSWERS_QUOTE
#
###########
sub insert_mx_question_answers_quote {
	my %IQAQ = @_;
	my $query;

	if($IQAQ{image_id} > 0) {
		}
	else {
		$IQAQ{image_id} = 0;
		}	
		
	if($IQAQ{correct} > 0) {
	        my $query1 = "INSERT INTO question_answers(number,q_order,answer,c_answer,u_id,org_id,image_id) VALUES(?,?,?,?,?,?,?)";
                my $sth1 = $dbh->prepare($query1);
                $sth1->execute($IQAQ{number},$IQAQ{num},$IQAQ{quote},1,$IQAQ{ids},$org_id,$IQAQ{image_id});
		}
	else {
	        my $query1 = "INSERT INTO question_answers(number,q_order,answer,c_answer,u_id,org_id,image_id) VALUES(?,?,?,?,?,?,?)";
                my $sth1 = $dbh->prepare($query1);
                $sth1->execute($IQAQ{number},$IQAQ{num},$IQAQ{quote},0,$IQAQ{ids},$org_id,$IQAQ{image_id});
		}
	}
	
###########
#
# INSERT_IMPORT_QUESTION_RETURN
#
###########
sub insert_import_question_return {
	my %I = @_;
	my $return;
        my $query1 = "INSERT INTO questions(u_id,question,type,value,org_id,sub_type,image_id,vlink,alink,kolum,mode,descrip,ans_mode,pdf) VALUES(?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
        my $sth1 = $dbh->prepare($query1);
        $sth1->execute($I{u_id},$I{question},$I{type},$I{value},$I{org_id},$I{sub_type},$I{image_id},$I{vlink},$I{alink},$I{kolum},$I{mode},$I{descrip},$I{ans_mode},$I{pdf});

	my $query = qq{SELECT LAST_INSERT_ID()};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($return) = $sth->fetchrow_array();
	return($return);
	}
	
###########
#
# INSERT_QUESTION_QUOTE_RETURN
#
###########
sub insert_question_quote_return {
	my %I = @_;
	my $return;
	my $cmd1 = "$I{query1}";
	my $cmd2 = "$I{query2}";

        my $query1 = "INSERT INTO questions(u_id,question,type,value,org_id,sub_type,image_id,vlink,alink,kolum,mode,descrip,ans_mode,pdf) VALUES(?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
        my $sth1 = $dbh->prepare($query1);
        $sth1->execute($ids,$I{query},$cmd1,$cmd2,$org_id,$I{sub_type},$I{image_id},$I{vlink},$I{alink},$I{kolum},$I{mode},$I{descrip},$I{ans_mode},$I{pdf});

	my $query = qq{SELECT LAST_INSERT_ID()};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($return) = $sth->fetchrow_array();
	return($return);
	}

###########
#
# INSERT_BANK_QUESTION_QUOTE_RETURN
#
###########
sub insert_bank_question_quote_return {
	my %I = @_;
	my $return;
	my $cmd1 = "$I{query1}";
	my $cmd2 = "$I{query2}";
	
        my $query1 = "INSERT INTO questions(u_id,question,type,value,org_id,sub_type,image_id,vlink,alink,kolum,mode,descrip,ans_mode) VALUES(?,?,?,?,?,?,?,?,?,?,?,?,?)";
        my $sth1 = $dbh->prepare($query1);
        $sth1->execute(0,$I{query},$cmd1,$cmd2,$org_id,$I{sub_type},$I{image_id},$I{vlink},$I{alink},$I{kolum},$I{mode},$I{descrip},$I{ans_mode});

	my $query = qq{SELECT LAST_INSERT_ID()};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($return) = $sth->fetchrow_array();
	return($return);
	}


#############
#
# INSERT_QST
#
############
sub insert_qst {
	my %IQ = @_;
	my $query = qq{INSERT posted_qst VALUES("$IQ{qst}","$IQ{attempts}","$IQ{start}","$IQ{end}","$IQ{class_id}","$IQ{result}","$IQ{submissions}","$IQ{rhm}","$IQ{forall}","$ids","1","$org_id","$IQ{avail}","$IQ{start_month}","$IQ{start_day}","$IQ{start_hour}","$IQ{finish_month}","$IQ{finish_day}","$IQ{finish_hour}","$IQ{qtime}","$IQ{delivery}","$IQ{branching}","$IQ{shuffle}","$IQ{display}","$IQ{shuffle_ans}")};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# INSERT_TO_CLASS_USERS
#
###########
sub insert_to_class_users {
	my %I = @_;
	my $query = qq{INSERT $I{to} VALUES("$I{class_id}","$I{u_id}","$I{org_id}")};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# INSERT_USERS
#
###########
sub insert_users {
	my %IU = @_;
	my $return;

	if(!defined $IU{institute_id}) {
		$IU{institute_id} = "0";
		}

	if(!defined $IU{email}) {
		$IU{email} = "0";
		}

	$IU{photo} = "";
	
        my $return_encrypted_password = &encrypt_password("password","$IU{pass}");
        
        my $query1 = "INSERT INTO users(u_type,f_name,m_name,l_name,u_name,pass,org_id,letter,institute_id,email,photo) VALUES(?,?,?,?,?,?,?,?,?,?,?)";
        my $sth1 = $dbh->prepare($query1);
        $sth1->execute($IU{u_type},$IU{f_name},$IU{m_name},$IU{l_name},$IU{u_name},$return_encrypted_password,$IU{org_id},$IU{letter},$IU{institute_id},$IU{email},$IU{photo});

        my $query = qq{SELECT LAST_INSERT_ID()};
        my $sth = $dbh->prepare($query);
        $sth->execute();
        ($return) = $sth->fetchrow_array();

	if($IU{u_type} == 2) {
		my $query = qq{INSERT question_categories VALUES(NULL,"$LANGUAGE{$set_language}{Default}","1","$return","0","$IU{org_id}","1")};
		my $sth = $dbh->prepare($query);
		$sth->execute();
		my $query = qq{INSERT question_categories VALUES(NULL,"$LANGUAGE{$set_language}{SurveyQuestions}","1","$return","0","$IU{org_id}","2")};
		my $sth = $dbh->prepare($query);
		$sth->execute();
		}
	return($return);
	}

###########
#
# IS_THERE
#
###########
sub is_there {
	my %IT = @_;
	my $count;
	my $query = qq{SELECT COUNT(*) FROM $IT{table} WHERE number="$IT{number}" AND u_id="$ids" LIMIT 1};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($count) = $sth->fetchrow_array();
	return($count);
	}

###########
#
# BANK_IS_THERE
#
###########
sub bank_is_there {
	my %IT = @_;
	my $count;
	my $query = qq{SELECT COUNT(*) FROM $IT{table} WHERE number="$IT{number}" AND u_id="0" AND org_id = "$org_id" LIMIT 1};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($count) = $sth->fetchrow_array();
	return($count);
	}

###########
#
# IS_THERE_AND_SUB_TYPE
#
###########
sub is_there_and_sub_type {
	my %IT = @_;
	my $count;
	my $query = qq{SELECT sub_type FROM $IT{table} WHERE number="$IT{number}" AND u_id="$ids" LIMIT 1};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($count) = $sth->fetchrow_array();
	return($count);
	}

###########
#
# IS_THERE_ORG
#
###########
sub is_there_org {
	my %IT = @_;
	my $count;
	my $query = qq{SELECT COUNT(*) FROM $IT{table} WHERE org_id="$IT{org_id}"LIMIT 1};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($count) = $sth->fetchrow_array();
	return($count);
	}

###########
#
# IS_THERE_CLASS_INSTITUTION_ID
#
###########
sub is_there_class_institution_id {
	my %ITCII = @_;
	my $count;
	my $query = qq{SELECT COUNT(*) FROM $ITCII{table} WHERE org_id="$ITCII{org_id}" AND institution_id="$ITCII{institution_id}" LIMIT 1};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($count) = $sth->fetchrow_array();
	return($count);
	}

###########
#
# IS_THERE_GENERIC
#
###########
sub is_there_generic {
	my %ITG = @_;
	my $count;
	my $query = qq{SELECT COUNT(*) FROM $ITG{table} WHERE $ITG{column}="$ITG{value}" AND u_id="$ids" LIMIT 1};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($count) = $sth->fetchrow_array();
	return($count);
	}

###########
#
# IS_THERE_GENERIC2
#
###########
sub is_there_generic2 {
	my %ITG2 = @_;
	my $count;
	my $query = qq{$ITG2{query} LIMIT 1};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($count) = $sth->fetchrow_array();
	return($count);
	}

###########
#
# REMOVE_USER_FROM_CLASS_USERS
#
###########
sub remove_user_from_class_users {
	my %RUFCU = @_;
	my $sth;
	my $query = qq{DELETE FROM class_users WHERE class_id="$RUFCU{class_id}" AND ($RUFCU{select})};
	$sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# RENAME_IT_QUOTE
#
###########
sub rename_it_quote {
	my %RIQ = @_;
	my $quote = $dbh->quote($RIQ{quote});
	my $query;
	if($RIQ{from} == 2) { # quizzes/tests survey folders
		$query = qq{UPDATE $RIQ{query1} SET $RIQ{query3}=$quote WHERE number=$RIQ{query2} AND u_id=$ids};
		}
		
	else {
		if($RIQ{query1} eq"qst_files") {
			$query = qq{UPDATE $RIQ{query1} SET $RIQ{query3}=$quote WHERE number=$RIQ{query2} AND u_id=$ids}; 
			}
		else { # from questions page
			$query = qq{UPDATE $RIQ{query1} SET $RIQ{query3}=$quote WHERE number=$RIQ{query2} AND u_id=$ids AND type!=0 }; # so cannot delete Default and Survey questions folders
			}
			
		}
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# BANK_RENAME_IT_QUOTE
#
###########
sub bank_rename_it_quote {
	my %RIQ = @_;
	my $quote = $dbh->quote($RIQ{quote});
	my $query;
	if($RIQ{from} == 2) { # quizzes/tests survey folders
		$query = qq{UPDATE $RIQ{query1} SET $RIQ{query3}=$quote WHERE number=$RIQ{query2} AND u_id=0};
		}
		
	else {
		if($RIQ{query1} eq"qst_files") {
			$query = qq{UPDATE $RIQ{query1} SET $RIQ{query3}=$quote WHERE number=$RIQ{query2} AND u_id=0}; 
			}
			
		elsif($RIQ{query1} eq"file_folders") { # bank file folders
			$query = qq{UPDATE $RIQ{query1} SET $RIQ{query3}=$quote WHERE number=$RIQ{query2} AND u_id=0 AND org_id=$org_id}; 
			}

		else { # from questions page
			$query = qq{UPDATE $RIQ{query1} SET $RIQ{query3}=$quote WHERE number=$RIQ{query2} AND u_id=0 AND type!=0 }; # so cannot delete Default and Survey questions folders
			}
			
		}
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}


###########
#
# SELECT
#
###########
sub select {
	my %S = @_;
	my $name;
	my %RETURN = ();
	my $query = qq{SELECT * FROM $S{from}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[1]} = "$row[0]";
		}
	return(%RETURN);
	}

###########
#
# SELECT1
#
###########
sub select1 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = "$row[0]";
		}
	return(%RETURN);
	}

###########
#
# SELECT2
#
###########
sub select2 {
	my %S = @_;
	my @return;
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	@return = $sth->fetchrow_hashref();
	return(@return);
	}

###########
#
# SELECT3
#
###########
sub select3 {
	my %S = @_;
	my @return;
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	@return = $sth->fetchrow_array();
	return(@return);
	}

###########
#
# SELECT4
#
###########
sub select4 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = "$row[1]";
		}
	return(%RETURN);
	}

###########
#
# SELECT5
#
###########
sub select5 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[1]} = "$row[0]";
		}
	return(%RETURN);
	}

###########
#
# SELECT6
#
###########
sub select6 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{answer} = "$row[1]";
		$RETURN{$row[0]}{c_answer} = "$row[2]";
		$RETURN{$row[0]}{image_id} = "$row[3]";
		}
	return(%RETURN);
	}

###########
#
# SELECT7
#
###########
sub select7 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{answer} = "$row[2]";
		$RETURN{$row[0]}{c_answer} = "$row[3]";
		}
	return(%RETURN);
	}

###########
#
# SELECT8
#
###########
sub select8 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {order => "$row[1]", value => "$row[2]", q_select => "$row[3]", branching => "$row[4]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT9
#
###########
sub select9 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {order => "$row[1]", value => "$row[2]",q_select => "$row[3]",branching => "$row[4]",referer => "$row[5]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT10
#
###########
sub select10 {
	my %S = @_;
	my $return;
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	$return = $sth->fetchrow_array();
	return($return);
	}

###########
#
# SELECT11
#
###########
sub select11 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {name => "$row[1]", type => "$row[2]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT12
#
###########
sub select12 {
	my %S = @_;
	my @return;
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		push(@return,$row[0]);
		push(@return,$row[1]);
		push(@return,$row[2]);
		}
	return(@return);
	}

###########
#
# SELECT13
#
###########
sub select13 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {answer => "$row[2]", q_order => "$row[1]"};
		}
	return(%RETURN);
	}


###########
#
# SELECT14    SELECT number,cat_name,type,sub_type
#
###########
sub select14 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {name => "$row[1]", type => "$row[4]", sub_type => "$row[6]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT15
#
###########
sub select15 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{answer} = "$row[1]";
		$RETURN{$row[0]}{image_id} = "$row[2]";
		}
	return(%RETURN);
	}

###########
#
# SELECT16
#
###########
sub select16 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{$row[1]} = {answer => "$row[2]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT17
#
###########
sub select17 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{$row[1]} = $row[1];
		}
	return(%RETURN);
	}

###########
#
# SELECT18
#
###########
sub select18 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{quest}{$row[1]} = "$row[1]";
		$RETURN{$row[0]}{q_select} = "$row[2]";
		}
	return(%RETURN);
	}

###########
#
# SELECT19
#
###########
sub select19 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{institution_id} = "$row[2]";
		$RETURN{$row[0]}{class_name} = "$row[1]";
		}
	return(%RETURN);
	}

###########
#
# SELECT20
#
###########
sub select20 {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{u_type} = "$row[1]";
		$RETURN{$row[0]}{photo} = "$row[2]";
		}
	return(%RETURN);
	}

###########
#
# SELECT_THEIR_ANSWERS
#
###########
sub select_their_answers {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		if($row[1] ne"") {
			$RETURN{$row[0]} = "$row[1]";
			}
		}
	return(%RETURN);
	}

###########
#
# IS_THERE_INSTITUTION_ID
#
###########
sub is_there_institution_id {
	my %IT = @_;
	my $count;
	my $query = qq{SELECT COUNT(*) FROM $IT{table} WHERE institution_id="$IT{institution_id}" AND class_id !="$IT{class_id}" LIMIT 1};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($count) = $sth->fetchrow_array();
	return($count);
	}
	
###########
#
# IS_THERE_CLASS_NAME
#
###########
sub is_there_class_name {
	my %IT = @_;
	my $count;
	my $query = qq{SELECT COUNT(*) FROM $IT{table} WHERE class_name="$IT{class_name}"LIMIT 1};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	($count) = $sth->fetchrow_array();
	return($count);
	}
	
###########
#
# get the number of answers
#
###########
sub get_the_number_of_answers {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		++$RETURN{$row[0]}
		}

	return(%RETURN);
	}

###########
#
# get the number of ma_answers
#
###########
sub get_the_number_of_ma_answers {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
                my @num = split(/\,/,$row[0]);
                foreach my $ans(@num) {
                        ++$RETURN{$ans}
                        }
		}

	return(%RETURN);
	}

###########
#
# SELECT_ALL_QST_QUESTIONS
#
###########
sub select_all_qst_questions {
	my %S = @_;
	my $i = 1;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$i} = {quest_no => "$row[0]", order => "$row[1]", value => "$row[2]",q_select => "$row[3]",branching => "$row[4]",referer => "$row[5]"};
		++$i;
		}
	return(%RETURN);
	}
	
	
###########
#
# SELECT_ALL_QUESTIONS
#
###########
sub select_all_questions {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {q_order => "$row[1]",branching => "$row[2]", referer => "$row[3]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_ALL_BRANCHING_QUESTIONS
#
###########
sub select_all_branching_questions {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{referer}{$row[3]} = {q_order => "$row[1]",branching => "$row[2]"};
		}
	return(%RETURN);
	}

###########
#
# SELECTMXTEXT
#
###########
sub selectmxtext {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{answer} = "$row[1]";
		}
	return(%RETURN);
	}

###########
#
# SELECTMXMATCHING
#
###########
sub selectmxmatching {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{answer} = "$row[1]";
		}
	return(%RETURN);
	}

###########
#
# SELECT_ASSIGN
#
###########
sub select_assign {
	my %SAM = @_;
	my %RETURN = ();
	my $query = qq{$SAM{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$row[1] =~ s/\"/&#34/g;
		$row[1] =~ s/\'/&#39/g;
		$row[1] =~ s/\</&#60/g;
		$row[1] =~ s/\>/&#62/g;
		my $web_name = "$row[1]";
		$web_name =~ s/&#39/&\\#39/g;
		$web_name =~ s/&#34/&\\#34/g;
		$RETURN{$row[0]} = {name => "$row[1]", weight => "$row[2]", marks => "$row[3]" , web_name => "$web_name"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_ASSIGNMENT_MARK
#
###########
sub select_assignment_mark {
	my %SAM = @_;
	my %RETURN = ();
	my $query = qq{$SAM{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{assign_id}{$row[1]} = {mark => "$row[2]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_ADMIN_USERS
#
###########
sub select_admin_users {
	my %RETURN = ();
	my $query = qq{SELECT u_id,f_name,l_name,u_name,org_id FROM users WHERE u_type=\"1\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {f_name => "$row[1]",l_name => "$row[2]",u_name => "$row[3]",org_id => "$row[4]"};
		}
	return(%RETURN);
	}

###################
#
# SELECT_FILES_IN_FOLDER
#
###################
sub select_files_in_folder {
	my %SFIF = @_;
	my %RETURN = ();
	my $query = qq{SELECT number,file_name,filedescrip FROM qst_files WHERE parent=\"$SFIF{parent}\" AND u_id=\"$ids\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {file_name => "$row[1]", filedescrip => "$row[2]"};
		}
	return(%RETURN);
	}

###################
#
# SELECT_FILES_IN_FOLDER_BANK
#
###################
sub select_files_in_folder_bank {
	my %SFIFB = @_;
	my %RETURN = ();
	my $query = qq{SELECT number,file_name,filedescrip FROM qst_files WHERE parent=\"$SFIFB{parent}\" AND u_id=\"0\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {file_name => "$row[1]", filedescrip => "$row[2]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_MANY_ASSIGNMENT_MARKS
#
###########
sub select_many_assignment_marks {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{qst}{$row[1]} = {mark => "$row[2]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_QST_ATTEMPTS_USER
#
###########
sub select_qst_attempts_user {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{attempts} = "$row[1]";
		$RETURN{$row[0]}{resume} = "$row[2]";
		}
	return(%RETURN);
	}

###########
#
# SELECT_QST_ATTEMPTS_INFO
#
###########
sub select_qst_attempts_info {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{attempts} = "$row[1]";
		$RETURN{$row[0]}{end} = "$row[2]";
		$RETURN{$row[0]}{resume} = "$row[3]";
		}
	return(%RETURN);
	}
	
###########
#
# SELECT_FILE
#
###################
sub select_file{
	my %SFB = @_;
	my %RETURN = ();
	my $query = qq{SELECT file_name,type,filedescrip FROM qst_files WHERE number=\"$SFB{number}\" AND u_id=\"$ids\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$SFB{number}} = {file_name => "$row[0]", type => "$row[1]", filedescrip => "$row[2]"};
		}
	return(%RETURN);
	}
	
###########
#
# SELECT_BANK_FILE
#
###################
sub select_bank_file{
	my %SFB = @_;
	my %RETURN = ();
	my $query = qq{SELECT file_name,type,filedescrip FROM qst_files WHERE number=\"$SFB{number}\" AND org_id=\"$org_id\" AND u_id=\"0\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$SFB{number}} = {file_name => "$row[0]", type => "$row[1]", filedescrip => "$row[2]"};
		}
	return(%RETURN);
	}
	
###########
#
# SELECT_POSTED_QST
#
###########
sub select_posted_qst {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {qst => "$row[0]", attempts => "$row[1]",start => "$row[2]",end => "$row[3]",class_id => "$row[4]",result => "$row[5]",submissions => "$row[6]",rhm => "$row[7]",forall => "$row[8]",u_id => "$row[9]",posted => "$row[10]",org_id=> "$row[11]",avail => "$row[12]",start_month => "$row[13]",start_day => "$row[14]",start_hour => "$row[15]",finish_month => "$row[16]",finish_day => "$row[17]",finish_hour => "$row[18]",qtime => "$row[19]",delivery=>"$row[20]",branching=>"$row[21]",shuffle=>"$row[22]",display=>"$row[23]",shuffle_ans=>"$row[24]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_QST_QUESTIONS
#
###########
sub select_qst_questions {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {quest_no => "$row[1]", value => "$row[2]",q_select => "$row[3]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_USERS_QST_QUESTIONS
#
###########
sub select_users_qst_questions {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {value => "$row[1]",q_select => "$row[2]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_QST_QUESTIONS_ORDER
#
###########
sub select_qst_questions_order {
	my %SQQO = @_;
	my %RETURN = ();
	my $query = qq{SELECT q_order,quest_no FROM qst_questions WHERE qst_no=\"$SQQO{qst_no}\" AND u_id=\"$ids\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{quest_no}{$row[1]} = "$row[1]";
		}
	return(%RETURN);
	}

###########
#
# SELECT_QST_QUESTIONS_ORDER_AND_INFO
#
###########
sub select_qst_questions_order_and_info {
	my %SQQO = @_;
	my %RETURN = ();
	my $query = qq{SELECT q_order,quest_no,value,q_select FROM qst_questions WHERE qst_no=\"$SQQO{qst_no}\" AND u_id=\"$ids\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{quest_no}{$row[1]} = {value =>"$row[2]", q_select => "$row[3]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_QUESTIONS_ALREADY_ANSWERED
#
###########
sub select_questions_already_answered { # returns quest_no and answer
	my %SQAA = @_;
	my %RETURN = ();
	my $query = qq{$SQAA{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[1]} = "$row[0]";
		}
	return(%RETURN);
	}

###########
#
# SELECT_QUESTIONS_ALREADY_ANSWERED_MA
#
###########
sub select_questions_already_answered_ma { # returns quest_no and answers
	my %SQAA = @_;
	my %RETURN = ();
	my $query = qq{$SQAA{query}};
	my $answers;
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$answers = "$answers".","."$row[0]";
		}
	$answers =~ s/^,//;
	$RETURN{$SQAA{question}} = $answers;
	return(%RETURN);
	}

###########
#
# SELECT_QUESTIONS_ALREADY_ANSWERED_RESUME
#
###########
sub select_questions_already_answered_resume { # returns quest_no and answer
	my %SQAA = @_;
	my %RETURN = ();
	my $query = qq{$SQAA{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = "$row[1]";
		}
		
	return(%RETURN);
	}

###########
#
# SELECT_QST_SCORES
#
###########
sub select_qst_scores {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {qst => "$row[1]", mark => "$row[2]",marked => "$row[3]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_QST_SCORES_BONUS
#
###########
sub select_qst_scores_bonus {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {qst => "$row[1]", mark => "$row[2]",marked => "$row[3]",bonus=> "$row[4]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_MANY_QST_ATTEMPTS
#
###########
sub select_many_qst_attempts {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[1]}{qst}{$row[0]} = {start_time => "$row[2]",finish_time => "$row[3]",attempts => "$row[4]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_MANY_QST_SCORES
#
###########
sub select_many_qst_scores {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{qst}{$row[1]} = {mark => "$row[2]",marked => "$row[3]",bonus => "$row[4]"};
		}
	return(%RETURN);
	}


###########
#
# SELECT_QUESTION
#
###########
sub select_question {
	my %SQ = @_;
	my %RETURN = ();
	my $query = qq{$SQ{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {number=>"$row[0]", question => "$row[2]", type => "$row[3]", value=> "$row[4]", org_id=> "$row[5]", sub_type=> "$row[6]", image_id=> "$row[7]",vlink=> "$row[8]",alink=> "$row[9]",kolum=> "$row[10]",mode=> "$row[11]",descrip=>"$row[12]",ans_mode=>"$row[13]",pdf=>"$row[14]"};
		}

	return(%RETURN);
	}


###########
#
# SELECT_QUESTIONS
#
###########
sub select_questions {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
                $RETURN{$row[0]} = {number=>"$row[0]", question => "$row[2]", type => "$row[3]", value=> "$row[4]", org_id=> "$row[5]", sub_type=> "$row[6]", image_id=> "$row[7]",vlink=> "$row[8]",alink=> "$row[9]",kolum=> "$row[10]",mode=> "$row[11]",descrip=>"$row[12]",ans_mode=>"$row[13]",pdf=>"$row[14]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_BRANCHING_QUESTION
#
###########
sub select_branching_question {
	my %SQ = @_;
	my %RETURN = ();
	my $query = qq{$SQ{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {number=>"$row[0]", question => "$row[2]", type => "$row[3]", value=> "$row[4]", org_id=> "$row[5]", sub_type=> "$row[6]", image_id=> "$row[7]",vlink=> "$row[8]",alink=> "$row[9]",mode=> "$row[11]",descrip=> "$row[12]"};
		}
	return(%RETURN);
	}
	
###########
#
# SELECT_QUESTION_ANSWERS
#
###########
sub select_question_answers {
	my %SQA = @_;
	my %RETURN = ();
	my $query = qq{$SQA{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{q_order}{$row[1]}{answers}{$row[2]} = "$row[3]";
		$RETURN{$row[0]}{q_order}{$row[1]}{image_id} = "$row[4]";
		$RETURN{$row[0]}{q_order}{$row[1]}{c_answer} = "$row[3]";
		}
	return(%RETURN);
	}

###########
#
# SELECT_QUESTION_ANSWERS_FOR_EXPORT
#
###########
sub select_question_answers_for_export {
	my %SQA = @_;
	my %RETURN = ();
	my $query = qq{$SQA{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{q_order}{$row[1]}{answer} = "$row[2]";
		$RETURN{$row[0]}{q_order}{$row[1]}{image_id} = "$row[6]";
		$RETURN{$row[0]}{q_order}{$row[1]}{c_answer} = "$row[3]";
		}
		
	return(%RETURN);
	}
	
###########
#
# SELECT_MX_ANSWERS_FOR_EXPORT
#
###########
sub select_mx_answers_for_export {
	my %SQA = @_;
	my %RETURN = ();
	my $query = qq{$SQA{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();

	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{q_order}{$row[1]}{c_answer}{$row[3]}{answer} = "$row[2]";
		}
		
	return(%RETURN);
	}

###########
#
# SELECT_QST
#
###########
sub select_qst {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {#number,name,questions,marks,random_q,random_order,type,weight,branching
		$RETURN{$row[0]} = {name => "$row[1]", questions => "$row[2]", marks => "$row[3]", random_q => "$row[4]", random_order => "$row[5]", type => "$row[6]", weight =>"$row[7]", branching =>"$row[8]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_SHORT_QST
#
###########
sub select_short_qst {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {name => "$row[1]", weight => "$row[2]", marks => "$row[3]"};
		}
	return(%RETURN);
	}

#################
#
# SELECT_STARTED_SUBMITTED
#
##################
sub select_started_submitted {
	my %SSS = @_;
	my %RETURN = ();
	my $query = qq{SELECT start_time,start_day,start_month,finish_time,finish_day,finish_month,end FROM qst_attempts WHERE qst_no=\"$SSS{qst_no}\" AND u_id=\"$SSS{u_id}\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$SSS{u_id}} = {start_time=>"$row[0]", start_day=>"$row[1]",start_month=>"$row[2]",finish_time=>"$row[3]", finish_day=>"$row[4]", finish_month=>"$row[5]", end=>"$row[6]"};
		}
		
	return(%RETURN);
	}

###########
#
# SELECT_CLASS
#
###########
sub select_class {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{SELECT class_id, class_name FROM classes WHERE org_id=\"$S{org_id}\" AND institution_id =\"$S{institution_id}\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {name=>"$row[1]",};
		}
	return(%RETURN);
	}
	
###########
#
# SELECT_CLASSES
#
###########
sub select_classes {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{SELECT class_id, class_name,institution_id FROM $S{from} WHERE org_id=\"$S{org_id}\" AND class_name REGEXP \"^$S{org_letter}\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {name=>"$row[1]", institution_id=>"$row[2]"};
		}
	return(%RETURN);
	}

##############
#
# SELECT_CLASS_USERS
#
#############
sub select_class_users {
	my %SCU = @_;
	my %RETURN = ();
	my $query = qq{SELECT class_id,u_id from class_users WHERE class_id="$SCU{class_id}"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[1]} = "$row[0]";
		}
	return(%RETURN);
	}

###########
#
# SELECT_UCLASSES
#
###########
sub select_uclasses {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{SELECT class_id, class_name FROM classes WHERE org_id=\"$S{org_id}\" AND ($S{select})};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = "$row[1]";
		}
	return(%RETURN);
	}

###########
#
# SELECT_USERS_NAMES
#
###########
sub select_users_names {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{SELECT u_id,u_type,f_name,m_name,l_name,u_name,institute_id  FROM users WHERE org_id=\"$S{org_id}\" AND ($S{select})};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{f_name} = "$row[2]";
		$RETURN{$row[0]}{l_name} = "$row[4]";
		$RETURN{$row[0]}{name} = "$row[2] $row[4]";
		$RETURN{$row[0]}{type} = "$row[1]";
		$RETURN{$row[0]}{u_name} = "$row[5]";
		$RETURN{$row[0]}{institute_id} = "$row[6]";
		}
	return(%RETURN);
	}

###########
#
# SELECT_ORDER_BY LAST_NAME
#
###########
sub select_order_by_last_name {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{SELECT u_id,l_name FROM users WHERE org_id=\"$S{org_id}\" AND ($S{select})};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
                $RETURN{$row[1]}{student}{$row[0]} = "$row[0]";
		}
	return(%RETURN);
	}

###################
#
# SELECT_USERS_ORDER
#
##################
sub select_users_order {
        my %SUO = @_;
        my %RETURN = ();
        my $query = qq{SELECT u_id,letter FROM users WHERE org_id=\"$SUO{org_id}\" AND u_type=\"3\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[1]}{student}{$row[0]} = "$row[0]";
		}
	return(%RETURN);
        }
        
###########
#
# SELECT_UNAME
#
###########
sub select_uname {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{SELECT u_id,f_name,m_name,l_name  FROM users WHERE u_id=\"$S{s_id}\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{name} = "$row[1] $row[3]";
		}
	return(%RETURN);
	}

###########
#
# SELECT_NAMES
#
###########
sub select_names {
	my %S = @_;
	my %RETURN = ();
	my $query = qq{$S{query4}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{name} = "$row[1] $row[2]";
		$RETURN{$row[0]}{u_name} = "$row[3]";
		$RETURN{$row[0]}{institute_id} = "$row[4]";
		}
	return(%RETURN);
	}

###############
#
# SELECT_USERS_ADMIN
#
###############
sub select_users_admin {
	my %S = @_;
	my %RETURN = ();
	my $query;
	if($S{org_letter} eq"") {
		$query = qq{SELECT *  FROM $S{from} WHERE org_id=\"$S{org_id}\"};
		}
	else {
		$query = qq{SELECT *  FROM $S{from} WHERE org_id=\"$S{org_id}\" AND letter=\"$S{org_letter}\"};
		}
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[8]}{$row[0]} = "$row[0],$row[1],$row[2],$row[3],$row[4],$row[5],$row[9],$row[11]";
		}
	return(%RETURN);
	}

###############
#
# SELECT_USER
#
###############
sub select_user {
	my %S = @_;
	my %RETURN = ();
	my $query;
	$query = qq{SELECT u_id,u_type,f_name,l_name,u_name,letter FROM users WHERE org_id=\"$S{org_id}\" AND institute_id=\"$S{student_id}\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {u_type => "$row[1]", f_name => "$row[2]",l_name => "$row[3]",u_name => "$row[4]",letter => "$row[5]"};
		}
	return(%RETURN);
	}

###############
#
# SELECT_USER_INFO
#
###############
sub select_user_info {
	my %S = @_;
	my %RETURN = ();
	my $query;
	$query = qq{SELECT u_id,f_name,m_name,l_name,photo FROM users WHERE org_id=\"$S{org_id}\" AND u_id=\"$S{u_id}\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]} = {f_name => "$row[1]",m_name => "$row[2]",l_name => "$row[3]",photo => "$row[4]"};
		}
	return(%RETURN);
	}

###############
#
# SELECT_ALL_USERS
#
###############
sub select_all_users {
	my %S = @_;
	my %RETURN = ();
	my $query;
	$query = qq{SELECT u_id,u_name,org_id FROM users};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[1]} = {org_id => "$row[2]",u_id => "$row[0]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_USERS_CLASSES
#
###########
sub select_users_classes {
	my %SUC = @_;
	my %RETURN = ();
	my $query = qq{SELECT * FROM users_classes WHERE u_id=\"$SUC{uid}\"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{u_id}= "$row[0]";
		$RETURN{org_id}= "$row[2]";
		$RETURN{$row[1]} = "$row[1]";
		}
	return(%RETURN);
	}

###########
#
# SELECT_USERS_CLASSES1
#
###########
sub select_users_classes1 {
	my %SUC = @_;
	my %RETURN = ();
	my $query = qq{SELECT * FROM users_classes WHERE ($SUC{select})};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		my $id = shift(@row);
		foreach my $piece(@row) {
			if ($piece != 0) {
				$RETURN{$id}{class}{$piece} = "$piece";
				}
			}
		}
	return(%RETURN);
	}

###########
#
# SELECT_USERS_QST
#
###########
sub select_users_qst {
	my %SUQ = @_;
	my %RETURN = ();
	my $query = qq{$SUQ{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[5]} = {quest_no => "$row[0]", answer => "$row[1]", mark => "$row[2]", marked => "$row[3]", time_stamp => "$row[4]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_USERS_QST1
#
###########
sub select_users_qst1 {
	my %SUQ = @_;
	my %RETURN = ();
	my $query = qq{$SUQ{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();

	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{quests}{$row[1]} = {answer => "$row[2]", mark => "$row[3]"};
		}
	return(%RETURN);
	}

###########
#
# SELECT_USERS_QST_AND_REFERERS
#
###########
sub select_users_qst_and_referers {
	my %SUQ = @_;
	my %RETURN = ();
	my $query = qq{$SUQ{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();

	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[0]}{quests}{$row[1]}{referer}{$row[4]} = {answer => "$row[2]", mark => "$row[3]"};
		}
	return(%RETURN);
	}
    
###########
#
# SELECT_USERS_QST5
#
###########
sub select_users_qst5 {
	my %SUQ = @_;
	my %RETURN = ();
	my $query = qq{$SUQ{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	while(my @row = $sth->fetchrow_array()) {
		$RETURN{$row[5]} = {quest_no => "$row[0]", answer => "$row[1]", mark => "$row[2]", marked => "$row[3]", time_stamp => "$row[4]", referer => "$row[6]"};
		}
	return(%RETURN);
	}

###########
#
# UPDATE_ASSIGN_MARK
#
###########
sub update_assign_mark {
	my %UAM = @_;
	my $query = qq{UPDATE assignment_marks SET mark=$UAM{mark} WHERE u_id=$UAM{s_id} AND assign_id=$UAM{assign_id}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# UPDATE_QST_MARK
#
###########
sub update_qst_mark {
	my %UQM = @_;
	my $query = qq{UPDATE qst_scores SET bonus=$UQM{bonus} WHERE u_id=$UQM{s_id} AND qst=$UQM{assign_id}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# UPDATE
#
###########
sub update {
	my %I = @_;
	my $query = qq{UPDATE $I{table} SET $I{set}="$I{name}" WHERE org_id="$I{id}"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# UPDATE_GENERAL
#
###########
sub update_general {
	my %UG = @_;
	my $query = qq{$UG{query}};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# RENAME_ASSIGN_QUOTE
#
###########
sub rename_assign_quote {
	my %RAQ = @_;
        my $query = qq{UPDATE assignments SET name= ? where assign_id="$RAQ{assign_id}" AND u_id="$ids"};
        my $sth = $dbh->prepare($query);
        $sth->bind_param( 1, $RAQ{quote});
        $sth->execute();
	}

###########
#
# UPDATE_QSTS_QUOTE
#
###########
sub update_qsts_quote {
	my %UQQ = @_;
	my $query = qq{UPDATE qsts SET marked= ?, answer= ?,time_stamp= ? where u_id="$ids" AND qst="$UQQ{qst}" AND quest_no="$UQQ{quest_no}" AND attempt="$UQQ{attempt}" AND referer="$UQQ{referer}"};
        my $sth = $dbh->prepare($query);
        $sth->bind_param( 1, $UQQ{marked});
        $sth->bind_param( 2, $UQQ{quote});
        $sth->bind_param( 3, $UQQ{time_stamp});
        $sth->execute();
	}

###########
#
# UPDATE_DEMO_QSTS_QUOTE
#
###########
sub update_demo_qsts_quote {
	my %UQQ = @_;
	my $query = qq{UPDATE demo_qsts SET marked= ?, answer= ? where u_id="$UQQ{u_id}" AND qst="$UQQ{qst}" AND quest_no="$UQQ{quest_no}"};
        my $sth = $dbh->prepare($query);
        $sth->bind_param( 1, $UQQ{marked});
        $sth->bind_param( 2, $UQQ{quote});
        $sth->execute();
	}

###########
#
# UPDATE_QUOTE_QUESTION
#
###########
sub update_quote_question {
	my %UQ = @_;
        my $query = qq{UPDATE questions SET question= ?, type= ?,value= ?,image_id= ?,vlink= ?,alink= ?,kolum= ?,mode= ?,descrip=?,ans_mode=?,pdf=? WHERE number="$UQ{number}"};
        my $sth = $dbh->prepare($query);
        $sth->bind_param( 1, $UQ{question});
        $sth->bind_param( 2, $UQ{type});
        $sth->bind_param( 3, $UQ{value});
        $sth->bind_param( 4, $UQ{image_id});
        $sth->bind_param( 5, $UQ{vlink});
        $sth->bind_param( 6, $UQ{alink});
        $sth->bind_param( 7, $UQ{kolum});
        $sth->bind_param( 8, $UQ{mode});
        $sth->bind_param( 9, $UQ{descrip});
        $sth->bind_param( 10, $UQ{ans_mode});
        $sth->bind_param( 11, $UQ{pdf});
        $sth->execute();
	}

###########
#
# UPDATE_QSTS
#
###########
sub update_qsts {
	my %UQSTS = @_;
	my $query = qq{UPDATE qsts SET mark="$UQSTS{mark}",marked="$UQSTS{marked}" WHERE u_id="$UQSTS{u_id}" AND qst="$UQSTS{qst}" AND quest_no="$UQSTS{quest_no}"};
	my $sth = $dbh->prepare($query);
	$sth->execute();
	}

###########
#
# UPDATE_CLASS
#
###########
sub update_class {
	my %UC = @_;
        my $query = "UPDATE classes SET $UC{update}= ?,institution_id= ? WHERE class_id=$UC{class_id} AND org_id=$UC{org_id}";
	my $sth = $dbh->prepare($query);
        $sth->bind_param( 1, $UC{name});
        $sth->bind_param( 2, $UC{institution_id});
	$sth->execute();
	}

###########
#
# UPDATE_FILE_DESCRIP
#
###########
sub update_file_descrip {
	my %UFD = @_;
        my $query = qq{UPDATE qst_files SET filedescrip= ? where number="$UFD{number}" AND u_id="$ids"};
        my $sth = $dbh->prepare($query);
        $sth->bind_param( 1, $UFD{filedescrip});
        $sth->execute();
	}

###########
#
# UPDATE_BANK_FILE_DESCRIP
#
###########
sub update_bank_file_descrip {
	my %UFD = @_;
        my $query = qq{UPDATE qst_files SET filedescrip= ? where number="$UFD{number}" AND u_id="0" AND org_id="$org_id"};
        my $sth = $dbh->prepare($query);
        $sth->bind_param( 1, $UFD{filedescrip});
        $sth->execute();
	}

###########
#
# UPDATE_PASS_QUOTE
#
###########
sub update_pass_quote {
	my %UP = @_;
        my $query = "UPDATE users SET pass= ? WHERE u_id=$UP{u_id}";
        my $sth = $dbh->prepare($query);
        $sth->bind_param( 1, $UP{pass});
        $sth->execute();
	}

###########
#
# UPDATE_USERS_PHOTO
#
###########
sub update_users_photo {
	my %UUP = @_;
        my $query = "UPDATE users SET photo= ? WHERE u_id=$UUP{uid} and org_id=$UUP{org_id}";
        my $sth = $dbh->prepare($query);
        $sth->bind_param( 1, $UUP{photo});
        $sth->execute();
	}

###########
#
# UPDATE_USERS
#
###########
sub update_users {
	my %UU = @_;
	#my $dbh = eval($database);
	if (exists $UU{pass} && $UU{pass} ne"" && length($UU{pass}) < 271) {
                my $query = "UPDATE users SET u_type= ?,f_name= ?, m_name= ?,l_name= ?, pass= ?,letter= ?,institute_id= ?  WHERE u_id=$UU{uid} AND org_id=$UU{org_id}";
                my $sth = $dbh->prepare($query);
                $sth->bind_param( 1, $UU{u_type});
                $sth->bind_param( 2, $UU{f_name});
                $sth->bind_param( 3, $UU{m_name});
                $sth->bind_param( 4, $UU{l_name});
                $sth->bind_param( 5, $UU{pass});
                $sth->bind_param( 6, $UU{letter});
                $sth->bind_param( 7, $UU{i_id});
                $sth->execute();
		}
	else {
                my $query = "UPDATE users SET u_type= ?,f_name= ?, m_name= ?,l_name= ?,letter= ?,institute_id= ?  WHERE u_id=$UU{uid} AND org_id=$UU{org_id}";
                my $sth = $dbh->prepare($query);
                $sth->bind_param( 1, $UU{u_type});
                $sth->bind_param( 2, $UU{f_name});
                $sth->bind_param( 3, $UU{m_name});
                $sth->bind_param( 4, $UU{l_name});
                $sth->bind_param( 5, $UU{letter});
                $sth->bind_param( 6, $UU{i_id});
                $sth->execute();
		}
	}

################ End database calls #########################################

#########################################################################################################################################################


############################
#
# alert
#
############################
sub alert {
	my %ALERT = @_;
	&print_javascript_begin();
	
	if($ALERT{no_good} == 1) {
		print"alert\(\"$LANGUAGE{$set_language}{Eithersomeinputwastoolongpasswordsdonotmatchoramandatoryfieldwasnotfilled}\"\)\n";
		}
		
	elsif($ALERT{no_good} == 2) {
		print"alert\(\"$LANGUAGE{$set_language}{Usernamealreadythere}\"\)\n";
		}
		
	elsif($ALERT{no_good} == 3) {
		print"alert\(\"$LANGUAGE{$set_language}{Theinstitutionidisalreadybeingused}\"\)\n";
		}
	
	elsif($ALERT{alert} == 1) {
		print"alert\(\"$ALERT{no_good} $LANGUAGE{$set_language}{UserNOTcreated}\"\)\n";
		}
	
	elsif($ALERT{alert} == 2) {
		print"alert\(\"$ALERT{no_good} $LANGUAGE{$set_language}{UserNOTchanged}\"\)\n";
		}
	
	elsif($ALERT{alert} == 4) {
		print"alert\(\"$LANGUAGE{$set_language}{ClassNamealreadythere}\"\)\n";
		}
		
	elsif($ALERT{alert} == 5) {
		print"alert\(\"$LANGUAGE{$set_language}{ClassIDalreadythere}\"\)\n";
		}
	
	&print_javascript_end();
	}

######################
#
# PRINT_COLLAPSE_THE_DISPLAY
#
######################
sub print_collapse_the_display {
	&print_javascript_begin();
	print"var collapse_display=\"\";\n";
	print"var let_it_go=\"\";\n";
	print"function Collapse_The_Display\(\) \{\n";
	print"if\(let_it_go!=\"1\"\) \{\n";
	print"if\(collapse_display!=\"\"\) \{\n";
	print"collapse_display.style.display = \"none\";\n";
	print"collapse_display=\"\";\n";
	print"\}\n";
	print"\}\n";
	print"let_it_go=\"\";\n";
	print"\}\n";
	&print_javascript_end();
	}

######################
#
# COMPARE_TIME
#
######################
sub compare_time {
	my %CT = @_;
        # get the time zone
        my $org_time;
        my $current_time = time;
        my $start_hour;
        my %TIMEZONE = ();
        my $org_time1;
        my $adjusted_time;
        my $queryt = qq{SELECT org_id,time_zone FROM organization WHERE org_id=\"$CT{org_id}\"};
        my $sth = $dbh->prepare($queryt);
        $sth->execute();
        while(my @row = $sth->fetchrow_array()) {
                $TIMEZONE{$row[0]}= "$row[1]";
                $adjusted_time = "$row[1]";
                }

        if($adjusted_time != 0) {
                $org_time1 = "$adjusted_time" * 3600;
                }
        else {
                $org_time1 = 0; 
                }
                

        #time with time zone included
        my $time1 = time + "$org_time1";

        my %TIME = &get_time_to_display("time","$time1");

	
	my $return = 0;

	if($TIME{time}{month} >= $CT{start_month} && $TIME{time}{month} <= $CT{finish_month}) {
	
		if($TIME{time}{month} == $CT{start_month} && $TIME{time}{month} == $CT{finish_month}) {

			if($TIME{time}{day} >= $CT{start_day} && $TIME{time}{day} <= $CT{finish_day}){
			
				if($TIME{time}{day} == $CT{start_day}) {
					if($TIME{time}{hour_minute} >= $CT{start_hour} && $TIME{time}{hour_minute} <= $CT{finish_hour}){
						$return = 1;
						}
					}
				elsif($TIME{time}{day} >= $CT{start_day}){
					if($TIME{time}{hour_minute} >= $CT{start_hour} && $TIME{time}{hour_minute} <= $CT{finish_hour}){
						$return = 1;
						}
					$return = 1;
					}
				}
				
				
			}
			
		elsif($TIME{time}{month} >= $CT{start_month} && $TIME{time}{month} <= $CT{finish_month}) {
			if($TIME{time}{month} == $CT{start_month}) {
				if($TIME{time}{day} == $CT{start_day}){
					if($TIME{time}{hour_minute} >= $CT{start_hour}){
						$return = 1;
						}
					}
				elsif($TIME{time}{day} > $CT{start_day}){
					$return = 1;
					}
				}
			elsif($TIME{time}{month} > $CT{start_month}) {
				if($TIME{time}{month} == $CT{finish_month}) {
					if($TIME{time}{day} < $CT{finish_day}){
						$return = 1;
						}
					elsif($TIME{time}{day} == $CT{finish_day}){
						if($TIME{time}{hour_minute} < $CT{start_hour}){
							$return = 1;
							}
						}
					}
				elsif($TIME{time}{month} < $CT{finish_month}) {
					$return = 1;
					}
				}
			}
		}
	return($return);
	}

#############################
#
# get random
#
#############################
sub get_random {
	srand;
	my @nu_pieces = @_;
	my $choice = rand(@nu_pieces);
	my $number = substr($choice,0,1); 
	my $www = $nu_pieces[$number];
	return($www);
	}

#############################
#
# get_dates
#
#############################
sub get_dates {
	my %GD = @_;
	print"<SELECT name=\"$GD{prefix}\_month\" style=\"font-family\:Arial\; font-size\: 10pt\;\"> \n";
	my $month_index = 1;
	my $prefix_month = "$GD{prefix}\_month";
	my $prefix_day = "$GD{prefix}\_day";
	my $prefix_hour = "$GD{prefix}\_hour";
	my %MINUTES = ("00","00","15","15","30","30","45","45");
	my %TIMEZONE = ();

	#print month
	foreach my $month(@months) {
		if ($month_index == 1 && !defined $GD{$prefix_month}) {
			print"<option value=\"$month_index\" selected>$month</option>\n";
			}
		elsif ($GD{$prefix_month} == $month_index) {
			print"<option value=\"$month_index\" selected>$month</option>\n";
			}
		else {
			print"<option value=\"$month_index\">$month</option>\n";
			}
		++$month_index;
		}
		
	print"</select>\n";
	
	# print day
	print"<SELECT name=\"$prefix_day\" style=\"font-family\:Arial\; font-size\: 10pt\;\"> \n";
	for(my $i = 1; $i <= 31; ++$i) {
		if($i == 1 && !defined $GD{$prefix_day}) {
			print"<option value=\"$i\" selected>$i\n";
			}
		elsif ($i >= 1 && $GD{$prefix_day} == $i) {
			print"<option value=\"$i\" selected>$i\n";
			}
		elsif ($i >= 1) {
			print"<option value=\"$i\">$i\n";
			}
		}
		
	print"</select>\n";
	print"<SELECT name=\"$prefix_hour\" style=\"font-family\:Arial\; font-size\: 10pt\;\"> \n";
	

        #print start and end hour
	for(my $i = 1; $i <= 24; ++$i) {
		if($i >= 1 && !defined $GD{$prefix_hour}) {
			my $selected = 1;
			foreach my $key(sort {$a<=>$b} keys %MINUTES) {
				my $new_key = "$i"."$key";
				my $display;
                                if($i < 13) {
                                        $display = "$i"."\:"."$key";
                                        }
                                else {
                                        $display = "$TIME_SHOW{$i}"."\:"."$key";
                                        }

				if($i == 1 && $selected == 1) {
                                        if($i < 13) {
                                                print"<option value=\"$new_key\" selected> $display am\n";
                                                ++$selected;
                                                }
                                        else {
                                            print"<option value=\"$new_key\"> $display pm\n";
                                            }
					}
				else {
                                        if($i < 13) {
                                                print"<option value=\"$new_key\" selected> $display am\n";
                                                ++$selected;
                                                }
                                        else {
                                            print"<option value=\"$new_key\"> $display pm\n";
                                            }
					}
				}
			}
		if($i >= 1 && defined $GD{$prefix_hour}) {
			foreach my $key(sort {$a<=>$b} keys %MINUTES) {
                                my $new_key = "$i"."$key";;
                                my $display;
                                if($i < 13) {
                                        $display = "$i"."\:"."$key";
                                        }
                                else {
                                        $display = "$TIME_SHOW{$i}"."\:"."$key";
                                        }
                                        
				if($new_key == $GD{$prefix_hour}) {
                                        if($i < 13) {
                                        
                                                print"<option value=\"$new_key\" selected> $display am\n";
                                                }
                                        else {
                                                
                                                print"<option value=\"$new_key\" selected> $display pm\n";
                                                }
					}
				else {
				        if($i < 13) {
                                                print"<option value=\"$new_key\"> $display am\n";
                                                }
                                        else {
                                                print"<option value=\"$new_key\"> $display pm\n";
                                                }
					}
				}
			}
                
		}
	print"</select>\n";
	}

#############################
#
# get_random_hash
#
#############################
sub get_random_hash {
	srand;
	my %NUMBERS = @_;
	my @pieces = keys %NUMBERS;
	my $choice = rand(@pieces);
	my $number = substr($choice,0,1); 
	my $www = $pieces[$number];            
	return($www);
	}

########################
#
# GET_TIME
#
########################
sub get_time {
        my %GT = @_;
	my @months_name_display = ("January","February","March","April","May","June","July","August","September","October","November","December");
	my @months = qw(1 2 3 4 5 6 7 8 9 10 11 12);
	my ($second, $minute, $hour, $dayOfMonth, $month, $yearOffset, $dayOfWeek, $dayOfYear, $daylightSavings) = localtime(time);
	my %TIME = ();
	my $theTime = "$hour:$minute, $months[$month] $dayOfMonth";
	if(length($minute) < 2){
		$minute = "0"."$minute";
		}
	$TIME{time} = {month_name_display => "$months_name_display[$month]", month => "$months[$month]", day => "$dayOfMonth", hour_minute_display => "$hour\:$minute", hour_minute => "$hour$minute",hour =>"$hour",minute => "$minute"};
	return(%TIME);
	}

########################
#
# GET_TIME_TO_DISPLAY
#
########################
sub get_time_to_display {
        my %GT = @_;
	my @months_name_display = ("January","February","March","April","May","June","July","August","September","October","November","December");
	my @months = qw(1 2 3 4 5 6 7 8 9 10 11 12);
	my ($second, $minute, $hour, $dayOfMonth, $month, $yearOffset, $dayOfWeek, $dayOfYear, $daylightSavings) = localtime($GT{time});
	my %TIME = ();
	my $theTime = "$hour:$minute, $months[$month] $dayOfMonth";
	if(length($minute) < 2){
		$minute = "0"."$minute";
		}
	$TIME{time} = {month_name_display => "$months_name_display[$month]", month => "$months[$month]", day => "$dayOfMonth", hour_minute_display => "$hour\:$minute", hour_minute => "$hour$minute",hour =>"$hour",minute => "$minute"};
	return(%TIME);
	}

########################
#
# ENCRYPT_PASSWORD
#
########################
sub encrypt_password {
        my %EP = @_;
        my $pbkdf2 = Crypt::PBKDF2->new(
                hash_class => 'HMACSHA2',);
     
        my $password = "$EP{password}";
        my $hash = $pbkdf2->generate($password);
        return($hash);
        }

########################
#
# COMPARE_PASSWORD
#
#######################
sub compare_password {
        my %CP = @_;
        my $return = 0;
        my $password = "$CP{password}";
        my $hash = "$CP{hash}";
        my $pbkdf2 = Crypt::PBKDF2->new;
        if ($pbkdf2->validate($hash, $password)) {
            $return = 1;
            }
        return($return);
        }

########################
#
# help
#
########################
sub help{
	print"<P><HR>\n";
	print"$image2 ";
	}

###########################
#
# print form mc
#
###########################
sub print_form_mc {
	my %PFWT = @_;
	if(defined $PFWT{form_target}) {
		print"<form method=\"POST\" name=\"$PFWT{form_name}\" action=\"\/qst\/one\" target=\"$PFWT{form_target}\">\n";
		}
	else {
		print"<form method=\"POST\" name=\"$PFWT{form_name}\" action=\"\/qst\/one\">\n";
		}
	delete($PFWT{form_name});
	delete($PFWT{form_target});
	foreach my $key(keys %PFWT) {
		print"<input type=\"hidden\" name=\"$key\" value=\"$PFWT{$key}\"> \n";
		}
        
        my $i = 1;
        while ($i <= $mc_num) {
                print"<input type=\"hidden\" name=\"select$i\" value=\"\"> \n";
                print"<input type=\"hidden\" name=\"image$i\" value=\"\"> \n";
                print"<input type=\"hidden\" name=\"image$i";print"name\" value=\"\"> \n";
                ++$i;
                }
                
	print"</FORM>\n";
	}

###########################
#
# print form mx
#
###########################
sub print_form_mx {
	my %PFWT = @_;
	if(defined $PFWT{form_target}) {
		print"<form method=\"POST\" name=\"$PFWT{form_name}\" action=\"\/qst\/one\" target=\"$PFWT{form_target}\">\n";
		}
	else {
		print"<form method=\"POST\" name=\"$PFWT{form_name}\" action=\"\/qst\/one\">\n";
		}
	delete($PFWT{form_name});
	delete($PFWT{form_target});
	foreach my $key(keys %PFWT) {
		print"<input type=\"hidden\" name=\"$key\" value=\"$PFWT{$key}\"> \n";
		}
        
        my $i = 1;
        while ($i <= $mx_num) {
                print"<input type=\"hidden\" name=\"select$i\" value=\"\"> \n";
                print"<input type=\"hidden\" name=\"select$i";print"mx\" value=\"\"> \n";
                print"<input type=\"hidden\" name=\"image$i\" value=\"\"> \n";
                print"<input type=\"hidden\" name=\"image$i";print"name\" value=\"\"> \n";
                ++$i;
                }
                
	print"</FORM>\n";
	}

###########################
#
# print form ma
#
###########################
sub print_form_ma {
	my %PFWT = @_;
	if(defined $PFWT{form_target}) {
		print"<form method=\"POST\" name=\"$PFWT{form_name}\" action=\"\/qst\/one\" target=\"$PFWT{form_target}\">\n";
		}
	else {
		print"<form method=\"POST\" name=\"$PFWT{form_name}\" action=\"\/qst\/one\">\n";
		}
		
	delete($PFWT{form_name});
	delete($PFWT{form_target});
	foreach my $key(keys %PFWT) {
		print"<input type=\"hidden\" name=\"$key\" value=\"$PFWT{$key}\"> \n";
		}
		
        my $i = 1;
        while ($i <= $ma_num) {
                print"<input type=\"hidden\" name=\"select$i\" value=\"\">
                <input type=\"hidden\" name=\"select$i";print"ma\" value=\"\">
                <input type=\"hidden\" name=\"select$i";print"mam\" value=\"\">
                <input type=\"hidden\" name=\"select$i";print"maeq\" value=\"\">
                <input type=\"hidden\" name=\"image$i\" value=\"\">\n";
                print"<input type=\"hidden\" name=\"image$i";print"name\" value=\"\"> \n";
                ++$i;
                }
                
	print"</FORM>\n";
	}

###########################
#
# print form
#
###########################
sub print_form {
	my %PFWT = @_;
	if(defined $PFWT{form_target}) {
		print"<form method=\"POST\" name=\"$PFWT{form_name}\" action=\"\/qst\/one\" target=\"$PFWT{form_target}\">\n";
		}
	else {
		print"<form method=\"POST\" name=\"$PFWT{form_name}\" action=\"\/qst\/one\">\n";
		}
		
	delete($PFWT{form_name});
	delete($PFWT{form_target});
	foreach my $key(keys %PFWT) {
		print"<input type=\"hidden\" name=\"$key\" value=\"$PFWT{$key}\"> \n";
		}
	print"</FORM>\n";
	}

###########################
#
# print form wo end tag
#
###########################
sub print_form_wo_end_tag {
	my %PFWT = @_;
	if(defined $PFWT{form_target}) {
		print"<form method=\"POST\" name=\"$PFWT{form_name}\" action=\"\/qst\/one\" target=\"$PFWT{form_target}\">\n";
		}
	else {
		print"<form method=\"POST\" name=\"$PFWT{form_name}\" action=\"\/qst\/one\">\n";
		}
	delete($PFWT{form_name});
	delete($PFWT{form_target});
	foreach my $key(keys %PFWT) {
		print"<input type=\"hidden\" name=\"$key\" value=\"$PFWT{$key}\"> \n";
		}
	}

######################################
#
# remove spec_char
#
#####################################
sub spec_char {
	my @in = @_;
	$in[0] =~ s/[\"\'\/|\\<>+=,]//g;
	return ($in[0]);
	}
	
######################################
#
# remove trailing spaces
#
#####################################
sub tr_spaces {
	my @in = @_;
	$in[0] =~ s/\s+$//;
	return ($in[0]);
	}

######################################
#
# remove leading spaces
#
######################################
sub l_spaces {
	my @in = @_;
	$in[0] =~ s/^\s+//;
	return ($in[0]);
	}

######################################
#
# remove extra spaces
#
######################################
sub x_spaces {
	my @in = @_;
	$in[0] =~ s/\s+/ /g;
	return ($in[0]);
	}

######################################
#
# remove funny_char
#
######################################
sub funny_char {
	my @in = @_;
#	$in[0] =~ tr/A-Za-z0-9 :\/\(\)-_=+&%$?//cd;
	$in[0] =~ s/[\"\'\/|\\<>+=,\;\(\)]//g;
	return ($in[0]);
	}

######################################
#
# remove non word
#
######################################
sub non_word {
	my @in = @_;
	$in[0] =~ s/\W//g;
	return ($in[0]);
	}

######################################
#
# remove non_alphanumeric
#
######################################
sub non_alphanumeric {
	my @in = @_;
	$in[0] =~ s/[^a-zA-Z0-9]//g;
	return ($in[0]);
	}

######################
#
# top_heading1
#
######################
sub top_heading1 {
	my %TH1 = @_;
	print"$page_top </b><BR></font></TD>";
	}

######################
#
# top_heading18
#
######################
sub top_heading18 {
	my %TH18 = @_;
	if ($TH18{type} == 2) {
		#print"$page_top Create/Manage $assign[$TH18{type}] $TH18{value} </b></font></TD>";
		print"$page_top </b></font></TD>";
		}
	elsif ($TH18{type} == 3) {
		#print"$page_top Create/Manage $assign[$TH18{type}] </b></font></TD>";
		print"$page_top </b></font></TD>";
		}
	else {
		#print"$page_top Create/Manage $TH18{value} </b></font></TD>";
		print"$page_top </b></font></TD>";
		}
	}

######################
#
# top_heading19
#
######################
sub top_heading19 {
	print"$page_top </b></font></TD>";
	}

######################
#
# top_heading22
#
######################
sub top_heading22 {
	my %TH18 = @_;
	if ($TH18{type} == 2) {
		print"$image26 $LANGUAGE{$set_language}{Create} a $assign[$TH18{type}] $TH18{value} </b></font></TD>";
		}
	else {
		print"$image26 $LANGUAGE{$set_language}{Create} a $TH18{value} </b></font>";
		}
	}

######################
#
# top_heading23
#
######################
sub top_heading23 {
	print"$image26 $LANGUAGE{$set_language}{CreateaQuestion}  </b></font>";
	}

######################
#
# top_heading24
#
######################
sub top_heading24 {
	print"$image26 $LANGUAGE{$set_language}{ChangeaQuestion}  </b></font>";
	}

######################
#
# top_heading26
#
######################
sub top_heading26 {
	print"$page_top </b></font>";
	}

######################
#
# top_heading27
#
######################
sub top_heading27 {
	print"$image1 $LANGUAGE{$set_language}{ViewSelectFiles} </b></font>";
	}

######################
#
# top_heading28
#
######################
sub top_heading28 {
	print"$image1 Change Admin Password </b></font>";
	}

######################
#
# top_heading29
#
######################
sub top_heading29 {
        my %TH29 = @_;
	print"$image1 $TH29{value} </b></font>";
	}

######################
#
# top_heading30
#
######################
sub top_heading30 {
        my %TH30 = @_;
	print"$page_top </b><BR></font>";
	}

######################
#
# top_heading31
#
######################
sub top_heading31 {
	print"$page_top  </b><BR></font></TD>";
	}

######################
#
# top_heading32
#
######################
sub top_heading32 {
	print"$image26 $LANGUAGE{$set_language}{CreateaSurveyQuestion}  </b></font>";
	}

######################
#
# top_heading33
#
######################
sub top_heading33 {
	print"$image26 $LANGUAGE{$set_language}{ChangeaSurveyQuestion}  </b></font>";
	}
	
######################
#
# top_head
#
######################
sub top_head {
        my %TH = @_;
        print"<TABLE width=\"100%\" $action_bar><TD>&nbsp\;&nbsp\&nbsp\;<font   color=\"white\"><b> $TH{head}</B></TD></TABLE>";
        }
        
#########################################
#
# HEADER
#
#########################################
sub header {
	my %H = @_;
#	print"<\!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http\://www.w3.org/TR/html4/loose.dtd\">\n";
#	print"<\!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Frameset//EN\" \"http\://www.w3.org/TR/html4/frameset.dtd\">\n";
#        print"<!DOCTYPE html>\n";
	print"<HTML><HEAD>\n";
#	print"<meta http-equiv=\"Content-Type\" content=\"text/html\; charset=iso-8859-1\">\n";
	print"<meta http-equiv=\"Content-Type\" content=\"text/html\; charset=UTF-8\">\n";
	print"<meta http-equiv='cache-control' content='no-cache'>\n";
	print"<meta http-equiv='expires' content='0'>\n";
	print"<meta http-equiv='pragma' content='no-cache'>\n";
	print"<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n";
	print"<TITLE>QST</TITLE>\n";
	
	
#	print"</HEAD><BODY onClick=\"Collapse_The_Display\(\)\" style=\"font-family:Arial\; font-size:11pt\;\">\n";  
#	print"<style>#fixed-width-image \{  width: 450px\; \}</style>\n";   oncontextmenu="return false;"
	}

#########################################
#
# BODY
#
#########################################
sub body {
	my %B = @_;
	if ($B{body} == 2) {
		print"</HEAD><BODY onClick=\"Collapse_The_Display\(\)\" style=\"font-family:Arial\; font-size:11pt\;\" oncontextmenu=\"return false\">\n";
		}
	else {
		print"</HEAD><BODY onClick=\"Collapse_The_Display\(\)\" style=\"font-family:Arial\; font-size:11pt\;\">\n";
		}
	}

#####################
#
# FOOTER
#
########################
sub footer {
	print"</body></HTML> \n";
	}


##################################################################################

#             Javascript

##################################################################################


#####################
#
# PRINT_JAVASCRIPT_FOCUS
#
#####################
sub print_javascript_focus {
	my %PJF = @_;
	&print_javascript_begin();
	print"document.$PJF{form}.$PJF{field}.focus\(\)\n";
	&print_javascript_end();
	}

#####################
#
# PRINT_JAVASCRIPT_BEGIN
#
#####################
sub print_javascript_begin {
	print"<script language=\"Javascript\" type=\"text\/javascript\">\n";
	}

#####################
#
# PRINT_JAVASCRIPT_END
#
#####################
sub print_javascript_end {
	print"<\/script>\n";
	}


#####################
#
# PRINT_JAVASCRIPT_SUB_FORM
#
#####################
sub print_javascript_sub_form {
	my %PJSF = @_;
	print"function sub_form\(expand\) \{\n";
	print"document.$PJSF{form}.expand.value = expand\n";
	print"document.$PJSF{form}.submit\(\)\n";
	print"\}\n";
	}

#####################
#
# PRINT_JAVASCRIPT_SAVE_HANDLER
#
#####################
sub print_javascript_save_handler {
	print"function save_handler\(\)\{\n";
     	print"var submit_ok = confirm\(\"Save the changes\?\"\)\n";
	print"if \(submit_ok\) \{\n";
	print"document.form4.input.value=\"save_changes\"\n";
	print"document.form4.submit\(\)\n";
	print"\}\n";
	print"\}\n";
	}

#####################
#
# PRINT_JAVASCRIPT_DELETE_HANDLER
#
#####################
sub print_javascript_delete_handler {
	my %PJDH = @_;
	print"function delete_handler\(\)\{\n";
     	print"var submit_ok = confirm\(\"Delete the questions\?\"\)\n";
	print"if \(submit_ok\) \{\n";
	print"document.$PJDH{form}.submit\(\)\n";
	print"\}\n";
	print"\}\n";
	}

#####################
#
# PRINT_JAVASCRIPT_REPLACE_SINGLE_AND_DOUBLE_QUOTE
#
#####################
sub print_javascript_replace_single_and_double_quote {
	my %PJRSADQ = @_;
	print"var reg_exp1 = \/\&\\#39\/g\n";
	print"var replace_string1 =\"\'\"\n";
	print"$PJRSADQ{name} = $PJRSADQ{name}\.replace\(reg_exp1,replace_string1\)\n";
	print"var reg_exp2 = \/\&\\#34\/g\n";
	print"var replace_string2 =\"\\\"\"\n";
	print"$PJRSADQ{name} = $PJRSADQ{name}\.replace\(reg_exp2,replace_string2\)\n";
	}

#####################
#
# JAVASCRIPT_NEW_WINDO_CHECK_INPUT_NOT_EMPTY
#
########################
sub javascript_new_windo_check_input_not_empty {
	my %JNWCINE = @_;
	
	my @fields = split(/\;/,$JNWCINE{fields});
	print"$JNWCINE{windo}.document.writeln\(\'\<script language=\"Javascript\" type=\"text\/javascript\"\>\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'function check_handler\(\)\{\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'var no_good = 1\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'var replace_string =\"\"\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'var reg_exp1 = \/\\\\s\/g\'\)\n";
	print"$JNWCINE{windo}.document.writeln\(\'var replace_string2 =\"\%20\"\'\)\n";
	foreach my $field(@fields) {
		print"$JNWCINE{windo}.document.writeln\(\'var $field\_string = document.$JNWCINE{form}.$field.value'\)\n";
		print"$JNWCINE{windo}.document.writeln\(\'var new_string_$field = $field\_string.replace\(reg_exp1,replace_string\)\'\)\n";
		print"$JNWCINE{windo}.document.writeln\(\'if\(new_string_$field ==\"\"\)\{\'\)\n";
		print"$JNWCINE{windo}.document.writeln\(\'no_good = 2\'\)\n";
		print"$JNWCINE{windo}.document.writeln\(\'\}\'\)\n";
		}
     	print"$JNWCINE{windo}.document.writeln\(\'if\(no_good == 2\)\{\'\)\n";
	print"$JNWCINE{windo}.document.writeln\(\'alert\(\"$JNWCINE{error_message}\"\)\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'\}\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'else \{\'\)\n";
	print"$JNWCINE{windo}.document.writeln\(\'document.$JNWCINE{form}.submit\(\)\'\)\n";
	print"$JNWCINE{windo}.document.writeln\(\'self.close\(\)\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'\}\'\)\n";
        print"$JNWCINE{windo}.document.writeln\(\'\}\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'<\/script\>\'\)\n";
	}

#####################
#
# JAVASCRIPT_NEW_WINDO_CHECK_INPUT_NOT_EMPTY_USER
#
########################
sub javascript_new_windo_check_input_not_empty_user {
	my %JNWCINE = @_;
	
	my @fields = split(/\;/,$JNWCINE{fields});
	print"$JNWCINE{windo}.document.writeln\(\'\<script language=\"Javascript\" type=\"text\/javascript\"\>\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'function check_handler\(addp\)\{\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'var no_good = 1\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'var replace_string =\"\"\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'var reg_exp1 = \/\\\\s\/g\'\)\n";
	print"$JNWCINE{windo}.document.writeln\(\'var replace_string2 =\"\%20\"\'\)\n";
	foreach my $field(@fields) {
		print"$JNWCINE{windo}.document.writeln\(\'var $field\_string = document.$JNWCINE{form}.$field.value'\)\n";
		print"$JNWCINE{windo}.document.writeln\(\'var new_string_$field = $field\_string.replace\(reg_exp1,replace_string\)\'\)\n";
		print"$JNWCINE{windo}.document.writeln\(\'if\(new_string_$field ==\"\"\)\{\'\)\n";
		print"$JNWCINE{windo}.document.writeln\(\'no_good = 2\'\)\n";
		print"$JNWCINE{windo}.document.writeln\(\'\}\'\)\n";
		}
     	print"$JNWCINE{windo}.document.writeln\(\'if\(no_good == 2\)\{\'\)\n";
	print"$JNWCINE{windo}.document.writeln\(\'alert\(\"$JNWCINE{error_message}\"\)\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'\}\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'else \{\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'if\(addp == 2\)\{\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'document.$JNWCINE{form}.addp.value=\"2\"\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'\}\'\)\n";
	print"$JNWCINE{windo}.document.writeln\(\'document.$JNWCINE{form}.submit\(\)\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'\}\'\)\n";
        print"$JNWCINE{windo}.document.writeln\(\'\}\'\)\n";
     	print"$JNWCINE{windo}.document.writeln\(\'<\/script\>\'\)\n";
	}


#####################
#
# JAVASCRIPT_CHECK_INPUT_NOT_EMPTY
#
########################
sub javascript_check_input_not_empty {
	my %JCINE = @_;
	my @fields = split(/\;/,$JCINE{fields});
	&print_javascript_begin();
	print"function check_handler(inn)\{\n";
            print"var no_good = 1\;\n";
            print"var replace_string =\"\"\n";
            print"var reg_exp1 = \/\\s\/g\n";
            print"var replace_string2 =\"\%20\"\n";
            foreach my $field(@fields) {
		print"var $field\_in_string = document.$JCINE{form}.$field.value\n";
		print"var $field\_new_string = $field\_in_string.replace\(reg_exp1,replace_string\)\n";
		print"var new_string2 = $field\_in_string.replace\(reg_exp1,replace_string2\)\n";
		print"if\($field\_new_string ==\"\"\)\{\n";
		print"no_good = 2\n";
		print"\}\n";
		}
            print"if\(no_good == 2\)\{\n";
            print"alert\(\"$JCINE{error_message}\"\)\n";
            print"\}\n";
            print"else \{\n";
            print"document.$JCINE{form}.submit\(\)\n";
            print"self.close\(\)\n";
            print"\}\n";
	print"\}\n";
	&print_javascript_end();
	}

#####################
#
# JAVASCRIPT_CHECK_INPUT_NOT_EMPTY_USER
#
########################
sub javascript_check_input_not_empty_user {
	my %JCINE = @_;
	my @fields = split(/\;/,$JCINE{fields});
	&print_javascript_begin();
	print"function check_handler(inn)\{\n";
            print"var no_good = 1\;\n";
            print"var replace_string =\"\"\n";
            print"var reg_exp1 = \/\\s\/g\n";
            print"var replace_string2 =\"\%20\"\n";
            foreach my $field(@fields) {
		print"var $field\_in_string = document.$JCINE{form}.$field.value\n";
		print"var $field\_new_string = $field\_in_string.replace\(reg_exp1,replace_string\)\n";
		print"var new_string2 = $field\_in_string.replace\(reg_exp1,replace_string2\)\n";
		print"if\($field\_new_string ==\"\"\)\{\n";
		print"no_good = 2\n";
		print"\}\n";
		}
            print"if\(no_good == 2\)\{\n";
            print"alert\(\"$JCINE{error_message}\"\)\n";
            print"\}\n";
            print"else \{\n";
            print"if\(inn == 2\)\{\n";
	    print"document.$JCINE{form}.addp.value=\"2\"\n";
	    print"\}\n";
            print"document.$JCINE{form}.submit\(\)\n";
            print"\}\n";
	print"\}\n";
	&print_javascript_end();
	}


#####################
#
# JAVASCRIPT_NEW_WINDO_DELETE_PHOTO
#
########################
sub javascript_new_windo_delete_photo {
	print"org_window.document.writeln\(\'\<script language=\"Javascript\" type=\"text\/javascript\"\>\'\)\n";
     	print"org_window.document.writeln\(\'function photo_delete_handler\(\)\{\'\)\n";
     	print"org_window.document.writeln\(\'photo_delete.style.display = \"none\"\;\'\)\n";
	print"org_window.document.writeln\(\'document.form2.submit\(\)\'\)\n";
     	print"org_window.document.writeln\(\'\}\'\)\n";
     	print"org_window.document.writeln\(\'<\/script\>\'\)\n";
	}

#####################
#
# JAVASCRIPT_CANCEL_HANDLER
#
########################
sub javascript_cancel_handler {
	&print_javascript_begin();
	print"function cancel_handler()\{\n";
	print"self.close\(\)\n";
	print"\}\n";
	&print_javascript_end();
	}

#####################
#
# JAVASCRIPT_SELECT_ALL
#
########################
sub javascript_select_all {
	my %JSA = @_;
	print"function select_all\(field\) \{\n";
	print"var lenpq = document.$JSA{form}.length\n";
	print"for\(counter = 3\; counter < lenpq\; counter++\) \{\n";
	print"document.$JSA{form}.elements[counter].checked=true\n";
	print"\}\n";
	print"\}\n";
	}

#####################
#
# JAVASCRIPT_UNSELECT_ALL
#
########################
sub javascript_unselect_all {
	my %JUSA = @_;
	print"function un_select_all\(field\) \{\n";
	print"var lenpq = document.$JUSA{form}.length\n";
	print"for\(count = 3\; count < lenpq\; count++\) \{\n";
	print"document.$JUSA{form}.elements[count].checked=false\;\n";
	print"\}\n";
	print"\}\n";
	}

#####################
#
# JAVASCRIPT_SELECT_ALL_QUESTIONS
#
########################
sub javascript_select_all_questions {
	my %JSAQ = @_;
	print"function select_all_questions\(choice\) \{
	const collect1 = document.getElementsByClassName(choice)
	var selectques = 'selectq'+choice
	var unselectques = 'unselectq'+choice
	for (let i = 0; i < collect1.length; i++) \{
	var byname = document.getElementsByClassName(choice)[i].getAttribute('name');
	document.getElementById(byname).checked = true
	\}
	is_selected = \"1\";
	document.getElementById\(selectques\).style.display = \"none\"; 
	document.getElementById\(unselectques\).style.display = \"block\";
	
	\}\n";
	}

#####################
#
# JAVASCRIPT_UNSELECT_ALL_QUESTIONS
#
########################
sub javascript_unselect_all_questions {
	my %JUSAQ = @_;
	print"function unselect_all_questions\(choice\) \{
	const collect1 = document.getElementsByClassName(choice)
	var selectques = 'selectq'+choice
	var unselectques = 'unselectq'+choice
	for (let i = 0; i < collect1.length; i++) \{
	var byname = document.getElementsByClassName(choice)[i].getAttribute('name');
	document.getElementById(byname).checked = false
	\}
	is_selected = \"2\";
	document.getElementById\(selectques\).style.display = \"block\"; 
	document.getElementById\(unselectques\).style.display = \"none\";
	\}\n";
	}
	
#####################
#
# JAVASCRIPT_SHOW_STUFF
#
########################
sub javascript_show_stuff {
	print"function Show_Stuff\(Click_Menu\) \{
	if\(Click_Menu.style.display ==\"none\"\) \{
	let_it_go=\"1\"\;
  	Click_Menu.style.display =\"\"\;
	if\(collapse_display==\"\"\) \{
	collapse_display=Click_Menu
	\}
	else \{
	collapse_display.style.display =\"none\"\;
	collapse_display=Click_Menu
	\}
	\}
	else \{
	Click_Menu.style.display =\"none\"\;
	let_it_go=\"1\"\;
	collapse_display=\"\"
	\}
	\}\n";
	}

#####################
#
# JAVASCRIPT_SHOW_MARKED
#
########################
sub javascript_show_marked {
	print"function Show_Marked\(Click_Menu\) \{\n";
	print"Click_Menu.style.display =\"none\"\;\n";
	print"\}\n";
	}

######################
#
# PRINT_JAVASCRIPT_TIME_REMAINING
#
######################
sub print_javascript_time_remaining {
	my %PJTR = @_;
	&print_javascript_begin();
        print"function countdown\(min\) \{
        var qst_time = document.clockcount.clockminutes.value
        var new_time = qst_time - min
        if(new_time == 0) \{
                document.clockcount1.clockminutes.value = new_time
                clearInterval(interval_id)
        \}
        document.clockcount.clockminutes.value = new_time

	\}\n";
	
	&print_javascript_end();
	}

######################
#
# PRINT_JAVASCRIPT_TIME_REMAINING1
#
######################
sub print_javascript_time_remaining1 {
	my %PJTR = @_;
	&print_javascript_begin();
        print"function countdown1\(min\) \{
        var qst_time = document.clockcount1.clockminutes.value
        var new_time = qst_time - min
        if(new_time == 0) \{
        document.clockcount1.clockminutes.value = new_time
	clearInterval(iinterval_id)
        \}
        else if(new_time == 5) \{
        document.clockcount1.clockminutes.value = new_time
        alert\(\"There is only \" +new_time+ \" minutes remaining in the allotted time.\"\)
	\}
        else if(new_time == 1) \{
        document.clockcount1.clockminutes.value = new_time
        alert\(\"There is only \" +new_time+ \" minute remaining in the allotted time.\"\)
	\}
        else \{
        document.clockcount1.clockminutes.value = new_time
        \}
	\}\n";
	&print_javascript_end();
	}
	

##################################################################################
#
#		STYLES
#
##################################################################################

##################
#
# PRINT_STYLE_SHEET
#
##################
sub print_style_sheet {
        print"<style type=\"text/css\">
	textarea.show_quest{ border-color: Transparent\; font-family\:Arial\; font-size\: 12pt\; font-weight: bold\; overflow:auto\;}
	textarea.show_panswer{ font-family\:Arial\; font-size\: 11pt\; overflow:auto\;}
	textarea.show_p_answer{ border-color: Transparent\; font-family\:Arial\; font-size\: 10pt\; overflow:auto\;}
	textarea.show_sanswer{ font-family\:Arial\; font-size\: 11pt\; overflow:auto\;}
	textarea.show_s_answer{border-color: Transparent\; font-family\:Arial\; font-size\: 10pt\; overflow:auto\;}
	textarea.show_mc_ans{ border-color: Transparent\; font-family\:Arial\; font-size\: 11pt\; overflow:auto\;}
	textarea.show_ma_ans{ border-color: Transparent\; font-family\:Arial\; font-size\: 11pt\; overflow:auto\;}
	textarea.show_mx_ans{ border-color: Transparent\; font-family\:Arial\; font-size\: 11pt\; overflow:auto\;}
	table.table2{ border-radius:6px\; font-size:9pt\; border: 1px solid black\; font-family:Arial\;}
	td {background-clip: padding-box\; border-radius: 6px\;}
	</style>\n";
	&print_input_style_larger();
	&print_input_style_medium();
	}

##############################
#
#     PRINT_INPUT_STYLE_LARGER
#
###############################
sub print_input_style_larger {
	print" <style>
      input.larger \{
        width: 20px;
        height: 20px;
      \}
	</style>\n";
	}

##############################
#
#     PRINT_INPUT_STYLE_MEDIUM
#
###############################
sub print_input_style_medium {
	print" <style>
      input.medium \{
        width: 18px;
        height: 18px;
      \}
	</style>\n";
	}

##############################
#
#     PRINT_STICKY_STYLE
#
###############################
sub print_sticky_style {
	print"<style>\n";
	print"tr.tr1:hover \{outline: thin solid\; border-radius:2px\;\}\n";
		
	print"th \{ 
		font-weight: normal;
		background-color: #FFFFFF\;
		position: sticky\;
		padding-top: 5px\;
		top:0\; 
		\}\n"; 

	print"span.sticky \{ 
	      background-color: #FFFFFF\;
	      position: sticky\; 
	      padding-top: 5px\;
	      padding-bottom: 10px\;
	      top: 0\; 
	      \}\n"; 
	        
	print"</style>\n";
	}
	
##############################
#
#     PRINT_STICKY_STYLE2
#
###############################
sub print_sticky_style2 {
	print"<style>\n";
	
	print" th {
	font-weight: normal;
	background-color: #FFFFFF\;
  	position: sticky;
  	padding-top: 5px;
	padding-bottom: 5px;
  	top: 0;
  	z-index: 2;
	\}\n"; 

	print"</style>\n";
	}
	
#############################################


1;
